// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_41_usascii_BITMAP_HEIGHT        192
#define STB_FONT_arial_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_41_usascii_FIRST_CHAR            32
#define STB_FONT_arial_41_usascii_NUM_CHARS             95

#define STB_FONT_arial_41_usascii_LINE_SPACING          27

static unsigned int stb__arial_41_usascii_pixels[]={
    0x3a213310,0xeeb801cc,0x16e64c00,0x99993ae0,0x33310999,0x13ae1333,
    0x2a620000,0x0aaccdcb,0x04b80000,0x332a6000,0x00002acd,0x53000000,
    0x000579b9,0x00002a60,0xa8000351,0x4ffc80ee,0x809ffff1,0x3f200ffc,
    0x3e602fff,0xfffff31f,0x3fffeedf,0x05ff14ff,0x3ff66000,0xffffffff,
    0x200002df,0x540000fe,0xfffffffe,0xf9800bff,0xff5001ff,0x3ffa600d,
    0xcfffffff,0x7fed4000,0xbff14fff,0x7f5cbff2,0x8002dfff,0x9ff906fd,
    0x0fffffe2,0xf500ffc8,0x7405ffff,0x3fffe64f,0xffff76ff,0x077dc9ff,
    0xfffd5000,0xfffdffff,0x005fffff,0xffffd910,0x74c0019d,0xffffffff,
    0x802fffff,0xfb004ffe,0xfff7007f,0xffffffff,0x3f6007ff,0xdfffffff,
    0x5ff95ff8,0xfffffff9,0x4ff800bf,0x5449ff90,0x3f207ffc,0x3bffb00f,
    0x107fdc01,0x2dff9555,0x1aaaeffb,0xd80027fc,0x09bdffff,0xffffda98,
    0x3ffee004,0x2fffffff,0xfffffa80,0xffca9acd,0x7dc04fff,0xfff8807f,
    0x3fffa600,0xeca9acef,0x6c05ffff,0xc98adfff,0xf95ffeff,0x315bffdf,
    0x2007fff9,0x55301ff9,0x407ffa03,0xfff00ffc,0x04ff8801,0xffbb7fd4,
    0x00ffdc05,0x39fffd10,0xfffc8800,0x7ffd400e,0xfffeffef,0x3ffe602f,
    0x7fd400df,0x3fe204ff,0x2ffdc02f,0x1dffff10,0x5fffea80,0x207fff50,
    0xf95ffffa,0x3ea07fff,0x7fc802ff,0x17fe4000,0xf880ffc8,0x0ffc806f,
    0xfbb7fd40,0x05ff805f,0x03dffd10,0x5ffe9800,0x4bbffe20,0x1fffd57e,
    0x05fffd10,0x0ffff440,0xe80bffb0,0x3ff202ff,0x3f62003f,0x5ffd83ff,
    0xcafffdc0,0x7e404fff,0x05fe807f,0x81ffdc00,0xff980ffc,0x02ffc405,
    0xffbb7fd4,0x01ffc805,0x0005ffe8,0xc81fff40,0xf33f47ff,0xfff907ff,
    0xfff10005,0x03ffd40d,0x7cc0fff3,0xfd0004ff,0x1fff81ff,0xf95fff80,
    0xff8801ff,0x0ffe201f,0x07ff7000,0x3e603ff2,0x17fe405f,0xfbb7fd40,
    0x5ff9805f,0x2027fdc0,0x3a2002a8,0x4ffe81ff,0x17ffa3f4,0x000dfff1,
    0xf017ffdc,0x3ff205ff,0x03fffa04,0x27ffcc00,0x2e00fff1,0x0bff95ff,
    0xa80bff60,0x3ff200ff,0x207ff704,0xff980ffc,0x007ffc05,0xffbb7fd4,
    0x01fff005,0xe981bfe2,0x3e1dffff,0x17fe61ff,0x8fd07ffe,0x7fdc2cda,
    0x7fc0001f,0x17ff205f,0xfa80fffc,0x6c0002ff,0x1bfea6ff,0xfcaffd40,
    0x9ff9004f,0x32037e40,0x7ff704ff,0x2603ff20,0x3fea05ff,0x2dff5005,
    0xf9005ffb,0x07ff607f,0x7fffffe4,0x87ff89ff,0x7ffc0ffd,0xfb003f41,
    0xfb0000bf,0x3fe601ff,0x037fd40f,0x0000fff7,0x3ee3fff7,0xbff3005f,
    0x5c00fff2,0x13fe05ff,0x2e09ff90,0x1ff903ff,0x6c0bff30,0xff5002ff,
    0x4017feed,0xff986ff9,0x7bfffb04,0xff9ffd73,0xe87ff50d,0x003f44ff,
    0x00009fff,0x7405fff7,0x1ffec3ff,0x000dff90,0x327fff50,0xff1004ff,
    0x400bff2b,0xff306ffa,0x04ffc805,0x3f209ff5,0x04ffa80f,0x54007ffe,
    0x0bff76ff,0x903ffe20,0xfff701ff,0xffffd107,0xf917fe09,0x803f41ff,
    0x0003fff8,0x203fffa8,0x3fe26ffb,0x17ffa00f,0x3ffe2000,0x200bff74,
    0x7ff95ff9,0x417fee00,0x7e400ffb,0x0bff504f,0x3ee03ff2,0x1fff304f,
    0x5dbfea00,0x3fe005ff,0x4c2ffc2f,0x3e603fff,0xdfd02fff,0xd3ffff98,
    0x3ffe600f,0xff880002,0x3ffe204f,0xf80bff50,0xf00004ff,0x1bfeabff,
    0xfcaffd40,0x7ff9003f,0x32017f60,0xdff104ff,0x3603ff20,0xfff701ff,
    0xbb7fd400,0x3fa005ff,0x20bfe63f,0xfd806ffd,0x0ffb01ff,0xffdffff7,
    0x07ffea00,0x27ffc000,0x7ecfff60,0x3ffe202f,0xffb00003,0x401ffe6d,
    0xbff95ffb,0x207ff600,0xfc803ff8,0x0fff604f,0xff303ff2,0x037fdc0d,
    0x3eedff50,0x3ff6005f,0xf103ff24,0xff9005ff,0xb83fec0f,0xdfffffff,
    0x3fff500b,0x3ffe0000,0xfb7fd404,0x7ffc407f,0xffb00002,0x00bffe2d,
    0x7fe57ffa,0x7ffc400f,0x801ffa80,0x3a204ffc,0x3ff21bff,0x07ffd710,
    0x5002ffe4,0x17feedff,0x365ffc80,0x06ffc87f,0x740bff70,0x3ff2606f,
    0x82ffffff,0x0002fff9,0x802fff88,0x04ffafff,0x001fffc4,0x2e5ffe80,
    0x7fd406ff,0x09fff95f,0xf906ffc8,0x13ff200f,0x23fffd10,0xffff0ffc,
    0x04ffd805,0x7ddbfea0,0x3fee005f,0x3fa1bf65,0x9ffb004f,0x4013fe20,
    0xfffffffa,0x01fffc44,0x0fffcc00,0x7ffffe40,0x05fff801,0x89fff000,
    0xf980dfff,0xfff95fff,0x3ffee07f,0x200bfd02,0xf8804ffc,0x21ff91ff,
    0xfd802fff,0x3fea004f,0x400bff76,0x17fa6ffb,0x7400bffe,0x7ff502ff,
    0x7e4ff400,0x7ffc2fff,0xffb80004,0xfff9800f,0xdffd006f,0xfff10000,
    0xbefffa87,0xfffffca9,0xbfffff95,0xbfffb737,0x400bfe20,0x74c04ffc,
    0x1ff91fff,0xb00ffffe,0x7d400bff,0x00bff76f,0x9ff2ffe4,0x001fff88,
    0x3f201fff,0x89fa001f,0x3f60fffe,0xfc80006f,0x3ffa007f,0xfff7003f,
    0xffa80001,0xffff981f,0xffbeffff,0xffbbff95,0x09ffffff,0xc8007fdc,
    0x3fe604ff,0x43ff21bf,0x203ffeb8,0x2a006ffc,0x0bff76ff,0xff2ffec0,
    0x00fff88b,0xf107ffa8,0x47e800df,0x3ea2fffa,0x100802ff,0x5c00bfff,
    0xf1000fff,0xe80009ff,0x3f6206ff,0xff74ffff,0x7dd3ff2b,0x401cefff,
    0x3f2006fd,0x0fff204f,0xff303ff2,0x03ffdc0f,0x3eedff50,0x3ffa005f,
    0x3fa1bfa4,0x5ffe801f,0x001ffe88,0x1fffc3f4,0xf101fffe,0x1fffd817,
    0x017fea00,0x001fffd0,0x00fffee0,0x3fee0d4c,0xa889ff95,0x013fe000,
    0x3e04ffc8,0x01ff906f,0x3ea03ffb,0xff5000ff,0x8017feed,0x1ff63fff,
    0xf700fff2,0x9ffb07ff,0xfd07b730,0xfb89ffb0,0x3fee04ff,0x3fffb8bf,
    0x017fec00,0x017ffe60,0x03bffe20,0x2bff7000,0x40004ffc,0x32001ff9,
    0xbff304ff,0x2e03ff20,0xfff303ff,0x5bfea003,0xf1005ffb,0x07fe45ff,
    0x5403ffea,0x7e41ffff,0x6ffb80ff,0x3ffd87e8,0x80dfffd8,0xffffffea,
    0x7fc4006f,0xfff90006,0x3fea001d,0xb80001ff,0x09ff95ff,0x007fc800,
    0xfa827fe4,0x01ff904f,0x7fc09ff5,0xdff5003f,0x54017fee,0x27fcc7ff,
    0x7037ffa2,0x2a7fffff,0xf102fffe,0xf87e81ff,0xffe882ff,0xffd302ef,
    0xd8003fff,0x360003ff,0x100affff,0x009ffff9,0x657fee00,0x740004ff,
    0x7fe4005f,0x209ff704,0xffa80ffc,0x013ff204,0xffbb7fd4,0x0bff7005,
    0xfff30fff,0xf5fffbbf,0xdfffffff,0x44ffe803,0x07ffdc7e,0xfffffe88,
    0xffffdcce,0x5e402fff,0x000fffec,0x7ffffe40,0xffffdcde,0x200003ff,
    0x9ff95ffb,0x1ffc4000,0x413ff200,0xff903ffb,0x40bff301,0xf5005ffa,
    0x017feedf,0x7e41ffe4,0xffffa82f,0xfffd1eff,0x9001bfff,0x73f47fff,
    0xf9009fff,0xffffffff,0xdfffffff,0x3ffffe03,0xf700001f,0xffffffff,
    0x0003dfff,0xf95ffb80,0x7d40009f,0x7fe4000f,0x207ff704,0xff980ffc,
    0x007ffc05,0xffbb7fd4,0x01ffd005,0x7301fff1,0x6c417bfd,0xa881bdff,
    0x3fff622a,0xffeafead,0x3ee2006f,0xcfffffff,0x0bfffd51,0x005ffffd,
    0xfffd5000,0x005bffff,0x57fee000,0x20004ffc,0xfc8006fd,0x07ff704f,
    0x3e603ff2,0x1ffe405f,0xfbb7fd40,0x5ffa805f,0x003bfe60,0xfff88000,
    0xfffffd81,0x00efffff,0x33553100,0x4c37fdc0,0x00000acc,0x0d554c40,
    0x4c400000,0x00133109,0x4000d540,0xff704ffc,0x203ff207,0x7c405ff9,
    0x6ffa807f,0xfd00bff7,0xdffb803f,0xe8800000,0x3fae02ff,0x04ffffff,
    0xc8800000,0x00000002,0x00000000,0x00000000,0x903ffd80,0x3ff205ff,
    0x806ff880,0x7d403ffc,0x80bff76f,0xfb005ffa,0x400005ff,0x1004fffb,
    0x00037ff5,0x00000000,0x00000000,0x00000000,0x3a000000,0x3ffd03ff,
    0x7c03ff20,0x7fc400ff,0xbb7fd406,0x7fec05ff,0xfffd1001,0x7540003b,
    0xe8004fff,0x00000007,0x00000000,0x00000000,0x00000000,0xfffc9980,
    0x1fff2621,0xfb00ffc8,0x7e4015bf,0x32aaa22f,0x5dff76ff,0x2ffcc355,
    0x7fffe400,0x99819adf,0x1effffda,0x000fd000,0x00000000,0x00000000,
    0x00000000,0xf9800000,0x3e26ffff,0x3204ffff,0xfff500ff,0x37f405ff,
    0xdffffff3,0x3fffffee,0x0003ff64,0x7ffffecc,0xffffffff,0x002fffff,
    0x000036c0,0x00000000,0x00000000,0x00000000,0x3fee0000,0x3fe20eff,
    0x7fe405ff,0x3fffee00,0x4c7fe602,0x76ffffff,0x29ffffff,0x80002ff8,
    0xfffffec8,0xefffffff,0x0000000c,0x00000000,0x00000000,0x00000000,
    0x30000000,0xe8815999,0xeeb802cc,0x16e5cc00,0x99993ae0,0x33310999,
    0x13ae1333,0x54c40000,0x0abccdcb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90000000,0x07ba60bd,0x001665cc,
    0x10001f6c,0x00057995,0x0009a880,0xcccba880,0xa880001a,0x4c400009,
    0x0001accb,0x0000d54c,0x4004ccc0,0x00000198,0x26002662,0xfd00001a,
    0x203fee0d,0x0efffffc,0x001ff700,0x3ffffee0,0x260001ef,0x3fffffed,
    0xfffda800,0x02efffff,0x7fffec40,0x754003ef,0xffffffff,0x3faa002e,
    0xff0dffff,0x3ffe000f,0x3fffee03,0x400004ef,0xfb105ffb,0x007bffff,
    0x6c13fe20,0xdfffb87f,0xf8807ffe,0xff90004f,0x3fffffff,0xffff5000,
    0x01dfffff,0xfffffd10,0xdfffffff,0xffff5001,0x01dfffff,0xffffff90,
    0x09ffffff,0xffffff70,0x0fff1dff,0x20fffe00,0xffffffe8,0x00000eff,
    0xff70bff7,0xbfffffff,0x05ff3000,0xdff117fe,0x201ffdc1,0xa8000ffb,
    0xeb89cfff,0x7e4006ff,0xfdbacfff,0x7fd405ff,0xa9abcfff,0x00effffc,
    0x2f3fffea,0x00fffeca,0x2f3ffff6,0xffffcbaa,0xbfff500d,0xffff9537,
    0x3fe000ff,0xcfffe83f,0x0efffdab,0x5ffb8000,0x56ffffd4,0x00dfffeb,
    0x2207fee0,0x17fdc4ff,0xff103ff4,0x3ff60009,0x01fffa85,0x209fff30,
    0xf303fffb,0x44017fff,0x880efffc,0xd881efff,0xfff506ff,0x7fe44017,
    0x4fff884f,0x0fffff30,0x70fffe00,0xff303fff,0xf700009f,0x6fffc4bf,
    0x04fff980,0x7d41ff20,0x407fe42f,0xff900ffc,0x3ffe0001,0x005fff02,
    0xfb01bff6,0x3fffa0bf,0x3fff2001,0x00fffc83,0x7ec17ff4,0x3ff6004f,
    0x405ffe87,0x0007fffa,0x7fc47fff,0x3ffe602f,0x7fdc0000,0x803bfee5,
    0x3a006ffc,0x81ff706f,0x3ff707fd,0x0009ff10,0xff817ffc,0xfff8801f,
    0x07ffd400,0x000bffee,0x3fe1bffa,0x6ffa804f,0x2000fff8,0x7fc1fff8,
    0x7ffe801f,0x47fff000,0xfe807ffb,0x7dc0003f,0x00fffa5f,0x1001fff3,
    0x1ff609ff,0x7fdc1ffa,0x000ffc82,0x2617ff60,0xff9006ff,0x2066a007,
    0x50006fff,0x7fc45fff,0x1fff000f,0x0007ffcc,0xff993ffa,0x0fff5006,
    0xd8fffe00,0xffb804ff,0xb8153006,0x07b725ff,0xf90bffe0,0xffffffff,
    0xffffffff,0x641ff6ff,0x1ffc41ff,0x3ffee000,0x8027ff43,0x40001fff,
    0x0002fff9,0xfff306f2,0x117ff400,0x98007fff,0x17fee099,0x003ffcc0,
    0x3fe3fff8,0xfff8802f,0xffff9500,0x017fee9f,0x207ffc40,0xfffffffc,
    0xffffffff,0x1ff97fff,0xff90ffb0,0xff880001,0xeffe99ff,0x00fff000,
    0x01fff900,0xdff70000,0x21fff400,0x0000fffd,0x1004ffc8,0x3e000fff,
    0x1fff13ff,0x20bffe00,0xfffffffd,0x005ffbdf,0x950dff70,0x99ffd999,
    0x9bffb999,0x113fe699,0x3ff88bff,0xfff30000,0x001bffff,0xdb897fe2,
    0x3a00bdff,0x000007ff,0x7c00fff5,0x7ffdc4ff,0x360001cf,0xff1003ff,
    0x3ffe000f,0x001fff33,0xffb0fffa,0xffb537bf,0x5000bfff,0x3a007fff,
    0x01ff905f,0x3ee77ff6,0x03fe41ff,0x3ffee000,0x7cc003ff,0xfffff55f,
    0x3fe05fff,0x1000005f,0xf1001fff,0xfff909ff,0x0037bfff,0x98027fe4,
    0xff0007ff,0x01ffea7f,0x3e63ffe8,0xfff504ff,0xfb7100bf,0x22005fff,
    0x0ffb04ff,0x7fffff4c,0x01ffcc3f,0xfffd3000,0xff5000bf,0xfdffff59,
    0xff07ffff,0x4000009f,0xfb804fff,0xfff705ff,0x5bffffff,0x005ffb80,
    0x2000fff5,0xfff53fff,0xd27fec00,0xffb80bff,0xfffe805f,0x3e6001ff,
    0x80bff02f,0x81dfffc8,0x100007fd,0xfffffffb,0xeffb8007,0x7fd41dff,
    0x3ffe20ff,0x32000003,0x3e201fff,0x36605fff,0xffffffff,0xfff503ff,
    0x01ffee00,0xfb9fffc0,0x3ff6006f,0x2007ffe4,0xff805fff,0x004fffff,
    0xff101ff7,0xf3004007,0x9bdb707f,0x7fff4401,0x41ffff9d,0xffff9008,
    0x2fff4409,0x0007fff1,0x7fff4400,0xfffffa83,0xfeca8805,0x85ffffff,
    0xf802fff8,0xff0007ff,0x01bfee7f,0xff14ffd8,0x17ff200d,0x3f6e6ae0,
    0x7ec00eff,0x003ff507,0xb11bf600,0x03ffffff,0xfa8bfffa,0x3ff60fff,
    0x037ffdc3,0xff0fffd4,0x800000bf,0xeefffffa,0x4ffbcfff,0xffda8800,
    0x7dc0efff,0x3fee00ef,0xfff0007f,0x801ffea7,0xbff54ffd,0x017fee00,
    0x02fffd40,0x7fe417fa,0xff980000,0x6df7fe42,0x7fdc0fff,0x6fffb82f,
    0xfa85fff1,0xffd002ff,0x0037ff45,0x7ff4c000,0xf94fffff,0xf500009f,
    0xff889fff,0xfffc81ef,0xfff0007f,0x801ffe67,0xbff73ffe,0x017fea00,
    0x21fffc80,0xefffeeeb,0xefffeeee,0xd8005eee,0x22ffc46f,0x7ffc4ff9,
    0x33fff605,0xffa87ffb,0x9ffb001f,0x0003ffec,0xffdb8002,0x0fff61bd,
    0x7fec4000,0xfffff987,0xffefffed,0x7fff0007,0x4003ffe2,0x9ffb3ffe,
    0x017fe600,0x647fff00,0xffffffff,0xffffffff,0x7cc007ff,0x40ffdc2f,
    0x3ffe67fd,0x7ffff402,0xfff984ff,0x49ff9000,0x0001fffb,0x0000f7f2,
    0x65c4bffa,0xfff30004,0xffffd103,0xdff57fff,0x8fffe000,0xff000fff,
    0x017fee5f,0x0002ffcc,0xeeb93ffa,0xeeeeefff,0xeeeeeffe,0x437f4005,
    0xffc80ffd,0x801fff50,0x0ffffff8,0x001fff88,0x7fc47ffb,0x3fe0002f,
    0xff80005f,0x05fff10f,0x40fffa00,0x1bdfeca8,0x765cdff5,0xf1fffc01,
    0xff1003ff,0x01bfea1f,0x0662ffd4,0xb05ffd80,0x07fea0ff,0x05ff5000,
    0x3fee0ffd,0x005fff31,0x40bffff3,0xfd003fff,0x06ffe83f,0x83fff500,
    0xfa800a98,0x027fec6f,0x001fff80,0xfe97fea0,0x3ffe202f,0x2013ff62,
    0x3fe27ffa,0x2bff7007,0x3a007ffa,0x0bff03ff,0x00003ff2,0x1ff60dfd,
    0xff88ffdc,0xfffd005f,0x17fee01d,0x2a1ffe20,0x44003fff,0xffe86fff,
    0x44ffd803,0x4000fffb,0x00d47ffa,0x7ec9ff90,0x3ffe603f,0x201bfea1,
    0x7ffc5ffd,0x15ffe802,0xf1005fff,0x9ff103ff,0x0001bfa0,0x3f605ff5,
    0x741ff907,0x7ec00fff,0x880effff,0x7e403fff,0x9fffb06f,0x3fffa200,
    0x407ffb82,0x7c40fffa,0xd3002fff,0x1fff89ff,0x917ffc40,0x7fe40dff,
    0x202ffe87,0x7ec1fff8,0x7ffd406f,0x201bffa5,0xfa80fffd,0x00bff02f,
    0x2e06fe80,0x47fd81ff,0x880efff9,0xfffffffd,0x2fffc80e,0x203fff70,
    0x0bdffff8,0x09ffff70,0x540fffe6,0xffb04fff,0x710139ff,0xfe83ffff,
    0x7ffec05f,0x077ffe60,0xf70bfff7,0xffd103ff,0x0bffd10b,0x997fffe6,
    0xf900cfff,0x3fee05ff,0x003ff980,0x980bfea0,0x27fcc5ff,0x5effffe4,
    0x8cffffec,0x440efffe,0xb9bdfffe,0x4c02fffd,0xcefffffe,0x5fffffec,
    0x5f7ffe40,0x05fffdb9,0x7fffffec,0xfffffede,0xdfffb81f,0xfffb730b,
    0xdffffb03,0x01dffffb,0x2ab3fffa,0x300ffffc,0x9537dfff,0xb8bffdff,
    0xbaadffff,0x3604fffe,0x03ff507f,0x4037f400,0xffcaeffc,0xffff700f,
    0x85ffffff,0xfb01fffd,0xffffffff,0x3ffa2007,0xffffffff,0xffb003ff,
    0xbfffffff,0x3ffff200,0xffffffff,0x3fff600e,0xffffffff,0xffffd102,
    0x401fffff,0xffffffd8,0x7d401fff,0xdfffffff,0xffc85ff9,0xffffffff,
    0xc82ffc03,0xf70000ff,0xffb1003f,0x9805ffff,0xdefffffd,0xb805fb01,
    0x2ceffffe,0xfffc9800,0x00cfffff,0x7ffffd40,0x64c002ef,0xeffffffe,
    0xffb800bd,0x2effffff,0xfffffc80,0xff9001ce,0x0019ffff,0x3ffffae6,
    0x260bff34,0xdffffffe,0x301aa800,0x7f400055,0x77edc005,0x554c000c,
    0x98005000,0x2600000a,0x00009aa9,0x0009aa88,0x0aaa9880,0x372ea000,
    0xa98001bc,0x2a20000a,0x2200009a,0x2620000a,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc40000,0xa8000000,0x009bccca,0x00a98800,0x26003ed8,0x33000099,
    0xccb98013,0x2202600b,0x44000099,0x99999999,0x99999999,0x02666219,
    0x83333000,0x00009998,0x4c413331,0x4cc40019,0x0ccc0009,0x0004ffc8,
    0xffff9300,0x09ffffff,0xfffff900,0x1ff2019f,0x017ffc40,0x303fff80,
    0x05ffffff,0xff903f91,0xffd80009,0xffffffff,0x7fffffff,0x001bffea,
    0x444fffa8,0x8000ffff,0x3ea0effe,0x3fa001ff,0x3ee005ff,0x09ff907f,
    0xfff90000,0xffffffff,0xd3003dff,0xffffffff,0x03ff505f,0x005fff10,
    0x220fffe0,0x0ffffffe,0xfc81fff8,0x7ec0004f,0xffffffff,0xffffffff,
    0x01fffec7,0x077ffc40,0x002fffd4,0xf107fff2,0x3e2005ff,0x36007fff,
    0x9ff905ff,0x7ec40000,0xaacdefff,0x3ffffedb,0x3bfffe20,0x1ffffebb,
    0x4401ffc4,0xf0002fff,0xfff707ff,0x3fe0535b,0x04ffc81f,0x77776400,
    0xeeeeeeee,0x447fffee,0x4000ffff,0x3201fffc,0xf5003fff,0x3ffa07ff,
    0xffff7004,0x3ffe003f,0x009ff903,0x7ffff400,0xffffb802,0x03fffb01,
    0xfd0dffd3,0x5fff100b,0x0fffe000,0x7c01bff2,0x4ffc81ff,0x90000000,
    0xff507fff,0x7fd400bf,0x7ff4404f,0x7ffc400f,0x01bff205,0x1ffeffec,
    0x80fffc40,0x00004ffc,0x001bfff7,0x4427ff4c,0x3ea04fff,0x03fdc2ff,
    0x0017ffc4,0xfd83fff8,0x3fff004f,0x0009ff90,0xfff70000,0x17ffec0b,
    0x037ff440,0x406fff98,0x2600effe,0xff800fff,0xb806ff9e,0x3ff206ff,
    0xff980004,0xff50005f,0x0fff981f,0x261fffc0,0x7fc402ff,0xfff0002f,
    0x005ffd07,0x3f207ffe,0x0000004f,0x0077ffd4,0x801ffff1,0x2001fffc,
    0xf904fffb,0xfff003ff,0xf4ff9805,0xffd801ff,0x113ff204,0x3f600155,
    0x3a0000ff,0x3ffd44ff,0x7c27fec0,0x7ffc404f,0x7fff0002,0x5405ffd0,
    0xffffffff,0x9889ff93,0x4c00001a,0xa800ffff,0x3e605fff,0xfe8003ff,
    0x7ffd41ff,0x09ffb003,0xffb2ffc8,0x02ffe805,0x7fdd3ff2,0x7c03efff,
    0x5c0004ff,0x7ffc40bd,0x417ffc02,0x7fc406fd,0xfff0002f,0x3fffff27,
    0x3ea0ffff,0x3fffffff,0x3fa69ff9,0x001dffff,0x17fffc40,0x05fffb00,
    0x000dffd1,0xf89bffe2,0x3ee005ff,0x87ff405f,0x3e204ffb,0x3ff200ff,
    0xffffffcc,0xfff505ff,0xe8000005,0x3fee05ff,0x00ffb80f,0x000bffe2,
    0xffc9fffc,0x0fffffff,0x2fffeaa2,0x79ff90aa,0xffffffff,0x7f40001f,
    0x7c4003ff,0x7fe40fff,0x3ea0000f,0x1fffb4ff,0x03ffcc00,0x7fc4dff1,
    0x01bfea07,0x7bfffff9,0x0dfffb53,0x0001fff9,0xbfffb800,0x82fff540,
    0x3e203ff8,0xff0002ff,0x3faaa67f,0x3e02aacf,0xfffc81ff,0xfdbacfff,
    0xc8000eff,0x50005fff,0x7fcc9fff,0xfd80003f,0x01fffdff,0x501fff80,
    0x1ffe89ff,0xc807ff90,0xf703ffff,0x7ffd85ff,0xf5000000,0xfff9bfff,
    0x05fe809f,0x000bffe2,0x7f41fffc,0x3fff002f,0x09ffff90,0x000fffea,
    0x000dfff5,0xfd1fffd8,0x220000bf,0x03ffffff,0x207ffb00,0x7fe41ffd,
    0x803ffd03,0x6404fffc,0x2fff46ff,0xd1000000,0x5fffffff,0x440ff900,
    0xf0002fff,0x5ffd07ff,0x207ffe00,0x6c05fffc,0x3e6005ff,0x40000fff,
    0xffbefff8,0x2600000f,0x0005ffff,0x7fc17fee,0x885ffa87,0xffc807ff,
    0x7ffc400f,0x4013ffe2,0xaaaaaaaa,0xfea80aaa,0xefffffff,0x80ffd403,
    0x0002fff8,0xffd07fff,0x07ffe005,0x7003fff2,0x3a200dff,0x00001fff,
    0x5ffffff5,0xffd00000,0x7c40009f,0x85ff987f,0xffa87ff8,0x05ffc805,
    0x7fc7ffb0,0xfffd004f,0x3fffffff,0x9befffc8,0x05fffda9,0xff881ffc,
    0xfff0002f,0x005ffd07,0x3f207ffe,0x6ffa807f,0x07fffb00,0xfffd8000,
    0xb800005f,0x001fffff,0xf703ffa0,0x0bffa07f,0xf9007ff9,0x3ff2009f,
    0x4017ffa4,0xfffffffe,0x3fea1fff,0x3ffea03f,0x441bf604,0xf0002fff,
    0x5ffd07ff,0x207ffe00,0xf9806ffc,0xfffc806f,0xf8800004,0x00000fff,
    0x7fffffcc,0xff90000e,0x700ffe85,0x0ffe89ff,0x003ffc80,0x7fecbff7,
    0x99997005,0x43fff999,0xfb805ffe,0x1ff700ff,0x005fff10,0x3a0fffe0,
    0xfff002ff,0x009ff903,0xfa80dff3,0x000006ff,0x00017ff6,0xf5bfff10,
    0x2a000bff,0x1bfe24ff,0x3e25ff98,0x5ff9006f,0xc9bfea00,0x880007ff,
    0xfff31fff,0x0fffa001,0xff817fcc,0xff88003f,0x02ffe83f,0xf903fff0,
    0xdff3009f,0x07fffcc0,0xffb00000,0xfd80000b,0x5fffb0ff,0x4dff1000,
    0x7fc04ffa,0x4013fea7,0xf7003ffc,0x17ffd4bf,0x3ffe2000,0x400fff51,
    0x3fe04ffd,0x007fff04,0xd05fff10,0x3fe005ff,0x04ffc81f,0xd106ff98,
    0x00003fff,0x005ffd80,0x8fffee00,0x000ffff8,0xff90ffe8,0x91ffd805,
    0x3f2005ff,0x9ff9003f,0x0005fff8,0xfb8fffc4,0x3fee006f,0x741ff205,
    0xf98004ff,0x2ffe81ff,0x903fff00,0xff3009ff,0x0ffff60d,0x3f600000,
    0xf300005f,0xfff50bff,0x5ff9000d,0x3ee01ffe,0x001ffd3f,0x6c013ff2,
    0x7ffe43ff,0x3fe20002,0x00fff31f,0xf5027fe4,0x0dff903f,0x01fff900,
    0x3e005ffd,0x4ffc81ff,0xc86ff980,0x00004fff,0x00bffb00,0x1fffd100,
    0x013fff20,0xff37ff50,0x29ff100b,0x3f2006ff,0xfff9807f,0x07fffc41,
    0x1fff9800,0x2003fff1,0x3e202ffe,0x3fffa83f,0x1bffe200,0xf8017ff4,
    0x4ffc81ff,0x546ff980,0x00006fff,0x017ff600,0x07fff600,0x003fffd0,
    0x7fdeffc4,0xf3dfd003,0x7fe4007f,0x2ffec03f,0x02ffffa8,0x3ffff220,
    0x2017ffa1,0x7400fffb,0xffff885f,0x7fff9002,0x400bffa0,0xffc83ffe,
    0x26ff9804,0x000efff9,0x3ff60000,0x7fdc0005,0xfff9804f,0x3ffa000e,
    0xf9001ffd,0x4003ff9f,0x903ffffc,0x7e403fff,0x40abefff,0xfffffca8,
    0x17ffe60d,0x804fffa8,0xffb80ffb,0xfd301bff,0x7ff40dff,0xdfffb002,
    0x013ff25d,0x7f45bfe6,0x99999aff,0x99999999,0x7ec00099,0x3e60005f,
    0x3ee006ff,0x3ee005ff,0x2a007fff,0x4007ffff,0xbdfffffc,0x04fffdb9,
    0xffffffb8,0xfffffdef,0xff902eff,0xfb7359df,0x3e600dff,0xffffb02f,
    0xfffdbbff,0x7f403fff,0xfff5002f,0x13ff2bff,0x7cdbfe60,0xffffffff,
    0xffffffff,0x6c003fff,0x3a0005ff,0x74000fff,0xf3002fff,0x44009fff,
    0x4005ffff,0xfffcaffc,0x003fffff,0x3fffffa6,0xffffffff,0xffffb803,
    0x0dffffff,0xc813fe00,0xffffffff,0x400effff,0x2a002ffe,0xff96fffe,
    0x2dff3009,0xfffffff9,0xffffffff,0x003fffff,0x8002ffec,0x8002fffc,
    0x000ffff8,0x8005ffff,0x4003fffe,0xfff72ffc,0x20003dff,0xffffffc9,
    0x2000bdef,0xffffffd8,0x6fd8002e,0x7fffe4c0,0x002dffff,0x20005ffd,
    0x013ff209,0x7fcdbfe6,0xffffffff,0xffffffff,0x7ec003ff,0xffa8005f,
    0x3ea0005f,0xffb006ff,0xffb8001f,0x2200000f,0x4400001a,0x00001aa9,
    0x00006aa6,0x4cc00553,0x00009aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33100000,0x33100003,0x3304cc43,
    0x33333333,0x33333333,0x02662133,0x33333000,0x33333333,0x4cc40013,
    0x26666660,0x00999999,0x26609988,0x33100009,0x00ccccc1,0x82666600,
    0x98000199,0x33300019,0x00ccc413,0x40003530,0x0001fffb,0xff937fe4,
    0x3ffffe29,0xffffffff,0x4fffffff,0x40009ff9,0xfffffff8,0xffffffff,
    0x7fe400ce,0xffffff14,0xffffffff,0x5bff205b,0x0006fff9,0x3fe67ffd,
    0x10001fff,0x3e6bffff,0x260000ff,0x64000fff,0x3fa1ffff,0xff8800ff,
    0x3f2fffb4,0x3fff887f,0x1fffc000,0x3fe29ff9,0xffffffff,0xffffffff,
    0x09ff94ff,0x7fffc400,0xffffffff,0x01efffff,0x7fc53ff2,0xffffffff,
    0x1fffffff,0xff9b7fe4,0xfe8003ff,0xfffff33f,0x3fee0007,0x1fff35ff,
    0x7ffcc000,0x3fff2000,0x07fff40e,0x6d3ffa20,0x0fff97ff,0x8001bff6,
    0x3f20fffa,0xddddd14f,0xdfffdddd,0x7ddddddd,0x80013ff2,0xcccdfff8,
    0xfedccccc,0xf902ffff,0x3bffe29f,0xeeeeeeee,0x20ffffff,0xfff36ffc,
    0xfe8003ff,0xfffff33f,0x3ffa000d,0x1fff35ff,0x7ffcc000,0xdfff9000,
    0x01fffd01,0xfb4fffd8,0x41fff2ff,0x0001fffa,0xaa98bffb,0x1ffee001,
    0x004ffc80,0x00bffe20,0x07fffc88,0x3fe29ff9,0xffd3001f,0x9b7fe4df,
    0x006fffff,0xff99fff4,0x4001ffff,0x35fffff8,0x40001fff,0xc800fff9,
    0xfd00efff,0x3f6201ff,0x99974fff,0xff81332a,0xff88004f,0xf700002f,
    0x7fe400ff,0x3fe20004,0xffc8002f,0x14ffc81f,0xd8003fff,0xdff91fff,
    0x3fffffe6,0x4fffa003,0x3ffdfff9,0x7f7fdc00,0x01fff35f,0x07ffcc00,
    0x03bfff20,0xa80fffe8,0x04ffffff,0x07ffc800,0x006ffb80,0x01ffee00,
    0x0004ffc8,0x000bffe2,0x7e41fffc,0x03fff14f,0x93fff980,0x3ffe6dff,
    0xd001fffe,0x3ffe67ff,0x74006ffa,0xf35ffcef,0x4c0001ff,0x3f200fff,
    0x7f400eff,0x3ff620ff,0x004ffeff,0x02fff980,0x001fff40,0x00fff700,
    0x00027fe4,0x0005fff1,0x3f217ff6,0x03fff14f,0x32bfff00,0x3fff36ff,
    0x3a00dfff,0x1fff33ff,0x26003fff,0x35ffccff,0x40001fff,0xf900fff9,
    0xfb001dff,0x7fffc1ff,0x004ffc8e,0x00bffd00,0x6407ffcc,0x3ee004ff,
    0x3ff2007f,0x3bffe604,0x00bffe20,0x642fff40,0x3fff14ff,0x2dffb000,
    0xfff36ffc,0x009fff71,0x3fe67ffd,0x2007ff97,0x5ffc9ffb,0x0001fff3,
    0x6407ffcc,0xb000efff,0x4fff8fff,0x00013ff2,0x8007ffdc,0xff905ffc,
    0x3ffdc009,0x209ff900,0x440efff9,0x88002fff,0xffc84fff,0x003fff14,
    0x3f2bffd0,0x21fff36f,0x7401fffd,0x2fff33ff,0xfd006ff9,0x7cd7ff2d,
    0x260000ff,0x7fe40fff,0x7fe4005f,0x3f2067c7,0xf100004f,0x3fe005ff,
    0x09ff902f,0x003ffdc0,0xff309ff9,0xfff101df,0xfffb0005,0x229ff905,
    0x44001fff,0xdff93fff,0x7c43ffe6,0x7ff406ff,0x7fcfff33,0x9ffcc01f,
    0xfff35ffc,0x7fcc0001,0x17fff20f,0x11bff200,0x0013ff20,0x805ffd80,
    0x3f207ffa,0x3fee004f,0x13ff2007,0x440bfff3,0x26002fff,0xf905fffe,
    0x07ffe29f,0x23fffb00,0xfff36ffc,0x027ffdc1,0x3fe67ffd,0x900fff27,
    0x57ff21ff,0x0000fff9,0x7e43ffe6,0xb8000fff,0xff9006ff,0x7cc00009,
    0x7fec00ff,0x013ff204,0x2007ffb8,0x3fe64ffc,0x7ffc405f,0xcccccccd,
    0xffffffee,0x229ff900,0xd5001fff,0x7fe4bfff,0xd81fff36,0xffd01fff,
    0xf99ffe67,0x937f406f,0x3ffe6bff,0x3fe60000,0xfffffc8f,0x5ffb8005,
    0x009ff900,0x03ffe800,0xc807ffe2,0x3ee004ff,0x3ff2007f,0x00bfff34,
    0xfffffff1,0xffffffff,0x7e401bff,0xddfff14f,0xffdddddd,0x641fffff,
    0x1fff36ff,0xd06fff88,0x1ffe67ff,0x3e603fff,0x4d7ff23f,0x20000fff,
    0xfffdfff9,0x4003ffff,0xf9005ffa,0xb800009f,0x3fee06ff,0x027fe406,
    0x400fff70,0xfff8cffc,0xffff1005,0xffffffff,0x90037bff,0x3ffe29ff,
    0xffffffff,0x40dfffff,0xfff36ffc,0x09fff701,0x3fe67ffd,0xc81ffe47,
    0x57ff20ff,0x0000fff9,0x3fffffe6,0x01fffe8c,0x4013fe60,0x00004ffc,
    0xe807ffc4,0x7fe402ff,0x1ffee004,0xffdffc80,0xff1003ff,0x7555559f,
    0x4005dfff,0xfff14ffc,0xffffffff,0x3205bdff,0x1fff36ff,0xd07fff60,
    0x1ffe67ff,0x3fe0dff3,0xf9affe46,0x260000ff,0x264fffff,0x26006fff,
    0xff9004ff,0xfb000009,0x0fff307f,0x4009ff90,0x32007ffb,0xffffffff,
    0x2fff8801,0x027ffec0,0xff14ffc8,0x5555559f,0x3ff20013,0x201fff36,
    0x7f46fff8,0xd0fff33f,0x3ff983ff,0xff9affe4,0x3e60000f,0xffc84fff,
    0x7ff1004f,0x5d3ff200,0x099954cc,0x6437fd40,0xffc804ff,0x1ffee004,
    0xdffffc80,0xf8806ffe,0xffd802ff,0x4ffc803f,0x0003fff1,0x7cdbff20,
    0x3fee00ff,0x4cfffa4f,0x3ffc87ff,0x3f207fe4,0x01fff35f,0x27ffcc00,
    0x005fffd0,0x32007ff1,0x2fffb4ff,0x7c007ffc,0x0fffc1ff,0x0027fe40,
    0x6400fff7,0xfff34fff,0x2fff8807,0x05fffd00,0xff14ffc8,0x3200003f,
    0x1fff36ff,0xd1fffd80,0x1ffe67ff,0xbff1bfe6,0x3e6bff90,0x260000ff,
    0x3e200fff,0xff800fff,0x29ff9002,0xfff97ffd,0x24ffc800,0xf9006ffa,
    0x7fdc009f,0x17ff2007,0x4403fff9,0xf3002fff,0x7e403fff,0x03fff14f,
    0x5bff2000,0x4400fff9,0x7ffd6fff,0x7f41ffe6,0x905ff51f,0x3ffe6bff,
    0x3fe60000,0x7ffdc00f,0x002ff806,0x3ff69ff9,0x800fff97,0x3ff27ff9,
    0x09ff9003,0x003ffdc0,0xfe889ff9,0x3ffe206f,0x3ffee002,0x453ff206,
    0x00001fff,0x3fe6dff9,0xfffb800f,0xff33ffec,0x64fff20f,0x5ffc80ff,
    0x0001fff3,0x4007ffcc,0x5404fffd,0x9ff9000a,0xd00006f8,0x03ffe3ff,
    0x0027fe40,0x6400fff7,0xfffa84ff,0x05fff103,0x03fffe80,0x3fe29ff9,
    0xf900001f,0x03ffe6df,0x7fffff40,0x20fff33f,0x0bff6ff9,0x7fcd7ff2,
    0x3e60000f,0xff8800ff,0x200002ff,0x53e64ffc,0xb8004ccb,0x05ffacff,
    0x8013ff20,0x32007ffb,0xfffb04ff,0x05fff103,0x0ffff980,0xff14ffc8,
    0x3200003f,0x1fff36ff,0x3fffe200,0x0fff33ff,0x17fdfff4,0xff35ffc8,
    0x7cc0001f,0xff5000ff,0x200001ff,0x4bee4ffc,0x88007ffc,0x01ffceff,
    0x8013ff20,0x32007ffb,0xfff104ff,0x05fff10d,0x0bfff900,0x3fe29ff9,
    0xf900001f,0x03ffe6df,0xfffffb80,0x640fff33,0x3207ffff,0x5fff35ff,
    0x33333333,0x7fcc3333,0x3ff2000f,0x04cca85f,0x3ee9ff90,0x00fff90e,
    0x1bffff20,0x009ff900,0x9003ffdc,0x7fd409ff,0x17ffc43f,0x2fffe800,
    0xff8a7fe4,0xf900001f,0x03ffe6df,0x7ffffd00,0xf981ffe6,0x3f205fff,
    0xfffff35f,0xffffffff,0x3fe61fff,0x7ff4000f,0x03ffec3f,0x8b74ffc8,
    0x30007ffc,0x8007ffff,0x2e004ffc,0x3f2007ff,0x7ffec04f,0x00bffe21,
    0x07fffcc0,0x3fe29ff9,0xf900001f,0x03ffe6df,0x7ffff100,0xfd01ffe6,
    0x7fe405ff,0xffffff35,0xffffffff,0x3ffe61ff,0x7ffcc000,0x01fff61f,
    0x00027fe4,0x07fff400,0x013ff200,0x2007ffb8,0x7c404ffc,0x3ffe26ff,
    0x3ff20002,0x453ff25f,0x00001fff,0x3fe6dff9,0xffb8000f,0x80fff33f,
    0x7e407ffc,0xfffff35f,0xffffffff,0x3fe61fff,0xffb8000f,0x0fffb0ef,
    0x0013ff20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80004ccc,0x2a200999,0x200abccb,
    0x99999999,0x99999999,0x26666609,0x99999999,0x4c099999,0x99999999,
    0x00000199,0x33300cc4,0x33333333,0x33000001,0xfb800013,0xffffffff,
    0x31005fff,0xfff30035,0xffffffff,0x40bfffff,0x5c00aa98,0x05fff4cc,
    0x40fffe00,0xfffffffb,0xffff80cf,0xffffffff,0xf15fffff,0xffffffff,
    0xffffffff,0x7fffc4df,0xffffffff,0x400002ef,0xf980fff8,0xffffffff,
    0x002dffff,0x0ffff980,0x3fff2000,0xffffffff,0x3ff2205f,0x302effff,
    0xffffffff,0xffffffff,0xffffd70b,0xffb03bff,0x000bffef,0x7f41fffc,
    0xffffffff,0x7fffc2ff,0xffffffff,0xf15fffff,0xffffffff,0xffffffff,
    0x7fffc4df,0xffffffff,0x0003ffff,0x301fffb0,0xffffffff,0x7fffffff,
    0xfffc8000,0x3fa0003f,0xffffffff,0xff705fff,0xffffffff,0xffff981b,
    0xffffffff,0x7ec4ffff,0xffffffff,0xfbffec3f,0xff0002ff,0xdfffc87f,
    0x3fffee21,0x3bbbffe0,0xeeeeeeee,0xfff14eee,0xdddddddd,0xbddddddd,
    0x7777ffc4,0xffffeeee,0x40006fff,0x980ffffb,0xeeeeefff,0xffffffee,
    0x3bfe0004,0x3e0006ff,0x999999ff,0xfa809999,0xebaacfff,0x99985fff,
    0x99999999,0x320effd9,0xca9acfff,0x3f62ffff,0x005fff7f,0xfa8fffe0,
    0x3fe604ff,0x00fffe6f,0x05fff100,0x3ffe2000,0xfffb8801,0xff30005f,
    0xff301fff,0xfff5001f,0xff50005f,0x0003ffd7,0x4000fff1,0x700dfff8,
    0x40007fff,0x7fc1fff9,0x17ffa02f,0x017ffdbe,0x363fff80,0xffa806ff,
    0x007fff0f,0x02fff880,0x3fff1000,0x7fff4400,0xfffe8003,0xfff980ff,
    0x9ffd1000,0x73ffb000,0xf5000bff,0x7e4000bf,0x7ffc806f,0x5ffd1000,
    0x5406ff98,0xfa7cc7ff,0xff0002ff,0x017ffc7f,0xfff2fff8,0xff880007,
    0xf100002f,0xf88003ff,0x7e4007ff,0x980fffcf,0x2e000fff,0x7c4007ff,
    0x01fff17f,0x004ffb80,0x200bffa0,0x8000fff8,0xff985ffc,0x5c04c00f,
    0x005fff2f,0x7ccfffe0,0xffd000ff,0x000fffe7,0x005fff10,0x07ffe200,
    0x0fffea00,0x7c6ffcc0,0xfff980ff,0x3ffe6000,0x97fee000,0x6c003ffd,
    0xf10002ff,0x3fe003ff,0x7fcc002f,0x5dfff00f,0xf0efb800,0x3e0005ff,
    0x000c43ff,0x3ffe3fff,0x7fc40003,0xf100002f,0x3e0003ff,0xff8805ff,
    0x80fff88f,0x2000fff9,0x74007ffa,0x1bfee2ff,0x4c1ffd00,0x3a98009a,
    0x00bffe00,0x203ffe88,0xbdfffffc,0x3fe2dc00,0xfff0002f,0x7fcc0007,
    0x000fffe7,0x005fff10,0x07ffe200,0x037fe400,0xff897fec,0x0fff980f,
    0x013ff200,0x220fff98,0xf1002fff,0xffff91ff,0x400007df,0x2000fff9,
    0xfc806ffc,0xceffffff,0x05fff001,0x00fffe00,0xf2fffc40,0x880007ff,
    0x00002fff,0x0003fff1,0xf501ffea,0x07ffc49f,0x8007ffcc,0x2001fffa,
    0xffd84ffd,0xffff3005,0xffffffff,0xfb00001b,0x7fcc00df,0xffb5002f,
    0x09ffffff,0x5559fff0,0x55555555,0x007fff55,0x41fffd10,0x40003fff,
    0x999bfff8,0x99999999,0x7ffc4099,0xfff30001,0x83bfe201,0xf980fff8,
    0x99999aff,0x2fffdba9,0x07ffe200,0x2003ffea,0xbdfffffb,0x06ffffdb,
    0x1fffcc00,0x00fff900,0xffffb510,0x7fc01dff,0xffffffff,0xffffffff,
    0x744003ff,0x7ffc1fff,0xffffffff,0x7c46ffff,0xffffffff,0xffffffff,
    0x00fffc46,0x02fff880,0xff883ffd,0xffff980f,0xffffffff,0x5c001fff,
    0x3ffe06ff,0x5fffc803,0x09fffb10,0x17ffe200,0x009fff00,0xffff7300,
    0x7ffffc05,0xffffffff,0x3fffffff,0x3fffa200,0xffffff81,0xffffffff,
    0x7fffc46f,0xffffffff,0x446fffff,0x20001fff,0xffb83fff,0x80fff884,
    0xfffffff9,0xffffffff,0x3ffa000c,0x01fff204,0x36013bae,0x44001fff,
    0x2000fffe,0x2000fffa,0x27ffc400,0x999bfff0,0x99999999,0x007fff99,
    0xf80ffff4,0xffffffff,0x46ffffff,0xfffffff8,0xffffffff,0x7ffc46ff,
    0xfff10001,0x106ff987,0xff301fff,0xdddddddf,0x3fffffff,0x01fff300,
    0x0017ffcc,0x0fffe200,0x2fffe880,0x02ffec00,0x5c027f64,0x3ffe06ff,
    0x7fff0002,0x07ffee00,0x0003fff8,0x0017ffc4,0x01fff880,0x85fff300,
    0xff101ffe,0x1fff301f,0xfffc9880,0x37fe401f,0x002fff40,0x027fec00,
    0x02fffe98,0x017ffc40,0x2007ffdc,0x3fe04ffd,0xfff0002f,0x0bffe007,
    0x0007fff0,0x002fff88,0x03fff100,0x87ffea00,0x3e203ffc,0xfff980ff,
    0x3ffea000,0x77fffc06,0xfeeeeeee,0x00000fff,0x4c037fe4,0x8002ffff,
    0xf1006ffc,0x7fcc0bff,0x0bffe01f,0x01fffc00,0x7c03ffcc,0x440003ff,
    0x00002fff,0x0003fff1,0xffa9fff2,0x9999999e,0x0999fffa,0x8001fff3,
    0xf501fffc,0xffffffff,0x9fffffff,0xffb80000,0x7fffd406,0x7fff0001,
    0x77ffdc00,0xfffca9ab,0x017ffc06,0x803fff80,0xff805ffa,0x7c40003f,
    0x100002ff,0x20003fff,0x3fee7ffd,0xffffffff,0x4fffffff,0x8001fff3,
    0xfb02fffa,0xffffffff,0xffffffff,0x7e400100,0x3ffee05f,0xff50000e,
    0xffd8001f,0xffffffff,0x02fff804,0x007fff00,0xff009ff7,0xf880007f,
    0x100002ff,0x10003fff,0x7fdc9fff,0xffffffff,0x4fffffff,0x8001fff3,
    0xf883fff8,0x3ea002ff,0xfffa82ff,0x09ffd000,0x003bffee,0x006ffc80,
    0xfffffd50,0x3fe007df,0xfff0002f,0x05995007,0x0007fff0,0x002fff88,
    0x03fff100,0x41fffb00,0xeeeeeeea,0xefffeeee,0x1fff33ee,0x1fffa800,
    0x8007ffb8,0xff885ffe,0xfff9802f,0x05fffc82,0x04ffd800,0x0d54c400,
    0x017ffc00,0x003fff80,0x03fff800,0x17ffc400,0xfff88000,0x7ffd4001,
    0x3fe20005,0x0fff980f,0x83ffe400,0xc8004ffe,0xffe81fff,0x86ffd806,
    0x0004fffb,0x0007fff0,0xfff00000,0x3ffe0005,0xff800003,0x7c40003f,
    0x100002ff,0x5c003fff,0x0001ffff,0x2603ffe2,0x2a000fff,0xff986fff,
    0xff88001f,0xdfffa84f,0x83fff900,0x0005fff8,0x005fff30,0xff000000,
    0x3fe0005f,0x4ccb803f,0x003fff80,0x4dfffc40,0x99999999,0x10999999,
    0x33337fff,0xffd75333,0x880005ff,0xff980fff,0x999999af,0xffffda99,
    0x006ffc81,0x641fff60,0xbaadffff,0xfd83fffe,0x999999ff,0x00999999,
    0x0001fff5,0xfff00000,0x3ffe0005,0x07ffd803,0x0003fff8,0x7fffffc4,
    0xffffffff,0xf13fffff,0xffffffff,0xffffffff,0xff100005,0xffff301f,
    0xffffffff,0x205fffff,0x20003fff,0xf902fffa,0xffffffff,0xffff505f,
    0xffffffff,0x2e07ffff,0x000007ff,0x05fff000,0x00fffe00,0x3e01fff6,
    0x440003ff,0xffffffff,0xffffffff,0xfff13fff,0xffffffff,0x003bffff,
    0x03ffe200,0x3fffffe6,0xffffffff,0xfff502ef,0xfff80001,0x3fffa606,
    0xf901dfff,0xffffffff,0x7fffffff,0x001bfee0,0x7fc00000,0xfff0002f,
    0x0fffb007,0x0007fff0,0xffffff88,0xffffffff,0xf13fffff,0xffffffff,
    0x00179ddf,0x0fff8800,0xffffff98,0xcdefffff,0x037fec02,0x0fffe400,
    0x400554c0,0xfffffffe,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a600000,0xa880001a,0x000001aa,0x009a9800,0x006aa200,0x0006a600,
    0x00000000,0x00155100,0x88001353,0x0000000a,0x00000000,0xb10017b2,
    0x3dffffff,0x7fff5400,0xc81effff,0xffb804ff,0xfffb7305,0x22003bff,
    0xeffffffc,0x2a5ff901,0x0dfffffe,0x8007ffd4,0x3ff25ffc,0xffffffff,
    0x3f27ffff,0xffffd51f,0xfffd887d,0x7fe40cff,0x45dfffd1,0x6400fffe,
    0x3ff61fff,0x07ffdc04,0x300fff10,0x2e005fff,0xffffffff,0x7ec404ff,
    0xffffffff,0x27fe43ff,0x5c2ffdc0,0xffffffff,0x7f4c03ff,0xffffffff,
    0xfaaffc83,0xffffffff,0x8017ffc2,0x3ff22fff,0xffffffff,0x3f27ffff,
    0xfffffb9f,0xfff32fff,0xc8dfffff,0xffffc9ff,0x1bffe22f,0x543fffa8,
    0x7ff406ff,0x17fea02f,0x01bfff60,0x2afbffea,0x05fffeb9,0x26b3fffa,
    0x0ffffda9,0x2e013ff2,0x7ffdc5ff,0xfffc9abf,0xffff502f,0xfffb7357,
    0xffdffc89,0xfffebabe,0x402ffe47,0x66547ff9,0xcccccccc,0x3f24fffc,
    0xbaceffdf,0xeffaffff,0x3fffecab,0x3fff7ff2,0xfffa87ff,0x85fff883,
    0xf100fff8,0x7e409fff,0x7ffc402f,0x3fe201ff,0xfff900df,0x05fff305,
    0xf91fffcc,0xbff7009f,0x806fffc4,0xffd07ffe,0x3ffee01b,0x0fffff21,
    0xf317ffe4,0xffc801ff,0xfff10004,0x3ffffc8b,0x4fffff88,0x326ffe88,
    0x530bffff,0xb03fff60,0x3fa01dff,0xffff502f,0x007ffc0d,0x17fefff2,
    0xc806ffd8,0x7fec0fff,0x25ffc805,0xfb804ffc,0x01fff25f,0xfb85fff3,
    0x7fdc00ef,0x013fff26,0xffe8bffb,0x00fffc03,0x077ff440,0xd817fff2,
    0x3ea06fff,0x13fff27f,0x25fff880,0x2e01fffb,0xdff905ff,0xbff301ff,
    0x3f6fff00,0x2fff880f,0x43fff880,0xfb801dcb,0x013ff25f,0xffd97fee,
    0x42ded803,0xff002fff,0x03fff23f,0xfb8bff90,0x1bfea06f,0x07ffec00,
    0x7007ffe4,0x7c403fff,0x1fff90ff,0xafffa800,0x4c03fff9,0x9dfd07ff,
    0x7ff705ff,0xf54ffb80,0x0dff309f,0x0027fe40,0xfc9bfea0,0x5ffb804f,
    0x80003ffe,0xb000fff9,0x1bff27ff,0xf11bfee0,0x3ff603ff,0xfffc8003,
    0x80fff901,0x7c00fffa,0x0fff91ff,0x3bfff200,0xffd005ff,0xfacff883,
    0x00ffe84f,0xfff07ff4,0x005ffb81,0x30017fee,0x4dfffd75,0xfb804ffc,
    0x00fff15f,0xaafffa80,0xaaaaaaaa,0xbff94ffd,0xb0dff500,0xfff107ff,
    0xfffb8001,0x01bff202,0xff00fff3,0x01bff23f,0xfffffe80,0x87ff9000,
    0x6ff8affa,0x2a037fc4,0x1ffdc5ff,0xa8013ff2,0x372607ff,0xffffffff,
    0x013ff26f,0x7fd57fee,0x7fdc0006,0xffffffff,0x95ffffff,0xff5009ff,
    0x70dff50d,0xfa800bff,0x7fe403ff,0x03ffcc05,0xffc8fffc,0x3fe60005,
    0x3e6002ff,0xe87fec5f,0x0ffea0ff,0xf885ffb0,0x027fec6f,0xd30fff30,
    0xffffffff,0x7e4dffbb,0x5ffb804f,0x8000bff7,0xfffffffc,0xffffffff,
    0x009ff96f,0x3fe0dff5,0x017ff41f,0x00bfff30,0xf9809ff9,0x1fff807f,
    0x40009ff9,0x002ffff8,0x9bfe3ffc,0x3ff62ffc,0x41ffe601,0x3ff22ffd,
    0x1ffea004,0x9dfffff3,0x9bfee137,0xfb804ffc,0x00dff75f,0xaaeffb80,
    0xaaaaaaaa,0x9ff92aaa,0x20dff500,0x3fe64ffc,0x3ffe6007,0x09ff9006,
    0xf807ff98,0x09ff91ff,0x7fffec00,0x3ff6000f,0x7d49ff32,0x901bfe4f,
    0x3fea09ff,0x8017fee6,0x3fe26ffb,0x3f200aff,0x013ff26f,0x7fcd7ff2,
    0x7fd40007,0x7fe40006,0x06ffa804,0x7fe4fff3,0xdffd1004,0x13ff2001,
    0xf00fff30,0x13ff23ff,0x77ffdc00,0x3ea005ff,0x443ff74f,0x09ff56ff,
    0xd007ffc4,0x1bfea3ff,0x265ffc80,0xfd801fff,0x013ff26f,0x7fc57ff6,
    0x4de9800f,0x0003ffe6,0xa804ffc8,0x3ffa06ff,0x2003ffd2,0x2001fffe,
    0x7cc04ffc,0x1fff807f,0x10009ff9,0xfff17fff,0x5bfe2007,0x8ffe87fd,
    0x3ee01ffc,0xaffdc05f,0x8802fff9,0x3fee3fff,0x4dffd006,0xff805ffb,
    0x00fffe5f,0xff893ff2,0xefe8803f,0x5009ff93,0x7fdc0dff,0xb006ff9c,
    0xc8003fff,0x7fcc04ff,0x91fff807,0xfd0009ff,0x0fffdcdf,0xff9ffd80,
    0xffaffc85,0x00e65c07,0xffd93322,0x0fffc806,0x9003fff2,0x7fdcdfff,
    0x3ffee00f,0x101bff25,0xffc85ffd,0x7ffe400f,0x5009ff91,0x7fc40dff,
    0xc803ffcf,0xc8002fff,0x7fcc04ff,0x91fff807,0xfb8009ff,0x37ff41ff,
    0xffdffb80,0xffeff983,0x88000004,0xf900dfff,0xfffa87ff,0x3fffee03,
    0x417ffe27,0x225ffffa,0xd880dfff,0xfff886ff,0xdfff500e,0x54027fe4,
    0x7fec06ff,0x7dc00fff,0xf90003ff,0x7ff9809f,0xf91fff80,0x7fcc009f,
    0x4fff983f,0xfffff880,0x5fffff01,0x2e000000,0xb9acefff,0xe883fffe,
    0xba9bdfff,0x47ffeffe,0xcacffffd,0x45ffcffe,0xaabefffa,0x501ffffd,
    0x7359ffff,0x641ffffd,0xffa804ff,0x7fffd406,0x7fffcc05,0xeeeeeecc,
    0xff93eeee,0x07ff9809,0xff91fff8,0x37ff4009,0x003fff70,0x6c0ffffd,
    0x00007fff,0x7fffd400,0x03ffffff,0x3fffffe6,0xfff3ffff,0x7ffff443,
    0xff8bffff,0xfffffa85,0x402fffff,0xfffffffa,0x7e41ffff,0x6ffa804f,
    0x02ffff80,0x7fffffcc,0xffffffff,0x09ff94ff,0xf807ff98,0x09ff91ff,
    0x007fff20,0xc801dffd,0x3ee05fff,0x000005ff,0xffffd880,0xd8801cef,
    0x0dffffff,0x3f213ff2,0xf12effff,0x3ff620bf,0x000cffff,0xffffff91,
    0x13ff207f,0x201bfea0,0xf9807ffc,0xffffffff,0x4fffffff,0xf9809ff9,
    0x1fff807f,0xf5009ff9,0xff3007ff,0xfff980bf,0x0bffe603,0x10000000,
    0x22000155,0x40000aa9,0x880001a8,0x440001aa,0x000009a9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00391b88,0x19970000,0x55555500,0x55555555,0x3a201555,
    0x1333101e,0x99886662,0xbcdca881,0x2aa25001,0x8888882a,0x00008888,
    0x00000000,0x00000000,0x00000000,0x5ff93000,0x0000b7fe,0x801ffe80,
    0xffffffff,0xffffffff,0x03ff102f,0x7d4bffea,0x3fff51ff,0x7fffffd4,
    0x6d880bef,0xfd0bfff2,0xffffffff,0x00000000,0x00000000,0x00000000,
    0xda800000,0xfff2ffff,0x000017ff,0xf801ffe8,0xffffffff,0xffffffff,
    0x201ff102,0xff52fffa,0x47ffea3f,0xfffffffa,0xdbbdffff,0x2ffec6ff,
    0x3ffffffa,0x000007ff,0x00000000,0x00000000,0x80000000,0xfffffeb8,
    0xfffff90d,0x200003bf,0xcc801ffe,0xcccccccc,0x1ccccccc,0xa9fe15b1,
    0x25fff52d,0xff51fffa,0x37ffea3f,0xffffffec,0x446fffff,0x3ffa1ffe,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x3ff26000,0x500cffff,
    0x5dfffffd,0x1ffe8000,0x5c000000,0xebffcfff,0x5fff54ff,0x7d47ffea,
    0x307f51ff,0xffffffd7,0xbff303df,0x44444444,0x00000088,0x00000000,
    0x00000000,0xa8000000,0x2dfffffe,0x3fff2600,0x8000cfff,0x00001ffe,
    0x7fff5c00,0x34efffff,0x3fe63fff,0x23fff51f,0xfec9801a,0x665403de,
    0x00000000,0x00000000,0x00000000,0x88000000,0xcffffffc,0x3ae20001,
    0x01dfffff,0x0007ffa0,0x75440000,0xff80aeff,0x44fff10f,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5dfffffb,0xfb300000,
    0x2a3dffff,0xfeaaaaaa,0xaaaaaabf,0x54000000,0xfd03ffff,0x7fc6ff8f,
    0x00000006,0x00000000,0x00000000,0x00000000,0xff000000,0x000039ff,
    0xfffd7100,0x3fffffe5,0xffffffff,0x55552fff,0x55555555,0x98155555,
    0x82ffabff,0x22fec6fd,0x000005fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0039ffff,0xfd710000,0x3fffe5ff,0xffffffff,0xff2fffff,
    0xffffffff,0x5fffffff,0xffb37fc4,0x7e44fb83,0x0001fe43,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffd80,0x9800002d,0x1efffffc,
    0xf9999999,0x99999bff,0x3ffffe39,0xffffffff,0x7e42ffff,0x00037e21,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xffffffc8,
    0x6d40000b,0x02dfffff,0x2007ffa0,0xcccccccc,0xcccccccc,0x0018181c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffd70,
    0x7dc4003b,0x00cfffff,0x001ffe80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffecc00,0xb300beff,0x17dfffff,
    0x0fff4000,0x88888880,0x88888888,0x00088888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffc88000,0xd70cffff,0x05bfffff,
    0x07ffa000,0x3ffffee0,0xffffffff,0x5fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0xff2ffffe,0x00019fff,
    0x801ffe80,0xfffffffb,0xffffffff,0x005fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd980000,0x017dff2f,0x3ffa0000,
    0x99998801,0x99999999,0x99999999,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0016cb22,0x0f764000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_41_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,3,2,2,2,1,1,-1,2,1,2,2,3,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_41_usascii_y[95]={ 33,6,6,6,4,6,6,6,6,6,6,11,29,21,
29,6,6,6,6,6,6,7,6,7,6,6,13,13,11,14,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,37,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,17, };
static unsigned short stb__arial_41_usascii_w[95]={ 0,5,11,20,18,29,23,5,9,9,12,18,4,11,
5,11,18,11,18,18,19,18,18,18,18,18,4,4,18,18,18,18,35,26,21,25,23,21,18,26,22,4,16,23,
18,26,22,26,21,27,25,22,22,22,25,35,25,25,22,8,11,8,17,22,8,18,17,18,17,18,12,17,16,4,
8,17,4,27,16,19,17,17,11,16,10,16,18,27,19,19,18,11,4,12,19, };
static unsigned short stb__arial_41_usascii_h[95]={ 0,27,11,28,33,28,28,11,35,35,12,18,10,5,
4,28,28,27,27,28,27,27,28,26,28,28,20,26,18,12,18,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,4,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,7, };
static unsigned short stb__arial_41_usascii_s[95]={ 161,224,184,1,114,22,52,196,40,68,171,
133,251,231,247,244,198,230,196,235,108,177,76,215,46,121,247,242,95,152,114,
24,78,150,128,95,84,62,43,19,1,126,181,200,181,154,131,181,104,133,73,
140,32,77,1,216,190,164,141,59,65,50,238,152,222,21,1,57,217,76,100,
163,124,27,1,55,99,150,95,1,226,208,178,234,113,40,112,210,190,161,131,
28,23,10,202, };
static unsigned short stb__arial_41_usascii_t[95]={ 30,95,172,37,1,37,37,172,1,1,172,
172,123,172,116,1,37,95,123,37,123,123,37,123,66,37,95,95,172,172,172,
123,1,123,123,37,123,123,123,66,123,95,37,95,95,95,95,1,95,1,95,
37,95,66,95,66,66,66,66,1,66,1,151,185,172,151,66,151,37,151,66,
37,66,95,1,95,95,151,151,151,1,1,151,123,66,151,151,151,151,1,151,
1,1,1,172, };
static unsigned short stb__arial_41_usascii_a[95]={ 163,163,208,327,327,522,392,112,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,163,163,343,343,343,327,596,392,392,424,424,392,359,457,
424,163,294,392,327,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,163,163,163,276,327,196,327,327,294,327,327,163,327,
327,130,130,294,130,489,327,327,327,327,196,294,163,327,294,424,
294,294,294,196,153,196,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_41_usascii_BITMAP_HEIGHT or STB_FONT_arial_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_41_usascii(stb_fontchar font[STB_FONT_arial_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_41_usascii_BITMAP_HEIGHT][STB_FONT_arial_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_41_usascii_s[i] + stb__arial_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_41_usascii_t[i] + stb__arial_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_41_usascii_x[i];
            font[i].y0 = stb__arial_41_usascii_y[i];
            font[i].x1 = stb__arial_41_usascii_x[i] + stb__arial_41_usascii_w[i];
            font[i].y1 = stb__arial_41_usascii_y[i] + stb__arial_41_usascii_h[i];
            font[i].advance_int = (stb__arial_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_41_usascii_s[i] + stb__arial_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_41_usascii_t[i] + stb__arial_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_41_usascii_x[i] + stb__arial_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_41_usascii_y[i] + stb__arial_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_41_usascii_LINE_SPACING
#endif

