// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_42_usascii_BITMAP_HEIGHT        198
#define STB_FONT_arial_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_42_usascii_FIRST_CHAR            32
#define STB_FONT_arial_42_usascii_NUM_CHARS             95

#define STB_FONT_arial_42_usascii_LINE_SPACING          27

static unsigned int stb__arial_42_usascii_pixels[]={
    0x00000353,0x00335530,0x20033500,0x98800aa9,0x0154401a,0x3fe6bff7,
    0x3ee7ffff,0x006fffff,0x00000153,0x00013531,0x03351000,0x0aa98000,
    0x00005550,0x7001aa80,0x3ff30bff,0x76440000,0xffffffff,0x7c4001cf,
    0x7e402fff,0x3ff6202f,0x027ec04f,0x3fe6bff7,0x3ee7ffff,0x006fffff,
    0x200003f9,0xffffffda,0x500002df,0xffffffd9,0xf900005d,0x09ff101f,
    0x3bfb6e60,0x01bf601c,0xfc82ffdc,0xfda80006,0xffffffff,0x03efffff,
    0x7fffff10,0x8817fe40,0x204ffffe,0x3ee00ffa,0xfdddd35f,0x77ffdcff,
    0x32a204ee,0x0002beff,0xfffffff5,0x05dfffff,0x3fff6200,0xffffffff,
    0x3fa0003f,0x007ff307,0xfffffff9,0x1ff701bf,0x20bff700,0x10003ff8,
    0x9bfffffd,0xff995557,0x8801bfff,0x206fffdc,0xff702ffc,0x3e2059bf,
    0x2ffdc03f,0x3ee7ff98,0xffc8806f,0x2effffff,0x3ffff200,0xfffedeff,
    0x54004fff,0xdeffffff,0x5ffffffe,0x20bff000,0x3a201ffb,0xffeeffff,
    0x3ff986ff,0x204eea80,0x4c000ffc,0x002dffff,0x07ffff6a,0x817ffc40,
    0xffb02ffc,0x01ffb007,0x4fff3000,0x74406ffb,0xffffffff,0xfd802fff,
    0x9301cfff,0x200bffff,0x09dffffc,0xeffffc88,0x0ffe6000,0xfd007fec,
    0xffc817ff,0x005fe84f,0x017fe200,0x00efffa8,0x3fffa600,0x07ff9001,
    0x7fc0bff2,0x1ffd400f,0x7ff98000,0xfb01bfee,0x95f95dff,0x5c03ffff,
    0x3002ffff,0x9807ffff,0x1003ffff,0x400bfffd,0xdfd02ffa,0x017ffd40,
    0xfc81fff9,0x7e400007,0xfffa801f,0x3f200004,0xffb800ef,0x105ff904,
    0xffb00fff,0x3e600001,0x81bfee7f,0x3f23fffa,0x20bfff31,0x000efff9,
    0x00ffff44,0x0001fffd,0x2005fffb,0xff880ffc,0x013ffa04,0xfa85fff3,
    0x2a00001f,0x7fc404ff,0xd800002f,0xffa805ff,0x105ff904,0xff980fff,
    0x03553005,0xffb9ffe6,0x91fff206,0x07ffec3f,0x000ffff4,0x506fff98,
    0x20007fff,0xd007fff8,0x0ffe60ff,0xd8037fd4,0x27fc43ee,0x200aaa60,
    0x3f200fff,0x3b6e203f,0x0aaa20ac,0xfa805ffd,0x05ff904f,0xfc80fff1,
    0xbff7002f,0xfb9ffe60,0x13ffa06f,0x7ffcc3f9,0x02fffc41,0x03fff200,
    0x000dfff1,0x262fffb8,0xeffaaaaa,0xffdaaaaa,0x3ff60aac,0xdfd00003,
    0x805ffb80,0xff304ffc,0x7fffdc0b,0xdff71fff,0x5405ff98,0x5ff905ff,
    0x440fff10,0xf7000fff,0x9ffe60bf,0x3fe06ffb,0x260fe41f,0x01fff700,
    0x3fff9800,0x0017ffd4,0xf92fffc0,0xffffffff,0xffffffff,0x0fffc5ff,
    0x0ffb8000,0x2017fee0,0xffd06ffa,0x3ffff601,0xfc9ffffe,0x00ffe84f,
    0x7e417fea,0x06ff882f,0xb8017fee,0xfff305ff,0xfd037fdc,0x001fc89f,
    0x0001bffa,0xf71bffe2,0xb00001ff,0x3ff21fff,0xffffffff,0xffffffff,
    0x4c1ffe2f,0x3fe6001a,0x017fee02,0x3ea07ffc,0x9fffb03f,0x7ffff4c3,
    0x03ffa82f,0x7e417fea,0x06ff982f,0xb800fff6,0xfff305ff,0xf9037fdc,
    0x001fc8df,0x00017ffe,0x3f23fff4,0xf500007f,0x266623ff,0x9999ffd9,
    0x999dffa9,0x6d4dff10,0x00cfffff,0x3ee05ff8,0x5ffd005f,0xfb80ffc8,
    0xfff103ff,0x9ff103ff,0xc837fcc0,0x6ff982ff,0x800bffe0,0xff305ffb,
    0x5037fdcf,0x0fe47fff,0x04fff880,0x1fffb000,0x00037ff4,0x202fff98,
    0x7ff506fe,0x7ddbfe60,0xefffffff,0x703fec01,0x3f600bff,0x442ffc5f,
    0x7dc03fff,0x17fe07ff,0xf907ff88,0x09ff505f,0x8007ffe6,0xff305ffb,
    0x1037fdcf,0xf95ffffd,0x3ffe6003,0xff700003,0x02fffc3f,0x3fff9800,
    0x7dc17fe0,0x9bff501f,0xfd979dff,0x7d401fff,0x0bff701f,0xfa9bff20,
    0x07ffc82f,0x205fff88,0x7ff406fe,0xd82ffc81,0xfff502ff,0x2ffdc001,
    0x3ee7ff98,0x7ff4406f,0x800cffff,0x0002fffa,0x225fff50,0x00004fff,
    0x2607fff1,0x0ffb03ff,0x27ffffdc,0x205fffb8,0xff703ff8,0x9fff200b,
    0x7fc40ffc,0x9fff003f,0x2e02ffc0,0x2ffc86ff,0xf703ffd4,0xffb800ff,
    0x5cfff305,0xfd8806ff,0x3effffff,0x00bffe60,0x87ffdc00,0x0004fff8,
    0x207fff30,0xdff01ffb,0x1ffffdc0,0x80bffee0,0xbff705fe,0xc9ffee00,
    0x0fffb87f,0x205fff00,0xfe804ff9,0x5ff90cef,0x80bfff6a,0x5c006ffc,
    0xfff305ff,0x10037fdc,0xfffffff9,0x7fff103d,0x3ff20000,0x002fffc7,
    0x02fffa80,0xff101ff9,0x37ffdc09,0x205ffe80,0xffb80ffc,0x1fff5005,
    0x3ff21ff6,0x1fff3006,0x200bfee0,0xf93fffc8,0x07bffe5f,0x800bff90,
    0xff305ffb,0x0037fdcf,0xffffefd8,0x2fffc42f,0x6ffd8000,0x00037ff4,
    0xd01fffb8,0x0bfea0df,0x003fffa8,0x7cc0dff7,0x05ffb82f,0x3a1fff30,
    0x05ffe86f,0x6c0fff50,0xfd1001ff,0x7cbff27f,0xffd804ff,0x2ffdc005,
    0x3ee7ff98,0x3f90006f,0x81ffff93,0x00006ffe,0xffd8bfff,0xff900007,
    0x3ffff21f,0xffffffff,0x2fffffff,0x2005fff3,0x7fc07ffa,0x005ffb84,
    0x2ffcfff5,0xb801fffc,0x1ffe05ff,0x97fff4c0,0xfffd2ffc,0x37fe401d,
    0x417fee00,0x3fee7ff9,0x43f90006,0x7e44fffa,0x440000ff,0x7fd43fff,
    0xfe80001f,0x3ffff25f,0xffffffff,0x2fffffff,0x2003fff1,0x3600fff9,
    0x05ffb86f,0x7f4fff90,0x003ffe86,0x3ee07fff,0xfff8804f,0x98bff20b,
    0x3ee05ffd,0x7fdc007f,0x5cfff305,0xf90006ff,0x4c6ffe83,0x01805fff,
    0x3e07fff6,0x5c0006ff,0x332a2fff,0xccccdffe,0xcccceffc,0x00fffe1c,
    0x2e037fd4,0x2ffdc0ff,0x366ffd80,0x04ffc87f,0xa81fffb8,0xfb800eff,
    0x42ffc84f,0xf501fff8,0x7dc001ff,0x4fff305f,0x90006ffb,0x87ffc83f,
    0x7401fffe,0x2fffd42e,0x002fffc8,0x01ffff10,0x3e203ff6,0x5ffe804f,
    0x809ff700,0x7fdc3ff8,0x4bffd005,0x7fd40ffc,0x3fffc406,0x8017ffcc,
    0xffc80ffe,0x503ffb82,0x5c003fff,0xfff305ff,0xda837fdc,0x541fc86e,
    0x7fcc0fff,0x3ffe206f,0x0ffff8ae,0x01ffff10,0x07fffb00,0xffa837f4,
    0x06ffa802,0xd007ffd0,0x05ffb8bf,0x7dc9fff0,0x17ffc42f,0x46fffe88,
    0x3005ffe8,0x3ff20dff,0x105ffa82,0x5c007fff,0xfff305ff,0xfa837fdc,
    0x541fc87f,0xfff907ff,0xfff9103d,0x805fffff,0x002ffffa,0x40bfffd1,
    0xff904ff8,0x17ffa003,0x003fff50,0x5ffb8ff9,0x21fff880,0xffd85ff8,
    0x7fffd42f,0xfffc89ff,0xbff3000e,0x260bff20,0x3ffa06ff,0x17fee004,
    0xff73ffcc,0x0bffe20d,0x5ffc83f9,0x2fffffa0,0xfffff900,0x3fff200b,
    0xff5101df,0x7cc01fff,0x00ffb03f,0xa827ffdc,0xf5004fff,0x02ffdc3f,
    0x7f43ffd4,0xefffe80f,0xffcdfffd,0x05ffffff,0xc82ffd40,0x6ff982ff,
    0x8017fee0,0xff305ffb,0xb037fdcf,0x21fc8dff,0x6403fff8,0xcdffffff,
    0xfffffffd,0xfff7001d,0xffb9dfff,0x801dffff,0xbff01ffb,0xefffd800,
    0x5fffdbac,0xb93fe200,0xffb805ff,0x883ffb84,0x3ffffffe,0xfffffff3,
    0xbff50007,0x220bff20,0x3fe607ff,0x17fee006,0xff73ffcc,0x2fffdc0d,
    0x3ffaa3f9,0xffff7006,0xffffffff,0x019fffff,0xfffffd30,0x9fffffff,
    0x203ff600,0xb8004ff8,0xffffffff,0x6fd8005f,0x36017fee,0xffe882ff,
    0xbefda881,0x5ef7f541,0x501aa980,0x3ff20bff,0x407ff882,0xf7001fff,
    0x9ffe60bf,0x7ec06ffb,0xecfdbeff,0x4002ffff,0xffffffea,0xfff912ef,
    0x3f6a007f,0xbeffffff,0x41bfa000,0x50002ffa,0x7bfffffd,0x1ff70001,
    0x0dff3000,0x0007ffcc,0x3ffea000,0x209ff500,0xff882ffc,0x02ffdc07,
    0xf305ffc8,0x037fdcff,0x7fffffe4,0x002fffff,0x26aaa620,0x07ffb300,
    0x13555300,0x406aa000,0x80000aa9,0x880001a9,0xfd8000aa,0x77fdc03f,
    0xf3000000,0x7fd403ff,0x105ff904,0xff880fff,0x4ffc800f,0x7dcfff30,
    0xffb7006f,0x01bfffff,0x2a000000,0x0000000e,0x00000000,0x00000000,
    0x200fff10,0x0003fffd,0x01fffe40,0x7e413fee,0x00fff02f,0xfb009ff7,
    0x9ffe609f,0x44006ffb,0x0001cfea,0x00000000,0x00000000,0x00000000,
    0xffc80000,0xfffd1003,0x5440005d,0xd804fffe,0x5ff902ff,0x100bffe0,
    0x2e101fff,0x26662fff,0x3fee7ffb,0x9000999e,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00dff100,0xbfffff90,0xfda98035,0x4401efff,
    0xf900fffa,0x37ff205f,0x0ffee00a,0x4ffffff3,0x7ffffff9,0x3fffffee,
    0x003f9006,0x00000000,0x00000000,0x00000000,0xf9000000,0x3a60003f,
    0xffffffff,0xfffffeee,0x7c402fff,0x3206ffff,0xfff302ff,0x3ff409ff,
    0x8bffffee,0x7ffffff9,0x3fffffee,0x003d7006,0x00000000,0x00000000,
    0x00000000,0xf8800000,0xc980004f,0xffffffff,0x4fffffff,0xfffff100,
    0x017fe401,0x409ffff7,0x3b6a3ff8,0x555441cd,0x2aa22aaa,0x0002aaaa,
    0x00000000,0x00000000,0x00000000,0x40000000,0x000006fb,0xdddb9753,
    0x8800179b,0x6400beef,0x764c02ff,0x037dc04e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20003310,
    0x80000aa8,0x000001a8,0x00000000,0x00054c00,0x03533000,0x05544000,
    0x04d4c400,0x00000000,0x00400000,0x37bdd930,0xfd10554c,0xd8009fff,
    0x7e40006f,0x000dffff,0x77f6e440,0xdc98003c,0x0001ceff,0xfffffdb7,
    0x4400059b,0xffffffeb,0x2e0003ce,0xfb3001ff,0x3bffffff,0xfdb71000,
    0x9300037b,0x0037bdfd,0xe8802d88,0x4fffffff,0x3fe65ff9,0x00efffff,
    0x0002ff98,0xffffffd3,0x2e0003ff,0xffffffff,0xfff9001e,0x01bfffff,
    0x3ffffa20,0xdfffffff,0x3ff62000,0xffffffff,0xd8001eff,0xffea806f,
    0xffffffff,0xff5001df,0x0bffffff,0x3ffff220,0x7004ffff,0xfe9805ff,
    0xffffefff,0xffb2ffde,0x09ffb319,0x4000dfd0,0xfdbdfffe,0x64000fff,
    0xffefffff,0x3a202fff,0xffefffff,0x7cc00eff,0xfeefffff,0x01ffffff,
    0xffffff98,0xffffedef,0x7fc003ff,0x7fffe404,0xfffedeff,0x7d401fff,
    0xfffeefff,0x7ff400ef,0xffffeeff,0x02ffe805,0x105ffff4,0x35fffff9,
    0x1ffb09ff,0x0017fd40,0x4c1fffb8,0x2a003fff,0x710aefff,0x3201ffff,
    0x74c0efff,0x3fe206ff,0xfd500cff,0xffa80dff,0x9881beff,0x004ffffc,
    0x7ec05ff3,0xb300cfff,0x2601ffff,0x7d40efff,0x3ff606ff,0x3ff261df,
    0x17ff405f,0x405fff70,0xfbaffffb,0x02ffa81f,0xd8001bfa,0xbffd05ff,
    0x03fff400,0xf309fff3,0x7f4409ff,0x3fff704f,0x07fff200,0x027fffc4,
    0x01ffff50,0x2e01ff70,0x9000efff,0x3f60dfff,0x3ffe606f,0x03fff981,
    0xe803ffee,0x3ffa02ff,0xafffe805,0xff980ffc,0x005ff503,0xb81fffc0,
    0xff1006ff,0x6ffe807f,0x400fffe8,0xfe80fff9,0x7ff4003f,0x05fffb04,
    0x07fff100,0x3e20dfd0,0x6c000eff,0x7fcc1fff,0x2ffe402f,0x22037fe4,
    0x3fa03fff,0x1fff102f,0xb5fff300,0x9ff301ff,0x0001bfa0,0x3f60bffb,
    0xfff3003f,0x87ffb801,0xfd003fff,0x1fff885f,0x437fdc00,0x0005fffa,
    0xf101fff2,0x3fff607f,0xfff88001,0x403ffe45,0x7f40fff9,0x5ffd803f,
    0x67ffd544,0x1bfe61aa,0xfdafff80,0x84ff980f,0x40002ffa,0x7c41fffc,
    0xff3000ff,0x7ffb801f,0x800fffc4,0x7fc44ffc,0x774c003f,0x07ffec0d,
    0x3dff3000,0x440ffd40,0x20005fff,0x7fec4efc,0x07ffd004,0xff900153,
    0xfffffa8b,0x3fee5fff,0x2bffa005,0xffa81ffc,0x0006fe83,0x10efff98,
    0xf800dffd,0x7ff402ff,0x003ffd45,0xffd0dff7,0x7c40000d,0xa80004ff,
    0x507fc800,0x40005fff,0x05fff008,0x0017ff20,0xfa87ffd0,0x5fffffff,
    0xd8013ff2,0x83ffbaff,0x7fdc1ffc,0xff900001,0x1dfff7df,0x06ffc800,
    0xf50bffe6,0x7fdc00ff,0x0cfffc87,0xfffb8000,0x20000002,0xfffb05ff,
    0xf1000001,0x3f2003ff,0x3ee0006f,0x3ffa00ff,0x009ffb02,0x7fc57fec,
    0x21bfe60e,0x400005fe,0x4ffffffd,0xdffd1000,0x6fffe4c3,0x007ffcc0,
    0x4c0fffc8,0x0bdfffff,0x3fff9000,0x26000000,0xfffd02ff,0x3e600000,
    0xff7001ff,0xff95000f,0x2ffe807f,0x400bff90,0xfff72ffe,0xb83fffb9,
    0x400001ff,0x02fffff9,0xffffc800,0x203fffff,0xfd002fff,0xffd301ff,
    0x159dffff,0x01fff600,0xffb80000,0x00dfff00,0x3ffe6000,0x0fff7000,
    0x3ffff6a0,0x2ffe802f,0x400dff70,0x3ff22fff,0xff82ffff,0x7e400005,
    0x001fffff,0xffffd880,0x7f404fff,0xfffa806f,0xfffd101f,0x7dffffff,
    0x037ff401,0xdfb00000,0x002fffc0,0x07ffa800,0x401ffea0,0x0cfffffd,
    0x302ffe80,0xf3001fff,0xddc985ff,0x01ffb80b,0x7f4c0031,0x0fffffff,
    0x3fff2000,0xfffffeff,0x0bfff502,0x0fffffcc,0x3ffff660,0x02ffffff,
    0x2a00bfff,0xeeeeeeee,0x4ff885ee,0x009fff10,0x1ffea000,0x00fffa80,
    0xffffffe8,0x17ff403f,0xb009ffd0,0x10005fff,0xffd70bff,0x7fcc01bf,
    0xdfff93ff,0x3600ab88,0x74c1dfff,0xffb02fff,0xf73135df,0x001fffbf,
    0x7fffedcc,0xffe84fff,0xffff7005,0x0dffffff,0x7fc03ff5,0x5000005f,
    0x7d400fff,0x5441007f,0x3a04fffe,0x3fea02ff,0x3ffe601f,0xffb8002f,
    0x7ffffe41,0xfff881ff,0x27fff41f,0xf703fff7,0xffd805ff,0xfffe880f,
    0x8dffffff,0x20000fff,0x5ffffec9,0xb8037ff4,0xffffffff,0x07fc86ff,
    0x00037ffc,0x00fff980,0x000fff50,0xd01fffd8,0xffe805ff,0xffffb83f,
    0x7fc4002f,0x45fffcc5,0xffc86ffc,0xfffe882f,0x3e0dffb2,0xfe8805ff,
    0x3fff205f,0xff34ffff,0x7dc0000f,0x3ff61fff,0x55553007,0x0dffb555,
    0xffe80bfd,0xf1000007,0x3ee001ff,0x7c40007f,0x5ffd05ff,0xffffe980,
    0xffefffee,0x7fe4002f,0x2a07fec1,0x37ffc3ff,0xf5ffff30,0xfff305ff,
    0x1ffee003,0x159db730,0x0003ffd4,0xb93ffe60,0x80001fff,0x7fc46ffc,
    0x0fffe403,0x3e02a000,0xff7001ff,0xff90000d,0x00bffa0f,0x3fffff62,
    0x05fff4ff,0x2227fc40,0x4bff05ff,0x5403fff9,0x07ffffff,0x4c00fff5,
    0x40000fff,0x3b625ffb,0xffb0001e,0x027ffccd,0x237fe400,0x7d400ffb,
    0x260002ff,0x3ffe2eff,0x0bff9001,0x1fff5000,0x4005ffd0,0x22cefdca,
    0x32001fff,0x27fcc0ff,0x3fea6fe8,0xfffc801f,0xfff504ff,0x0fffc400,
    0x8fff6000,0x0003fff8,0xffe8fff5,0xffc80006,0xf8037ec6,0x320004ff,
    0x3ffa1fff,0x47ffb002,0x2a003a98,0xffe80fff,0x7fc00002,0x9ff1001f,
    0x3607ff50,0x13ffe67f,0x07fffec0,0x001fff98,0xaa98fff5,0x2fff8800,
    0x80037ffc,0x7fdc5ffc,0x7e40004f,0x8027fc6f,0x8001fffd,0x7e46fff8,
    0xfff8805f,0x007ffe62,0xfe837fdc,0x8002602f,0x9000fff9,0x7ff501ff,
    0xfff1ffa0,0x3fff200f,0x0fffe04f,0x3637fe40,0xffb803ff,0x02fffc87,
    0xe83ffe80,0x10002fff,0x7fccdffb,0xbfff1002,0x5fffb000,0x400fff98,
    0x7fc0fffb,0xbffd003f,0xf80fffa0,0xffd801ff,0x09ff1006,0x7f413fe6,
    0x017ffec6,0x3ffffff2,0x01fffb04,0x5c4fff98,0x7fc406ff,0xffff883f,
    0xfffb1004,0x9ffff101,0xffffb800,0x8003ff26,0x000efffc,0x360dfff9,
    0x7ff403ff,0x00fffd84,0xe817ffdc,0x3ffa05ff,0x1fffd406,0x200ffd80,
    0x5ff886ff,0x417fffc4,0xffffffc8,0xfff884ff,0xdffd300e,0x209fff10,
    0x3206ffe8,0x81aeffff,0x05fffea8,0x37ffffea,0x7f5d441b,0x3fa3ffff,
    0xfffe8006,0xfe980acf,0xff500fff,0x3fff607f,0x1dfff980,0x40bfff70,
    0x45effffc,0x10adfffb,0x00bfff95,0xfb013fe6,0x82ffc85f,0xbceffffb,
    0xa8effffe,0xfb84ffff,0xcbabdfff,0xf701ffff,0xfb75bfff,0xfc803fff,
    0xeeffffff,0x04ffffff,0xffffff98,0xfffffeff,0x3e20cfff,0xfe88003f,
    0xecdfffff,0x01ffffff,0x55effff4,0x203fffec,0xabeffffa,0x00ffffeb,
    0x1fffffe6,0x3bfffff6,0x005fffff,0xf1003ff6,0xbffd7bff,0x7ffffd40,
    0x544fffff,0xff705fff,0xffffffff,0xfffc803d,0x1fffffff,0xfffff700,
    0xffffffff,0x7fec4007,0xffffffff,0xfa81efff,0x3f60001f,0xffffffff,
    0xb001dfff,0xffffffff,0xfff7007f,0xbfffffff,0xfffd3001,0xfffc881f,
    0x05ffffff,0x4013fe60,0xeffffffa,0x7ffec400,0xf302dfff,0x7fe4401d,
    0x003fffff,0x3fffffaa,0x5c4000bf,0xfffffffe,0x710001cd,0xfffffffd,
    0x3fe4059b,0x7fe44000,0x1effffff,0xfffeb800,0x22001eff,0xeffffffd,
    0x80330002,0xbdeeecb8,0x07fec000,0x7bfd9100,0x01551000,0xa8800260,
    0x2200009a,0x00001aa9,0x00355531,0x55531000,0x00d54001,0x2aa62000,
    0x3100001a,0x98000135,0x000009aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee1fff1,0x0000005f,0x10000000,0x33220335,0xcccccccc,0x2aa60ccc,
    0x2f7b6ea1,0x01fffc00,0x00fffb80,0x86f7b2a2,0x98800aa9,0x5551001a,
    0x05554001,0xcb7fe400,0x40005fff,0xff93fffc,0x3e20000b,0x0bff70ff,
    0x3fdc0000,0x3bfb7260,0x3b2000cd,0xfb84ffff,0xffffffff,0x3ee0ffff,
    0xffffd8bf,0x3fe04fff,0xff70003f,0xfffb101f,0x3f67ffff,0xfff9101f,
    0xf807dfff,0xff3003ff,0xff90001f,0x017fff4d,0x25fff980,0x00005ffc,
    0x3ee1fff1,0x5000005f,0x3f220fff,0xffffffff,0xffffc804,0xfffc83ff,
    0xffffffff,0x33fee0ff,0xffedfffe,0x7fff05ff,0x3ffee000,0x7ffff4c0,
    0xfdcfffed,0xffffa81f,0x1effffff,0x200dff90,0x90005ffc,0x7ffccdff,
    0xffe8000f,0x017ff20f,0x87ffc400,0x00005ffb,0x887fff98,0xeeeffffe,
    0x2606ffff,0x1edeffff,0xcccdffe8,0x0ccccccc,0x0fffffee,0x3e13fff6,
    0xf70003ff,0xfffe81ff,0x7fffec43,0x7fffcc1f,0xfffdbabd,0x1fff981f,
    0x002ffe80,0xfc8dff90,0x7e4004ff,0x2ffe43ff,0xfff88000,0x000bff70,
    0x7fffe880,0x884fffd8,0xf704fffd,0xfff003ff,0x3fee0003,0x3ff201ff,
    0x01fffc0f,0x20fffb80,0x3201fffb,0x3a21ffff,0xff501fff,0x9ffd01df,
    0x007ff980,0x3a1bff20,0xf3001fff,0xbff90bff,0x3fe20000,0x00bff70f,
    0x7fffdc00,0x17ffd47f,0x207fff20,0xf8806ffc,0x3ee0007f,0x7fc404ff,
    0x01fffc3f,0x20fffb80,0xfe805ffd,0x3ffee1ff,0x1fffd402,0x3203ffdc,
    0x320004ff,0xfff986ff,0x1fffd006,0x000bff90,0x5c3ffe20,0x980005ff,
    0x7ffffffe,0xe802ffe4,0x4ffd83ff,0x006ffa80,0x003ffee0,0xfff17fee,
    0x3fee0007,0x007ffe0f,0xfe87ffee,0xbffb005f,0x403fff10,0x20001fff,
    0xff906ffc,0xfffc809f,0x00bff902,0x42f7b2a2,0xff70fff8,0x5677654b,
    0x3fffee00,0x7f47ffbd,0xbff9002f,0x7009ffb0,0x5c0009ff,0xff3006ff,
    0x003fff8d,0x221fff70,0xff1007ff,0x0bffe23f,0xd837fdc0,0xdff504ff,
    0x6ffc8000,0x03fffd10,0xc813ffe6,0x7ec405ff,0x8bffffff,0xbff70fff,
    0x3ffffff6,0x7fffd02f,0xfe89ffe6,0xdff9001f,0x37ffaaa6,0xffd80aaa,
    0x3fee0002,0x1fff1005,0x8001fffc,0xff50fffb,0x8fffc00d,0x7000dcb8,
    0x3fea0dff,0x007ffb07,0x206ffc80,0xfd06fff9,0x7fe401df,0x3fffa605,
    0xfcffffef,0xddff70ff,0xffffdfff,0x43bfd09f,0x80007ff9,0xfff94ffd,
    0x05ffffff,0x372a3fff,0x3ee00acd,0x3ffe004f,0x000fffe1,0xfc87ffdc,
    0x3ffa006f,0x7fec0001,0x10bffe04,0x80001fff,0x7e406ffc,0x7ffdc3ff,
    0x02ffe401,0x4417fffd,0x70fffffd,0x417fffff,0x643fffd8,0x007ff981,
    0xc9fffc40,0xffffffff,0x5fffc42f,0xffffffff,0x007ff702,0xfff17ffc,
    0x3fee0007,0x00bff90f,0x0000ffec,0x6405fff3,0x2ffdc5ff,0x37fe4000,
    0x43fffa20,0xc804fff8,0xfff705ff,0x7fffe405,0x05ffff70,0x9803ffec,
    0x640007ff,0xffd81fff,0x7fffcc04,0xffffffff,0x04ffb85f,0x7c1fff10,
    0xf70003ff,0x1bfee1ff,0x001ffe80,0x01dfff30,0xfd07ffcc,0xf900005f,
    0xfff300df,0x401bff6b,0xffd05ffc,0x1ffff00b,0x1013ffee,0xf3007fff,
    0x7cc000ff,0x9ffb04ff,0xdffffb80,0xfffba89b,0x02ffdc4f,0x7fc7ff98,
    0xff70003f,0x01ffea1f,0x8001fff8,0x801fffe8,0xfff33ffe,0x3ff20000,
    0x9fff9006,0x32003fff,0x3fff05ff,0x21fff700,0xc800fffb,0xff9806ff,
    0xfff10007,0x13ff601d,0x407fff90,0x2e1fffe8,0xff5006ff,0x003fff8b,
    0x221fff70,0xf8800fff,0x744001ff,0xf7002fff,0x013feebf,0x037fe400,
    0xfffffe88,0x17ff2003,0x4401ffe6,0xdff70fff,0x01ffea00,0x2001ffe6,
    0x201fffe8,0x5cc04ffd,0xfff9802c,0x007ffee5,0xfff0fffa,0x3fee0007,
    0x013ffe0f,0x8007fff2,0x002ffff9,0x3f63ffe2,0xf900001f,0x7fd400df,
    0x7e4006ff,0x06ffa85f,0x7dc3ffe0,0xfff3005f,0x07ff9801,0x1ffff440,
    0x0013ff60,0xb9fff200,0x7d405fff,0x1fffc1ff,0x0fffb800,0x8803ffea,
    0x2001ffff,0x8002fffe,0x06ffbffd,0x1bff2000,0x03fffb00,0xc85ffc80,
    0x3fe005ff,0x009ff70f,0x3007ffe2,0x7cc00fff,0xfd803fff,0xa800004f,
    0xfff70fff,0x3ffea09f,0x004fff85,0xfd0fff70,0xffd103df,0x3ee003ff,
    0xf50002ff,0x0007ffff,0x0037fe40,0x2001ffee,0xffc85ffc,0x43ffa005,
    0x3e003ffb,0x7fcc01ff,0xffff5007,0x13ff6005,0x3fe60000,0xfffff72f,
    0xfffb757d,0x09fff01f,0x21fff200,0xaacffff9,0x1ffffffc,0x009ffd00,
    0x0fffff80,0x3ff20000,0x3ffdc006,0x42ffe400,0x3e006ffb,0x09ff70ff,
    0x003ffe20,0xf700fff3,0x6c003fff,0x800004ff,0xff71fff8,0xffffff9b,
    0x3fa01dff,0xffb0004f,0x3fffa60f,0xffafffff,0x1fff001f,0xfffc8000,
    0x7ec00005,0x7fdc006f,0x5ffc8007,0x2007ff98,0x9ff70fff,0x01ffe600,
    0xf901ffe6,0xd8003dff,0x0cc404ff,0x21fff300,0xffd55ffb,0xfd805bff,
    0xffd0006f,0xffffc80d,0x1fff88df,0x007ff980,0x02fff980,0x6c02fec8,
    0x7dc006ff,0xffc8007f,0x00fff885,0xf70fff88,0x3fee00df,0x07ff9806,
    0x003bfff6,0x9813ff60,0xf7001fff,0x22ffdcff,0x3ee001a8,0x7c4000ff,
    0x351004ff,0x801fff88,0x80007ffa,0xfb007ff8,0x5ffe807f,0x03ffdc00,
    0xe82ffe40,0xffc804ff,0x03fff70f,0x3009ffd0,0x3ff60fff,0x3f60005f,
    0x1fffc04f,0x2e5ffe80,0x980005ff,0x64005fff,0x40002fff,0x8801fff8,
    0xb80002aa,0xff9004ff,0x04fff80b,0x003ffdc0,0xfc82ffe4,0x3fe200ff,
    0xbfff70ff,0x00fffa80,0xfb87ff98,0x6c0004ff,0x7fec04ff,0x7ffdc00f,
    0x0017fee1,0x027fff40,0x006fff98,0x01fff880,0xfe800000,0xfff9001f,
    0x0bffee01,0x00fff700,0x740bff90,0xfe880eff,0xfff70fff,0x3ffea0bf,
    0x8fff3004,0x0005fff8,0x4c04ffd8,0xf701efff,0x5ffb89ff,0xfff50000,
    0xfb3015bf,0x00005fff,0x0003fff1,0x5ffb8000,0x3bffe200,0x3fffea0b,
    0x3ffdc000,0x02ffe400,0x559fffd1,0x1ffffff9,0x3bffbfee,0xefffdbac,
    0x8fff3000,0x9999fffd,0x99999999,0x804ffd81,0xabeffffb,0x40dfffdb,
    0x00005ffb,0x3ffffff2,0xffffffef,0xf100004f,0xdd5003ff,0x5d5c001d,
    0x4001fffd,0xfefffffc,0x8001ffff,0xc8007ffb,0x7fcc05ff,0x9fffffff,
    0x7ff70ffe,0xfffffff7,0x7cc001bf,0x3fffea7f,0xffffffff,0xfd87ffff,
    0xfff9004f,0x9fffffff,0x0017fee0,0xfffff700,0xffffffff,0x7c400007,
    0xffb801ff,0x3ffa001f,0x88004fff,0xfffffffe,0xf70002ff,0xff9000ff,
    0xffb7100b,0x3ffa1bff,0x3aa7ff70,0x003effff,0x3f27ff98,0xffffffff,
    0x7fffffff,0x2004ffd8,0xffffffd8,0x17fee02d,0x3ae20000,0xffffffff,
    0x4400000b,0xfb801fff,0x3f6001ff,0x40005fff,0xdffffffb,0x3fee0002,
    0x5ffc8007,0x000d4400,0x00055440,0x7ecfff30,0xffffffff,0x7fffffff,
    0x0004ffd8,0x26003553,0x000002aa,0x0cd554cc,0x2aa00000,0xfffb800a,
    0x33b6a001,0x2a200002,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd4000,
    0x3ffee001,0x3ff2000f,0x3ffffe27,0xffffffff,0xffffffff,0x01bffea1,
    0x22fffc40,0xffffffff,0xceeeffff,0x7ffc400a,0xefffffff,0x3200bdee,
    0x80000fff,0xfff14fff,0x3fea000b,0x3ffffe67,0x3fee0001,0x5fff33ff,
    0x2ffdc000,0xfff88000,0x3fff6002,0x3ffa002f,0x3ffffe24,0xffffffff,
    0xffffffff,0x027ffe41,0x207fff40,0xffffffff,0xffffffff,0x3fe201ff,
    0xffffffff,0x1dffffff,0x003fff98,0x88fffd40,0x8003ffff,0x3fe67ffa,
    0x20004fff,0xf33ffffd,0x5c0005ff,0x200005ff,0x3e004ffe,0x1004ffff,
    0x7fc45fff,0xffffffff,0xffffffff,0xffe81fff,0x3ff2002f,0xfffff81f,
    0xffffffff,0x02ffffff,0xfffffff1,0xffffffff,0xffd03fff,0xffd8000d,
    0x3ffffe26,0x3ffd4000,0x0ffffff3,0x3fffe200,0x05fff33f,0x02ffdc00,
    0x0dff9000,0x3ffbfe60,0x1fff5006,0x99999998,0x99bfffa9,0x30199999,
    0x5001ffff,0x3fe09fff,0xea98803f,0xf882ffff,0x99999cff,0xfffba999,
    0x7ffdc0ef,0xfff10001,0x7ffffc47,0x3ffd4005,0x3ffffff3,0xffff7000,
    0x0bffe67f,0x05ffb800,0x3ffea000,0xfbffb800,0xffc801ff,0xfff98006,
    0x3fee0001,0x7ffc405f,0x00fffe06,0x213ffee0,0x2003fff8,0x444fffd8,
    0x70004fff,0x7fc41fff,0x2003ffff,0x3fe67ffa,0x8004ffef,0x33fffffe,
    0x40005fff,0x00005ffb,0x200bffe2,0x3ffd8ffe,0x004ffe80,0x001fff98,
    0x01fffec0,0x7c01fffd,0xfb0003ff,0x7fff10ff,0x0dfff000,0x2000fffb,
    0x7fc44ffe,0x000fffff,0x7fccfff5,0x4007ffbf,0x3fffdff8,0x0005fff3,
    0x0002ffdc,0x1013ffa0,0x17feafff,0x003fff10,0x003fff30,0x0ffff880,
    0x402fffc8,0x50003fff,0xff883fff,0xffc8003f,0x0fffd40f,0x07ffe600,
    0xfff9fff1,0x9ffea00b,0xfff9fff9,0x2bfee001,0xfff33fff,0x7fdc0005,
    0x7e400005,0xa7fd406f,0x7d407ff8,0xff30007f,0xf500003f,0xfffa8dff,
    0x03fff804,0x85fff300,0x8003fff8,0xff82fffa,0x7fe4004f,0xc9fff886,
    0xfa803fff,0x27ffe67f,0x3a004ffc,0x267fff7f,0x20002fff,0x36e65ffb,
    0x2a001bde,0x7fe407ff,0xc807ffa2,0xf30005ff,0x200003ff,0xff13fffc,
    0x3ffe00df,0xfff70003,0x03fff883,0x82fffa80,0x7c007ffc,0xfff883ff,
    0x801fffd1,0x3fe67ffa,0x007ff99f,0x3ffe9ff1,0x005fff33,0xfcaffdc0,
    0x0effffff,0x01fff880,0xffc83ffe,0x00fffa04,0x00fffcc0,0x1fffd000,
    0x2001fffb,0xd0003fff,0xff881fff,0xffb8003f,0x2fff980f,0x01fff500,
    0x3e63fff1,0x7fd405ff,0x7c7ffe67,0xffb801ff,0x3e67fff1,0x2e0002ff,
    0xffffdeff,0x00efffff,0xf303ffd8,0x06ffa8df,0x0003fff1,0x0007ffe6,
    0xfffff980,0x3fe002ff,0xffd8003f,0x3fff885f,0x07ffe800,0x6c017ffa,
    0xfff105ff,0x01fffe43,0x7fccfff5,0x009ff91f,0x9fffcffd,0x0002fff9,
    0x33ffffee,0x17fff662,0x5c17fee0,0x0fff83ff,0x0007ff98,0x0007ffe6,
    0xfffff700,0x3fff8009,0x7f5d4c40,0xff880fff,0x7fe4003f,0x3ffee04f,
    0x17ffc400,0x221fff88,0xf500fffe,0x8fffccff,0x7cc07ff9,0x4cfffe4f,
    0x20002fff,0x203ffffb,0xf9807ffd,0x03ffb07f,0xff705ffb,0x7fcc0009,
    0xd800001f,0xf8006fff,0xffffffff,0xffffffff,0xfff101ff,0x33333339,
    0xfffff753,0x1fffc401,0x881bfee0,0x7fcc1fff,0x4fff506f,0x3fe1fff9,
    0x87ff201f,0xfff33fff,0x7fdc0005,0x7ffcc04f,0x80fff801,0xbff707ff,
    0x0005ffb0,0x000fffcc,0x7fffec00,0x7fffc001,0xffffffff,0x00dfffff,
    0x3fffffe2,0xffffffff,0xc802ffff,0x7ff406ff,0x07ffe203,0x2a0ffff2,
    0x3ffe67ff,0xe813ff21,0x99fffc6f,0x20002fff,0x4401fffb,0xfd801fff,
    0x82ffd42f,0xfff87ff9,0x3fe60000,0x5c00001f,0x006fffff,0x7ffffffc,
    0xcfffffff,0xfff8800a,0xffffffff,0x00dfffff,0x201fff30,0x2200fff9,
    0xfe881fff,0x3ffd40ff,0x7cc3fff3,0x89ff307f,0xfff33fff,0x7fdc0005,
    0x05fff007,0xfc89ff70,0x87ffe03f,0x40006ff9,0x0001fff9,0x3fbffe60,
    0x3fe004ff,0xffc9883f,0xff1001ef,0xffffffff,0x00399dff,0x3207ffd0,
    0x7fc405ff,0xdfff501f,0x3e67ffa8,0x0fffc1ff,0x3fe0ffe4,0x05fff33f,
    0x037fdc00,0x9802fff8,0x07ff46ff,0x7dc5ffb0,0x7cc0004f,0x100001ff,
    0xffd1dfff,0x3ffe003f,0x7fffcc03,0x3fff8802,0xfb800000,0x05fff06f,
    0x201fff88,0x3ea3fffc,0x07ffe67f,0xdfd09ff9,0x3e67fff0,0x2e0002ff,
    0xfff005ff,0x43ffe005,0x7d406ff8,0x007ff64f,0x03fff300,0x3fff6000,
    0x01ffff31,0x3007fff0,0x8803ffff,0x00003fff,0x41fff880,0xf8807ffa,
    0x3fa201ff,0x4fff50ff,0x7cc1fff9,0x41ffcc6f,0xfff33fff,0x7fdc0005,
    0x05fff005,0x7dcbff60,0x37fc404f,0x30000fff,0x00003fff,0xfc89fff7,
    0xfff805ff,0xdfff5003,0x1fffc401,0xfd800000,0x027fec4f,0x200fffc4,
    0xff56fffa,0x40fffccf,0x3ff21ffe,0xf33fff80,0x5c0005ff,0xfff005ff,
    0x53fea005,0xfe802ffd,0x005ff98f,0x01fff980,0x37ffcc00,0x403fffe8,
    0x36003fff,0x3e206fff,0x000003ff,0x7c4fff50,0xff8801ff,0xfffc801f,
    0x3e67ffab,0x4ffc81ff,0x7ffc1bfe,0x005fff33,0x802ffdc0,0xf1002fff,
    0x401ffebf,0x3ffb9ffc,0xfff98000,0x3fa20001,0xfff100ff,0x1fffc01f,
    0x7ffff100,0x00fffe20,0xfff80000,0x200dff51,0x8801fff8,0x7ffbffff,
    0x2607ffe6,0x07ff57ff,0x7fccfffe,0x3ee0002f,0x5fff005f,0x7cfff400,
    0x7ff5005f,0x00003ff9,0x0003fff3,0x2017ffec,0x3e06fffb,0x7d4003ff,
    0xff880fff,0x0000003f,0x7fed3ff2,0x3fff1002,0x3fffea00,0x3ffe67ff,
    0xf93ffd01,0x4fffe01f,0x0002fff9,0x7c017fee,0x3f2002ff,0x2003ffcf,
    0x007fedff,0x03fff300,0x17ffee00,0x827ffec0,0xc8003fff,0xff885fff,
    0x0000003f,0x3fe3bfe2,0x3ffe2007,0x3fff2001,0x3ffe67ff,0xff9ff901,
    0x99fffc0b,0x20002fff,0xff005ffb,0x7fd4005f,0x36001fff,0x0004ffff,
    0x003fff30,0x01dfff30,0x07fffe20,0x2000fffe,0x442ffff8,0x00003fff,
    0x7e7ff400,0x3fe2004f,0x3fe2001f,0x3fe67fff,0xffff301f,0x9fffc07f,
    0x999bfff9,0x99999999,0x00bff709,0x8800bffe,0x4007ffff,0x002ffffb,
    0x03fff300,0x03fffd00,0x0ffffa80,0x8001fffc,0x220ffffa,0x00003fff,
    0x7fffd400,0x3fe2001f,0x7fd4001f,0x3ffe67ff,0x3ffffa01,0x4cfffe00,
    0xffffffff,0xffffffff,0x200bff74,0x74002fff,0x4c004fff,0x0000ffff,
    0x003fff30,0x003fffc8,0xf8bfff90,0x360003ff,0x3fe25fff,0x0000003f,
    0x006ffff8,0x000fffc4,0xf33fffe4,0x7fe403ff,0x9fffc05f,0xfffffff9,
    0xffffffff,0x00bff74f,0x9000bffe,0xf0005fff,0x40000dff,0x2001fff9,
    0x0006fffa,0xff17fff4,0x7c40007f,0xfff12fff,0x00000007,0x8007fff9,
    0x8001fff8,0x3e67fff8,0x3fe601ff,0x9fffc02f,0xfffffff9,0xffffffff,
    0x00bff74f,0x0000bffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff980000,0xffd8002f,0x17fee0ef,
    0x04fff800,0x81fff700,0xfffffffd,0xffffffff,0x3ffa4fff,0xffffffff,
    0x1fffffff,0x3ffffffe,0xffffffff,0x3e23ffff,0xffffffff,0x001cdeee,
    0x6644fff7,0xcccccccc,0x0ccccccc,0xfffffff3,0x17bddfff,0x7ff40000,
    0xffd8001f,0x4c55532f,0x3fe60aaa,0x7fec002f,0x2ffdc0ef,0x09fff000,
    0x03ffee00,0xfffffffb,0xffffffff,0x7ff49fff,0xffffffff,0x1fffffff,
    0x3ffffffe,0xffffffff,0x3e23ffff,0xffffffff,0x1dffffff,0xf33ffdc0,
    0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0x980003ff,0x8005ffff,
    0xff92fffd,0x83fff21f,0x2002fff9,0xb80efffd,0x3e0005ff,0xf70004ff,
    0xfffd81ff,0xffffffff,0x4fffffff,0x3ffffffa,0xffffffff,0x3ffe1fff,
    0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,0x700dffff,0x7ffccfff,
    0xffffffff,0x31ffffff,0xffffffff,0xffffffff,0xffc80009,0x6c000fff,
    0xfff92fff,0x983fff21,0xfb002fff,0x3ee01dff,0x3fe0005f,0xff70004f,
    0x9999881f,0x99999999,0x22fffe99,0x9999dffe,0x99999999,0x4e7ffc19,
    0x99999999,0x20999999,0x999cfff8,0xfdbaa999,0xfb80efff,0x3333227f,
    0xcccccccc,0x3e65fffc,0x99999bff,0xffffcaa9,0x3ffe0004,0x6c003ffd,
    0xfff92fff,0x983fff21,0xfd802fff,0x3ee00eff,0x3fe0005f,0xff70004f,
    0x3600001f,0x7ff44fff,0xfff00004,0x7c400007,0x3a6003ff,0xffb85fff,
    0x7fe40007,0x0bffe60e,0x03fff4c0,0xfacffa80,0x7fec006f,0x4433312f,
    0x7ffcc199,0x77ffec02,0x02ffdc00,0x009fff00,0x003ffee0,0x17fff200,
    0x00013ffa,0x0001fffc,0x007fff10,0x41fffe88,0x20007ffb,0x7cc1fff9,
    0x3e6002ff,0xfd8002ff,0x003fff2f,0x0017ffec,0x405fff30,0x800efffd,
    0x20005ffb,0x70004fff,0x80001fff,0xe80efffb,0xf00004ff,0x400007ff,
    0x8003fff8,0x7dc6fff9,0xfd10007f,0x5fff307f,0x04fff800,0xc87ffc40,
    0x3f6005ff,0x260001ff,0xffb02fff,0x7fdc00bf,0x0d554c05,0x20009fff,
    0x0000fffb,0x407fffe6,0x00004ffe,0x00007fff,0x001fffc4,0x2e0fffc8,
    0xf90007ff,0x3ffe60df,0x27ff4002,0xa9bfee00,0xf9000fff,0x4c0003ff,
    0xffd82fff,0x7fdc005f,0x3bffea05,0x0013ffe0,0x0007ffdc,0x02ffff88,
    0x00013ffa,0x0001fffc,0x007fff10,0xb8bffe60,0xfa8007ff,0xfff301ff,
    0x7ffc4005,0x1fff4002,0x6400fffe,0x20000fff,0x7ec2fff9,0xfb8005ff,
    0xbfff505f,0x0009fff0,0x0003ffee,0x2027fff4,0x00004ffe,0x00007fff,
    0x001fffc4,0x7dc7fff0,0x7fc4007f,0x3ffe604f,0x1ffea002,0x81fff300,
    0xf7006ffc,0x4c0001ff,0x3ff62fff,0xff70005f,0x0bfff50b,0x40013ffe,
    0x8000fffb,0xe805fffc,0xf00004ff,0x400007ff,0x0003fff8,0xffb93ff6,
    0x3ffe4007,0x00bffe60,0x001fffdc,0x3e617ff6,0xffb802ff,0x7fcc0007,
    0x9ffffb2f,0x17fee000,0x7c0bfff5,0xeeeeefff,0xeeeeeeee,0x4000fffe,
    0x800efffb,0xaaaadffe,0xaaaaaaaa,0xaadfff80,0xaaaaaaaa,0x7c40aaaa,
    0x360003ff,0x1ffee6ff,0x04fff880,0x666fffcc,0xffedcccc,0x7c4002ff,
    0xbffd02ff,0x00fff500,0xdafff980,0x02ffffff,0x265ffb80,0x7fc05fff,
    0xffffffff,0xffffffff,0x26000fff,0xd000ffff,0xffffffff,0x3fffffff,
    0xfffffff0,0xffffffff,0xff885fff,0x3f20003f,0x01ffee7f,0x400fffb8,
    0xfffffff9,0xffffffff,0x7ffb8002,0x003ffee0,0x8000dff5,0xfffefff9,
    0x000ffffd,0xff9affdc,0xffff805f,0xffffffff,0xffffffff,0xfff1000f,
    0x7ff4005f,0xffffffff,0xf81fffff,0xffffffff,0xffffffff,0x1fffc42f,
    0x1fff7000,0xe801ffee,0xff9805ff,0xffffffff,0x0cffffff,0x813ffa00,
    0x4c03fff8,0x4c0006ff,0x74ffffff,0xb800bfff,0x5fff9dff,0x55bfff00,
    0x55555555,0x1fff9555,0x0ffffa00,0xddfffd00,0xdddddddd,0xdfff03dd,
    0x99999999,0x83999999,0x0003fff8,0xffb9fff6,0x5fff3007,0x9bfff300,
    0xfdb99999,0x001dffff,0xd803fff3,0x7fcc07ff,0x7fcc0005,0x7fec3fff,
    0x3fee003f,0x006fffff,0x20009fff,0xc800fffb,0xe8005fff,0xf00004ff,
    0x400007ff,0x0003fff8,0xffb9bffa,0x0dff9007,0x00bffe60,0x037ffec4,
    0x54037fe4,0x3e202fff,0x7cc0005f,0xff883fff,0xff7001ff,0x09ffffff,
    0x0009fff0,0x7003ffee,0x0001dfff,0x00009ffd,0x0000fffe,0x003fff88,
    0xfb97ffe0,0xfff8807f,0x5fff3003,0x3fffc800,0x7fffffc0,0xffffffff,
    0x27fc05ff,0x3ae1ddd7,0x3ffe60ee,0x3bffea03,0xffffb800,0x401fffcc,
    0x70004fff,0x7cc01fff,0xd0000fff,0x200009ff,0x00003fff,0x000fffe2,
    0xf727ffc4,0xfff700ff,0x3ffe6001,0x7ffc4002,0x3fffea06,0xffffffff,
    0x200fffff,0x3fff24ff,0x4c1fff90,0x7ec02fff,0xffb805ff,0x01bffa4f,
    0x20009fff,0xf100fffb,0x40005fff,0x00004ffe,0x00007fff,0x001fffc4,
    0x2e3fff98,0xffe807ff,0x3ffe6005,0x7ffe8002,0x3bbfff60,0xeeeeeeee,
    0x3a04fffe,0x43fff23f,0x3e60fffc,0x7f4402ff,0x7fdc03ff,0x027ffcc6,
    0x20009fff,0xfd00fffb,0xe80007ff,0xf00004ff,0x400007ff,0x0003fff8,
    0x7dc1fffb,0x7ffcc07f,0x3ffe6001,0x7ffd8002,0x007fff10,0x3a07ffe8,
    0x43fff23f,0x3e60fffc,0xff9802ff,0x3fee01ff,0x01fffc85,0x20009fff,
    0xfc80fffb,0xe80005ff,0xf00004ff,0x400007ff,0x8003fff8,0x7dc4fffa,
    0x3ffdc07f,0x0bffe600,0x417ffa00,0x4000fffb,0x5502fffb,0x2600fd01,
    0xf9002fff,0x7fdc0dff,0x0effe885,0x0004fff8,0xfa81fff7,0xd00006ff,
    0x200009ff,0x00003fff,0x000fffe2,0xf707fffa,0x6ffc80ff,0x17ffcc00,
    0x0fffe600,0x4002fff4,0x4005fff8,0x3776a5f8,0x00bffe60,0x704fffe8,
    0x3fea0bff,0x04fff84f,0x41fff700,0x000efff9,0x009ffd00,0x00fffe00,
    0x3fff8800,0x3fffaa00,0x407ffb85,0x4c005ffe,0x22002fff,0xf981ffff,
    0xf90002ff,0x7d4003ff,0x983ffee4,0x22002fff,0xfb82ffff,0x3fff605f,
    0x0027ffc1,0xf10fffb8,0x33335fff,0x33333333,0x7ff43333,0xfff00004,
    0x33333339,0x33333333,0x4e7ffc43,0xcaa99999,0x705ffffd,0x7fc40fff,
    0x7fcc003f,0x999999bf,0xffffda99,0x00fff904,0x227ffcc0,0xff50eeeb,
    0x307ffdc3,0xb8005fff,0x7dc0ffff,0x3ffe205f,0x013ffe0e,0x987ffdc0,
    0xffffffff,0xffffffff,0x3fa7ffff,0xff00004f,0xffffffff,0xffffffff,
    0x7fffc4ff,0xffffffff,0x205fffff,0x3e607ffb,0x7cc002ff,0xffffffff,
    0xffffffff,0x013ffe06,0xc8fffd00,0x81d70fff,0x3e60fffb,0xfd8002ff,
    0x2ffdc6ff,0xf93ffea0,0xf70004ff,0x3ffe61ff,0xffffffff,0xffffffff,
    0x013ffa7f,0x7ffffc00,0xffffffff,0x27ffffff,0xfffffff8,0xffffffff,
    0x3ffdc03e,0x003fff30,0xffffff98,0xffffffff,0xff500cff,0xfb80003f,
    0x3fff22ff,0xff300020,0xff10005f,0x2ffdc9ff,0xf8fffec0,0xf70004ff,
    0x3ffe61ff,0xffffffff,0xffffffff,0x013ffa7f,0x7ffffc00,0xffffffff,
    0x27ffffff,0xfffffff8,0x1cdeefff,0x40fff700,0x98007ffa,0xffffffff,
    0x0bceefff,0x0037fec0,0x937ffc40,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007ff700,0x6776e54c,0x6544002b,0x4002cded,0x2bceedc9,0xeedb9800,
    0x06aa602c,0x10055540,0x059bdd97,0x4002aa88,0x35550aaa,0x00aaa880,
    0x5550d544,0x8aaaa005,0xbd930aa9,0x260aa985,0x880acedb,0xb83deeca,
    0x40000eee,0x8803fff9,0xfffffffd,0xfa801eff,0xefffffff,0x7fff4c01,
    0x00efffff,0xffffffc8,0xffc81eff,0x1fff8805,0xffffff70,0x3e203dff,
    0xff5002ff,0x202ffe4f,0x6403fffa,0x3ffee3ff,0x0fffe404,0xfff35ff9,
    0x9ffdcdff,0xfffffffd,0x3ffffa21,0x3ff20eff,0x7f40000f,0x7fd403ff,
    0xfffeefff,0x3f201fff,0xfffeffff,0xffd103ff,0xffffddff,0x3ff6205f,
    0xffffefff,0x02ffe41f,0x740fffc4,0xffefffff,0xffb04fff,0x93ff6009,
    0x3200fff9,0x7fc05fff,0x0fffec1f,0x643fffa8,0xffffebff,0x36ffee3f,
    0xffffffff,0xfffff98f,0x3f25ffff,0x320000ff,0x7c03ffff,0xfc882eff,
    0xfff705ff,0xfffd983b,0x41effd82,0x906fffb8,0x5c43bfff,0x3f20fffe,
    0xfff8805f,0x0efffe41,0x20ffffa6,0xf8807ffa,0x17ffc1ff,0x40ffffd0,
    0xff886ff9,0x5fff886f,0xefffffc8,0x3fee0fdc,0xf711bfff,0x43bffdff,
    0xf92fffe9,0x2a0001ff,0x203fffff,0x6401fffa,0x7fc40fff,0x37fe404f,
    0xf5017ffc,0xfff983ff,0x8fffe604,0xf8805ffc,0x3ffe61ff,0x07ffec03,
    0x2e017ffc,0x4ffc86ff,0x3fffff10,0x5413fee0,0x7fec3fff,0xffffc80f,
    0x3ffee041,0xffff902f,0x13ffe209,0x3e2000fd,0x203fffff,0xf9805ffe,
    0x37fe40ff,0x263ffe80,0xdee807ff,0x4037fe42,0x3ff26ffd,0x1fff8805,
    0x2201bffa,0xffc84fff,0x41fff405,0xff706ffa,0x3fa09ffb,0x3fff601f,
    0x205fff71,0xb804fffc,0x3ea04fff,0x3f200fff,0x0017e25f,0x7ff57fec,
    0x002a6203,0xff07ffe2,0x3fee005f,0x00fffe26,0x803ffd80,0x3ff22bc9,
    0x1fff8805,0x2003fff1,0xff987ffb,0x1fff300f,0xb01fff10,0x10dff3ff,
    0xfe880fff,0x04fff9ef,0x2007fff2,0x2201fffb,0x7dc04fff,0x0013ea6f,
    0x7ff57fee,0x3ea00003,0x3ffe61ff,0x8fff5000,0x00adfffe,0x0007ffc0,
    0x100bff90,0x3fe63fff,0x3ffe6007,0x903ffe80,0x7fec0bff,0xfff6ff83,
    0x804ffa81,0x6ffffff9,0x007ffe40,0x2007ffdc,0x7d403fff,0x003ff56f,
    0xfd0eff88,0x7510007f,0x3fffffb9,0x6667ffd4,0xdccccccc,0x3fea0fff,
    0x01beffff,0x0003ffc4,0x22017ff2,0xdff71fff,0x0fffc400,0xfe837fdc,
    0x17fee02f,0x3ff69ff3,0x8017fec2,0x00fffffc,0xb803ffe4,0xfff807ff,
    0xbb7fd402,0xffe8000e,0x400fffa1,0xffffffeb,0x2e1fffff,0xffffffff,
    0xffffffff,0x7fffcc1f,0x80cfffff,0x40007ffa,0xf8805ffc,0x0bff91ff,
    0x882fff80,0x7fcc0fff,0x23ffc407,0x9ff71ffb,0x74007ff8,0xfc803fff,
    0xdff7005f,0x805fff00,0x00026ffa,0xffd13ff2,0xffffa807,0xfacfffff,
    0x3fff21ff,0xffffffff,0x82ffffff,0xfffffeb8,0x7fdc2fff,0x7fe40006,
    0x1fff8805,0xf800bffb,0x7ffb03ff,0xe804ffc8,0x99ff61ff,0x17fe66ff,
    0x6ffff880,0x005ffc80,0xff00bff7,0x6ffa805f,0x1bfe6000,0xfa80fffa,
    0x09bdffff,0xfb87ffe2,0x2000006f,0xfffffdb8,0x01ffea3f,0x00bff900,
    0x3f23fff1,0x7ffc005f,0xf8dff502,0xffc801ff,0xfff17fe3,0x800bff21,
    0x03fffffd,0xb802ffe4,0xfff805ff,0x137fd402,0xfe880111,0x03ffe81f,
    0x803ffff1,0x3ea1fff9,0x0000007f,0x99bfff26,0x01000fff,0xf500bff9,
    0x1bfee3ff,0x01fff880,0x7fd47ffe,0x2dff3006,0x7fe43ffa,0x2001ffd2,
    0xfffdfffb,0x017ff201,0x7c02ffdc,0x7fd402ff,0x807fffa6,0xffd03ffc,
    0x07ffe607,0x887ffea0,0x06001fff,0xffc80098,0x03fff10f,0x7dc7bfe0,
    0xfffb805f,0x001fff31,0xc803ffea,0x07ffb4ff,0x7e47ffc0,0x4e7fd41f,
    0xff1005ff,0x81bffa9f,0xf7005ffc,0x5fff00bf,0x226ffa80,0xff505fff,
    0x81fff40d,0xf9007ffb,0x5fff83ff,0x64fffb00,0xff8806ff,0x013ffe1f,
    0x7dc3ffe6,0xfffc806f,0x009fff11,0xf301bffa,0x01fff1df,0x7f57fe40,
    0xfbeff887,0xdffd003f,0xc827ffc4,0xff7005ff,0x05fff00b,0x7cc6ffa8,
    0x7ffc41ff,0x40fffa00,0x5401fffb,0x7dc2ffff,0x7fd401ff,0x0bffea4f,
    0xfb8fff70,0x7fec00ff,0x80bffea5,0x321ffff9,0x7d400fff,0xffe803ff,
    0x54005ffc,0xd05ffdff,0x001ffdff,0xfb83fff7,0x5ffc82ff,0x00bff700,
    0xfa805fff,0x45ffa86f,0x7f403ffd,0x9fff503f,0x7ffffcc0,0x02fffe82,
    0x443ffff1,0xf100efff,0xdffd09ff,0x3fff7103,0x407fffc4,0x21fffff9,
    0x501efff8,0x2e00dfff,0x002fffff,0x03fffff8,0x00dffff9,0x3a09fff3,
    0x7fe40fff,0x0bff7005,0xa805fff0,0x1ff906ff,0x2aabffea,0xffeaaaaa,
    0x7ff42aad,0xfeba9bef,0x983ffeff,0xbabdffff,0xb83ffffe,0xaaacffff,
    0x981ffffb,0xdabcffff,0xfc83ffff,0xfecbdfff,0x541ffedf,0xbabcffff,
    0x001ffffd,0x00fffff1,0x07ffff60,0x01ffffd4,0xf3037ff4,0x5ffc8bff,
    0x00bff700,0xfa805fff,0xfb82206f,0xffffffff,0xffffffff,0x3fffe60f,
    0x8cffffff,0xfd305ffb,0xffffffff,0x7ffe407f,0xefffffff,0x3fffa600,
    0x04ffffff,0xffffffb1,0x07ff6bff,0x3fffffaa,0x001effff,0x0027ffec,
    0x207fffb8,0x401ffff8,0x5c01fffc,0x3ff22fff,0x0bff7005,0xa805fff0,
    0x3ee006ff,0xffffffff,0xffffffff,0x7ffe440f,0x3e61dfff,0x3fb200ff,
    0x00cfffff,0xfffffd98,0x3f2004ef,0x01efffff,0xefffffb8,0x4407ff64,
    0xcefffffc,0xfff50002,0x3fe20003,0x37ff405f,0x013ffea0,0xfc87fff4,
    0xbff7005f,0x805fff00,0x2a006ffa,0xcccccccc,0xcdfffccc,0x2aa6204c,
    0x26200001,0x310001aa,0x88000355,0x880009a9,0x880000aa,0x000000a9,
    0x00000000,0x00000000,0x00000000,0x7f400000,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa980fffa,0xaaaaaaaa,0x30aaaaaa,0x76dcc155,0x988002cd,0x00000009,
    0x00000021,0x4000554c,0x3ffa01aa,0xffffffff,0x36ffffff,0x3fe27fff,
    0x05fff54f,0x55000044,0x55555555,0x3ffffee1,0xffffffff,0xffffffff,
    0x20000001,0x3ee03ffe,0xffffffff,0x72ffffff,0x3fff27ff,0x000effff,
    0x0000fff2,0x37edb500,0x74000002,0xff8003ff,0x3ffffa03,0xffffffff,
    0xff36ffff,0x53ffe27f,0x6d42fffa,0x802cffff,0xfffffb2b,0x3ee3ffff,
    0xffffffff,0xffffffff,0x0001ffff,0x0fffa000,0xffffffb8,0xffffffff,
    0xf97ff72f,0xffffffff,0x3ff2001f,0xb8800003,0xdfff6fff,0xa8000017,
    0xf8007fff,0x3fffa02f,0xffffffff,0xf36fffff,0x3ffe27ff,0x645fff54,
    0xffffffff,0x97ecc1cf,0xfffffffd,0x777731ff,0x77777777,0x77777777,
    0x00000017,0x3101fff4,0x33333333,0x5cbfff33,0x11cfffff,0x009fffb5,
    0x0000fff2,0xfffffd98,0x9ffffff6,0x3f600003,0x21402fff,0x988661fe,
    0x99999999,0x09999999,0x3e27fff3,0x5fff54ff,0x3fffffea,0xdeffffff,
    0xffb2ffff,0x3fffffff,0x00000000,0x7ff40000,0xff880003,0x7fffdc6f,
    0x0fffd101,0x000fff20,0x3ffffaa0,0xfd710bef,0x005dffff,0x7ff7fcc0,
    0x233fea06,0x06fda9fe,0xfff30000,0x553ffe27,0xbff52fff,0xffffd957,
    0x3fffffff,0x00000000,0x00000000,0x3fa20000,0x7ffdc0ef,0x07ffd404,
    0x001ffe40,0xfffffc88,0x7ed401df,0x00bfffff,0x7ed7fe40,0xffff901f,
    0x1fffffff,0xff100000,0x997ffc5f,0x03f51fff,0x3ffffae2,0x00001eff,
    0x00000000,0x00000000,0x2e07fff6,0x7cc00fff,0xffc801ff,0x7fecc003,
    0x000bffff,0x7ffffe44,0xff8801df,0x220bff56,0xeffffdca,0x000001bc,
    0xffe83ffe,0x04c3ffe1,0x2bdcb980,0x00000000,0x00000000,0x7fec0000,
    0x0fff702f,0x2007ffe0,0xb8803ffc,0x2dfffffe,0xffd50000,0x5c07dfff,
    0x03ffa3ff,0x007fff60,0x3fec0000,0x6fe83ff2,0x00000000,0x00000000,
    0x00000000,0x407fff90,0xff006ffb,0x3bbbb65f,0xeeefffee,0xfff5eeee,
    0x00019fff,0x3fff2600,0x1fff06ff,0x32027fdc,0xd81ffcef,0xeeeeeeee,
    0xeeeeeeee,0xdf71bf25,0x00005fd8,0x00000000,0x00000000,0xffb80000,
    0x2ffdc04f,0xfd2fff80,0xffffffff,0xdfffffff,0x000ffffe,0xffb88000,
    0x45ffa86f,0xf700fff8,0xd03bfa5f,0xffffffff,0xffffffff,0x326164cd,
    0x00016543,0x00000000,0x00000000,0x3ea00000,0xffb805ff,0x25fff005,
    0xfffffffe,0xffffffff,0x9fffff6f,0x88000001,0xe86ffffc,0x3ffd82ff,
    0x3ea5ff88,0x7ffff44f,0xffffffff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x077ffcc0,0x802ffdc0,0x33312fff,0x39ff9333,0x2a133333,
    0x2dfffffe,0x7ed40000,0x4c2effff,0xdff306ff,0x07b03a20,0x55555555,
    0x55555555,0x00000055,0x00000000,0x00000000,0x44000000,0x7000fffe,
    0x3fe00bff,0x3ffc802f,0x3fff6600,0x0000beff,0xffffff71,0x0fff6039,
    0x0002ffe8,0x00000000,0x00000000,0x00000000,0x00000000,0x0ffff440,
    0x00bff700,0x3200bffe,0xc88003ff,0x1cffffff,0xffffb300,0x7c4017ff,
    0x3fee00ff,0x00000005,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x7dc002ff,0x5fff005f,0x007ff900,0xffffea80,0xfeb882ef,0x002effff,
    0xf880bff9,0x000001ff,0x00000000,0x00000000,0x00000000,0x90000000,
    0x70007fff,0x3fe00bff,0x3ffc802f,0xffb30000,0x3f27ffff,0x01cfffff,
    0x40055540,0x00001aaa,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0003fffb,0x3e00bff7,0xffc802ff,0x64400003,0xfff6ffff,0x000017ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0xdddbffff,
    0xdddddddd,0x4017feeb,0xfc802fff,0x2000003f,0x5dff6fea,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,0xffffffff,
    0xf77fffff,0x3ffe00bf,0x02cca802,0x94980000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0xffffffff,0x7fffffff,
    0x3e00bff7,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_42_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,2,3,2,3,3,1,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_42_usascii_y[95]={ 34,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,6,6,6,6,7,7,6,7,6,6,14,14,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,39,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17, };
static unsigned short stb__arial_42_usascii_w[95]={ 0,5,11,21,19,30,24,5,10,10,13,18,5,11,
5,11,19,11,18,19,20,19,19,19,19,19,5,5,18,18,18,19,35,27,22,25,24,22,19,25,22,5,15,24,
18,27,23,27,22,27,25,23,23,23,25,36,25,25,23,8,11,9,17,23,8,19,18,18,18,19,12,18,17,4,
8,17,4,27,17,19,18,18,12,17,11,17,19,27,19,19,18,11,4,12,20, };
static unsigned short stb__arial_42_usascii_h[95]={ 0,27,10,29,34,29,29,10,36,36,13,19,10,4,
4,29,29,28,28,29,27,28,29,27,29,29,20,26,19,12,19,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,3,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,7, };
static unsigned short stb__arial_42_usascii_s[95]={ 252,236,167,193,117,1,32,179,78,1,134,
59,246,206,248,147,185,39,51,205,1,83,215,165,57,77,248,242,78,148,97,
165,12,208,185,159,134,111,91,121,44,159,205,1,215,187,163,165,114,137,88,
97,38,122,137,1,62,221,67,108,235,98,116,218,246,22,20,80,1,42,70,
237,234,247,89,26,247,218,41,117,103,146,205,62,225,99,137,157,185,185,22,
66,61,48,185, };
static unsigned short stb__arial_42_usascii_t[95]={ 1,125,175,1,1,38,38,175,1,1,175,
175,153,175,146,38,38,68,68,38,153,68,1,125,38,38,125,125,175,175,175,
68,1,125,125,38,125,125,125,38,125,125,68,125,97,97,97,1,97,1,97,
38,97,68,97,97,97,68,125,1,1,1,175,175,164,153,68,153,68,153,68,
38,97,1,1,125,68,153,175,153,68,68,153,153,38,153,153,153,153,68,175,
1,1,1,175, };
static unsigned short stb__arial_42_usascii_a[95]={ 167,167,214,335,335,535,401,115,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,167,167,351,351,351,335,611,401,401,434,434,401,367,468,
434,167,301,401,335,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,167,167,167,282,335,200,335,335,301,335,335,167,335,
335,134,134,301,134,501,335,335,335,335,200,301,167,335,301,434,
301,301,301,201,156,201,351, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_42_usascii_BITMAP_HEIGHT or STB_FONT_arial_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_42_usascii(stb_fontchar font[STB_FONT_arial_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_42_usascii_BITMAP_HEIGHT][STB_FONT_arial_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_42_usascii_s[i] + stb__arial_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_42_usascii_t[i] + stb__arial_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_42_usascii_x[i];
            font[i].y0 = stb__arial_42_usascii_y[i];
            font[i].x1 = stb__arial_42_usascii_x[i] + stb__arial_42_usascii_w[i];
            font[i].y1 = stb__arial_42_usascii_y[i] + stb__arial_42_usascii_h[i];
            font[i].advance_int = (stb__arial_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_42_usascii_s[i] + stb__arial_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_42_usascii_t[i] + stb__arial_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_42_usascii_x[i] + stb__arial_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_42_usascii_y[i] + stb__arial_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_42_usascii_LINE_SPACING
#endif

