// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_43_usascii_BITMAP_HEIGHT        204
#define STB_FONT_arial_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_43_usascii_FIRST_CHAR            32
#define STB_FONT_arial_43_usascii_NUM_CHARS             95

#define STB_FONT_arial_43_usascii_LINE_SPACING          28

static unsigned int stb__arial_43_usascii_pixels[]={
    0x00000000,0x00000000,0x20000000,0x99913cc9,0x32619999,0x004ccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf10ffa80,0xfb801bdf,
    0x7fecc03f,0x0001ff57,0xfecca880,0x00bceeff,0x36ffb800,0x1fffffff,
    0x3fffffea,0x013ea007,0xfedc9800,0x0000bdef,0x007bfdb5,0x0005ff88,
    0xeffdca98,0x200001cd,0xdefeeca8,0xd10001ab,0x7fffc49f,0x0ffee02f,
    0x27ffffb8,0x300005fe,0xfffffff9,0x5bffffff,0xb7fdc000,0xfffffff9,
    0xffffff50,0x37f2600f,0x7f5c0001,0xffffffff,0x3f2001df,0x00dfffff,
    0x0001ff90,0x7fffff4c,0x02efffff,0x3fff6600,0xffffffff,0x7fe4000e,
    0x3ffffe20,0x40ffee06,0x27fffff9,0x20002ff9,0xffffffea,0xfffeedef,
    0x8000efff,0x26666ffb,0xff50fffa,0x4c03333f,0xfffffffd,0x3fa2000d,
    0xffffffff,0x804fffff,0xffbcfffb,0x4ff8805f,0x3ffee000,0xffffffff,
    0x4000dfff,0xfffffffb,0xffffffff,0x07ff3003,0x40bffea2,0xff703ffb,
    0x03ff603d,0x3fffee00,0x7e4c01bf,0x4002ffff,0xff102aa9,0x01ffea1f,
    0x7fffffdc,0x802fffff,0xbdfffff9,0xffeba99a,0x3fe00dff,0x07ff620f,
    0x0001ff90,0x9dffffb1,0xffd73335,0xb1001dff,0x57bdffff,0xfffd9533,
    0x0dfd00bf,0x2e09ffb0,0x5ffb03ff,0x002ffcc0,0x00b7fff2,0x27fff540,
    0x3fe20000,0x00fff50f,0xfbdffff5,0x03ffffdb,0x0f7fffc4,0x2ffffd40,
    0xf984ffa8,0x13fe204f,0x7ffff400,0xfffe9802,0x7ffec00e,0xfff7004f,
    0x1ffd405f,0xb82ffd40,0x3fff03ff,0x000ffd80,0x0007fffb,0x00bfff20,
    0x0fff8800,0xf880fff5,0x29f52eff,0x3607fffa,0x44004fff,0xfb83fffe,
    0x05ff882f,0x20003ff2,0x000dfffb,0x813fff62,0x001efffa,0xd037ff4c,
    0xff5001ff,0x40ffee0d,0x7d400fff,0xfffc804f,0x7d400001,0x100000ff,
    0x3fea1fff,0x0fffdc07,0x7ffdc9f5,0x05fffb82,0x1ffff100,0xff01ffc8,
    0x013fe20d,0x01bffe20,0x82fffe80,0x001ffff8,0x505fff50,0x3ea00bff,
    0x07ff706f,0x3e003ffe,0x3fe600ff,0x00cc400f,0x201bff20,0xff106ffb,
    0x01ffea1f,0x4fa8dffb,0x3e13ffe2,0x20000fff,0x7ec4fffb,0x20fff01f,
    0xc8000ffd,0x20002fff,0xfb86fff9,0x740003ff,0x3ffd86ff,0x20dff500,
    0xfff03ffb,0x07ffb001,0xd5017ff4,0x643bffff,0x17fec3ee,0x441bfee0,
    0xfff50fff,0x543ffe80,0x215e644f,0x0004fff9,0x7e47ffe8,0x30dff01f,
    0xf10009ff,0xb0000bff,0xffe81fff,0xcea80006,0x007ffcc2,0xf706ff98,
    0x03ffe07f,0x5c1ffea0,0x3ff605ff,0xf0ffffff,0x5ff985ff,0x8837fdc0,
    0xfff50fff,0x543fff80,0x3ff2004f,0xfb80000f,0x0bfee1ff,0x3f617fe2,
    0xffa8000f,0xfa80001f,0x3ffe63ff,0x5c000005,0x3e6005ff,0x07ff706f,
    0x1001fff1,0xff883fff,0xfffe880e,0xafffdbce,0xffe80fff,0x41bfee00,
    0xff50fff8,0x46ffd80f,0x3fe004fa,0xf300007f,0x2ffcc9ff,0x3e61ffdc,
    0xff70004f,0x3e00001f,0x3ffee5ff,0x6c000003,0x3e2004ff,0x07ff707f,
    0x7400fff1,0x1ffd43ff,0x983fffe8,0x707ffffe,0x7fdc05ff,0x21fff106,
    0x7dc07ffa,0x013ea0ff,0x0005fff8,0xfb17ffe0,0x1bfee19f,0x40003ff6,
    0x00007ffc,0xffc9fff6,0x4000002f,0x22003fff,0x7ff707ff,0x400fff30,
    0x7fec5ffd,0x03fffb80,0x417fffe6,0x3ee03ff9,0x1fff106f,0xf301ffea,
    0x13ea3dff,0x027ffc40,0x8dffd000,0xfffffff9,0x01ffcc2f,0x00dffd00,
    0xb3ffec00,0x00001fff,0x017ffcc0,0x2e03ffe0,0x5ffa83ff,0xf1fff200,
    0x9fff10df,0x09fffb00,0xfb813fe2,0x1fff106f,0x2e01ffea,0x4fcdffff,
    0x07fff300,0x3fff4000,0x77ffff44,0x000ffd81,0x0017ffe0,0xd0fffc80,
    0x00000fff,0x001fffa8,0x7dc27fe4,0x02ffe83f,0x543ffee0,0xfffc83ff,
    0x2fffc801,0xfb817fe0,0x1fff106f,0x5c01ffea,0xcfffffff,0x1fffd402,
    0xfffd0000,0x980ddcc0,0xab9883ff,0x09fff101,0x7ffe4000,0x200dfff0,
    0xfffffff8,0xff73ffff,0xff98001f,0x21ffdc2f,0x54007ffb,0x3ff71fff,
    0x200bfff0,0xf300fffb,0x37fdc09f,0xf50fff88,0x7ed400ff,0x3fffffff,
    0x009fff30,0x02fffc00,0x261ffa00,0x80efffff,0x00005fff,0x7f43fff6,
    0xfff1007f,0xffffffff,0x001ffee7,0xb9ffffdc,0xffff93ff,0xfff98003,
    0xf981ff91,0xff7001ff,0x017fdc0f,0x3e20dff7,0x0fff50ff,0xffff7100,
    0xf883dfff,0x100005ff,0x40009fff,0x7fd43ffa,0x41ffffff,0x00006fff,
    0xffd9fffa,0xffff1007,0x7fffffff,0x8001bff2,0xff75ffe9,0x003bffe7,
    0x6cbffe20,0x0fffb87f,0x40bffb00,0x3ee01ffd,0x1fff106f,0x8001ffea,
    0xffffedfa,0x006fff86,0x07fff300,0x743ff400,0xffc88bff,0x003fff46,
    0x64dfff00,0x33000fff,0xff333333,0x01bff27f,0x75ffe880,0x37ffe7ff,
    0xfff88000,0xff90ffd2,0x1fff400f,0xfb80fff0,0x1fff106f,0x8001ffea,
    0xfffd34fa,0x007ffe89,0x03fff500,0x50ffea00,0x5ff909ff,0x0007ffe4,
    0x52fffc40,0x00007fff,0x7fdcfffe,0xfff50006,0x64ffee7f,0x4001ffff,
    0xffd1fff8,0x200bffb0,0xf301fff8,0x6ffb80df,0x2a1fff10,0x2a0007ff,
    0x07fff44f,0x0005fff7,0x001fff90,0x3f21bfa0,0x23ff981f,0x0003fff9,
    0x222fffb8,0x00005fff,0x3fee7fff,0xfff88007,0x911ffdc2,0x4c001fff,
    0x0ffb0fff,0x2e00dff9,0xffd00fff,0x06ffb805,0x3ea1fff1,0x3ea0007f,
    0x10fffdc4,0x5100dfff,0x01bffe60,0x7417fd40,0x5ff980ff,0x0007fff4,
    0xb0ffff10,0x00003fff,0x3fea7fff,0x5ffb8007,0xfe83ffb8,0x3fe6003f,
    0xa81ffb0f,0xff8807ff,0x0bffb06f,0x220dff70,0xfff50fff,0x13ea0200,
    0xfd87fff1,0x7fdc03ff,0x07fffa0c,0xe837f400,0x8dff107f,0x0005fffb,
    0x2a13fff2,0x80006fff,0xfff33fff,0x1ffe8001,0xfa83ffb8,0x3fea005f,
    0xf107ff27,0xffd803ff,0x0fffc84f,0x106ffb80,0x3fea1fff,0x21ffaa07,
    0x3fff84fa,0x00ffffc4,0xf95dfffd,0x2e0007ff,0x0ffd02ff,0x3fa17fe2,
    0xfa8002ff,0xffb00eff,0x7d4000bf,0x0bffe3ff,0x707ff880,0xfff307ff,
    0x52ffe400,0xbffd07ff,0x1ffffe40,0x400fffee,0xff106ffb,0x81ffea1f,
    0x7d40fff9,0xa82fff84,0xb303ffff,0xdfffffff,0x037f4000,0xff301ffb,
    0x9ffff309,0x7fffe400,0x3fffa201,0x3fa6001e,0x3ff63fff,0x1ffe6004,
    0x7c41ffdc,0x3ffa007f,0x2a1bfe23,0x7ecc5fff,0xea8effff,0x2e004fff,
    0xfff106ff,0xf01ffea1,0x44fa87ff,0xf901fff9,0x5013bfff,0x03ffffff,
    0x80bfee00,0xffb82ffc,0xdffff503,0xffd51015,0xff3009ff,0x4159dfff,
    0xffffdba8,0x1bfee0df,0x707ff980,0xfff107ff,0x03ffe200,0xff703ffb,
    0x3dfffdff,0xffffffff,0xffb8005f,0x21fff106,0x7ec07ffa,0xd13ea0ff,
    0xffb80dff,0xfddeffff,0xcfffffff,0x06ff8000,0xd1077fc4,0x7fcc01ff,
    0xfddfffff,0x02ffffff,0x3ffffa20,0xffffefff,0x882effff,0x3e6007ff,
    0x07ff706f,0x26003ffe,0x5ffb86ff,0xffffffb0,0x3ffff61d,0xb8001eff,
    0xfff106ff,0x501ffea1,0x3ea1dfff,0x00bfff64,0x3fffffa6,0xefffffff,
    0x2003ffff,0xfc802ffb,0x3fffccff,0xffffd880,0xffffffff,0xff90001e,
    0xffffffff,0xe807ffff,0xff3002ff,0x40ffee0d,0xfc800fff,0x07ffd04f,
    0x20b3fb26,0x80acefed,0xff701aaa,0x43ffe20d,0xfc807ffa,0xbdfccfff,
    0x4005fffe,0xffffffd9,0xffd50cff,0xff8803df,0xfffb1006,0x98009fff,
    0xfffffffc,0x500001cf,0xfffffffb,0xf500179d,0x3fe600bf,0x207ff706,
    0xff800fff,0x3fff100f,0xf7000000,0x3fee01df,0x21fff106,0xf7007ffa,
    0xffffffff,0x980009ff,0x2e009aaa,0x7dc00fff,0x7edc002f,0x440002de,
    0x00019aa9,0x0d54cc00,0x01ffd000,0x2e0dff50,0x1fff03ff,0x404ffa80,
    0x0001fffa,0x07ffee00,0xf105ffc8,0x1ffea1ff,0xffffda80,0x0002efff,
    0x0b910000,0x00000000,0x00000000,0xf7000000,0xbff5007f,0x7c0ffee0,
    0x7fec01ff,0x4fffc800,0x7ec40000,0x7fec02ff,0x21fff105,0x30007ffa,
    0x00015bfb,0x00000000,0x00000000,0x00000000,0x6ff80000,0x704ffb80,
    0x3ffa07ff,0x017fe203,0x02efffe8,0x7ffdc400,0x7ffd403f,0x3fea6663,
    0x33fff50f,0x27d40033,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3e603ffa,0x7ff702ff,0x407bff20,0x64000ffd,0x0adfffff,0xfffda880,
    0xfff301df,0x3fe63fff,0xf50fffff,0x00ffffff,0x000027d4,0x00000000,
    0x00000000,0x00000000,0x1ffb0000,0x7fffff44,0x207ff700,0x25fffff8,
    0x30003ff9,0xfffffffd,0xffddbbdf,0x805dffff,0x24fffffb,0xfffffff9,
    0xffffff50,0x027d400f,0x00000000,0x00000000,0x00000000,0x10000000,
    0x7ffc47ff,0x3fee02ff,0x3fffee03,0x0001bf67,0x3fffff26,0xffffffff,
    0xf7003fff,0xcc885bff,0x930ccccc,0x00999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x221ff500,0x5c01dfff,0x7ecc03ff,0x001ff57f,
    0xdcba9800,0xbdeffffe,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x31000609,0x31180013,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x000001a9,0x00000000,0x00000000,0x00000000,0x7ffcc000,
    0x17ff2002,0x0004d4c0,0x00003510,0x32ea2000,0x2000001b,0x64c02ccb,
    0x32efffff,0xff500dff,0x007ff207,0x1effee44,0x6e4c0000,0x00bceffe,
    0x40006fe8,0xcefecb98,0x2200009b,0x17ffa3ff,0xf72fff80,0x3fff629f,
    0x71001dff,0x23bffffb,0x2e204ffa,0x2205effd,0xfffffffb,0xfd800004,
    0x3ffea04f,0x9bffffff,0xffc806ff,0x200ffd01,0xfffffffb,0xeb80001e,
    0xffffffff,0x3f200cff,0xff70000f,0xffffffff,0xf700019f,0x07ffdc3f,
    0xf73ffd40,0xfffff39f,0xa809ffff,0xffffffff,0x104ffaaf,0x0dffffff,
    0x3fffffa2,0x0005ffff,0xa827fec0,0xdbbdffff,0x06ffefff,0x3fe07fd8,
    0xffffb805,0x00fffffe,0xffffb100,0xffffffff,0x3fe603ff,0x7ff44002,
    0xffffffff,0x4001ffff,0x7ffc47fd,0x24ffd803,0xcfffeffb,0x4ffffcaa,
    0x59ffff50,0xffbfff95,0xffffd109,0x3ff609ff,0xffca9adf,0xb00000ef,
    0xfff109ff,0xfffd103f,0x0dff00df,0xf1013fe6,0x3ee23bff,0xf98005ff,
    0x99adffff,0xfffffba9,0x800bff01,0xaacffffe,0xffffca99,0x17fe001f,
    0xf101bff6,0x7ffdc3ff,0xffe881ff,0x77ffc41f,0xffffe881,0xadfffa84,
    0xfffa8098,0x07fff703,0x13ff6000,0xd003fff2,0xf880dfff,0x05ff704f,
    0xc80fffb8,0x22000fff,0x800dffff,0xd80ffffc,0x3fe6007f,0x7e4400df,
    0xff3004ff,0x03fff507,0x3ee37fdc,0x7fc00fff,0x07ffe45f,0x213fffa0,
    0xe800fffb,0x7fdc05ff,0xffb00006,0x009ffd09,0xa80dfff3,0x3ff903ff,
    0x305ffd80,0x6c003fff,0x64004fff,0xffb84fff,0x0dff9001,0x007ffd80,
    0x3fe01ff7,0x0fffa04f,0x7009fff7,0x5ffe8fff,0x84fffb80,0xfa806ffc,
    0x7fc402ff,0xfd80002f,0x07ffc44f,0x406ffe80,0xffd01ffc,0x20bffb00,
    0x5000fff9,0x2000bfff,0x7c40fffe,0x7ffd003f,0x1fff9800,0x3206fe80,
    0xfff306ff,0x00fffb81,0x7fc3fff0,0x9fff001f,0x900bff90,0x3f600fff,
    0x206a005f,0x7fcc4ffd,0x1bff2007,0x7fc0ffb0,0x0fffc805,0x2005ffc8,
    0x0000fffd,0xfd09fff5,0x5fff100d,0x09fff000,0x2604ff88,0xffc81fff,
    0x007ffb85,0x7fccbffa,0x9ffb000f,0xd00bff90,0x3ea009ff,0x3f6e207f,
    0xffb1dfff,0x006ffb89,0x7fe5bfee,0xffffffff,0xffffffff,0xbfff306f,
    0x002fff98,0x0009fff1,0xfc80abd8,0x6fff800f,0x00aa9800,0x3a017fd4,
    0x2fff84ff,0x2006ffb8,0xfff54ffd,0xca7fe400,0xffffffff,0x03fff84f,
    0x503fff30,0xffffffff,0xc89ffb5f,0x3ea005ff,0xfffff96f,0xffffffff,
    0x0dffffff,0xfaa7ffec,0xf7000eff,0x000005ff,0xd802ffa8,0x00001fff,
    0x2e01ff20,0x3ffcc7ff,0x2005ffb8,0xdff95ffc,0xca7fdc00,0xffffffff,
    0x17ffc44f,0x42fff980,0xbbdffffa,0x4ffffffd,0x50037fe4,0x3bbaedff,
    0xeeeeffee,0xeeefffee,0x3fffe205,0x000dfffe,0x0007fff6,0x09ff1000,
    0x39ffff50,0xbff00000,0x45fff100,0xff704ffc,0xaffe4009,0x2e006ffb,
    0xfd9954ff,0x985999df,0xf1001fff,0x7ffc47ff,0xfffe881f,0x03ffdc4f,
    0x640dff70,0x0ffd01ff,0xfffffa80,0xffe8003f,0x8000000f,0xff9007fd,
    0x0159dfff,0x03ff9800,0x7fcbffb0,0x0bff701f,0xfa9ffec0,0x3fee007f,
    0x405ffc84,0x2001fff9,0x3ff23fff,0x3ffa201f,0x03ffd44f,0x740dff90,
    0x0bff107f,0xfffffa80,0xfffd0003,0x2e000000,0xff7001ff,0x9dffffff,
    0x3ff70005,0x4dffea00,0x3fee06ff,0x4bffa006,0x9000fff9,0xbff909ff,
    0x00fffa80,0xfe8fffe0,0xfffb805f,0x017ffcc4,0x3e06ffe8,0x09ff306f,
    0x3ffffa60,0xff0006ff,0x000000bf,0xa800ffe6,0xfffffffe,0xb000dfff,
    0xfff800ff,0x2e03ffca,0xff1007ff,0x0bffe21f,0x6427ff40,0x7fd405ff,
    0x3ffe000f,0x4007ffe3,0xffe84fff,0x6fffa806,0x2e09ff30,0xffa802ff,
    0x4fffedff,0x05fff800,0x3fe00000,0xfec98005,0xffffffff,0x004ff801,
    0x7ff67fe4,0x0fffee00,0xfd1fff20,0xfff300df,0x80bff909,0x2000fff9,
    0xfff33fff,0x427fec00,0x2203fff9,0xf506fffe,0x03ff605f,0x25ffff50,
    0x6c3ffff8,0x6fff81bd,0x36000000,0x5c40007f,0xfffffffd,0x00bfea03,
    0xbfffff10,0x0ffffb80,0x313ffe20,0xfd805fff,0x5ffc84ff,0x00fffcc0,
    0x3ea7fff0,0x3ff2007f,0x19fffb04,0x7ffffd44,0x203ff906,0x7fc407fe,
    0x7ffd41ff,0x0bfff11f,0x0001fffd,0x0bfea000,0xffb98000,0xff903fff,
    0xfffd0001,0xfffb805f,0xffe980ef,0x2fffd80f,0x09ffffb0,0xf880bff9,
    0xff1001ff,0x01bff25f,0xd104ffc8,0xffdfffff,0x26dffdff,0xaaffeaaa,
    0xaeffbaaa,0x3ff22aaa,0xdfff701f,0xb05fff51,0x00003fff,0x013fe200,
    0x3ff62000,0x00dfd06f,0x03fffee0,0xffffff70,0xffffb779,0x3fffe205,
    0xfffecabd,0x5ffc84ff,0x002fff80,0x3f25fff3,0x3fee006f,0x7fffe404,
    0xffc8efff,0xffffff95,0xffffffff,0x7cdfffff,0x7fec06ff,0x80fffddf,
    0x0002fffb,0x7f4005cc,0x90000406,0xff881fff,0xfff10003,0x5dff700b,
    0xffffffff,0xffd8805f,0xdbffffff,0x5ffc84ff,0x002ffe80,0x3ea1fff3,
    0x3ff2007f,0xefdba804,0x657ff23c,0xffffffff,0xffffffff,0xfff36fff,
    0xfffe8807,0xff304fff,0xfd80009f,0x3ff200ff,0x017ffc40,0x43fff980,
    0x20001ffb,0xfb801fff,0xffffd36f,0x7640017b,0xfb2effff,0x0bff909f,
    0x2009ffd0,0x3fe27ffb,0x9ffb000f,0x3ff60000,0x9ffb5534,0xffd55555,
    0x26555557,0xf8802fff,0x200fffff,0x20006ffe,0x4c05fff8,0x5fff83ff,
    0x13ffe000,0x54000ffb,0xff7006ff,0x000a988d,0x36055440,0x5ffc84ff,
    0x007ffb80,0xfff8bffd,0x09ffd001,0xffe80013,0xd00ffc83,0xfff880df,
    0xffff5005,0x3fffc809,0x5fff9000,0xfd0bff00,0x3e2000ff,0x02ffc1ff,
    0x007ffb00,0x0001bfee,0x27fec000,0x4402ffe4,0x7c401fff,0x2ffec3ff,
    0x427ffd40,0xfa802fff,0x07fe81ff,0xff00bff1,0xff5001ff,0x7c403fff,
    0x54001fff,0xfb007fff,0x09fff70f,0x98fff700,0xf30002ff,0x3ee001ff,
    0x0000006f,0xf909ffb0,0x3ff200bf,0x43ffe405,0x7401fffb,0xffd84fff,
    0x3fffc406,0xff505ff8,0x9fff9007,0xfffffa80,0x3fea02ff,0xff3001ff,
    0x3ee005ff,0x7fffc41f,0xfff7000d,0x000ffc89,0x9fff7335,0x037fdc00,
    0xfd800000,0x05ffc84f,0x20bfff10,0xfb03fffc,0xffb105ff,0xfff709ff,
    0xffd9815b,0x04ff981f,0xf1005ff7,0xf7109fff,0xffffffff,0x7fffec05,
    0xffd881bd,0x3e2004ff,0xffffa83f,0x6d440abf,0x7f41ffff,0x3fffa006,
    0x7dc006ff,0x0000006f,0xf909ffb0,0x7fe400bf,0xffebacef,0x7fff405f,
    0xefffcabd,0xfffb04ff,0xfffdddff,0x0bfee05f,0xa8007fec,0xecdfffff,
    0xe8afffff,0x3202ffff,0xdfffffff,0x5ffffffe,0x706fe800,0xffffffff,
    0xdffffffd,0x004ff881,0x03fffff6,0x00dff700,0x3f600000,0x05ffc84f,
    0x7ffffdc0,0x8806ffff,0xfffffffe,0x104ffbaf,0xfffffffb,0x7e405fff,
    0x00dfd00f,0xfffffe98,0x6c0effff,0x7dc02fff,0xffffffff,0x0003ffff,
    0x3aa01ff9,0xffffffff,0xa80dffff,0x3ae001ff,0xb8001bef,0x000006ff,
    0x909ffb00,0xd5000bff,0x07ffffff,0x7ffedc40,0x09ff72ef,0xffffec98,
    0x3ff400bd,0x8005ff88,0xffffffc8,0x00ff603d,0x7ffff5c4,0x0003ffff,
    0x2e017fd4,0xfffffffd,0x1ff203ce,0x4c000000,0x000003cc,0x90599700,
    0x98000bff,0xa80001aa,0x0000000a,0xa8815540,0x4c40001a,0x000a001a,
    0x04d554c4,0x03550000,0x00d554c0,0x00005550,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6654c000,0x3cc9800a,0x4ccc0000,
    0x99999999,0x73100099,0x10001579,0x00157975,0x06664c00,0x0af2ea20,
    0x000b3320,0x0002ccc8,0x00799300,0x99999500,0x99999999,0x54999999,
    0x80002ccc,0x9950cccc,0x7ffecc07,0x2e03efff,0x200006ff,0xfffffff9,
    0x04ffffff,0x7fffff4c,0xf91003ff,0x1bffffff,0xfff50000,0x3fff6203,
    0x3e03ffff,0x3e0004ff,0x372205ff,0x201cdefe,0x80006ffb,0xfffffffc,
    0xffffffff,0xff30ffff,0x640003ff,0x3fee4fff,0xfffff706,0x209fffff,
    0x00006ffb,0x3fffffee,0x4fffffff,0x3ffffea0,0x406fffff,0xfffffff9,
    0x0002ffff,0x540fffd4,0xffffffff,0xfff80eff,0x3ffe0004,0xfffff905,
    0x701bffff,0x90000dff,0xffffffff,0xffffffff,0x7fdc1fff,0xff30006f,
    0x86ffb8df,0x99bffff9,0xb85fffca,0x200006ff,0xfffffffc,0x04ffffff,
    0x359ffff7,0x20bfffd5,0x9acfffe8,0x00ffffb9,0x07ffea00,0x35bffff5,
    0x81dfff75,0x20004fff,0xffe85fff,0xfffeefff,0x37fdc1ff,0x66654000,
    0xcccccccc,0xffffdccc,0x01ffff40,0x20ffff40,0x7fc46ffb,0xfff500ef,
    0x006ffb87,0x00fffa00,0x0dfff100,0x6417ffe4,0xff302fff,0x7d4000df,
    0x7fff41ff,0x8bffd302,0x20004fff,0x7fe45fff,0x7fe441ef,0x1bfee0ff,
    0x88000000,0xf983fffe,0x2e001fff,0xffb84fff,0x00fffd46,0xff717ff2,
    0x7fc0000d,0x7dc0001f,0x3fe201ff,0x06fff84f,0x0007ffd4,0x2e1fffa8,
    0x7cc03fff,0x13ffe1ff,0x25fff800,0x5405fff9,0x3fee5fff,0x00000006,
    0xb813fff6,0xf3006fff,0x3fee0dff,0x402ffec6,0x7fdc7ffa,0xff100006,
    0xff80001f,0x7ffc803f,0x201fffc4,0x0002fff8,0x7f43fff5,0xbff9006f,
    0x00027ffc,0x7fe4bfff,0x7ffc800f,0x0001bfee,0x7ffec000,0x3fffe806,
    0x01fffe80,0xfdc8dff7,0x1fff9803,0x2a61bfee,0x1bfea000,0x0bff7000,
    0xf306aa20,0xfff001ff,0x3fea0007,0x00bffe1f,0xfff3ffd4,0x7ffc0009,
    0x4017ffa5,0xff71fff9,0x0003510d,0x3fffee00,0xffff9800,0x0fffee00,
    0x0006ffb8,0x3ee3ffd4,0xffffb16f,0xffc801bf,0x7ff40004,0xfff00003,
    0x1fff9805,0x3fff5000,0x4007ffe6,0xfff1fff8,0x7ffc0009,0x005fff15,
    0x7dcbffe2,0x3fffb26f,0x500003ef,0x4003ffff,0xf105fffb,0xffb80dff,
    0x7fec0006,0x7cf7fdc5,0xffffffff,0x10fff602,0x0fffc003,0x5ffd8000,
    0x003ffec0,0x2a3fff50,0xf1000fff,0x13ffe5ff,0x45fff800,0xff300098,
    0x23bfee3f,0xfffffffe,0x7c40005f,0xe8002fff,0xffd82fff,0x37fdc00f,
    0x5fff7000,0xffffffb8,0xffffdbbd,0xb33fff03,0x019dffff,0x32a23ffc,
    0xfa801bde,0xfff303ff,0x7fd4000b,0x03fff31f,0x7cfffe20,0x3e0004ff,
    0x5c0005ff,0x3ffee7ff,0xfdcdffff,0x10005fff,0x0009fffd,0xa83fffe6,
    0xfb803fff,0x32a2006f,0xfb83ffff,0xe981ffff,0x7fc40fff,0xffffffef,
    0xff882fff,0x3fffff67,0xffb804ff,0xffca9adf,0x7d40004f,0x5fff11ff,
    0x53ffea00,0x20004fff,0x20005fff,0x3ee5fff9,0xe882ffff,0xd8001fff,
    0x40005fff,0xff14fffb,0x3fee00bf,0xffff5006,0x3fee03ff,0x3fe200ff,
    0x7fffcc4f,0xffffefff,0xb7fcc3ff,0xfffffffd,0x74400eff,0xffffffff,
    0xffa80002,0x017ffe1f,0xffa7ffe4,0x3fe0004f,0xff30005f,0x7ffdc1ff,
    0x3ffe601f,0x7ffdc003,0xfe80000e,0x0fffc9ff,0x00dff700,0x3bffffee,
    0x4fffb80b,0x20fffc80,0x41bffffb,0x21ffffc8,0xdffdeffa,0xfffeb99a,
    0x7fff5405,0x003fffff,0x21fffa80,0x4c01fffc,0xfff5ffff,0x7ffc0009,
    0xfff98005,0x1fffdc2f,0x0027ff40,0x003ffff5,0x3bffe600,0x2e002fff,
    0x9b9006ff,0x85ffffdb,0x8800fffb,0x3ff22fff,0x7ffd402f,0x3ffffee6,
    0x0bfff602,0x37bfffa2,0x1ffffedc,0x3ffea000,0x0bfffe21,0xa7ffffcc,
    0x20004fff,0x4c005fff,0xfb82ffff,0xffd802ff,0xffff1005,0xfb800005,
    0x4005ffff,0x20006ffb,0x2e1ffffa,0x3fa006ff,0x800cc43f,0xff72fffd,
    0xffd007ff,0x3fffe88f,0x03ffff50,0x07ffea00,0x57bffff7,0xffbbffb7,
    0x0013ffe9,0x2005fff8,0x702ffff9,0xf9001fff,0x3ffa00bf,0xd000004f,
    0x8001ffff,0x40006ffb,0x3ee6fff9,0x3ffa005f,0x7fc40004,0x0dfff53f,
    0xc87ffea0,0x7c402fff,0xf50005ff,0xfff703ff,0x2bffffff,0xbfff3ffd,
    0x2fffc000,0x05fffd00,0xc803ffdc,0xffd805ff,0x2000005f,0x8003fffa,
    0x80006ffb,0xff71fffb,0x2ffec009,0xa7ffc000,0x1004fff9,0x3fe25fff,
    0xfff7005f,0xfff50003,0x3fffa603,0x3ffa4fff,0x000bffd3,0xa8027ffc,
    0x7dc02fff,0xbff9006f,0x0efffb80,0x3e600000,0xfb8002ff,0xf880006f,
    0x09ff73ff,0x002ffec0,0xf8b7ff40,0x3fe003ff,0x05fff33f,0x001fffc0,
    0x200fffd4,0xff81bca9,0x00bffd2f,0x013ffe20,0x5c02ffec,0xff9006ff,
    0x7fffcc0b,0x4c000001,0xb8002fff,0xf00006ff,0x17fee9ff,0x004ffe80,
    0xf15ffe80,0x7f4005ff,0x01fff53f,0x2227ff40,0x0fffd400,0x3ffe2000,
    0x000dffb0,0x400fffe6,0xfb802ffe,0xbff9006f,0x0bfffe20,0x3e600000,
    0xfb8002ff,0x032ea26f,0xf73fff80,0x7ffc00df,0x00155313,0xfff27ffc,
    0x8fffc009,0x2000fffa,0x7ffb4ffe,0x00fffb80,0x93ffd400,0x50001fff,
    0x3e005fff,0xffb801ff,0x0bff9006,0x0013fffa,0x7ffcc000,0x6ffb8002,
    0x400bffe2,0xff72fff9,0xfff1001f,0x00fffe63,0xfb17ffc4,0x3fe200df,
    0x05fff10f,0xfd9fffc0,0x7ffe404f,0x40072ea0,0x3fea5ffd,0xffd8002f,
    0xfff8800f,0x06ffb801,0xf90bff90,0x00000bff,0x017ffcc0,0x3a37fdc0,
    0xff9005ff,0x0bffee1f,0xf83fff20,0xff9005ff,0x0fffcc1f,0x3e37fdc0,
    0xff3004ff,0x01bff23f,0xffc8fffb,0x2fff8805,0x003fffe2,0x006fff98,
    0x7dc00666,0xbff9006f,0x00efffb8,0x3e600000,0xfb8002ff,0x0fffe46f,
    0xb97ffe60,0x2200efff,0x7fe43fff,0x7ffcc02f,0x00effd84,0xfb13ffe2,
    0xffd005ff,0x80fffdcf,0x7d45fff9,0x7fec00ff,0x0efffd86,0x3fffe880,
    0x3ee00000,0xbff9006f,0x0077ffcc,0x3e600000,0xfb8002ff,0x7fffc46f,
    0x1ffff502,0x077fffdc,0x4437ffcc,0xf501ffff,0xff301fff,0x3ffa60df,
    0x7fffc40e,0x3fffb102,0x20ffffc4,0x442ffffa,0xe880efff,0xff881fff,
    0x4c09beff,0x006ffffb,0x37fdc000,0xf15ffc80,0x33335fff,0x33333333,
    0x80013333,0x8002fff9,0xff986ffb,0xfdbacfff,0x7fdc2fff,0xdbbdfffe,
    0xf502ffff,0xb757bfff,0x6403ffff,0xcbbdffff,0xf500efff,0x9759dfff,
    0xf709ffff,0xfffdffff,0x3fea09ff,0xffdbbeff,0x3fee03ff,0xffefffff,
    0x00efffff,0x00bbba60,0x6401bfee,0xffff35ff,0xffffffff,0xffffffff,
    0xff98009f,0xffb8002f,0xfffff506,0x05dfffff,0xfff39ff7,0x03dfffff,
    0xffffffb8,0x800effff,0xfffffffa,0x75401fff,0xffffffff,0x3ff603ff,
    0x4fffffff,0x7ffffdc0,0x803fffff,0xfffffff9,0x0dffffff,0x1fffd400,
    0x8037fdc0,0xfff35ffc,0xffffffff,0xffffffff,0xf98009ff,0xfb8002ff,
    0x3ff2206f,0x204fffff,0xffd34ffb,0x2001bfff,0xffffffc8,0x7ecc004e,
    0x01beffff,0x3fffff20,0xfa800dff,0x03dfffff,0xfffffb30,0x5c40019f,
    0xfffffffe,0xf50001df,0xff7007ff,0x57ff200d,0xfffffff9,0xffffffff,
    0x04ffffff,0x017ffcc0,0x8037fdc0,0x00009aa9,0x40000a98,0x00001aa9,
    0x80001551,0x0000aa98,0x40003551,0x0009aa98,0x55554c40,0x7d400009,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0004ccc9,
    0xc9873326,0x664000cc,0x65c002cc,0x0199973c,0x19993000,0x66666664,
    0xcccccccc,0x03cccccc,0x666640aa,0xcccccccc,0x3000aaac,0x90000999,
    0x99999999,0x00355799,0x40007999,0x99912ccb,0xb8000399,0x9930cccc,
    0x07fffd09,0x8dfff100,0x2003fff9,0x005ffff9,0xffaa7ffc,0xfd80003f,
    0x3fffe27f,0xffffffff,0xffffffff,0x03fd885f,0xffffffff,0xffffffff,
    0xffb803df,0xfff80007,0xffffffff,0x00bfffff,0x0005ffff,0x7fc53ffa,
    0x20005fff,0x70fffff8,0xfff10fff,0xffe8003f,0x05fff80f,0x1ffffee0,
    0x12fff980,0x8000dfff,0x3e24fff8,0xffffffff,0xffffffff,0xfe85ffff,
    0xfffff03f,0xffffffff,0x05ffffff,0x0003ffdc,0x7ffffffc,0xffffffff,
    0xfff82fff,0xfe8000ff,0xfffff14f,0x7fdc000f,0xfff70fff,0x01bffea0,
    0xb02fffc8,0x7ec00dff,0x7001ffff,0x7fe41fff,0x3ee0001f,0x666640ff,
    0xfffccccc,0xccccccce,0x03ffe83c,0x5555dfff,0xfb975555,0x2e07ffff,
    0xf80007ff,0xccccceff,0xfffeeecc,0x7fffc1ff,0xffe8005f,0xffffff14,
    0x3ff60005,0xfff70fff,0x027ffec0,0x7027ffd4,0xf1001fff,0x009ff9ff,
    0xff317ff6,0x7f40009f,0xfff0005f,0x3ffa0009,0x009fff03,0x0ffffc88,
    0x0007ffb8,0x2004fff8,0x20efffe9,0x02ffffff,0xf8a7ff40,0x005fffff,
    0xffffff88,0x44055510,0x2202fffe,0x7cc06fff,0xffa802ff,0xf006ffad,
    0xdffd07ff,0x3ffe6000,0x9fff0002,0x0fffa000,0x80027ffc,0xfb82fffc,
    0xff80007f,0x7ec4004f,0x3fffe2ff,0x3a000fff,0x9fff14ff,0xf7000fff,
    0x001fffbf,0x01ffff30,0x2007fffa,0xfc804fff,0x00fff8bf,0x5c0fffcc,
    0xc8001fff,0x3e0007ff,0xfd0004ff,0x13ffe07f,0x84fff800,0x80007ffb,
    0xa8004fff,0x3ffe4fff,0x2005fffe,0xfff14ffe,0x8005fff5,0x0fffbffe,
    0xbfff9000,0x007fff90,0x3a01bff2,0x05ffd1ff,0xf107ffb8,0xff0009ff,
    0x7fc0009f,0x3fea004f,0x27ffffff,0x20004fff,0xffb86ffd,0xfff80007,
    0xfff88004,0x3f6bffe5,0xffd002ff,0x32bffe29,0x3e2005ff,0x00fffadf,
    0x8bfffa00,0x2005fffa,0x7c407ffa,0x017ff27f,0x7ec0bffb,0x7fd4007f,
    0x3fe0001f,0x3fea004f,0x27ffffff,0x20004fff,0xffb87ffe,0x2fffdc07,
    0x80027ffc,0x3ffe7ffe,0x00ffff8a,0xff14ffe8,0x00fff35f,0x7fd57fdc,
    0x00fff70f,0x223fffe2,0x2000efff,0x2e01fff8,0x1ffe64ff,0x5405fff0,
    0x36002fff,0x7c0006ff,0x326004ff,0x4ccefffc,0x40013ffe,0xfb85fff8,
    0x3ffee07f,0x009fff05,0xff9bffe0,0x0bfff72f,0x3e29ffd0,0x05fff2ff,
    0x3ea3ffa0,0x0fff70ff,0x6efffdc0,0xe8001fff,0x3ff603ff,0x980fffc2,
    0x7fc00fff,0xfff1005f,0xfff80007,0x7ffd0004,0x0013ffe0,0x5c27ffe4,
    0xfff707ff,0x027ffc0b,0xf27ffc40,0x7fff45ff,0x8a7ff402,0xbff92fff,
    0x2abff100,0xfff70fff,0xffffd800,0xf90003ff,0x07ffc0bf,0x7dc0fff6,
    0xfffc806f,0x0fffb800,0x27ffc000,0x03ffe800,0x88009fff,0xb80ffffd,
    0xfffb87ff,0x027ffc05,0xf1fffec0,0x7ffc45ff,0x53ffa00f,0xff32fff8,
    0x25ff700f,0xff70fffa,0xfff8800f,0x2a0005ff,0xdff307ff,0x360dff70,
    0xff8804ff,0x4ffe802f,0x4fff8000,0x07ffd000,0x2aabbffe,0xecbaaaaa,
    0x702fffff,0xfffb8fff,0x04fff805,0x1bfff220,0xffb85fff,0x53ffa05f,
    0x3fe2fff8,0x53ff402f,0x3fee1fff,0xfffa8007,0x3e20001f,0x3ffc81ff,
    0xf80fff98,0xffb002ff,0x1fff980b,0x4fff8000,0x07ffd000,0x3ffffffe,
    0xffffffff,0x2e02ffff,0x3ffea7ff,0x5bfff005,0x99555555,0x83fffffd,
    0xffe82fff,0x29ffd02f,0x3f22fff8,0x93fe604f,0xff70fffa,0xfffb000f,
    0xfe8000bf,0x01ffe82f,0xff985fff,0x3ffea007,0x01bff200,0x027ffc00,
    0xf03ffe80,0xffffffff,0xdfffffff,0x7ffb8019,0x4009fff5,0xffffffff,
    0xffffffff,0x2fff83ff,0x80ffff88,0xfff14ffe,0x903ffcc5,0x7ffd45ff,
    0x800fff70,0x3ffffffb,0x13ff2000,0x7e40fff1,0x02ffdc4f,0xe80fffe0,
    0xf00003ff,0x3a0009ff,0xffff03ff,0xffdddddd,0x5c001bff,0x6fffafff,
    0x7ffffc00,0xffffffff,0xff00dfff,0x3ffee05f,0xf14ffe85,0x2fff85ff,
    0xffa8ffd0,0x00fff70f,0x7fefffcc,0xf30001ff,0x05ffa8df,0xffb1bfea,
    0x6ffc8007,0x001fff30,0x013ffe00,0xf81fff40,0x3f2204ff,0xf7000dff,
    0x5fffffff,0x77fffc00,0xcdeeeeee,0x7ffc00aa,0x0bfffa02,0x3fe29ffd,
    0x427fe42f,0x7fd44ff9,0x00fff70f,0x2e3fffe2,0x20006fff,0x3ff60fff,
    0xf1ffe202,0xf98003ff,0x5ffc81ff,0x3ffe0000,0x7ffd0004,0x2013ffe0,
    0x800ffffb,0xfffffffb,0xfff000ff,0xff800009,0x3ffe202f,0x453ffa0f,
    0x7fcc2fff,0x541ffc87,0xfff70fff,0x8bfff600,0x0004fffd,0x7ffc5ffb,
    0x88fff400,0xfd0007ff,0x2fff887f,0x3ffe0000,0x7ffd0004,0x4013ffe0,
    0xb806fffc,0xff9cffff,0x9fff005f,0xfff80000,0x2fffdc02,0x3fe29ffd,
    0x42ffe82f,0xfffa87fe,0x700fff70,0xff889fff,0xfb8002ff,0x00dff34f,
    0x3fea7ff9,0xdff70005,0x0006ffa8,0x0027ffc0,0xff03ffe8,0x7ff4009f,
    0x7ffdc05f,0x00bfff23,0x00013ffe,0xd005fff0,0x3ffa5fff,0x905fff14,
    0x27fcc9ff,0xfb87ffd4,0x7ffcc07f,0xffffa80e,0xb7fcc000,0xf9804ffb,
    0x005ff95f,0xd87ffe20,0x400003ff,0xd0004fff,0x3ffe07ff,0x3ffe2004,
    0x1ffee03f,0xf003fffa,0x800009ff,0xf9802fff,0x4ffe8fff,0xf305fff1,
    0x40ffe4ff,0xff70fffa,0x7fff440f,0x17fff201,0x7edffe00,0x2dff001f,
    0x20000ffe,0xfff14ffd,0xff800001,0xffd0004f,0x013ffe07,0x01ffff70,
    0x3e61ffee,0x7ffc05ff,0x7fc00004,0xfff7002f,0x3e29ffdb,0x5ffd02ff,
    0x7fd41bfe,0x40fff70f,0x4403fffd,0x4003fffe,0x07ff9ffd,0x3fe7ff60,
    0x7fd40006,0x000bff76,0x009fff00,0x7c13ff60,0xfd8004ff,0xfff705ff,
    0x80bfff20,0x00004fff,0xd0017ffc,0x29ffffff,0xf902fff8,0x207ff5bf,
    0xff70fffa,0x17ffee0f,0x0ffffcc0,0xffbff700,0x67fdc00b,0xe80004ff,
    0x02ffd9ff,0x4fff8000,0x1dffb000,0x0009fff0,0x705ffff1,0x3fe20fff,
    0x9fff00ff,0xfff80000,0x3ffe6002,0xfff14fff,0x37ffe605,0xfff501ff,
    0x261ffee1,0x2000ffff,0x2006fffc,0x03fffff8,0x3ffffe60,0xffc80002,
    0x00007ffc,0x0009fff0,0x9ffffff2,0x70004fff,0xfb81ffff,0x3ffea07f,
    0x009fff05,0x02fff800,0x7ffffdc0,0x405fff14,0x206ffffe,0xff70fffa,
    0x05fffd0f,0x09fffd00,0x0fffff40,0x1ffffa00,0x7ffc4000,0x000004ff,
    0x20009fff,0x0ffffff8,0x40009fff,0x7dc5fffe,0x7ffec07f,0x004fff82,
    0x017ffc00,0xa7ffff40,0x3202fff8,0x2a03ffff,0xfff70fff,0x004fffc8,
    0x03ffff10,0x01bfff20,0x017fff20,0xffffd800,0xff000000,0x6cc0009f,
    0xfff2ffff,0x7fcc0009,0x1ffee2ff,0x81ffff10,0x00004fff,0x40017ffc,
    0xf14ffff9,0x7fcc05ff,0x3fea00ff,0x54fff70f,0x40006fff,0x800ffffb,
    0x8004fffa,0x0003fffa,0x01bffea0,0x4fff8000,0xf8330000,0x640004ff,
    0x3fee6fff,0x5fffa807,0x00027ffc,0x000bffe0,0xf8a7ffdc,0x7ff402ff,
    0x87ffd406,0x00007ffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccc88000,0x66440001,0xcc88001c,
    0x333263cc,0x00079970,0x80016664,0x99703cc8,0x99999999,0x79999999,
    0x33333332,0xcccccccc,0x6644cccc,0xcccccccc,0x50009aac,0x33223999,
    0xcccccccc,0x33001aac,0x33333333,0x13333333,0x59995000,0xcc880000,
    0x03fff881,0x1fffc400,0x3fffa200,0x47ffea0e,0x20005ffe,0x90005fff,
    0x3ffa0dff,0xffffffff,0x5fffffff,0xffffffff,0xffffffff,0xfff8ffff,
    0xffffffff,0x400cffff,0xff13fffd,0xffffffff,0x407dffff,0xfffffff8,
    0xffffffff,0xfe8004ff,0x400006ff,0xff882ffd,0x7c40003f,0x3a2003ff,
    0x7d40efff,0x0bffd1ff,0x02fffc00,0x837ffd40,0xfffffffe,0xffffffff,
    0xfffff5ff,0xffffffff,0x8fffffff,0xffffffff,0xffffffff,0xfffb00cf,
    0x3ffffe27,0xffffffff,0xff104fff,0xffffffff,0x9fffffff,0xffff9800,
    0xf900001f,0xfff105ff,0xff880007,0xffd1003f,0xfff501df,0x0017ffa3,
    0x4005fff8,0xd06ffff8,0x99999fff,0x99999999,0x33bffe79,0xcccccccc,
    0x44cccccc,0xccccefff,0xfffeeedc,0xffd80eff,0x9bfff13f,0xfddd9999,
    0xf10bffff,0xffffffff,0xffffffff,0xeffc8007,0xa80005ff,0xf882ffff,
    0x440003ff,0xe8803fff,0xf500efff,0x17ffa3ff,0x05fff800,0x37fffec0,
    0x0005ffe8,0x0005fff8,0x8027ffc0,0x0effffb8,0xf89fffec,0xff5003ff,
    0x100005ff,0xf000bffd,0x01fff3ff,0x7fffdc00,0x3fff882f,0x7ffc4000,
    0x7fff4403,0x3ffea00d,0x000bffd1,0x7002fffc,0x20dfffff,0x80005ffe,
    0x00005fff,0x20027ffc,0x6c4fffe8,0xfff13fff,0x7ffc4007,0xffc80004,
    0x7fd4000e,0x0007ffd6,0xffffffd3,0x07fff105,0x3fff8800,0x17fffa20,
    0x747ffea0,0x3e0005ff,0xff3005ff,0x3a0dff9f,0xf80005ff,0x400005ff,
    0x98004fff,0x3f60ffff,0x7fff13ff,0x07ffd800,0x0fffd400,0xc9ffec00,
    0x7e4006ff,0x2fffdfff,0x003fff88,0x81fffc40,0x005fffe8,0x3fa3fff5,
    0x3fe0005f,0x5ffd005f,0x3fa0dff9,0xff80005f,0x7c00005f,0xf50004ff,
    0x7ffe49ff,0x007fff13,0x001fffa8,0x007fff10,0x263fff10,0xfb001fff,
    0x3ffe7fff,0x03fff882,0x1fffc400,0x02ffff44,0x3a3fff50,0x3e0005ff,
    0xffc805ff,0x3a0dff94,0xf80005ff,0x400005ff,0x20004fff,0x3ff26fff,
    0x07fff12f,0x007ffb80,0x001bff20,0x3fa3ffdc,0xdffd005f,0x4417ffc3,
    0x40003fff,0x7443fff8,0x54005fff,0xbffd1fff,0x2fffc000,0xfc9bfe60,
    0x0bffd06f,0x0bfff000,0x4fff8000,0x9fff2000,0xff11fffb,0xffd8007f,
    0xfff50005,0x3ffa0003,0x007ffdc4,0x7ffc1774,0x03fff882,0x1fffc400,
    0x009fffd1,0x3a3fff50,0x3e0005ff,0x3fe205ff,0x41bff21f,0x80005ffe,
    0x00005fff,0x00027ffc,0x3ea1fff5,0x7fff11ff,0x17ffd400,0x27ffc400,
    0x1fff9800,0x401fffc4,0x20bffe01,0x0003fff8,0xe89fffc4,0x50005fff,
    0x3ffa3fff,0x9999999d,0xf9999999,0x3ff605ff,0xe837fe43,0xf80005ff,
    0x400005ff,0x20004fff,0xff52fff9,0x0fffe21f,0x0ffff660,0x07ffe400,
    0x06ffd800,0x8000dffb,0xff882fff,0x7c40003f,0xfffe8bff,0xfa8001ff,
    0xffffd1ff,0xffffffff,0xffffffff,0x21bfea0b,0xffd06ffc,0xdddddddf,
    0xf89ddddd,0xeeeeefff,0xeeeeeeee,0x04fff85e,0x4fffe200,0xff10fff9,
    0xffffffff,0x05ffffff,0x02fffc00,0x03fff880,0x0005fff5,0x7c417ffc,
    0x440003ff,0xfffebfff,0xa8006fff,0xfffd1fff,0xffffffff,0xffffffff,
    0x1fff10bf,0x3a0dff90,0xffffffff,0x5fffffff,0x7ffffffc,0xffffffff,
    0xfff87fff,0x7ffc0004,0x7c4fff34,0xffffffff,0x0effffff,0x5fff5000,
    0x3ffee000,0x017ffe00,0x882fff80,0x40003fff,0xfffffff8,0x004fffdb,
    0xfe8fffd4,0xffffffff,0xffffffff,0xffd85fff,0x20dff903,0xfffffffe,
    0xffffffff,0x7fffffc5,0xffffffff,0xff87ffff,0x3e20004f,0x4fff15ff,
    0xfffffff8,0xffffffff,0xfe8005ff,0x3fa0006f,0x7ffe405f,0x5fff0000,
    0x007fff10,0xfffff880,0x5ffff13f,0x8fffd400,0x20005ffe,0x7fdc5fff,
    0x41bff205,0xaaaaeffe,0xaaaaaaaa,0x5577ffc1,0xaaaaaaaa,0xff82aaaa,
    0x3e60004f,0x4fff14ff,0x999cfff8,0xfdcba999,0x3000efff,0x20007fff,
    0x4c02fff9,0xf0003fff,0xfff105ff,0xff880007,0x7fcc3fff,0xff5000ff,
    0x017ffa3f,0x265fff80,0x3f200fff,0x0bffd06f,0x0bfff000,0x4fff8000,
    0x3ffea000,0xff89bfe3,0x3fa6003f,0xff9004ff,0x3f20001f,0xaaaaabff,
    0x07fffaaa,0x105fff00,0x80007fff,0x903ffff8,0x2a00dfff,0xbffd1fff,
    0x2fffc000,0xfc805ffd,0x0bffd06f,0x0bfff000,0x4fff8000,0x3ffee000,
    0xff89bfe1,0xffe8003f,0x5fff800f,0x3fffe000,0xffffffff,0x002fffff,
    0xf882fff8,0x440003ff,0x7f404fff,0xffa804ff,0x00bffd1f,0xfbafffc0,
    0xccccccff,0xccfffecc,0x00bffd2c,0x00bfff00,0x04fff800,0x83fff200,
    0x3ffe25fe,0xfffc8003,0x0fffd402,0xffffa800,0xffffffff,0x005fffff,
    0xf882fff8,0x440003ff,0x7cc03fff,0x7d401fff,0x0bffd1ff,0xbafffc00,
    0xffffffff,0xffffffff,0x0bffd3ff,0x0bfff000,0x4fff8000,0x1fffa000,
    0x7ffc49fd,0xfff98003,0x037fec03,0x99fffb00,0x99999999,0x001fffd9,
    0xf882fff8,0x440003ff,0xfb803fff,0x3ea00fff,0x0bffd1ff,0xbafffc00,
    0xffffffff,0xffffffff,0x0bffd3ff,0x0bfff000,0x4fff8000,0x9fff5000,
    0x3fe24fd8,0xff98003f,0x3ffe203f,0xfff10003,0xfffa8007,0x17ffc004,
    0x001fffc4,0x00fffe20,0x502fffec,0x3ffa3fff,0x3ffe0005,0x55555535,
    0xffb55555,0x3fa3555d,0xff80005f,0x7c00005f,0xf88004ff,0x04c40fff,
    0x0007fff1,0x5403fff7,0x70001fff,0xd0001fff,0xff800fff,0x3fff882f,
    0x7ffc4000,0xffff1003,0x47ffea07,0x20005ffe,0x90005fff,0x3ffa0dff,
    0xfff80005,0x7fc00005,0xffc8004f,0xfff1005f,0xfffd0007,0x00fffb80,
    0x00dffd00,0x00bfff20,0xf882fff8,0x440003ff,0x2a003fff,0xfa81ffff,
    0x0bffd1ff,0x02fffc00,0xd06ffc80,0xf0000bff,0x80000bff,0x22004fff,
    0x001ffffd,0x8007fff1,0x6c05fffd,0xf30007ff,0x220007ff,0x3e005fff,
    0xfff882ff,0x9999999c,0x22199999,0x6c003fff,0x7d40efff,0x0bffd1ff,
    0x02fffc00,0xd06ffc80,0xf0000bff,0x33333bff,0x33333333,0x7ffc1333,
    0xa999999d,0xfffffdcb,0x11eeea81,0x33339fff,0xff955333,0xff801fff,
    0xff90005f,0x7ec0001f,0xfff001ff,0xfffff105,0xffffffff,0x7fc4ffff,
    0x7f44003f,0x7ffd45ff,0x000bffd1,0x8002fffc,0xffd06ffc,0xfff0000b,
    0xffffffff,0xffffffff,0x7ffffc9f,0xffffffff,0x701fffff,0x3fe25fff,
    0xffffffff,0xffffffff,0x27ffc402,0x05fff800,0x27ffd400,0x882fff80,
    0xffffffff,0xffffffff,0x00fffe27,0x8ffffe60,0xffd1fffa,0x7ffc000b,
    0xdff90005,0x0017ffa0,0x3fffffe0,0xffffffff,0x24ffffff,0xffffffff,
    0xffffffff,0x3ffee01c,0xffffff12,0xffffffff,0xf1003bff,0xf50005ff,
    0xf00005ff,0x3fe00fff,0xffff882f,0xffffffff,0x3e27ffff,0xf90003ff,
    0x3fea3fff,0x00bffd1f,0x002fffc0,0xfd06ffc8,0xff0000bf,0xffffffff,
    0xffffffff,0x7fffc9ff,0xefffffff,0xfb800bcd,0xffff12ff,0xdfffffff,
    0x4c00399d,0xd8001fff,0x900007ff,0xff005fff,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x97510000,0x7e401359,0x351001ff,0x2aa60001,0x9a980001,0xaa980000,
    0x9a980001,0x00cc0000,0x7004d440,0x3f600dff,0x0151004f,0x54026a20,
    0x3a001fff,0x5fff74ff,0x4017fff4,0x9910fffe,0x7fec4059,0x02ffffff,
    0x5403fff9,0x3fffffec,0xffffd980,0x2e003eff,0x4efffffe,0x3ffb6200,
    0x004effff,0x3fffffaa,0x4ffee04e,0x70cefffb,0x7ff649ff,0xffb83eff,
    0x29ffb006,0xfd914ffb,0xd883bfff,0x80dfffff,0xf3004fff,0x3ffee3ff,
    0x03fffe22,0x262fffc8,0xff703fff,0xffffffff,0xfffc81bf,0xffffe881,
    0x00ffffff,0xfffffff7,0x4c01dfff,0xfffffffe,0x7d401eff,0xffffffff,
    0x36201eff,0xffffffff,0xbffb81ef,0x27fffffb,0xffe8cffb,0x0dffffff,
    0x6c01bfee,0x19ff74ff,0xfffffffd,0x3fffa21d,0x640fffff,0xff9007ff,
    0x217ffdcd,0xf504fffb,0xfff989ff,0xbffffa83,0xfffeb99a,0x20f775c5,
    0xaceffff9,0x40effffc,0xbacffffa,0x107ffffd,0x959dffff,0x207ffffb,
    0xabcffffc,0x06ffffcb,0x59dfffd1,0x85ffffb7,0xffffcffb,0x37fee4ff,
    0xfecceffe,0x3fee5fff,0x29ffb006,0xeffedffb,0x9dfffecc,0xffdcdfff,
    0x7ffcc5ff,0x23ffe801,0xfd81eeea,0x7ffc42ff,0x43fff986,0x200efff8,
    0x2002fffc,0xf703fffe,0x6ffd8bff,0x20bffee0,0xf303fffd,0xff881fff,
    0x3ff6205f,0x3fffc81f,0xb8dffd30,0xa9beffff,0x3fffee1c,0xffff981e,
    0x200dff70,0xfff74ffd,0xfff903ff,0xfe881bff,0x27ff40ff,0x003ffe60,
    0x41dfff10,0xf981fffd,0x7ffdc3ff,0x06ffe801,0x807fff50,0x3fe0fffd,
    0x2fff401f,0x100bffee,0xffb8bfff,0x4fff8806,0x201fffcc,0x3ee3ffe8,
    0x7dc01fff,0x3e600fff,0x0dff73ff,0x7dd3ff60,0xff301fff,0x7fcc0dff,
    0x03ffdc2f,0x40017ff2,0xff74fffa,0x3ffe607f,0x8027fec3,0xf9007ffa,
    0xfff300df,0x007ffe25,0xfff83573,0x3fff7005,0xe801ffec,0x2ffec4ff,
    0x70fffa80,0xf7009fff,0xfff007ff,0x401bfee9,0xfff74ffd,0x1ffff807,
    0x221fffc0,0x3fe02fff,0x3f20002f,0x05fffaff,0x3fe0fffc,0xfff3003f,
    0x07ffd003,0x3ffe06a0,0xff88000e,0xfff1001f,0x36001107,0x1fffc5ff,
    0x71fff880,0xf7005fff,0xffd003ff,0x401bfeeb,0xfff74ffd,0x07ffd805,
    0xfd84ffe8,0x0fff505f,0xffffd000,0xffe801df,0x800e5d40,0xf801fff9,
    0x640001ff,0x00bdffff,0x001fff30,0x80027ff4,0x265ffeb9,0x3a001fff,
    0x1fff73ff,0x01fff700,0x3eebff90,0x9ffb006f,0x9007ffee,0xffb00dff,
    0x01fff509,0x00009ffb,0x03fffff3,0x0000ffb0,0x2201ffee,0x40000fff,
    0xffffffe8,0x3fee01ce,0x2ffec007,0x3fb72a60,0x2a5fffff,0xeeeeefff,
    0xffeeeeee,0x00fff74f,0x6401ffee,0x0dff75ff,0x7dd3ff60,0x7fe400ff,
    0x04ffd805,0xff885fff,0xf900001f,0x3f200bff,0xffd00005,0x0fff500d,
    0x3ff62000,0x4fffffff,0x4006ffc8,0xfc987ffc,0xffffffff,0x3fee5fff,
    0xffffffff,0x5fffffff,0x2e00dff7,0xff9006ff,0x401bfeeb,0xfff74ffd,
    0x00bff900,0x3f209ffb,0x037fdc5f,0xffff8800,0x0098801f,0x3fffb800,
    0x007ffb80,0x7ff64c00,0x20efffff,0x64006ffc,0x7ffdc6ff,0x9bdfffff,
    0x3fee5ffd,0xeeeeeeef,0x4eeeeeee,0x2e00dff7,0xff9006ff,0x401bfeeb,
    0xdff74ffe,0x00bff900,0x3e609ffb,0x0fffa0ff,0x7ffec000,0x00000eff,
    0x0bfff300,0x003ffe60,0x7edc4000,0x3ee7ffff,0x7fec007f,0x37fffee6,
    0x5ffd80ab,0x0001ffea,0x5c01bfee,0xff9006ff,0x401bfeeb,0xdff74fff,
    0x00bff900,0x7f409ffb,0x01fff33f,0x7fff5000,0x75409fff,0xf10001ee,
    0x22001fff,0x31001fff,0x7ff54000,0x00fff51f,0x3fe5ffe8,0xffe801ef,
    0x007ffe65,0x00dff700,0x6401bfee,0x0dff75ff,0x2e9fff10,0xffc806ff,
    0x04ffd805,0x7fddbfee,0xff880005,0x05fff75f,0x0007ffee,0x00ffffa2,
    0x2005fff0,0x06a25ffc,0x4d3ffe60,0x3e001fff,0x5fff34ff,0x4bfff100,
    0x2002fff8,0x1bfee09a,0x8037fdc0,0xfff55ffc,0x29fff500,0xfc806ffb,
    0x4ffd805f,0x3a3ffe20,0xe80002ff,0x3ffa0fff,0x1fffb80f,0x7fffcc00,
    0x6ffe8003,0x327ffd00,0xfe800fff,0x017ffe4f,0xfb8fffdc,0xff9800ff,
    0x037ff45f,0xf73fffa8,0x3fee00df,0x2bff9006,0x2204fff9,0xff74ffff,
    0x0bff900d,0xd809ffb0,0x007ffcff,0x42fffb80,0xfb85fff8,0x3ea001ff,
    0x3ae03fff,0x3ffea1ee,0x87ffdc02,0x4c03fffa,0x3fee2fff,0x7ffc401f,
    0x00bffee6,0xa8bffff1,0x7c403fff,0xdff70fff,0x01bfee00,0xfff2ffe4,
    0xfffd103f,0x01bfee9f,0x36017ff2,0x7fd404ff,0x75404fff,0x7ffcc1ee,
    0x07fff705,0x3ffea000,0x7ffe402f,0x417ffec1,0x7c4fffa8,0x3f601fff,
    0x2fffe87f,0x43fffd30,0x2206fff9,0xd86ffffe,0xfb104fff,0x37fdc9ff,
    0x006ffb80,0x7fdcbff9,0xffecceff,0xff74ffcf,0x0bff900d,0xf009ffb0,
    0xb803ffff,0x7ff42fff,0x3fffa00f,0x7fe40000,0xffc802ff,0x7fffcc1f,
    0xffffdabd,0xdffffa86,0xffffcaab,0xeffff983,0xffffdbac,0xcffffe84,
    0xefffebaa,0xfff986ff,0xffebacef,0x37fdc5ff,0x006ffb80,0xffd8bff9,
    0x8effffff,0xdff74ffa,0x00bff900,0xf9009ffb,0xff700dff,0x17ffe45f,
    0x01bffe60,0x1ffffd80,0x03fff900,0xffffffd1,0x2e01dfff,0xffffffff,
    0x3a602fff,0xffffffff,0xfff103ff,0xdfffffff,0x103fff13,0xfffffffb,
    0xff70bfff,0x1bfee00d,0x542ffe40,0x0dfffffe,0x3fee9ff5,0x05ffc806,
    0x9804ffd8,0xfb803fff,0xbfff52ff,0x13ffee00,0x3bfff600,0x00fd8000,
    0x3fffffae,0xffc9803f,0x01dfffff,0xfffffd70,0xfc88017b,0x43efffff,
    0x3ae04ffe,0x2effffff,0x200dff70,0xf9006ffb,0x054c40bf,0x806ffb80,
    0xfd805ffc,0x0000004f,0x00000000,0x001bfffb,0x4c401fe0,0x5300009a,
    0x44000135,0x310001a9,0x80000355,0x00009aa9,0x00000000,0x00000000,
    0x00000000,0x80000000,0x0005fffb,0x000017e6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,0x7cc000df,
    0x017ff62f,0x3e017ffe,0x3ffee2ff,0xffffffff,0x0b26ffff,0x80000000,
    0xcc9801c8,0x40000003,0xaaaaaaaa,0xaaaaaaaa,0x440000aa,0x33322ccc,
    0x103ddd73,0x40015775,0x70777761,0x99999999,0x3ff60059,0x999999af,
    0x70999999,0x07ffb83f,0x203fffcc,0x7fdc7ff9,0xffffffff,0x3a6fffff,
    0x00000bef,0x5ffb3000,0x00dff500,0x804ffc80,0xfffffffe,0xffffffff,
    0x17fe02ff,0x3e4fff98,0x3fff96ff,0xffffffc8,0xf535c02d,0xfffd8bff,
    0x04ffffff,0xffffff98,0xffffffff,0x22022fff,0x3ee01fff,0x3ee01fff,
    0x7777545f,0xedeeeeee,0x3ffa4fff,0x00001cff,0xffffd700,0x0dff5005,
    0x7fffc400,0x7ffff400,0xffffffff,0x202fffff,0x3fe604fe,0x65bffe4f,
    0xffd11fff,0xffffffff,0xdfd73139,0x361fffb8,0xffffffff,0xfffc804f,
    0xffffffff,0x02ffffff,0x3603ffe8,0x3a03ffff,0x260002ff,0x7fe45fff,
    0x002dffff,0xfffc8800,0xa801efff,0x2e0006ff,0x6c03ffff,0xeeeeeeee,
    0xeeeeeeee,0x80ff601e,0x3fe4fff9,0x23fff96f,0xfffffffa,0xffffffff,
    0xffc86fff,0x37777725,0xd803dddd,0xffffffff,0xffffffff,0x6ffb802f,
    0x17ffffe0,0x0007ffc4,0x80efff88,0xfffffeb8,0x540000bf,0xcffffffd,
    0x1bfea001,0xffffe800,0x40000006,0x27fb1cf8,0x3ffe67c9,0xfb1bffe4,
    0x4c6ffea1,0xffffffdb,0xfd03ffff,0x0000001f,0xf9800000,0xcff980ff,
    0xbff507ff,0x3ffa2000,0xffd9800f,0x001cffff,0x3ffffae2,0xa8000bef,
    0xf50006ff,0x005ffbbf,0x7fdc0000,0xffedfddf,0x47fff11f,0x53fc5ffe,
    0x7f5c401d,0x201effff,0x00001bb8,0x80000000,0xffb82fff,0xfd81ffd9,
    0xffd0003f,0xeb88003f,0x02efffff,0x3fffff26,0x540001df,0xfb0006ff,
    0x00bff35f,0x7f5c0000,0xffffffff,0xd8bffe2d,0x097e64ff,0x055d4c00,
    0x00000000,0x64000000,0x97fe84ff,0x1fff07ff,0x5fffb000,0xffda8000,
    0xb50cffff,0x17dfffff,0x4cccc400,0x99effb99,0x98099999,0x07ffa6ff,
    0x26000000,0xb01bfffc,0x97fe43ff,0x00002ff9,0x00000000,0x40000000,
    0x7fc46ffa,0xf98dff55,0xffc8006f,0x2200003f,0xd2fffffc,0x005bffff,
    0x3fffffa0,0xffffffff,0xfc82ffff,0x017fee3f,0x3e200000,0xf900efff,
    0xf71ffa8f,0x00000003,0x00000000,0x3fe00000,0xf8ffea1f,0x01ffe47f,
    0x013ffee0,0x7ff4c000,0x07fffd2f,0xffffe800,0xffffffff,0x442fffff,
    0x3fe20fff,0xffffe80f,0xffffffff,0x442fffff,0x05ff8efe,0x0ff98df7,
    0x00000002,0x00000000,0xfd800000,0xd87ff23f,0x07ffa1ff,0x06fffa80,
    0xffda8000,0xfffd2fff,0xd00017ff,0xffffffff,0xffffffff,0x85ffb85f,
    0xffe84ffc,0xffffffff,0x2fffffff,0xffb8ffec,0x19809884,0x00000000,
    0x00000000,0x3ea00000,0xf71ffa5f,0x01bfe29f,0x00efff98,0xffd71000,
    0x6445bfff,0x1dffffff,0xdff50000,0x82fff800,0xffe87ff9,0xffffffff,
    0x2fffffff,0x9fd13f62,0x00000000,0x00000000,0x00000000,0xff17ff88,
    0xf76ff98b,0x3fe2009f,0x980000ff,0xcffffffd,0x7fff5400,0x0000beff,
    0xa801bfea,0x3ffa06ff,0x4ccccc43,0x99999999,0x0a809999,0x000000cc,
    0x00000000,0x00000000,0xaffe8000,0xfff83ffb,0x8801ffd8,0x0001fffe,
    0x7fffff54,0x6cc000be,0x1cffffff,0x06ffa800,0xa80fffa0,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x3fee0000,0xfd81ffdc,0xb007ffbf,
    0x20005fff,0xffffffc8,0xb880002d,0x2dffffff,0x01bfea00,0x2007ffcc,
    0x3baa2fff,0xeeeeeeee,0xeeeeeeee,0x00004eee,0x00000000,0x00000000,
    0x98000000,0x707ffeff,0x009fffff,0x0007fffb,0x3ffffff6,0x5000000c,
    0x3ffffffd,0x00dff500,0x32017ff6,0x3ffee5ff,0xffffffff,0xffffffff,
    0x000006ff,0x00000000,0x00000000,0xfd000000,0x3e60bfff,0x6402ffff,
    0x20004fff,0x00befffe,0xfb300000,0xf5005fff,0x000000df,0xcccccca8,
    0xcccccccc,0x4ccccccc,0x00000000,0x00000000,0x00000000,0xffff9000,
    0x3ffffc07,0x3bfffe60,0xfffffeee,0xbfd2ffff,0x00000003,0x4017fdc4,
    0x00006ffa,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc000,
    0x3fff201f,0x7fffcc05,0xffffffff,0x172fffff,0x00000000,0xcc9801a8,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x5407fff8,
    0x7cc02fff,0xffffffff,0xffffffff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_43_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,3,3,2,3,3,1,2,
2,2,2,1,2,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_43_usascii_y[95]={ 34,6,6,5,3,5,5,6,5,5,5,11,30,22,
30,5,6,6,6,6,6,6,6,6,6,6,14,14,11,14,11,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,39,6,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,14,14,14,14,14,14,5,5,5,17, };
static unsigned short stb__arial_43_usascii_w[95]={ 0,5,11,21,19,30,24,5,10,10,13,19,5,11,
5,11,19,11,19,19,20,19,19,19,19,19,5,5,19,19,19,19,36,27,22,26,24,21,19,26,22,5,16,24,
19,28,23,28,22,28,25,23,23,22,26,36,26,26,23,9,11,9,17,23,8,19,18,18,18,19,13,18,17,4,
8,18,4,28,17,19,18,18,12,17,11,17,19,28,19,19,19,11,4,12,20, };
static unsigned short stb__arial_43_usascii_h[95]={ 0,28,11,30,35,31,30,11,38,38,13,19,10,4,
4,30,29,28,28,29,28,29,29,28,29,29,20,26,19,13,19,29,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,17,3,6,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,38,38,38,7, };
static unsigned short stb__arial_43_usascii_s[95]={ 255,163,188,20,119,168,42,248,1,42,174,
116,200,236,248,130,214,240,1,1,75,40,60,192,80,117,222,21,96,154,76,
160,53,212,169,67,138,116,96,228,52,46,100,21,1,220,196,199,173,139,128,
106,92,137,65,28,1,222,198,109,94,99,136,154,227,84,21,27,234,104,200,
1,180,249,90,154,249,173,137,64,162,181,124,46,116,155,202,27,228,142,56,
30,25,12,206, };
static unsigned short stb__arial_43_usascii_t[95]={ 1,130,182,40,1,1,40,159,1,1,182,
182,182,182,171,40,40,130,159,71,130,71,71,130,71,71,159,159,182,182,182,
71,1,130,130,40,130,130,130,1,130,130,71,130,130,101,101,1,101,1,101,
40,101,71,101,101,101,71,71,1,40,1,182,196,182,159,71,159,40,159,40,
40,71,101,1,101,71,159,159,159,40,40,159,159,101,159,159,182,159,40,182,
1,1,1,182, };
static unsigned short stb__arial_43_usascii_a[95]={ 171,171,219,342,342,548,411,118,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,171,171,360,360,360,342,625,411,411,445,445,411,376,479,
445,171,308,411,342,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,171,171,171,289,342,205,342,342,308,342,342,171,342,
342,137,137,308,137,513,342,342,342,342,205,308,171,342,308,445,
308,308,308,206,160,206,360, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_43_usascii_BITMAP_HEIGHT or STB_FONT_arial_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_43_usascii(stb_fontchar font[STB_FONT_arial_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_43_usascii_BITMAP_HEIGHT][STB_FONT_arial_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_43_usascii_s[i] + stb__arial_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_43_usascii_t[i] + stb__arial_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_43_usascii_x[i];
            font[i].y0 = stb__arial_43_usascii_y[i];
            font[i].x1 = stb__arial_43_usascii_x[i] + stb__arial_43_usascii_w[i];
            font[i].y1 = stb__arial_43_usascii_y[i] + stb__arial_43_usascii_h[i];
            font[i].advance_int = (stb__arial_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_43_usascii_s[i] + stb__arial_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_43_usascii_t[i] + stb__arial_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_43_usascii_x[i] + stb__arial_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_43_usascii_y[i] + stb__arial_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_43_usascii_LINE_SPACING
#endif

