// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_38_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_38_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT        182
#define STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_38_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_38_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_38_usascii_LINE_SPACING          25

static unsigned int stb__arial_bold_38_usascii_pixels[]={
    0x74c05dd9,0xdd000bcc,0x9971007d,0x6f74403d,0x05555300,0x6e5d4c00,
    0x8001accd,0xaaaaaaa8,0x55555532,0x03550035,0xb9731000,0x00000359,
    0x66665400,0x66665400,0x00000000,0x02eed800,0xf3037fd4,0xf009ffff,
    0xffb809ff,0x3f202fff,0x3fff205f,0x7fe4c007,0xffffffff,0xf5000bef,
    0x2dffffff,0xfffffffc,0x003fe805,0x3ffffaa0,0x00dfffff,0xcefdc880,
    0x54b332e2,0x7404ffff,0x2e207fff,0x32a3defd,0x599952cc,0x05eff654,
    0xf00bffb0,0x3fe607ff,0x7c03ffff,0x3fea04ff,0xf102ffff,0x7fe403ff,
    0xffd3007f,0xffffffff,0x07ffffff,0xffffff50,0x3ffff2df,0x2e605fff,
    0x2000aeff,0xffffffc8,0x2fffffff,0x3fffea00,0xfffb5fff,0x037fffc9,
    0x209ffff1,0xfffffff9,0x369fff95,0xfffb4fff,0x2e03ffff,0xffb807ff,
    0xfffff306,0x4fff80ff,0x3fffffa0,0x0dffb02f,0x807fffc8,0xcefffffb,
    0xfecbaaac,0x200dffff,0xfffffffa,0xffffff96,0xfffd30bf,0x8019ffff,
    0xffffffe9,0xffffffff,0xfffb805f,0xedffffff,0x3ff24fff,0xfff701ff,
    0xffff503f,0xfbbfffff,0x3fff69ff,0xffffffdd,0xff982fff,0x7ffc400f,
    0xfffb5303,0x27ffc03f,0xadffff88,0x3fff9809,0x03fffe40,0x39ffffb1,
    0x7fffdc00,0x32666206,0xfff96fff,0xfa83555d,0xffffffff,0x3ffa00ef,
    0xdbcdffff,0x3ffffffe,0x3ffffe20,0xffffecce,0x3ffe64ff,0xdfffd04f,
    0x3fffffe0,0xfffffedd,0xfffffb4f,0xffffbbff,0x5fff01ff,0x00fffb00,
    0x7c05ffff,0xfff304ff,0xfffd801f,0x3f600000,0x10000dff,0x2009fff9,
    0xff96fffb,0x7ffc40df,0xffffffff,0xffff705f,0x3fea01bf,0xfb00ffff,
    0xff909fff,0xffe89fff,0xffff886f,0xeffffb83,0x7ffffdc0,0x9fffffb4,
    0x4ffffe88,0xb804ffd8,0x7f403fff,0x3ffe02ff,0x0ffff504,0x006fff98,
    0x13ffee00,0x7ffdc000,0x6fffb802,0x640dfff9,0xcfeaffff,0x441ffffd,
    0x803fffff,0x84ffffe8,0x206ffff8,0x5c4ffffd,0x7dc1ffff,0xfff80fff,
    0xfffb00ff,0x3ffff69f,0xfffff105,0x100dff70,0xfe80ffff,0x3ffe03ff,
    0x0ffff504,0x803fffd8,0xf984ccca,0xfd7303ff,0x8e66647b,0xfb806ffd,
    0xdfff96ff,0xe97fff40,0x87ffff3f,0x006ffffc,0x07ffffea,0x407ffff3,
    0x444ffffa,0x7f44ffff,0xfff885ff,0x3ffe604f,0x3ffffb4f,0x07fffe40,
    0x2003ffe6,0x3a01fffe,0x3fe03fff,0xdfff504f,0x01ffff80,0xe87fffc8,
    0xffe885ff,0xff9dffff,0x3ffd11ff,0x96fffb80,0x3e20dfff,0x27fd0fff,
    0x7f409aca,0x6c002fff,0x7d42ffff,0x3e202fff,0xffd84fff,0x3fffe26f,
    0x3ffff982,0xda7fffc0,0x2a00ffff,0x7c41ffff,0xffd802ff,0x3fff603f,
    0x413ffe03,0x2606fffa,0xf9007fff,0xfff98fff,0x7ffff440,0xffffffff,
    0x2027fdc7,0xff96fffb,0x3ffe20df,0x2007fd0f,0x8007ffff,0x5c4ffffa,
    0x7c01ffff,0xffa84fff,0xffff71ff,0x0bfffea0,0x369ffff0,0x7cc07fff,
    0xffe82fff,0x4fffc804,0x813fff60,0xff704fff,0x7ffdc0df,0xffff9006,
    0x7cc3ffc8,0xea8befff,0x4c5fffff,0x7fdc06ff,0x0dfff96f,0xfea7fffc,
    0xffff8803,0xfff98006,0x7fffdc5f,0x27fffc01,0xfb4ffff8,0x3fea09ff,
    0x7ffc01ff,0x0ffffb4f,0x83ffff98,0xfb806ffc,0x3ff206ff,0x13ffe05f,
    0xb027ffe4,0x3200bfff,0x3fe27fff,0x2ffff40f,0x44fffff8,0x7dc07ff8,
    0xdfff96ff,0x6ffffec0,0xff9803fe,0xf88005ff,0x7fd46fff,0x3fe202ff,
    0xfff904ff,0x03ffff1d,0x00bfffe6,0x3f69ffff,0x3ea00fff,0xffa82fff,
    0x7ffd400f,0x3fffea07,0x209fff01,0x3a03ffff,0xf9004fff,0x37fd4fff,
    0x407fffea,0xe82ffffd,0x3fee00ff,0x0dfff96f,0x7fffffcc,0x7fdc00df,
    0xff0004ff,0xfff98fff,0x3ffea04f,0xffff304f,0x440dfff9,0x2603ffff,
    0xffb4ffff,0x7fdc03ff,0xfff880ff,0x7fffcc02,0x3bfffe00,0x444fff81,
    0x201ffffd,0x9004ffff,0x7fe4ffff,0x027ffec3,0xf01ffff5,0x7fdc01ff,
    0x0dfff96f,0xffffffd8,0xff502dff,0xf10009ff,0xff88ffff,0xffd00fff,
    0x7ff409ff,0x403fffff,0x3606ffff,0xffb4ffff,0x7ff40bff,0x13ffa07f,
    0x05ffff10,0x7fffffdc,0xfe93ffe0,0x2204ffff,0x9003ffff,0x7fecffff,
    0x03fffe62,0x987fffa8,0x7fdc07ff,0x0dfff96f,0xffffff90,0xf981bfff,
    0x98005fff,0xfc86ffff,0x3a23ffff,0x204fffff,0xfffffffb,0x7fffe400,
    0x7fffd40c,0xfffffb4f,0xbffff705,0x402ffe40,0x5c03ffff,0x3e0fffff,
    0x3fffe4ff,0x7ffc404f,0xfff9002f,0xf50fff4f,0xffc80fff,0x05ffb85f,
    0xfcb7ffdc,0xfb5006ff,0xffffffff,0x37fffc41,0x7fffd400,0xfffff984,
    0xfffffeff,0x3fe204ff,0x8806ffff,0xacffffff,0x4ffffffd,0xbffffffb,
    0xfffffb55,0x03ffd401,0x201ffffc,0x20fffff9,0x3ffe4fff,0x7fc401ff,
    0xff9001ff,0x707ffcff,0xfd80bfff,0x4ffc83ff,0xcb7ffdc0,0x44006fff,
    0xffffffff,0x03ffffc4,0x3fffee01,0xfffff503,0xfff9ffff,0xfffd809f,
    0xff7003ff,0xffffffff,0x3f69ffff,0xffffffff,0x404fffff,0x7c01fff8,
    0x3e602fff,0x3e0fffff,0x3fffe4ff,0x7ffc02ff,0xfff9002f,0xf907ffcf,
    0xfff809ff,0x0fffc41f,0x65bffee0,0xe8006fff,0xfffffdcf,0x0fffffa0,
    0xfff10f74,0x7fd405ff,0xff3fffff,0xffa809ff,0x36000fff,0xffffffff,
    0xfb4ffff9,0xffff3fff,0x2009ffff,0x7fc03ffe,0x3ffa00ff,0x7ffc2bff,
    0x3ffff2a4,0x1ffff406,0x27fffc80,0x3ff21ffe,0x3ffee05f,0x02fff40f,
    0xfcb7ffdc,0xfe8006ff,0x43ffff53,0x40fffffb,0xfb9dfffa,0x4c00ffff,
    0xf11bdfdb,0xf9807fff,0xb8005fff,0xf0dfffff,0x3ff69fff,0xffffb17f,
    0x7fec005d,0x1fffe205,0x02ffff98,0xff509fff,0x7fec05ff,0xfff9003f,
    0xf717fecf,0x7ff40fff,0x0fffe46f,0xcb7ffdc0,0x09806fff,0xffff8ffa,
    0x6fffff42,0x3ffffee0,0x003fffff,0x3ffff880,0x17fffec0,0xf0351000,
    0x3ff69fff,0x000a987f,0x2607ffb8,0x3ee06fff,0x3ffe06ff,0x09fffb04,
    0x8027ffdc,0x3f27fffc,0x3fffea3f,0x5ffffc81,0x4013ffee,0xff96fffb,
    0x3fff20df,0xffd8ffa6,0x7fffd41f,0x3ff221ef,0x206fffff,0x3009accd,
    0x5c05ffff,0x0007ffff,0x53fffe00,0x0007fffd,0x80fffcc0,0x3205fffa,
    0x3fe04fff,0xbfff704f,0x02fffd40,0x2a7fffc8,0x7fff46ff,0xfffd98bf,
    0xfffebfff,0x3ffee004,0x20dfff96,0xfd1ffffb,0x03fffe27,0x3ffffff6,
    0xffffedef,0x3fa02fff,0xffb04fff,0x7e65c1ff,0x003fffff,0x3fffe000,
    0x00ffffb4,0x07fff000,0xd813fff2,0x3fe03fff,0xdfff504f,0x037ffcc0,
    0x7c7fffc8,0x3ffe62ff,0xffffffff,0x3fffffff,0xb7ffdc00,0xf106fffc,
    0x7fd1dfff,0x441bfff2,0xfffffffc,0xffffffff,0xfff902ef,0xfdb77bff,
    0xffb8bfff,0x007fffff,0x7fffc000,0x00ffffb4,0x0bffb000,0xd80bfff6,
    0x3fe03fff,0xdfff504f,0x00ffff80,0x647fffc8,0x7ffd45ff,0xffcbffff,
    0x002fffff,0xf96fffb8,0x7fec0dff,0xfedfffff,0x75402fff,0xffffffff,
    0xffffffff,0x7fffc41e,0xffffffff,0x7ffd40ff,0x0001ffff,0xa7fffc00,
    0x0007fffd,0xf07ffb80,0x7f401fff,0x3ffe03ff,0x0dfff504,0x802fffd8,
    0x7c47fffc,0x7ee444ff,0x37fb21ce,0x02aa981b,0x7e5bffee,0x3fe206ff,
    0xffffffff,0x36e005ff,0xceffffff,0x5fffffea,0xfffffe98,0x82efffff,
    0x0cfffff9,0xff800000,0xffffb4ff,0xff300000,0x5fff981f,0x017fff40,
    0x3ea09fff,0x7fcc07ff,0xfffd804f,0x02fffb87,0xfffa8000,0x5bffee03,
    0x4c06fffc,0xfffffffe,0x220004ff,0xfff701a9,0x7f6d403f,0x003defff,
    0x00000001,0x3b27dddd,0x000005ee,0xffc81555,0x7fffc01f,0x413ffe02,
    0x400ffffa,0xfd806ffd,0xfffb07ff,0x7dc00009,0x7fdc05ff,0x0dfff96f,
    0x3fffff20,0x000002df,0x800bfb30,0x00000008,0x00000000,0xfd000000,
    0xfffa80df,0x13ffe01f,0x01ffffcc,0x2607ffe6,0x06ffffb9,0x05dfffd1,
    0x7fff5400,0x7ffdc00f,0x00dfff96,0x0004ff98,0x00220000,0x00000000,
    0x00000000,0x7cc00000,0xffe982ff,0x3e00ffff,0xfff104ff,0x3a03ffff,
    0xfffe84ff,0x36205fff,0x9bdfffff,0xffd95300,0xdd301bff,0x32dfffdd,
    0x4eeeffff,0x0003fe80,0x00000000,0x00000000,0x00000000,0xdff90000,
    0x3ffffe60,0x27ffc05f,0xffffff90,0x11ffea05,0x5fffffff,0xfffff500,
    0xffffffff,0x7fffffff,0x7ffffd40,0xffff96ff,0xfd00bfff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x2603fff1,0x00ffffff,0xd1027ffc,
    0x405fffff,0x3fe63ffe,0x2004ffff,0xfffffeb8,0xffffffff,0x7d400bef,
    0x96ffffff,0xbfffffff,0x00035500,0x00000000,0x00000000,0x00000000,
    0xbff70000,0x1f7ffcc0,0x804fff80,0x202fffeb,0x3faa6ffa,0x20003dff,
    0xfffeedb8,0x001cdeff,0x3bbbbba6,0xddddd75e,0x000009dd,0x00000000,
    0x00000000,0x00000000,0x99880000,0x98000c00,0x09800099,0x0080ccc0,
    0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcdcb9880,0x2200001a,0x2accdcca,0x06a62000,
    0x9b975000,0x32000017,0x7774c5ee,0xddba8802,0x10000aac,0xa9805ddd,
    0x2e60009a,0xd3000bcd,0x2a6000bd,0x5000000a,0x31003555,0x70000135,
    0xfffffffd,0x200019ff,0xffffffd9,0x2003efff,0xdfffffe9,0x3ffa6000,
    0x00cfffff,0x237ff400,0x2a01fffb,0xffffffff,0xfa8003ff,0xffc880ff,
    0x402effff,0x2ffffffc,0x004ffd80,0x3fffff22,0x7c00003e,0x3ae04fff,
    0x00dfffff,0xffffd880,0xffffffff,0x7fe4002e,0xffffffff,0x5c00ffff,
    0xffffffff,0xfff9801e,0x5fffffff,0x3ffe2000,0x807ffec4,0xfffffffb,
    0x00efffff,0x261fff20,0xffffffff,0xfff705ff,0x401fffff,0x5000fff9,
    0xffffffff,0x200001bf,0xd884ffff,0xffffffff,0x3fe6001f,0xffffffff,
    0x04ffffff,0xffffffd0,0xffffffff,0x3fea01df,0xffffffff,0x7fffc00f,
    0xffffecef,0xfff30003,0xb06fff85,0xffffffff,0x0dffffff,0x742fff40,
    0xffffffff,0xfff83fff,0x05fff98d,0x44013ff6,0xffffffff,0x00006fff,
    0xe889ffff,0xffffffff,0xfd000fff,0x79bfffff,0xffffffd9,0xffffc805,
    0xffdbceff,0xd06fffff,0xfd7bffff,0x7cc07fff,0x7fe43fff,0xff70005f,
    0x27ffc43f,0x7fffffc4,0xffffdbbd,0xfff003ff,0xfffffb87,0xfffffdac,
    0xd8bffe60,0xfff307ff,0x3fff6001,0xffffecff,0xff80003f,0x7ffdc4ff,
    0xfffebbef,0xfffc804f,0xff300dff,0x2a01ffff,0x00efffff,0x5fffffb3,
    0x43ffff98,0x2a06fffe,0x7c41ffff,0xfb0007ff,0x3fffa8ff,0x03ffffa8,
    0x01bffff6,0xfb07ffe6,0xfff50fff,0x0fffd45f,0xfb01fff9,0x3fea009f,
    0x7ffd44ff,0xff80006f,0x3ffe24ff,0x6fffe85f,0x7ffffcc0,0xfffe8803,
    0xfffff04f,0xffff1009,0xffffd8bf,0x17fffd40,0x44ffff98,0x8806fffc,
    0xeffe9999,0xafffc999,0x1ffff609,0x1fffff30,0xf87ffb80,0xfff04fff,
    0x07ffdc7f,0xf981fff7,0xff7000ff,0x3ffee0ff,0x7fc0002f,0x3ffee4ff,
    0xdeffb81f,0x3ffff200,0x3ffe6006,0x7ffd41ff,0xff5000ff,0xffff87bd,
    0x0bffff05,0x98fffffc,0xd803ffff,0xffffffff,0xffffffff,0x3ffff63f,
    0x66776401,0x42ffec00,0xfd03fffe,0x7ffd45ff,0xb03ffee0,0x7ec009ff,
    0xfff105ff,0x7ee440bf,0x3fffe2ce,0x01bfffa4,0x7ffffc00,0x7ffec002,
    0x7fffec2f,0x8804c003,0xfd03ffff,0x7fdc0bff,0xffffbfff,0xfffd800f,
    0xffffffff,0x23ffffff,0x02effffc,0x1fffc000,0x4c37ffdc,0x3e60ffff,
    0x1fff21ff,0x4001fff3,0x3e05fffe,0xff506fff,0xf1bfffff,0x7ffc9fff,
    0xf980004f,0xa8007fff,0x7fc4ffff,0x00000fff,0x40bfffe6,0x7406fffd,
    0xffffffff,0xfffb002f,0xffffffff,0x47ffffff,0xfffffffa,0x260000ac,
    0xff981fff,0xffd50cff,0x4fff88df,0xffb1bffa,0xfffe8009,0x1ffffe05,
    0x3ffffff2,0xffffefff,0x27ffff14,0x000acdca,0x00dffff5,0x4bffff30,
    0x007ffff8,0x7fffcc00,0x0ffffb02,0xffffff98,0x2a6001ef,0xaafffeaa,
    0xaacfffca,0x7ffffec1,0x01beffff,0x503ffdc0,0xffffffff,0xff901dff,
    0x45fffdbf,0x4000fff9,0xf306fffc,0x7c41ffff,0xecceffff,0x34ffffff,
    0xffb7ffff,0x5005ffff,0x000bffff,0x4cdffff1,0x0006ffff,0x17fffd40,
    0x00ffffd8,0xffffffb1,0xff80001d,0x0fffdc5f,0xfffffd10,0x3bffffff,
    0x017ff600,0xffffffd1,0x7ff440bf,0x7ec5ffff,0xffb8004f,0xfffc81ff,
    0x3fff60ff,0xffffc85f,0xfffff54f,0xffffffff,0xffffb809,0xffff0004,
    0x2ffffd4f,0xffffff30,0x3ee5ffff,0xff902fff,0xfff701ff,0x05ffffff,
    0x27ffc400,0x2201fff6,0xfffffffc,0x802fffff,0x7d403fff,0xefffffff,
    0x77ff6401,0x007ffcc2,0x77fffc40,0x3ffffea2,0xdffff11f,0xa7ffff40,
    0xfffffffb,0x1fffffee,0x13fffee0,0x3fffe200,0x1bfffe67,0xffffff98,
    0xff72ffff,0x3ff205ff,0x7ffdc0ff,0xffffffff,0x2a002b20,0x7ff42fff,
    0x3fae6006,0xffffffff,0x3ffe603f,0x3fffee01,0x2fffffff,0x27fec000,
    0x40f7b722,0xeefffffb,0x1fffffff,0x407ffff3,0xf74ffffa,0x543dffff,
    0x2606ffff,0x8005ffff,0x226ffff9,0x2607ffff,0xffffffff,0xffff72ff,
    0x3ffff605,0x3ffffe60,0x6ffffe8c,0x401ffff5,0x3e21fffb,0x730004ff,
    0xfffffffb,0x3ffea01f,0x7ffff900,0x17fffed4,0x0fff9800,0x3fffffea,
    0xffffd80d,0xffffffff,0x5ffff50f,0xa7fffcc0,0x82fffffa,0x101ffffa,
    0x000dffff,0x44bffff5,0x2607ffff,0xffffffff,0xffff52ff,0x1ffff605,
    0x4c7ffffd,0xfdcfffff,0xfeec86ff,0xfeeeefff,0x02eeeeff,0xffffd300,
    0x1bff205f,0xf04ffff8,0x2000bfff,0x3fe24ffd,0x04fffeff,0x7ffffff7,
    0x7dcffff9,0x3e201fff,0xfff54fff,0x3ffe01ff,0x3fffe02f,0x7fdc000f,
    0x7fff43ff,0x7fe4001f,0xffff32ff,0x9bfff605,0xa86ffff9,0xffffffff,
    0xffffd83f,0xffffffff,0x4c3fffff,0xfff70029,0x13ffa09f,0x817fffcc,
    0x8007fffc,0x3f20fff9,0x1fff90ff,0x46f72e60,0x3ee7fffd,0x7fc01fff,
    0xffff34ff,0x27fffc0b,0x09ffffd0,0x7ffffc40,0x2ffffdc2,0x3ffff200,
    0x07ffff12,0xfa97fffa,0xff903fff,0x01ffffff,0xfffffffb,0xffffffff,
    0x3fff27ff,0xfff8801f,0x2fff886f,0x40ffff70,0x001ffffa,0x3fa27ff4,
    0x0bffe65f,0x9bfffa00,0x201ffffa,0xf14ffff8,0x7f40bfff,0x3fee04ff,
    0xf7000fff,0xf981ffff,0x2002ffff,0xf12ffffc,0x3fe0bfff,0x3ffee5ff,
    0x3fff602f,0xffb04fff,0xffffffff,0x7fffffff,0x013fffea,0x21bfffe2,
    0xf700fffa,0x3ee03fff,0x26001fff,0x7ffc0fff,0x00fffe24,0x4bffff10,
    0x203ffff9,0x3e4ffffa,0x3fe06fff,0x7ff403ff,0x7dc00eff,0xfb03ffff,
    0x5003ffff,0x6c5ffffd,0x7d40ffff,0x3fe62fff,0x3fe206ff,0x6403ffff,
    0x3fe21fff,0x3ffe204f,0x7fec01ff,0x6ffc84ff,0x13fffea0,0x007ffff4,
    0xff09ffd0,0xa7ffc49f,0xb82ffed9,0x3e21ffff,0x3f606fff,0x3ff24fff,
    0xfff981ff,0x7ffcc02f,0x6cc0bfff,0x206fffff,0xcffffff8,0x7fff5441,
    0x3fea2fff,0x7fff44ff,0x7ffffc46,0xffffe882,0x3f604fff,0x17ffcc7f,
    0x3fffffa0,0xffffb883,0x04ffe81f,0x03bfffe2,0x00dffff3,0x7c07ffcc,
    0x3ffe24ff,0x8bffff13,0xd86ffffa,0xfa83ffff,0x3e24ffff,0x3621efff,
    0xd800ffff,0xffffffff,0xfffffffe,0x7ffd401f,0xffefffff,0xffffffff,
    0x6fffff42,0x83ffffeb,0xcffffffc,0xffffffdb,0xf81effff,0x7ffdc5ff,
    0x7fffcc01,0xffeeefff,0xf887ffff,0x7fec02ff,0xffdbdfff,0x3a003fff,
    0xbffd04ff,0xfd17ffcc,0xffd7dfff,0xff305fff,0xf957bfff,0xd89fffff,
    0xfcdfffff,0x1003ffff,0xfffffff9,0xffffffff,0x3ffea005,0xffffffff,
    0x82ffffff,0xfffffffb,0xfd00ffff,0xffffffff,0xffffffff,0xfff889ff,
    0x803ffec4,0xfffffffa,0xefffffff,0x00fffa80,0x7fffff44,0x05ffffff,
    0x403ffea0,0xff90fffc,0x7fffcc3f,0x5fffffff,0x3fffff60,0xffefffff,
    0x7fffc44f,0x6fffffff,0xfffe9800,0xffffffff,0x7f4c000d,0xffffffff,
    0x200bffff,0xfffffffa,0x3f6201ef,0xffffffff,0xfffd89ef,0x42fffa86,
    0x2e006ffe,0xffffffff,0x900dffff,0x3e600dff,0xffffffff,0x3fa000df,
    0x3ffe204f,0xb85fffef,0xffffffff,0xfffd803f,0xfd8effff,0xffe884ff,
    0x0effffff,0x3ff6e000,0x02deffff,0x7ffe4c00,0x02cdffff,0x3ffffa60,
    0xfd5000df,0x07dfffff,0xff901ff7,0x27ffc43f,0x3ffee200,0x03deffff,
    0x2002fff4,0xfffffffb,0x7ffd4002,0x7fffdc00,0xfd500eff,0x005dffff,
    0x6fffff5c,0x409fffb0,0x3fffffec,0x54c40000,0x22000001,0x00000aa9,
    0x98000353,0x018801aa,0xaa885553,0x54c0001a,0x5554001a,0x35310001,
    0x3ffa0001,0xbfd93004,0x06a62007,0x00351000,0x0026a200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0015554c,0x10000000,0x10000355,0x0357b975,0x5554c000,
    0x1555530a,0x0aaaaa00,0x1acdca88,0x000aaaa6,0x2a15554c,0x4002aaaa,
    0x531aaaaa,0x2a000555,0x4c00aaaa,0xa802aaaa,0x2aa62aaa,0x201a802a,
    0x0006fffd,0xffffff90,0x40dfffff,0xdfffffec,0x7ff4c000,0x1effffff,
    0xfffd8000,0x5ffff90f,0x1bfffe00,0x7fffffd4,0x1ffff91f,0xffff9000,
    0x7ffffdc1,0xffff7001,0x1ffff63f,0x7fffec00,0x7ffffc02,0x7fffc02f,
    0x03ffff26,0xfb017f4c,0x20000dff,0xfffffffe,0xe886ffff,0xffffffff,
    0xfff9002f,0xffffffff,0xfd80009f,0xfff90fff,0x3ffe005f,0xffff986f,
    0x3ff27fff,0xfc8000ff,0x7ff40fff,0xff8806ff,0x3ff63fff,0xff70007f,
    0x7fcc07ff,0x2604ffff,0x3f24ffff,0x7e440fff,0x3ff602ff,0xff00006f,
    0xffffffff,0xfff88dff,0xffffffff,0x3ffa200f,0xffffffff,0x0005ffff,
    0x643ffff6,0xf002ffff,0xff90dfff,0x64dfdfff,0x8000ffff,0x4c0ffffc,
    0x402fffff,0x6c6ffffc,0x30007fff,0x5c0bffff,0x06ffffff,0xc8bfffee,
    0x7d40ffff,0x3f602fff,0x880006ff,0xffffffff,0x7dc6ffff,0xffccffff,
    0x3f605fff,0xdbdeffff,0x3fffffff,0xffffb000,0x0bffff21,0x437fffc0,
    0x900ffffd,0x0001ffff,0x901ffff9,0x201fffff,0x41fffff9,0x0007fffd,
    0xd81ffffe,0x0fffffff,0x41ffffb0,0x540ffffc,0x3602ffff,0x80006fff,
    0xaaaffffa,0x742aaaaa,0xffe86fff,0xfffa80ff,0xffd503ff,0x36000fff,
    0xff90ffff,0x3fe005ff,0xffff86ff,0x3ffff206,0xfffc8000,0xffff880f,
    0xffffb04f,0x0ffffb09,0x7fffec00,0xffffff00,0x3ffa05ff,0xffa8006f,
    0x3ff602ff,0xfc80006f,0x7cc006ff,0xffb82fff,0xfffe81ff,0x7ffd402f,
    0xfd8002ff,0xfff90fff,0x3ffe005f,0x4ffff86f,0x03ffff20,0x3ffff200,
    0xfffff500,0xfffffa81,0x07fffd80,0x3fffee00,0xfffff982,0xff884fff,
    0x326004ff,0xccdffffd,0x737ffec2,0x8017bffb,0x0004fffd,0x3fee0953,
    0x7ffdc0ff,0xdffb005f,0xffb00039,0x3fff21ff,0xffff002f,0x3fff32ad,
    0x320cccef,0xd930ffff,0xff9039df,0x7fec01ff,0x7fff45ff,0xffffb02f,
    0x0f3332e0,0x709ffff3,0xfffbdfff,0x5ffff50d,0x2e4ccca8,0xffffffff,
    0x77ffec3f,0xffffffd8,0x3fffe02f,0x00001313,0x361bfffa,0x1001ffff,
    0xfd800015,0xfff90fff,0x3ffe005f,0xfffff96f,0x641fffff,0xffb8ffff,
    0x644fffff,0x2200ffff,0xf72fffff,0x7ec0bfff,0xfffc87ff,0xffff80ff,
    0xbcfffe86,0x7e40ffff,0x7fe40fff,0xffff70ff,0xd87fffff,0xffffffff,
    0x82ffffff,0xfedffff8,0x30004eff,0xd07ffff9,0x0000ffff,0xffffb000,
    0x0bffff21,0xcb7fffc0,0xffffffff,0x3fff20ff,0xffffffdf,0x3ff23fff,
    0x7fdc00ff,0xffff8eff,0x3fff600f,0x7ffffdc7,0x8ffffd01,0xf9affff8,
    0x7fec2fff,0xffffc87f,0xffffff70,0xffd87fff,0xfdceffff,0x4c0fffff,
    0xffffffff,0x3001efff,0x07ffffff,0x001ffffe,0x3ff60000,0xffff90ff,
    0x3fffe005,0xffffff96,0x7e41ffff,0xdcffffff,0x327fffff,0xe800ffff,
    0xffffffff,0x7ffec03f,0x3ffffea7,0x3ffff201,0x43fffea1,0x7fc4ffff,
    0xfffc85ff,0x7fffd40f,0x3ffff602,0x7ffec43f,0x7fffdc4f,0xffffffff,
    0xfffa800f,0xfff102ff,0x000000df,0x21ffffb0,0x002ffffc,0xff0dffff,
    0x7fe409ff,0x7f443fff,0xfff91fff,0xfff3001f,0x00dfffff,0x3e6ffffb,
    0x5401ffff,0x3f23ffff,0x3fff26ff,0x0ffffe66,0x503ffff2,0x6c05ffff,
    0xf104ffff,0xffc8ffff,0xffebceff,0xfb805fff,0x980dffff,0x0005ffff,
    0xfffd8000,0x5ffff90f,0x1bfffe00,0xc813fffe,0xf505ffff,0x3ff25fff,
    0xff9000ff,0x003fffff,0xff1ffffb,0xf1005fff,0x7ff4bfff,0x3fffea4f,
    0x03ffff50,0xa81ffff9,0x3602ffff,0x3201ffff,0x3b20ffff,0xfffa85ff,
    0x6f6401ff,0x543fffff,0x0005ffff,0xfffd8000,0x5ffff90f,0x1bfffe00,
    0xc813fffe,0xf302ffff,0x3ff25fff,0x3fa000ff,0xb004ffff,0xfffdffff,
    0x7ff4007f,0x5ffff16f,0xc97fffc4,0xff907fff,0xfffa81ff,0x3fff602f,
    0x7fffdc07,0x7fd40101,0x322003ff,0x3e23ffff,0x00006fff,0xffffd800,
    0x05ffff70,0x21bfffe0,0x3204ffff,0xf301ffff,0x3ff27fff,0x3ea000ff,
    0xb000ffff,0xffffffff,0x7fe4007f,0xffffa8ff,0xea7fff40,0xff905fff,
    0xfffa81ff,0x3fff602f,0x7fffd406,0xfff88002,0xfff8004f,0x3fffe0ff,
    0x80000007,0xf70ffffd,0xf1005fff,0xfff0dfff,0x7ffe409f,0xffff100f,
    0x03ffff27,0x5ffff880,0x3ffff600,0x00ffffff,0x95ffff50,0xff90dfff,
    0x7ffff1df,0x03ffff20,0x405ffff5,0x5407fffd,0x0002ffff,0x000dffff,
    0x743ffff9,0x1000ffff,0x6c00017d,0xff70ffff,0xff1005ff,0xffff0bff,
    0x7fffe409,0x7ffff100,0x003ffff2,0x05ffff88,0x3fffff60,0x004fffff,
    0xfd7ffff1,0xfff507ff,0x03ffff5f,0x503ffff2,0x6c05ffff,0x7dc07fff,
    0xf0001fff,0x5000bfff,0x7ec5ffff,0xf7003fff,0x37265dff,0xfffd02fe,
    0x3fffea1f,0xffff9803,0x04ffff85,0x403ffff2,0xf93ffff8,0x44001fff,
    0x2005ffff,0xcdfffffd,0xf001ffff,0xffffdfff,0xdffff103,0x7e40ffff,
    0x7fd40fff,0x3ff602ff,0x3ff201ff,0x997510ff,0x3fffe203,0x40fdb954,
    0x2a1ffffc,0xd007ffff,0x3e65ffff,0xffd03fff,0x7fffccff,0xffffb806,
    0x04ffff84,0x403ffff2,0xf93ffff8,0x44001fff,0x2005ffff,0xf15ffffd,
    0x3600dfff,0x7fffffff,0x3fffffa0,0x3ff205ff,0x7ffd40ff,0x3fff602f,
    0x3fffe04f,0x17fffe67,0xb9ffffd4,0xff03ffff,0xffe81fff,0x7fe404ff,
    0x3ffe27ff,0xffff885f,0x3ffffe26,0x3fffe203,0x4ffff83f,0x03ffff20,
    0xc9ffffc4,0x2000ffff,0x005ffff8,0xf71ffff6,0xf7005fff,0x0bffffff,
    0x7fffffe4,0x3fff204f,0x7fffd40f,0x3ffff602,0x7ffe442f,0x7ffffc4f,
    0x7ffff4c1,0x1dffff10,0x37fffe44,0x77ffffcc,0x3fffae21,0x7fffc4ff,
    0x3fff663f,0x7fffec4f,0x3f6a21bf,0xff80ffff,0x3ff204ff,0xfff100ff,
    0x3ffff27f,0x3ffe2000,0x3ff6005f,0x7ffff87f,0xfffff980,0x3fe603ff,
    0x202fffff,0x4c0ffffc,0x3dceffff,0x7fffffec,0xfffffcad,0x7fffe40f,
    0xffffdbdf,0x7fffec3f,0xfffffcdf,0xffff901f,0xffffdfff,0xfc81dfff,
    0xffefffff,0x7cc1ffff,0xefffffff,0x4fffffff,0x409ffff0,0x100ffffc,
    0x3f27ffff,0x22000fff,0x2005ffff,0xfa87fffd,0xff804fff,0x401fffff,
    0x0fffffff,0x03ffff20,0x3ffffffe,0x7f7ffec4,0xffffffff,0xffffd03f,
    0xbfffffff,0xfffffd10,0x09ffffff,0xffffffc8,0xefffffff,0xfffff880,
    0x4fffffff,0xffffff90,0xffffffff,0x3fffe01f,0x3ffff204,0x7ffff100,
    0x003ffff2,0x05ffff88,0x41ffff60,0x400ffffe,0x07fffffd,0x6fffffd8,
    0x07fffe40,0x7fffffec,0x4e7ffec5,0xffffffff,0x3fffa204,0x04ffffff,
    0x3fffffa6,0x5003ffff,0xffffffff,0x4c03dfff,0xffffffff,0x7fd405ff,
    0xffffffff,0x3fe00dff,0x3ff204ff,0xfff100ff,0x3ffff27f,0x3ffe2000,
    0x3ff6005f,0xffff307f,0xffffb80b,0xfffb805f,0x7fe404ff,0xfff900ff,
    0xfffd8bff,0xdffffb14,0x3ffea005,0x7002dfff,0x3bffffff,0xffec8800,
    0x002effff,0xffffff91,0x3f62005d,0xefffffff,0x4ffff802,0x03ffff20,
    0xc9ffffc4,0x2000ffff,0x005ffff8,0xd81ffff6,0x2601ffff,0x802fffff,
    0x02fffff9,0x007fffe4,0x40001531,0x310000a9,0x4c400035,0x2600001a,
    0x440001aa,0x200009aa,0x0009aa99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0aaaaa80,0x55554c00,0x55555511,
    0x55555555,0x00055555,0xaaa98000,0x55555530,0x00333555,0x009aa980,
    0x0055554c,0x532aaa98,0x00555555,0x55555553,0x00266662,0x05555440,
    0xaaaaa980,0x98aaaaa2,0x5530aaaa,0x2aa00155,0x3332e2aa,0x7fffec03,
    0x7fff4004,0xfffff32f,0xffffffff,0x21ffffff,0xfffffffc,0xffffffff,
    0x2fffe802,0xfffffff7,0x5dffffff,0x3ffee200,0xf703ffff,0x3600dfff,
    0xfff96fff,0xf900ffff,0x2affffff,0x0003ffff,0x007ffff7,0x3ffffff5,
    0xc87ffffc,0xff71ffff,0x3fe005ff,0x3fff67ff,0x7fffd406,0x3ffe2007,
    0x3fffe67f,0xffffffff,0x0fffffff,0xfffffff9,0xffffffff,0xffffb805,
    0xffffff72,0xffffffff,0xfff980bf,0xefffffff,0x7ffffdc0,0x6fffd802,
    0xfffffff9,0xfffff803,0xffff57ff,0x3fee0007,0x7fd403ff,0x7fc1ffff,
    0xfff90fff,0x3fffee3f,0xfffff002,0x4037ffec,0x001fffff,0x4c9ffff7,
    0xffffffff,0xffffffff,0xfff90fff,0xffffffff,0x5405ffff,0xf72fffff,
    0xffffffff,0xbfffffff,0x3ffffa20,0x6fffffff,0x7fffffdc,0xb7ffec00,
    0xfffffffc,0x3fffe203,0xfff57fff,0x3ee0007f,0x3e603fff,0xf81fffff,
    0xff90ffff,0x3ffee3ff,0xffff002f,0x037ffecf,0x027fffe4,0x21ffffe8,
    0xeeeeeee9,0xeeefffff,0xff90eeee,0xffffffff,0x203fffff,0x2ffffffb,
    0xdddffff7,0xfffffddd,0xfffb03ff,0xfffd7bff,0x7ffdc7ff,0x7ec04fff,
    0xffff96ff,0x7dc0bfff,0x57ffffff,0x0007ffff,0x40ffffee,0x2ffffff9,
    0x21fffff0,0xf71ffffc,0x3e005fff,0x3ff67fff,0xfff9806f,0xfff8807f,
    0x7ffc006f,0x5553006f,0xf7555555,0xfd507fff,0x25ffffff,0x102ffffb,
    0x0bfffff9,0xa81fffff,0x3ee6ffff,0x01ffffff,0x7e5bfff6,0x07ffffff,
    0x3ffffff6,0x7ffff57f,0x3ffee000,0xfffe883f,0x3ffe02ff,0xffff90ff,
    0x0bfffee3,0x03ffffc0,0x7ffff400,0x7fffdc01,0x7fffc004,0x7ec00006,
    0x7fec44ff,0x2fffffff,0x805ffff7,0x4c6ffffb,0xfd04ffff,0x7ffdcfff,
    0x3606ffff,0xfff96fff,0x203fffdf,0xfffeffff,0x07ffff57,0x3fffee00,
    0x7ffff443,0x7fffc02f,0x3ffff90f,0x00bfffee,0x003ffffc,0x27fffe40,
    0x07ffffa0,0x0dffff00,0x7ffd4000,0xfffff986,0xf72ffffd,0xf9805fff,
    0x7f547fff,0xfff901ff,0x3fffee1f,0xfb03ffff,0x3fff2dff,0x984fffcf,
    0xfffcffff,0x07ffff57,0x3fffee00,0x3ffffa23,0xfffe802f,0x47ffff27,
    0x002ffffb,0x000fffff,0x0fffff30,0x037fffc4,0x037fffc0,0xffff8800,
    0xaffff981,0xf72ffff9,0xff005fff,0x20180fff,0x3ee7fffd,0xffffffff,
    0x96fffd80,0xfff5ffff,0x9bfff70d,0x3feaffff,0xf70003ff,0x7fec7fff,
    0xfb003fff,0x7ffe4dff,0x5ffff71f,0x1ffffe00,0x7fff4000,0xffff702f,
    0xffff0007,0x3f60000d,0xbff304ff,0x4bfffe61,0x402ffffb,0x006ffffa,
    0x4bffff10,0xffdffffb,0xfffd85ff,0xf1ffff96,0xffd81fff,0x57fffcbf,
    0x0007ffff,0x6cffffee,0x003fffff,0xfc9bfff2,0xfff71fff,0x3ffe005f,
    0xf700007f,0x3f60bfff,0xf8000fff,0x80006fff,0x300ffff9,0xffff9819,
    0x05ffff72,0x27ffff44,0xffffb800,0x27fffee3,0x6c2fffff,0xfff96fff,
    0xf0bfffaf,0xfff93fff,0x0ffffeaf,0x7fffdc00,0xffffffcb,0x3ffee000,
    0x47ffff25,0xeeeffffb,0xfeeeeeee,0x00007fff,0x10fffff1,0x000bffff,
    0x001bfffe,0x017fff60,0x4bfffe60,0xaacffffb,0xffffcaaa,0xf98002ff,
    0x3ee0ffff,0xfffb8fff,0xb7ffec6f,0xff97fffc,0xbfffcc9f,0xff57fffc,
    0x2e0007ff,0xfffeffff,0x2005ffff,0x3f24fffb,0xfff71fff,0xffffffff,
    0xffffffff,0x7fec0000,0x7ffd42ff,0xfff0002f,0xf88000df,0x98002fff,
    0xff72ffff,0xffffffff,0x0bffffff,0xfffff300,0x0ffffb85,0x6c7ffffd,
    0xfff96fff,0xb9bffeaf,0xfff95fff,0x0ffffeaf,0x7fffdc00,0xffffffff,
    0xfff5002f,0x8ffffe47,0xfffffffb,0xffffffff,0x00007fff,0xb17fffee,
    0x0001ffff,0x001bfffe,0x00ffff90,0x4bfffe60,0xfffffffb,0xffffffff,
    0x7fcc000e,0xffb85fff,0xffff30ff,0x5bfff61f,0xff17fffc,0x3fff61ff,
    0x2affff93,0x0003ffff,0xfffffff7,0x1fffffdf,0x47fff300,0xf71ffffc,
    0xffffffff,0xffffffff,0x1e665cff,0x3fffe200,0xbffff10f,0x7fffc000,
    0x3fe20006,0xf30004ff,0x3fee5fff,0xffffffff,0x000cffff,0x77ffffd4,
    0x0ffffb80,0x6d7ffff2,0xfff96fff,0xf97fff4f,0xfff91fff,0x0ffffeaf,
    0x7fffdc00,0xfff8bfff,0xff8804ff,0x3ffff22f,0x59ffff71,0x55555555,
    0x7ecfffff,0xfd8006ff,0xfff52fff,0x7fc0005f,0x2e0006ff,0x0000ffff,
    0x2e5ffff3,0xeeeeffff,0x000bcdee,0xefffffa8,0x1ffff700,0x57ffff44,
    0xff96fffd,0x6fffe4ff,0x3f27fff9,0xffff57ff,0x3fee0007,0x3ee4ffff,
    0xf802ffff,0x3fff21ff,0x5ffff71f,0x9ffffe00,0x8006fffd,0xfb5ffffa,
    0xf8000fff,0x20006fff,0x0005fffd,0x5cbfffe6,0x0002ffff,0xfffffa80,
    0x3ffee00e,0x7fffd40f,0xf96fffde,0x7ffd4fff,0x325fffcf,0xfff57fff,
    0x3ee0007f,0xfe84ffff,0xff806fff,0x3ffff20f,0x05ffff71,0xd9ffffe0,
    0xf0006fff,0xfff1ffff,0xff80009f,0x3e0006ff,0x20002fff,0xf72ffff9,
    0x00005fff,0x5fffffa8,0x0ffffb80,0xffffffd8,0xffff96ff,0x7fffffc4,
    0x3fff23ff,0x07ffff57,0x3fffee00,0xfffff304,0x647fe809,0xff71ffff,
    0x3fe005ff,0x3fff67ff,0xfff90005,0x03ffffdf,0x6ffff800,0xffff3000,
    0x7fcc0001,0xffff72ff,0x7c400005,0x7005ffff,0xf101ffff,0xdfffffff,
    0xfd1ffff2,0x43ffffff,0xff57fffc,0x2e0007ff,0x3603ffff,0x201fffff,
    0x7ffe45ec,0x5ffff71f,0x1ffffe00,0x4c0013f2,0xffffffff,0xfff80007,
    0xff90006f,0xf98000ff,0xfff72fff,0x7400005f,0x2005ffff,0x700ffffb,
    0xdfffffff,0xf91ffff2,0xc8ffffff,0xfff57fff,0x3ee0007f,0x3e203fff,
    0x8006ffff,0xf71ffffc,0x3e005fff,0x4ff87fff,0x3fffe000,0x0004ffff,
    0x006ffff8,0x00dfffb0,0x2ffff980,0x005ffff7,0x3ffff200,0xaaaaaabf,
    0xffff70aa,0x7ffff401,0xffff96ff,0xffffffa8,0xabfffe45,0x999cffff,
    0x99999999,0x07ffff70,0x4fffffb8,0x324cccb8,0xff71ffff,0x3fe005ff,
    0x07fe47ff,0xffff9000,0x00003fff,0x000dffff,0x0017fffa,0x25ffff30,
    0x002ffffb,0xffffff00,0xffffffff,0x3fffee3f,0x3fffe600,0xffff96ff,
    0xffffff88,0xabfffe43,0xffffffff,0xffffffff,0x07ffff75,0x3fffffd0,
    0x327fffd8,0xff71ffff,0x3fe005ff,0x0fffa7ff,0xffff3000,0x20000dff,
    0x0006ffff,0x0009ffff,0x72ffff98,0x0005ffff,0xffffff30,0xffffffff,
    0x3fffee3f,0x7fffec00,0x0ffff96f,0x83fffffd,0xff57fffc,0xffffffff,
    0x2bffffff,0x803ffffb,0x46fffffa,0x3f27fffd,0xfff71fff,0x3ffe005f,
    0x000bf67f,0x7fffff40,0xfff00003,0xff1000df,0x980007ff,0xff72ffff,
    0x900005ff,0xffffffff,0x3fffffff,0x003fffee,0x2dfffff1,0xfc87fffc,
    0xffc87fff,0xfffff57f,0xffffffff,0x3feebfff,0xffb003ff,0x7fec7fff,
    0x3ffff27f,0x05ffff71,0x09ffffe0,0x7fdc0000,0x00000fff,0x000dffff,
    0x003ffff3,0x2ffff980,0x005ffff7,0xffffff00,0xffffffff,0x3ffee3ff,
    0xfffb800f,0x0ffff96f,0x90bffff5,0x3feaffff,0xffffffff,0x75ffffff,
    0x2007ffff,0x0ffffff9,0x7e4ffffb,0xfff71fff,0x3ffe005f,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa880000,0xaaaaaaaa,0x1aaaaaaa,0x2aaaaaa6,0xaaaaaaaa,
    0x555530aa,0x55555555,0x26355555,0xaaaaaaaa,0x2a0009aa,0x5001aaaa,
    0x54c55555,0xaaaaaaaa,0x000099aa,0x01aaaa98,0x2aaa0000,0x65cc4002,
    0x554c009a,0xaaaaaaaa,0x0100099a,0x80000000,0xfffffff8,0xffffffff,
    0x3ffee4ff,0xffffffff,0xf71fffff,0xffffffff,0xffffffff,0x3ffffee7,
    0xffffffff,0x7ffe400c,0x7fd400ff,0x3fee2fff,0xffffffff,0x002dffff,
    0x1fffffa0,0x7fdc0000,0xfd9800ff,0x1effffff,0xffffff70,0xffffffff,
    0x02ea809d,0x2cccb800,0x2017bfb5,0xfffffff8,0xffffffff,0x3ffee4ff,
    0xffffffff,0xf71fffff,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,
    0x3fe202ff,0x7f404fff,0x7fdc5fff,0xffffffff,0x04ffffff,0xfffff980,
    0x4400002f,0x400fffff,0xfffffffc,0xfb85ffff,0xffffffff,0xefffffff,
    0x17fff500,0x3fff6000,0x3fffff9c,0xffffff10,0xffffffff,0x7fdc9fff,
    0xffffffff,0x71ffffff,0xffffffff,0xffffffff,0x3fffee7f,0xffffffff,
    0x2a05ffff,0x701fffff,0xb81fffff,0xffffffff,0xffffffff,0x7fe4003f,
    0x0006ffff,0x7ffffec0,0x3fffee00,0xffffffff,0x7fffdc4f,0xffffffff,
    0x81ffffff,0x1cfffffa,0x6fffec00,0x00ffffff,0xddddddd1,0xffffdddd,
    0x7ffdc7ff,0xeeeeeeef,0xf70eeeee,0xdddddfff,0xdddddddd,0x3bfffee5,
    0xfffeeeee,0x3602ffff,0xf886ffff,0xfb82ffff,0xeeeeefff,0xfffffeee,
    0x3ffe000f,0x001fffff,0xfffff700,0x3ffe601f,0xfd932dff,0x7fdc5fff,
    0xeeeeeeff,0xffffffee,0xfffffa84,0xfb002eff,0xffffffff,0x3ea0000b,
    0x7dc5ffff,0x70002fff,0x0005ffff,0x017fffdc,0x1ffffff7,0x3ffffe20,
    0x2ffffec3,0x02ffffb8,0x17ffff4c,0xfffffa80,0x80004fff,0xfffffff8,
    0x5ffffb00,0x9bfffe20,0x402ffffb,0x86ffffd9,0xffffffd9,0x3600bfff,
    0xaadfffff,0xf980002c,0x5c0effff,0x0002ffff,0x005ffff7,0x17fffdc0,
    0x27ffff40,0x1fffff70,0x03ffffea,0x017fffdc,0x027fffdc,0xfeffffd8,
    0xe80007ff,0x0fffffff,0x80dffff0,0x3ee7fffd,0xf8802fff,0x9100ffff,
    0xffffffff,0xfffb039f,0x100000df,0x03ffffff,0x005ffff7,0x0bfffee0,
    0xffffb800,0xffff9802,0x3fff600f,0xfffff8df,0x3fffee03,0xffff8802,
    0xffff8803,0x02ffffbc,0x3fffee00,0xc880ffff,0x7d402fed,0xfff70fff,
    0x3ff6005f,0xfda802ff,0xdfffffff,0x0bffff62,0x3ffa0000,0xff702fff,
    0x2e0005ff,0x0002ffff,0x00bfffee,0x00ffffec,0xfdfffff1,0xfb80dfff,
    0xfb802fff,0xfb800fff,0xfff89fff,0xff30006f,0x1ffff7ff,0x3ff60000,
    0x3fffee6f,0xffffd002,0x7f5c4003,0xb1ffffff,0x0001ffff,0xfffffc80,
    0x3fffee03,0xfff70002,0x7dc0005f,0xf7002fff,0xfb805fff,0xffffffff,
    0x7fffdc01,0x7fff5402,0xdfffd006,0x00fffff4,0x557fff40,0x0000ffff,
    0x24ffffa8,0x802ffffb,0x00fffff9,0xffffb300,0x1ffff63f,0xfff70000,
    0xffb80bff,0xaaaaacff,0x7dc1aaaa,0xeeeeefff,0x3eeeeeee,0x00bfffee,
    0x01ffffd4,0x7ffffff4,0xfffb804f,0xdcccccdf,0x01effffe,0x23ffffa8,
    0x004ffffa,0xfaafffe4,0x40000fff,0x21fffffb,0x302ffffb,0xbfffff73,
    0x7fed4000,0xfffb1fff,0x7cc0000f,0x400effff,0xfffffffb,0x4fffffff,
    0x7fffffdc,0xffffffff,0x3ffee4ff,0xfff3002f,0xfff3009f,0x2e00dfff,
    0xffffffff,0xefffffff,0xffffb000,0x3ffffc41,0x1ffff300,0x003fffea,
    0xfffffc80,0x7ffffdc2,0xffffffff,0x000fffff,0x7ffffe44,0xfffb1fff,
    0x3e20000f,0x800fffff,0xfffffffb,0x4fffffff,0x7fffffdc,0xffffffff,
    0x3ffee4ff,0xfff3002f,0x3ffa00bf,0xf7003fff,0xffffffff,0x1bffffff,
    0xbffff100,0x05ffffb0,0xa8bfffa0,0x0000ffff,0x05fffffb,0xfffffff7,
    0xffffffff,0x6d4003df,0xffffffff,0x1ffff62d,0x7fff4000,0xff7002ff,
    0xffffffff,0xfb89ffff,0xffffffff,0x4fffffff,0x00bfffee,0x037fffcc,
    0x7fffffdc,0xfffb800e,0xffffffff,0x03ffffff,0x417fffdc,0x806ffffa,
    0x7d45fffc,0xc8000fff,0x701fffff,0xffffffff,0x7dffffff,0x3fff2600,
    0x0cffffff,0x006fffd8,0xfffffd80,0x3ffee003,0xccccccdf,0x7fdc2ccc,
    0x99999bff,0x20999999,0x002ffffb,0x809ffff5,0xfffffff8,0xfffb804f,
    0xaaaaaacf,0x5fffffdb,0x03ffffa0,0x00fffffc,0xa81ffff3,0x4000ffff,
    0x01fffff8,0x3bbfffee,0x3fffffff,0xffffd300,0x017dffff,0x0037ffec,
    0x3ffffee0,0x7ffdc005,0xff70002f,0x5c0005ff,0x7002ffff,0xd807ffff,
    0xffffffff,0x7ffdc02f,0xfff9802f,0xfff980ff,0xccccccff,0x204ffffe,
    0xfa82fffe,0x54000fff,0x5c02ffff,0x7dc2ffff,0xa804ffff,0xefffffff,
    0xdfffb002,0x7ffcc000,0xfb8006ff,0x70002fff,0x0005ffff,0x017fffdc,
    0x02ffffc8,0x3bffffea,0x200effff,0x002ffffb,0x905ffff7,0xffffffff,
    0xffffffff,0x3fffea0f,0xffffffff,0x800fffff,0xb805fffc,0xfa82ffff,
    0x5405ffff,0x01cfffff,0x037ffec0,0xfffff880,0xffb8000f,0xf70002ff,
    0x40005fff,0x002ffffb,0x203ffffd,0x8dfffff8,0x204fffff,0x002ffffb,
    0xf0bffff3,0xffffffff,0xffffffff,0xffff505f,0xffffffff,0x001fffff,
    0x7009fffb,0x3205ffff,0x204fffff,0x000bfffa,0x00dfffb0,0x3fffffa0,
    0xfff70001,0x3ee0005f,0x20002fff,0x802ffffb,0x206ffffa,0x70fffffd,
    0x205fffff,0x002ffffb,0xa8bffff7,0xffffffff,0xffffffff,0xfffa86ff,
    0xffffffff,0x00ffffff,0x802eeec8,0x202ffffb,0x01fffffe,0xb00005d5,
    0xb000dfff,0x007fffff,0x17fffdc0,0xffffb800,0x3fee0002,0x7f4402ff,
    0xff502fff,0xffe87fff,0xffb80eff,0xffd002ff,0xfffd87ff,0xaaaaaabf,
    0xfffffaaa,0x7ffffd41,0xffffffff,0x0000ffff,0x5ffff700,0x7ffffcc0,
    0x00000106,0x7ffdc000,0x99999dff,0x19999999,0x00bfffee,0x5ffffdc0,
    0x99999999,0xff719999,0x333337ff,0xbfffff93,0x3ffffe20,0xfffff985,
    0xbffffb84,0xa9999999,0x21fffffe,0x006ffff8,0x113ffff2,0x33333333,
    0x33ffff73,0x3332e003,0xffffb803,0x7fffdc02,0x0000004f,0x7ffe4000,
    0xffffffff,0xffffffff,0x05ffff70,0x3fffee00,0xffffffff,0xf77fffff,
    0xffffffff,0xffffffff,0x3ffff601,0xffff700f,0xffffb83f,0xffffffff,
    0x46ffffff,0x003ffffc,0x01ffffe6,0x07fffd40,0x1bfff600,0x0bfffee0,
    0x3fffffa0,0x4ccccc41,0x99999999,0x00199999,0x7ffffe40,0xffffffff,
    0x70ffffff,0x0005ffff,0x3fffffee,0xffffffff,0xfff77fff,0xffffffff,
    0x207fffff,0x03fffffa,0x077ffff4,0xfffffff7,0xffffffff,0xfff81dff,
    0x7f4000ff,0xa8002fff,0x4000ffff,0xb806fffd,0x9802ffff,0x4c6fffff,
    0xffffffff,0xffffffff,0x640007ff,0xffffffff,0xffffffff,0xfff70fff,
    0x3ee0005f,0xffffffff,0xffffffff,0xffffff77,0xffffffff,0x3ffe201b,
    0xff9806ff,0x3fee4fff,0xffffffff,0x1effffff,0x02ffffd4,0x37fffdc0,
    0x7fffd400,0x7ffec000,0xffffb806,0xffff7002,0x7fffcc7f,0xffffffff,
    0x07ffffff,0x7fffe400,0xffffffff,0x0fffffff,0x005ffff7,0x3ffffee0,
    0xffffffff,0xff77ffff,0xdfffffff,0xfc80399d,0x9001ffff,0x2e3fffff,
    0xffffffff,0x1ceeffff,0x05ffffb0,0xfffff100,0xfffa8003,0x7fec000f,
    0xfffb806f,0x3ffa002f,0xbbb30fff,0xbbbbbbbb,0xbbbbbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x2204ccca,
    0x0001cccc,0x00000000,0x901e665c,0x32205999,0x99951ccc,0xccc98019,
    0x6664401c,0x4ccca804,0x7dc40000,0xfffdb501,0x654007bd,0x002deffe,
    0x33bfb6e2,0x3bae2002,0x000ceeff,0x33bfb2a2,0x3fff200b,0x3fffe607,
    0x22399972,0xa82cefdb,0xa81bdfec,0x37263ccc,0xffb82cef,0xffff307f,
    0x3fffee0d,0x07ffff50,0x00ffffd8,0x403fffcc,0x0007fffc,0x83fff930,
    0xfffffff9,0x2200dfff,0xfffffffd,0x7fd401ef,0x0dffffff,0x7ffffe40,
    0x804fffff,0xfffffffc,0xfff903ff,0x7fffcc0f,0xd35fffd2,0x49ffffff,
    0xfffffffc,0xcafffe41,0x4fffffff,0x40ffffc4,0x80fffffb,0x7fc5fffd,
    0x3fe206ff,0xff9804ff,0xfffc807f,0x7ed40007,0x3e21ffff,0xffffffff,
    0xf980efff,0xffffffff,0xff901fff,0xffffffff,0x3ffee03f,0xffffffff,
    0x3fff204f,0xffffffff,0x07fffc85,0x74bfffe6,0xffffdfff,0xfdcfffff,
    0xffffffff,0x377fff20,0xffffffff,0x27fff44f,0x17ffffec,0x90ffffe2,
    0x2e03ffff,0x9801ffff,0xfc807fff,0xb88007ff,0xfffffffe,0x3fffff21,
    0xfffffecd,0xfffffe82,0x6fffffde,0xffffff98,0x86fffffc,0xaceffff8,
    0x0fffffdb,0xffffffc8,0x4ffffffe,0x303fffe4,0x3fa5ffff,0xecdfffff,
    0xffffffff,0x4fffffed,0x3ffffff2,0xfffffddf,0x1bfff20f,0x13fffffe,
    0x881ffff5,0xfd04ffff,0x3e600dff,0xffc807ff,0x3f22007f,0xffffffff,
    0xbffff10d,0x89ffff50,0x21dffffb,0x42ffffd8,0x5c2ffffe,0x7d42ffff,
    0xfff507ff,0xffffb85d,0x7fffd42f,0x1ffff21f,0xd2ffff98,0xe81fffff,
    0x545fffff,0x3f26ffff,0x7c44ffff,0x3e61ffff,0x3fe60fff,0x7e46ffff,
    0xfffb06ff,0x7ffff30f,0x1fffe600,0x7ed40000,0xefffffff,0x0cb9880b,
    0xf89ffff0,0xff306fff,0x7ffd47df,0xdfffd04f,0x02ffffb8,0x7ffec035,
    0xffff301f,0x03fffe4d,0x3a5ffff3,0xfa82ffff,0xfe80ffff,0x3fff27ff,
    0xffff705f,0x22ffff85,0xfffffffc,0x40ffffe0,0x642ffffa,0x4c40ffff,
    0xfffa9999,0x0999999f,0xfffeb800,0x01cfffff,0xfffe9800,0x0ffffe25,
    0xfff701a8,0x3ffee05f,0x3fffe60f,0xf000acef,0xfd809fff,0xfff90fff,
    0x7fffcc0f,0x20ffffd2,0xb05ffff9,0x7fe4ffff,0xfff302ff,0x5fffc87f,
    0x3ff3fffa,0x1ffff32f,0x22ffffc0,0xfc84ffff,0xffffffff,0x3fffffff,
    0x7fffd400,0x000befff,0x3fff6ea0,0x3fea5fff,0xf90002ff,0x55557fff,
    0x43ffff75,0xfffffff8,0xf301bdff,0xfb805fff,0xfff91fff,0x7fffcc0f,
    0x20dfffd2,0x904ffff9,0x7fe4ffff,0xfff300ff,0x7fff987f,0xff3bfff1,
    0x1bffee9f,0x21ffff90,0xc81ffffa,0xffffffff,0xffffffff,0x7ffd4003,
    0x20001cff,0xffffffdb,0x3ee5ffff,0xb0001fff,0xffffffff,0x5fffffff,
    0xffffff98,0x40dfffff,0x401ffffb,0xf93ffffa,0x7fd40fff,0xdfffd2ff,
    0x0ffffe60,0xf93fffe4,0x3e601fff,0xfff83fff,0xf3fffa9f,0x3fff6dff,
    0x7fffc403,0x20dfffb3,0xfffffffc,0xffffffff,0x7fd4003f,0x8002dfff,
    0xffffffe8,0x25ffffdf,0x001ffffb,0xffffffd0,0xffffffff,0xfffb307f,
    0xffffffff,0x0ffffe41,0x4ffffe60,0x2a07fffc,0xffd2ffff,0x3ffe60bf,
    0xffff903f,0x807fffe4,0xd83ffff8,0xfffccfff,0xff1fffb1,0xffb003ff,
    0x0ffffebf,0x7fffffe4,0xffffffff,0x7d4003ff,0xcfffffff,0xfffe8800,
    0x3ffa1bef,0x3fffea5f,0xfffb0002,0x9999999f,0x44059999,0xffffffeb,
    0x3ffee6ff,0x7ffd402f,0x1ffff92f,0x4bfffee0,0xf305fffe,0x3f205fff,
    0x3fff27ff,0x3fffe207,0xeefffa83,0x3ffee7ff,0x5006fffd,0xfff7ffff,
    0x2666201f,0x9ffffa99,0x00099999,0xfffffea8,0x2a02dfff,0xfd03ffff,
    0x7ffccbff,0x26b2e03f,0x07ffff20,0x32a20000,0x50ffffff,0xc807ffff,
    0xff70ffff,0x3ff201ff,0xbfffd2ff,0x0bfffe60,0xf93fffe4,0x7fc40fff,
    0xfff883ff,0x3e65ffff,0x04ffffff,0x3fffffe0,0xf98005ff,0x000007ff,
    0xffffff93,0xfc819fff,0xfff00fff,0x7fffc4bf,0xdffff106,0x81ffffdc,
    0xa98809ba,0x3fff603c,0xfffff11f,0x3fffe201,0x13fffea7,0x4bffffea,
    0xf305fffe,0x3f205fff,0x3fff27ff,0x3fffe207,0xfffffb03,0xfffff87f,
    0x3f2001ff,0x01ffffff,0x07fff980,0x004ccca8,0x3fffff22,0xfb0dffff,
    0xff903fff,0xfffd8bff,0xffffc83f,0x1bfffe23,0x83ffffe2,0x901fffff,
    0xffd8ffff,0x7ec40dff,0x3fe23fff,0xfca9cfff,0xfd2fffff,0x3fe60bff,
    0xfff902ff,0x03fffe4f,0x207ffff1,0x1ffffffa,0x3fffffe4,0x3fffe200,
    0xf30006ff,0xff900fff,0x3aa000ff,0x1fffffff,0x23bffff7,0x6fffffc9,
    0x6fffffc4,0xfffffebb,0x7ffffe40,0xffffda9c,0x77fffdc4,0xffff730b,
    0xfffff98d,0xffffcacf,0xffffe85f,0xffefffff,0xbfffd2ff,0x0bfffe60,
    0xf93fffe4,0x7fc40fff,0xfff103ff,0xfff50fff,0xfb0009ff,0x0007ffff,
    0x201fffe6,0x0007fffc,0x7ffffecc,0xffffff31,0xffffffff,0xfffff90f,
    0x5fffffff,0xfffffd10,0x1dffffff,0xfffffe88,0xffffffff,0xfffffa81,
    0xffffffff,0xffffe880,0xffff5fff,0x417fffa5,0x902ffff9,0x7fe4ffff,
    0x3ffe207f,0x3fffa03f,0xffff885f,0xffa8002f,0x30000fff,0xf900ffff,
    0x20000fff,0x2e1fffc8,0xffffffff,0x81ffffbd,0xfffffffb,0x36203fff,
    0xffffffff,0xffd100ef,0xffffffff,0x7ffd405f,0xdfffffff,0x3fff6200,
    0x3fffe3ef,0x20bfffd2,0x902ffff9,0x7fe4ffff,0x3ffe207f,0x3ffee03f,
    0xffffd03f,0x7fffc000,0x2aa20005,0xfffc802a,0x5c400007,0x7fff541e,
    0x3fffe3ef,0xffffb304,0x2e003bff,0xbffffffe,0xfffea800,0x800cffff,
    0xfffffdb8,0x054c003e,0x0bfffd00,0x40bfffe6,0x3f27fffc,0x3fe207ff,
    0x000003ff,0x00000000,0x00000000,0x15510000,0x2aa20000,0x4d4c0001,
    0x55310001,0xa8800013,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97000000,0x99999999,0x64479999,0x9501cccc,
    0x36007999,0x775c05ee,0xeeeeeeee,0x02eeeeee,0x995017ba,0x2aaaa699,
    0x98aaaaa1,0x3100aaaa,0x11110800,0xdc811111,0x66540ddd,0x0000004c,
    0x00000000,0x00000000,0xffffffd8,0x5fffffff,0x437fffec,0x01fffff9,
    0x02ffffb8,0x3ffffff2,0xffffffff,0x1bfe03ff,0x2effff90,0xff14ffff,
    0x7ffe4fff,0x3ffb223f,0x56a00bef,0xfffffffe,0x3fffe21f,0x03fffdc3,
    0x00000000,0x00000000,0x7ec00000,0xffffffff,0x7c45ffff,0x7f43ffff,
    0xfd003fff,0x7e40dfff,0xffffffff,0x3fffffff,0xc80bfd02,0xfff77fff,
    0x3fffe29f,0x4fffff27,0xffffffe9,0xf930adff,0x3fffffab,0x7fcc1fff,
    0x3fffdc6f,0x00000000,0x00000000,0x6c000000,0xffffffff,0x985fffff,
    0xf70fffff,0x2a00bfff,0x02ffffff,0xfffffff9,0xffffffff,0xfd8ef47f,
    0xffc8b934,0x9ffff77f,0xc9ffffe2,0xffd3ffff,0xffffffff,0x2bffffff,
    0xfffffffe,0x2fff981f,0x001fffee,0x00000000,0x00000000,0x26620000,
    0xffe99999,0xff900fff,0xffff3bff,0x3ffa001f,0x5305ffff,0x55555555,
    0x15555555,0x3fb7ffe2,0x320fffdd,0xfff76fff,0x3fffe29f,0x4bffff27,
    0xfffffffe,0xffffffff,0xfffffd5f,0x3ea03fff,0x1fffee6f,0x00000000,
    0x00000000,0x00000000,0x03fffff9,0xffffffe8,0xf3002fff,0x3ffffdff,
    0xf9800000,0xffffffff,0x55fc82ff,0x7fc7ffff,0x3ffee6ff,0x3159fd1f,
    0xffffffb5,0x2eee3fff,0x00bbbbbb,0x00000662,0x00000000,0x00000000,
    0x7e400000,0x9802ffff,0xffffffff,0x3fff6004,0x005fffcb,0xfb710000,
    0x20137bff,0xffff15fe,0x527fff45,0x07a1ffff,0xefffeb88,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x7fffff70,0x7fffdc00,0xf3000eff,
    0xfff31fff,0xaaaa981f,0xaaaaaaaa,0xf880aaaa,0x2e00efff,0x3fffe1ff,
    0x88ffff20,0x80027fff,0x00000099,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0xffd8004f,0x36001fff,0x3ffa5fff,0x7fffe44f,0xffffffff,
    0x7c43ffff,0xd05ffbff,0x7ffd89ff,0x3e17ffd4,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x26000000,0x005fffff,0x9fffffd0,0x3fffe200,
    0x83fffea1,0xfffffffc,0xffffffff,0x4fffa23f,0x3fc85ffd,0x5442aa98,
    0x0d5540aa,0x00000000,0x00000000,0x00000000,0x00000000,0xffff8800,
    0xff70006f,0x005fffff,0xff0dfff9,0x7ffe47ff,0xffffffff,0x643fffff,
    0x20ffe26f,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffe8800,0xf98000ef,0xffffffff,0x3fffe200,0x27fffc83,0xeeeeeeeb,
    0xeeeeeeee,0x0541a82e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff600,0xffd0000f,0xbffffdff,0x07fffe40,0x017fffcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8fffffe4,0x01999999,0xf19ffff9,0x3205ffff,0x32e03ccc,0x000003cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,
    0xffffffff,0x541fffff,0xf50effff,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,0xffffffff,
    0x3e21ffff,0x7ec2ffff,0x00005fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffdc00,0xffffffff,0x3ff61fff,
    0xfff884ff,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffee0,0xffffffff,0xffff71ff,0x3ffee01f,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_38_usascii_x[95]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1, };
static signed short stb__arial_bold_38_usascii_y[95]={ 30,5,5,5,3,5,5,5,5,5,5,9,25,18,
25,5,5,5,5,5,5,5,5,5,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,33,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14, };
static unsigned short stb__arial_bold_38_usascii_w[95]={ 0,6,14,19,17,28,24,6,10,9,13,18,6,10,
6,11,17,12,18,17,19,17,17,17,17,17,6,6,18,18,18,19,33,25,21,22,21,19,18,24,20,6,17,23,
18,24,20,25,20,26,23,21,21,20,24,33,23,24,21,9,11,9,17,21,9,17,18,18,18,17,13,18,17,6,
10,17,6,27,17,19,18,18,12,18,11,17,19,27,19,19,17,13,5,13,18, };
static unsigned short stb__arial_bold_38_usascii_h[95]={ 0,25,10,26,31,26,26,10,33,33,12,18,11,6,
5,26,26,25,25,26,25,26,26,25,26,26,18,24,20,12,20,25,33,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,28,25,26,25,26,25,25,25,25,25,32,26,32,14,4,6,20,26,20,26,20,25,27,25,25,
33,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,33,33,8, };
static unsigned short stb__arial_bold_38_usascii_s[95]={ 255,208,104,95,121,167,70,97,45,1,76,
226,90,138,159,137,52,66,100,38,156,20,233,48,149,196,245,243,1,57,220,
176,67,130,108,56,62,42,23,27,222,215,79,184,165,140,119,1,79,139,196,
115,26,97,1,200,84,157,1,111,243,101,39,220,149,20,1,38,214,57,118,
166,132,234,56,182,150,132,160,94,224,205,239,75,241,114,206,178,19,185,1,
31,25,11,119, };
static unsigned short stb__arial_bold_38_usascii_t[95]={ 1,89,162,35,1,35,35,162,1,1,162,
141,162,162,162,35,35,89,89,62,115,62,35,89,35,35,141,89,141,162,115,
115,1,115,115,62,115,115,115,35,89,89,62,89,89,89,89,35,89,1,115,
35,89,62,89,62,115,62,115,1,1,1,162,136,162,141,62,141,35,141,62,
1,62,62,1,62,62,141,141,141,1,1,115,141,62,141,141,141,162,1,162,
1,1,1,162, };
static unsigned short stb__arial_bold_38_usascii_a[95]={ 151,181,258,303,303,484,393,129,
181,181,212,318,151,181,151,151,303,303,303,303,303,303,303,303,
303,303,181,181,318,318,318,332,531,393,393,393,393,363,332,423,
393,151,303,393,332,453,393,423,363,423,393,363,332,393,363,514,
363,363,332,181,151,181,318,303,181,303,332,303,332,303,181,332,
332,151,151,303,151,484,332,332,332,332,212,303,181,332,303,423,
303,303,272,212,152,212,318, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_38_usascii(stb_fontchar font[STB_FONT_arial_bold_38_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_38_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_38_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_38_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_38_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_38_usascii_s[i] + stb__arial_bold_38_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_38_usascii_t[i] + stb__arial_bold_38_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_38_usascii_x[i];
            font[i].y0 = stb__arial_bold_38_usascii_y[i];
            font[i].x1 = stb__arial_bold_38_usascii_x[i] + stb__arial_bold_38_usascii_w[i];
            font[i].y1 = stb__arial_bold_38_usascii_y[i] + stb__arial_bold_38_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_38_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_38_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_38_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_38_usascii_s[i] + stb__arial_bold_38_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_38_usascii_t[i] + stb__arial_bold_38_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_38_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_38_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_38_usascii_x[i] + stb__arial_bold_38_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_38_usascii_y[i] + stb__arial_bold_38_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_38_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_38_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_38_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_38_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_38_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_38_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_38_usascii_LINE_SPACING
#endif

