// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT        226
#define STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_43_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_43_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_43_usascii_LINE_SPACING          28

static unsigned int stb__arial_bold_43_usascii_pixels[]={
    0x00000000,0x00000000,0x00000000,0x14cccc98,0x99999999,0x66666449,
    0x32004ccc,0x0000005e,0x00000000,0x00000000,0x20000000,0xff12fff9,
    0xfb0019dd,0xdb3007ff,0x3ffeeffd,0x5cc00000,0xdefffedc,0xf500002c,
    0x3fe6ffff,0x27ffffff,0xfffffff9,0xdfd000ff,0x2a620000,0x9acdffdc,
    0xfd910000,0xfd8005bd,0x980000ff,0xacdffdca,0x3ffe0009,0x7ffe8007,
    0x3fffffe2,0x1fffec04,0xfffff910,0x013ffe2f,0x3ffae200,0xffffffff,
    0x0001dfff,0x4dffffea,0xffffffff,0x3ffffe67,0x2200ffff,0x1bdfffdb,
    0xffff5000,0xffffffff,0xfffa8007,0x800dffff,0x0003fff9,0x7fffffdc,
    0x02ffffff,0x003fffb0,0xf11fffd4,0x05ffffff,0x901fffec,0x4fffffff,
    0x0000fffd,0xffffffb1,0xffffffff,0x001bffff,0x2fffff50,0xfffffff9,
    0x3fffe67f,0x900fffff,0xffffffff,0x7ec4009f,0xffffffff,0x00dfffff,
    0xffffff88,0xfd804fff,0xd10000ff,0xffffffff,0x1bffffff,0x03fffb80,
    0x883fffa0,0x6fffffff,0x40ffff60,0xfffffff8,0x013ffe67,0x3ffffe60,
    0xcabcdeff,0xffffffed,0x7fd4002f,0x999917ff,0x7ccfffff,0x4cccefff,
    0xfffffe88,0x06ffffff,0xffffffa8,0xffffffff,0x6402ffff,0xffa8cfff,
    0x3fe600ff,0xff50003f,0xffffffff,0xffffffff,0x27ffcc05,0x85fffa80,
    0xfffffdcb,0x07fffb01,0x37ffffee,0x07fff42c,0xfffff700,0x7ecc005b,
    0x2003ffff,0x202aaaa8,0x3e67ffff,0xfc805fff,0xffffffff,0x2604ffff,
    0xffffffff,0xfffffeef,0x3e01ffff,0x3ff60fff,0x3fff603f,0xfff88000,
    0xeeffffff,0xffffffff,0x1bffe01f,0x017fff40,0x40fffff2,0xf903fffd,
    0x7dc07fff,0xffb005ff,0x400019ff,0x01ffffe9,0xffff0000,0x2ffffccf,
    0x3ffffe60,0xfffdffed,0xfffb01ff,0x93039fff,0x0dffffff,0xf71bffe2,
    0x3fe609ff,0xffd0003f,0x3039ffff,0xbffffff9,0x007ffec0,0x201fffee,
    0xb03ffffb,0x3f607fff,0x3e201fff,0x7d401fff,0x00003fff,0x003bffee,
    0x3fffe000,0x17fffe67,0x27ffff90,0xffff96fe,0xfffff509,0xfff5005f,
    0xff307fff,0x5fffa8df,0x001fffb0,0xffffff70,0xffff3005,0x3fee05ff,
    0x7fffc02f,0xffffa805,0x07fffb03,0x003ffff6,0x440bfffd,0x4401ffff,
    0x3ff2000a,0xfffa804f,0x3fffe07f,0x17fffe67,0x21ffffb0,0xdfff16fe,
    0xffffe889,0x3fe6001f,0x7cc0ffff,0x7ffd46ff,0x03fff985,0xfffff880,
    0x3fe6001f,0xf980ffff,0x3fea04ff,0xff9802ff,0xfffb04ff,0x3ffff607,
    0x7fffe400,0x03fffd01,0x3bfffb2a,0x4bffff33,0x5400fffe,0x3e07ffff,
    0x3fe67fff,0x7ff405ff,0x089bfa6f,0x3ffffee0,0xfffd8005,0x7ffc43ff,
    0x42fffdc6,0x8000fffd,0x05fffffa,0xfffffc80,0x40dfff03,0x800ffffc,
    0xb04ffff9,0x3f607fff,0x7cc00fff,0xffb83fff,0xffff904f,0xff79ffff,
    0x7ffcc7ff,0x7fffd403,0x9ffffe07,0x405ffff9,0xfd0ffffe,0x7ffe400d,
    0xf88001ff,0xff84ffff,0x1fffe47f,0x000fffe6,0x0fffffec,0x7fffc400,
    0x1fffb04f,0x01ffffa0,0x827fffcc,0xfd03fffd,0xff100fff,0xdffd0bff,
    0x3fffff20,0xffffffff,0x37fec1ff,0x1ffffea0,0x267ffff8,0x6405ffff,
    0xdfd4ffff,0x7fffec00,0x3ffa0006,0xfffe86ff,0xb0bfffa2,0x20001fff,
    0x006fffff,0x1bffffa0,0x4417ffdc,0x1006ffff,0x360bffff,0xffd03fff,
    0x3ffe00ff,0x17ffcc7f,0x67ffffec,0xfffffda8,0x07ffb87f,0x03ffffd4,
    0x7ccfffff,0x7dc05fff,0x6feeffff,0x3ffffa00,0x3ff60005,0xfffa87ff,
    0x46fffecf,0x0004fff9,0x0bfffff1,0x7fffec00,0x09fff307,0x00bffff7,
    0x41bfffe2,0xff03fffd,0x3fa00dff,0x3ff61fff,0x5ffffb87,0xdfffff70,
    0x401fff50,0x207ffffa,0x3e67ffff,0xfe805fff,0x1fffffff,0x9fffff00,
    0x7ffe4000,0xfffe80ff,0x742fffff,0x10000fff,0x009fffff,0x7ffffe40,
    0x90dfff00,0x4009ffff,0xd81ffffe,0xffa83fff,0xffb004ff,0x3ffe27ff,
    0x0fffff84,0x13ffffe0,0xa807ffe2,0x3e07ffff,0x3fe67fff,0xffa805ff,
    0xefffffff,0xffff300b,0x7dc0007f,0xf901ffff,0x983dffff,0x20004fff,
    0x03fffff9,0x3fffee00,0x1fffd01f,0x03ffffc8,0x17fffee0,0xd10ffff6,
    0x2007ffff,0xf33ffffc,0xfffb83ff,0x7fff403f,0x05fff02f,0x03ffffd4,
    0x7ccfffff,0xf7005fff,0xffffffff,0xfff305ff,0x540007ff,0x202fffff,
    0xfd01ab98,0x355101ff,0x3fffe601,0x3ea0003f,0xf902ffff,0xfffd83ff,
    0x3fe2002f,0xfb1befff,0x3fae67ff,0x2e007fff,0xff54ffff,0x0dffff0f,
    0x03ffffb0,0x5403fff3,0x3e07ffff,0x3fe67fff,0x3ea005ff,0xffffffff,
    0x7ffc44ff,0x2e0004ff,0x000fffff,0x227ffcc0,0x4fffffd8,0x4fffff88,
    0x3ffee000,0xfff501ff,0x1ffffe87,0x7fffdc00,0x7fffb5ff,0x3ffffffa,
    0x3ffee002,0x98dff75f,0xe804ffff,0xff707fff,0x7ffd401f,0x3fffe07f,
    0x17fffe67,0x3fff6a00,0x43ffffff,0x005fffff,0x1fffff20,0x3fffa000,
    0x3ffffe60,0xfff86fff,0x320005ff,0x2207ffff,0x7ffc5fff,0xfa8000ff,
    0xffb5ffff,0x3ffffa7f,0x7fd4001f,0x8bffb5ff,0x803ffffa,0xfb05ffff,
    0xfffa80df,0x3fffe07f,0x17fffe67,0xffffe800,0x3a0fffff,0x0006ffff,
    0x01bffff6,0x89fff500,0xffcefffd,0x7fff42ff,0x3f60006f,0x7f406fff,
    0x7ffffc7f,0xfffa8000,0x7fffb5ff,0x07fffffa,0xbffff300,0xff713ffa,
    0xff9805ff,0xbfff04ff,0x7ffffa80,0x99ffffe0,0x0005ffff,0x3ff67bfa,
    0x3ff62fff,0xf00c07ff,0x000bffff,0x260fffe8,0x3fea6fff,0x7fffec6f,
    0xfff0000f,0xffc80bff,0x3ffffa1f,0x7ffdc000,0xfffb5fff,0x3fffffa7,
    0x3fea002f,0x89ffb4ff,0x400ffffd,0xa82ffffb,0x7d402fff,0x3fe07fff,
    0x3ffe67ff,0x3fa0005f,0x8fffff26,0x03fffffb,0xffb83bf3,0x20003fff,
    0x7dc4fffa,0x7fffc4ff,0x3ffffee0,0xfffb8004,0x7fd404ff,0x3ffff63f,
    0x3ffe2001,0xffb1beff,0x3fff6a7f,0x3ea006ff,0xbff92fff,0x00ffffd8,
    0x207ffff4,0xa806fff9,0x3e07ffff,0x3fe67fff,0xd06005ff,0x7fffccdf,
    0x3ffffe64,0x1bfffb07,0x5ffffff1,0x7fff4000,0x21fffe40,0x3e61fffe,
    0x000fffff,0x3fffffe2,0x2fffc401,0x005ffffb,0x42ffffe4,0x7c43fffd,
    0x7002ffff,0x3ee3ffff,0x7fffe46f,0x3fffee01,0x17fff447,0x3ffffd40,
    0x4cfffff0,0x2e05ffff,0x3fa3fffe,0x227fffc6,0x44fffffc,0xeffffff8,
    0x005fffff,0x213ffea0,0x7f42fffd,0x7ffe42ff,0xfb000dff,0x200bffff,
    0x3ff27ffe,0x3fa003ff,0xffd81fff,0xffffb83f,0xffff7004,0xf51ffea1,
    0x7f409fff,0x7fec5fff,0xfff5005f,0x7fffc0ff,0x17fffe67,0x27ffffa8,
    0x3ffe66fe,0x7fffc42f,0x3f220dff,0xffffffff,0x3fa0001f,0xfffc80ff,
    0x217fff42,0xeffffff8,0x3fffa601,0xf9000fff,0x3ffea3ff,0x3ffe003f,
    0x7fffb06f,0x017fffe0,0xf33fffec,0x7ffc43ff,0x7ff442ff,0xffd55fff,
    0x3ea001df,0x3fe07fff,0x3ffe67ff,0x7fffc05f,0x7e4dfd4f,0xffb81fff,
    0x9bcfffff,0xffffffc9,0x2a0004ff,0xff704fff,0x1fffe87f,0xffffffb8,
    0xfdcaacdf,0x03ffffff,0x44fffea0,0x1004ffff,0x360bffff,0xffd03fff,
    0x3ffa00ff,0x22fffc6f,0xbefffffc,0xfffffffd,0x0dffffff,0x3fffea00,
    0x9ffffe07,0x405ffff9,0xecfffffd,0xffffd8ef,0x3ffffa06,0xffffffff,
    0x1fffffff,0x3fffa000,0x4bfff500,0xd00ffff8,0xffffffff,0xffffffff,
    0xf8800dff,0x3fffa5ff,0xffff1006,0x0ffff609,0x403ffff4,0x645ffff8,
    0x7ff40fff,0xffffffff,0xffffffff,0xffa8004f,0x3ffe07ff,0x3fffe67f,
    0x7fffc405,0xffffffff,0x7dc01fff,0xffffffff,0xffffffff,0x54000dff,
    0x3e204fff,0xffc8afff,0x7ffdc05f,0xffffffff,0x003fffff,0x7e4ffff0,
    0xf9800fff,0xffb04fff,0x3fff607f,0xffff9807,0x227ffc43,0xffffffd8,
    0xfffff8cf,0x50003fff,0x7c0fffff,0x3fe67fff,0xffb805ff,0xffffffff,
    0xd3003fff,0xffffffff,0xffffffff,0x20019fff,0x6400fffe,0xffffffff,
    0xffe9801f,0xffffffff,0x20001eff,0xff50fffd,0xff3005ff,0x3ff609ff,
    0xffffb03f,0xffffb801,0x83fffd80,0x21cefeca,0x00aceec9,0x2a015553,
    0x3e06ffff,0x3fe67fff,0xff5005ff,0xffffffff,0xdb70005f,0x9dffffff,
    0xffffff75,0xfff5001f,0xfffb1009,0x8007ffff,0xfffffedb,0x80003def,
    0x3fa2fffb,0xff9804ff,0xfffb03ff,0x3ffff607,0x2fffec00,0x02ffff88,
    0x7fdc0000,0x3ffee05f,0x3fffe06f,0x17fffe67,0xffffd880,0x0000ceff,
    0x22035530,0x004ffffe,0x4001fffd,0x01deffea,0x01aa9800,0xaaa88000,
    0x01bffee1,0x40ffffea,0xfb03fffd,0x7c403fff,0x3ea02fff,0x00003fff,
    0x01ffff70,0x1bffffa2,0x267ffff8,0x0005ffff,0x0001ffd3,0xffb80000,
    0x0000000f,0x00000000,0x3e200000,0x7e400fff,0xffb03fff,0x3fff207f,
    0x3ffea03f,0xffffc807,0xd300001e,0xdd05ffff,0x29ffffff,0xfffaaaa8,
    0x3fffe67f,0x2002aaae,0x000006fe,0x000aa000,0x00000000,0x00000000,
    0x213fff60,0xfffffdba,0x07fffb02,0x33ffffee,0x1fffec2b,0xfffffc80,
    0x544000bd,0x83fffffd,0xfffffff8,0xfffff33f,0x7fccffff,0x0fffffff,
    0x000dfd00,0x00000000,0x00000000,0x00000000,0x8ffff100,0xfffffff8,
    0x7fffb00f,0x3ffffe60,0x3ffe27ff,0x7ff54006,0xccdeffff,0xfeccbaaa,
    0x01efffff,0xfffffff5,0x7ffffccd,0x3fe67fff,0x0fffffff,0x000bd900,
    0x00000000,0x00000000,0x00000000,0x8bfff200,0xfffffff8,0x0ffff603,
    0xffffffc8,0x00bffee7,0x3ffff220,0xffffffff,0xffffffff,0x3fee00cf,
    0x260fffff,0xffffffff,0x3ffffe67,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0xff100000,0x7fffc4df,0x7fec05ff,0x3ff6203f,0x3ffe7fff,
    0x6dc40006,0xffffffff,0xefffffff,0xffea800a,0x774c0bdf,0x26eeeeee,
    0xeeeeeee9,0x000000ee,0x00000000,0x00000000,0x00000000,0x3ffee000,
    0x3bdfff11,0x07fffb00,0x2fffdb50,0x0001fffa,0x3bb72e20,0xbcdeffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,
    0x4c400020,0x23000099,0x00001998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x00000035,0x00000000,0x00000000,0x00000000,0x1fffff20,0x27ffff40,
    0x0006a200,0x0002a620,0xccc88000,0xb730004c,0x399ddffd,0x3ffb2000,
    0x3ffa2eff,0xffff007f,0x05fffc83,0xdffdb710,0x44000039,0xceefedba,
    0x4c40001b,0xacdefecb,0x3fea0000,0xfffff14f,0xffff8805,0x7ffff51f,
    0x77ffff64,0x7ff5c002,0x3ff63eff,0x765400ff,0xff32cdef,0xea800fff,
    0xffffffff,0x1002efff,0xfffffffd,0x1ffffa9f,0x03fffe20,0x7009fffb,
    0xffffffff,0xc80001bf,0xffffffff,0x8000cfff,0xfffffffa,0x0003ffff,
    0x7f45fff9,0x7dc05fff,0x3fea6fff,0xfffe8bff,0x804fffff,0xffffffd8,
    0xffffb5ff,0x7fffec01,0xfff35fff,0x7fe400ff,0xffffffff,0x406fffff,
    0xfffffff8,0xffedffff,0xfffa807f,0x02ffff86,0x7fffffdc,0x00efffff,
    0xffffe880,0xffffffff,0xfb1002ff,0xffffffff,0x003dffff,0x2e0fffe8,
    0x7407ffff,0x3ea3ffff,0xfffecfff,0x5fffffff,0x7fffff40,0xfddfffff,
    0xffb00fff,0x29ffffff,0x807ffff9,0xffffffe8,0xffffffff,0x3f605fff,
    0xecefffff,0x7fffffff,0x44fffb80,0x200ffff8,0xeffffff9,0x05fffffe,
    0x7ffff4c0,0xffffffff,0x4c01ffff,0xfffffffe,0xffffffff,0xfff1002f,
    0xfffff88d,0xfffff102,0x7ffffd41,0xfffeffff,0xf702ffff,0xfdffffff,
    0xffffffff,0xfffff101,0x3e65ffff,0xfe807fff,0xffffffff,0xffffffee,
    0xfff985ff,0x7fcc0eff,0xd807ffff,0x7fd43fff,0x7ffdc07f,0x3ffa60ef,
    0x3f2000ff,0xcdefffff,0xffffffed,0x3fffe206,0xfeefffff,0x0fffffff,
    0x84fffa80,0x705ffffd,0xfa8bffff,0x41efffff,0x86fffffb,0x2ffffff8,
    0x7fffffcc,0xffffa80f,0x510988bf,0xfc805555,0x09efffff,0xfffffea8,
    0x7fffec1f,0xffff300f,0xffff00ff,0x05fffc83,0x41ffffec,0x001ffffb,
    0x037ffffe,0x7fffffd4,0xfffff902,0xffc8815f,0xb805ffff,0xff982fff,
    0xfffb07ff,0xffffa85f,0xfff700ff,0xfffc85ff,0xfff101ff,0xff701fff,
    0x40000fff,0x3ffffffa,0xfffff880,0x7ffffc4f,0x7fffec03,0x7fffc407,
    0x01fffec0,0x213ffff6,0x002ffffa,0x01fffff3,0x4fffffa8,0xefffff98,
    0x7fffd400,0x7fec00ff,0xffffd00f,0xfffff885,0x7ffffd40,0x7ffff403,
    0x2fffff44,0x3fffff20,0x5ffffc80,0x3ff60000,0x2a003fff,0x227fffff,
    0x401fffff,0x2a7ffffa,0xfffdcccc,0xfffccccf,0xff704cdf,0xffd81fff,
    0xff7000ff,0x3fa00dff,0xffd86fff,0xf7000fff,0xf807ffff,0x3ff207ff,
    0x7ffdc5ff,0xffffa85f,0x7ffe400f,0x7ffffc5f,0x7fffcc02,0xffffc80f,
    0x3fffe604,0xfffff107,0x9bfb000d,0x7fffcc35,0x7ffcc00f,0x3ffff27f,
    0xffffffff,0x7fffffff,0xbfffff30,0x02ffffec,0x3fffff70,0x55559500,
    0x4fffff98,0x33bfe200,0x3ffe600a,0x3fffe205,0x17fffec7,0x03ffffd4,
    0x137fffdc,0x803fffff,0x90fffff8,0xffffffff,0x7fcc9fff,0xfff707ff,
    0x000005ff,0x00fffff5,0x64fffff1,0xffffffff,0xffffffff,0x3f607fff,
    0xffedffff,0x26002fff,0x0cffffff,0x7ffdc000,0x04c000ff,0x07fff700,
    0x12ffffe8,0x2a0fffff,0xa806ffff,0x3e67ffff,0xf800ffff,0xff90ffff,
    0xffffffff,0x7fffcc9f,0xfffffb07,0x3ea00000,0x4c00ffff,0x3f27ffff,
    0xffffffff,0xffffffff,0x3fe207ff,0xffffffff,0xfff8003f,0x1befffff,
    0xffffc800,0xd8000007,0x7d401fff,0xfff55fff,0x3ffea09f,0xfffa807f,
    0x3fffe67f,0x7ffc400f,0xffff90ff,0x9fffffff,0x83ffffcc,0x006ffffe,
    0xffff3000,0xfffa803f,0x2eaaa67f,0xaaaaffff,0x2aadfffe,0x7ffffd40,
    0x0002ffff,0xfffffff5,0x015bffff,0x0dffffb0,0xfff00000,0xffff100f,
    0x07ffff6f,0x03ffffd4,0x237fffdc,0x401fffff,0x90fffff9,0xffffffff,
    0x7fcc9fff,0xffff07ff,0x200000bf,0x02fffff8,0x03ffffe4,0xff0dfff5,
    0x362003ff,0xefffffff,0x7fe40000,0xffffffff,0x3a01cfff,0x0005ffff,
    0x2fffcc00,0xbffffc80,0x2a06ffff,0x400fffff,0x745ffffc,0x5402ffff,
    0x310fffff,0x3bffffb3,0x7ffcc133,0xffff887f,0x7774c04f,0xeeeeeeee,
    0x1bffffe3,0x7fffff88,0x113fff20,0x7001ffff,0xffffffff,0x900001df,
    0xffffffff,0x05ffffff,0x013ffffe,0xfff70000,0x3ffe6007,0x03ffffff,
    0x13ffffea,0x89ffffd0,0x405ffffd,0x80fffffe,0x204ffffc,0x887ffff9,
    0x404fffff,0xfffffffa,0x3ee4ffff,0xd883ffff,0x207fffff,0x7d43fffd,
    0xffb806ff,0xffffffff,0x8800045f,0xfffffffd,0x43ffffff,0x04fffff8,
    0x7fec0000,0x3ffa001f,0x00ffffff,0x3fffffea,0xfffff500,0xfffffb85,
    0xfffff501,0xffff901f,0x7fffcc09,0xbfffff07,0xfffffa80,0x24ffffff,
    0xdffffff8,0xffffebab,0x3ffe07ff,0x2fffe41f,0x3ffffee0,0xffffffcf,
    0x00af7fa3,0xffffb510,0x7fffffff,0x05fffff8,0x7ffc0000,0x7ffdc007,
    0x5405ffff,0x1fffffff,0x37ffffd4,0x7fffffc4,0x7ffffdc1,0xfffc80ff,
    0x3ffe604f,0xffffd07f,0xffffa80d,0x4fffffff,0x7fffffe4,0xffffffff,
    0xfff107ff,0x3fffd81f,0x3ffffe20,0xfffff52f,0xfffff33f,0xfeb98000,
    0x46ffffff,0x006ffffe,0x3ffe2000,0x7ffc4005,0x5402ffff,0xffffffff,
    0xffffffef,0xffff701f,0xffffdfff,0x901fffff,0x4c09ffff,0xfd07ffff,
    0xe980ffff,0xfffeeeee,0xfffc84ff,0xaeffffff,0x3f27ffff,0xffffffff,
    0xffffffff,0x3fff67ff,0x7ffe41ff,0xffffceff,0x32200004,0x20ffffff,
    0x006ffffd,0x3ffea000,0xfffd8003,0xffa807ff,0xffffefff,0x05ffffff,
    0x7ffffff4,0xfffeffff,0xfffc80ff,0x3ffe604f,0xffff907f,0x3fe0003f,
    0xff704fff,0x31bfffff,0x7e4fffff,0xffffffff,0xffffffff,0x3fffe7ff,
    0xffffb05f,0x05ffffff,0x500154cc,0x645fffff,0x8007ffff,0x3f200bdd,
    0xfa8001ff,0xa804ffff,0xfd8effff,0x4fffffff,0xffffd880,0xff9cffff,
    0xffc80fff,0x3fe604ff,0xfff307ff,0x3e000dff,0x2604ffff,0x262cefdb,
    0x3f27ffff,0xffffffff,0xffffffff,0xffff17ff,0x3ffa205f,0x07ffffff,
    0x01fffff7,0x27ffffc0,0x07fffff5,0x77fffc40,0x007ffe82,0x3fffff50,
    0xdffff500,0x77ffffe4,0x7ffe4002,0xfff13eff,0xfff901ff,0x7ffcc09f,
    0x3fffa07f,0xff8002ff,0x40004fff,0x327ffff9,0xffffffff,0xffffffff,
    0xfff37fff,0x7fc403ff,0x02ffffff,0x05fffff3,0x27ffff40,0x0ffffff1,
    0x7ffffdc0,0x037ffc42,0x6ffffe80,0xdffff500,0x00013510,0x7c40aa88,
    0xfc80ffff,0x3e604fff,0x3ee07fff,0x001effff,0x93ffffea,0xa8019acb,
    0x2626ffff,0x999ffffa,0x99bfffe9,0xffff1199,0xfffa809f,0x3e00ffff,
    0x800effff,0x42fffff9,0x03fffffc,0x7fffff98,0x004fffa8,0x4fffffa8,
    0xdffff500,0x40000000,0x80fffff8,0x204ffffc,0x407ffff9,0x3ffffffe,
    0x7ffff4c0,0x3fff24ff,0x3ff603ff,0xfffa84ff,0x01ffff86,0x03fffffc,
    0x3ffffff2,0xfffb00ef,0x74401bff,0xfd07ffff,0x540bffff,0x84fffffe,
    0x4402fffc,0xffffb999,0xff5000ff,0x00000dff,0x7fffc400,0xffffc80f,
    0x3fffe604,0x7fffcc07,0xbabcefff,0xffffffed,0x3ffea4ff,0xb510afff,
    0x903fffff,0xff889fff,0x7fe400ff,0x510befff,0xfffffffd,0xff305fff,
    0x359fffff,0xfffff953,0x3ffea0bf,0xbabcefff,0xfffffffd,0x00fffe80,
    0x7fffffd4,0x2a004fff,0x0006ffff,0x3fe20000,0xffc80fff,0x3fe604ff,
    0xffa807ff,0xffffffff,0xffffffff,0x3fe21fff,0xffffffff,0x05ffffff,
    0xfa87fffb,0xfe8806ff,0xffffffff,0xffffffff,0xb85fffff,0xffffffff,
    0xffffffff,0x3ff602ff,0xffffffff,0x1fffffff,0x806fff88,0xfffffff9,
    0x3ea000ef,0x00006fff,0x3ffe2000,0xfffc80ff,0x3ffe604f,0xfff3007f,
    0xffffffff,0xbfffffff,0xfffff501,0xffffffff,0x3ffe01ff,0x27ffdc1f,
    0xfffffa80,0xffffffff,0xfffffdff,0xffffb03f,0xffffffff,0x7007ffff,
    0xffffffff,0x5fffffff,0x013ffea0,0x3fffffe2,0x7d4000ff,0x00006fff,
    0x3ffe2000,0xfffc80ff,0x3ffe604f,0x3f62007f,0xffffffff,0x01dfffff,
    0x7fffff54,0x0dffffff,0x81ffff10,0x2003fffd,0xffffffd8,0x30dfffff,
    0xb80bfffd,0xffffffff,0x03ffffff,0x3ffffa60,0xefffffff,0x0bfff202,
    0x6fffff40,0xfff50002,0x000000df,0x7ffffc40,0x4ffffc80,0x1ffffe60,
    0x3ffae200,0xacdfffff,0x776d4000,0x01cdefff,0x7c37ffd4,0xb8001fff,
    0xfffffffe,0x0efd882e,0xffffc880,0x0befffff,0xfffb7000,0x005dffff,
    0x0001fffd,0x33260000,0x000003cc,0x33332200,0x9ffff904,0x88000000,
    0x0000aaa9,0x2a600000,0x2aaa81aa,0xaaa98000,0x00015000,0x026aaaa6,
    0x55510000,0x2aaa8003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09bcb980,0x99100000,0x73100999,0xc9801379,0x00003ccc,
    0x99999998,0x01999999,0x66664400,0x65d4c00c,0x530001ab,0x00001599,
    0x6654c000,0x6664400a,0x32e001cc,0x66643ccc,0xcccccccc,0xcccccccc,
    0xdffff50c,0x3fffff20,0x800004ff,0x207ffff9,0xffffffe9,0x3ffee04f,
    0x4400006f,0xffffffff,0x007fffff,0x7ffffcc0,0xffffd301,0x2003dfff,
    0xffffffea,0x0370002f,0xfffffc80,0xff300dff,0x74005fff,0x7fc5ffff,
    0xffffffff,0xffffffff,0xffff51ff,0xffffd88d,0x00efffff,0x3ffe6000,
    0xffff507f,0x3dffffff,0x0dffff70,0xfff98000,0xffffffff,0x4c0007ff,
    0xc81fffff,0xffffffff,0x7e404fff,0xffffffff,0x3faa003f,0xfffd1001,
    0x3fffffff,0x5fffff30,0x7ffff400,0x7fffffc5,0xffffffff,0x51ffffff,
    0xfe8dffff,0xffffffff,0x200006ff,0xb87ffff9,0xffffffff,0x5c0fffff,
    0x0006ffff,0x7ffffdc0,0xffffffff,0x7fcc0007,0x7fd41fff,0xffffffff,
    0xff902fff,0xffffffff,0xfe980bff,0xffa801ff,0xffffffff,0x7fcc0eff,
    0x3a002fff,0x7fc5ffff,0xffffffff,0xffffffff,0xffff51ff,0x7ffffccd,
    0xffffffef,0xff300002,0xffff0fff,0xffffdfff,0xfffb8bff,0x6400006f,
    0xffffffff,0x007fffff,0x7ffffcc0,0x3ffffe21,0xffffecff,0x7ffcc0ff,
    0xfffeefff,0x3fe02fff,0xfe801fff,0xffdeffff,0x7cc4ffff,0x2002ffff,
    0x7c5ffffe,0xffffffff,0xffffffff,0xfff50fff,0x7fffecdf,0xffffb10d,
    0x3e60000d,0x7fd47fff,0x3f622fff,0x3ee0ffff,0x00006fff,0x777ffff4,
    0x6eeeeeee,0x7ffcc000,0x3ffea1ff,0x7ffcc2ff,0x7fff42ff,0x3ffe62ef,
    0x3ffe06ff,0x7fd401ff,0x3f222fff,0x7fcc7fff,0x3a002fff,0x4cc5ffff,
    0x99999999,0xfffffc99,0x2aaaa24f,0x3fffff12,0x1fffff88,0xfff98000,
    0x7fffec7f,0xfffff983,0x1bfffee2,0xffff0000,0x2000000f,0x21fffff9,
    0x905ffffc,0x7cc9ffff,0xf980ffff,0xff01ffff,0xfe803fff,0xff882fff,
    0x3fe61fff,0x3a002fff,0x0005ffff,0x3fffffe6,0x3fff2005,0xffff905f,
    0x026a200b,0xc8fffff3,0xfd00fffe,0x7fdc7fff,0x01a886ff,0x2ffffc40,
    0xf9800000,0x3f61ffff,0xff302fff,0x7ffd4bff,0x3fff604f,0xfffff05f,
    0x7fffd403,0x2ab33207,0x3ffffe60,0x3fffa002,0xff10005f,0x001dffff,
    0x81ffffec,0x406ffffa,0x2effffec,0x40fffff3,0xffff1018,0x7fffdc1f,
    0xfffff916,0xfff5005d,0x0000009f,0x87ffffe6,0x503ffffb,0x7e47ffff,
    0x3ee03fff,0x3fea7fff,0xffffffff,0x27fffec6,0xffff3000,0x7ff4005f,
    0xfd0005ff,0x003fffff,0x02ffffe8,0x20fffff3,0xffffffe8,0xffff9cff,
    0xfff70007,0xffffb8df,0xfffffe9e,0x7e404fff,0x15512fff,0xff300000,
    0x7fc43fff,0xfffb06ff,0x7fffec3f,0x3fffea03,0xfffff50f,0xe8dfffff,
    0x0003ffff,0x0bffffe6,0x5ffffe80,0xffffc800,0xff8002ff,0xff101fff,
    0xff881fff,0xffffffff,0x07ffffef,0xfffffa80,0x7ffffdc3,0xffffffff,
    0x3f605fff,0xfffedfff,0x200003ef,0x41fffff9,0x31cffffe,0xc8dffff9,
    0x2a03ffff,0xf51fffff,0xffffffff,0xfffff8df,0x059bb952,0x2fffff98,
    0x3ffffa00,0x7ffdc005,0x88004fff,0x101fffff,0xd83fffff,0xceffffff,
    0xfffffffe,0xffdd1007,0xff707fff,0xbbffffff,0x5ffffffd,0x3fffffe0,
    0xdfffffff,0xff980000,0x7ec41fff,0xffffffff,0x7fdc0eff,0x3fee04ff,
    0xfff52fff,0xdfffffff,0xc9fffff8,0x1effffff,0x5fffff30,0x7ffff400,
    0x3ffe6005,0x10005fff,0x203fffff,0x21fffff8,0x0efffff9,0x7fffffcc,
    0xffff5007,0x3fee05ff,0x5c0dffff,0x886fffff,0xffffffff,0x0fffffff,
    0x7ffcc000,0xfff901ff,0x0bffffff,0x81bfffea,0x12fffffd,0x7fffff33,
    0x7ffc4133,0xfffffeff,0xf983ffff,0x2002ffff,0x005ffffe,0xdffffff1,
    0x3fe60001,0x3fe00fff,0x3ff62fff,0xff300fff,0x2e00ffff,0x0befffff,
    0x6fffffb8,0x3ffffee0,0x7ffffcc2,0xfffffeff,0x4c0004ff,0x701fffff,
    0xffffffff,0x3ffe207f,0xfffa83ff,0xfff83fff,0xfff301ff,0xffffffff,
    0x983fffff,0x002fffff,0x017ffffa,0x7ffffff4,0x3fea0000,0x3fe00fff,
    0x3ffe3fff,0x7ff403ff,0xff9007ff,0x83ffffff,0x02fffffb,0x227ffffc,
    0x42fffffb,0x1fffffe9,0x3ffe6000,0x7ff441ff,0xffffffff,0xffff705f,
    0xfffd57df,0xff09ffff,0x3ea03fff,0xadffffff,0x6fffffc8,0x17ffffcc,
    0xbffffd00,0xfffffb00,0x2662005f,0xffff9899,0x3fffe00f,0xfffff12f,
    0xffffb803,0xf9355007,0x5c3fffff,0xc807ffff,0x5445ffff,0xff100dcb,
    0x4000bfff,0x41fffff9,0xbcfffffe,0x0efffffd,0xffffffe8,0xffffffff,
    0xfffff83f,0xfffff301,0xffff107f,0x7fffcc5f,0x3ffa002f,0x7fdc05ff,
    0x2003ffff,0xf9effffa,0xf101ffff,0x3e63ffff,0x5400ffff,0x0007ffff,
    0xb9bffff6,0xc806ffff,0x0006ffff,0x037fffe4,0xfffff300,0x77fffdc3,
    0x7fffecc0,0xffffe884,0xfffeffff,0xffff82ff,0xffff101f,0x7ffe40df,
    0x3fffe64f,0x3ffa002f,0x3fe605ff,0x4005ffff,0xf8effffa,0xf101ffff,
    0x3ea3ffff,0xf9807fff,0x20007fff,0x72fffffa,0x700dffff,0x000fffff,
    0x07ffffa8,0x3fffe600,0x3ffff61f,0xfffff503,0x7ffffe40,0x3fffff5f,
    0x03fffff0,0x02fffffc,0x44bffff5,0x002fffff,0x413ffffa,0x6ffffff8,
    0xffffa800,0x03fffff6,0x43ffffe2,0x807ffffa,0x007ffff9,0xa7ffffc0,
    0x806ffffb,0x007ffffa,0x7ffffcc0,0xfff30000,0x7fffc3ff,0x3fffe00f,
    0x332a201f,0xfffff11a,0x3fffff01,0x27ffffc0,0x4fffff30,0x02fffff8,
    0x13ffffa0,0x7ffffff4,0xfffa8000,0x5fffff6f,0x9ffffe60,0x00fffff9,
    0x03ffffd4,0x3ffff600,0x0fffff75,0x0dffff70,0xffff9800,0xffdb910f,
    0x7ffffd40,0x0dffff31,0x04ffffc8,0xfffff300,0x07ffffe0,0x04ffffe8,
    0xf1ffffe2,0x4007ffff,0xd84fffff,0x01ffffff,0xbffff500,0x40fffffa,
    0x226ffffb,0x401fffff,0x267ffffb,0x7405ecca,0xff74ffff,0xfc801fff,
    0x54cc4fff,0x3fea00cb,0x3ffe67ff,0x3ffea07f,0xffff50ff,0xffffc80d,
    0xfff70004,0x3fffe0ff,0x3fff601f,0x3ffe605f,0x7ffffc6f,0xffff1006,
    0xffffb87f,0xf00003ff,0x3ffff2bf,0x9ffffb06,0x04fffff8,0x53fffff4,
    0x201fffff,0x72fffff8,0x807fffff,0x223fffff,0x203fffff,0x7c6ffffc,
    0xf902ffff,0x7fc4ffff,0x3fa00fff,0x99512fff,0x3ffa01dd,0xffff04ff,
    0x7ffdc05f,0xfff700ff,0xffffd89f,0xfffd803f,0x3ffea2ff,0x00004fff,
    0x3fe29ff3,0x7fcc2fff,0x7fec1fff,0xff501fff,0xfff8ffff,0xfff904ff,
    0x3ffee3ff,0xff700fff,0xffe83fff,0xfff107ff,0xfffe87ff,0x7ffc40ef,
    0x7fffc6ff,0xffff304f,0x7ffffc3f,0xfffff983,0x5fffff00,0x4fffff80,
    0x87ffffd0,0x1ffffffb,0x3ffffea0,0x3ffffe27,0x3200006f,0x3fff61ff,
    0xfffb31ef,0xffff30bf,0xfffa83ff,0x7fec7fff,0xfd51dfff,0x7dcbffff,
    0x41ffffff,0x85fffffb,0x2dfffffb,0x1bffffa6,0x3bfffff2,0xffffebab,
    0x7fffec3f,0xfff711df,0xfffd8dff,0x3ffea2ef,0x3ffe04ff,0xf70314ff,
    0x2a19ffff,0x80fffffe,0xdfffffff,0xfffdbaab,0x3ff23fff,0xcccdffff,
    0xcccccccc,0xffd33ccc,0xfffffa89,0xffffffff,0xfffff902,0xfffffdff,
    0xff88ffff,0xffffffff,0x2e0fffff,0xffffffff,0xffffffef,0xfffe881f,
    0xfffeefff,0xff882fff,0xffffffff,0xf887ffff,0xfeffffff,0x41ffffff,
    0xfffffffa,0x0fffffff,0x3fffffa0,0xfff887ff,0xffffffff,0xff703fff,
    0xffffffff,0xffffffff,0x7ffffe41,0xffffffff,0xffffffff,0xb01bff75,
    0xffffffff,0x7c40dfff,0xffffffff,0x7fffecff,0xffffffa8,0x2fffffff,
    0x767fffdc,0xffffffff,0x3fe604ff,0xffffffff,0x3ee03fff,0xffffffff,
    0xf302ffff,0xffffffff,0x3209ffff,0xffffffff,0x5c02ffff,0xffffffff,
    0xfffffa80,0x6fffffff,0x7ffffe40,0xffffffff,0x7fe42fff,0xffffffff,
    0xffffffff,0x05d15fff,0xffffffb8,0xd8805fff,0xffffffff,0x20ffffd3,
    0xfffffffa,0xfb81efff,0xffe8bfff,0x03ffffff,0xfffffe98,0x802fffff,
    0xfffffffc,0x5402ffff,0xffffffff,0x7f404fff,0xffffffff,0xfff8801e,
    0x301fffff,0xfffffffd,0x3ea009ff,0xffffffff,0xc80effff,0xffffffff,
    0xffffffff,0x005fffff,0xfffffea8,0x7fe4003e,0x3fa2efff,0x3f2207ff,
    0x04ffffff,0x44ffffee,0x1effffec,0x7fffdc00,0x2001deff,0xffffffe9,
    0xf91000cf,0x3dffffff,0x3fffee00,0x2000ceff,0xefffffe9,0x3ffb2201,
    0x4001efff,0xffffffd8,0x3203efff,0xffffffff,0xffffffff,0x005fffff,
    0x0004d4c0,0x0002aa20,0x009aa880,0x026a2000,0x15531000,0x55530000,
    0xaa980003,0x2a60001a,0x4400009a,0xa88001aa,0x5300001a,0x00135555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x004cccc8,0x33333260,0xcccccb80,0xcccb8002,
    0x333322cc,0x32e002cc,0x32e2cccc,0x99003ccc,0x30059999,0x64199999,
    0x0004cccc,0x25999993,0xccccccc8,0xcccccccc,0x32cccccc,0x00079999,
    0xcccccc88,0xabcccccc,0x991000aa,0x66644999,0xcccccccc,0x26009aaa,
    0x0007ffff,0x03ffffea,0x3fffffea,0x3ffe6000,0x3fee0fff,0xa800ffff,
    0x20ffffff,0x807ffffc,0x6ffffff9,0x7ffffb80,0x17ffffe4,0x7fffe400,
    0xfffff11f,0xffffffff,0xffffffff,0x1bfffeab,0xffff1000,0xffffffff,
    0x07dfffff,0x27ffff98,0xfffffff9,0xffffffff,0xfff980cf,0x3ea0007f,
    0xfb00ffff,0x4009ffff,0x82fffffe,0x04fffffd,0x3fffffe8,0x0fffffd4,
    0x3ffffee0,0x7fec00ff,0x7ffcc5ff,0xff8005ff,0x3fe26fff,0xffffffff,
    0xffffffff,0xfff55fff,0xf88000df,0xffffffff,0xffffffff,0xff300eff,
    0x7ffccfff,0xffffffff,0x1fffffff,0x03ffffcc,0xfffff500,0x3fffe201,
    0xffb801ff,0xff105fff,0x5c03ffff,0x886fffff,0x403fffff,0xfffffffd,
    0x7ffffc02,0xfffffe84,0x3ffe6000,0x3ffe23ff,0xffffffff,0xffffffff,
    0xffff55ff,0xff88000d,0xffffffff,0xffffffff,0xfff306ff,0x7fffccff,
    0xffffffff,0x1fffffff,0x01ffffe6,0xfffffa80,0x3fffee00,0x7ffc406f,
    0x3ee00fff,0xf106ffff,0x203fffff,0x405ffffe,0xffffffff,0x3fffe604,
    0xffffc82f,0x3ff2002f,0x3fe20fff,0xffffffff,0xffffffff,0xfff55fff,
    0xf88000df,0xffffffff,0xffffffff,0xf982ffff,0x3fe67fff,0xffffffff,
    0xffffffff,0x3fffe65f,0x3fea0007,0x7f400fff,0x3203ffff,0x803fffff,
    0x83fffffe,0x03fffffd,0x81bffff6,0xfffffffa,0x3ffea06f,0xfff980ff,
    0x3fa005ff,0x99986fff,0xfff99999,0x99999cff,0xffff5099,0xff88000d,
    0x9999bfff,0xfffc9999,0xff984fff,0x3ffe67ff,0x99999bff,0xffffffb9,
    0xfffff31f,0x7ffd4000,0x7fcc00ff,0xf980ffff,0x3006ffff,0x41ffffff,
    0x06fffffa,0x07ffffdc,0xffffffc8,0xff900fff,0x7ff40dff,0xf9800fff,
    0x8003ffff,0x004fffff,0x00dffff5,0xfffff880,0xffff1002,0xffff30df,
    0x7ffffccf,0x7ffec402,0xffff34ff,0xa802a60f,0x800fffff,0x84fffffc,
    0x01fffffd,0x3fffff20,0xfffffd15,0xffff9803,0xffffd02f,0x205ffffd,
    0x204ffffe,0x02fffffb,0x0fffffc8,0xfffff800,0xffff5004,0xff88000d,
    0x36002fff,0x4c0fffff,0x3e67ffff,0xa802ffff,0xf35fffff,0x7f54ffff,
    0xfa84ffff,0x8800ffff,0x21fffffe,0x04fffffa,0xfffffe80,0x4fffffca,
    0x7fffff00,0x7dffff10,0xf109ffff,0x4405ffff,0x805fffff,0x005ffffe,
    0x09fffff0,0x1bfffea0,0x7fffffd4,0x3ffffe20,0x3ffee002,0x7ffcc1ff,
    0x3fffe67f,0xffff002f,0x3fffe6df,0xffffff97,0x7fd41dff,0xf5000fff,
    0x7f4dffff,0x8000ffff,0xfffffff9,0x000effff,0x50bffffb,0xff39ffff,
    0xfff30dff,0xffd801ff,0x3e600fff,0x0002ffff,0x009fffff,0x21bfffea,
    0x1ffffff9,0x17ffffc4,0xfffff900,0x7ffff981,0x0bffffe6,0xafffffc0,
    0xfdfffff9,0xffffffff,0x3fffea6f,0x3ff6000f,0xfffbafff,0x320002ff,
    0xffffffff,0x3ee002ff,0xffc87fff,0xfffff2ff,0x6ffffb81,0xfffffa80,
    0x3ffff203,0xfff0000f,0x3ea009ff,0x7fc46fff,0xf881ffff,0x1002ffff,
    0x30fffffd,0x7ccfffff,0x9802ffff,0xf34fffff,0xdfffffff,0xfffffffb,
    0x3ffffea3,0x3ffe2000,0xffffffff,0x7fc40005,0x5fffffff,0x7fffcc00,
    0x7ffff41f,0x85ffffb0,0x804ffffd,0x05fffff8,0x017ffffa,0x4fffff80,
    0xdffff500,0x7fffff44,0xfffff102,0xffea8805,0xff984fff,0x3ffe67ff,
    0x7f4402ff,0xff32ffff,0xb81dffff,0xf54fffff,0x8001ffff,0xfffffffb,
    0x80000fff,0xfffffffa,0xfff8000f,0x3ffe22ff,0x3fffee6f,0x17ffffc4,
    0xfffffd80,0xfffff980,0x3ffe0002,0xff5004ff,0x7fff4dff,0x3fe202ff,
    0xeeeeefff,0xffffffff,0xff980fff,0x3ffe67ff,0x5ccc42ff,0x0fffffff,
    0x1ffffff3,0x57ffff60,0x00fffffa,0xfffffe80,0x00003fff,0x3ffffff6,
    0xfffd0002,0x7fffd49f,0x9bfffe24,0x00fffff8,0x7fffff50,0x0fffff70,
    0xfffff800,0xffff5004,0x3fffff6d,0x7fffc403,0xffffffff,0xffffffff,
    0xfffff301,0x7fffffcc,0xffffffff,0x265fffff,0x203fffff,0xf56ffffb,
    0x0001ffff,0xfffffff3,0x7c40000d,0x04ffffff,0xdffff900,0x217fffec,
    0xf50ffffe,0xf800ffff,0xfe86ffff,0x40004fff,0x004fffff,0xf9dffff5,
    0x1007ffff,0xffffffff,0xffffffff,0x7cc01bff,0x3fe67fff,0xffffffff,
    0xffffffff,0x7ffffcc6,0x3fffea02,0x1fffff56,0x3fff2000,0x00001fff,
    0x3ffffffa,0xfa8001ff,0x3ffe7fff,0x7ffe40ff,0xbffff92f,0xffffc800,
    0x3fffe60f,0x7fc0001f,0xf5004fff,0xffffffff,0x3fe200df,0xffffffff,
    0x0bdfffff,0x7ffff980,0x3fffffe6,0xffffffff,0x7cc0efff,0x2a01ffff,
    0xff56ffff,0x40001fff,0x004fffff,0x3fffee00,0x00efffff,0x7ffffc40,
    0x86ffff99,0xfd4ffffa,0x98007fff,0x2e3fffff,0x0006ffff,0x04fffff8,
    0xffffff50,0x005fffff,0x79fffff1,0xffffffb9,0x3fe6001d,0x3ffe67ff,
    0xffffffff,0x302effff,0x401fffff,0xf56ffffa,0x0001ffff,0x027ffffc,
    0xffff8800,0x4fffffff,0xffffe800,0x83ffffbb,0xff6ffff8,0xf0003fff,
    0x7f4dffff,0x80003fff,0x004fffff,0xfffffff5,0x100dffff,0x905fffff,
    0x03ffffff,0x4fffff30,0xcdfffff9,0x1abccccc,0x3ffffcc0,0x5bfffea0,
    0x00fffffa,0x3ffffe00,0xffb00004,0xffffdfff,0xfc8003ff,0xfffddfff,
    0xffffd01f,0x00fffff5,0x3fffff20,0x1fffff88,0xffff8000,0xfff5004f,
    0xffffffff,0xfff8807f,0xfff902ff,0xf9805fff,0x3fe67fff,0x80002fff,
    0x407ffff9,0xf56ffffa,0x0001ffff,0x027ffffc,0x7fffd400,0xffffb8ff,
    0x7fd4006f,0x7fffffff,0x3bffff20,0x0005ffff,0x77fffff3,0x000dffff,
    0x13ffffe0,0x7ffffd40,0xfffffbef,0x3fffe200,0x3fffa02f,0x3e600fff,
    0x3fe67fff,0x80002fff,0x407ffff9,0xf56ffffa,0x0001ffff,0x027ffffc,
    0x3fffe200,0x3fffa3ff,0x3e2004ff,0xffffffff,0x3fffea05,0x003fffff,
    0x3bffffa0,0x003ffffe,0x9fffff00,0x3fffea00,0xffffd0ef,0x7fffc40b,
    0x3ffe202f,0x3e606fff,0x3fe67fff,0x80002fff,0x407ffff9,0xf56ffffa,
    0x0001ffff,0x027ffffc,0x3ffff600,0x7fffcc6f,0x3fe001ff,0x3fffffff,
    0x3ffffe20,0x0001ffff,0x3fffffee,0x0000ffff,0x09fffff0,0x3ffffea0,
    0x3ffffe60,0xfffff101,0xffffb805,0xfff303ff,0x7fffccff,0xf980002f,
    0x7d407fff,0xfff56fff,0x7c0001ff,0x0004ffff,0x3fffffea,0xfffffc81,
    0x3fff6006,0x401fffff,0xfffffffe,0x7fc40007,0x5fffffff,0x3ffe0000,
    0xff5004ff,0xfffb0dff,0x3ffe20df,0xffd802ff,0xf980ffff,0x3fe67fff,
    0x80002fff,0x407ffff9,0xf56ffffa,0x0001ffff,0x027ffffc,0xfffff880,
    0xfffd104f,0x3ee009ff,0x07ffffff,0xffffffb8,0xfe80005f,0x2fffffff,
    0x3ffe0000,0xff5004ff,0xfff30dff,0xfff105ff,0xff1005ff,0xf30bffff,
    0x7fccffff,0x80002fff,0x407ffff9,0xf56ffffa,0x0001ffff,0x027ffffc,
    0xfffffd80,0x7fffd406,0xff9801ff,0x805fffff,0xfffffff9,0xffb80003,
    0x00ffffff,0x3fffe000,0xfff5004f,0x3fff20df,0x7ffc40ff,0xff5002ff,
    0xf985ffff,0x3fe67fff,0x80002fff,0x407ffff9,0xf56ffffa,0x0001ffff,
    0x027ffffc,0x7ffffd40,0xfffd801f,0xfff006ff,0x2007ffff,0x1fffffff,
    0xfff88000,0x0005ffff,0x27ffffc0,0x6ffffa80,0x9fffff10,0x2fffff88,
    0x3ffff600,0x3ffe60ff,0x3fffe67f,0xf980002f,0x7d407fff,0xfff56fff,
    0x7c0001ff,0x4004ffff,0x4ffffff8,0xfffff100,0xfffb009f,0x36001fff,
    0x007fffff,0x3ffff600,0x400002ff,0x004fffff,0x40dffff5,0x20fffffb,
    0x02fffff8,0x3ffffe20,0x3fffe64f,0x3ffffe67,0xff980002,0x7fd407ff,
    0xffff56ff,0x7fc0001f,0x64004fff,0x00ffffff,0x3ffffea0,0x7ffdc01f,
    0x3ee006ff,0x0006ffff,0x3ffffea0,0xff800007,0xf5004fff,0xfe80dfff,
    0x3fe25fff,0x54002fff,0x31ffffff,0x7ccfffff,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x01ccccc8,0x4b333260,0xccccccc8,0x9999000c,
    0x55439999,0x40001aaa,0x01ccccc8,0x333332a0,0x33332a3c,0x9999910c,
    0x66654003,0xccc9803c,0x9999910c,0x99999999,0x22599999,0xcccccccc,
    0xcccccccc,0x9910cccc,0x99999999,0x00015559,0x35997510,0x01980001,
    0x0dfffff1,0xaffffdc0,0xfffffff9,0xfff9802f,0x3e2fffff,0x0003ffff,
    0x1fffffc4,0xfffff980,0x3ffee1ff,0xffff10ff,0x7fec005f,0xffd806ff,
    0xffff10ff,0xffffffff,0x2bffffff,0xfffffff9,0xffffffff,0xf31fffff,
    0xffffffff,0x3dffffff,0xfffb3000,0x207fffff,0xf73ffffb,0x7c43bfff,
    0x003fffff,0x26bffff7,0xffffffff,0xffffb804,0x3fe2ffff,0x40003fff,
    0x03fffff8,0xffffff98,0x7fffdc1f,0xfffff10f,0x7ffec005,0x7ffd406f,
    0xffff10ff,0xffffffff,0x2bffffff,0xfffffff9,0xffffffff,0xf31fffff,
    0xffffffff,0xffffffff,0x3ff20019,0xffffffff,0x7ffdc0ef,0xfffffabf,
    0x3fffe20f,0xfb800fff,0xfff35fff,0x00dfffff,0xfffffffb,0x7ffffc5f,
    0x7fc40003,0x7c403fff,0x81ffffff,0x10fffffb,0x005fffff,0x037fffec,
    0x1ffffff3,0x3fffffe2,0xffffffff,0xff35ffff,0xffffffff,0xffffffff,
    0x3ffe63ff,0xffffffff,0xffffffff,0x7fffdc01,0xffffffff,0x7fffdc6f,
    0x5ffffffd,0x7fffffc4,0xfffb805f,0xfffff35f,0xf801ffff,0xffffffff,
    0x0fffffe2,0xffff1000,0x7ff4407f,0xf701ffff,0x3e21ffff,0x2002ffff,
    0x306ffffd,0x1fffffff,0x3fffffe2,0xffffffff,0xff35ffff,0xffffffff,
    0xffffffff,0x3ffe63ff,0xffffffff,0xffffffff,0x3fffe606,0xffffefff,
    0x3fee3fff,0xffffffff,0x7fffc43f,0x5c02ffff,0xff35ffff,0x5fffffff,
    0x7ffffd40,0x3fe2ffff,0x40003fff,0x03fffff8,0xffffffd1,0x7fffdc05,
    0xfffff10f,0x7ffec005,0x7ffe446f,0xf10fffff,0x3337ffff,0x33333333,
    0x3fffe613,0x999999bf,0x19999999,0x2fffffe6,0xeb999999,0x03ffffff,
    0x17fffff9,0x3ffffaa2,0x3ffffee7,0x40fdbcff,0xfffffff8,0x7ffdc06f,
    0xfffff35f,0x6409ffff,0xffffffff,0x3ffffe2f,0x7fc40003,0xffd03fff,
    0xb805ffff,0xf10fffff,0x4005ffff,0x2e6ffffd,0xffffffff,0xffff10ff,
    0x7cc0005f,0x0002ffff,0x2fffff98,0xfffffa80,0xffffe80f,0xfffff703,
    0x3ffffee1,0xfff8800f,0x04ffffff,0x4d7fffee,0xffeeffff,0x3fffa06f,
    0x22ffffee,0x003fffff,0x7ffffc40,0xfffffd83,0xfffb802f,0xffff10ff,
    0x7fec005f,0xffffd6ff,0x1fffffff,0x0bffffe2,0xffff9800,0xf980002f,
    0x7002ffff,0x889fffff,0x100fffff,0x2e5fffff,0x004fffff,0xfffffff1,
    0x3ee03fff,0xfff35fff,0x1ffff9df,0xd9ffff10,0x7fc5ffff,0x40003fff,
    0x43fffff8,0x2ffffffd,0xfffff500,0x17ffffc4,0xdffffb00,0x2ffffffe,
    0xf10fffff,0x0005ffff,0x17ffffcc,0x7ffcc000,0x3fa002ff,0x3260ffff,
    0x7fc07eec,0xfff72fff,0x3e2003ff,0xffffffff,0xffff705f,0x3bfffe6b,
    0xa82ffff9,0xffeaffff,0x3fffe2ff,0x7c40003f,0x3f23ffff,0x003fffff,
    0x89ffffe6,0x002fffff,0x7dbffff6,0xff88efff,0xfff10fff,0x4c0005ff,
    0x002fffff,0xfffff980,0x3ffea002,0x260002ff,0xf70fffff,0x2001ffff,
    0xfdfffff8,0xfb82ffff,0xfff35fff,0xbffff1df,0xd1ffff90,0x7fc5ffff,
    0x40003fff,0x73fffff8,0x07ffffff,0x6ffff880,0x0bffffe2,0x6ffffd80,
    0x7fc47fff,0xfff10fff,0x4c0005ff,0x002fffff,0xfffff980,0x3ffe6002,
    0x2e0003ff,0x3ee7ffff,0x22007fff,0xff8fffff,0x7dc0ffff,0xfff35fff,
    0x1ffffadf,0x7f5bfffa,0x3ffe2fff,0x440003ff,0xfbbfffff,0x00ffffff,
    0x2ffffc40,0xddfffff1,0xdddddddd,0x2dfffffd,0xffff883e,0xfffff10f,
    0x55555559,0xff985555,0xeeeeefff,0xeeeeeeee,0x3fffe60e,0x7ffc002f,
    0x3a0005ff,0x3ee5ffff,0x22006fff,0xff77ffff,0xffb89fff,0xffff35ff,
    0x87ffff2d,0xfd4ffff8,0x7ffc5fff,0x440003ff,0xffdfffff,0x04ffffff,
    0x24ffff80,0xfffffff8,0xffffffff,0x06ffffff,0x87ffffc4,0xfffffff8,
    0xffffffff,0x7fffcc6f,0xffffffff,0x0fffffff,0x0bffffe6,0xbfffff00,
    0x3fff6000,0x3ffee1ff,0x3fe2006f,0x3fffa7ff,0x3ffee1ff,0xdffff35f,
    0xa8ffffea,0xffd2ffff,0x7fffc5ff,0x7c40003f,0xffffffff,0x01ffffff,
    0x127fff40,0xffffffff,0xffffffff,0x80dfffff,0x10fffff8,0xffffffff,
    0xffffffff,0xfffff98d,0xffffffff,0x20ffffff,0x02fffff9,0x37ffff40,
    0x7fffe400,0x7fffdc4f,0x3ffe2006,0x3fffe67f,0x3fffee6f,0x2dffff35,
    0x325ffff8,0xffd0ffff,0x7fffc5ff,0x7c40003f,0xffffffff,0x06ffffff,
    0x11fffec0,0xffffffff,0xffffffff,0x80dfffff,0x10fffff8,0xffffffff,
    0xffffffff,0xfffff98d,0xffffffff,0x20ffffff,0x02fffff9,0x37ffff40,
    0x3ffff200,0x7ffdc0ff,0x3fe2006f,0x7ffe47ff,0xffff73ff,0x9bfffe6b,
    0x3fa7fffe,0x3fffa6ff,0x3ffffe2f,0x7fc40003,0xbfffffff,0x04fffffd,
    0x88bfff60,0xffffffff,0xffffffff,0x406fffff,0x10fffff8,0xffffffff,
    0xffffffff,0xfffff98d,0xeeeeeeee,0x20eeeeee,0x02fffff9,0x2fffffc0,
    0xfffff900,0xffff705f,0x7ffc400d,0x7fffc47f,0xffffb8ff,0x4dffff35,
    0xf89ffffc,0x3ffa4fff,0x3fffe2ff,0x7c40003f,0x4fffffff,0x3ffffff3,
    0x87fff200,0x02fffff8,0x1bffff60,0x1fffff10,0x2fffffe2,0x99999999,
    0x7ffcc099,0x980002ff,0x002fffff,0x027ffffc,0xffffffc8,0xdffff702,
    0x7fffc400,0xfffffa87,0x35ffffbc,0x7d4dffff,0xfffabfff,0x3ffffa2f,
    0x0fffffe2,0xffff1000,0xffc89fff,0xf7006fff,0x7ffc41ff,0x3f6002ff,
    0x7c406fff,0xff10ffff,0x40005fff,0x02fffff9,0xffff9800,0x3fe2002f,
    0xfc803fff,0x202fffff,0x006ffffb,0x41ffffe2,0xfdfffffd,0xfff35fff,
    0x7fffc4df,0x20ffffde,0x3e2ffffe,0x0003ffff,0x7fffffc4,0xfffff884,
    0xfffa803f,0x3ffffe20,0x3fff6002,0x7ffc406f,0xffff10ff,0x7cc0005f,
    0x0002ffff,0x2fffff98,0x3fffe600,0x7ffe401f,0x7dc02fff,0x22006fff,
    0xf107ffff,0xffffffff,0x3fffe6bf,0x7fffff46,0x7ff46fff,0x3fffe2ff,
    0x7c40003f,0x2e04ffff,0x01ffffff,0x3e23ffcc,0x2002ffff,0x406ffffd,
    0x10fffff8,0x005fffff,0x7ffffcc0,0xff980002,0x32002fff,0x200fffff,
    0x1ffffffc,0x6ffffb80,0x3fffe200,0x3fffee07,0xf35fffff,0xffc8dfff,
    0x44ffffff,0x3e2ffffe,0x0003ffff,0x1fffffc4,0x3fffffa0,0x22f74406,
    0x02fffff8,0x1bffff60,0x1fffff10,0x0bffffe2,0xffff9800,0xf980002f,
    0x1002ffff,0x40ffffff,0x1ffffffb,0xdffff700,0x7fffc400,0x7ffff407,
    0xff35ffff,0xfffa8dff,0x742fffff,0x3fe2ffff,0x40003fff,0x03fffff8,
    0x7fffffd4,0xfff10003,0x7ec005ff,0x7c406fff,0xff10ffff,0x40005fff,
    0x02fffff9,0xffff9800,0xfff9002f,0x3fe607ff,0x0001ffff,0x3ffe2000,
    0x7ffcc07f,0xf35fffff,0xff88dfff,0x40ffffff,0x3e2ffffe,0x0003ffff,
    0x1fffffc4,0x7ffffec0,0x9999880f,0x3ffffe21,0x3fff6002,0x7ffc406f,
    0xffff10ff,0x7cc0005f,0x0002ffff,0x2fffff98,0x7fffecc0,0xfff880ff,
    0x44002fff,0x20019999,0x807ffff8,0xfffffffd,0x0dffff35,0xdffffffd,
    0x45ffffd0,0xccefffff,0xcccccccc,0xfff11ccc,0xff1007ff,0xf50bffff,
    0x7fc4ffff,0x36002fff,0x4406ffff,0xf10fffff,0x0005ffff,0x6fffffcc,
    0xcccccccc,0x33cccccc,0x99bfffff,0xfffddb99,0x2e07ffff,0xffffffff,
    0xffffffff,0x0fffff33,0x3ffffc40,0x7ffffc40,0xffff35ff,0xfffff90d,
    0xffffd09f,0x7fffffc5,0xffffffff,0xf12fffff,0x2007ffff,0x2ffffffc,
    0x13ffffd4,0x005fffff,0x037fffec,0x43ffffe2,0x02fffff8,0x3fffe600,
    0xffffffff,0xffffffff,0xffffff35,0xffffffff,0x409fffff,0xfffffffe,
    0xffffffff,0xfffff33f,0x7fffc400,0xffff7007,0x3ffe6bff,0xffffa86f,
    0xfffe82ff,0x3ffffe2f,0xffffffff,0x12ffffff,0x007fffff,0x3fffffe2,
    0x3fffea0f,0x3ffffe27,0x3fff6002,0x7ffc406f,0xffff10ff,0x7cc0005f,
    0xffffffff,0xffffffff,0xfff35fff,0xffffffff,0x7fffffff,0x7ffffc40,
    0xffffffff,0xff33ffff,0x7c400fff,0x3a007fff,0xf35fffff,0xff10dfff,
    0xfd01ffff,0x7ffc5fff,0xffffffff,0xffffffff,0x7fffff12,0x7fffd400,
    0x3ffea5ff,0x3fffe27f,0x3ff6002f,0x7fc406ff,0xfff10fff,0x4c0005ff,
    0xffffffff,0xffffffff,0xff35ffff,0xffffffff,0x19ffffff,0xfffffb80,
    0xffffffff,0xff33ffff,0x7c400fff,0x26007fff,0xf35fffff,0x3fa0dfff,
    0xffd06fff,0x7fffc5ff,0xffffffff,0x2fffffff,0x07fffff1,0xfffffe80,
    0xfffff52f,0x17ffffc4,0xdffffb00,0xfffff880,0x5fffff10,0x7ffcc000,
    0xffffffff,0xffffffff,0xfffff35f,0xbdffffff,0x3fa00379,0xffffffff,
    0xffffffff,0x0fffff33,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999910,0x59999999,
    0x33310035,0x33333333,0x01333333,0xccccc980,0xa8000002,0x44004ccc,
    0x1acdecba,0x00000000,0x4c400000,0x00019aa9,0x04cd54c4,0x26a62000,
    0x26200000,0xff98009a,0x3ffe27ff,0xffffffff,0x0cffffff,0xffffff50,
    0xffffffff,0xc800bfff,0x007fffff,0x7ffc4000,0xff5000ff,0xdfffffff,
    0x00076605,0x91000000,0x3fff6a09,0x00cfffff,0xfffff910,0x4005bfff,
    0xfffffeb8,0xd98001df,0xcfffffff,0xfffff300,0x7fffffc4,0xffffffff,
    0xa81fffff,0xffffffff,0xffffffff,0x3fe2005f,0x003fffff,0x3fff6000,
    0x7f4400ff,0xffffffff,0x7cc0dfff,0x000002ef,0x27fecc00,0x7fffffec,
    0x00efffff,0x7fffffd4,0x05ffffff,0xffffffa8,0x004fffff,0x3fffffee,
    0x982fffff,0x3e27ffff,0xffffffff,0xffffffff,0x7fd40fff,0xffffffff,
    0x5fffffff,0x3fffee00,0x00006fff,0xffffff70,0xffffe801,0xffffffff,
    0x7ffcc5ff,0x00000cff,0x3fffaa00,0x7fffec4f,0xffffffff,0xfff300ff,
    0xffffffff,0x7dc09fff,0xffffffff,0x401effff,0xfffffffd,0x42ffffff,
    0x227ffff9,0xffffffff,0xffffffff,0x7d45ffff,0xffffffff,0xffffffff,
    0x3fffa004,0x001fffff,0x7fffc400,0x3f600fff,0x9adfffff,0x4fffffea,
    0x3fffffe6,0x000001df,0xffffff71,0x7fffcc9f,0xfffeceff,0xffd03fff,
    0xfb77bdff,0x503fffff,0xffffffff,0xdfffffff,0x7ffffdc0,0xfffffeef,
    0x3ffe60ff,0x3fffe27f,0x7fe4c02f,0x774c7fff,0xeeeeeeee,0x0effffee,
    0xfffff300,0x0009ffff,0xfffffe80,0xfff300ff,0x3f2019ff,0xff30ffff,
    0xdfffffff,0x32600005,0xffffffff,0x3ffff64f,0x7fff440d,0xffff885f,
    0xffffd106,0xfffff889,0x3ffa60cf,0xff883fff,0x2e20efff,0x223fffff,
    0x3e22aaaa,0x7002ffff,0x003fffff,0x0fffff40,0xfffff900,0x001fffff,
    0x3fffee00,0xf700ffff,0xf880bfff,0x3ae2ffff,0xffffffff,0xa8000bff,
    0xfffffffe,0x32a1dfff,0xff700fed,0xfff30dff,0x55ecc0bf,0xfffffa80,
    0x3ffff602,0x7fffe40f,0xffffb00f,0x7ffc400f,0xff1002ff,0x20007fff,
    0x002ffffb,0x7dfffffc,0x0003ffff,0xffffff98,0xffd00fff,0xff9003ff,
    0xffb309ff,0xffffffff,0xffb88039,0xffffffff,0x4c0000be,0xf886ffff,
    0x00beffff,0x5ffffc80,0x7ffffc40,0x1fffff43,0x00359d30,0x2fffff88,
    0x3ffffe00,0xfff98001,0x7fd4005f,0xffffb7ff,0xffd0000d,0x1fffffdf,
    0x01732a60,0x027fffe4,0xfffffd71,0x985dffff,0xfffffffc,0x0001cfff,
    0x7fffe544,0xfffff07f,0x0159dfff,0x05ffffd0,0x8bffff90,0x001fffff,
    0x3ffe2000,0xff5002ff,0x3a000fff,0x4000ffff,0xf54ffffd,0x0003ffff,
    0x7cffffe4,0x0000ffff,0x17ffff40,0xffffc980,0xf34fffff,0xffffffff,
    0x5440005b,0xffffffed,0xfff707ff,0xffffffff,0x3ffe207b,0xffb800ff,
    0x3ffe26ff,0x000000ff,0x0bffffe2,0x3ffffaa0,0xfffb8004,0x7fc4003f,
    0xfff11fff,0x260009ff,0xfff4ffff,0x400001ff,0x007ffffc,0xfffffd50,
    0x3fffe6bf,0x0000cfff,0x3fffffae,0x7fffffff,0x3fffff20,0xefffffff,
    0x3ffffd42,0x7ffffa80,0x01ffffea,0xfff10000,0x99999bff,0xfffffd99,
    0xff88001b,0xfb8006ff,0x7fe47fff,0xe8000fff,0x3ffe6fff,0xb00000ff,
    0x009fffff,0x7fffe440,0xfffff35f,0xfc80003d,0xdfffffff,0x407ffffc,
    0xffffffea,0x22ffffff,0x007ffffa,0x54fffff5,0x000fffff,0x3ffe2000,
    0xffffffff,0x4fffffff,0xffff7000,0xfffd0007,0xffff989f,0x7fe4003f,
    0x3fffe1ff,0x7440000f,0x006fffff,0xfffff930,0x3ffe6bff,0x00beffff,
    0x7ffffec0,0x3ffe61bd,0xfd93007f,0xffffffff,0x3fffe61f,0xfffb800f,
    0x3fffe26f,0x2000001f,0xfffffff8,0xffffffff,0xf0001fff,0x8001ffff,
    0x81fffff9,0x006ffffe,0xf13fffe6,0x0001ffff,0x7fffff44,0x3ae2000e,
    0xffffffff,0xfffff13f,0x03bfffff,0x7fffff10,0x1ffffe60,0x3ff2a200,
    0xf11fffff,0x9003ffff,0xff8bffff,0x55c02fff,0x7fc40009,0xffffffff,
    0xffffffff,0x3ee000ef,0xd8005fff,0xf906ffff,0x2003ffff,0xff86fffe,
    0x10000fff,0x0bfffffd,0x7fffecc0,0x0cffffff,0xfffffea8,0x00beffff,
    0x40dffff5,0x207ffffa,0x3ea00a98,0x3fa3ffff,0x7c405fff,0x7f43ffff,
    0x3e605fff,0x2661ffff,0x3ffe2199,0xffffffff,0xffffffff,0xffd001ff,
    0xf88005ff,0xf303ffff,0x9009ffff,0xff03ffff,0x20001fff,0x05fffffd,
    0xffffeb88,0x0befffff,0xffffd980,0x2dffffff,0x037fffe4,0xb0fffffb,
    0xe80bffff,0x3f22ffff,0x3602ffff,0x640fffff,0xb00fffff,0x7ccfffff,
    0x3fe27fff,0x54c02fff,0x06fffffe,0x06ffffa8,0xfffffb80,0x3ffffa00,
    0x3ffe600f,0xfffff04f,0xfff10001,0xfd880bff,0xffffffff,0x910002df,
    0xffffffff,0x3fee5dff,0xffb81fff,0xffc87fff,0xff302fff,0x7fc41fff,
    0x260cffff,0x83fffffe,0x2ffffff8,0x3fffff26,0x9ffffe64,0x02fffff8,
    0x3fffff60,0x7fffe402,0xfffe8003,0xffffffff,0x3fffffff,0x3ffffd10,
    0xfff33333,0x001333ff,0x017fffe6,0x3fffffe6,0x0001cfff,0x3ffffae0,
    0xff34ffff,0xf95bffff,0x1fffffff,0xffffff88,0xfffecace,0xfffb85ff,
    0xffffffff,0x2e06ffff,0xffffffff,0x0fffffff,0x89ffffe6,0x002fffff,
    0x13ffffe6,0x01fffff0,0xfffff980,0xffffffff,0x06ffffff,0xfffffff3,
    0xffffffff,0x2007ffff,0x802ffffb,0xfffffff9,0x2000000b,0xffffffda,
    0x3fffff64,0xffffffff,0xffa81fff,0xffffffff,0xb00fffff,0xffffffff,
    0x03dfffff,0xffffffe8,0x1fffffff,0x13ffffcc,0x005fffff,0x06fffff8,
    0x017fffe6,0x3fffff20,0xffffffff,0x1fffffff,0xffffff98,0xffffffff,
    0x003fffff,0x001ffff9,0x05dffff3,0xc9800000,0x3a24ffff,0xffffffff,
    0x4ffffc9e,0xffffff50,0x3dffffff,0xfffffb80,0x04ffffff,0x3fffff20,
    0x82ffffff,0x227ffff9,0x002fffff,0x17ffffe2,0x03ffffb8,0xffffff80,
    0xffffffff,0x4fffffff,0xffffff98,0xffffffff,0x003fffff,0x001dddd7,
    0x0003bff3,0xfb880000,0x7ffe444f,0xff30cfff,0xfeb80dff,0x2effffff,
    0x3fb2e200,0x002dffff,0xfffffd98,0x10000cff,0x005fffff,0x1fffffd4,
    0x03ffffb0,0xfffffa80,0xeeeeeeee,0xfffffeee,0x7fffcc0f,0xffffffff,
    0x3fffffff,0x64400000,0x00000000,0x2a603a80,0x4400000a,0x0001aaa9,
    0x00015510,0x004d5440,0x7fffc400,0xfff5002f,0x7fc03fff,0xfd8007ff,
    0x5c006fff,0x443fffff,0xaaaaaaaa,0xfffffaaa,0x31001aab,0x00001333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9bfffff1,0xdb999999,
    0x1fffffff,0x1bfffe20,0xfffff100,0xfff88007,0x7c0006ff,0x8000ffff,
    0x804ffffc,0xeeeeeee9,0xeeeeeeee,0x03eeeeee,0x00000000,0x00000000,
    0x00000000,0xffff1000,0xffffffff,0xffffffff,0x7ffcc05f,0x7fdc005f,
    0xd8000fff,0x001fffff,0x03ffffe0,0x3ffff200,0xffffa804,0xffffffff,
    0xffffffff,0x0000004f,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xffffffff,0xfa807fff,0x74004fff,0x0006ffff,0x09fffff5,0x7ffffc00,
    0xfffc8000,0xfffa804f,0xffffffff,0xffffffff,0x000004ff,0x00000000,
    0x00000000,0x10000000,0xffffffff,0xffffffff,0xf7007dff,0x54007fff,
    0x003fffff,0x3fffffe0,0xffff0000,0xff90001f,0x993009ff,0x99999999,
    0x99999999,0x00005999,0x00000000,0x00000000,0x00000000,0x3fffffe2,
    0xffffffff,0x32001cee,0x2003ffff,0x00fffffd,0x3ffff200,0xfff0003f,
    0xf90001ff,0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0000d4c0,0x000054c0,0xa9800544,0x3fffea00,
    0x7fffdc07,0x13333005,0x5ffffb00,0x2ffffe40,0x4bffff50,0xfffffffc,
    0xffffffff,0x3ffffe26,0xffff101f,0x7ffe41ff,0xfff9006f,0x200000bf,
    0x99999998,0x99999999,0x5c000999,0x3efffffe,0x93fffe60,0xcfffffdb,
    0x8ffffe40,0xcfffffd8,0x7fffecc0,0x7ffd40ce,0x7ffdc07f,0xfff8805f,
    0xfffa804f,0x3fffa05f,0x3fff607f,0x3ffff23f,0xffffffff,0x7fdc6fff,
    0xffb06fff,0xff985fff,0xff801fff,0xff802fff,0xffa804ff,0xffffffff,
    0xffffffff,0xfffb1006,0x1dffffff,0x29ffff30,0xfffffffc,0x3fff21ef,
    0xfffff99f,0x3fea6fff,0x45ffffff,0x407ffffa,0x805ffffb,0x804ffff8,
    0x107ffff8,0x03ffffff,0xc83ffffe,0xffffffff,0x6fffffff,0x3fffffd8,
    0x27ffffd4,0x04ffffe8,0x03ffffd4,0x07ffffdc,0x3ffffea0,0xffffffff,
    0x806fffff,0xfffffff9,0x41ffffff,0xfddffff9,0xffffffff,0x3ffff26f,
    0xfffffffc,0xfffcdfff,0x4fffffff,0x01ffffea,0x00bffff7,0x009ffff1,
    0x207ffff6,0x3ffffffa,0x46ffff98,0xfffffffc,0xffffffff,0xfffff886,
    0xfffff11f,0x3ffea01d,0x7ffec07f,0xfffe804f,0x7fd404ff,0xffffffff,
    0xffffffff,0xffffe806,0xfffffdff,0x7fffcc6f,0xffdeffff,0xf92fffff,
    0xbfffffff,0xfffffffd,0xffffbfff,0x3fea3fff,0x7fdc07ff,0xff8805ff,
    0xff7004ff,0xfff909ff,0xff90bfff,0xaaa987ff,0xffdaaaaa,0xf501ffff,
    0x3f6dffff,0x7c01ffff,0xf102ffff,0xa801ffff,0x07ffffff,0x7fffffd4,
    0xffffffff,0x5406ffff,0x20cfffff,0x22ffffea,0xeffffff9,0x7ffffe41,
    0xffffff94,0xfffffa85,0x3ff223ff,0xfff53fff,0xfffb80ff,0xfff8805f,
    0xfff1004f,0xfffff0df,0xfffd0fff,0xff98001f,0x6402ffff,0xffdfffff,
    0xfc803fff,0xff705fff,0xffd00bff,0x407fffff,0xccccccc9,0xcccccccc,
    0x7fc03ccc,0xff103fff,0x7ffccdff,0xffd00fff,0x3fff2bff,0xfffd04ff,
    0x3ffa0bff,0xffff54ff,0xffffb80f,0xffff8805,0x3fffa004,0x3fffe60f,
    0x3e21ffff,0x4c006fff,0x03ffffff,0xffffffd0,0x2600dfff,0xe80fffff,
    0x5402ffff,0xffffffff,0x00000006,0x07ffff98,0x98ffffec,0x202fffff,
    0xf96ffffc,0x7e40ffff,0xf900ffff,0x3feabfff,0x7fdc07ff,0xff8805ff,
    0x3ee004ff,0x3fee2fff,0x23fffeef,0x003ffffb,0x3fffffe2,0x3ffe6004,
    0x00ffffff,0x0fffffa0,0x00fffff3,0xff7ffffd,0x000005ff,0xffffa800,
    0x7fffdc06,0x3fffff33,0xb7fffdc0,0x206ffffc,0x206ffffc,0xf55ffffc,
    0xfb80ffff,0xfff55fff,0xffffffff,0xdfffffff,0x25ffff88,0xffccfffd,
    0x3ffff65f,0xfffd1001,0xf7000bff,0x05ffffff,0x6ffffa80,0x027fffe4,
    0x233fffe6,0x0006ffff,0x7fdc0000,0xccccceff,0x3ffffdcc,0x01fffff3,
    0xcb7fffd4,0x3205ffff,0x3205ffff,0xff55ffff,0xffb80fff,0xffff55ff,
    0xffffffff,0x0dffffff,0x7fcffffd,0x7fffaaff,0x801bfffe,0x0efffffd,
    0xffffd000,0x3fe000df,0x3ffe1fff,0x7fec00ff,0xffff90ff,0xddddd503,
    0xdddddddd,0x40bddddd,0xfffffffd,0xffffffff,0xffff34ff,0xffffa80f,
    0x0bffff96,0x02ffffe4,0x2abffff9,0x5c07ffff,0xff55ffff,0xffffffff,
    0xffffffff,0x3ffff90d,0xf11ffff3,0xfff33fff,0x3ff2009f,0x0000ffff,
    0xfffffff1,0xfff90005,0x3fffea9f,0x7fffcc05,0x17fffe65,0x3fffffea,
    0xffffffff,0x3606ffff,0xffffffff,0xffffffff,0xfffff35f,0x6ffffa80,
    0x409ffff9,0x205ffffc,0xf55ffffc,0xfb80ffff,0xfff55fff,0xffffffff,
    0xdfffffff,0x77ffff30,0x7ff4dfff,0x1ffffcbf,0xfffffb80,0x3f60001f,
    0x0fffffff,0x7fffcc00,0x05ffffb6,0x42ffffd8,0x541ffffe,0xffffffff,
    0xffffffff,0x3ff206ff,0xccccceff,0x3ccccccc,0x80fffff3,0xf96ffffa,
    0x7e409fff,0x3f205fff,0xfff55fff,0xfffc80ff,0xddddd55f,0xdfffffdd,
    0x20bddddd,0xffdeffff,0x37fff24f,0xa807fffe,0x02ffffff,0x3fffee00,
    0x005fffff,0xf9ffffe8,0x7c407fff,0xffb87fff,0x7ffd44ff,0xffffffff,
    0x6fffffff,0x17fffee0,0xffff9800,0x7fffd407,0x09ffff96,0x02ffffe4,
    0x26bffff9,0x200fffff,0x805ffffe,0x004ffff8,0xffffffc8,0x3ffea2ff,
    0x404fffff,0x2ffffff9,0x3ffe6000,0xffffffff,0x7ffd4003,0x04ffffef,
    0x427fffe4,0x20fffff8,0xfffffffa,0xffffffff,0x3ea06fff,0x04c07fff,
    0x07ffff98,0xcb7fffd4,0x3204ffff,0x3205ffff,0xff35ffff,0x3ea05fff,
    0x8805ffff,0x8004ffff,0xfffffff9,0x3fffe20f,0x2602ffff,0x03ffffff,
    0x7ffff400,0xffffff9f,0x7fffc000,0x201fffff,0x00fffff8,0x009ffff9,
    0xff100000,0x3e607fff,0xff31ceff,0xffa80fff,0xffff96ff,0x7fffe409,
    0x3ffff205,0xffffff15,0xfffffa81,0xfff8805f,0xfff0004f,0xfd0dffff,
    0x40ffffff,0xffffffe8,0xcccccccc,0xfffc81cc,0xffff52ff,0xffc800df,
    0x406fffff,0x205ffffc,0x007ffff9,0xff700000,0xffb05fff,0x3fe61fff,
    0x7fd407ff,0xffff96ff,0x7fffe409,0x3ffff205,0x3fffffa5,0xfffffcdf,
    0xf8805fff,0xb0004fff,0x09ffffff,0xbffffff7,0x7ffffd40,0xffffffff,
    0x7cc3ffff,0x7ec5ffff,0x2004ffff,0xfffffff9,0x00000002,0x22000000,
    0xceffffff,0x4ffffffd,0x01ffffe6,0x32dffff5,0x3204ffff,0x3205ffff,
    0x3e65ffff,0xffffffff,0x5ffffbff,0x4ffff880,0xffff5000,0xfff305ff,
    0x7d405fff,0xffffffff,0xffffffff,0x3ffffe23,0x7fffc40f,0x3fa001ff,
    0x0007ffff,0x00000000,0xffff9800,0xffffffff,0x7fffcc5f,0x7fffd407,
    0x09ffff96,0x02ffffe4,0xa8bffff9,0xffffffff,0x5ffff89f,0x4ffff880,
    0xffff1000,0x3ffe01ff,0x3ea00fff,0xffffffff,0xffffffff,0x3fffff63,
    0xfffff502,0x7ffd400d,0x000004ff,0x00000000,0xfffffd10,0x30bfffff,
    0xa80fffff,0xff96ffff,0x7fe409ff,0x3ff205ff,0xffda85ff,0xff10ceff,
    0xff100bff,0x6c0009ff,0x3606ffff,0x5405ffff,0xffffffff,0xffffffff,
    0xfffff53f,0xffffd80b,0x3ffe004f,0x000001ff,0x00000000,0x7ffff640,
    0xff302eff,0xffa80fff,0xffff96ff,0x7fffe409,0x3ffff205,0x00054c05,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13553000,
    0x00000000,0x00000000,0x00000000,0x99880000,0x99997099,0x666664c7,
    0x39999911,0x00000440,0x99999700,0x00059999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0xffa80dff,0xffffd6ff,0x7ffffd4d,
    0x7fffff32,0xeffffd98,0xb0ec400b,0xfb0dffff,0xffffffff,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0dff3000,0xd6ffffa8,
    0x7d4dffff,0xff32ffff,0x7fdc7fff,0xdfffffff,0x6c1ffa82,0x7ec2ffff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05ff9800,0xeb7fffd4,0x3ea6ffff,0xff32ffff,0x3ff27fff,0xffffffff,
    0xfffddfff,0x6fffe81f,0x7fffffec,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1dc80000,0x0ed49ff1,0x3adffff5,0x3ea6ffff,
    0xff32ffff,0x3ff67fff,0xffffffff,0xffffffff,0xfffe881f,0x3fffff61,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0xff800000,
    0xebbff9df,0x3ffea4ff,0xbffffd6f,0x8fffffd4,0xb2fffff9,0xffd9dfff,
    0xffffffff,0x3a201fff,0x3332e5ff,0x02cccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffff9,0xf06fffff,0x3ffff2bf,
    0x3ffffe24,0x47ffffe0,0xfda80bfd,0xefffffff,0x06664401,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b2a2000,0xefffffff,
    0x74ff983d,0xff87ffff,0x7fff47ff,0x7100390f,0x007bfffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x400dffff,
    0xfff31ffc,0x5fffd83f,0x0037ffe4,0x000000c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffa2000,0xfd302fff,0x0ffff89f,
    0x2e27ffe4,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffadffe8,0x0effb81f,0x4c40cccc,0x4ccc4099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ec00000,0x3fffb1ff,0x00002e88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x77fc49ff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe9800000,0x00001dc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_43_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_43_usascii_y[95]={ 34,6,6,5,4,5,5,6,5,5,5,10,28,21,
28,5,6,6,6,6,6,6,6,6,6,6,14,14,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,38,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,14,14,14,14,14,14,5,5,5,16, };
static unsigned short stb__arial_bold_43_usascii_w[95]={ 0,7,15,21,19,32,27,7,10,10,15,20,6,11,
7,12,19,13,20,19,21,20,20,19,19,19,7,6,20,20,20,21,37,28,24,25,24,22,20,27,23,7,19,26,
21,28,23,28,22,29,26,23,23,23,27,37,26,27,23,11,12,11,19,23,10,20,21,20,21,19,14,21,19,7,
10,20,7,30,19,22,21,21,14,20,13,19,21,30,22,21,19,13,5,14,21, };
static unsigned short stb__arial_bold_43_usascii_h[95]={ 0,28,11,30,34,31,30,11,38,38,15,21,13,6,
6,30,29,28,28,29,28,29,29,28,29,29,20,27,22,15,22,28,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,16,4,7,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,29,21,20,20,20,29,20,38,38,38,9, };
static unsigned short stb__arial_bold_43_usascii_s[95]={ 214,103,136,51,131,181,73,152,1,47,113,
92,129,193,239,151,1,135,218,43,75,85,180,26,126,146,247,249,140,229,119,
97,58,46,1,125,193,170,149,1,111,245,106,76,54,25,1,214,202,151,167,
101,122,201,94,56,29,1,225,119,243,107,209,119,182,161,63,226,21,1,230,
29,225,245,96,146,194,41,21,203,186,208,239,182,166,72,187,113,164,164,144,
33,27,12,160, };
static unsigned short stb__arial_bold_43_usascii_t[95]={ 32,130,209,40,1,1,40,209,1,1,209,
188,209,209,152,40,71,130,130,71,159,71,71,159,71,71,159,71,159,188,159,
159,1,159,159,40,130,130,130,40,130,100,71,130,130,130,130,1,101,1,101,
40,101,71,101,101,101,101,71,1,1,1,188,182,209,159,71,159,71,188,40,
40,100,40,1,101,101,188,188,159,40,40,130,159,71,188,188,188,188,40,188,
1,1,1,209, };
static unsigned short stb__arial_bold_43_usascii_a[95]={ 171,205,292,342,342,548,445,146,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,205,205,360,360,360,376,600,445,445,445,445,411,376,479,
445,171,342,445,376,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,205,171,205,360,342,205,342,376,342,376,342,205,376,
376,171,171,342,171,548,376,376,376,376,240,342,205,376,342,479,
342,342,308,240,172,240,360, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_43_usascii(stb_fontchar font[STB_FONT_arial_bold_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_43_usascii_s[i] + stb__arial_bold_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_43_usascii_t[i] + stb__arial_bold_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_43_usascii_x[i];
            font[i].y0 = stb__arial_bold_43_usascii_y[i];
            font[i].x1 = stb__arial_bold_43_usascii_x[i] + stb__arial_bold_43_usascii_w[i];
            font[i].y1 = stb__arial_bold_43_usascii_y[i] + stb__arial_bold_43_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_43_usascii_s[i] + stb__arial_bold_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_43_usascii_t[i] + stb__arial_bold_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_43_usascii_x[i] + stb__arial_bold_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_43_usascii_y[i] + stb__arial_bold_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_43_usascii_LINE_SPACING
#endif

