// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT        246
#define STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_46_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_46_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_46_usascii_LINE_SPACING          30

static unsigned int stb__arial_bold_46_usascii_pixels[]={
    0x887ffec0,0x002cdeff,0x400ffff7,0x107ffeda,0x22355555,0xaaaaaaaa,
    0x2aaaaa2a,0x0002aaaa,0x7f6e5d44,0x001bcdef,0x00fffee0,0x009dd100,
    0xdb753000,0x000359bf,0x19bfd950,0x6fff8800,0xaaaaa980,0x55553000,
    0xfff30015,0x7ffffc4b,0x7fdc00df,0xffd9807f,0xff107fff,0x3fe67fff,
    0x5fffffff,0x3ffffffe,0xb50007ff,0xffffffff,0x17dfffff,0xffff8800,
    0x3fe20000,0x3ee00005,0xffffffff,0x88004fff,0xfffffffd,0x3fff2003,
    0xffffa802,0xfffd004f,0x3ff600df,0x3fffe22f,0x7dc06fff,0x7fc407ff,
    0x107fffff,0x267fffff,0xffffffff,0x3ffffe5f,0x2007ffff,0xffffffc8,
    0xffffffff,0x004fffff,0x0027ffe4,0x67ffedcc,0xfd30000a,0xffffffff,
    0x03dfffff,0x7ffffec0,0x8802ffff,0x3e006fff,0x9806ffff,0x803fffff,
    0x7c47fff9,0x2fffffff,0x01fffee0,0xfffffff9,0x3fffe20f,0xfffff33f,
    0x7fcbffff,0x7fffffff,0xfffff300,0xdddfffff,0xffffffff,0x3e6003df,
    0xd1001fff,0xffffffff,0xffb8007f,0xffffffff,0xffffffff,0xffffa804,
    0x06fffeac,0x002fffd8,0x07fffff2,0x3fffff70,0x87fffd00,0xfffffee8,
    0x3ffee06f,0x7ffffc07,0xff105eff,0x3fe67fff,0x5fffffff,0x3ffffffe,
    0xffb807ff,0x01adffff,0x3fff2a62,0xfd002fff,0xff500dff,0xffffffff,
    0xf9001dff,0xffffffff,0xffffffff,0xfd80bfff,0x3ffe24ff,0x3ffe202f,
    0x7ffcc006,0x7ff404ff,0xffa806ff,0x7fec00ff,0x3fee07ff,0x3ffe207f,
    0xee8804ff,0x3f202eee,0x3ffe5fff,0x7ec001ff,0x000bffff,0xfffffb10,
    0xffff5003,0x7fffcc05,0xffffffff,0x7fcc05ff,0xacffffff,0xfffeca99,
    0x3a02ffff,0x7ff42fff,0x3fff603f,0xfffe8002,0x3ffe606f,0xffe803ff,
    0xfff8805f,0xfff700ff,0x7fffcc0f,0x32000007,0x3fe5ffff,0x32001fff,
    0x000dffff,0xdfffd500,0xffff8801,0x3ffffa05,0xffffffef,0x3fa02fff,
    0x00dfffff,0x7fffffe4,0x3ffff00e,0x304fffd8,0x2000dfff,0x01fffffb,
    0x01fffff7,0x03ffffa8,0x03fffff0,0xa81fffee,0x0006ffff,0x3ffff200,
    0x07ffffe5,0x1ffffd40,0xffe80000,0xfffd805f,0xffff980f,0xe9dff8bf,
    0xf505ffff,0x005fffff,0x7fffffcc,0x1ffff884,0xd82fffec,0x10002fff,
    0x209fffff,0x805ffffe,0x000ffffe,0x203fffff,0x2a07fffb,0x1006ffff,
    0x40355555,0x3e5ffffc,0x8801ffff,0x4c02ffff,0x2620acdb,0xfff30999,
    0xfffb803f,0xffffb84f,0x3eabff15,0xff887fff,0x8005ffff,0x0ffffffc,
    0x20ffffc4,0xf985fffd,0x6c0006ff,0xf886ffff,0x4402ffff,0x2006ffff,
    0x701fffff,0x7d40ffff,0xf1006fff,0x6407ffff,0x3fe5ffff,0xfe801fff,
    0xffb104ff,0x367fffff,0x3ee4ffff,0x7fc404ff,0xfffc87ff,0x6cbff12f,
    0xffa81abc,0x8000ffff,0x3ffffff8,0x741ffff8,0xffd84fff,0x7d40002f,
    0x7dc1ffff,0xfb807fff,0x3a004fff,0xf701ffff,0x7fd40fff,0xff1005ff,
    0x7e407fff,0x3ffe5fff,0x7fd401ff,0xfffd106f,0xf7ffffff,0xfd85ffff,
    0x7ff400ff,0x7ffec1ff,0x00bff12f,0x4fffffb8,0x3ffee000,0xfffe84ff,
    0x21ffffc3,0x0006fff9,0x89fffff0,0x804ffffe,0x003ffffd,0x407ffffa,
    0x2a07fffb,0x1005ffff,0x407fffff,0x3e5ffffc,0x6c01ffff,0xfe881fff,
    0xffffffff,0x1fffffff,0x2017ffd4,0x643ffffd,0xff15ffff,0xfffc800b,
    0x260002ff,0xc85fffff,0xff50efff,0xfffd83ff,0xff900002,0x7ffc4dff,
    0xfff801ff,0x3fa002ff,0xff702fff,0x7ffdc0ff,0xfff1004f,0x7fe407ff,
    0x3fffe5ff,0x3ffe201f,0xffffe885,0xfffd70bf,0xff30ffff,0xfffc807f,
    0x7fffdc5f,0x005ff8bf,0x0fffffec,0xffff1000,0xffff10ff,0x8bffffdf,
    0x0006fff9,0x3ffffe60,0x0dffff71,0x3fffff30,0x7fffec00,0x0ffff703,
    0x01ffffec,0x3fffff88,0x97ffff20,0x201fffff,0xfe82fffc,0x3fa05fff,
    0xff05ffff,0xfffb80bf,0x7fffcc7f,0x005ffeff,0x07fffffc,0x3fffe000,
    0xfffb80ff,0x40ffffff,0x0002fffd,0xa7ffff40,0x803ffffe,0x00fffffa,
    0x1bfffee0,0xf03fffdc,0x2005ffff,0x03fffff8,0xf97ffff2,0x3e01ffff,
    0xfff987ff,0x3fee00ff,0xffd04fff,0xffffa80d,0x7fffec1f,0x001effff,
    0x0ffffff1,0xffffd000,0x3ffea03f,0x7cc0dfff,0x800006ff,0xf8effffb,
    0xb800ffff,0x4007ffff,0x83fffff8,0xf707fffb,0x2001ffff,0x03fffff8,
    0xf97ffff2,0xf101ffff,0xfffb09ff,0xfff9809f,0xdffb02ff,0xfffff980,
    0x7ffffc41,0x0befffff,0x3ffffe20,0xffe80007,0x26202fff,0xffb01acb,
    0x02a6205f,0xfffff100,0x00bffffb,0x01bffff2,0x3fffff60,0xffff70ad,
    0x7fffe544,0x3fe2005f,0x3f203fff,0x3ffe5fff,0xfff301ff,0xfffff985,
    0x7fffc400,0x0bfff00f,0x2fffff88,0xffffff98,0x03ffffff,0x03fffffe,
    0xfffff000,0xf300003f,0xffd30dff,0x6c007fff,0xffffffff,0xfffb002f,
    0xff3000bf,0x2e9fffff,0x3ff67fff,0x000fffff,0x0fffffe2,0x25ffffc8,
    0x501fffff,0xffc83fff,0xff9804ff,0xfff107ff,0xffff8809,0xfffd103f,
    0xffffffff,0xffffd01b,0xff80003f,0x0001ffff,0x5c2fffd8,0xffffffff,
    0xffff5005,0x001fffff,0x013ffff6,0x7ffffcc0,0x4ffff74f,0x1efffffd,
    0x7fffc400,0x3fff203f,0x3ffffe5f,0x81fff701,0x803ffffd,0x505ffffb,
    0xff007fff,0xc9807fff,0xffffffff,0xfffd85ff,0x260002ff,0x00ffffff,
    0x37ffcc00,0x3fffffe2,0xf003ffff,0xbfffffff,0x7ffff400,0x3fee0004,
    0xfff74fff,0x7ffffecf,0xfff88002,0x3ff203ff,0x3fffe5ff,0x0fff901f,
    0x005ffffd,0x207ffff9,0xe801fffc,0x3003ffff,0xffffffff,0xfffc83ff,
    0x2a0003ff,0x007fffff,0x42fffd80,0xf90efffc,0x3f200fff,0x02ffffff,
    0x13ffff60,0x7fffe400,0xffff74ff,0x7fffffec,0x7ffc4003,0x3ff203ff,
    0x3fffe5ff,0x0fffb01f,0x001fffff,0x203ffffd,0xe800fffe,0x1003ffff,
    0xffff7bff,0xfffb89ff,0x81f406ff,0x04fffffe,0x37ffcc00,0xf117fffc,
    0xf3003fff,0x00ffffff,0x05ffffc8,0xfffffb80,0xffff73ff,0x7fffffec,
    0x3fe2001f,0x3f203fff,0x3ffe5fff,0xfff901ff,0x07ffff88,0x0fffff98,
    0x003fffc8,0x005fffff,0x7f457fe2,0x7fcc6fff,0xf702ffff,0x7ffd45df,
    0x40002fff,0x7c42fffd,0x7ffc1fff,0xfffd002f,0xfc8009ff,0xf8006fff,
    0x5c1fffff,0x7dc47fff,0x2006ffff,0x03fffff8,0xf97ffff2,0xf701ffff,
    0xffff81ff,0x7ffec00f,0xffffb86f,0xfffff000,0x97fe2005,0xd87ffffa,
    0xd06fffff,0xfd5dffff,0x001dffff,0x437ffcc0,0x740ffff9,0xfd003fff,
    0x8003ffff,0x006ffffb,0x0fffffd4,0xb83fffdc,0x001fffff,0x07fffff1,
    0xf2ffffe4,0x2a03ffff,0x7ff41fff,0x3fe601ff,0x7fcc5fff,0xff1003ff,
    0x2ea23fff,0x17fe24dc,0xf10fffff,0x41bfffff,0xffffffd8,0x02ffffff,
    0x1fffec00,0x207fffcc,0x9804fffe,0x006fffff,0x07ffffa8,0x2ffffdc0,
    0x207fffb8,0x002ffffe,0x07fffff1,0xf2ffffe4,0x2603ffff,0x7fec2fff,
    0x3ff605ff,0x3fe23fff,0x3e6006ff,0x3fea7fff,0xbff11fff,0x837fffc4,
    0xeffffffc,0x7fffecc1,0x005fffff,0x837ffcc0,0x740ffff9,0xfd803fff,
    0x8003ffff,0x00fffff8,0x0fffff20,0x903fffdc,0x2007ffff,0x03fffff8,
    0xf97ffff2,0xf101ffff,0xfffa8bff,0x3fa61cff,0xd9dfffff,0x000fffff,
    0x89bfffea,0xf14fffff,0x7fffd4bf,0xfffff105,0xb97bffff,0xffffffff,
    0xfd80003f,0xfff103ff,0x2ffff83f,0x3ffff220,0xfd0000ff,0x74003fff,
    0xf702ffff,0x7fdc0fff,0xff1004ff,0x7e407fff,0x3ffe5fff,0x3ff601ff,
    0x7fffec1f,0xffffedff,0xffffffff,0x64001fff,0x7f44ffff,0xff8bffff,
    0x7ffffd15,0x7ffffd40,0xffffffff,0xffffffff,0x3fe60002,0x7fffc06f,
    0x87fffe63,0xfffffef9,0x20004fff,0x003ffffc,0x407ffffa,0x2e07fffb,
    0x1005ffff,0x407fffff,0x3e5ffffc,0x2a01ffff,0x7fc44fff,0xffffffff,
    0xffffffff,0x8001efff,0x542ffffd,0xfdffffff,0xfffffbdf,0xfffd8806,
    0xffffffff,0xffffffff,0xfd8001ef,0x7fdc03ff,0xfffe9aff,0x7ffffc46,
    0x000fffff,0x17fffea0,0x1ffffe80,0x40ffff70,0x005ffffa,0x07fffff1,
    0xf2ffffe4,0xf803ffff,0x7ec41fff,0x8dffffff,0xfffffffb,0x3fe0003f,
    0xffd80fff,0xffffffff,0x002fffff,0x3fffffea,0xffffffff,0xdfffffff,
    0xdfff3000,0xfffff100,0xf05fffff,0xffffffff,0xff880003,0x3fe007ff,
    0xff701fff,0x7ffd40ff,0xfff1005f,0x7fe407ff,0x3fffe5ff,0x7ffdc01f,
    0xefeca80f,0x777edc2c,0x5555102c,0x17fffe60,0x7fffffc4,0xffffffff,
    0xedc88004,0xefffffff,0xfffffdac,0xffb000ff,0x3fe6007f,0x04ffffff,
    0xbfffffff,0x3f200003,0xff001fff,0x3ee03fff,0x3fea07ff,0xff3006ff,
    0x7e407fff,0x3ffe5fff,0xffe801ff,0x0000006f,0x205ffff3,0x202ffffb,
    0xffffffd8,0x002fffff,0x26aaa600,0xfffffb81,0xdfff3004,0xffec8800,
    0x32ea01df,0x00001abc,0x01ffffcc,0x07ffffc4,0x207fffb8,0x007ffffa,
    0x05fffff3,0xf2ffffe4,0x1003ffff,0x001bffff,0x7ffcc000,0x3fff605f,
    0xfffd7007,0x0017dfff,0x6c400000,0x31000fff,0x08000133,0x00000000,
    0x805fffe8,0x00fffff9,0x4c0ffff7,0x800fffff,0x02fffffc,0xf97ffff2,
    0x5001ffff,0x007fffff,0xfffc8800,0x3ffe00ef,0x7dc4004f,0x000000ef,
    0x01e4c000,0x00000000,0x20000000,0x980ffffb,0x7fffffa9,0x81fffee0,
    0xaefffff8,0x3ffb3219,0x2661ffff,0x5ffffd99,0x26fffffe,0x3fee0199,
    0x001befff,0x3ffff220,0x3fea01ef,0xf88000ff,0x0000005f,0x00000000,
    0x00000000,0x7ff40000,0x7fffc43f,0x2e05ffff,0x7f407fff,0x17ffffff,
    0xffffffff,0x7ffffccf,0x3fe5ffff,0x7fffffff,0x7ffff4c0,0x19aaceff,
    0x3ff6a666,0x00dfffff,0x0027ffec,0x0005ff88,0x00000000,0x00000000,
    0x40000000,0x7c46fffa,0x1fffffff,0x01fffee0,0xfffffff5,0x3ffffeaf,
    0x3fe64fff,0x5fffffff,0x3ffffffe,0xff9007ff,0xffffffff,0xffffffff,
    0x07ffffff,0x01ffff30,0x017fe200,0x00000000,0x00000000,0x00000000,
    0x88bfff60,0x5fffffff,0x03fffdc0,0x7ffffff4,0xffffff97,0xffff98df,
    0x3e5fffff,0xffffffff,0x3ff66007,0xffffffff,0xffffffff,0xf9000bef,
    0x980007ff,0x00000009,0x00000000,0x00000000,0xff980000,0x3fffe25f,
    0xffb802ef,0xfff7007f,0x3fff6fff,0x7cc0efff,0xffffffff,0x3fffffe5,
    0x30007fff,0xfffffff9,0x9fffffff,0xfff88003,0x00000006,0x00000000,
    0x00000000,0x00000000,0x320cccb8,0x26002bcc,0x22004ccc,0x9514cbaa,
    0x2a201379,0xaaaaaaaa,0x2aaaaaa2,0x80002aaa,0xcccbaa99,0x200009aa,
    0x0001ccc9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ea20000,0x554c1bdd,0x555511aa,0x379b7305,0xd9510000,0x0359bdfd,
    0x32e20000,0x2bcdefee,0x07fffe00,0x3fffa000,0x15973002,0xfffa8000,
    0x7fffdc0f,0xdca98000,0x000abdef,0x13795100,0x3b2a2000,0x555540ac,
    0x7ffdc01a,0xf90effff,0x3fe69fff,0x3ffee7ff,0x000effff,0xfffffc88,
    0x4fffffff,0xffd70000,0xffffffff,0xffb007df,0xf880007f,0x36200fff,
    0x3fffffff,0xdfff9000,0x00ffffb0,0xffffffb8,0x00cfffff,0xffffd980,
    0x2000cfff,0xfffffffc,0x7ffffb0d,0x3ffff620,0xc8efffff,0xff34ffff,
    0x3fff2fff,0x2fffffff,0x3fffa600,0xffffffff,0x0001efff,0xffffffb1,
    0xffffffff,0x7fdc05ff,0x7d40005f,0x3fe606ff,0xffffffff,0xfffe8005,
    0x05fffe85,0xfffffb10,0xffffffff,0x7fd4005f,0xffffffff,0x7ff4c01f,
    0xefffffff,0x03ffffd8,0xfffffffd,0xffbdffff,0x3ffe69ff,0xfffffcff,
    0x1fffffff,0xfffffc80,0xffffffff,0x004fffff,0x7fffffd4,0xffffffff,
    0x301fffff,0x8000ffff,0xf504fffc,0xffffffff,0xf800dfff,0x7fc43fff,
    0xffa803ff,0xffffffff,0x5fffffff,0xfffffc80,0xffffffff,0xfffff100,
    0xdfffffff,0x507ffffd,0xbfffffff,0xffffffd9,0x3ffe69ff,0xddffffff,
    0x6fffffff,0x7ffffe40,0xffffffff,0x5fffffff,0xfffff300,0xffffffff,
    0xffffffff,0x03fffe03,0x2fffe800,0xffffffd0,0x7fffffff,0x3fffe600,
    0x17fffcc1,0x3ffffee0,0xffffffff,0x03ffffff,0x3fffffee,0xffffffff,
    0xfffff905,0xfffb99df,0xd07fffff,0x81bfffff,0xffffffe9,0xffffff34,
    0xffff509f,0x3fe605ff,0xacefffff,0xfffeca99,0x4402ffff,0xfffffffe,
    0xfda99abc,0x06ffffff,0x0005fffb,0x203fffe2,0xaefffff9,0x6fffffb9,
    0x1ffff500,0x00ffffb8,0x3fffffe2,0xeb999bdf,0x1fffffff,0x7ffffff0,
    0xfffff713,0xffff881f,0xffe983ff,0x7dc3ffff,0x2206ffff,0x34ffffff,
    0x09ffffff,0x37ffffd4,0xffffffe8,0xffffb805,0x7fec06ff,0x400effff,
    0xffffffe9,0x04fffb81,0x0ffff300,0x03fffff6,0x05fffff7,0x90dfff90,
    0xfc80ffff,0x402fffff,0x4ffffffb,0x2fffffb8,0x3fffffa8,0x27ffffe4,
    0xffffff30,0xfffffc87,0x7fffe402,0xfffff34f,0xfffe801f,0x7ffe40ff,
    0x26002fff,0x03ffffff,0x9ffffff3,0x7fff4400,0xfff984ff,0xfff70006,
    0xfffff30b,0x3ffffe07,0x26666625,0x999dfffe,0x99dfffe9,0x7ffffcc0,
    0xfff9001f,0xffe81fff,0x3ffa06ff,0x7fff44ef,0x7fec00ff,0x7ff43fff,
    0xff9807ff,0xfff34fff,0xff700bff,0xfff83fff,0xb8005fff,0x80ffffff,
    0x06fffffc,0xfffffa80,0x01ffff05,0x07fffb00,0x01fffff9,0x43fffff2,
    0xfffffffc,0xffffffff,0x42ffffff,0x04fffffe,0x77ffffc0,0x3ffffea1,
    0xf8026602,0xa805ffff,0x7c3fffff,0x8806ffff,0xf34fffff,0x5009ffff,
    0x545fffff,0x00ffffff,0xffffff00,0xfffff887,0x59b0002f,0x2fffd803,
    0x1ffff800,0x07ffffc8,0x47ffffea,0xfffffffc,0xffffffff,0x22ffffff,
    0x0ffffff8,0x05676400,0x07ffffe4,0x3fffe000,0xfff9804f,0x3ffe23ff,
    0xfff005ff,0x3ffe69ff,0xff9803ff,0x3ff23fff,0x20004fff,0x44fffffb,
    0x05fffffa,0xff700000,0xff98009f,0xffffb07f,0x7fffcc0d,0xfffff92f,
    0xffffffff,0xffffffff,0x7ffffd45,0xfb000004,0x0010ffff,0x1fffffcc,
    0x7ffffc40,0x3ffffe23,0xfffff004,0x3ffffe69,0xffff8803,0x3ffffa4f,
    0x3e60002f,0x7e45ffff,0x0004ffff,0xdfff5000,0x5fffb800,0x0bffffd0,
    0x9fffffc4,0xfffffffc,0xffffffff,0x22ffffff,0x03fffffb,0xfffd0000,
    0x3ffb22df,0x3fe601ce,0xf8803fff,0x7fc3ffff,0xf8805fff,0xff34ffff,
    0xf3009fff,0x7fc7ffff,0x0001ffff,0x1fffffe2,0x05fffffb,0x3e200000,
    0x36000fff,0xfff03fff,0x7fc40bff,0x55534fff,0x55bffff5,0x5bffff55,
    0x7ffe4155,0x000002ff,0xf5bffffd,0x7fffffff,0x3ffffe20,0xffff9804,
    0x7ffff43f,0xffff9806,0xfffff34f,0xffff5009,0x7ffffc3f,0x7fc0000f,
    0x3fa0ffff,0x0001ffff,0x3fffa000,0x3fffe002,0xbfffff01,0x7ffffc40,
    0x0ffffe04,0x407ffff1,0x01fffffd,0xffff0000,0xffffffff,0x3e0bffff,
    0xa805ffff,0x6c3fffff,0xb807ffff,0xf34fffff,0x700dffff,0x221fffff,
    0x007fffff,0xfffffe80,0x3fffffe1,0x77774c00,0xeeeeeeee,0x09fff902,
    0x41fffe60,0x05fffff8,0x17ffffe2,0x20ffffcc,0x201ffff9,0x00fffffe,
    0xfff88000,0xffffffff,0x83ffffff,0x00fffffe,0x1fffffec,0x0ffffff2,
    0x9ffffff0,0x3fffffe6,0x7ffffc02,0x3ffffe27,0xffe80007,0x3ffe2fff,
    0x7cc00fff,0xffffffff,0xff503fff,0x3fee00df,0xffff305f,0xffff809f,
    0xffff706f,0x0ffffb81,0x3fffffe0,0xf9800000,0xdfffffff,0xfffffa89,
    0x7fffe40f,0x3ffe604f,0x7fcc3fff,0xf900efff,0x269fffff,0x1effffff,
    0x9fffff90,0x0ffffff8,0x7fffc000,0x3fffa1ff,0x7fcc01ff,0xffffffff,
    0xfff103ff,0x3fff600f,0xfffff303,0x7fffc409,0xdfff905f,0x80dfff90,
    0x01fffffe,0xfff88000,0xf981ffff,0x7cc5ffff,0xa84fffff,0x3fffffff,
    0xffffffc8,0xffffb30a,0x3fe69fff,0x0bffffff,0xffffffb3,0xfffffe81,
    0x3fe20001,0x7fec7fff,0x7cc02fff,0xffffffff,0x3fa03fff,0xfff801ff,
    0xffff101f,0x7ffc40bf,0xfffd04ff,0x0bfffd0b,0x2fffffd8,0xfff00000,
    0x7e409fff,0xffd87fff,0xecdeffff,0xffffffff,0xfffff883,0xffffffff,
    0xf34fffff,0xffffffff,0xffffffff,0xffffb09f,0x7cc0005f,0x7ec6ffff,
    0x4c03ffff,0xffffffff,0x3203ffff,0x7c403fff,0x3fe207ff,0x3e205fff,
    0xdd74ffff,0xddfffffd,0xdfffffdd,0x7fe45ddd,0x00003fff,0x3ffffff0,
    0x7ffffd40,0x7ffffcc0,0xefffffff,0x703fffff,0xffffffff,0xffffbfff,
    0x3fffe69f,0xffffffdf,0x80efffff,0x03fffffc,0x3fffea00,0x7fffdc5f,
    0x9999805f,0xfffffc99,0x17ffea03,0x40dfff50,0x05fffff8,0x4fffffe2,
    0xfffffffc,0xffffffff,0x22ffffff,0x03fffffb,0x3a02c980,0x200fffff,
    0x81fffff9,0xffffffe9,0xfff8dfff,0x3fee03ff,0xbfffffff,0x34fffff8,
    0xd37fffff,0xffffffff,0x7fffdc0b,0x3f60006f,0x7c44ffff,0x001fffff,
    0x7fffff70,0x03fffc40,0xf013fff2,0x4c0dffff,0xf92fffff,0xffffffff,
    0xffffffff,0x7cc5ffff,0x8006ffff,0x20adfffc,0x00fffffd,0x0bffffe2,
    0x7fffff44,0xffff15ff,0xffe9807f,0xff12efff,0x3fe69fff,0xffb13fff,
    0x9807dfff,0x03ffffff,0xfffffa80,0xffffe82f,0xff70005f,0xff807fff,
    0x3ffa01ff,0x7ffec02f,0x3ffea07f,0xffff91ff,0xffffffff,0xffffffff,
    0x7fffc45f,0x7fc002ff,0x3f22ffff,0x2601ffff,0x201fffff,0x1bdfdb98,
    0x0fffffe2,0xf881a980,0xff34ffff,0x35307fff,0x7ffec001,0x74000fff,
    0x706fffff,0x03ffffff,0xfffff700,0x3fffd807,0x01ffff10,0x0fffffc8,
    0x1fffff90,0x3ffff32a,0xfffcccce,0x1cccccef,0x37ffffe4,0xfffff700,
    0xfffffb8f,0x3fffe603,0xf980000f,0x0002ffff,0x9fffff10,0x0fffffe6,
    0xfff88000,0x8801efff,0x1ffffffd,0xfffffd10,0x7fdc005f,0x5c03ffff,
    0xff505fff,0xfff500df,0x3ffe09ff,0xfff885ff,0x7fffc43f,0xffff1003,
    0xff3009ff,0xf889ffff,0x3206ffff,0x5d47ffff,0xff30009a,0x00003fff,
    0x53ffffe2,0x03fffff9,0x7ffe4000,0x500bffff,0xbfffffff,0xfffff980,
    0xf5100dff,0x7fffffff,0x07fff980,0x2009fff9,0x40ffffff,0x82fffffb,
    0x4c1ffff9,0x2001ffff,0xeffffffb,0xfffff701,0xfff901ff,0xfff309ff,
    0xfffb8bff,0x3f200eff,0x0000ffff,0x9fffff10,0x0fffffe6,0x3ffa0000,
    0xdeffffff,0xffffffec,0xfc800fff,0xffffffff,0xfffffdcd,0x03ffffff,
    0xe81ffff8,0xf9002fff,0x937dffff,0x20dfffff,0x5c0ffffb,0xe8007fff,
    0xffffffff,0xfffffecd,0xff104fff,0xb55bffff,0x83ffffff,0x4ffffff9,
    0xfffffb88,0x3e200006,0xff34ffff,0x00007fff,0xffffff30,0xffffffff,
    0x05ffffff,0x7ffffec0,0xffffffff,0xffffffff,0xfffd800d,0x07fffc43,
    0xfffff880,0xffffffff,0xdfff903f,0x00dfff90,0xffffff30,0xffffffff,
    0xc80bffff,0xffffffff,0x04ffffff,0xffffffff,0xffffffbd,0x400003ff,
    0x34fffff8,0x007fffff,0x3ff62000,0xffffffff,0x0effffff,0xffffb800,
    0xffffffff,0x3fffffff,0x13ffee00,0x800dfff5,0xfffffff9,0x206fffff,
    0xfe84fffe,0xb10004ff,0xffffffff,0xbfffffff,0xffffb100,0xffffffff,
    0x7fffd40d,0xffffffff,0x0004ffff,0x7ffffc40,0x7fffff34,0xfa800000,
    0xffffffff,0x003fffff,0x7ffff4c0,0xffffffff,0x98003fff,0x7fe46fff,
    0xfe88004f,0xffffffff,0x3fffe204,0x03ffff83,0x7fffdc00,0xffffffff,
    0x7fdc003f,0xffffffff,0xffffb804,0xffffffff,0x00000dff,0xa7ffffc4,
    0x03fffff9,0xdc880000,0xfffffffe,0x200000cd,0xffffffc9,0x001bceff,
    0xd07fffc0,0x20005fff,0xfffffec8,0x7ffcc03e,0x7fffcc1f,0xdc880001,
    0xffffffff,0xfb50000b,0x05dfffff,0x7fffe4c0,0x1effffff,0x26600000,
    0x26660999,0x00000099,0x01355300,0x26200000,0x00001aaa,0x321cccb8,
    0x80000ccc,0x30009aa8,0x99309999,0x20000099,0x0009aaa8,0x00d54c00,
    0x32ea6200,0x00009abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002aee6,0x26b2ea60,
    0xa8000000,0x9801aaaa,0x51001bca,0x00015555,0x00000000,0x6f7f6644,
    0x9800001c,0xcdeffedb,0x1000001a,0x54355555,0x4002aaaa,0x00aaaaa9,
    0x677f6544,0xffeb801b,0x003fffff,0xffffffb8,0x00000dff,0x7fffff10,
    0x7ffffe40,0x3e601dff,0x0002ffff,0xfffffd80,0xffffffff,0xffc8802f,
    0xdfffffff,0xfea80000,0xffffffff,0x00000cff,0x27ffffd4,0x00dfffff,
    0x3fffffb8,0x3ffffea0,0x7ec05fff,0xffffffff,0xfe9800df,0xffffffff,
    0x800004ff,0x83fffff8,0xffffffe9,0xf302ffff,0x0005ffff,0xfffffd00,
    0xffffffff,0xfffd005f,0xffffffff,0x7ec0001f,0xffffffff,0x04ffffff,
    0x3ffea000,0x3fffe4ff,0x7fdc006f,0xff503fff,0x9fffffff,0x3ffffa20,
    0xffffffff,0x3ffa200f,0xffffffff,0x00003fff,0x1fffffc4,0x3fffffe6,
    0x4fffffff,0x2fffff98,0x7fc40000,0xffffffff,0x402fffff,0xfffffffc,
    0x06ffffff,0xfffffb00,0xffffffff,0x0005ffff,0x3ffffea0,0x1bffffe4,
    0xfffff700,0x3ffffe07,0x902fffff,0xffffffff,0x0bffffff,0x7fffffe4,
    0xffffffff,0x2200000f,0x743fffff,0xffffffff,0x42ffffff,0x02fffff9,
    0x7ffcc000,0xffffffff,0x2202ffff,0x8befffff,0x2fffffc9,0x7fffd400,
    0xffffffff,0x1fffffff,0xfffa8000,0x3fffe4ff,0x7fdc006f,0xff883fff,
    0xcbbdffff,0xffffff00,0xffff9339,0xfff103ff,0x36a39fff,0x004fffff,
    0x3fffe200,0x3fffee3f,0xffea9cff,0x7fcc6fff,0x00002fff,0x7fffffdc,
    0xffffffff,0x3ffe602f,0xfffc82ff,0x7fe4004f,0x221aefff,0xffffffd9,
    0xffa80006,0x3ffe4fff,0x7dc006ff,0xf983ffff,0x5004ffff,0x703fffff,
    0x307fffff,0x207fffff,0x006ffffe,0x3fffe200,0x3ffffe3f,0xffffd80e,
    0x3fffe62f,0x6400002f,0x999dffff,0x09999999,0x3ffffea0,0x5ffff980,
    0x7ffff400,0xffffc806,0xfa80007f,0x3fe4ffff,0x5c006fff,0xa83fffff,
    0x002fffff,0x20dffffb,0x85fffff8,0x00fffffb,0x00fffff7,0x7fffc400,
    0xfffff33f,0x3fffe205,0x3fffe66f,0x7400002f,0x0003ffff,0x9fffff30,
    0x09ffff50,0x7ffffcc0,0xffffd002,0xfa80003f,0x3fe4ffff,0x5c006fff,
    0xa83fffff,0x001fffff,0x405db753,0xb84fffff,0x2606ffff,0x1007ffff,
    0x44379d95,0xf53fffff,0xfd80ffff,0xff31ffff,0x65445fff,0x3e001bce,
    0x0001ffff,0x3fffffe0,0x3ffffe20,0x3ffea002,0xff9004ff,0x80007fff,
    0x24fffffa,0x006fffff,0x9fffffdc,0xffffcaa9,0x001aaacf,0xfffffa80,
    0xfffff882,0x9ffff900,0xfffff900,0xfff11bff,0x3ffee7ff,0x7ffdc07f,
    0xffff32ff,0x3fffee5f,0x4400efff,0x000fffff,0x3ffff600,0xfffe98ef,
    0x7fc4007f,0x8801ffff,0x54000019,0x3e4fffff,0x4006ffff,0x73fffffb,
    0xffffffff,0x0007ffff,0x0fffffd0,0x81fffff4,0x202fffff,0xffffffe9,
    0xfff9efff,0xffff93ff,0xffffa80d,0xfffff33f,0xffffffb7,0x5405ffff,
    0x9737ffff,0xf1000159,0xffdfffff,0x0007ffff,0x9fffffff,0x00000003,
    0x49fffff5,0x006fffff,0x9fffffdc,0xfffffffb,0x003fffff,0x3ffff220,
    0x3ffee04f,0xfeb89cff,0xf100ffff,0xffffffff,0xffffffff,0x3fffee7f,
    0x7fffd407,0xfffff34f,0xffffffff,0x203fffff,0xfffffffc,0x00dfffff,
    0x7ffffd40,0x03ffffff,0xfffffb00,0x017bffff,0xff500000,0x7ffc9fff,
    0x7dc006ff,0xff73ffff,0xffffffff,0xf90007ff,0x07ffffff,0xffffff70,
    0x1dffffff,0x7ffffe40,0xfffdccef,0xf53fffff,0x5c01ffff,0xf35fffff,
    0xdfffffff,0xfffffd99,0x3fff60df,0xffffffff,0x6c002fff,0xffffffff,
    0x3a20002f,0xffffffff,0x001cefff,0xffff5000,0x7ffffc9f,0x7ffdc006,
    0xffff73ff,0xffffffff,0xfffb0007,0x4c005fff,0xfffffffe,0x7fc405ff,
    0xf983ffff,0x33ffffff,0x407fffff,0x35fffffe,0x5fffffff,0xffffff50,
    0xffffff05,0xffffffff,0x3ee005ff,0xefffffff,0xff980000,0xffffffff,
    0x003effff,0x7fffd400,0x3ffffe4f,0x7ffdc006,0xfffa83ff,0xe80001ff,
    0x0befffff,0xffffd300,0x019fffff,0x27ffffe4,0xffffff30,0x77ffff47,
    0xfffffb80,0xfffff36f,0x7ffd407f,0x7ffc46ff,0xffefffff,0x406fffff,
    0xffffffe9,0x0000ffff,0xfffffd30,0xffffffff,0x540000bf,0x3e4fffff,
    0x4006ffff,0x83fffffb,0x01fffffa,0xfffff800,0x6402ffff,0xffffffff,
    0xd02fffff,0x801fffff,0x23fffffd,0xaefffffa,0xfffffea9,0xffff37ff,
    0xfffd00df,0xffff98ff,0x7ffd41ef,0xff304fff,0xffffffff,0x80000bff,
    0xfffffffb,0xefffffff,0xffa80000,0x3ffe4fff,0x7dc006ff,0xfa83ffff,
    0x0001ffff,0x7fed5644,0xf703ffff,0xb9bdffff,0x05ffffff,0x00bfffff,
    0x87fffff5,0xfffffffd,0xffffffff,0xfffff36f,0xffff7009,0x76e5443f,
    0x3fffe604,0xffff987f,0xffffdfff,0x33bea4ff,0xfc98000a,0xffffffff,
    0x0000efff,0x27ffffd4,0x00dfffff,0x3fffffb8,0x1fffffa8,0xfe980000,
    0x7cc0ffff,0xe985ffff,0x7c47ffff,0x9804ffff,0x443fffff,0xfffffffe,
    0xffffffff,0x7fffff35,0xfffff500,0xffc80005,0x7ff41fff,0xffb1ffff,
    0x3f65ffff,0x40006fff,0xfffffdb9,0x0004ffff,0x27ffffd4,0x00dfffff,
    0x2fffffb8,0x1fffffa8,0xff300000,0xffb89fff,0xff300fff,0x7fcc7fff,
    0xf8803fff,0xf903ffff,0x1dffffff,0x269fffff,0x802fffff,0x03fffffa,
    0x7fffd400,0x3fffea2f,0x7fff40ef,0xffff9fff,0x5400003f,0x7ffffffe,
    0x7ffd4000,0x3fffe4ff,0x7fdc007f,0xffa82fff,0x00001fff,0x1bffffa0,
    0x80bffffb,0x265ffffe,0x803fffff,0x03fffff8,0x4f7bf726,0x33fffff8,
    0x005fffff,0x07fffff3,0xffff9800,0x3ffff63f,0xffff882f,0xffffffff,
    0xf7000000,0x003fffff,0x7ffffd40,0x1fffffe3,0xfffff700,0xfffff505,
    0x6c000003,0x7fc7ffff,0x7e402fff,0x3fe27fff,0xf9804fff,0x0003ffff,
    0x4bffffe6,0x03fffff9,0x2fffffa8,0x7ffcc000,0x3fffe4ff,0x3ffe607f,
    0x6fffffff,0x7ffddb30,0xffffe800,0x332aa62f,0x3fffea01,0x3ffffa3f,
    0x7ffe4007,0xfffa82ff,0x4cc001ff,0xffffd802,0x3ffffe67,0x7fffe401,
    0x27ffffc7,0x7ffffd40,0x3fea0003,0xfff32fff,0xff7009ff,0x00803fff,
    0x9fffffcc,0x05fffff8,0x7fffffdc,0xff302fff,0xc800bfff,0xf32fffff,
    0x5c07ffff,0x363fffff,0x001fffff,0x07fffff6,0x07ffffea,0x3ffffe60,
    0x7ffff403,0x3ffffe26,0x7fffec03,0x3fffff46,0x7ffffdc0,0x200a9883,
    0x30fffffd,0x00dfffff,0x41fffff9,0x405ffeec,0x11fffffb,0x00dfffff,
    0xfffffffb,0xfffff80b,0x3ff6001f,0x3ffe1fff,0x3ff204ff,0x3ff22fff,
    0xf1005fff,0x501fffff,0x003fffff,0x0dfffff1,0x27ffffcc,0x817ffffe,
    0x44fffff8,0x01fffffd,0x3fffffe2,0x17ffffa3,0x27ffffc4,0x3ffffff3,
    0x7ffffc40,0x7fffff47,0x3ffffa01,0x3ffffa0f,0x7ffc401f,0x200effff,
    0x06fffffd,0xffffff50,0x3fffffc1,0x1fffffd0,0x7fffffdc,0xffffd802,
    0xffff507f,0x3ff6003f,0xfe882fff,0x7ec3ffff,0xf902ffff,0xfa87ffff,
    0x900fffff,0x47ffffff,0x80fffffd,0x20fffffd,0xfffffff9,0xfffff900,
    0xfffffb89,0xfffff705,0xfffffd89,0x3fffa605,0x01ffffff,0xdffffff5,
    0x7fffdc03,0x7ffec6ff,0xfffb85ff,0x7ffc47ff,0x9102ffff,0x07ffffff,
    0x07ffffea,0x7ffffdc0,0xfffb9bef,0xffb86fff,0xb89cffff,0x0ffffffe,
    0xefffffe8,0xffffb30a,0x7fd47fff,0xda9befff,0x4c5fffff,0xffffffff,
    0xffffb30b,0xfff981ff,0xc98befff,0x40ffffff,0xfffffff9,0xfffdb9ad,
    0xffffffff,0xffffb04f,0xb999dfff,0xffffffff,0xfffffa85,0xfffecdff,
    0xffc84fff,0xcdefffff,0xffffffec,0x3ffea07f,0x3f6001ff,0xffffffff,
    0x01ffffff,0xfffffffb,0xffffffff,0x3fffe605,0xffffffff,0x23ffffff,
    0xfffffff8,0xffffffff,0x7ffffcc1,0xffffffff,0x703fffff,0xffffffff,
    0x7fffffff,0x3fffff20,0xffffffff,0xffffffff,0xff886fff,0xffffffff,
    0xffffffff,0xffffd05f,0xffffffff,0xff101fff,0xffffffff,0xffffffff,
    0x7ffd407f,0x3a2001ff,0xffffffff,0x403fffff,0xfffffffe,0x05ffffff,
    0x7fffffe4,0xfdcfffff,0x7fcc3fff,0xffffffff,0xff982fff,0xffffafff,
    0x6fffffff,0x7ffffec0,0xffffffff,0x3fff6203,0xffffffff,0xffecffff,
    0xf301ffff,0xffffffff,0xffffffff,0x7fffcc0d,0xffffffff,0x3fa602ff,
    0xffffffff,0x5fffffff,0x7ffffd40,0x7fec4001,0xffffffff,0xffd8801e,
    0xffffffff,0xfff7004f,0x27ffffff,0xb83ffffd,0xffffffff,0xff300eff,
    0x3ffe6fff,0x04ffffff,0xfffffc88,0x02ffffff,0xffffff70,0x3dffffff,
    0x017fffdc,0x3fffff62,0xffffffff,0x7f5400cf,0xffffffff,0xfd8801ff,
    0xffffffff,0x802fffff,0x01fffffa,0xffffd300,0x30009fff,0xfffffffd,
    0xfd98003d,0x362dffff,0xb303ffff,0x9dffffff,0x7ffff980,0x3fffff62,
    0x7ecc002e,0x1cefffff,0x7ffec400,0x03efffff,0x4c009fd3,0xfffffffd,
    0x2001ceff,0xffffffc8,0x54000bff,0xfffffffd,0x5000cfff,0x003fffff,
    0x09aa9880,0xba988000,0x5300001a,0x4c400003,0x000001ba,0x00001353,
    0x00013553,0x02aea620,0x22000480,0x00aaaba9,0xaaa98800,0x55300001,
    0x00015555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55554000,0x5440001a,0x5542aaaa,
    0xaaaaaaaa,0xaaaaaaaa,0x55541aaa,0x555551aa,0x2aaa0015,0x8800aaaa,
    0x2a1aaaaa,0x001aaaaa,0x2aaaaaa0,0x2aaaaaa0,0x55530002,0x55541555,
    0xaaaaaaaa,0xaaaaaaaa,0x2aa0aaaa,0x4002aaaa,0x0aaaaaa9,0x02aaaaa2,
    0x2aaaa000,0x7fffc01a,0x7cc0004f,0x7f46ffff,0xffffffff,0xffffffff,
    0x7ffc5fff,0xffff94ff,0xfff3007f,0x5005ffff,0x649fffff,0x005fffff,
    0xffffff30,0x7ffffdc1,0xffe8003f,0x3fe26fff,0xffffffff,0xffffffff,
    0x2a1fffff,0x03ffffff,0xffffff10,0xfffff98d,0xfff80002,0x7ffc04ff,
    0x4c0004ff,0x746fffff,0xffffffff,0xffffffff,0x7fc5ffff,0xfff54fff,
    0xff7009ff,0x009fffff,0x45fffff9,0x0ffffffa,0xffffb800,0xffffe85f,
    0x3ee000ff,0x221fffff,0xffffffff,0xffffffff,0x1fffffff,0x7fffffec,
    0xffffc800,0x7ffcc1ff,0xf80002ff,0x7c04ffff,0x0004ffff,0x37ffffcc,
    0x3ffffffa,0xffffffff,0x45ffffff,0xf14fffff,0xb00dffff,0xdfffffff,
    0xfffffd00,0xffffff81,0xfffe8003,0xfff982ff,0xf1004fff,0x889fffff,
    0xffffffff,0xffffffff,0x1fffffff,0x7fffffc4,0x7fffcc05,0xfff984ff,
    0xf80002ff,0x7c04ffff,0x0004ffff,0x37ffffcc,0x3ffffffa,0xffffffff,
    0x45ffffff,0x3e4fffff,0x400fffff,0xffffffff,0x7fffc00f,0xffffc86f,
    0x7fcc005f,0x3f207fff,0x801fffff,0x0ffffffc,0x7fffffc4,0xffffffff,
    0xffffffff,0xffffb81f,0x3ffa02ff,0xff306fff,0x00005fff,0x809fffff,
    0x004fffff,0x7ffffcc0,0x666665c6,0xdccccccc,0x3fffffff,0xb1f77774,
    0x403fffff,0xfffffff9,0x3fe602ff,0xff984fff,0x2000ffff,0x04fffffb,
    0x37fffff4,0x3ffffe60,0x9999902f,0xffffb999,0x999999df,0x3ffa0199,
    0xfa80efff,0x302fffff,0x005fffff,0x9fffff00,0x4fffff80,0x7ffcc000,
    0xe80006ff,0x04ffffff,0xfffffb80,0x3fffee03,0x204fffff,0x02fffffb,
    0x07fffffd,0x7fffff40,0x7fffcc01,0x3ffa03ff,0x20005fff,0x04fffffa,
    0x3fffe600,0x7ffc44ff,0x3e604fff,0x0002ffff,0x04fffff8,0x027ffffc,
    0x3fffe600,0x7ec0006f,0x006fffff,0xbfffff30,0x7ffffec0,0x3206ffff,
    0x700fffff,0x00dfffff,0x1fffffe2,0x7ffffe40,0xffffa80f,0x2a0000ff,
    0x004fffff,0x7ffffe40,0x3ffff21f,0x3fe600ff,0x80002fff,0x404fffff,
    0x4c4fffff,0x300abddb,0x00bfffff,0x7ffffdc0,0x555500ff,0xfffff835,
    0x3ffffe07,0x00fffffd,0x40dffffd,0x0ffffff8,0xfffffb80,0xffff1004,
    0xfff889ff,0x40003fff,0x04fffffa,0xffffe800,0xfffff36f,0xfff9805f,
    0x2aaa02ff,0x7ffc2aaa,0x7ffc04ff,0xfffd34ff,0xf105ffff,0x0009ffff,
    0x3fffffe6,0x3fffe01f,0x7fffec4f,0xffff980f,0x2fffff8f,0x4fffff88,
    0x7fffff40,0xffffe803,0x3fea001f,0x3f21ffff,0x0006ffff,0x4fffffa8,
    0xfff98000,0xfffebfff,0xff9805ff,0xffb02fff,0xff83ffff,0x7fc04fff,
    0xfffacfff,0x4fffffff,0x03fffff8,0xfffff880,0x7ffc02ff,0x7ffdc4ff,
    0xfffc82ff,0x9ffffd6f,0x7fffff30,0xfffffb80,0x7fffc406,0xffd8006f,
    0xfff16fff,0x00003fff,0x09fffff5,0x3fff2000,0xffffffff,0xfff9800f,
    0xfffc82ff,0xfff81fff,0x7ffc04ff,0xfffffeff,0x2fffffff,0x01fffff4,
    0x7fffff40,0xffff804f,0x7fffcc4f,0xffffe84f,0x0dffff93,0x03fffff7,
    0xffffff88,0x3fffee00,0xff88003f,0xffdaffff,0x00004fff,0x09fffff5,
    0x3ffa2000,0xffffffff,0xffff3003,0xffffb85f,0xffff02ff,0xffff809f,
    0xecdfffff,0x45ffffff,0x002ffffe,0x7fffffec,0xfffff005,0xdfffff09,
    0x1fffff88,0x81fffff5,0x007ffffd,0x07fffffb,0x07fffff4,0xffffb800,
    0x6fffffff,0x3fea0000,0x00004fff,0x3fffffea,0x26006fff,0x2a2fffff,
    0x02ffffff,0x013ffffe,0x7fffffff,0xffffff50,0x0ffffec1,0xfffff700,
    0x3fe001df,0xffe84fff,0x7ffd47ff,0x7ffffc7f,0x2fffffc2,0xfffffa80,
    0xfffff106,0xffe8000b,0xffffffff,0x3ea00002,0x0004ffff,0x7ffffec0,
    0x26001fff,0xf32fffff,0x807fffff,0x404fffff,0x04ffffff,0x87fffff2,
    0x000ffffc,0xfffffff5,0x7fffc003,0xffffc84f,0x3ffff21f,0x27fffec5,
    0x07fffff1,0x7fffffc0,0xfffffb81,0x7fcc0003,0x5fffffff,0x7fd40000,
    0x00004fff,0x7fffffc4,0x7fcc004f,0xfff8afff,0xff803fff,0x7fc04fff,
    0x7d407fff,0x3ee2ffff,0xff1007ff,0x005fffff,0x84fffff8,0x23fffffa,
    0x5c3ffffe,0x3ea6ffff,0x2001ffff,0x83fffffd,0x00fffffd,0xffffc800,
    0x0000ffff,0x7ffffd40,0x7dc00004,0x05ffffff,0x7ffffcc0,0x4fffffeb,
    0x9fffff00,0x6fffff80,0x7ffffd40,0x01fffea2,0x3fffffa2,0xfff8004f,
    0xfff884ff,0xffff14ff,0xffff983f,0xfffff90f,0xffffa800,0x7fffc46f,
    0xf100005f,0x07ffffff,0xfff50000,0x400009ff,0xfffffff8,0x3e6002ff,
    0xffffffff,0x3fe006ff,0x7fc04fff,0x7cc05fff,0x3ea2ffff,0xffd806ff,
    0x0005ffff,0x209fffff,0xf56ffffe,0x3fe0ffff,0xfffd2fff,0xfff000bf,
    0x7fdc3fff,0x00002fff,0x1bffffea,0x7fd40000,0x00004fff,0x3ffffffa,
    0x3000ffff,0xffffffff,0x2003ffff,0x404fffff,0x404fffff,0x22fffff9,
    0x5c05fff9,0x0effffff,0xfffff000,0x3ffff209,0x5ffffc8f,0x29ffffb0,
    0x003fffff,0x4fffffc8,0x01fffff6,0xffff3000,0x2000009f,0x04fffffa,
    0xffff7000,0xbfffffff,0x3fffe600,0xffffffff,0xfffff006,0xfffff809,
    0x7fffcc04,0x17ffe22f,0xffffffa8,0x3fe0000f,0xff504fff,0xffff5fff,
    0x3ffee07f,0xfffff9ef,0xfff98001,0xffff16ff,0x9800009f,0x004fffff,
    0xffff5000,0xf100009f,0xffffffff,0x3005ffff,0xffffffff,0x005fffff,
    0x809fffff,0x404fffff,0x42fffff9,0xff304fff,0x005fffff,0x4fffff80,
    0xbfffff10,0x201fffff,0xfcfffff9,0x20007fff,0xa9fffffe,0x001fffff,
    0x7fffcc00,0x5000004f,0x009fffff,0xfffffb00,0xfffffd3f,0xfff9801f,
    0xffeeffff,0x7fc00fff,0x7fc04fff,0x7cc04fff,0x7fc2ffff,0xfffe883f,
    0x80003fff,0x204fffff,0xffffffff,0x7ffc06ff,0x6fffffff,0x3ffee000,
    0xffffdcff,0xf9800007,0x0004ffff,0xfffff500,0xffa80009,0xff34ffff,
    0x980bffff,0x8effffff,0x04fffffa,0x027ffffc,0x013ffffe,0x85fffff3,
    0xffd80aaa,0x0005ffff,0x09fffff0,0x7fffffec,0x7ec04fff,0xffffffff,
    0x3fe20004,0xffffffff,0x9800004f,0x004fffff,0xffff5000,0x7c40009f,
    0x646fffff,0x02ffffff,0x3bffffe6,0x3fffff60,0x3ffffe00,0x7ffffc04,
    0x7fffcc04,0x3ff2002f,0x0006ffff,0x13ffffe0,0xffffffb8,0x7d402fff,
    0xffffffff,0x7ff40002,0xffffffff,0xf9800001,0x0004ffff,0xfffff500,
    0x7fec0009,0xfe82ffff,0x300fffff,0x985fffff,0x205fffff,0x404fffff,
    0x404fffff,0x22fffff9,0xf52ccccc,0x01ffffff,0x7fffc000,0x3ffe604f,
    0x00ffffff,0x7fffffc4,0x40000fff,0xfffffffb,0x000006ff,0x09fffff3,
    0x3fea0000,0x50004fff,0x0bffffff,0x3fffffe6,0xfffff305,0xfffffb05,
    0x3ffffe05,0x7ffffc04,0x7fffcc04,0x3ffffe2f,0xffffff94,0xffffffff,
    0xffffffff,0x7ffffc5f,0x7ffffc04,0xfd006fff,0x0dffffff,0xffff1000,
    0x007fffff,0x3ffe6000,0x000004ff,0x09fffff5,0xfffff100,0x7fe401ff,
    0xf982ffff,0xf882ffff,0xff06ffff,0xff809fff,0x7cc04fff,0x3fe2ffff,
    0xfff94fff,0xffffffff,0xffffffff,0x7fc5ffff,0x7ec04fff,0x04ffffff,
    0xffffff90,0x3600009f,0xffffffff,0xf3000000,0x0009ffff,0x3fffea00,
    0xffd8004f,0x4402ffff,0x0fffffff,0x17ffffcc,0x3fffffc8,0x04fffff8,
    0x027ffffc,0x8bffffe6,0xf94fffff,0xffffffff,0xffffffff,0x45ffffff,
    0x404fffff,0xfffffffb,0xffff5002,0x00005fff,0x3fffffea,0x2000006f,
    0x04fffff9,0xfff50000,0xfa8009ff,0x005fffff,0xbffffff5,0x2fffff98,
    0xffffff10,0x4fffff81,0x27ffffc0,0x3ffffe60,0x53ffffe2,0xfffffffc,
    0xffffffff,0xffffffff,0x13ffffe2,0xffffff30,0x3fe2001f,0x000fffff,
    0xfffff100,0x000007ff,0x27ffffcc,0xffa80000,0x22004fff,0x0fffffff,
    0x3ffff600,0x3ffe62ff,0x3fee02ff,0x7ffc4fff,0x7ffc04ff,0x7fcc04ff,
    0x3ffe2fff,0xffff94ff,0xffffffff,0xffffffff,0x7ffc5fff,0x7fc404ff,
    0x4006ffff,0x06fffffe,0x7ffec000,0x00000fff,0x3ffffe60,0xf5000004,
    0x4009ffff,0x3ffffffc,0x7fffc400,0xfff30fff,0xffe805ff,0x3ffe1fff,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55550000,0x55555555,0x00003355,0x2a199995,
    0x8002aaaa,0x2a0aaaaa,0x2aaaaaaa,0x2aaaa600,0x3310aaaa,0x50000333,
    0x80055555,0xaaaaaaa8,0x44091002,0x552aaaaa,0x88005555,0x801aaaaa,
    0x009acba9,0x55555554,0xaaaaaaaa,0x2a0aaaaa,0x5551aaaa,0xffff0355,
    0xffffffff,0x019fffff,0x3ffffe00,0x7ffffff1,0x7fffc400,0xfffff13f,
    0x2001ffff,0xfffffffd,0xfffffd2f,0xfff80001,0x7f4007ff,0x00ffffff,
    0x3e206fb8,0xfff5ffff,0xfa800fff,0x2a04ffff,0xfffffffe,0xfffff02e,
    0xffffffff,0x3fffffff,0x4fffffe2,0xf85fffff,0xffffffff,0xffffffff,
    0x7dc003ff,0xfff1ffff,0x2001ffff,0x13fffff8,0xffffffff,0x3ffe005f,
    0xd2ffffff,0x001fffff,0x7fffff80,0x3ffff600,0x75401fff,0x3fe206ff,
    0xffff5fff,0xffa800ff,0xfe984fff,0xffffffff,0x7ffc0dff,0xffffffff,
    0xffffffff,0xfffff11f,0x17ffffe7,0x3ffffffe,0xffffffff,0x003fffff,
    0x3ffffff5,0x3ffffffe,0xffff1004,0x3fffe27f,0x804fffff,0xfffffff9,
    0xffffd2ff,0xff80001f,0xf9007fff,0x03ffffff,0x06ffffc8,0x57ffffe2,
    0x007fffff,0x27ffffd4,0x3fffffa2,0xffffffff,0x7fffffc6,0xffffffff,
    0x11ffffff,0x3e7fffff,0xff85ffff,0xffffffff,0xffffffff,0x7d400fff,
    0xf1ffffff,0x3fffffff,0xfffff100,0x3ffffe27,0xc806ffff,0xffffffff,
    0xfffffd2f,0xfff80001,0xffc807ff,0x801fffff,0x206ffffd,0xf5fffff8,
    0x800fffff,0x44fffffa,0xfffffffd,0xffffffff,0x3fffffe4,0xffffffff,
    0x11ffffff,0x3e7fffff,0xff85ffff,0xccccffff,0xffffeccc,0x3ee05fff,
    0x1fffffff,0xffffffff,0xffff100d,0x3fffe27f,0x00ffffff,0x7ffffff4,
    0xfffd2fff,0xf80001ff,0x5c07ffff,0x1fffffff,0xdffffb00,0x7ffffc40,
    0x0ffffff5,0xfffffa80,0x3ffffea4,0xffeb9adf,0xfff0ffff,0x99999fff,
    0x99999999,0x3fffe219,0xbfffff3f,0x0ffffff0,0xffffff70,0xffffa81f,
    0xf1ffffff,0xffffffff,0xffff8807,0xfffff13f,0x405fffff,0xfffffff8,
    0xfffd2fff,0xf80001ff,0x2a07ffff,0x2fffffff,0x3ffff600,0x3fffe206,
    0xffffff5f,0xffffa800,0x3ffff24f,0xffffb02f,0x3ffffe5f,0x33300007,
    0x26666133,0xfffff809,0xffff5007,0x3ffa63ff,0xffffffff,0xffffff1f,
    0x4401ffff,0xf13fffff,0xfffdffff,0x7ffd409f,0x2fffffef,0x01fffffd,
    0xfffff800,0xfffff507,0x551005ff,0x55fffffd,0x7fffc435,0xffffff5f,
    0xffffa800,0x3ffffa4f,0x3fffea05,0xffffff4f,0x00000000,0x03fffffc,
    0x5ffffff0,0x3ffffff6,0xf1ffffff,0xffffffff,0x7ffc40bf,0xffff13ff,
    0x0dffff9f,0x7e7fffe4,0xffd2ffff,0x80001fff,0x987fffff,0x2fffffff,
    0xfffff500,0x4bffffff,0xf5fffff8,0x800fffff,0x14fffffa,0x807fffff,
    0xff5fffff,0x0000ffff,0x7ffc0000,0x3f2007ff,0xffb3ffff,0xfff77fff,
    0x3fffe3ff,0x2fffffff,0x7fffff10,0x2fffffe2,0xd00ffffe,0xfff5ffff,
    0x3fffa5ff,0x7c0000ff,0x7cc7ffff,0x02ffffff,0x3ffffea0,0x25ffffff,
    0xf5fffff8,0x800fffff,0x24fffffa,0x401cbaa9,0xff4fffff,0x0000ffff,
    0x7ffc0000,0x3fa007ff,0xffb2ffff,0x3ffee3df,0xfffff1ff,0x0dffffff,
    0x4fffffe2,0xcbfffff8,0xf883ffff,0xfff8ffff,0xffffd2ff,0xff80001f,
    0x3fe27fff,0x003fffff,0x7fffffd4,0x225fffff,0xff5fffff,0xa800ffff,
    0x004fffff,0x3ffffea0,0x0ffffff3,0x40000000,0x007fffff,0x1ffffff1,
    0xfb82fff6,0xfff1ffff,0xffffd9ff,0xffff107f,0x3fffe27f,0x5ffffabf,
    0x8dffffa8,0xfd2fffff,0x0001ffff,0x17fffff8,0x7ffffffd,0xffff5000,
    0xbfffffff,0xafffffc4,0x007fffff,0x27ffffd4,0xffffb000,0x3ffffe3f,
    0x00000007,0x1fffffe0,0x3ffffa20,0x7dc0f27f,0xfff1ffff,0xffff59ff,
    0xfff881ff,0xffff13ff,0xfffff17f,0x17ffff90,0x3a5fffff,0x000fffff,
    0x7fffffc0,0xffffffe8,0x9988001f,0x99effffe,0x3fffe209,0xffffff5f,
    0xdddddddd,0xffffdddd,0x3e20009f,0xff0fffff,0x9999ffff,0x99999999,
    0x3e000001,0x999fffff,0xfffba999,0x7005ffff,0x3e3fffff,0xffb4ffff,
    0xff88bfff,0xfff13fff,0x3fffa7ff,0x7ffff41f,0x2fffff88,0x01fffffd,
    0xfffff800,0xffffffef,0x6c0006ff,0x2206ffff,0xff5fffff,0xffffffff,
    0xffffffff,0x009fffff,0x3fffffa0,0x3fffffe3,0xffffffff,0x0001ffff,
    0xffffff00,0xffffffff,0x3fffffff,0x3fffee00,0x9fffff1f,0x3fffffe2,
    0x3ffffe22,0x7fffff13,0x88fffff2,0xff17ffff,0x3ffa5fff,0x40000fff,
    0xffffffff,0xffffffff,0x3ff60004,0x3fe206ff,0xffff5fff,0xffffffff,
    0xffffffff,0xb0009fff,0xf8dfffff,0xffffffff,0xffffffff,0xf000001f,
    0xffffffff,0xffffffff,0x5c005fff,0xff1fffff,0x7fdc9fff,0xff10ffff,
    0x3fe27fff,0xfff53fff,0x7fffd4bf,0x5fffff15,0x03fffffa,0xfffff000,
    0xffffffff,0x0003ffff,0x81bffff6,0xf5fffff8,0xffffffff,0xffffffff,
    0x09ffffff,0xfffffd80,0x7ffffc1f,0xffffffff,0x001fffff,0xfffff000,
    0xffffffff,0x09ffffff,0xfffffb80,0x89fffff1,0x14fffffe,0x227fffff,
    0xf13fffff,0x7fe4ffff,0xffff13ff,0x3ffffa5f,0x7fc0000f,0xffffffff,
    0x6fffffeb,0xffffb000,0x7fffc40d,0xffffff5f,0xffffffff,0xffffffff,
    0x3fa2009f,0xf83fffff,0xffffffff,0xffffffff,0x6666441f,0x5999992c,
    0xfffffff0,0xffffffff,0x70005bff,0x3e3fffff,0x7cc4ffff,0xf89fffff,
    0xff13ffff,0x7ff47fff,0xfffff1ff,0x3ffffe21,0x1fffffd2,0xffff8000,
    0xf54fffff,0x007fffff,0x0dffffb0,0xafffffc4,0x99ffffff,0x99999999,
    0x4fffffb9,0xffffe880,0xffff04ff,0x555555ff,0x81555555,0xf3fffff8,
    0xff0bffff,0xddddffff,0x0379dddd,0x7fffdc00,0x9fffff1f,0xdfffff90,
    0x27fffff1,0x23fffff8,0xf9cffffc,0x3fe27fff,0xfffd2fff,0xf80001ff,
    0x4fffffff,0x7fffffec,0x7ffec000,0x3ffe206f,0xfffff5ff,0xfffa800f,
    0x7f4404ff,0x204fffff,0x007fffff,0xfffff880,0x0bfffff3,0x00ffffff,
    0x3fee0000,0xffff1fff,0xffff109f,0xfffff7ff,0x3ffffe27,0x3bfffea3,
    0x225ffffb,0xfd2fffff,0x0001ffff,0xfffffff8,0xfffff984,0x7fec006f,
    0x3fe206ff,0xffff5fff,0xffa800ff,0x3a204fff,0x04ffffff,0x03fffffc,
    0x7fffc400,0xbfffff3f,0x0ffffff0,0x3ee00000,0xfff1ffff,0x3fea09ff,
    0xffffffff,0xfffff13f,0x7ffffc47,0x223ffffe,0xfd2fffff,0x0001ffff,
    0x4ffffff8,0x3fffff20,0x3ff6003f,0x3fe206ff,0xffff5fff,0xffa800ff,
    0xfd104fff,0x007fffff,0x00ffffff,0xfffff100,0x17ffffe7,0x01fffffe,
    0x7fdc0000,0xffff1fff,0x7fff409f,0x3fffffff,0x87fffff1,0xfffffffe,
    0x3ffe20ff,0xffffd2ff,0xff80001f,0x7c407fff,0x00ffffff,0x0dffffb0,
    0xafffffc4,0x007fffff,0x27ffffd4,0xffffffd8,0xfffff003,0xff10000f,
    0x3ffe5fff,0xffff85ff,0x0000007f,0x23fffff7,0x204fffff,0xfffffff9,
    0xfff13fff,0xfffc87ff,0x447fffff,0xfd2fffff,0x0001ffff,0x07fffff8,
    0xffffffb8,0xffffb005,0x7fffc40d,0xffffff5f,0xffffa800,0xffffc84f,
    0x3fe003ff,0x00007fff,0x2000ffdc,0x007fffff,0xfff70000,0x3fffe3ff,
    0x7ffe404f,0x13ffffff,0xa87fffff,0xffffffff,0x7ffffc45,0x1fffffd2,
    0xffff8000,0xfffd007f,0xfb005fff,0x7c40ffff,0xfff5ffff,0xfa800fff,
    0x7d44ffff,0x003fffff,0x03fffffc,0x87ffa000,0x7c2ccccc,0x0007ffff,
    0xffff7000,0x3ffffe3f,0xffffe804,0xff13ffff,0xff887fff,0x43ffffff,
    0xd2fffff8,0x001fffff,0x7fffff80,0xfffff300,0xffd801ff,0x23b9cfff,
    0xf5fffff8,0x800fffff,0x24fffffa,0xeffffff8,0x99999999,0xfffff099,
    0x7c40000f,0x7ffffc6f,0x3fffffc4,0xfb800000,0xfff1ffff,0xff5009ff,
    0x27ffffff,0x83fffff8,0xfffffffe,0x7ffffc41,0xffffffd2,0xffffffff,
    0x3edfffff,0x2007ffff,0x5ffffffd,0x7ffffe40,0x3fe26fff,0xffff5fff,
    0xffa800ff,0x3fea4fff,0xffffffff,0x6fffffff,0x00ffffff,0x0bffee00,
    0xf89fffff,0x0007ffff,0xffff7000,0x3ffffe3f,0xffffb004,0x3fe27fff,
    0xffc83fff,0xf887ffff,0xffd2ffff,0xffffffff,0xffffffff,0x3ffffedf,
    0x3ffe2007,0x2602ffff,0xffffffff,0x3ffffe27,0x0ffffff5,0xfffffa80,
    0x3fffff64,0xffffffff,0xfff6ffff,0x50000fff,0xfff09fff,0xffff89ff,
    0x0000007f,0x23fffff7,0x004fffff,0xfffffff1,0x3ffffe27,0xfffffa83,
    0xffff885f,0xfffffd2f,0xffffffff,0x2dffffff,0x007fffff,0x7fffffe4,
    0x3fffa00f,0x3e27ffff,0xfff5ffff,0xfa800fff,0xff14ffff,0xffffffff,
    0xffffffff,0x1fffffed,0x817fc000,0x7c4fffff,0x0007ffff,0xffff7000,
    0x3ffffe3f,0x3ffee004,0xfff13fff,0xfff107ff,0xff107fff,0x3ffa5fff,
    0xffffffff,0xffffffff,0xffffff6f,0xfffff000,0xffc809ff,0xf10dffff,
    0x3febffff,0x54007fff,0xf74fffff,0xffffffff,0xffffffff,0x3ffffedf,
    0x01300007,0x227ffffc,0x007fffff,0xfff70000,0x3fffe3ff,0x7ff4004f,
    0xfff13fff,0x3ffa07ff,0xff881fff,0xfffd2fff,0xffffffff,0xffffffff,
    0x1fffffed,0x3fffea00,0x4c402fff,0xfff880aa,0xfffff5ff,0xfffa800f,
    0xffffb4ff,0xffffffff,0x2dffffff,0x007fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa800000,0xaaaaaaaa,0xaaaaaaaa,0x55542aaa,0xaaaaaaaa,0x20009aaa,
    0xaaaaaaaa,0xaaaaaaaa,0x2aaa0009,0xaaaaaaaa,0x001aaaaa,0xaaaa9800,
    0x0000002a,0x0033332a,0x22000000,0x1abcdcb9,0x00001700,0x35555510,
    0xaaaaa880,0x3ffffe00,0xffffffff,0xffffffff,0x7fffffc6,0xffffffff,
    0xff803eff,0xffffffff,0xffffffff,0x7ffc00ce,0xffffffff,0xcfffffff,
    0xffd00001,0x0001ffff,0xffff3000,0xffff303f,0xffffffff,0x0fffffff,
    0x7ffffe44,0x201effff,0x0000cff8,0x3ffffe20,0x7fffd403,0x3fffe01f,
    0xffffffff,0xffffffff,0x7ffffc6f,0xffffffff,0x02ffffff,0x3ffffffe,
    0xffffffff,0x02ffffff,0x3ffffffe,0xffffffff,0x003fffff,0x7ffffcc0,
    0x000004ff,0x1fffffe8,0xffffff98,0xffffffff,0xf507ffff,0xffffffff,
    0x101bffff,0x003bffff,0xfffff100,0xffffa807,0x3fffe01f,0xffffffff,
    0xffffffff,0x7ffffc6f,0xffffffff,0x3fffffff,0xfffffff0,0xffffffff,
    0x3fffffff,0x3fffffe0,0xffffffff,0x2fffffff,0x3fff2000,0x0007ffff,
    0x7fffdc00,0xfff981ff,0xffffffff,0x7fffffff,0xffffffa8,0xffffffff,
    0x7ffc40ef,0x0002efff,0x0fffffe2,0x3fffff50,0x7fffffc0,0xffffffff,
    0x6fffffff,0x7ffffffc,0xffffffff,0x81ffffff,0xffffffff,0xffffffff,
    0x07ffffff,0xffffffff,0xffffffff,0x03ffffff,0xfffff100,0x0005ffff,
    0x3fffe600,0xff981fff,0xffffffff,0xffffffff,0x7ffffcc7,0xffdccdff,
    0x7c45ffff,0xffffffff,0x7fc4000c,0x7d403fff,0x3e01ffff,0xcccfffff,
    0xcccccccc,0x7fc3cccc,0xccccffff,0xffffeccc,0xfff86fff,0xcccccfff,
    0xfffecccc,0xff82ffff,0xaaaaffff,0xfffcbaaa,0x8004ffff,0xfffffffb,
    0x000005ff,0xfffffffd,0xfffff303,0xffffffff,0xe89fffff,0x80cfffff,
    0x3fffffd8,0x3fffffe2,0x01dfffff,0x7fffff10,0xfffffa80,0x3ffffe01,
    0x7fc00007,0xe9807fff,0x43ffffff,0x007fffff,0x3fffffea,0x7fffff86,
    0xffff9100,0xffd000df,0xffffffff,0xfc800001,0x1fffffff,0x33333330,
    0xffb33333,0xfff98dff,0x7f4405ff,0x7e445fff,0xffffffff,0x7c402eff,
    0x5403ffff,0x201fffff,0x007fffff,0x7ffffc00,0x3fff2007,0x3ffe0fff,
    0x7e4007ff,0xff87ffff,0x7c007fff,0x000fffff,0x3bffffe6,0x004fffff,
    0x3fffe600,0x001fffff,0xeffff980,0x7ffffdc0,0xffffb800,0x3fff6a07,
    0xffffffff,0xffff880b,0x7ffd403f,0x3ffe01ff,0x400007ff,0x007fffff,
    0x3fffffa2,0x1fffffe4,0xfffff300,0xfffff81f,0x7ffe4007,0x3f2000ff,
    0xfff9ffff,0x200007ff,0xfffffffe,0xe80001ff,0xfd81ffff,0xf3004fff,
    0x8803ffff,0xffffffeb,0x221cffff,0x403fffff,0x01fffffa,0x01fffffe,
    0xfffff000,0xfffa800f,0x3fffe7ff,0x7fc4007f,0xfff87fff,0x7f4007ff,
    0x7c005fff,0xff95ffff,0x00005fff,0xff9ffff9,0x80003fff,0x404ffffc,
    0xf9000a98,0x9800ffff,0xfffffffc,0xfff10fff,0xffa807ff,0x3fe01fff,
    0x00007fff,0x03fffffc,0x7fffffc0,0x0ffffff0,0xfffffa80,0x7fffff86,
    0x3fffe200,0x3fea003f,0xfff32fff,0x98000bff,0xff8effff,0x20001fff,
    0x00fffff9,0xfffe8000,0xd710005f,0x1fffffff,0x0fffffe2,0x3fffff50,
    0x3fffffc0,0x3ffe0000,0xfd8007ff,0xfff2ffff,0x6c400fff,0xf85fffff,
    0x5007ffff,0x01fffffd,0x7ffffec0,0x3fffffa0,0xffd10000,0xffff13ff,
    0x7f40003f,0x00002fff,0x3fffffd8,0xfffc8000,0xfff10fff,0xffb807ff,
    0x3fe01fff,0xffffffff,0xffffffff,0xffff85ff,0xffc8007f,0xffff3fff,
    0xfd5300ff,0xf03fffff,0xdddfffff,0xfffddddd,0x4003ffff,0x45fffff8,
    0x04fffffb,0x7ffff900,0x07ffffe2,0x7fffdc00,0x74400006,0x00efffff,
    0xffff9300,0x3e21ffff,0x5c03ffff,0x201fffff,0xffffffff,0xffffffff,
    0xff85ffff,0xb8007fff,0xff3fffff,0xffffffff,0xffffffff,0x3e09ffff,
    0xffffffff,0xffffffff,0x5c001eff,0x442fffff,0x007fffff,0x26ffffa8,
    0x01fffff8,0x7ffffd00,0x7f4c0000,0x001fffff,0xfffffda8,0xf10fffff,
    0xb807ffff,0x201fffff,0xffffffff,0xffffffff,0xff85ffff,0xb8007fff,
    0xff4fffff,0xffffffff,0xffffffff,0x3e01bfff,0xffffffff,0xffffffff,
    0x74000cff,0xfd07ffff,0x4005ffff,0x20fffff8,0x01fffff8,0xfffffa80,
    0xff300000,0x003fffff,0x7ffffe4c,0x0cffffff,0x13ffffe2,0x3fffff90,
    0x7fffffc0,0xffffffff,0x85ffffff,0x007fffff,0x4fffffb8,0xffffffff,
    0xffffffff,0xf807ffff,0xffffffff,0xffffffff,0x3003ffff,0x209fffff,
    0x05fffffb,0x0fffff60,0x03fffff1,0xbffffd00,0x3fe60000,0x801effff,
    0xfffffeb8,0x03efffff,0x0bfffff1,0x1fffffe8,0x3fffffe0,0xffffffff,
    0x85ffffff,0x007fffff,0x3fffffb8,0xffffffff,0xffffffff,0xff0015bf,
    0xffffffff,0xffffffff,0x9009ffff,0x203fffff,0x0ffffff8,0x6ffffa80,
    0x1fffff88,0x7fffcc00,0xfd00002f,0x801dffff,0xffffffc9,0x02dfffff,
    0x0ffffff8,0xffffff90,0x7ffffc03,0x7fc00007,0xc8007fff,0xff2fffff,
    0xfdb9ffff,0x1dffffff,0x7ffffc00,0x9999999f,0xffffeba9,0x3fe203ff,
    0x7ec06fff,0x4404ffff,0x880fffff,0x001fffff,0x037fffec,0xffffa800,
    0x7fc400ef,0xffffffff,0x3f6000cf,0x261effff,0xfffffffc,0x3ffffe01,
    0x7fc00007,0xc8007fff,0xff1fffff,0xfd30ffff,0x005fffff,0x01fffffe,
    0xffffff90,0x3fffee01,0xccccccef,0x7fffffdc,0x1ffffec0,0x1fffff88,
    0x7ffffc00,0xff700003,0xf1001dff,0xdfffffff,0xff700017,0xffffffff,
    0xffffffff,0x7ffffc03,0x7fc00007,0xe8007fff,0xff0fffff,0x7f40ffff,
    0x803fffff,0x007fffff,0x2ffffff8,0xffffffd0,0xffffffff,0x05ffffff,
    0x3bffffe6,0xffeeeeee,0x05eeefff,0x07ffffd4,0xfffd8000,0xfff1002f,
    0x0005dfff,0xffffffb0,0xff3fffff,0x7fc03fff,0x00007fff,0x03fffffc,
    0x3fffffc0,0x40ffffff,0xfffffff8,0x7ffffc02,0xfffc8007,0xfff984ff,
    0xffffffff,0xffffffff,0xfff305ff,0xffffffff,0xffffffff,0xfffc80ff,
    0x3e00005f,0x1001ffff,0x0039ffff,0x7fff4400,0xf0efffff,0x7c03ffff,
    0x0007ffff,0x3fffffc0,0x3fffee00,0x3ffffe6f,0x7fffd407,0x3fe00fff,
    0xc8007fff,0xc84fffff,0xffffffff,0xffffffff,0x80ffffff,0xfffffff9,
    0xffffffff,0x407fffff,0x002ffffe,0x3ffffe00,0x17ff1000,0x32200000,
    0x0ceffffe,0x807ffffe,0x007fffff,0x7ffffc00,0x3ffe2007,0x3ffe3fff,
    0xffc807ff,0x3e05ffff,0x8007ffff,0x83fffffe,0xffffffff,0xffffffff,
    0x4fffffff,0xffffff98,0xffffffff,0x07ffffff,0x03ffffe6,0xaaaa8000,
    0x00014002,0x02aa2000,0x7fffc000,0x7c00007f,0x1007ffff,0x8ffffffb,
    0x807fffff,0xffffffe8,0xffffff02,0xffff9800,0x7ffd41ff,0xaaaaadff,
    0xfcaaaaaa,0xf987ffff,0xffffffff,0xffffffff,0x3ee07fff,0x00007fff,
    0x00000000,0x00000000,0x07fffff8,0x7fffc000,0x7fdcc07f,0x7c3fffff,
    0x3007ffff,0x1fffffff,0x0ffffff0,0x3ffff260,0xfffd87ff,0xff8001ff,
    0x0002ffff,0x0fffffc4,0x5ffffc80,0x66640000,0x773002cc,0x77777777,
    0x77777777,0x00077777,0x7fffc000,0xffffffff,0xffffffff,0x3fffe2ff,
    0xffffffff,0xffffffff,0xfffff86f,0x3fff2007,0xfff85fff,0xffffffff,
    0xffffffff,0x7c44ffff,0x0007ffff,0x0bfffff9,0xffff8800,0xfffb001f,
    0xf800007f,0x5004ffff,0xffffffff,0xffffffff,0x0fffffff,0x7fc00000,
    0xffffffff,0xffffffff,0x3fe2ffff,0xffffffff,0xffffffff,0xfff80fff,
    0x7f4007ff,0x7c2fffff,0xffffffff,0xffffffff,0xb85fffff,0x004fffff,
    0xffffff30,0x7fc40001,0xfd001fff,0x00005fff,0x04fffff8,0xffffff50,
    0xffffffff,0xffffffff,0x4000000f,0xffffffff,0xffffffff,0x22ffffff,
    0xffffffff,0xffffffff,0xff00cfff,0x9800ffff,0x46ffffff,0xffffffff,
    0xffffffff,0x80efffff,0x01fffffe,0x3ffffa00,0x3e20004f,0xf001ffff,
    0x0005ffff,0x4fffff80,0xfffff500,0xffffffff,0xffffffff,0x000000ff,
    0x7ffffffc,0xffffffff,0x2fffffff,0x3ffffffe,0xffffffff,0x7fc01dff,
    0xc8007fff,0x24ffffff,0xffffffff,0xffffffff,0x980cffff,0x006fffff,
    0x7ffffdc0,0x3fe20007,0xf8801fff,0x0001ffff,0x27ffffc0,0x11111100,
    0x11111111,0x11111111,0x40000001,0xffffffff,0xffffffff,0x22ffffff,
    0xffffffff,0xcdefffff,0xfffff001,0x3ffa000f,0xfff1ffff,0xffffffff,
    0x5bddffff,0xfffffd80,0x7fc40003,0x0002ffff,0x03fffff1,0x3fffff30,
    0xfff80000,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b72a600,
    0x8000bcce,0xcceeecca,0x9530000a,0x000599db,0x2b376ea2,0x40000001,
    0xca8800b8,0x800abded,0x222aaaa8,0x2a60acdb,0x3000aaaa,0x54155555,
    0x5cc0aaaa,0x5100acdd,0xca883555,0x2e600acd,0x55101bdd,0xa8035555,
    0x201aaaaa,0xffffffd9,0x800dffff,0xfffffffc,0x2002ffff,0xffffffe9,
    0x2e003fff,0xffffffff,0x4000001e,0x2200ffc9,0xfffffffc,0x3e600dff,
    0xfff57fff,0x3fee5fff,0xfb003fff,0x3e21ffff,0xff30ffff,0x07ffffff,
    0x6cbffff7,0x2fffffff,0x7fffff4c,0xfffe81ff,0xff500fff,0x2a03ffff,
    0xffffffff,0x01ffffff,0x3ffffff6,0x3fffffff,0xfffffb80,0x6fffffff,
    0x7ffff440,0x3fffffff,0xfda80000,0xff500fff,0xffffffff,0x3e605fff,
    0xfff9ffff,0xff10ffff,0xf100dfff,0x7c49ffff,0xffa8ffff,0xffffffff,
    0x6ffffdc5,0xffffffe8,0xfff52fff,0x1fffffff,0xffffff88,0xfffff884,
    0xffff303f,0xffffffff,0xf901ffff,0xffffffff,0x07ffffff,0x7fffffec,
    0xffffffff,0xfffff105,0xffffffff,0x7100009f,0x1ffffffd,0xffffff70,
    0xffffffff,0xffff309f,0xffffffdf,0xfffffc8b,0x7fffdc01,0x3fffe21f,
    0xffffffcf,0x22ffffff,0xffeffffb,0xffffffff,0xfffffcff,0x0effffff,
    0x7fffffd4,0x7ffffec1,0x3ffff606,0xfeca9abf,0x7c44ffff,0xccefffff,
    0x6ffffffc,0xffffff30,0xfffffbbf,0xfffb07ff,0xfff9bfff,0x0003ffff,
    0x3fffff22,0x7cc0ffff,0xefffffff,0xffffffff,0x7ffffcc2,0x2fffffff,
    0x27ffffcc,0x1bffffa0,0xfffffff1,0xfffd9bff,0x7fdcdfff,0xcdffffff,
    0xfffffffd,0xffdcdfff,0xfd83ffff,0x3ea6ffff,0x200fffff,0x101fffff,
    0xc8dfffff,0xf01fffff,0xd01fffff,0x887fffff,0x46fffffb,0x0dfffff9,
    0x2fffff54,0x3fff6600,0xffffffff,0x7fffff40,0x7ffec42f,0x3fe60fff,
    0xabdfffff,0xfffe80fd,0x3ffe606f,0x7ffc43ff,0xfb83ffff,0xf70fffff,
    0x81dfffff,0xfffffffa,0x7fffdc0e,0xfffe885f,0xffff8cff,0x3fe202ff,
    0x36a01fff,0xedb980ab,0x3fff204f,0x7ffdc0ff,0x3ff604ff,0x3ffa2fff,
    0xff300fff,0xd5003fff,0xffffffff,0xf9839fff,0x200effff,0x24fffffc,
    0x5ffffff9,0x3fffee00,0xffff901f,0xffff881f,0x3ff605ff,0xfff70fff,
    0x3fa01fff,0x880fffff,0x306fffff,0xfdffffff,0x880bffff,0x1cffffff,
    0xf3000000,0xfd83ffff,0x2600ffff,0x3e20abde,0x6c03ffff,0x9104ffff,
    0xffffffff,0x5c05bfff,0x402fffff,0x27fffff8,0x1ffffff9,0x3fffe200,
    0xfffff04f,0xfffff10b,0x7ffdc01f,0xffff71ff,0x7ffec09f,0x3ffa03ff,
    0x3ff206ff,0xffffffff,0xfffe800e,0x0bdfffff,0x75cc0000,0x741fffff,
    0x0005ffff,0x17ffffcc,0x17fffee0,0xffffffb3,0x017dffff,0x0dffffb0,
    0x3fffff20,0xdfffff31,0xffff9000,0xfffff50f,0xfffff103,0xffffa80d,
    0xfffff72f,0x7fffe405,0x3fff602f,0x7fff407f,0x01ffffff,0xffffff70,
    0x39dfffff,0xffd95000,0x3fffffff,0x04fffff8,0x7fffd400,0xccccccdf,
    0x26ffffdc,0xfffffff8,0x4001cfff,0x005fffff,0x25fffff5,0x04fffff9,
    0xfffff980,0x37fffec2,0x4fffff88,0x7ffffd40,0x3fffff72,0x7ffffe40,
    0x3ffff601,0x7fffcc07,0x4003ffff,0xfffffffc,0x1dffffff,0x3fff6e20,
    0xffffffff,0x3ffe21ff,0x5c0004ff,0xffffffff,0xffffffff,0x3ffe27ff,
    0x00aeffff,0xfffff980,0xffff3003,0x3fffe67f,0xffd0003f,0x7ffc4bff,
    0xfff103ff,0xff9809ff,0xfff72fff,0x7fe403ff,0x3f600fff,0xfb807fff,
    0x006fffff,0xffffff90,0xffffffff,0xffffd105,0xffdfffff,0x7fcc3fff,
    0x40004fff,0xfffffffc,0xffffffff,0xff10ffff,0x0019ffff,0x7ffffcc0,
    0xffff1003,0x3fffe69f,0xff70003f,0x3fee1fff,0xff100fff,0xf9809fff,
    0xff72ffff,0x7e403fff,0x3600ffff,0xa807ffff,0x0fffffff,0xffd71000,
    0xffffffff,0x7ffcc1ff,0x8abeffff,0x21fffff9,0x04fffff8,0x7fffe400,
    0xffffffff,0x0fffffff,0xfffffff1,0xf300039f,0x2009ffff,0x33fffff9,
    0x007fffff,0x9fffffc0,0x205ffffd,0x04fffff8,0x97ffffcc,0x00fffffb,
    0x03fffff2,0x07ffffd8,0x7fffffc4,0x880006ff,0xfffffeca,0x3ffa4fff,
    0xf980bfff,0x7fc1ffff,0x00805fff,0x03ffffee,0xffff1000,0x7dffffff,
    0x3ffe2001,0xff5005ff,0x3fe63fff,0x20002fff,0xf8dffffc,0x2201ffff,
    0x404fffff,0x72fffff9,0x401fffff,0x00fffffc,0x01fffff6,0xfffffffb,
    0x800007ff,0xfffffeb8,0xbfffff15,0x7ffffd40,0x3fffff41,0x8de77f40,
    0x02fffff9,0xfffc8800,0xffffffff,0xffff801c,0xffd800ff,0xfff30fff,
    0x4c0005ff,0xffbfffff,0x7fc406ff,0x7cc04fff,0xff72ffff,0x7e401fff,
    0x3600ffff,0x2e07ffff,0xffffffff,0x54c01fff,0xff806ecb,0xfff56fff,
    0x7fdc03ff,0x7fec1fff,0x3e602fff,0xff14ffff,0xcd809fff,0x7f54009a,
    0xffffffff,0xff900bef,0xf9809fff,0x3e66ffff,0x0002ffff,0x7ffffff4,
    0x7c403fff,0x4c04ffff,0xf72fffff,0x6401ffff,0x200fffff,0x307ffffd,
    0xfbffffff,0xd80dffff,0x403fffff,0xf74fffff,0x2207ffff,0x41ffffff,
    0x0efffff9,0x3fffffb0,0x0fffffec,0x5fffffb8,0xffffd980,0xdfffffff,
    0x7ffffcc1,0xfffd102f,0x7ffcc5ff,0x540002ff,0xffffffff,0x7ffc400f,
    0x7fcc04ff,0xfff72fff,0x7fe401ff,0x3f600fff,0xffd07fff,0xfff17fff,
    0x7d409fff,0x40afffff,0x2fffffc8,0x1dfffff3,0xfffffe98,0xffffd81f,
    0xfec99bff,0x7cc6ffff,0x542fffff,0x01ffffff,0x3ffff220,0x0fffffff,
    0x7fffffec,0xfffb99ad,0x7fcc5fff,0x80002fff,0xffffffff,0xffff8805,
    0x7ffcc04f,0xffff72ff,0x7ffe401f,0x3ff600ff,0xfffc87ff,0x3ffea6ff,
    0x3fa02fff,0xddffffff,0xeffffffe,0xffffff10,0xfffff9bf,0xf105ffff,
    0xffffffff,0x3fffffff,0xffffffb0,0xffffffdf,0x2e2000bf,0xfffffffe,
    0x7fffc40f,0xffffffff,0x4c0fffff,0x002fffff,0xfffffc80,0xff8802ff,
    0x7cc04fff,0xff72ffff,0x7e401fff,0x3600ffff,0x7cc7ffff,0x6c1fffff,
    0x00ffffff,0xffffffd1,0xffffffff,0xffffb81f,0xffffffff,0x704fffff,
    0xffffffff,0x05ffffff,0x7fffffec,0xefffffff,0xfda80000,0x980fffff,
    0xffffffff,0x1fffffff,0x2fffff98,0xfff98000,0xf1006fff,0x9809ffff,
    0xf72fffff,0x6401ffff,0x200fffff,0x227ffffd,0x83fffffe,0x5ffffff8,
    0x3ffff620,0xffffffff,0xffffb01e,0x91dfffff,0x4c0fffff,0xfffffffe,
    0xb803ffff,0xffffffff,0x0000efff,0x7fffe4c0,0xffffb100,0xbfffffff,
    0x3fffe601,0xfd00002f,0x2007ffff,0x04fffff8,0x97ffffcc,0x00fffffb,
    0x03fffff2,0x27ffffd8,0x06fffffd,0x3fffffea,0x7ffecc02,0x02efffff,
    0xfffffea8,0x3fffe63e,0x7ff6402f,0x00cfffff,0x3fffb6a0,0x0002efff,
    0x07fdc400,0x3fff6e60,0x4c02dfff,0x002fffff,0xfffff500,0x3ffe2001,
    0x7fcc04ff,0xfff72fff,0x7fe401ff,0x3f600fff,0xfff57fff,0xfd803fff,
    0x000fffff,0x00355533,0x0026aa60,0x4d54c000,0xa9880000,0x0000009a,
    0xa9800280,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0d5554c0,0x0aaaaa60,0x85555530,0xaaaaaaa9,0xaaaaaaaa,
    0x3bae002a,0xa80003ee,0x8804ffff,0xcccccccc,0xcccccccc,0x7c01cccc,
    0x664403ff,0x55531ccc,0x5554c155,0x2aaaa1aa,0x04d4c02a,0xbbba8c00,
    0x1bbbbbbb,0x0bfffff6,0x00000000,0x037fffdc,0x01fffffa,0xb8bffffd,
    0xffffffff,0xffffffff,0xfff9000f,0xfd00009f,0x9801ffff,0xffffffff,
    0xffffffff,0x7402ffff,0x7fc403ff,0xfffb3fff,0x7ffe45ff,0xffff13ff,
    0xfffd30ff,0x90017dff,0x3fffff2b,0x6c2fffff,0x0006ffff,0xf3000000,
    0x2201ffff,0x01ffffff,0x85fffff1,0xfffffffb,0xffffffff,0xff9000ff,
    0x980009ff,0x03ffffff,0x7fffffcc,0xffffffff,0x02ffffff,0x22017ff4,
    0xfb3fffff,0x7e45ffff,0xff13ffff,0xffb8ffff,0xffffffff,0xaff4c0ad,
    0xfffffffc,0xffd82fff,0x000001ff,0xfffd0000,0x3ffea07f,0xff503fff,
    0xffb81fff,0xffffffff,0x0fffffff,0x9ffff900,0xfffd8000,0x7cc06fff,
    0xffffffff,0xffffffff,0x832a2fff,0x82e21ffd,0xb3fffff8,0x645fffff,
    0xf13fffff,0x7e4fffff,0xffffffff,0xfdefffff,0xfff95fff,0x5fffffff,
    0x0bfffd10,0x00000000,0x417ffff2,0x5ffffffc,0x0bffff90,0xfffffff7,
    0xffffffff,0x3f2001ff,0x20004fff,0xfffffff9,0x3ffe602f,0xffffffff,
    0xffffffff,0x233ff62f,0xffd98ffc,0x3ffffe23,0x5fffffb3,0x9fffffe4,
    0x27fffff8,0xfffffffc,0xffffffff,0xf95fffff,0xffffffff,0x3ffa205f,
    0x0000001f,0xffff9800,0xfffffd07,0x3fffe0ff,0xaaaa983f,0xffe999aa,
    0x2002ffff,0x004ffffc,0x3fffff60,0x32206fff,0xcccccccc,0xcccccccc,
    0xfff11ccc,0xffdffdff,0x7ffc4bff,0xffffb2ff,0x7fffe45f,0xfffff13f,
    0x77fffe4f,0xfffffffe,0x5fffffff,0xfffffff9,0x7c405fff,0x000004ff,
    0xffff0000,0xffff885f,0x7cc1ffff,0x0000ffff,0x7ffffff9,0xffffc800,
    0xfff10004,0x3ffffddf,0x30000000,0xfffffffd,0x20ffffff,0xfff91ffc,
    0x7ffdc3ff,0x3fffe1ff,0x02bbf26f,0xffffffb5,0x221bffff,0x88888888,
    0x00110008,0x40000000,0x544ffffc,0xffffffff,0x37fffdc3,0xffffb800,
    0x333304ff,0xffff9333,0x33333339,0x3ffff201,0x05ffffbb,0x22000000,
    0xdffffeca,0x3ffa00ac,0x1fffff50,0x07ffffcc,0x649ffffb,0xffea8805,
    0x0002efff,0x00000000,0x7fd40000,0x7ffec6ff,0x745fffef,0x8003ffff,
    0x5ffffffa,0xffffff30,0xffffffff,0x05ffffff,0x11fffff1,0x003fffff,
    0xe8800000,0x9804ffff,0x3ffe26ff,0x7fffc46f,0x1ffffe47,0x35510003,
    0x00000001,0x00000000,0x3ffffe20,0x337fffe0,0x3fe27fff,0x4c001fff,
    0x0effffff,0xffffff30,0xffffffff,0x05ffffff,0x64bffff9,0xc884ffff,
    0xcccccccc,0xcccccccc,0xfe881ccc,0x203fffef,0x7fc1fffb,0xfffe85ff,
    0x17fffd46,0x00000000,0x00000000,0xffb00000,0x3ffe67ff,0x1ffffabf,
    0x00dffff5,0xffffff88,0x3ffe600f,0xffffffff,0xffffffff,0x7fffc42f,
    0x3fffe62f,0x7fffcc0f,0xffffffff,0xffffffff,0x47fff442,0xfb82fffc,
    0xfffd84ff,0x44fffd84,0x000ffff9,0x00000000,0x00000000,0x3ffea000,
    0x3ffff75f,0x367ffff1,0x2004ffff,0xffffffe8,0x7fffcc01,0xffffffff,
    0xffffffff,0x37fffdc2,0x227ffff4,0xfffffff9,0xffffffff,0x6c2fffff,
    0xfff13fff,0x02ef883f,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0x4ffffb7f,0xfff6fffe,0x7f4003ff,0x802fffff,0xfffffff9,0xffffffff,
    0x7c2fffff,0xfb83ffff,0x3e60ffff,0xffffffff,0xffffffff,0x7f4c2fff,
    0x1827fd46,0x00000000,0x00000000,0x00000000,0xffd00000,0xbffff5ff,
    0x7d7fffe4,0x36006fff,0x03ffffff,0xffff9000,0x7ffdc009,0xfff880ff,
    0x3ffe63ff,0xffffffff,0xffffffff,0xd81d882f,0x00000001,0x00000000,
    0x00000000,0x80000000,0xffeffffb,0x3ffe62ff,0x04ffffef,0xffffff90,
    0x7e400007,0x3a004fff,0x3205ffff,0x3226ffff,0xcccccccc,0xcccccccc,
    0x00001ccc,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xffffff81,0xfb801fff,0x004fffff,0x7fffe400,0xffff5004,0x7ffcc05f,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd000,
    0xffb0dfff,0x00ffffff,0xbffffff5,0xff900000,0x000009ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffdc00,0xffb84fff,
    0x404fffff,0xfffffff8,0xffffffee,0xf9005fff,0x00009fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc000,0xf982ffff,
    0x02ffffff,0x7fffffd4,0xffffffff,0x9005ffff,0x0009ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffe80000,0xff00ffff,
    0x500fffff,0xffffffff,0xffffffff,0x3f200bff,0x00004fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffe4000,0x3ff606ff,
    0xfa805fff,0xffffffff,0xffffffff,0xddd7005f,0x0000007d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,0x3fffee04,
    0xfffa802f,0xffffffff,0x5fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_46_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,2,2,3,1,3,2,0,3,
3,2,3,1,2,1,3,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_46_usascii_y[95]={ 37,7,7,7,5,7,7,7,7,7,7,12,31,23,
31,7,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,41,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,15,15,15,15,15,15,7,7,7,18, };
static unsigned short stb__arial_bold_46_usascii_w[95]={ 0,7,16,23,21,34,29,8,11,11,16,22,7,12,
7,13,20,14,20,21,22,21,21,21,21,20,6,7,22,22,22,22,40,30,25,27,26,24,21,29,24,7,20,27,
21,30,24,30,24,31,27,25,25,25,29,39,28,29,25,11,13,11,20,25,10,21,22,21,22,21,15,22,21,7,
11,21,7,32,21,23,22,22,15,21,14,21,23,33,23,23,20,14,6,15,22, };
static unsigned short stb__arial_bold_46_usascii_h[95]={ 0,30,12,31,37,32,31,12,39,39,15,21,13,7,
6,31,31,30,30,31,30,31,31,30,31,31,22,29,23,15,23,30,39,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,33,30,31,30,31,30,30,30,30,30,39,31,39,17,5,7,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,39,39,39,9, };
static unsigned short stb__arial_bold_46_usascii_s[95]={ 253,23,148,157,140,194,134,165,1,128,123,
56,140,197,246,122,136,26,195,1,138,112,209,161,23,68,246,238,89,100,206,
183,87,107,81,181,26,1,216,78,170,162,190,119,97,66,41,47,1,162,53,
164,165,211,105,65,191,135,31,75,108,63,79,206,210,23,89,45,45,67,237,
231,1,57,51,220,242,198,176,112,24,1,136,1,147,229,152,1,231,229,35,
36,29,13,174, };
static unsigned short stb__arial_bold_46_usascii_t[95]={ 1,105,222,41,1,1,73,222,1,1,222,
222,222,222,159,41,41,136,136,73,167,73,41,167,73,73,136,136,198,222,167,
167,1,167,167,41,167,167,136,41,136,136,73,136,136,136,136,41,136,1,167,
73,105,73,105,105,105,105,105,1,41,1,222,191,222,198,73,198,73,198,73,
41,105,105,1,105,105,198,198,198,41,41,198,198,136,167,198,222,198,1,222,
1,1,1,222, };
static unsigned short stb__arial_bold_46_usascii_a[95]={ 183,219,312,366,366,586,476,157,
219,219,256,385,183,219,183,183,366,366,366,366,366,366,366,366,
366,366,219,219,385,385,385,402,642,476,476,476,476,439,402,512,
476,183,366,476,402,549,476,512,439,512,476,439,402,476,439,622,
439,439,402,219,183,219,385,366,219,366,402,366,402,366,219,402,
402,183,183,366,183,586,402,402,402,402,256,366,219,402,366,512,
366,366,329,256,184,256,385, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_46_usascii(stb_fontchar font[STB_FONT_arial_bold_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_46_usascii_s[i] + stb__arial_bold_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_46_usascii_t[i] + stb__arial_bold_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_46_usascii_x[i];
            font[i].y0 = stb__arial_bold_46_usascii_y[i];
            font[i].x1 = stb__arial_bold_46_usascii_x[i] + stb__arial_bold_46_usascii_w[i];
            font[i].y1 = stb__arial_bold_46_usascii_y[i] + stb__arial_bold_46_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_46_usascii_s[i] + stb__arial_bold_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_46_usascii_t[i] + stb__arial_bold_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_46_usascii_x[i] + stb__arial_bold_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_46_usascii_y[i] + stb__arial_bold_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_46_usascii_LINE_SPACING
#endif

