// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT        280
#define STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_49_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_49_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_49_usascii_LINE_SPACING          32

static unsigned int stb__arial_bold_49_usascii_pixels[]={
    0x200bfff5,0x003ceeff,0x00ffffe6,0x07feedb8,0xd9955000,0x0579bdfd,
    0x3fe20000,0xaaaa807f,0x2aaaaa2a,0x512aaaaa,0x55555555,0x7fdc0035,
    0x51000004,0x357bdd97,0x0c400000,0xeeeeb800,0x3bae004e,0x3ffe3eee,
    0xffff802f,0xf9802eff,0xea803fff,0x007fffff,0x3ffff260,0xffffffff,
    0x00002dff,0x2013fff2,0x3a7fffff,0xffffffff,0xfffff15f,0x007fffff,
    0x00027fdc,0x3fffff20,0xdfffffff,0xeda80000,0x2e0bdfff,0xff35eeee,
    0x2001ffff,0x21ffffff,0x400ffffc,0xffffffff,0x7fffcc02,0x7fffdc03,
    0x44007fff,0xffffffeb,0xffffffff,0x002fffff,0x0ffffcc0,0x3fffffc0,
    0xfffffffd,0x3ffe2bff,0x3fffffff,0xeffeb980,0x74c0001c,0xffffffff,
    0x3fffffff,0x3fff6000,0x91ffffff,0x7f4fffff,0x9803ffff,0x446fffff,
    0x7c04ffff,0x6fffffff,0x1ffffcc0,0xffffff10,0x7cc00fff,0xffffffff,
    0xffffffff,0x0dffffff,0xbfffb000,0x3ffffe00,0x3fffffa7,0xff15ffff,
    0xffffffff,0x7fffdc07,0x03ffffff,0xfffffc80,0xffffffff,0x00efffff,
    0x3ffffa60,0xafffffff,0x2e7ffffc,0x805fffff,0x83fffffc,0x201ffffd,
    0xffffffff,0x3ffe602f,0x3ffee03f,0x007fffff,0xfffffff7,0x54c3357b,
    0xfffffdcb,0x7cc001ff,0xff002fff,0x7ff4ffff,0x5fffffff,0xfffffff1,
    0xfb107fff,0xffffffff,0x1001bfff,0xfffffffd,0xffffffff,0x03ffffff,
    0x3fffffa0,0xffffffff,0x227ffffe,0x00ffffff,0x07fffffc,0x02ffffd4,
    0xffffd533,0x7ffcc09f,0x3fff603f,0x4019adff,0xefffffd8,0xfc88000b,
    0x001fffff,0x801ffff6,0x3a7fffff,0xaaaeffff,0x2a66662a,0xd83fffff,
    0xffffffff,0x05ffffff,0xffffffc8,0xfdccefff,0xffffffff,0xffffa806,
    0xfdbbcfff,0x7fffffff,0x1fffffec,0xbfffff30,0x07ffffc0,0x5fffff80,
    0x0ffffe60,0x06ffffe8,0x77ffff40,0xfb300002,0x3001dfff,0x4009ffff,
    0x3a199999,0x4006ffff,0x43fffff9,0xfffffffa,0xffffffff,0x3ffe603f,
    0x201effff,0xffffffd8,0x7fff403f,0xfe980eff,0x547fffff,0x205fffff,
    0x02fffffc,0x00fffff2,0x037ffff4,0x407ffff3,0x005fffff,0x03bffff2,
    0x3fea0000,0xffe805ff,0x200001ff,0x006ffffe,0x1fffffcc,0x33fffffe,
    0xfffccffb,0x3ffa06ff,0x000dffff,0xfffffff7,0x3fffee01,0x3fe200ff,
    0xff87ffff,0xfd00ffff,0xfa80ffff,0xf9007fff,0x7cc0dfff,0x3fe03fff,
    0xf5004fff,0x22009fff,0xfffb8000,0x3ffea02f,0x7400007f,0x4006ffff,
    0x23fffff9,0x73fffff9,0x3fff29ff,0xfffb81ff,0xb8005fff,0x05ffffff,
    0x09fffff9,0xffffff90,0x7fffff90,0x9fffff30,0x5fffff00,0xdffff900,
    0x1ffffcc0,0x07fffff0,0x09ffff10,0x77ff6544,0x3333321c,0x81bfff62,
    0x004ffffd,0xd377776c,0x800dffff,0x23fffff9,0x70fffffa,0x3ffe69ff,
    0xffff81ef,0xd0000fff,0x03ffffff,0x03fffffb,0xffffff30,0xbfffff30,
    0x3fffff90,0xbffffb00,0xfffff900,0x1ffffcc0,0x07fffff0,0x40dfffd0,
    0xfffffffa,0xffff8aff,0x3fffe23f,0x5fffff01,0xfffff800,0x1bffffa7,
    0xfffff300,0x2ffffe47,0x00cc9ff7,0x3fffffe6,0x3fea0004,0xfe83ffff,
    0x8800ffff,0xd07fffff,0xe81fffff,0x7006ffff,0x900fffff,0x4c0fffff,
    0x3e03ffff,0x4c03ffff,0xf501ffff,0xffffffff,0xfffffbff,0x84fffa85,
    0x00fffff9,0x3fffffc0,0x00dffffd,0x3fffff98,0xb9ffffee,0x7d4004ff,
    0x000fffff,0x7fffff40,0x7fffff84,0x3ffffe00,0xfffff707,0x7ffffcc7,
    0xffff5004,0xfffb803f,0x3ffe607f,0x3fffe03f,0x7ffe402f,0xfffff504,
    0xffffdbdf,0x881fffff,0xffc87fff,0xff8007ff,0x3ffa7fff,0x7cc006ff,
    0x3ea3ffff,0xff72ffff,0xfffb8009,0xd80007ff,0x445fffff,0x007fffff,
    0x41fffffe,0x25fffff8,0x01fffffb,0x7fffff30,0xfffffb80,0x7ffff300,
    0x3ffffe20,0x3fffe202,0xfffffb80,0x7fffd40d,0xfff06fff,0xffffe81f,
    0xffff8006,0x3ffffa7f,0x7ffcc006,0x3ffe63ff,0x4ffbbfff,0x7fffe400,
    0xfb80006f,0x7c46ffff,0x800fffff,0x07fffff8,0x43fffff6,0x006ffffe,
    0x17ffffe2,0x3fffff50,0x0ffffe60,0x07ffffd4,0x10bfff70,0x40bfffff,
    0x5ffffffa,0x443fffb0,0x005fffff,0x27fffff8,0x006ffffe,0x1fffffcc,
    0x3ffffffa,0x74004fff,0x005fffff,0xfffffa80,0xffffff87,0xffff9801,
    0x3ffea07f,0xffff9aff,0x7ffc003f,0x7fc407ff,0xff304fff,0x3ff607ff,
    0x7ff407ff,0xffffc82f,0xffffe806,0x5fff703f,0x27ffffcc,0x7ffffc00,
    0x1bffffa7,0xfffff300,0xfffffa87,0x002effff,0x0ffffffe,0x3ffe6000,
    0x7ff41fff,0xfb802fff,0x7c07ffff,0xffbdffff,0x7c000fff,0xd807ffff,
    0x981fffff,0xf983ffff,0x7c06ffff,0xfff887ff,0xffd802ff,0xff501fff,
    0x7fffd47f,0xfff8003f,0x3fffa7ff,0x7fcc006f,0xffe83fff,0xffffffff,
    0x7ffc01cf,0x80003fff,0x1ffffff9,0x37ffffec,0x7fffff40,0x7fffe407,
    0x05ffffef,0xfffffe80,0x7fffd400,0x3fe61bef,0x3fea23ff,0x2202ffff,
    0xffc85fff,0xff9007ff,0x3f201fff,0x3ffee2ff,0xff8002ff,0x3ffa7fff,
    0x7cc006ff,0xd883ffff,0xffffffff,0x3a04ffff,0x004fffff,0xfffffa80,
    0x7fffcc1f,0x3ff203ff,0x4c07ffff,0xffffffff,0xfd8002ff,0xe800ffff,
    0x4fffffff,0x367ffff3,0x6fffffff,0x427ffcc0,0x004fffff,0x40dffffb,
    0x3ee0fffe,0x8002ffff,0x3a7fffff,0x4006ffff,0x03fffff9,0x3ffffff2,
    0x0effffff,0x5fffffd8,0xfffb8000,0xffe80fff,0x260cffff,0xfffffffd,
    0xffffe807,0x0007ffff,0x03fffff9,0xfffffd10,0x3fffe69f,0xffffffb3,
    0xfffa801d,0x7ffffc43,0xffffd003,0x1fffe209,0x03fffff9,0xffffff00,
    0x037ffff4,0x3ffffe60,0x7ffe4403,0xffffffff,0xfffffc86,0xffc80006,
    0xfa80ffff,0xffffffff,0xffffffff,0xffb807ff,0x04ffffff,0xfffff700,
    0x3ffa2003,0xfff34fff,0x3ffff67f,0xfff7006f,0xfffff985,0xffff8801,
    0xdfff503f,0x0fffffd8,0xfffff800,0x1bffffa7,0xfffff300,0x7ffe4007,
    0x3fffffff,0x3fffffdc,0x7ffec000,0x3ff207ff,0xffffffff,0xfffffdff,
    0xffff8807,0x0001ffff,0x03fffff7,0x3fffff20,0x7ffff34f,0x3ffffff6,
    0x1fffc803,0x07ffffd4,0x7ffffcc0,0x89fff901,0x00fffffc,0x7fffff80,
    0x01bffffa,0x7fffff30,0x76ffdc00,0x47ffffff,0x1ffffffa,0xff8805c0,
    0x6405ffff,0xffffffff,0xfffff4ff,0x3fff600f,0x20006fff,0x00fffffb,
    0xffffffd8,0x7ffff34f,0x3ffffff6,0x7ffe404f,0x3ffffe41,0x7ffffb80,
    0x83ffff10,0x01fffffb,0x7fffff80,0x01bffffa,0x7fffff30,0xaa7fdc00,
    0x20ffffff,0x5ffffff8,0x9033fe60,0x07ffffff,0xffffff70,0x7fffc7ff,
    0xfff5007f,0x40007fff,0x00fffffc,0x7fffffcc,0xffff30bc,0x3fffb267,
    0x3ee01fff,0x7ffe42ff,0xfff8807f,0xfffd06ff,0xfffff70b,0xffff0003,
    0x7ffff4ff,0x7ffcc006,0x3ee003ff,0x3fffee4f,0x7ffff41f,0xfffb01ff,
    0xffff119f,0x22001fff,0x40bdeeca,0x006fffff,0x1ffffff3,0x7ffe4000,
    0xfffe807f,0xfff982ff,0xffffc83f,0x3ffea05f,0x7ffffd43,0x7fffdc00,
    0xffffd84f,0xfffffa80,0xffff8002,0x3ffffa7f,0x7ffcc006,0x0a9883ff,
    0xff893fee,0x7fcc2fff,0x440effff,0xefffffff,0x04ffffff,0xfff88000,
    0xffb006ff,0x8000dfff,0x806ffffd,0x305fffff,0x3a07ffff,0x2607ffff,
    0x7fcc4fff,0x3e202fff,0x5c2fffff,0xf304ffff,0x0007ffff,0x74ffffff,
    0x4006ffff,0x53fffff9,0x5c7fffff,0x7fff44ff,0xffffc81f,0x7f4c1eff,
    0xffffffff,0x26a206ff,0x7ffcc000,0xff9805ff,0x0003ffff,0x027ffff4,
    0x0bffffe6,0x81ffffcc,0x00fffffa,0xf88dfff1,0x3606ffff,0x11ffffff,
    0x01dffff7,0x13ffffe2,0x3ffffe00,0x1bffffa7,0xfffff300,0x3ffffe27,
    0xf993fee6,0xf880ffff,0xbfffffff,0x7ffffcc1,0x202fffff,0x2eeffffa,
    0x7ffffd40,0x7fff4404,0x20000fff,0x03fffff8,0x07ffffd4,0x03ffff98,
    0x03fffff3,0x320ffff4,0x8bffffff,0xfffffea8,0xffffcdff,0x7ff401ff,
    0xff8004ff,0x3ffa7fff,0x7cc006ff,0x3fa3ffff,0xff72ffff,0x3ffffe49,
    0xffffff70,0xffddffff,0xffffffff,0xffff880b,0xff300fff,0x7445ffff,
    0xfffffdcc,0x4c0003ff,0x401fffff,0x207ffffb,0x103ffff9,0x405fffff,
    0xfe85fffb,0xffffffff,0xffffffff,0x1fffffff,0x6ffffc80,0xfffff800,
    0x1bffffa7,0xfffff300,0x7ffffe47,0xf54ffbbf,0xc809ffff,0xffffffff,
    0xffffffff,0x03ffffff,0x7ffffffc,0xffedbbdf,0x7c46ffff,0xffffffff,
    0x5c0000ff,0xb807ffff,0x2607ffff,0xf103ffff,0x4405ffff,0x7cc0ffff,
    0xffffffff,0xfffffeff,0x00dfffff,0x1fffff50,0xfffff800,0x1bffffa7,
    0xfffff300,0x7ffffc47,0xfedfffff,0x800fffff,0xffffffe9,0xffffffff,
    0xefffffff,0xfffff502,0xffffffff,0xf03fffff,0xffffffff,0xf900005f,
    0xf900bfff,0x7cc0ffff,0x3fe03fff,0x7ec03fff,0xffd885ff,0xd1efffff,
    0xdfffffff,0xfff88007,0x7fc002ff,0x3ffa7fff,0x7cc006ff,0x7d43ffff,
    0xffffffff,0x3fffffff,0x7fffe400,0xffffffff,0xffffffff,0xffc81eff,
    0xffffffff,0x04ffffff,0xfffffffd,0x3a00005f,0xc802ffff,0x2606ffff,
    0x3e03ffff,0x4c03ffff,0x9504ffff,0xc9859dfd,0x201ceefe,0x7ec1aaaa,
    0x7c004fff,0x3fa7ffff,0x4c006fff,0xc83fffff,0xffffffff,0x04ffffff,
    0xffdb9300,0x5bffffff,0xfffffff5,0x3ffee01f,0xffffffff,0x3f602eff,
    0x00beffff,0xffff1000,0x3fff200f,0x3ffe606f,0x3fffe03f,0xfffc803f,
    0x0000003f,0x03bfffa2,0x00dffff5,0x27fffff8,0x006ffffe,0x1fffffcc,
    0xffffffb8,0x02ffffff,0x55d4c000,0xfffd881a,0xeda804ff,0xdeffffff,
    0x00262003,0x7ffdc000,0xfffb004f,0x7ffcc0df,0x3fffe03f,0xfffd004f,
    0x0000007f,0x03ffffd1,0x003ffffe,0x3fffffc4,0x00dffffd,0x3fffff98,
    0x3ffff620,0x000befff,0xfa800000,0x30000fff,0x00000003,0xffffd800,
    0xffffd001,0x7fffcc0d,0x3ffffe03,0xffff1006,0x000003df,0x13ffffaa,
    0x02ffffc8,0xffffff50,0x037ffff4,0x3ffffe60,0xbffb3003,0x00000001,
    0x000fae00,0x00000000,0xffff8800,0xfffc8806,0x3fe605ff,0x3ffa03ff,
    0xa800bfff,0x1cffffff,0xffd50000,0xf880bfff,0x2ae05fff,0x6ffffffc,
    0x01bffffa,0x7fffff30,0x027fdc00,0x00000000,0x00000000,0x2e000000,
    0x3e01ffff,0xffffffff,0x3fffe603,0x3ffff203,0x4c07ffff,0xfffffffe,
    0xb71000ac,0x7fffffff,0x3ffff600,0xfffff880,0x3fa4ffff,0xeeeeffff,
    0xfddddd14,0x4007ffff,0x00004ffb,0x00000000,0x00000000,0x7fff4000,
    0x7ffffc05,0x2600ffff,0x2203ffff,0xffffffff,0xffff9007,0xdfffffff,
    0xffffdddd,0x3fffffff,0x7fffc400,0xfffffa83,0x3fa2ffff,0xffffffff,
    0xffffff15,0x4007ffff,0x00004ffb,0x00000000,0x00000000,0x3ffe6000,
    0x7fffc00f,0x4c04ffff,0x6403ffff,0x7fffffff,0x3fffa600,0xffffffff,
    0xffffffff,0x000cffff,0xc86fffc8,0xffffffff,0x7fffff44,0xff15ffff,
    0xffffffff,0x0d54c007,0x00000000,0x00000000,0xb0000000,0xff009fff,
    0x019fffff,0x03ffff98,0x7ffffec4,0xeb88007f,0xffffffff,0xffffffff,
    0x440002df,0x7ec2ffff,0x86ffffff,0xfffffffe,0xffff15ff,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x0ffff880,0xcfffff80,0xffff3000,
    0x3ff66007,0x440007ff,0xffffeecb,0x0bcdefff,0x3fea0000,0x7fffe45f,
    0xeed80ace,0x4eeeeeee,0xddddddd1,0x00005ddd,0x00000000,0x00000000,
    0x88000000,0x33000999,0x26600013,0x98800099,0x20000019,0x00000098,
    0x44066660,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb7100000,0x200059dd,0x0005fffc,0x00000060,0x00000130,
    0x37bbb72a,0x000000ab,0x3bfb72e2,0x0000abcd,0x03577530,0x26ea2000,
    0x3fa00000,0xfffa86ff,0xa980003f,0x5552aaaa,0x7d401555,0x1effffff,
    0x3fffe200,0x3b260001,0x2a1bdfff,0x7746eeee,0x36e23eee,0x002cefff,
    0x7fffec40,0xffffffff,0xd700000d,0xffffffff,0x0019ffff,0xfffff910,
    0x80019fff,0xffffffd8,0x220000ce,0xfc85ffff,0x80002fff,0xd6fffffb,
    0x201fffff,0xfffffffb,0xf9000fff,0x5c000bff,0xffffffff,0xfffff72f,
    0x34fffff8,0xffffffff,0x3ea0009f,0xffffffff,0x2fffffff,0x3ffa6000,
    0xffffffff,0x04ffffff,0x3ffffee0,0x3fffffff,0xfffff700,0x03ffffff,
    0x3fffe600,0x0ffffe83,0xfffb8000,0xffffd6ff,0x3fffe01f,0x4ffffecf,
    0x1ffff880,0xfffd8800,0xffffffff,0x47ffffba,0xf9cfffff,0xffffffff,
    0xb1000eff,0xffffffff,0xffffffff,0xb8001bff,0xffffffff,0xffffffff,
    0xfb805fff,0xffffffff,0x403fffff,0xfffffffd,0x03ffffff,0x1ffffb80,
    0x007ffff8,0xfffff700,0x3fffffad,0x1ffffb80,0x003ffff2,0x000bfff9,
    0x3ffffff2,0xefffffff,0x7fc7ffff,0xffffefff,0xffffffff,0xffe8805f,
    0xffffffff,0xffffffff,0xf9001fff,0xffffffff,0xffffffff,0x4c09ffff,
    0xffffffff,0xffffffff,0xfffff701,0xffffffff,0xfd8007ff,0x7fcc0fff,
    0x700005ff,0x3adfffff,0xd80fffff,0x7fcc6fff,0x3fe202ff,0xf98001ff,
    0xceffffff,0xffffffdb,0x7fffc7ff,0xccefffff,0xfffffffe,0x7fffe402,
    0xccefffff,0xfffffffd,0xffa806ff,0xefffffff,0xffffdccd,0xd03fffff,
    0x7dffffff,0xffffffd5,0xfffff10b,0xfffd79df,0x4001ffff,0xfa86fffe,
    0x00003fff,0x2dfffff7,0x80fffffe,0x7c45fffe,0x3f203fff,0xfb0005ff,
    0x107fffff,0xfffffffd,0xfffffff8,0xffffa82f,0x3fea06ff,0x01efffff,
    0x3fffff62,0x3fe203ff,0x03ffffff,0x7fffffdc,0xfffff06f,0xffff303f,
    0xffffb0ff,0xffff50bf,0x3e200bff,0xffc85fff,0x700002ff,0x22dfffff,
    0xff019999,0xfff889ff,0xffff104f,0xfff30003,0x7c405fff,0x7c7fffff,
    0x01ffffff,0x3fffffe6,0xfffff882,0xf7000dff,0x01ffffff,0x3ffffffa,
    0xfff1000e,0xf985ffff,0x3a06ffff,0x7c1fffff,0x700fffff,0x01ffffff,
    0x07ffff30,0x001ffffb,0x3fffee00,0xfff8006f,0x5ffff84f,0x00bfff90,
    0x3ffffee0,0xffffc806,0x7ffffc7f,0xfffd805f,0xfffc84ff,0xa8005fff,
    0x85ffffff,0x6ffffff9,0xffff9800,0x7ffd45ff,0x3fea03ff,0x3fe22fff,
    0x7fc04fff,0x32a2ffff,0xfffdcccc,0xffccccdf,0x003ccfff,0x7ffffdc0,
    0xffff8006,0x27fffc44,0x00ffffc4,0xfffffc80,0xffff8803,0x7ffffc7f,
    0xfffa801f,0xffff85ff,0xd0000fff,0x83ffffff,0x1ffffffc,0xbfffb000,
    0xffff8859,0x3ffea03f,0x3ffea0ff,0x7fe403ff,0x3ff24fff,0xffffffff,
    0xffffffff,0x0006ffff,0xb7ffffdc,0x80eeeeed,0x7c45fffe,0xffc83fff,
    0x3f60005f,0xf002ffff,0xff8fffff,0x9800ffff,0x4c6fffff,0x04ffffff,
    0x3fffea00,0x7fffc3ff,0x220005ff,0xfffe800a,0x3fff606f,0x7fffdc6f,
    0x7ffdc02f,0x3fff26ff,0xffffffff,0xffffffff,0x40006fff,0xd6fffffb,
    0xb01fffff,0xffa8ffff,0x7ffc42ff,0x3fe0001f,0xd001ffff,0xff8fffff,
    0xf1007fff,0xfc8fffff,0x000fffff,0x7fffff40,0x3ffffea4,0x0000001f,
    0x03fffff9,0x89fffff3,0x02fffffb,0x3fffffd4,0xfffffff9,0xffffffff,
    0xdfffffff,0xfffb8000,0xffffd6ff,0xffff501f,0x3ffffa27,0x02fffe40,
    0x3ffffe00,0xfffd000f,0xfffff8ff,0x3fffe007,0x3fff60ff,0xc80006ff,
    0x2e5fffff,0x00ffffff,0xff300000,0xb55bffff,0x83ffffff,0x03fffffa,
    0x7fffffdc,0xffffff90,0xffffffff,0xffffffff,0xffb8000d,0xfffd6fff,
    0x3ffa01ff,0xffffffff,0x0ffffc43,0x3fffa000,0xfff000ff,0xffff8fff,
    0x3ffe007f,0x7fff47ff,0xb80005ff,0x326fffff,0x007fffff,0x7fd40000,
    0xffffffff,0xf980efff,0x6404ffff,0x11ffffff,0xfff93333,0xff33335f,
    0x01333dff,0xffffb800,0xfffffd6f,0x3fffe601,0xc86fffff,0x80005fff,
    0x01fffffd,0x8ffffff0,0x00ffffff,0x6fffff88,0x27fffffc,0x7ffd4000,
    0x3fff67ff,0x000006ff,0xffffd880,0x05ffffff,0x1fffffe2,0xfffffff0,
    0x7fffec03,0x2ffffc40,0x3fee0000,0xfffd6fff,0x7f4401ff,0x884fffff,
    0x0001ffff,0x2fffffc8,0xfffff980,0x7fffffc7,0xffff9802,0x7ffffc5f,
    0xf980003f,0xfd1fffff,0x100bffff,0xdddddddd,0x205ddddd,0xffffffc8,
    0x200dffff,0x03fffffd,0xfffffff9,0x37fffc03,0x01ffffd4,0x3ffee000,
    0xffffd6ff,0x7953001f,0x3fff2015,0x00266205,0x0bfffff7,0xffffff90,
    0x5ffffff8,0xfffffc80,0x7fffffc4,0xff980003,0xffd2ffff,0xf300bfff,
    0xffffffff,0xf507ffff,0xffffffff,0x207fffff,0xcffffff9,0xfffffb31,
    0x3e205fff,0xffc85fff,0x400001ff,0xd6fffffb,0x001fffff,0x7fffc400,
    0xffffea81,0xffff302e,0x7fc403ff,0x7fc7ffff,0x201fffff,0x3ffffff8,
    0x27fffffc,0x7ffd4000,0xfffb0fff,0xff300dff,0xffffffff,0xff987fff,
    0xeddfffff,0x03ffffff,0xfffffff9,0xffffffff,0x3ea03fff,0xffd83fff,
    0x400000ff,0xd6fffffb,0x001fffff,0x2fffe400,0x7fffffec,0xfffd05ff,
    0xfd301dff,0xf8ffffff,0x1fffffff,0xfffffd88,0xfffffd86,0xffb80005,
    0x3ff27fff,0xf9807fff,0xffffffff,0x7fc3ffff,0xfb83ffff,0xd01fffff,
    0xffffffff,0xffffffff,0x3ffee03f,0x6ffff81f,0xffb80000,0xfffd6fff,
    0x200001ff,0x5c1ffff8,0xffffffff,0xfff983ff,0xcaacffff,0xffffffff,
    0x7fffffc7,0xecaacfff,0x82ffffff,0x06fffffc,0xffffc800,0x3ffff26f,
    0xfff9807f,0xffffffff,0x3ffe63ff,0x3fee04ff,0x3f205fff,0xffffffff,
    0x1ffffff9,0xfffd9995,0xff99999f,0x79999dff,0xfffb8000,0xffffd6ff,
    0x3200001f,0x7fc45fff,0xffea9eff,0xfffd80ff,0xffffffff,0x7fffffff,
    0x7ffffffc,0xffffffff,0xf706ffff,0x000fffff,0xbfffffb0,0x7fffffd4,
    0x55554401,0xfffffaaa,0x3fffee3f,0x7fff402f,0x3f6a00ff,0xf88dffff,
    0xf90fffff,0xffffffff,0xffffffff,0x00dfffff,0xfffffb80,0x1fffffd6,
    0xfff10000,0xffffb83f,0x0ffffea1,0x3fffffe2,0xfcffffff,0x7fc7ffff,
    0xfffcffff,0xffffffff,0xffff501f,0x440005ff,0x24ffffff,0x4ffffff8,
    0x7fffc000,0x3fffa3ff,0xfffd807f,0x153001ff,0x7fffff98,0x3ffffff2,
    0xffffffff,0xffffffff,0xb8033106,0xfd5fffff,0x0001ffff,0x90bfff90,
    0xfff0ffff,0x3ffa209f,0x3fffffff,0xf8ffffff,0xff57ffff,0xbfffffff,
    0x7fffc401,0x320006ff,0x42ffffff,0x0ffffffd,0x3fffe000,0xffff13ff,
    0xfff900bf,0xa80005ff,0x325fffff,0xffffffff,0xffffffff,0x16ffffff,
    0x80dfffdd,0xd5fffffc,0x001fffff,0x1ffff880,0xf86fffd8,0x7e405fff,
    0x21dfffff,0x7c7fffff,0x3a67ffff,0x04efffff,0xffffffd0,0xfff10005,
    0xfa81ffff,0x004fffff,0x3fffffe0,0xdfffff13,0xfffff900,0xffc80003,
    0x3ff24fff,0xffffffff,0xffffffff,0xff16ffff,0xfc80ffff,0xffd5ffff,
    0x80001fff,0xfd05fffc,0xfffd0dff,0x06aa200d,0x23fffffc,0x307fffff,
    0xf9800155,0x01ffffff,0x3ffff620,0xfff883ff,0x8002ffff,0x3ffffff9,
    0x01fffffe,0x83fffffa,0x405eccaa,0x21ffffff,0xffffe998,0xfffa9999,
    0x099999df,0x03fffffe,0x4fffffe8,0x01fffffd,0x7fffc400,0x0dfffd01,
    0x000dfffd,0x3fffffc0,0x01fffffe,0x7ffe4000,0x9803ffff,0x6ffffffe,
    0x3ffffea0,0xfb1004ff,0x47ffffff,0x03fffffd,0x1fffffe6,0x05fffffb,
    0x1fffffea,0xa86ffff8,0xd803ffff,0x304fffff,0x25ffffff,0x00fffffe,
    0x17fff200,0xf86fffd8,0x00005fff,0xf1fffffe,0x000fffff,0x3fffe200,
    0x21adffff,0xfffffca8,0x7ec01fff,0xbeffffff,0x3ff2e609,0x3fffffff,
    0x3fffffee,0xffffe881,0x7fffdc5f,0x7ffcc0ef,0xff103fff,0xfff909ff,
    0xfff9003f,0x74c19fff,0xd0ffffff,0x001fffff,0x07fffe20,0xf87fffc8,
    0x00004fff,0xf1fffffe,0x000fffff,0x7fffdc00,0xffffffff,0xffffffff,
    0xff8805ff,0xffffffff,0xffffffff,0x2fffffff,0x3fffffe2,0xfffbaadf,
    0x7c41ffff,0xbdffffff,0x6ffffffd,0x0ffffea0,0x401ffff6,0xfffffff8,
    0xffffffff,0x3fffa4ff,0xf90000ff,0xffb80bff,0x3ffea1ff,0x3e00003f,
    0x7fc7ffff,0x00007fff,0x7ffffe40,0xffffffff,0xdfffffff,0xfffd3000,
    0xffffffff,0xffffffff,0xff305fff,0xffffffff,0x07ffffff,0x3ffffff6,
    0xffffffff,0x3fff202f,0x6ffff81f,0x3ffff200,0xffffffff,0x3fa0ffff,
    0x8000ffff,0x801ffff8,0xfbafffff,0x0000ffff,0x1fffffe0,0x00ffffff,
    0xffd30000,0xffffffff,0x5fffffff,0xfffb1000,0xffffffff,0xffffffff,
    0x7ffdc01b,0xffffffff,0x3a206fff,0xffffffff,0x401fffff,0x440ffffd,
    0x2004ffff,0xfffffff8,0xffffffff,0x7fffff41,0xfffc8000,0xffff7006,
    0x07ffffff,0xffff8000,0x7ffffc7f,0x20000007,0xfffffffc,0xdfffffff,
    0x7f5c0000,0xffffffff,0x1dffffff,0xfffff700,0x9fffffff,0xffffd300,
    0x1bffffff,0x0dffff00,0x007ffff5,0xfffffd88,0x1fffffff,0x0fffffe8,
    0x7fffc400,0x3fff2001,0x004fffff,0xfffff800,0x3fffffc7,0x26000000,
    0xffffffdc,0x0002ceff,0x7fffe4c0,0xadffffff,0xffc88000,0x1dffffff,
    0x7fffdc00,0x1003efff,0xf709ffff,0x20003fff,0xffffffea,0xffd00bef,
    0xc8001fff,0xa8006fff,0x02effffd,0x99990000,0xccccc899,0x00000004,
    0x0055d4c4,0x53100000,0x00033577,0x1aba9880,0xaba98000,0xccc98001,
    0x4ccca82c,0xba988000,0x0000019a,0x00266660,0x00003100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5cc00000,0xabceeeed,0x2e600000,0x01bceeec,0x2aaaaa00,
    0x20000002,0x000ffffa,0x2aaaaa00,0x0dd4c002,0x0ffffe00,0x1ab98000,
    0xba880000,0x00abceed,0x55d44000,0x654c0001,0x400abdee,0xfffffffb,
    0x00dfffff,0x3fff2200,0x0dffffff,0x7fffc400,0x0000006f,0x001bfff2,
    0xffffff00,0xffffd500,0xfb005dff,0x44000bff,0xffffffec,0x7e40002e,
    0xffffffff,0x20000dff,0xffffffda,0xffd8003f,0x05ffffff,0xffffffd3,
    0xffffffff,0xf980019f,0xffffffff,0x2001ffff,0x06fffff8,0x3fa00000,
    0x400004ff,0x407fffff,0xfffffffb,0x7dc04fff,0xf30007ff,0xffffffff,
    0xd30009ff,0xffffffff,0x07ffffff,0xfffff900,0x03dfffff,0x3fffff60,
    0xf984ffff,0xffffffff,0xffffffff,0x3fa2005f,0xffffffff,0x000fffff,
    0x0dfffff1,0x3e200000,0x00002fff,0x03fffffc,0xfffffffb,0x01bfffff,
    0x003fffe6,0xffffff50,0xdfffffff,0x3ffee001,0xffffffff,0x0effffff,
    0xffffe880,0xffffffff,0x7ffe400f,0x2fffffff,0xffffffe8,0xffffffff,
    0x003fffff,0xbffffff9,0xfffffd77,0x3ffe2009,0x000006ff,0x01ffff50,
    0xffff8000,0xffff907f,0xffffffff,0x7ffc09ff,0x3fe6002f,0xffffffff,
    0x805fffff,0xfffffffe,0xffffffff,0x4406ffff,0xffffffff,0x6fffffff,
    0x7fffff40,0x4c0fedff,0xdfffffff,0xfffcbaab,0x801fffff,0x82fffffe,
    0x007ffffd,0x0dfffff1,0x3f200000,0x800007ff,0x887fffff,0xcfffffff,
    0xfffffffc,0x09fffb01,0x7ffffec0,0xffffdbef,0x3ee02fff,0xefffffff,
    0xffffeccd,0x3604ffff,0xbeffffff,0xfffffffc,0x3ffffe02,0xfffc803f,
    0x36200dff,0x03ffffff,0x06fffff8,0x01fffff3,0xdfffff10,0x3a000000,
    0x00005fff,0x87fffff8,0x86fffffc,0x05fffffd,0x200dfff7,0x1ffffff8,
    0x7fffff44,0xfffff105,0x36601bff,0x1fffffff,0xffffff98,0xfffffc83,
    0xfffff104,0xfffd001f,0xfd1003ff,0xf00bffff,0x220fffff,0x801fffff,
    0x06fffff8,0xff880000,0x800003ff,0xf87fffff,0x882fffff,0x307fffff,
    0x7001ffff,0x207fffff,0x06fffffb,0x7ffffff9,0x3ffff600,0xfffd84ff,
    0xfff104ff,0x3fe20fff,0xf8807fff,0x2006ffff,0x07fffffb,0x3fffffd8,
    0x06ffffb8,0xdfffff10,0x980000c0,0x8001ffff,0x3fffe018,0x7fffcc7f,
    0x3fff606f,0xffff02ff,0xffff9005,0x3ffe201f,0xfff987ff,0x74003fff,
    0x447fffff,0x01ffffff,0x02af37b6,0x1bffffe2,0x3ffffe20,0xddd3002f,
    0xfb80199b,0x2e1fffff,0x004fffff,0x4dfffff1,0xcefffec8,0xfff70002,
    0x7f6d400f,0x3fe0cdff,0x7fdc7fff,0x3ee04fff,0xfd04ffff,0x4c4009ff,
    0x7fffc03a,0xffffe85f,0x7dc000ff,0x2a0bdfff,0x005fffff,0x7ff77540,
    0xeeeeffff,0xffffff81,0x4000001e,0xfffffff8,0xffffffc8,0xffff1001,
    0x3fffeadf,0x004fffff,0x805fffd8,0xffffffd8,0xffff1fff,0xffffc8ff,
    0x3ffea03f,0xfff905ff,0xf300000d,0xff07ffff,0x0007ffff,0x7dc01591,
    0x0004ffff,0x7fffffdc,0x2fffffff,0xffffffd8,0x00000bef,0xffffff50,
    0x7fffffff,0x7fffc400,0xfffffbff,0x0effffff,0x0ffffe00,0xfffffd30,
    0xf7ffffff,0xfe8fffff,0x2602ffff,0x506fffff,0x0001ffff,0x7ffff440,
    0x7fffc40f,0x000000ff,0x0ffffff6,0x3ee00351,0xffffffff,0xfa82ffff,
    0xffffffff,0x0000acef,0x3fffff60,0x04ffffff,0x7ffffc40,0xffffffff,
    0x05ffffff,0x03ffff30,0xffffffe8,0xffffffff,0x7fc7ffff,0x2201ffff,
    0x107fffff,0x0005ffff,0xffffb988,0xfffa84ff,0x000007ff,0x97fffff4,
    0x2efffffc,0x3ffffee0,0xffffffff,0xfffff902,0xffffffff,0x8800017b,
    0xffffffff,0xf88002ff,0xffffffff,0xffffdbbc,0xfb802fff,0x7fdc07ff,
    0xbbcfffff,0xfffffffd,0x7ffffc7f,0x3ffe201f,0xffd00fff,0xff80009f,
    0x03ffffff,0x0dfffff7,0xfff80000,0xfffeafff,0x80dfffff,0xfffffffb,
    0x02ffffff,0x3ffffffa,0xffffffff,0xe98001df,0xffffffff,0xff10000e,
    0x01dfffff,0xdffffff3,0x0bfffb00,0xeffffff8,0xffffe981,0x7fffc7ff,
    0x3fe201ff,0xf900ffff,0x44000dff,0x2fffffff,0x3fffff20,0x7c000006,
    0xffffffff,0xffffffff,0x3ffe200e,0x6c4006ff,0xffffffff,0xffffffff,
    0x3fff2001,0xffffffff,0xfff10001,0x4c01ffff,0x02ffffff,0x701ffffc,
    0x01ffffff,0x7fffffcc,0x3ffffe27,0x3ffe200f,0xff500fff,0x7cc000ff,
    0x0bffffff,0xbfffffb0,0x7c400000,0xffffffff,0xffffffff,0x3ffe205f,
    0xd30006ff,0xffffffff,0x5fffffff,0xfffffb00,0xdfffffff,0x3ffe2000,
    0xfe804fff,0x2604ffff,0x3201ffff,0x804fffff,0x27fffffd,0x0ffffff8,
    0x3ffffe20,0xffff101f,0x3fea0003,0x3fffffff,0x4fffffe8,0x3e200000,
    0xefffffff,0xffffb98a,0xfff102ff,0x98000dff,0xffffffeb,0x3fffffff,
    0x3fffff60,0xfffffeff,0x05677c5f,0x7fffffc4,0xffffa800,0x3ffee05f,
    0x7fffec07,0xfffa801f,0x3ffe27ff,0x3e200fff,0x200fffff,0x0003fffe,
    0xfffb7797,0xffd89fff,0x00005fff,0x3ffffe20,0xfff505ff,0x3fe20fff,
    0x00006fff,0x3ffff6e2,0x0fffffff,0xffffffb8,0xfffff89f,0xffff53ff,
    0xffff889f,0xfff3007f,0x7fec0dff,0x7fffc06f,0xff9800ff,0x3fe27fff,
    0x2201ffff,0x00ffffff,0x0017fff2,0xfffff980,0x3ffff21f,0x4000006f,
    0x1fffffff,0x3fffff60,0xfffff881,0x26000006,0xfffffffb,0x7fffc43f,
    0x3fe60eff,0xfd9fffff,0x7c41ffff,0x3007ffff,0x40ffffff,0x7c04ffff,
    0x1007ffff,0xf8ffffff,0x201fffff,0x0ffffff8,0x01fffea0,0xffff5000,
    0x7fffdcdf,0x4000007f,0x06ffffff,0x17ffffd4,0x37ffffc4,0x64400000,
    0x46ffffff,0x07fffffc,0xdffffff7,0x10ffffff,0x00dfffff,0x1fffffe2,
    0x017fffc4,0x0ffffff1,0x3fffffc0,0x07fffffe,0x7fffff88,0x0ffffc40,
    0x3ffe0000,0xfff50fff,0x54000fff,0x7ffffc00,0x7ffcc05f,0xfff884ff,
    0x554406ff,0xd8005dcb,0x6c7fffff,0x204fffff,0xfffffffc,0xf884ffff,
    0x1007ffff,0x20ffffff,0x400ffffa,0x007fffff,0x8ffffff1,0x02fffffe,
    0x1bffffe6,0x00ffffe0,0xffffb000,0x3fffe25f,0xf88001ff,0xffe81bef,
    0x7c404fff,0xf885ffff,0x4c06ffff,0x00ffffff,0x7ffffd40,0x7fffffc7,
    0x7ffff402,0x81ffffff,0x07fffff8,0xdfffff30,0x01bfff20,0x03fffffe,
    0x3ffffe60,0x7ffffec7,0x3fffea03,0xfffd805f,0x7ec00005,0x3fe3ffff,
    0x8005ffff,0x1efffffa,0x17fffff2,0xbfffff10,0xdfffff10,0xffffff00,
    0xfffa8007,0x7fffc7ff,0x7fc400ff,0x4fffffff,0xffffff10,0xffff5003,
    0x3fffa0bf,0xffffd804,0xfffa801f,0x7ffe47ff,0x3fee04ff,0xfb804fff,
    0xcca887ff,0xffe804fe,0x3ff62fff,0x4001ffff,0x47fffffe,0x06fffffb,
    0x27ffffcc,0x37ffffc4,0x7ffffec0,0x3ff6000f,0x7ff46fff,0xf9802fff,
    0x1fffffff,0xffffff10,0xffffb009,0xffff109f,0xffff9005,0xfffb009f,
    0xfffa8fff,0x3ff606ff,0xf9802fff,0x7fc41fff,0x7c406fff,0x220fffff,
    0x05ffffff,0x3fffff20,0x7fffc43f,0x3fea01ff,0xff882fff,0xfa806fff,
    0x005fffff,0xbffffff7,0x5fffffd8,0xffffe980,0xf881efff,0x01ffffff,
    0x3fffffe6,0x0ffffa82,0xfffffb80,0x3ffe600f,0xfff87fff,0xff982fff,
    0x3e007fff,0xffe83fff,0x3f202fff,0xfb87ffff,0x00efffff,0x7fffffd4,
    0xffffe80f,0x3fffa05f,0xfff881ff,0xff8806ff,0x0affffff,0xfffffd98,
    0x7ffdc1ff,0x3f204fff,0xffffffff,0x7ffc42ff,0x881fffff,0x06fffffe,
    0x200dfff9,0xeffffff8,0xffffe880,0xfffd87ff,0xfffe86ff,0x3f6005ff,
    0xfffb85ff,0xffb82fff,0xfd04ffff,0x37ffffff,0x7fffecc4,0xff705fff,
    0xf709ffff,0x220dffff,0x006fffff,0xfffffff5,0xfffddfff,0x0dffffff,
    0x3ffffffa,0xfffdcbce,0xffffffff,0xff10dfff,0x9fffffff,0xfffff755,
    0x3ffa05ff,0x3fee004f,0xaacfffff,0xfffffffc,0xffff987f,0xfffccfff,
    0x2001ffff,0xf887fffb,0xcfffffff,0xffffffec,0xffff500e,0xffffffff,
    0xffffffff,0x7fff401d,0xfeccefff,0x102fffff,0x00dfffff,0x7fffffe4,
    0xffffffff,0x00ffffff,0xfffffff3,0xffffffff,0xffffffff,0x3fe29fff,
    0xffffffff,0xffffffff,0xffff105f,0xfffe8005,0xffffffff,0x7fffffff,
    0xffffff90,0xffffffff,0xfff98009,0xffffa80f,0xffffffff,0x5c01ffff,
    0xffffffff,0xffffffff,0x7cc00fff,0xffffffff,0x05ffffff,0x1bffffe2,
    0xfffffb00,0xffffffff,0x803fffff,0xfffffffa,0xffffffff,0xfffffbcf,
    0xffff10ef,0xfffff97f,0x3dffffff,0x03fffea0,0xfffff300,0x7fffffff,
    0x40fffff9,0xfffffffd,0x00efffff,0x02ffff80,0xfffffff9,0x7fffffff,
    0x3fffa600,0xffffffff,0x001fffff,0xfffffff3,0x1dffffff,0x7ffffc40,
    0xffea8006,0xffffffff,0x000dffff,0xffffffb1,0x3dffffff,0x07ffff44,
    0x27fffff1,0xfffffffb,0x3f200dff,0xd10007ff,0xffffffff,0x3ffff25f,
    0x7fffdc07,0x04ffffff,0x13fff600,0xffffffb8,0x01efffff,0xfffffc80,
    0xffffffff,0x7f44000c,0xffffffff,0xfff8804f,0x2e0006ff,0xfffffffe,
    0x0002dfff,0xffffffd7,0x7dc07dff,0x7fffc42f,0x3fff6a3f,0xfe803eff,
    0x640005ff,0x1dfffffe,0x01fffff2,0x3fffff6a,0x5c0002ef,0x64406fff,
    0xffffffff,0x76540003,0xffffffff,0x7640000c,0x2effffff,0xfffff100,
    0x2660000d,0x001aabca,0x55dd4400,0x000e6000,0x8002aa60,0x0001cccc,
    0x00035510,0x00dd4c00,0x99993000,0x4ddd4400,0x53000000,0x00001357,
    0x0006ae60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa000,0xaa8001aa,0x5550aaaa,
    0x00000555,0x55300330,0x55555555,0x55555555,0x55415555,0x001aaaaa,
    0x2aaaaaa0,0x2aaaaa0a,0x544001aa,0x542aaaaa,0x001aaaaa,0x2aaaaaaa,
    0x2aaaa001,0x2aaaa0aa,0x4c0002aa,0x542aaaaa,0x0002aaaa,0x7fffffd0,
    0xffff8800,0xffffd0ff,0x2000001f,0xfc803fc8,0xffffffff,0xffffffff,
    0x2e1fffff,0x06ffffff,0xfffff700,0xffffa8bf,0x7e4006ff,0x644fffff,
    0x006fffff,0xfffffff1,0x3ffe600d,0x3ff60fff,0x0000ffff,0x1bfffffa,
    0x00ffffff,0x3ffffa00,0x7fc4003f,0xffd0ffff,0x00001fff,0x007fff70,
    0xfffffff9,0xffffffff,0x3fffffff,0xffffffe8,0x7ffc4003,0xfd80ffff,
    0x004fffff,0xfffffff3,0xfffffa81,0xffff5007,0x7001ffff,0xa8dfffff,
    0x03ffffff,0xfffff100,0xfffff87f,0xffd00007,0x88007fff,0xd0ffffff,
    0x001fffff,0x7fff4c00,0xfffc803f,0xffffffff,0xffffffff,0x7fcc1fff,
    0x000fffff,0x3ffffff6,0xfffff103,0xffd003ff,0xf105ffff,0x003fffff,
    0xfffffff9,0xfff9005f,0xffff09ff,0x2e000dff,0x40ffffff,0x007fffff,
    0xfffffd00,0xfff88007,0xfffd0fff,0x400001ff,0x03fffffc,0xffffffc8,
    0xffffffff,0xffffffff,0xfffffc81,0xfff3004f,0xfb80dfff,0x406fffff,
    0x5ffffffb,0x3fffffe0,0xffffe803,0xe804ffff,0xc82fffff,0x00ffffff,
    0xfffffd80,0x7fffff86,0xfffd0000,0xf88007ff,0xfd0fffff,0x0001ffff,
    0x7ffffe40,0xffffc803,0xffffffff,0xffffffff,0xffe881ff,0xe801ffff,
    0x01ffffff,0xffffffe8,0xfffff103,0x7fec01ff,0x7c405fff,0xffffffff,
    0x7fffc406,0xfff980ff,0x44003fff,0x83ffffff,0x007fffff,0xfffffd00,
    0xfff88007,0xfffd0fff,0x400001ff,0x03fffffc,0x3fee0000,0x203fffff,
    0x6ffffffa,0x7ffffd40,0xfff3004f,0xfb01ffff,0x807fffff,0x06fffffb,
    0x7fffffdc,0x2600ffff,0x207fffff,0x06fffffe,0x7ffffdc0,0xfffff80f,
    0xffd00007,0x88007fff,0xd0ffffff,0x001fffff,0x7fffe400,0x5000003f,
    0xbfffffff,0xfffffb00,0x3ffe207f,0x5c006fff,0x45ffffff,0x6ffffffa,
    0xfffff980,0x3fff600f,0x2fffffff,0x3ffffee0,0x3ffff205,0x3f6001ff,
    0xff05ffff,0x0000ffff,0x0ffffffa,0xfffff100,0x3ffffa1f,0x3001100f,
    0xffffffdd,0x0007dddd,0xffffff10,0x3fe200df,0xc80fffff,0x02ffffff,
    0xfffffe80,0x3ffffa1f,0xfff000ff,0x7fc05fff,0xffffffff,0x3fff604f,
    0x3fe603ff,0x1003ffff,0x05ffffff,0x01fffffe,0x7ffff400,0x7fc4003f,
    0xffd0ffff,0x76d41fff,0xa80cdfff,0xffffffff,0x0004ffff,0x7fffff44,
    0x3ee000ff,0x444fffff,0x05ffffff,0xfffff300,0x3fffeedf,0x3f6003ff,
    0xf303ffff,0xfff7ffff,0x7ffc0dff,0x7f401fff,0x5006ffff,0x01ffffff,
    0x81fffffe,0xdeeeeee9,0x3fffffa0,0x7ffc4003,0xfffd0fff,0xfffb11ff,
    0x83dfffff,0xfffffffa,0x004fffff,0x7ffffec0,0xfe8001ff,0x361fffff,
    0x00ffffff,0x3ffff200,0xfffffdff,0x7fdc006f,0xff705fff,0xfffb3fff,
    0xfff101ff,0xff700fff,0xb003ffff,0x40bfffff,0x107fffff,0x3fffffff,
    0x3fffffe8,0x7fffc400,0xffffd0ff,0xfffffd5f,0x43ffffff,0xfffffffa,
    0x004fffff,0x3ffffee0,0xf30003ff,0x2adfffff,0x02ffffff,0x7fff4400,
    0xffffffff,0x7fcc001f,0xffb07fff,0x3ffeefff,0xfffa82ff,0xff8805ff,
    0x4404ffff,0x02ffffff,0x21fffffe,0xffffffe8,0xfffffe82,0x7ffc4003,
    0xfffd0fff,0xffffffff,0xbfffffff,0x7fffffd4,0x04ffffff,0xfffff500,
    0xc80009ff,0xeaffffff,0x005fffff,0xfffff500,0x09ffffff,0x3ffffe00,
    0xfffff81f,0x9fffff35,0x7fffff90,0x3ffff600,0x7ffd406f,0x7ffc07ff,
    0xfffe87ff,0xffd02fff,0x88007fff,0xd0ffffff,0xffffffff,0xffffb77b,
    0xff903fff,0x00007fff,0xfffffff1,0x3fa0000d,0xffffffff,0x00000fff,
    0x3ffffff6,0x0000efff,0x85fffffd,0x23fffff9,0xd86fffff,0x001fffff,
    0x3ffffff5,0x7ffffec0,0x7ffffc04,0x7ffffec7,0x3fffa03f,0x7c4003ff,
    0xfd0fffff,0x01ffffff,0x9ffffff3,0x7fffff90,0xffe88000,0x000fffff,
    0xfffff300,0x07ffffff,0xfff88000,0x02ffffff,0x3ffff200,0x7fffdc4f,
    0x3ffff20f,0x7ffffc0f,0x3ffe2007,0xff104fff,0xf803ffff,0x3f27ffff,
    0x403fffff,0x03fffffe,0x7ffffc40,0xfffffd0f,0x7ffe403f,0xfffc85ff,
    0x6c0003ff,0x1fffffff,0x7fec0000,0x6fffffff,0xff700000,0x00bfffff,
    0xfffffa80,0x37ffff46,0x8bffffea,0x05fffff9,0x7ffffec0,0xfffff507,
    0xfffff00d,0x3ffffeef,0xfffe804f,0x7c4003ff,0xfd0fffff,0xa809ffff,
    0xc85fffff,0x003fffff,0x3fffff20,0x800002ff,0xfffffff8,0x000001ff,
    0xfffffffd,0xff88000d,0x3fe27fff,0x7fc44fff,0x3fee4fff,0x54003fff,
    0x81ffffff,0x03fffffd,0xaffffff8,0x04ffffff,0x7fffffd0,0xffff8800,
    0xffffd0ff,0xfff9805f,0xfffc86ff,0xf50003ff,0x09ffffff,0x7fd40000,
    0x004fffff,0xffff7000,0x007fffff,0xfffffe80,0x5fffff51,0x4dffffd0,
    0x01fffffc,0xffffff80,0xffffff84,0xfffff800,0x6fffffff,0x3ffffa00,
    0x7fc4003f,0xffd0ffff,0xf9803fff,0xfc86ffff,0x8003ffff,0xfffffff9,
    0xd8000005,0x00ffffff,0xfff88000,0xffffffff,0x3ff20001,0xfff93fff,
    0xfff901ff,0x3fffa1ff,0xfc8000ff,0x7d47ffff,0xf006ffff,0xffffffff,
    0x2001ffff,0x03fffffd,0x7ffffc40,0xfffffd0f,0xffff9803,0xffffc86f,
    0x7f44003f,0x00efffff,0xffc80000,0x00005fff,0xffffffd0,0x00dfffff,
    0x7ffffd40,0x0dffffd5,0x2bffffea,0x06fffff8,0xfffff300,0x7fffec3f,
    0xffff003f,0xffffffff,0x3ff600bf,0x4c003fff,0xd0ffffff,0x801fffff,
    0x86fffff8,0x03fffffc,0x7ffffec0,0x000001ff,0xbfffff90,0xff700000,
    0xffffffff,0x20007fff,0x8efffff8,0x104fffff,0xf39fffff,0x0009ffff,
    0x27fffff4,0x01ffffff,0x3fffffe0,0xffffffff,0xffffd802,0x7fcc004f,
    0xffd0ffff,0xf8801fff,0xfc86ffff,0x2003ffff,0xfffffffc,0x20000002,
    0x05fffffc,0x7ffc4000,0xfffbffff,0x0001ffff,0xf7ffffff,0x7405ffff,
    0xffbeffff,0x20002fff,0x57fffffc,0x00bfffff,0x7ffffffc,0x6fffffff,
    0xfffffc80,0x7ffd4005,0x3fffa7ff,0x7fc400ff,0xffc86fff,0xf5003fff,
    0x07ffffff,0xfc800000,0x0005ffff,0x7ffffec0,0xfffff75f,0x3f6000df,
    0xffffffff,0x3ff200ff,0xffffefff,0x3e60000f,0xfcafffff,0x2002ffff,
    0xffffffff,0x3fffffe8,0x7ffffdc0,0x3ff2000f,0x3ffa6fff,0x7c400fff,
    0xfc86ffff,0x9803ffff,0x5fffffff,0xc8000000,0x005fffff,0x3fffea00,
    0x3ffa0fff,0x8003ffff,0xfffffffb,0x7cc06fff,0xffffffff,0xfe80006f,
    0xfffdffff,0x3e000fff,0x30ffffff,0x01ffffff,0x7fffffd4,0xffff1005,
    0x7fff4bff,0x7fc400ff,0xffb86fff,0x74403fff,0x0effffff,0xc8000000,
    0x005fffff,0xfffff100,0xfff987ff,0x4001ffff,0xfffffff9,0xff803fff,
    0xffffffff,0xffb80004,0xffffffff,0x7ffc005f,0x7fec1fff,0x3e204fff,
    0x02ffffff,0xffffffd8,0x3fffffa3,0x7fffc400,0xffffb86f,0x7ffec04f,
    0x0000ffff,0xfff90000,0x20000bff,0x5ffffffd,0xffffff90,0xffff000d,
    0x03ffffff,0xffffffb0,0x00005fff,0xfffffff1,0x8005ffff,0x887fffff,
    0x01ffffff,0x3ffffff2,0xffda81cf,0x7f47ffff,0x4400ffff,0xb86fffff,
    0xcdffffff,0x3fffee4e,0x9999bfff,0x99999999,0x00019999,0x0bfffff9,
    0xffff5000,0x3a201fff,0x03ffffff,0x7ffffec0,0xf7007fff,0xffffffff,
    0x3f600001,0xffffffff,0xffff8007,0xffff907f,0x7ffc40bf,0xffffffff,
    0xffffffff,0x7fff43ff,0x7fc400ff,0xff986fff,0x5fffffff,0x3fffffee,
    0xffffffff,0xffffffff,0xf90007ff,0x000bffff,0xffffff88,0x7ffd403f,
    0x2001ffff,0xfffffffb,0xfff3005f,0x00dfffff,0x7fffd400,0x004fffff,
    0x07fffff8,0x5ffffff1,0x7ffffe40,0xffffffff,0x87ffffff,0x00fffffe,
    0x37ffffc4,0xffffffe8,0x3ffee6ff,0xffffffff,0xffffffff,0x007fffff,
    0xbfffff90,0xfffd8000,0xfb006fff,0x00dfffff,0x7fffffcc,0x3fe003ff,
    0x05ffffff,0x3ffe2000,0x01ffffff,0x7fffff80,0x3ffffee0,0x7fffdc06,
    0xffffffff,0x81efffff,0x00fffffe,0x37ffffc4,0xffffffb8,0x3ffee7ff,
    0xffffffff,0xffffffff,0x007fffff,0xbfffff90,0x7ffd4000,0x1001ffff,
    0x7fffffff,0x3fffe200,0x2001ffff,0xfffffffd,0x7ec00003,0x06ffffff,
    0xffffff00,0xfffffe80,0x7fff4c03,0xffffffff,0x3fa04fff,0x4400ffff,
    0x206fffff,0xeffffffa,0x3ffffee5,0xffffffff,0xffffffff,0x90007fff,
    0x00bfffff,0x3ffffe20,0x7d4004ff,0x01ffffff,0xffffffd0,0xfffb800f,
    0x0001ffff,0x7ffffd40,0xff0003ff,0xfa80ffff,0x400fffff,0xfffffec8,
    0x01dfffff,0x07fffff4,0x3ffffe20,0x09ba9806,0xffffffb8,0xffffffff,
    0xffffffff,0xf90007ff,0x000bffff,0x3ffffff2,0xfffb0006,0x3200dfff,
    0x05ffffff,0x7ffffcc0,0xf000007f,0x03ffffff,0x3ffffe00,0xffffe807,
    0x2aa2004f,0x001aabba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xaaaaaaaa,0x9aaaaaaa,
    0xaaa80019,0x55550aaa,0x55555555,0x20013355,0xaaaaaaaa,0xaaaaaaaa,
    0x531aaaaa,0x00035555,0x21555553,0xaaaaaaaa,0x5554001a,0x10aaaaaa,
    0x00133333,0x2aaaa600,0xaa98001a,0x541aaaaa,0x2a0aaaaa,0x360aaaaa,
    0x2a0eeeee,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaaaa,0xfffffffb,0xffffffff,
    0x0019dfff,0x21fffffd,0xfffffffe,0xffffffff,0x3f601cff,0xffffffff,
    0xffffffff,0xfffb5fff,0xfb000dff,0x3fa1ffff,0x6fffffff,0x3fffe600,
    0xf92fffff,0x000bffff,0x3fffff60,0x7ffd4004,0x7c0fffff,0x3e3fffff,
    0x3a2fffff,0x3e0fffff,0xffffffff,0xffffffff,0x6fffffff,0xfffffffb,
    0xffffffff,0x09ffffff,0x0fffffe8,0xfffffffd,0xffffffff,0x3609ffff,
    0xffffffff,0xffffffff,0xffb5ffff,0x8009ffff,0xd0fffffd,0xffffffff,
    0x3ff2001f,0x2fffffff,0x0bfffff9,0x3fff6000,0x3ea004ff,0x0fffffff,
    0x3ffffff8,0x8bfffffe,0x20fffffe,0xffffffff,0xffffffff,0xffffffff,
    0xffffffb6,0xffffffff,0xffffffff,0x7ffff409,0xfffffd0f,0xffffffff,
    0xbfffffff,0xffffffb0,0xffffffff,0x2bffffff,0xfffffffd,0x3fff6001,
    0xffffd0ff,0x005fffff,0x3ffffffa,0xfff92fff,0x20000bff,0x04fffffd,
    0xffffff30,0x3ffe03ff,0x3ffe3fff,0x3ffa2fff,0x3ffe0fff,0xffffffff,
    0xffffffff,0xfb6fffff,0xffffffff,0xffffffff,0x07ffffff,0x43fffffa,
    0xfffffffe,0xffffffff,0x44ffffff,0xfffffffd,0xffffffff,0xfb5fffff,
    0x0bffffff,0x7ffffec0,0xffffffd0,0xf1009fff,0xffffffff,0x3ffff25f,
    0xfb00005f,0x3009ffff,0xffffffff,0x7ffffc03,0x3ffffe3f,0x3ffffa2f,
    0x3ffffe0f,0xffffffff,0xffffffff,0xfffb6fff,0xffffffff,0xffffffff,
    0x3a0fffff,0xfd0fffff,0xffffffff,0xffffffff,0x6c1fffff,0xffffffff,
    0xffffffff,0xffb5ffff,0x05ffffff,0x3fffff60,0xffffffd0,0xf500dfff,
    0xffffffff,0x3ffff25f,0xfb00005f,0x8809ffff,0xffffffff,0x7ffffc01,
    0x3ffffe3f,0x3ffffa2f,0x3ffffe0f,0xffffffff,0xffffffff,0xfffb6fff,
    0x366009ff,0x2fffffff,0x0fffffe8,0x07fffffd,0xfffffea8,0x3fff64ff,
    0xd80004ff,0xffffffff,0xfffd800f,0xffffd0ff,0x01ffffff,0xffffffc8,
    0xff92ffff,0x0000bfff,0x13fffff6,0xfffffe88,0xfff801ff,0x3ffe3fff,
    0x26622fff,0xfd800199,0x2004ffff,0x04fffffd,0x7ffffdc0,0xffffe84f,
    0xfffffd0f,0x3ffee007,0x3ff66fff,0x80004fff,0xfffffffd,0xffd804ff,
    0xfffd0fff,0x5fffffff,0xfffffe80,0xf92fffff,0x000bffff,0x3fffff60,
    0xffffd104,0x3e005fff,0x3e3fffff,0x002fffff,0xffffd800,0x3ff6004f,
    0x44004fff,0x85ffffff,0xd0fffffe,0x007fffff,0x3ffffffc,0x09fffffb,
    0xffffb000,0x03ffffff,0x0fffffd8,0xfbfffffd,0x7c409fff,0xfffdffff,
    0xffff92ff,0x360000bf,0xb04fffff,0x5fffffff,0x7ffffc00,0x3ffffe2f,
    0xd800002f,0x004fffff,0x13fffff6,0x3ffff600,0xffffe86f,0xfffffd0f,
    0x7ffe4007,0xfffb0fff,0xb00009ff,0xffffffff,0xffd80dff,0xfffd0fff,
    0xfffff7ff,0x7ffffd40,0x92fffffb,0x00bfffff,0x3ffff600,0xffffd84f,
    0x74002fff,0x3e1fffff,0x002fffff,0xffffd800,0x3ff6004f,0xe8004fff,
    0xe85fffff,0xfd0fffff,0x4007ffff,0x0ffffffa,0x09fffffb,0xffffb000,
    0x7fffffff,0x7ffffec0,0x3fffffd0,0x203fffff,0xfbdffffc,0xff92ffff,
    0x0000bfff,0x13fffff6,0xfffffff9,0xfffd0005,0x7fffc3ff,0x800002ff,
    0x04fffffd,0x3fffff60,0x7ffc4004,0xffe84fff,0xfffd0fff,0x7e4007ff,
    0x3f67ffff,0x0004ffff,0xffffffd8,0x00ffffff,0x21fffffb,0xff7ffffe,
    0x3fa07fff,0xfffbbfff,0xffff92ff,0x360000bf,0x324fffff,0x3fffffff,
    0xffffb000,0x7ffffc1f,0xd800002f,0x004fffff,0x13fffff6,0xfffffb00,
    0xffffd05f,0x3ffffa1f,0x3ffe003f,0x3ff65fff,0x80004fff,0xfafffffd,
    0xb05fffff,0x3a1fffff,0xffb7ffff,0xfff10bff,0xffff73ff,0x3ffff25f,
    0xfb00005f,0x3ee9ffff,0x03ffffff,0x3ffff200,0x7fffffc7,0xfd800002,
    0x2004ffff,0x9cfffffd,0x99999999,0xffffffea,0xfffffd06,0x3fffffa1,
    0xfffe8803,0x3ff63fff,0xccccefff,0xcccccccc,0x7ffffec2,0xffffffc8,
    0xfffffd81,0x2fffffd0,0xa87ffffb,0xff77ffff,0x3ff25fff,0x00005fff,
    0x59fffffb,0xffffffff,0x7fdc0009,0x7fffc7ff,0x800002ff,0x04fffffd,
    0x3fffff60,0xffffffff,0xffffffff,0xfffd01ff,0x3fffa1ff,0x99999cff,
    0xfffffca9,0x3ff62fff,0xffffffff,0xffffffff,0x7ffffec4,0xffffff88,
    0xfffffd86,0x2fffffd0,0x41fffff9,0xf75ffffc,0x3f25ffff,0x0005ffff,
    0xdfffffb0,0xffffffff,0x2a0003ff,0x7fc6ffff,0x0002ffff,0xfffffd80,
    0x3fff6004,0xffffffff,0xffffffff,0x3fa03fff,0xffd0ffff,0xffffffff,
    0xffffffff,0xffd8dfff,0xffffffff,0xffffffff,0x7ffffec4,0xffffff50,
    0xfffffd87,0x4fffffd0,0x7c3fffff,0xff73ffff,0x3ff25fff,0x00005fff,
    0xfffffffb,0xffffffff,0x3ea000df,0x7ffc5fff,0x00002fff,0x4fffffd8,
    0x3ffff600,0xffffffff,0xffffffff,0x7fff401e,0xffffd0ff,0xffffffff,
    0xffffffff,0xffffd81d,0xffffffff,0x44ffffff,0x20fffffd,0x0ffffffd,
    0x43fffff6,0x367ffffe,0x3e65ffff,0xff71ffff,0x3ff25fff,0x00005fff,
    0xfffffffb,0xffffffff,0xf30007ff,0xfff89fff,0x00002fff,0x4fffffd8,
    0x3ffff600,0xffffffff,0x2cefffff,0xfffffd00,0x3fffffa1,0xffffffff,
    0x1fffffff,0xffffffd8,0xffffffff,0x7ec4ffff,0x3e60ffff,0x365fffff,
    0xfd0fffff,0x7fdcffff,0x3ffee7ff,0x3fffee7f,0xfffff92f,0x3f60000b,
    0xffffffff,0xffffffcf,0x7fc4000f,0x7fffc4ff,0x3fffa2ff,0x7ec000ff,
    0x2004ffff,0xeefffffd,0xffffffff,0x7f4001ef,0xffd0ffff,0xffffffff,
    0xffffffff,0x3fff603b,0xccccceff,0x2ccccccc,0x07ffffec,0x3ffffff2,
    0x1fffffb2,0x99fffffa,0xfb1fffff,0x7fdcbfff,0xfff92fff,0x20000bff,
    0xfffffffd,0xffff73ff,0xff000bff,0xffff87ff,0x3fffa2ff,0x7ec000ff,
    0x2004ffff,0x24fffffd,0xfffffc98,0x3fa002ff,0xffd0ffff,0xffffffff,
    0x19dfffff,0xfffffd80,0xffd80004,0xffe80fff,0xfffb6fff,0x3fffa1ff,
    0x7ffffc7f,0x47fffff4,0x92fffffb,0x00bfffff,0x3ffff600,0x7f44ffff,
    0x003fffff,0x3e17fffc,0x3a2fffff,0x000fffff,0x27ffffec,0xfffffb00,
    0x3fffe609,0xfd004fff,0x3fa1ffff,0x999cffff,0xfb000099,0x0009ffff,
    0x1fffffb0,0xffffff50,0x1fffffb9,0xb1fffffa,0xff3dffff,0x7fdc3fff,
    0xfff92fff,0x20000bff,0xfffffffd,0xfffffa84,0x3fa000ff,0x7fffc1ff,
    0x3fffa2ff,0x7ec000ff,0x2004ffff,0x04fffffd,0x3fffffea,0xfffe804f,
    0xffffd0ff,0xd800007f,0x004fffff,0xfffffd80,0xfffffb00,0x1fffffdf,
    0x71fffffa,0xff9fffff,0xfffb8fff,0xffff92ff,0x360000bf,0x04ffffff,
    0x3ffffff6,0x3fff6005,0x7fffffc1,0x3fffffa2,0x7ffec000,0x3f6004ff,
    0x6404ffff,0x2fffffff,0x7fffff40,0x7fffffd0,0xffd80000,0x80004fff,
    0x00fffffd,0xfffffff1,0x3a1fffff,0x7cc7ffff,0xffffffff,0x7fffdc5f,
    0xfffff92f,0x3f60000b,0x4c05ffff,0x2fffffff,0x81fff900,0x22ffffff,
    0x007ffffe,0x4fffffd8,0x3ffff600,0xfffe804f,0x3a00ffff,0xfd0fffff,
    0x0007ffff,0xfffffd80,0xffd80004,0x3ee00fff,0xffffffff,0xffffd0ff,
    0xffffff0f,0xfb87ffff,0xff92ffff,0x0000bfff,0x13fffff6,0x3fffff20,
    0xffb800ff,0xffffff87,0x006ff882,0x4fffffd8,0x3ffff600,0xfff9804f,
    0x3a05ffff,0xfd0fffff,0x0007ffff,0xfffffd80,0xffd80004,0x7f400fff,
    0xffffffff,0xfffffd0f,0xffffffb0,0xffb83fff,0xfff92fff,0x20000bff,
    0x04fffffd,0xffffff88,0xff80005f,0xfa82ffff,0xffd8006f,0x36004fff,
    0x004fffff,0xfffffff7,0x3ffffa05,0xfffffd0f,0xfd800007,0x0004ffff,
    0x0fffffd8,0x7ffffcc0,0xfd0fffff,0xff70ffff,0x0fffffff,0x25fffff7,
    0x05fffffc,0xffffb000,0x3fee009f,0x002fffff,0x7fffffc0,0x004ffc82,
    0x4fffffd8,0x3ffff600,0x3ffa004f,0xe80fffff,0xfd0fffff,0x0007ffff,
    0xfffffd80,0xffd80004,0xfc800fff,0xffffffff,0x0fffffd0,0xfffffff3,
    0xffff70bf,0x3ffff25f,0x999999df,0x99999999,0xfffffb09,0x7fff4009,
    0xfb00ffff,0x7fc3ffff,0x3622ffff,0xd8000fff,0x004fffff,0x13fffff6,
    0xfffff880,0xfffe84ff,0xffffd0ff,0xd800007f,0x004fffff,0xfffffd80,
    0xffff8800,0xfd0fffff,0x3fe0ffff,0x83ffffff,0x92fffffb,0xffffffff,
    0xffffffff,0x367fffff,0x004fffff,0x3fffffe6,0xffffb04f,0x7ffffc3f,
    0x5ffff12f,0x3fff6000,0x3f6004ff,0x4004ffff,0xfffffffb,0x7fffff41,
    0x7fffffd0,0xffd80000,0x80004fff,0x00fffffd,0xffffff50,0x3fffa1ff,
    0xffffb07f,0xff703fff,0x3ff25fff,0xffffffff,0xffffffff,0xfffb3fff,
    0xfd8009ff,0x81ffffff,0x21fffffd,0x22ffffff,0x20002ffe,0x04fffffd,
    0x3fffff60,0xfffe8004,0x7ff46fff,0xfffd0fff,0x800007ff,0x04fffffd,
    0xffffd800,0x3ff6000f,0xfd0fffff,0x3ee0ffff,0x707fffff,0x325fffff,
    0xffffffff,0xffffffff,0xfb3fffff,0x8009ffff,0xfffffff8,0xfffffd86,
    0x3fffffe1,0x000032a2,0x09fffffb,0x7ffffec0,0xfff88004,0x3fa3ffff,
    0xffd0ffff,0x00007fff,0x4fffffd8,0xfffd8000,0x3e6000ff,0xd0ffffff,
    0x260fffff,0x05ffffff,0x25fffff7,0xfffffffc,0xffffffff,0xb3ffffff,
    0x009fffff,0xffffff90,0xffffd89f,0x3ffffe1f,0xd800002f,0x004fffff,
    0x13fffff6,0x7fffdc00,0xfffd0fff,0x3fffa1ff,0x400003ff,0x04fffffd,
    0xffffd800,0x7fe4000f,0xffd0ffff,0x7ffc0fff,0xff703fff,0x3ff25fff,
    0xffffffff,0xffffffff,0xfffb3fff,0x3a0009ff,0x1fffffff,0x87fffff6,
    0x02ffffff,0xfffd8000,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x09accca9,
    0xba988000,0x5555001a,0x55555555,0x55555555,0x55541555,0xaaaaaaaa,
    0x00019aaa,0x3332a000,0x5555501c,0x55555555,0x00033555,0x55555400,
    0x2a00002a,0xffffffff,0x4fffffff,0xccccb800,0x35555550,0x55555000,
    0x7fec4015,0xefffffff,0x7fe44001,0x1effffff,0x3fffffa0,0xffffffff,
    0xffffffff,0x3ffffa3f,0xffffffff,0x003effff,0x3ffe6000,0xfffb03ff,
    0xffffffff,0x9fffffff,0x7c400003,0x01ffffff,0xffff7000,0xffffffff,
    0x88009fff,0xfb1fffff,0x0009ffff,0x03ffffff,0xffffff91,0xbfffffff,
    0xffff7001,0xffffffff,0xffffd019,0xffffffff,0xffffffff,0x7fff47ff,
    0xffffffff,0xffffffff,0xfe800003,0xfb03ffff,0xffffffff,0xffffffff,
    0x0000bfff,0x3fffffee,0xfb00005f,0xffffffff,0x09ffffff,0xfffffd80,
    0x9fffffb1,0xfffff000,0xffffd03f,0xffffffff,0x5c01ffff,0xffffffff,
    0x86ffffff,0xfffffffe,0xffffffff,0x3fffffff,0x3ffffffa,0xffffffff,
    0x05ffffff,0x3fff2000,0xffb03fff,0xffffffff,0xffffffff,0x0000bfff,
    0xfffffffd,0xfd00001f,0xffffffff,0x09ffffff,0x7ffffd40,0xfffffb1f,
    0xffff0009,0xfffc83ff,0xffefffff,0x06ffffff,0xfffffff3,0xffffffff,
    0xffffe89f,0xffffffff,0xffffffff,0x3fffa3ff,0xffffffff,0xffffffff,
    0x980005ff,0x3fffffff,0xffffffb0,0xffffffff,0xffffffff,0x7fcc000b,
    0x3fffffff,0x7ffc4000,0xffffffff,0x004fffff,0xfffffff5,0x3fffff63,
    0xffff8004,0x3ffee1ff,0x5c42efff,0x45ffffff,0xfffffff8,0xfffffcdf,
    0x3ffa1fff,0xffffffff,0xffffffff,0x3fa3ffff,0xffffffff,0xffffffff,
    0x001fffff,0x3ffffa20,0xffb03fff,0xdddddfff,0xffffdddd,0x001fffff,
    0x3fffff20,0x0006ffff,0x6fffffcc,0xcccccccc,0xffb802cc,0xb1ffffff,
    0x009fffff,0x3ffffff0,0x27fffffc,0x3ffffe60,0x3fffea0f,0x7fd40bff,
    0x3fa4ffff,0x0003ffff,0x7fffff40,0x3ff66203,0x006fffff,0x3fffff20,
    0xffb03fff,0x2a009fff,0x2ffffffe,0xffff8800,0x1fffffff,0x3ffee000,
    0x100000ff,0xfffffffb,0x3fff63ff,0xff8004ff,0xff31ffff,0x2e00dfff,
    0x322fffff,0x204fffff,0x26fffffa,0x03fffffe,0x7fff4000,0xfb3003ff,
    0x007fffff,0xffffff50,0x3f607fff,0x4004ffff,0x05fffffe,0xfffffa80,
    0x05ffffff,0x3ffff200,0xfb880007,0xffffffff,0xffffb1ff,0xfff0009f,
    0x3fee3fff,0xf3002fff,0x7f49ffff,0x7c00ffff,0x3fa7ffff,0x0003ffff,
    0x7fffff40,0x3ffe2003,0x2000ffff,0xfffffff8,0xffb03fff,0xb8009fff,
    0x006fffff,0xcfffffe8,0x00ffffff,0xdffffd00,0xfffa8000,0xffffffff,
    0xffffb1ff,0xfff0009f,0x372a3fff,0x3e6007fe,0xfd15ffff,0xfd00ffff,
    0x3fa1ffff,0x0003ffff,0x7fffff40,0x7ffdc003,0x36003fff,0xffffffff,
    0xfffb03ff,0xf98009ff,0x4004ffff,0xd7fffff9,0x007fffff,0x13ffffe0,
    0xffff7000,0xffffddff,0x3ffff63f,0xfff8004f,0x00201fff,0x3fffffb8,
    0xf8805310,0x3fa7ffff,0x0003ffff,0x7fffff40,0xfffe8003,0xff5005ff,
    0xffff7fff,0x3fff607f,0x7e4004ff,0x4002ffff,0x74fffffc,0x00dfffff,
    0x7fffff10,0x159dfb73,0xfffffb80,0x3fffffb4,0x13fffff6,0x3ffffe00,
    0xe880001f,0x000fffff,0x7ffffdc0,0x3fffffa5,0x7f400003,0x8003ffff,
    0x07fffffc,0xafffff88,0x03fffffa,0x09fffffb,0xffffff80,0x7fffc000,
    0xffff11ff,0xfa8003ff,0xffffffff,0x202fffff,0x362ffffb,0xfb1fffff,
    0x0009ffff,0x03ffffff,0xfffe8800,0xe80006ff,0x3a4fffff,0x99cfffff,
    0x99999999,0xfe819999,0x8003ffff,0x1ffffffa,0xaffffec0,0x03fffffa,
    0x09fffffb,0xfffff710,0xffa800bf,0x7fec6fff,0x5c005fff,0xffffffff,
    0x4fffffff,0xd817ff70,0xfb1fffff,0x0009ffff,0x03ffffff,0x7fff4c00,
    0x40001fff,0x1ffffff9,0x3ffffffa,0xffffffff,0x1fffffff,0x1ffffff4,
    0x7fffcc00,0x3fea01ff,0xfff50fff,0x3ff607ff,0xffffffff,0xffffffff,
    0xd8004fff,0x543fffff,0x00ffffff,0x3fffff60,0xffffffff,0x02a84fff,
    0x47fffff6,0xfffffffd,0xffffffff,0xffffffff,0xff50001f,0x007fffff,
    0xfffff880,0x7ffff44f,0xffffffff,0xffffffff,0x7ffff41f,0xff88003f,
    0xf102ffff,0x7d45ffff,0xfb03ffff,0xffffffff,0xffffffff,0x10007fff,
    0x81ffffff,0x3ffffff8,0x3ffffe00,0xfffeffff,0x001fffff,0x8fffffec,
    0xfffffffd,0xffffffff,0xffffffff,0xffa8001f,0x003fffff,0x7ffff440,
    0x7fff40ff,0xffffffff,0xffffffff,0x7fff41ff,0xf88003ff,0xb02fffff,
    0xfa8bffff,0xfb03ffff,0xffffffff,0xffffffff,0x70003dff,0x20bfffff,
    0x06fffffd,0xffffff10,0xffffb819,0x7ec006ff,0xffb1ffff,0xffffffff,
    0xffffffff,0x03ffffff,0xfffffa80,0x440002ff,0x3ffffffe,0xffffffe8,
    0xffffffff,0x1fffffff,0x1ffffff4,0x7fffc400,0xfffb83ff,0x7ffd40ff,
    0xfffb03ff,0xffffffff,0xffffffff,0x74003dff,0x502fffff,0x03ffffff,
    0x5ffd9710,0x7ffffcc0,0x3ff6002f,0xfffb1fff,0xffffffff,0xffffffff,
    0x003fffff,0x7fffffc4,0x7440002f,0x05ffffff,0xfffffffd,0xffffffff,
    0x83ffffff,0x03fffffe,0xfffff880,0x7fffc42f,0xffffa82f,0xffffb03f,
    0xffffffff,0xffffffff,0xf3003fff,0x401fffff,0x05ffffff,0x3ff60000,
    0x36004fff,0xfb1fffff,0xffffffff,0xffffffff,0x3fffffff,0x7fffe400,
    0x4c0001ff,0xefffffff,0xfffffd00,0x33333339,0x33333333,0x7fffffd0,
    0xffff1000,0xfffd85ff,0xffff505f,0x3fff607f,0xaaaaadff,0xffecbaaa,
    0x400fffff,0x05fffffc,0x7fffffe4,0xf5000000,0x400bffff,0xb1fffffd,
    0x339fffff,0x33333333,0xffffff33,0x7ffec003,0x4c0001ff,0xefffffff,
    0x3ffffa00,0x7400003f,0x003fffff,0xffffff98,0x3ffffee1,0xfffff500,
    0x3ffff607,0x7fe4004f,0x2204ffff,0xacffffff,0xfcaaaaaa,0x003fffff,
    0xffff3000,0x7fec00df,0xfffb1fff,0xff0009ff,0x4003ffff,0x003fffff,
    0x7ffffc40,0x7f400eff,0x0003ffff,0x7fffff40,0xfffa8003,0xfff10fff,
    0x99999dff,0xbfffffb9,0x3ff63999,0xc8004fff,0x00ffffff,0xfffffff7,
    0xffffffff,0x0dffffff,0x3fe20000,0x36007fff,0xfb1fffff,0x0009ffff,
    0x03ffffff,0x3ffffe60,0x3fe20001,0x005fffff,0x07fffffd,0xfffe8000,
    0xfc8003ff,0x3e27ffff,0xffffffff,0xffffffff,0xfb2fffff,0x0009ffff,
    0x3ffffff5,0x3fffffa0,0xffffffff,0xffffffff,0x9800001f,0x006fffff,
    0x47fffff6,0x04fffffd,0xffffff80,0xffff5001,0x3e20001f,0x05ffffff,
    0x3fffffa0,0x7f400003,0x8003ffff,0x25fffffe,0xfffffff8,0xffffffff,
    0x2fffffff,0x09fffffb,0xfffff100,0xffff307f,0xffffffff,0xffffffff,
    0x4c40bfff,0x5400ccaa,0x005fffff,0x47fffff6,0x04fffffd,0xffffff80,
    0xffff5001,0x3fa0001f,0x005fffff,0x1ffffff4,0x3ffa0000,0x5c003fff,
    0x22ffffff,0xfffffff8,0xffffffff,0x2fffffff,0x09fffffb,0xfffff500,
    0xffff905f,0xffffffff,0xffffffff,0x3a01ffff,0x403fffff,0x04fffffc,
    0x3fffff60,0x9fffffb1,0xfffff000,0x0000003f,0xffffffb0,0xfffd000b,
    0x800007ff,0x03fffffe,0x3ffffe20,0x7fffc47f,0xffffffff,0xffffffff,
    0xffffb2ff,0xff90009f,0xff01ffff,0xddddffff,0xdddddddd,0x7ffffffd,
    0x3fffff20,0x3fffe207,0x3f6001ff,0xffb1ffff,0xf0009fff,0x003fffff,
    0xffb80000,0x0006ffff,0x07fffffd,0xfffe8000,0xfd5003ff,0x887fffff,
    0xcccccccc,0xfffdcccc,0xb1cccdff,0x009fffff,0xffffffa8,0xfffffa86,
    0xffe8000f,0xff306fff,0x8819ffff,0x05fffffd,0x7ffffec0,0x9fffffb1,
    0xfffff000,0x3fea003f,0x22004fff,0xdfffffff,0xcccccccc,0xfffd0ccc,
    0x333339ff,0x33333333,0x7ff43333,0x9999cfff,0xfffebaa9,0x000effff,
    0xfffffa80,0xfffffb03,0x53333339,0xffffd755,0xffb09fff,0x2000bfff,
    0x1ffffffb,0xffffffd0,0xfffd759f,0xd8003fff,0xfb1fffff,0x0009ffff,
    0x03ffffff,0x3ffffea0,0x3ffee004,0xffffffff,0xffffffff,0xffffffd0,
    0xffffffff,0xffffffff,0x7fffff4f,0xffffffff,0xffffffff,0xf500001f,
    0x3607ffff,0xffffffff,0xffffffff,0xffffffff,0x7ffffc41,0xff10002f,
    0x220bffff,0xffffffff,0xffffffff,0xfffd8004,0xffffb1ff,0xfff0009f,
    0x2a003fff,0x004fffff,0xfffffff1,0xffffffff,0x3a1fffff,0xffffffff,
    0xffffffff,0x27ffffff,0xfffffffe,0xffffffff,0x02ffffff,0x3ffea000,
    0xfffb03ff,0xffffffff,0xffffffff,0xf705ffff,0x000fffff,0xffffffd8,
    0xfffff500,0xffffffff,0x3f60007f,0xffb1ffff,0xf0009fff,0x003fffff,
    0x13ffffea,0x7ffffd40,0xffffffff,0x0fffffff,0xfffffffd,0xffffffff,
    0xffffffff,0x7ffffff4,0xffffffff,0x01dfffff,0x7ffd4000,0xfffb03ff,
    0xffffffff,0xffffffff,0x3fa07fff,0x0004ffff,0x7fffffd4,0x3fffaa03,
    0xffffffff,0x3ff60002,0xfffb1fff,0xff0009ff,0x2003ffff,0x04fffffa,
    0xffffff90,0xffffffff,0x21ffffff,0xfffffffe,0xffffffff,0x7fffffff,
    0x3ffffffa,0xffffffff,0x0002efff,0xfffff500,0x3ffff607,0xffffffff,
    0xffffffff,0xffff302d,0xf00003ff,0x00dfffff,0xfffffff7,0xd800039d,
    0xfb1fffff,0x0009ffff,0x03ffffff,0x3ffffea0,0xffffb004,0xffffffff,
    0xffffffff,0x3fffffa1,0xffffffff,0xffffffff,0x3ffffa7f,0xffffffff,
    0x0002cdef,0x7fffd400,0xffffb03f,0xffffffff,0x17bddfff,0xfffffd80,
    0xff900006,0x2003ffff,0x0009ba98,0x3ffff600,0xfffffb1f,0xffff0009,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc4000,0xffffffff,0xffffffff,
    0x2000003f,0x0004c000,0x00000002,0x00004c40,0x00999880,0x00662000,
    0x00198000,0x000c4000,0x4000c400,0xeeec8009,0xffff11ee,0xffffffff,
    0xffffffff,0xb8800007,0x7f64c04f,0x401cdfff,0x000002df,0x7fffe4c0,
    0x0001bdef,0xfffffd91,0xa8007bff,0xfffffffd,0xb70000be,0x5bfffffd,
    0x4eeeed80,0x77fff654,0xeeee980c,0x3ffb261e,0xdb880bdf,0xb02cefff,
    0x225fffff,0xffffffff,0xffffffff,0x0003ffff,0x09fff930,0x7fffffe4,
    0x3e04ffff,0x0000beff,0x3fff6200,0xffffffff,0x7ffec003,0xffffffff,
    0x7f5400ef,0xffffffff,0x26004fff,0xfffffffe,0xfd02efff,0x3f62bfff,
    0xffffffff,0x7ffffcc1,0xffffff71,0x7f441dff,0x4fffffff,0x2fffffd8,
    0xfffffff1,0xffffffff,0x007fffff,0xffffea80,0xfffe884f,0xffffffff,
    0xffff80ef,0x00000cff,0x7fffffd4,0xffffffff,0xfffd801e,0xffffffff,
    0xf500efff,0xffffffff,0x09ffffff,0xffffff90,0xffffffff,0xbffffd05,
    0xffffffd1,0x4c5fffff,0xfd9fffff,0xffffffff,0xffff98ef,0x3fffffff,
    0x97ffffec,0xfffffff8,0xffffffff,0x001fffff,0xfffffb88,0xffe84fff,
    0xffffffff,0x7c0fffff,0xdfffffff,0xffa80001,0xffffffff,0x1fffffff,
    0x3fffff20,0xffffffff,0xff886fff,0xffffffff,0x3fffffff,0x3fffff20,
    0xffffffff,0x7ff41fff,0xfffffeff,0xffffffff,0x3ffffe66,0xffffffff,
    0xffefffff,0xffffffff,0x3ff61fff,0x99912fff,0x99999999,0xfffffd99,
    0xffc98007,0xffffffff,0x7ffffdc4,0xfffcabdf,0x7ffc3fff,0xefffffff,
    0xfff10002,0xdbdfffff,0xdfffffff,0x3ffffe20,0xffcaacef,0x641fffff,
    0x99cfffff,0xffffeb98,0xffff106f,0xffb9bfff,0xe8dfffff,0xffffffff,
    0xffffdbbe,0xfff32fff,0x59dfffff,0xfffffff9,0xfb77dfff,0x6cbfffff,
    0x002fffff,0x3ffffe20,0x3ff6a005,0xffffffff,0x3ffe22ff,0xfe882fff,
    0x3f60ffff,0xffffffff,0x2000cfff,0xdffffffd,0x7fffec40,0xfffb83ff,
    0x3ffe05ff,0x7ff42fff,0x3fe205ff,0xfd81ffff,0xa81effff,0x22ffffff,
    0xfffffffe,0xfffffa80,0xfffff33f,0xfff507ff,0x903fffff,0x44ffffff,
    0x00099999,0x1bffff60,0x3fffae20,0xffffffff,0x7ffec0be,0x3fe603ff,
    0x7e4c3fff,0xffffffff,0x4401dfff,0x04ffffff,0x7fffffe4,0x7ff65cc0,
    0x3ffff200,0x7ffffc3f,0x055ed405,0xffffffa8,0x3ffff600,0x3ffffa5f,
    0x3ff601ff,0xfff34fff,0x7f40bfff,0x304fffff,0x00ffffff,0x7ffd4000,
    0x3f2201ff,0xffffffff,0x3e01cfff,0xd807ffff,0x2a07ffff,0xfffffffd,
    0x702effff,0x00dfffff,0x0ffffffe,0xfff50020,0xffff87ff,0x0000adff,
    0x13fffff2,0x1359df30,0x27fffff4,0x3ffffea0,0xffffff35,0x7fffec01,
    0x7fffc07f,0x800000ff,0x04fffff8,0xffffffb5,0x05bfffff,0xdfffff10,
    0xfffff700,0xffeb8801,0xffffffff,0x3fffa0bf,0xff7002ff,0x4000bfff,
    0xfffffeb8,0x7ffffec4,0x001befff,0x0fffffec,0x7fff4000,0x7fcc02ff,
    0xfff35fff,0xffc80fff,0x7fc05fff,0x0000ffff,0x6ffffd80,0x3fffffe0,
    0x00beffff,0x3ffffe60,0xaaaaaaae,0x1fffffca,0x3fff6a00,0x4fffffff,
    0x07fffffe,0x7ffffcc0,0x3f6e6006,0xffffffff,0x7ffffdc4,0xdfffffff,
    0x7fff400a,0xe80001ff,0x401fffff,0x36fffff9,0x80dfffff,0x04fffffc,
    0x07fffff4,0x3fea0000,0x3fe02fff,0x1cffffff,0xffff5000,0xffffffff,
    0xffffffff,0xfd710005,0x29ffffff,0x0ffffff8,0xfffff100,0x7ff5c40f,
    0xffffffff,0xffc84fff,0xffffffff,0xf00cffff,0x001fffff,0xfffffd00,
    0xffff9803,0xfffff36f,0xffffc80b,0x7fff403f,0x400000ff,0x406ffffe,
    0x1fffffff,0x7ffe4000,0xffffffff,0xffffffff,0x7e40002f,0xf34fffff,
    0x800fffff,0x80ffffff,0xfffffffb,0xffffffff,0xffffb04f,0xffffffff,
    0xff885fff,0x00007fff,0x01fffffd,0x6fffff88,0x0bfffff3,0x3fffffc8,
    0x7fffff40,0x3e600000,0x7c03ffff,0xefffffff,0xfff70002,0xffffffff,
    0xffffffff,0xd710007f,0x9fffffff,0x1fffffe2,0xfffff880,0xfffffb87,
    0xfaacefff,0x2604ffff,0xfffffffc,0x1fffffff,0x07fffffc,0x7fff4000,
    0x7fc400ff,0xfff36fff,0xffc80bff,0x7f403fff,0x0000ffff,0x3fffff60,
    0x7ffffc00,0x1cffffff,0x3fffea00,0xaaaaaadf,0xaaaaaaaa,0x3ff6a001,
    0xffffffff,0x3fffffe4,0xffff3000,0xffffb8df,0x7cc0adff,0x8804ffff,
    0xffffffda,0x746fffff,0x001fffff,0xfffffe80,0x7fffc400,0xfffff36f,
    0xffffc80b,0x7fff403f,0x300000ff,0x00bfffff,0xffffffb3,0x17dfffff,
    0xfffff980,0x22000005,0xfffffffb,0x20bfffff,0x02ffffff,0xbfffff50,
    0x3fffffe8,0x3ffffea0,0xfdb88004,0x47ffffff,0x02fffffd,0xfe81abb8,
    0x4400ffff,0xf36fffff,0xc80bffff,0x403fffff,0x00fffffe,0xffff9000,
    0x7e44003f,0xffffffff,0xf101cfff,0x100dffff,0xfffda800,0xffffffff,
    0xffff902e,0x3ffa00df,0x3fe23fff,0x7d406fff,0x2604ffff,0x3fee200a,
    0x3f20ffff,0xf805ffff,0xfd0effff,0x8801ffff,0xf36fffff,0xc80bffff,
    0x403fffff,0x00fffffe,0xffff8800,0x3ae0006f,0xffffffff,0x740befff,
    0x202fffff,0x42bdeff8,0xffffffc8,0x1dffffff,0x7ffffcc0,0x7ffd402f,
    0x3fea1fff,0x7ec05fff,0x36e4ffff,0xe804fffe,0x2a0fffff,0x00ffffff,
    0x9bffffea,0x00fffffe,0xb7ffffc4,0x05fffff9,0x1fffffe4,0x3fffffa0,
    0x5fffffb0,0xfffff700,0xfb500007,0xffffffff,0x7fd45fff,0xfb00ffff,
    0x7ecdffff,0xffffffff,0x2000cfff,0x3fffffff,0xffffff70,0xfffff989,
    0xffff700f,0x7ffdc9ff,0x3e200fff,0xfe86ffff,0x981effff,0x23ffffff,
    0x00fffffe,0xb7ffffc4,0x05fffff9,0x1fffffe4,0x3fffffa0,0x5fffffb0,
    0xfffffb00,0x64c00001,0xffffffff,0x7fff44ff,0xf950bfff,0x7c5fffff,
    0xffffffff,0xa8000bef,0xefffffff,0xffffecac,0xfff886ff,0x3261dfff,
    0x4fffffff,0x3fffffe2,0x7ff4c1be,0xffa84fff,0xbbdfffff,0xfffffffe,
    0x3fffffa0,0x7fffc400,0xfffff36f,0xffffc80b,0x7fff403f,0xffffb0ff,
    0xffff005f,0x200000bf,0xffffffb8,0x7ffd44ff,0xffffffff,0x7c6fffff,
    0xdfffffff,0xffc80002,0xffffffff,0x1fffffff,0xffffffd0,0xffffffdf,
    0xfb8bffff,0xffffffff,0xfffffffe,0xffffb00f,0xffffffff,0xfe85ffff,
    0x4400ffff,0xf36fffff,0xc80bffff,0x403fffff,0xb0fffffe,0x805fffff,
    0x01fffffa,0xfea80000,0xfa84ffff,0xffffffff,0x40efffff,0x1cffffff,
    0x7fec0000,0xffffffff,0x202fffff,0xfffffff9,0xfeefffff,0xffc87fff,
    0xffffffff,0x01ffffff,0x3fffffa2,0xffffffff,0xffffe83f,0x7ffc400f,
    0xffff36ff,0xfffc80bf,0x7ff403ff,0xfffb0fff,0xffc805ff,0x000007ff,
    0x27ffe4c0,0xfffffe88,0x0effffff,0x00bffff8,0x3fea0000,0xffffffff,
    0xfb800dff,0xffffffff,0xfffff74f,0xfffff705,0xffffffff,0x3fee005d,
    0xffffffff,0xfffd03ff,0xff8801ff,0xfff36fff,0xffc80bff,0x7f403fff,
    0xffb0ffff,0xfe805fff,0x00006fff,0x09f71000,0x7fffee44,0x3e02dfff,
    0x0000002e,0x3ffffae2,0x4002dfff,0xffffffd8,0x3fffe62e,0xffd7105f,
    0x5dffffff,0xfffb3000,0x019fffff,0x07fffff4,0x3ffffe20,0xbfffff36,
    0xfffffc80,0x7ffff403,0x3e20000f,0x0004ffff,0x00080000,0x0026aea2,
    0x00000006,0x01575310,0x37531000,0x53100000,0x00003557,0x004d5cc4,
    0x00000000,0x00000000,0x7fffcc00,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x01fffffa,
    0x4ccccc40,0x99999999,0x99999999,0x00000999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffffee,0xfffff500,
    0xffffffff,0xffffffff,0x00009fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07ffffe4,0x3fffea00,0xffffffff,
    0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fffff60,0x3fffea00,0xffffffff,0xffffffff,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1fffffa0,0x33332600,0xcccccccc,0xcccccccc,0x0002cccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x776c0200,0xee9806ee,0xddd74eee,0x754007dd,
    0xdd94eeee,0xed801ddd,0x6c00eeee,0x7545eeee,0xeeeeeeee,0xeeeeeeee,
    0x5554001e,0xdb1001aa,0x801ddddd,0x0deeeeed,0x7ffffb00,0x00000000,
    0x00fffc80,0x55555000,0xddddd135,0x37fff225,0xffffff0b,0xfffff300,
    0x3ffffe6b,0x3fff6007,0xffff52ff,0x7ffc405f,0x3e602fff,0x7dc5ffff,
    0xffffffff,0xffffffff,0x7ffc002f,0x3ee003ff,0x205fffff,0x2ffffffc,
    0xfffff100,0x3ffe200d,0xffffffff,0xffffffff,0x7fdc05ff,0xffff800f,
    0x7ffffc7f,0xfffff8bf,0xfffffe8b,0xffffff2f,0xfffff300,0x7fffff4b,
    0xffff8802,0x3fffe27f,0x3ffea04f,0x3ee04fff,0x7dc2ffff,0xffffffff,
    0xffffffff,0x7ffc002f,0x7ec003ff,0x982fffff,0x05ffffff,0x3fffff20,
    0xfff8802f,0xffffffff,0xffffffff,0x7fd405ff,0xfffff007,0xffffff8f,
    0xbfffff8b,0xfffffffd,0x0ffffff0,0xbfffff30,0x2fffffdc,0x7ffffdc0,
    0x3ffffec4,0xffffff90,0x7fffec0d,0x7fffdc0f,0xffffffff,0x02ffffff,
    0x1fffffc0,0x3fffe200,0x3fa20fff,0x000effff,0xfffffff1,0xffff100d,
    0xffffffff,0xffffffff,0x3ea144bf,0xfff8286f,0x7fffc7ff,0xffff8bff,
    0xffffffef,0x3ffffe5f,0xffff9807,0x3fffe25f,0x7ff400ff,0x7fdc0fff,
    0xffd01fff,0x101fffff,0x70bfffff,0xffffffff,0xffffffff,0xff8003ff,
    0xa8003fff,0x24ffffff,0x1ffffffc,0x3ffff200,0x4401ffff,0xffffffff,
    0xffffffff,0x2e5fffff,0x2bff32ef,0x7fc1feb8,0x7ffc7fff,0xfff8bfff,
    0xffffffff,0x3fffe2ff,0xfff9807f,0x7ffe45ff,0x3fe603ff,0xff885fff,
    0xff883fff,0x82ffffff,0x82fffffa,0x99999998,0xfffffa99,0xff8003ff,
    0xb0003fff,0x53ffffff,0x07ffffff,0x7ffffc40,0x4405ffff,0xffffffff,
    0xffffffff,0x3a5fffff,0xdffbefff,0x7c4ffffc,0x7fc7ffff,0xff8bffff,
    0x9cffffff,0x7fffc7da,0xfff9807f,0x7ffcc5ff,0x3ff206ff,0xffd02fff,
    0xfff50dff,0x909fffff,0x001fffff,0x3ffffa20,0xff0004ff,0x20007fff,
    0xefffffe8,0x06fffffe,0x7ffffdc0,0x201fffff,0xccccccc8,0xcccccccc,
    0x33cccccc,0xffffffff,0x8dffffff,0x746fffff,0xf8afffff,0x02ffffff,
    0x07fffff8,0x5fffff98,0x1fffffe8,0x0ffffff0,0x07ffffdc,0x3ffffff2,
    0xffff86ff,0x3f60005f,0x005fffff,0x0fffffe0,0xffff9800,0xffffffff,
    0x7fffc000,0x4ffffebf,0x40000000,0xfffffeb9,0x03ceffff,0xffd8bff3,
    0xfff89fff,0xff006fff,0xf300ffff,0xf70bffff,0xf509ffff,0x4c09ffff,
    0x742fffff,0xfffeffff,0x3fffe60f,0xffb0003f,0x201dffff,0xaaaaaaa8,
    0xadfffffa,0x02aaaaaa,0x7fffffe4,0x4002ffff,0xb8fffffb,0x000fffff,
    0x2a000000,0x001fffff,0xffb89ff7,0xfff88fff,0xff002fff,0xf300ffff,
    0xf10bffff,0xfb0fffff,0xe803ffff,0x3e24ffff,0xfffcdfff,0x3fffee2f,
    0xffc8000f,0x200fffff,0xfffffff8,0xffffffff,0x05ffffff,0xffffffe8,
    0xfe8005ff,0xfff15fff,0x000009ff,0x3ffa2000,0xfd004fff,0xffffa87f,
    0xffffff17,0x3fffe003,0xfffa807f,0xfff905ff,0x7ffc43ff,0xffc806ff,
    0x3ffea7ff,0x4ffffabf,0x01bffff6,0x3ffffee0,0x7fc401ff,0xffffffff,
    0xffffffff,0xf8805fff,0x0effffff,0x7fffd400,0x3ffff21f,0xcccc880f,
    0xcccccccc,0xcccccccc,0xfffe883c,0x2203fffc,0xff886ffd,0xffff15ff,
    0x3fe001ff,0xfa807fff,0xf305ffff,0x7dc9ffff,0x9802ffff,0xfb1fffff,
    0xfff13fff,0x3fffe2df,0x7fd4003f,0x802fffff,0xfffffff8,0xffffffff,
    0x05ffffff,0xffffffb0,0xfffd000d,0xffff98df,0xffff883f,0xffffffff,
    0xffffffff,0x7fff445f,0x305fffd2,0x3603ffff,0xfff13eee,0x7fc00fff,
    0x5400ffff,0x205fffff,0x3a7ffffe,0x2007ffff,0xff3fffff,0x7fff4fff,
    0xfffffa8f,0x3ffe6001,0x1003ffff,0xffffffff,0xffffffff,0x00bfffff,
    0xfffffff5,0x7fcc009f,0xffe83fff,0xfff886ff,0xffffffff,0xffffffff,
    0x7ffec5ff,0x03fffea5,0x0005dff1,0x0ffffff1,0x7fffffc0,0x7fffd400,
    0x3ffee05f,0xffff9aff,0x3ff2004f,0xffff9dff,0x2bffff25,0x006ffffc,
    0x3fffffe2,0x3fe2004f,0xffffffff,0xffffffff,0x7c405fff,0xffffffff,
    0xfffb001f,0xfff701ff,0xfff885ff,0xffffffff,0xffffffff,0x1ffd85ff,
    0x3b8177ec,0x3ffe2000,0x3fe007ff,0x5c00ffff,0x205fffff,0xbcfffff8,
    0x001fffff,0x2fffffea,0x3e63ffff,0xffffcfff,0xffd1004f,0x800bffff,
    0xaaaaaaa8,0xadfffffa,0x02aaaaaa,0x7fffffec,0x400effff,0x05fffff9,
    0x8dfffff1,0xfffffff8,0xffffffff,0x05ffffff,0x00191097,0x7ffc4000,
    0x3fe007ff,0x6401ffff,0x405fffff,0xfefffffc,0xf8006fff,0xffffffff,
    0x7ffffc1f,0x001fffff,0xbffffffb,0x3fe00000,0x20003fff,0xfffffffb,
    0x405fffff,0x01fffffd,0x87fffff2,0xfffffff8,0xffffffff,0x05ffffff,
    0x80000000,0x07fffff8,0x3fffffa0,0x3fffe602,0x7fcc05ff,0xffffffff,
    0xfffd8003,0xd87fffff,0xffffffff,0xffff9007,0x00000dff,0x01fffffc,
    0xfffff980,0xfffffccf,0xffff102f,0xfff980df,0x000005ff,0x00000000,
    0xfffff100,0x7ffec00d,0xfe880eff,0x805fffff,0xfffffffe,0xff50007f,
    0x0bffffff,0xfffffff7,0xfff7009f,0x3333ffff,0x33333333,0xfffff800,
    0xfffd0003,0x3ffe2dff,0x9880ffff,0x98009999,0x00019999,0x00000000,
    0xfff10000,0x7dc00dff,0x8befffff,0xfffffec9,0xffb805ff,0x04ffffff,
    0xfffff100,0xff307fff,0x03ffffff,0xffffff98,0xffffffff,0x007fffff,
    0x01fffffc,0x7ffffe40,0x3fffea1f,0x000005ff,0x00000000,0x00000000,
    0x1bffffe2,0xfffff980,0xffffffff,0x05ffffff,0xffffff88,0x360001ff,
    0x1fffffff,0xfffffff0,0xffff300f,0xffffffff,0xffffffff,0xfffff800,
    0x7ffcc003,0xffd84fff,0x54c3ffff,0x5542aaaa,0x5101aaaa,0x30003599,
    0x7ffffe41,0xaaa98005,0xaaaaaaaa,0x3fffe200,0x7fd4006f,0xffffffff,
    0xffffe9ef,0xffff9005,0xb8000dff,0x07ffffff,0x3ffffff6,0xffff9804,
    0xffffffff,0x7fffffff,0x7ffffc00,0x3ffa2003,0xf880efff,0x21ffffff,
    0x47fffffc,0x44ffffff,0xffffffe9,0x0fb801cf,0x0fffffec,0x43fffffa,
    0xfffffffc,0x2200ffff,0x006fffff,0xffffffb8,0xffd0efff,0x3e600bff,
    0x003fffff,0x7ffffc40,0x3ffee05f,0xf9802fff,0xffffffff,0xffffffff,
    0x7fc007ff,0x32003fff,0x02ffffff,0x3fffffea,0x3fffff26,0x7fffffc7,
    0x3ffffee4,0xbeffffff,0x407fecc0,0x745ffffd,0xf90fffff,0xffffffff,
    0x7fc401ff,0x70006fff,0x7bfffffb,0x05ffffe8,0x3fffffa0,0xffe80000,
    0x3e202fff,0x3007ffff,0xffffffff,0xffffffff,0xa800ffff,0x5001aaaa,
    0x09ffffff,0xffffffb0,0x3fffff29,0x7fffffc7,0xffffff74,0xffffffff,
    0xfffffddf,0xffffd101,0x7fffff41,0xffffff90,0x401fffff,0x06fffff8,
    0x001a9800,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff200,
    0x7ffffc7f,0xfffff94f,0xffffffff,0xffffffff,0x3ffa201f,0x3ffffa4f,
    0xfffff90f,0x01ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffe4000,0x7fffc7ff,0xffff94ff,0xffffffff,0xffffffff,
    0x7fc401ff,0xffffd0ff,0x3ffff21f,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fee0000,0x7ff46fff,0x9ff93fff,
    0x3ff26215,0xffffffff,0xbb8803ff,0xfffffd1b,0x333332a1,0x00cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0x7ffe45ff,0x003f92ff,0xffffffb5,0x000001df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fffffc4,0x43ffffee,
    0x65c4000a,0x00000ace,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5ffffd00,0x07ffff98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffec00,
    0x37fffc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bbae000,0x09dddb06,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_49_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,2,1,2,1,0,3,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_49_usascii_y[95]={ 39,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19, };
static unsigned short stb__arial_bold_49_usascii_w[95]={ 0,8,17,24,22,36,30,8,12,12,17,23,8,13,
7,14,22,15,22,22,24,23,22,22,22,22,7,8,22,23,22,23,42,32,27,28,27,25,22,30,26,8,21,29,
23,31,26,32,25,33,29,27,26,26,31,42,30,31,26,11,14,12,22,26,11,22,24,23,24,22,16,23,21,7,
13,22,7,35,21,25,24,24,16,22,15,21,24,35,24,24,22,15,6,16,24, };
static unsigned short stb__arial_bold_49_usascii_h[95]={ 0,32,12,33,39,34,33,12,42,42,16,23,15,7,
7,33,33,32,32,33,32,32,33,31,33,33,23,31,25,17,25,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,36,32,33,32,33,32,32,32,32,32,41,33,41,18,5,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,9, };
static unsigned short stb__arial_bold_49_usascii_s[95]={ 255,228,173,198,149,1,29,247,97,1,220,
124,238,236,228,85,125,239,52,163,129,215,215,1,152,175,247,246,24,196,70,
28,54,182,154,186,101,75,92,121,1,237,223,198,174,142,115,88,66,172,28,
1,1,1,199,156,125,93,66,124,148,136,173,24,216,119,60,165,100,47,238,
206,28,245,110,231,58,211,189,93,63,38,1,142,50,18,40,65,148,230,101,
38,31,14,191, };
static unsigned short stb__arial_bold_49_usascii_t[95]={ 1,146,264,44,1,44,79,245,1,1,245,
245,245,264,264,79,79,179,179,79,179,179,79,213,44,44,213,146,213,245,213,
179,1,179,179,79,179,179,146,44,180,146,44,146,146,146,146,44,146,1,146,
79,147,113,113,113,113,113,113,1,79,1,245,239,264,213,79,213,79,213,79,
1,113,44,1,113,146,213,213,213,44,44,245,213,113,245,245,245,245,1,245,
1,1,1,264, };
static unsigned short stb__arial_bold_49_usascii_a[95]={ 195,234,333,390,390,624,507,167,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,234,234,410,410,410,429,684,507,507,507,507,468,429,546,
507,195,390,507,429,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,234,195,234,410,390,234,390,429,390,429,390,234,429,
429,195,195,390,195,624,429,429,429,429,273,390,234,429,390,546,
390,390,351,273,196,273,410, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_49_usascii(stb_fontchar font[STB_FONT_arial_bold_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_49_usascii_s[i] + stb__arial_bold_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_49_usascii_t[i] + stb__arial_bold_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_49_usascii_x[i];
            font[i].y0 = stb__arial_bold_49_usascii_y[i];
            font[i].x1 = stb__arial_bold_49_usascii_x[i] + stb__arial_bold_49_usascii_w[i];
            font[i].y1 = stb__arial_bold_49_usascii_y[i] + stb__arial_bold_49_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_49_usascii_s[i] + stb__arial_bold_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_49_usascii_t[i] + stb__arial_bold_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_49_usascii_x[i] + stb__arial_bold_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_49_usascii_y[i] + stb__arial_bold_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_49_usascii_LINE_SPACING
#endif

