// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_37_usascii_BITMAP_HEIGHT        172
#define STB_FONT_consolas_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_37_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_37_usascii_NUM_CHARS             95

#define STB_FONT_consolas_37_usascii_LINE_SPACING          24

static unsigned int stb__consolas_37_usascii_pixels[]={
    0x00225991,0x31001900,0x03333333,0x7000c400,0x4ccccc43,0x64400199,
    0x6dcc002d,0x000000ac,0x3b72a200,0x000009bd,0x9990e654,0x4ccb8000,
    0x306a6200,0x54000001,0x260009ab,0xbdffd4ff,0x037ec001,0x7fffffec,
    0x3b2000ff,0xfb801fff,0xfffffb1f,0x74001fff,0xfa802fff,0x05ffffff,
    0x007fea00,0xfffffe98,0x00000eff,0xffc83ffe,0x3ff60002,0x7ff6d407,
    0x02ffefff,0x073bfb6a,0x6ffffdc0,0xd4ff9802,0x007fffff,0xfb017ffa,
    0x1fffffff,0xffffd300,0xfffa803f,0xffffffb1,0x3e2001ff,0x7e405fff,
    0xfffdbdff,0xffb8000d,0xffff7000,0x3fffffff,0x9ff50000,0x0005ff98,
    0xfc81fff6,0xffffffff,0xffd882ff,0x804fffff,0xeffffffb,0x553fe601,
    0x01fffeca,0x205ffe88,0xaaaabffd,0x9fffd002,0x7fcc0157,0x2aaaaa2f,
    0x2000fffa,0x3604ffff,0xdff705ff,0x00ff9000,0x42b7ffee,0x01ffffb9,
    0x40fff400,0xb0000ffe,0x3ff60fff,0xfdba9acf,0xfffd82ff,0x02ffffde,
    0x7ffe5d44,0x9ff302ff,0x401bff20,0xfb03fff9,0x3ee0003f,0xff1000ef,
    0x3ffe007f,0x3bfea000,0x807ff700,0x73002ffc,0x40135ffd,0x3ea05fff,
    0x260005ff,0x9ff505ff,0x1fff6000,0xd807bfea,0x7ffd42ff,0x01fff621,
    0x07fffaa0,0x7c413fe6,0xff5000ff,0x03ffb01f,0x00bff600,0x2004ffd8,
    0x08000fff,0x4013fe60,0x3fa605fe,0xffffffff,0x806ffb83,0x0000fffa,
    0x7fc05ff9,0xdff90007,0xd805ffd0,0x27fe42ff,0x0007ffcc,0x4c37ffc4,
    0x3ff604ff,0x17ff6001,0x40007ff6,0xf5000ffe,0x7fc001ff,0x7400000f,
    0xff7000ff,0xfffff901,0x07ffffff,0x3e007fff,0xf88004ff,0x17fe406f,
    0x237fe400,0xfd806ffb,0x817ff42f,0x50001fff,0xff983fff,0x00bff204,
    0x6c2fff88,0xff0001ff,0x17ff400f,0x883ffe00,0x99999999,0x2ffa8199,
    0x90ffe200,0xff59dfff,0xf9859759,0xff9000ff,0x7ff7000d,0x006ff880,
    0x7e46ffc8,0x2ffd803f,0x7c41fff4,0x7fc0007f,0x027fcc3f,0xb8005ff9,
    0x0ffec6ff,0x007ff800,0xf000dff7,0x7fff41ff,0xffffffff,0x4003fec0,
    0x3ffe64fe,0x700bfe63,0x7d400bff,0xffe8007f,0x01ffd800,0x3637fe40,
    0xffd802ff,0x5c2ffe42,0x740005ff,0x27fcc4ff,0x0005ff90,0x7fec3fff,
    0x0fff0001,0x000bffe0,0xffe83ffe,0xffffffff,0x213fe60f,0xb2b9bcca,
    0x23ffdcbf,0x7e401ffa,0x3fe6004f,0x2ffd4007,0x005ffa80,0x3fa37fe4,
    0x2ffd801f,0xf50fffd4,0xe80003ff,0x27fcc3ff,0x0005ff90,0x7fec9ff9,
    0x0fff0001,0x000fff30,0xaaa83ffe,0xffaaaaaa,0x883fee0f,0x2ffffffd,
    0x27fecdf9,0x3f601ff2,0x3fe2003f,0x3ff6000f,0x03ffa001,0x7c5ffb80,
    0xffd801ff,0xd8effe82,0x40003fff,0x7cc2fff8,0x0bff204f,0xd9ffea00,
    0xff0001ff,0x09ff900f,0x003ffe00,0x7ec1fff0,0x7ef7ff46,0x64df90ff,
    0x03fec7ff,0x20017ff4,0xf1001fff,0xffb800df,0x17fee003,0xfb003ffd,
    0xffff305f,0x80005fff,0x4c0effe9,0x3fee04ff,0x5fff0003,0x20007ff6,
    0xfe805ff8,0xfff0001f,0x0fff8001,0x4ffa93fe,0x27fb9ffa,0x3fa4fffa,
    0x02fff806,0x800fffc0,0x44002ffc,0x3ee006ff,0x017ff45f,0xfd817ff4,
    0x8000cfff,0xfffffeec,0x204ff982,0xb0005ffa,0x07ff67ff,0x00ffe600,
    0x4000fff1,0x7c000fff,0x45ff30ff,0x737fc7fe,0x7fff44ff,0xe804ffae,
    0x3e2003ff,0xfff000ff,0x0bff2000,0x362ffdc0,0x7fec04ff,0x7ffec42f,
    0x1aa982ff,0xdfffffb0,0x013fe603,0x90007fff,0x07ff69ff,0x01ffd300,
    0x0007ff98,0xf0003ffe,0x47fea1ff,0x3fe24ff8,0xff11fee5,0x007fffff,
    0x4c009ffb,0xff5007ff,0x3fe60009,0x8bff7005,0x3f207ffb,0x3fa22fff,
    0x40fffeff,0xffb02ffd,0xff98035b,0x7fffcc04,0xffb801ce,0x9003ffb5,
    0x005dffdb,0x4000dff5,0x7c000fff,0x5cff70ff,0x93fe62ff,0xffc886fc,
    0x201cffff,0x26004ffc,0xffd007ff,0x7ff40001,0x84ffa801,0x7e444fff,
    0x3f62ffff,0x6fff98ef,0xfc80fffc,0x9ff3001f,0xffff7100,0x2dff5007,
    0xff801ffd,0x3ee005ff,0x3fe0005f,0x7ffc000f,0x7fe4ff90,0xfc8ffea0,
    0x3fff2606,0xfc80dfff,0x3ff2006f,0x05ff9806,0x027fd400,0x7e427fd4,
    0xfffcbdff,0xff32ffcb,0xafffd41f,0xf901fff8,0x3fe6003f,0xffffb804,
    0x6ffa802e,0xfd003ffb,0x7005ffff,0x7c0009ff,0x7fc000ff,0x7f4df90f,
    0xfb0ffdc7,0xffff700b,0xffa83fff,0x7ffd001f,0x005ffb00,0x801fff00,
    0xffb04ffa,0x367fffff,0x09ff92ff,0xff37fff9,0x07ff201f,0x2027fcc0,
    0x4000cffd,0x3ffb5ffa,0x7ffdc400,0x02ffdc01,0x001fff00,0xdfb0fff8,
    0x3ff23ff4,0x32013fa0,0xffffd9ff,0x4027ffc0,0x4400fff9,0x700006ff,
    0xffa807ff,0x3fffb204,0x6cbff62d,0xfffb02ff,0x7e40dff9,0x9ff3001f,
    0x0005ff80,0x3ff6bff7,0x5ffb8001,0x0037fd40,0x8001fff0,0x4bfb0fff,
    0x13ff47fe,0xdfb005ff,0x3227ffd4,0x3a201fff,0xffb804ff,0xff100003,
    0x1880000d,0x3fe5ffb0,0xffff102f,0x800007ff,0x3e604ff9,0xff90003f,
    0x0007ff69,0xf301bfe2,0x7fc000ff,0x7ffc000f,0x3ff4dfb0,0x7fd4fff1,
    0x5c5fe800,0x7ffc46ff,0xfffe881f,0x00ffe800,0x07ff6000,0x7ec00000,
    0x407ffd2f,0x00fffff9,0x27fcc000,0x0005ff70,0x7fecfff6,0x0fff0001,
    0x000fff88,0x8001fff0,0x4df90fff,0xfffb0ffd,0xff802fec,0x207ffcc4,
    0xcdfffff9,0x801ffffe,0x00004ffa,0x2a02ffcc,0xffd80002,0xb80dff92,
    0x54406fff,0x13fe6001,0x8002ffc8,0xffb0fff8,0x1ffe0003,0x000fffa0,
    0x20007ffc,0x4ff90fff,0xfdfdeffb,0x801ffddf,0x7fe43ff8,0xfffff506,
    0x003fffff,0x00007ff6,0x6c03ffa0,0x6c0006ff,0x9fff52ff,0x3ffffa60,
    0x09ffd103,0xc813fe60,0xfa8002ff,0x007ff66f,0x6403ffc0,0xff0005ff,
    0xfff8001f,0x7fc4ff70,0xffff96ff,0x8bfe6007,0x2205fff8,0xbeffffeb,
    0x0dff3000,0x3fee0000,0x2ffff884,0x8bff6000,0xcbcffffd,0xfffffffe,
    0x0ffffb82,0x204ff980,0xd8002ffc,0x07ff63ff,0x403ffc00,0x8000fff9,
    0x7c000fff,0x41ff50ff,0xb710bec8,0xa86b6059,0xfffd51ff,0x13fee003,
    0x00bff200,0x87ff8000,0x002ffff8,0xd88bff60,0xffffffff,0x0ffff9cf,
    0x803fffdc,0x3f204ff9,0x7fc4002f,0x007ff60f,0xe803ffc0,0xff8003ff,
    0x7ffc000f,0x0005ff30,0x77ffffc0,0xfffffeff,0x3ffe6002,0x1ffe2000,
    0xff900000,0x00dff905,0xa82ffd80,0x1deffffd,0x883bffe6,0xf3003ffe,
    0x17fe409f,0xb13ff200,0x3e0003ff,0xfff7007f,0x0fff8001,0xf1ffe200,
    0x7c0000bf,0xffffffff,0x8001dfff,0x70304fff,0x000007ff,0x3106ff88,
    0x15550000,0x80001880,0x3fe60009,0x00bff204,0x6c0fff98,0xff0001ff,
    0x27ff400f,0x003ffe00,0x7e46ff98,0x7300000f,0xbdfffdd9,0x7dc00037,
    0xfdaacfff,0x0007ff44,0x0ffec000,0x00000000,0x20000000,0x3f604ff9,
    0x3ffa001f,0x001ffd83,0x2001ffd0,0x2001fff9,0x32000fff,0x27fc45ff,
    0x9ff00000,0xffd80000,0x0fffffff,0x0000bff3,0x413fea00,0x3003ccca,
    0x20001597,0xaaa81cc9,0x0aaaaaaa,0xd027fcc0,0x3ee001ff,0x03ffb06f,
    0x007ff600,0x000effc8,0x30021fff,0xffd05fff,0xf1000007,0x7000007f,
    0x1bffffff,0x0000f75c,0x40bdb000,0x6c05fffb,0x203fffff,0xfff30ccb,
    0x7fffc45f,0x03ffffff,0xfa827fcc,0xfff5007f,0x007ff603,0x0037fe40,
    0x200bffd1,0x37d90fff,0xbfff7313,0x073ffa60,0x9800bae2,0x000002ff,
    0x00155531,0x00000000,0x20bffd30,0xfffffffd,0x7ecffd04,0x3fe26fff,
    0xffffffff,0x8a7fcc03,0x03fffc99,0x201fff98,0x9999affd,0xefff8801,
    0x7fc4019a,0x2666624f,0xff90fff9,0xdfffffff,0x7fff4401,0x2ffffeef,
    0x007fea00,0x00000000,0x00000000,0xf117ff62,0xfffb59ff,0x3a7ff889,
    0x3227ffff,0xcccccccc,0xa7fcc02c,0x06fffffe,0x402fff88,0xfffffffd,
    0xfffb800f,0x7cc01fff,0xffffb2ff,0x3ee1ffff,0x3fffffff,0xffffb100,
    0x0017bfff,0x00000cc4,0x00000000,0x2e000000,0x0ffee3ee,0xb33bfff7,
    0x7ffe49ff,0x3000005f,0x3fffa9ff,0x0fee003f,0x3fffff60,0xd3000fff,
    0x3003ffff,0x7fffecbf,0x54c0ffff,0x00009acb,0x00135751,0x00000000,
    0x00000000,0x32000000,0xfffb82ff,0x220fffff,0x0000effe,0x2a9ff300,
    0x0500009a,0x2aaaaaa0,0x988002aa,0xa83000aa,0x2aaaaaaa,0x00000000,
    0x00000000,0x00000000,0x40000000,0xff500eec,0x2605ffff,0x4c000001,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0017bb71,0xf9800000,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00006aa2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x59b93000,0x22799100,0x26200099,
    0x4404cc19,0x266400aa,0x2e000000,0x54c401cc,0x999999aa,0x99999910,
    0x4cc80199,0x03995000,0x00aa8000,0x0001dc88,0x33372a60,0x0b6e202b,
    0xedca8800,0xc80009bd,0x00dfffff,0x7fe47ff6,0x97ff2007,0x3fae5ff8,
    0xf881efff,0x0000007f,0xd8817fec,0xffffffff,0xfff36fff,0x403fffff,
    0xb0007ff8,0x400007ff,0x7401fffd,0x40001fff,0xffffffd8,0x0bff607f,
    0x7fff4c00,0x000effff,0x3ff3bfea,0x49ff504f,0xf002fff8,0xaffc45ff,
    0xfffffffb,0x03ffc41f,0x3f600000,0xffffa82f,0xffffffff,0xfffff36f,
    0x7c403fff,0xffb0007f,0x3ea00007,0x3e605fff,0x20004fff,0xfffffff8,
    0x3ff607ff,0xfffb8002,0xffffffff,0xe8dfd001,0x0ffe887f,0x5402ffec,
    0x77fc47ff,0xfcabeffc,0x3ffc47ff,0x36000000,0x7ffc42ff,0x3fffa61d,
    0x7ffc02ab,0x01ffe201,0x001ffec0,0x6ffffb80,0x0ffffe20,0x2fffd800,
    0xffb014c4,0xfffb8005,0xfff730ad,0x3ff8803f,0x3f207fe4,0x0fffa82f,
    0x2227fec0,0x983fffff,0x3fe22fff,0x40000007,0x7fec2ffd,0x00fffa05,
    0xf100fffc,0x3f6000ff,0xf300003f,0xfb809fff,0x3e60005f,0xfb0001ff,
    0xfff8005f,0x13ffe605,0xfa85ff30,0x817fe61f,0x3e203fff,0x7ffc41ff,
    0x9bff202f,0x00007ff8,0x217fec00,0x3ea01ffe,0x3fff006f,0x003ffc40,
    0x0003ffd8,0x4013fee0,0x7d400008,0x3331005f,0x3337ffd3,0x7dc13333,
    0xfffa806f,0x50ffe600,0x07ff43ff,0x540dff90,0xfff886ff,0x13ffcc03,
    0x00000fff,0x222ffd80,0x7fcc07ff,0x03fff007,0x8003ffc4,0x00003ffd,
    0x80000000,0xfd004ffc,0xffffffff,0x27ffffff,0xf003fff8,0x7fc407ff,
    0xff93fec5,0x1fff8805,0xf107ffb0,0x3ffe00ff,0x510fff10,0x4c400015,
    0x445ffb1a,0x3e600fff,0x3fff006f,0x543ffc40,0x7ffb00aa,0x00999880,
    0x26666600,0x36000199,0xffd003ff,0xffffffff,0x2a7fffff,0xf9000fff,
    0xdffd80df,0xff34ffca,0x13ff600b,0x2203ffe2,0xfff007ff,0xeb9ffe23,
    0x001effff,0xffffffb3,0xfff85fff,0x013ff202,0xf100fffc,0x7fffdcff,
    0x1ffec0ef,0x01dffd10,0x3fffe600,0x0001ffff,0x2a007ffb,0xcffeaaaa,
    0x1aaaaaaa,0x5400bff7,0x7fc407ff,0xfd0effff,0x3fea001f,0x82ffdc0f,
    0xfd007ff8,0x65ffe25f,0xffffffff,0x7fffe401,0x2fffffff,0x4c07ffe4,
    0xff002fff,0x7ffc403f,0xffffffe8,0x0fff60ff,0x0077ff44,0xfffff300,
    0x20003fff,0x20003ffd,0xf9002ffd,0x7fcc009f,0xefec8807,0x000ffee3,
    0xffe87fff,0x00fff102,0x7fc47ffa,0xcabeffcf,0x3f607fff,0xdba9bcff,
    0xffe82fff,0xfffdbacf,0x07ffe004,0xffefff88,0x5fffeaad,0x3a20fff6,
    0x40000eff,0xffaaaaa8,0x6665401f,0xccdffecc,0x201ccccc,0xfb002ffd,
    0x7fc4007f,0x3e60000f,0xffc8006f,0x881ffe26,0xfff007ff,0x3ffffe21,
    0x82fff983,0x3601effa,0x7ffcc2ff,0x4fffffff,0x00fffc00,0x05fffff1,
    0x3f61fff7,0x77ff443f,0x3e000000,0x7fe401ff,0xffffffff,0x02ffffff,
    0x7400bff6,0x7fc003ff,0x3fa0001f,0xff98000f,0x409ff71f,0xf8807ff8,
    0x3fffe27f,0x21bff202,0x7ec02ffe,0x6d7ff42f,0x000ceffe,0x2201fff8,
    0xf102ffff,0x8fff63ff,0x000effe8,0x0fffc000,0x3fffff20,0xffffffff,
    0x3f602fff,0x5fff002f,0x01fff800,0x007ff700,0xfea7ff40,0x1ffe201f,
    0xf897fee0,0x7fcc03ff,0x4037fd47,0x3fe62ffd,0xff800004,0x3ffe201f,
    0xd97ff403,0xdffd13ff,0x2dd98001,0x803fff00,0xfd999998,0x999999cf,
    0x0bff6009,0x001fff40,0x0001fff1,0x8000dff1,0x6ff9effa,0x203ffc40,
    0x3e21fff8,0x1fff007f,0x6c01ffe4,0x13fee2ff,0x3ffe0000,0x01ffe201,
    0x7fecfff6,0x00effe8b,0x17fffc40,0x000fffc0,0x0003ffd8,0x6c00bff6,
    0x3e6004ff,0xffb0007f,0x000ddcc3,0x07ffdfff,0x2207ff88,0x7fc44ffe,
    0x43fff007,0xfd802ffd,0x33ffee2f,0x40000999,0x3e201fff,0x3ffc807f,
    0xdffd7ffb,0xfff50001,0x3fff00df,0x0fff6000,0x02ffd800,0x4009ff90,
    0xa8006ff9,0xfffd14ff,0xff9001bf,0xf8801fff,0xcbaacfff,0x7c40ffff,
    0x5ffd007f,0x6c00fff4,0x3ffe22ff,0xefffffff,0xfff000be,0x03ffc403,
    0xffd9ffe4,0x0003fffd,0x01fffff1,0x0001fff8,0x40007ffb,0xf7002ffd,
    0x7fe400df,0x37fc4005,0xbfffdffd,0x9ffff300,0xfffff100,0x1bffffff,
    0x200fff10,0x3ffe1fff,0x42ffd801,0xfffffff9,0x02ffffff,0x2201fff8,
    0xffc807ff,0xff77ffb3,0x3f20005f,0x7fc01fff,0xffb0001f,0x7fec0007,
    0x3fff5002,0x013ffa00,0x3ee3ffb0,0x03ffb12f,0x001fffd0,0xfffdfff1,
    0x7c405bdf,0x1fff007f,0x6c00fff4,0x77fe42ff,0xffeccccc,0x7fc01fff,
    0x1ffe201f,0x7ecfff20,0x05fff93f,0x01fffe00,0x40007ffe,0x20003ffd,
    0x3a003ffd,0xff9803ff,0x3fea000f,0xff31bf64,0x0bffd007,0x4c5ffe20,
    0x1ffe2001,0xfb1ffe20,0x5ffd005f,0x22037fdc,0x7c03fffb,0x3fe201ff,
    0xb3ffc807,0x7ffec7ff,0x6ffd8001,0x001fff80,0x0007ffb0,0x7002ffe4,
    0x74403fff,0x3e2003ff,0x117fe0ef,0xffa809ff,0xfff1001f,0x3ffc4000,
    0x362ffdc0,0x7fec04ff,0x007ffe2f,0x3e02fff4,0x3fe201ff,0xb3ffc807,
    0xfffe87ff,0x27ffc001,0x000fffc0,0x0003ffd8,0x400bffea,0x881ffff8,
    0x2000fffe,0x37fc2ffc,0xfd1027fc,0x7fc400bf,0x3fe20007,0x0fffc407,
    0xfc81ffea,0xfff32fff,0x13ff6001,0x4403fff0,0xffc807ff,0xe887ffb3,
    0xf9000fff,0x3ffe00df,0x7ffb0001,0xfffe8000,0x43dcabdf,0xcceffffa,
    0x002ffffe,0x3f613fea,0x8817fcc7,0x2000effe,0x20007ff8,0x3a207ff8,
    0x9fff04ff,0xffeffc88,0x005fff12,0xf805fff3,0x3fe201ff,0xb3ffc807,
    0xfff307ff,0xfd75101d,0x3fe003ff,0xffb0001f,0xff980007,0x3fffffff,
    0xffffff98,0x2001efff,0xfb80ffe8,0x0ffe99df,0xffff7535,0x7ff88003,
    0x3ffe2000,0xffcbabdf,0xfff900ff,0x77fff97b,0x7fff45ff,0x7fe4c1ab,
    0x33332e5f,0xcccdfffc,0x00fff12c,0x3ff67ff9,0x1dfff303,0x1effffb8,
    0xfcccccb8,0x2ccccdff,0x003ffd80,0xffffc880,0xd9102fff,0x009dffff,
    0x7405ff90,0x22ffffff,0x2fffffff,0x07ff8800,0x3fffe200,0xdfffffff,
    0x7fffec00,0x5ff73fff,0x7fffffcc,0x6fffffff,0x7ffffff4,0x4fffffff,
    0xf900fff1,0x80fff67f,0x7dc5fffa,0x3ffa02de,0xffffffff,0xfd804fff,
    0x9800003f,0x0cc00099,0x0bff3000,0x1efffd88,0x067ffffc,0x07ff8800,
    0x7fed4400,0x002defff,0x8b7fffb2,0x7e442ffb,0xffffffff,0xffffe82e,
    0xffffffff,0x00fff14f,0x3ff67ff9,0x2fffe403,0x7fff4001,0xffffffff,
    0xffd804ff,0x00000003,0x00000000,0x2b2a0130,0x55500001,0x03100000,
    0x00031000,0x9abcaa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8800000,0xbcdefedc,0xdfdb7300,0x664c059b,
    0xcccccccc,0x262001cc,0x4c02ccba,0x0bceeecb,0xfdca9800,0xccc81cde,
    0x23997000,0xccccccc9,0x8803cccc,0x1bceedca,0xbdedb980,0x01332e01,
    0x5c333260,0xc88003cc,0x079910cc,0xa8399300,0x03332e0a,0x3fffffee,
    0xfa83ffff,0xffffffff,0xffffa82e,0xffffffff,0xfffea802,0xf9104fff,
    0xffffffff,0x3ffa6009,0xffffffff,0x4003ffe0,0xfff52ffe,0xffffffff,
    0x7ffec40d,0x06ffffff,0xffffffd1,0x3ffea09f,0x2fff4003,0x8001fff9,
    0x3fe26ffb,0x3ffa8006,0x7f47fff6,0x7fff40ff,0xffffeeff,0xeffffa83,
    0x42ffffff,0xfffffffa,0x202fffff,0xfffffffa,0xfffd04ff,0xfffffbdf,
    0xffffb809,0xffffffff,0x4003ffe0,0xfff52ffe,0xffffffff,0x3fffe60d,
    0x7fffffff,0xefffff98,0xe80dffff,0xf7000fff,0x7ffcc1ff,0x27ff4002,
    0x2e001ffe,0xffff52ff,0xd83fff6b,0x7300bfff,0x73037303,0x7d41fffd,
    0x999999df,0xff500999,0x333579ff,0x15fff901,0x01fffd98,0x157ffffb,
    0xf83f6a62,0xffd000ff,0x26666625,0x86ffb999,0x0acffffb,0xf98fd731,
    0x7fdc1dff,0x4fff985f,0xd09fff00,0x7c400bff,0x03ffc1ff,0xfb97fdc0,
    0xfffb6fff,0x007ffe61,0xfff30000,0x0027fd45,0x01bfff50,0x403fff80,
    0xffa83ffe,0x208800ef,0xfd000fff,0x7fd4005f,0x0f7ffc46,0x17ff60c0,
    0xd80fffa8,0x7dc00fff,0x7ffc80ff,0x21bfee00,0xfc8007fe,0x9ffff31f,
    0xffb9fff2,0xd0000006,0x27fd47ff,0x07ffd000,0x01fff300,0xfe84ffc8,
    0x3fe0005f,0x5ffd000f,0x237fd400,0x8000fffc,0x6c00fff8,0xfff884ff,
    0x0fffe204,0x8017ffcc,0xffe83ffd,0x0ffe4000,0x7fe49ff7,0x0017ff27,
    0x1ffec000,0x20009ff5,0x10006ffa,0xffb00fff,0x00fffb85,0x003ffe00,
    0x50017ff4,0x7ffc4dff,0xbff70003,0x20fff500,0xf901fffc,0x4ffe80df,
    0x81fff880,0x64000ffd,0xffb800ff,0x003ffee6,0x3ffa0000,0x0013fea0,
    0x0000fff4,0x7cc07ffd,0x27ffc0ff,0x03ffe000,0x0017ff40,0x7fe4dff5,
    0x3ffa0007,0x7fff4402,0x85fff881,0x6402fff8,0xffa807ff,0x003ffb06,
    0xb800ffd8,0x3ffe66ff,0x2000000d,0x7fd46ff9,0x7ff88004,0x7ffdc000,
    0x45ffd882,0x0000fff8,0xe8007ffc,0x3ea002ff,0x013ff66f,0x200fff80,
    0x02fffffa,0xfc83fff7,0xfff9805f,0x81ffec01,0x1cc81ffc,0xf5007fd8,
    0xefffd8bf,0xf9800002,0x6ffd42ff,0xff500199,0x0d5d54cb,0x37fffa20,
    0x81dfff51,0x80007ffa,0xfd000fff,0x7fd4005f,0x000bffa6,0xf903ffc4,
    0x407fffff,0x3fe26ffe,0x9ffd001f,0x80fffc40,0x7fd42ffc,0x0007fe84,
    0xeffffe88,0xaaa8000b,0xa80effdc,0xffffffff,0x79ff702d,0xfffffffd,
    0xffffc805,0xf705fffe,0x266620bf,0x7ffc1999,0x05ffd000,0xff37fd40,
    0x3e60003f,0xfffe887f,0x2a04ffcc,0x9ff92fff,0x037fe400,0x7dc0dff5,
    0x43ffe42f,0x200006fe,0xdffffffc,0xffff1001,0x3ea05fff,0xffffffff,
    0x7ffe41ff,0xffffffff,0x7fdc04ff,0x3204ffff,0xfffb04ff,0x7fc3ffff,
    0x5ffd000f,0x8b7fd400,0x50000fff,0xfffa8dff,0x809ff72f,0xfff8effd,
    0x3ffe6000,0x407ffb01,0x7ffc3ffa,0x0037fc2f,0x3fff2200,0x4400dfff,
    0xffffffff,0x5555441e,0xfffffdcb,0x33ffff61,0xfffd510a,0x7fffe405,
    0xfd80cfff,0xffffb04f,0x7ffc3fff,0x05ffd000,0xf9b7fd40,0xf50000ff,
    0x77ffe4bf,0x3017fee0,0x07ffdfff,0x207ffd00,0x3ea00fff,0x3fffe63f,
    0x0002ffc5,0xfffeb880,0x4ccc01ff,0x2ffffca9,0x37ffdc00,0xd801bffb,
    0xffe886ff,0xeffffcbf,0x982ffe40,0x1fffaaaa,0x74003ffe,0x3ea002ff,
    0x03fff36f,0x277fe600,0xfb84fffe,0xfffc804f,0xff90007f,0x80dff50d,
    0x3bf23ff9,0x42ffc7fd,0x2a000008,0x000efffe,0x001fffb0,0xfb0fffa8,
    0xfff3007f,0x06fffd41,0xb8dfffb1,0x3fa005ff,0x003ffe1f,0x50017ff4,
    0x3ffe2dff,0xfff10002,0x3205ffff,0xff8803ff,0xf30002ff,0x3ffc81ff,
    0xff27fcc0,0x3e25ff79,0x06ffdc4f,0xfff90000,0x7ff40007,0x2fff8003,
    0x3e009ff9,0x13ffa2ff,0x2a4fffb8,0x3fa006ff,0x003ffe1f,0x50017ff4,
    0x1fffcdff,0xfffff000,0x17fec01b,0x006ffb80,0x3e1fff40,0x7fc400ff,
    0xff33ff34,0xfa93fe2b,0x00004fff,0x0002ffec,0xd0009ff9,0x17fee7ff,
    0xf99fff40,0x7fec00ff,0x003ffe67,0xfff0fff4,0x07ffa003,0x3a6ffa80,
    0x3e0005ff,0xfe803fff,0xbff7001f,0x6ffc8000,0x2201bfe6,0x74ff95ff,
    0x23ff98ff,0x006ffffb,0x03ffdc00,0x009ff900,0x3ea5fff0,0x3ffd006f,
    0x2a013fee,0xfff10fff,0x87ffa009,0xff002ffe,0x7fdc001f,0x003fff25,
    0x4027ff40,0x7000fff9,0x98000bff,0x7ff90fff,0x7f5bfe00,0x3e6bfee4,
    0x3fffea3f,0x7dc00005,0x3fa0006f,0x7fc4002f,0x01fff30f,0xfb0fff88,
    0xfff3009f,0x007ffe41,0xffb0fff4,0x0fff3007,0x224ffc80,0x50004fff,
    0xff900dff,0x2ffdc009,0x9fff4000,0xff000fff,0x7c43ff3d,0x6c2ff9ef,
    0x00000eff,0x80027ff4,0x4000fffa,0x7fec6ffd,0x937fdc04,0xff700dff,
    0x0efff88d,0xf90fff40,0xbffb00df,0x3ffe2004,0x01fffe42,0x203fff80,
    0x2001fff8,0x80005ffb,0x6ff9dffc,0x3efffa00,0xffbffe87,0x37001982,
    0x3fffb100,0x7fff5000,0x7ffecc00,0x817ffd40,0x3ea1fffa,0x3fe604ff,
    0xffffb84f,0x887ffa02,0x3ee05fff,0x203360ff,0xf886ffd8,0x2a00dfff,
    0x40fffdc5,0x4005fff8,0x80005ffb,0x3ffdfff9,0x3fbffa00,0xffeffb84,
    0x7ffc0001,0xfeccccde,0xbcd83fff,0xfffccbaa,0x555e645f,0x1ffffdcb,
    0x379fffd0,0xb09fffb5,0x7559ffff,0x201dfffb,0xcefffffc,0x41fffecc,
    0xabcffffb,0x6c3fffec,0xffdcdeff,0xfff502ff,0xfdb9bfff,0xfffe88ff,
    0xefffdbbd,0x2ffdc000,0xfffe8000,0x3f6000ff,0xff882fff,0x40000fff,
    0xffffffff,0xf03fffff,0xffffffff,0xfffb07ff,0x3bffffff,0x7fffec40,
    0x103fffff,0xfffffffd,0xa801dfff,0xffffffff,0xfc81ffff,0xffffffff,
    0xffffd83f,0x402fffff,0xffffffd8,0xd887ffff,0xffffffff,0xffb8000e,
    0xff900005,0xfc800dff,0x3ff607ff,0x640000ff,0xfffffffe,0x3fe00bef,
    0xbeffffff,0xfffffb00,0x5c003bff,0x0dfffffe,0xffffea80,0x22002eff,
    0xffffffdc,0x3f6601be,0x00dfffff,0xdffffd71,0x76dc001b,0x1aceffff,
    0x3ffffae0,0x3ee0003d,0xf300005f,0xc8007fff,0x3ea04fff,0x400007ff,
    0x0009a998,0x004d4ccc,0x00353330,0x00026600,0x00009988,0x00033310,
    0x10002662,0x4c000033,0x00660001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99500000,0x2e019930,0x32a004cc,0x999950cc,0x99999999,
    0x6664c999,0xcccccccc,0x973ccccc,0x99700399,0x804ccc81,0x32e1ccca,
    0x6644001c,0x0ccca804,0x79999999,0xcb980035,0x3200bcee,0x997000cc,
    0x33333223,0x4401abcc,0xcccccccc,0x3264cccc,0xcccccccc,0xfd804ccc,
    0x501ffb86,0xf1007fff,0x7ffe49ff,0xffffffff,0xff70ffff,0xffffffff,
    0x2bffffff,0xd806fffe,0x7fffc1ff,0x17fffc01,0x88007ffb,0x7fcc07ff,
    0x3ffffe4f,0x02efffff,0x7fffff44,0xfff02fff,0x4bffa003,0xfffffff8,
    0x980bffff,0xffffffff,0x3ea7ffff,0xffffffff,0xfe807fff,0x200ffc85,
    0x6c00fffd,0x3ff20eff,0xffffffff,0xf70fffff,0xffffffff,0xbfffffff,
    0x007ffffa,0xfff83ffb,0x3ffea04f,0x00fff62f,0x440fff10,0x7ffc5ffe,
    0xffffffff,0xffff504f,0x5fffffdf,0x2003fff0,0xfff12ffe,0xffffffff,
    0xfff981ff,0xffffffff,0x3fffea7f,0xffffffff,0xc85ff807,0x7ffc407f,
    0x0bffe604,0x55555553,0xbfff7555,0x4cccccc4,0x9999effc,0xffffd099,
    0x21ffd80b,0x207ffff8,0x363ffffd,0x7c4003ff,0x3bff607f,0x710fffc0,
    0xd05ffffb,0x7d415bff,0x7ffc0fff,0x25ffd001,0x54c47ff8,0x260efffd,
    0x99999fff,0x3ea19999,0x3e00006f,0x806fd84f,0xfd01fffb,0xfc8000bf,
    0xff7000ff,0xffffd00b,0x0ffec03f,0x05ffbff1,0x47ff9ff1,0x44003ffd,
    0xfff707ff,0x203fff01,0xf986ffe8,0x0fffe603,0x3a003fff,0x0fff12ff,
    0x264fffa8,0xfa8007ff,0xf100006f,0x00bfd07f,0x3ee1bffa,0x2a0000ff,
    0x2e002fff,0xffe805ff,0x3f605ffc,0x3ebfe61f,0xfaffb84f,0x00fff63f,
    0xf50fff10,0x3ffe03ff,0x41ffea01,0x45ffd800,0xfd001fff,0x01ffe25f,
    0xff99bff2,0x6ffa8007,0xb9991000,0xf9999bff,0x205999df,0x3e23fff9,
    0x220003ff,0x5c005ffe,0xffe805ff,0xfb00fff9,0x6d7fcc3f,0xf9dfe87f,
    0x00fff64f,0xf88fff10,0x3ffe02ff,0x03ffe601,0x237fdc00,0xfd001fff,
    0x01ffe25f,0x7cc3ffe6,0xffa8007f,0xfff30006,0xffffffff,0x09ffffff,
    0xfd87ffe4,0x7e40005f,0x7dc000ff,0x8ffe805f,0xffb04ffc,0x7d57fcc3,
    0x26bfe62f,0x0fff64ff,0xe8fff100,0x7ffc04ff,0x01ffe601,0x7c6ffb80,
    0xffd001ff,0x401ffe25,0xfff31fff,0x0dff5000,0x3b332200,0xfdccccff,
    0x402cccdf,0xfffadffe,0x3fe60000,0xffb8002f,0x98ffe805,0xffd80fff,
    0x3e2bfea1,0x7c5ff25f,0x00fff64f,0x7ecfff10,0x1fff805f,0x001bfee0,
    0x7fc5ffc8,0x5ffd001f,0x2201ffe2,0xfff30fff,0x0dff5000,0x03ff2000,
    0xa8005ff3,0x03ffffff,0x02fff400,0x805ffb80,0x9ffb0ffe,0x7d43ffb0,
    0x3e1ff92f,0x6cbff14f,0x7c4003ff,0x01dff77f,0x2603fff0,0x20003fff,
    0x7ffc3ffe,0x25ffd001,0xf9807ff8,0x01ffe67f,0x001bfea0,0x7d43fe40,
    0xffd8001f,0x640006ff,0x70000fff,0xffd00bff,0xb03ffe61,0x8ffdc3ff,
    0x1ffabff9,0x7fecbff1,0x7ffc4003,0xf000fff9,0x7e4cc3ff,0x2a0005ff,
    0x7ffc0fff,0xcccccccd,0xf12fffcc,0xbffb00ff,0x4ccfffcc,0x20999999,
    0xccccfffa,0x402ccccc,0x0ffb86fd,0xffff8800,0x3fe60001,0x3ee0002f,
    0x0ffe805f,0xffb0fffa,0xff0ffdc3,0x7fc4df9b,0x000fff66,0x5ffffff1,
    0x7ffffc00,0x05ffffff,0x13ffe200,0x3ffffffe,0xffffffff,0x80fff12f,
    0x3e60fffc,0xffffffff,0x3fea3fff,0xffffffff,0x2ff404ff,0x98003fe4,
    0x0003ffff,0x00017ffa,0xfd00bff7,0x23ffd41f,0x3fee1ffd,0x0fffff21,
    0x1ffecdff,0x3bffe200,0x3fe006ff,0xcfffffff,0x7fec0001,0xffffff06,
    0xffffffff,0x3ffe25ff,0xffba9999,0x7ffcc3ff,0xffffffff,0x3fffea3f,
    0xffffffff,0x642ffc04,0xffd0007f,0x90001fff,0x80001fff,0xfe805ffb,
    0xb17ff40f,0x0ffe43ff,0xf81ffff3,0x00fff66f,0xff3fff10,0x3ffe009f,
    0x1effecac,0x3fff6000,0x335fff00,0xd3333333,0x3ffe25ff,0xffffffff,
    0xafff982f,0xaaaaaaaa,0x267bfea1,0x09999999,0x3613fe20,0xffb8006f,
    0x4005ffef,0x0002fff9,0xe805ffb8,0x37fdc0ff,0x7fe43ffb,0x7c2fff41,
    0x00fff67f,0x3eafff10,0xfff803ff,0x007ffdc1,0x00fffe40,0x3a003fff,
    0xffff12ff,0x19ffffff,0x001ffe60,0x2001bfea,0xfffffff9,0xffffffff,
    0x7fc404ff,0x03fff9bf,0x0017ffa0,0x402ffdc0,0xfff80ffe,0x7ec3ffb2,
    0x417fdc0f,0x0fff67ff,0x64fff100,0x7fc01fff,0x05ffd81f,0x017ffe40,
    0x74007ffe,0x9fff12ff,0x30013799,0xf5000fff,0xff3000df,0xffffffff,
    0x9fffffff,0x326ffd80,0xfc800fff,0x700000ff,0xffd00bff,0x36bff701,
    0x03ff61ff,0x9ffe0551,0x44003ffd,0x77ff47ff,0x207ffe00,0x9002fff8,
    0xff005fff,0x3ffa003f,0x000fff12,0x4003ffcc,0x88006ffa,0xacffcaaa,
    0xaadffbaa,0x3ffea01a,0x017ffe21,0x0005fff3,0x402ffdc0,0xff880ffe,
    0x361ffd9f,0x7f4000ff,0x007ffb0f,0x7c47ff88,0x3ffe05ff,0x00dffb01,
    0x2005fff9,0xfd001fff,0x01ffe25f,0x007ff980,0x0006ffa8,0x7cc0ffb8,
    0xfff1003f,0x05fff709,0x0002fff4,0x2017fee0,0xff900ffe,0x7f43ffb9,
    0x7ff4000f,0x8007ffb0,0xffa87ff8,0x03fff04f,0xc80bffe6,0x3e002fff,
    0xffd001ff,0x001ffe25,0x8007ff98,0x80006ffa,0x7fcc0ffc,0x1fffb002,
    0x203fffa0,0x0000fffb,0x402ffdc0,0xff100ffe,0x7f43ffdf,0x7ff4000f,
    0x8007ffb0,0xff907ff8,0x03fff05f,0xfc837fec,0x7fc001ff,0x5ffd001f,
    0x8001ffe2,0xa8007ff9,0xc80006ff,0x01ffa87f,0x203fffa8,0x7cc4fff9,
    0x800002ff,0xfe805ffb,0x3fff200f,0x01ffe1ff,0x7ec7ffa0,0x7fc4003f,
    0x03fff607,0x7cc03fff,0x7ffe41ff,0x1fff8001,0x225ffd00,0x260007ff,
    0xfa8007ff,0xfd80006f,0x400ffb86,0xc806fff8,0x3ffa1fff,0xffffffff,
    0x802fffff,0xfe805ffb,0x3ffe600f,0x01ffe1ff,0x7ec7ff60,0xeeeeeeef,
    0xfff14eee,0x237ffc40,0x7f401fff,0x3fffea5f,0xffffffff,0x3fff1fff,
    0x44bffa00,0x260007ff,0xfa8007ff,0xeeeeeeff,0x3fa06eee,0xd807fc85,
    0xf8801fff,0x3fffe6ff,0xffffffff,0xb802ffff,0xffe805ff,0x7fffec00,
    0x2001ffe1,0xfffb1ffd,0xffffffff,0x01ffe2bf,0x7fcbfff3,0x7ffd401f,
    0xffffff51,0xffffffff,0x007ffe3f,0xff897ff4,0x3fe60007,0xfffa8007,
    0xffffffff,0x217fe07f,0x7fd407fd,0x3fee004f,0xffffff4f,0xffffffff,
    0xff7005ff,0x01ffd00b,0x11ffff98,0xfb000fff,0x3ffff65f,0xffffffff,
    0x700fff15,0x3ffe7fff,0x55ffe801,0xffffffff,0x3fffffff,0x74007ffe,
    0x0fff12ff,0x03ffcc00,0x7ffffd40,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x59999999,0x332e0013,0xcccccccc,0xeb800ccc,0x6664404e,0x0aabcccc,
    0x33332000,0x64c00002,0x99701ccc,0x99999999,0x98099999,0x00bceecb,
    0xb01b1000,0x98800005,0x9880009a,0x2001aaaa,0x98009a98,0x09988019,
    0x3ffffffe,0x7403ffff,0xffffffff,0x201fffff,0x405ffffa,0xfffffff8,
    0x000cffff,0x02ffffd4,0x3fffa000,0xffffd02f,0xffffffff,0x3f201fff,
    0x2fffffff,0x77fcc000,0x000fff60,0x3ffffb20,0xffb802ef,0x07ffffff,
    0x7fffff54,0x0fff102e,0x7fc7ff90,0xffffffff,0xffd01eff,0xffffffff,
    0xfd503fff,0x880bffff,0xffffffff,0x000fffff,0x03fffff6,0x7ffdc000,
    0xfffd02ff,0xffffffff,0xe881ffff,0xffddefff,0xf50004ff,0x7fe41dff,
    0xfd30004f,0xffffffff,0xfffd101b,0x0fffffff,0x7fffffe4,0xff884fff,
    0x23ffc807,0x2ea60fff,0x002ffffd,0xd500bff7,0xbfffffff,0x447ff880,
    0x06fffda9,0x3ffbffe0,0xff880003,0x5502ffff,0x55555555,0xb0fff955,
    0xff703dff,0xffb8003f,0xbfff705f,0x7ffcc001,0xffdb9acf,0xbfffd85f,
    0x05ca9999,0x3137fffb,0xf887fff9,0x3ffc807f,0xea803ffe,0xfb800fff,
    0x7ffd405f,0x05ffd9df,0x2e03ffc4,0xfa800fff,0x005ffbdf,0xfebffd80,
    0xfb00002f,0x0fffa87f,0x8017fee0,0x4c04fffd,0xb001efff,0x3ee01dff,
    0x3ffe62ff,0xeffa8000,0x41fff500,0xfc807ff8,0x003ffe3f,0x7009fff1,
    0xdff00bff,0x202ffec5,0xff807ff8,0xaffc802f,0x0000fff9,0x7ff57fea,
    0xff980002,0x01ffec0f,0x1007ffe2,0x2005fffd,0x402fffe8,0x6400fffa,
    0x17fea6ff,0x017ff400,0xff893ff6,0x23ffc807,0xfb800fff,0x7fdc00ff,
    0xfd82b805,0x3ffc405f,0x4017ff40,0x5ffd0fff,0x3ffe2000,0x0005ffd0,
    0xfd09ffb0,0x7ff9003f,0x0f7ff4c0,0x3fff6200,0x00fff603,0x7cc7ffe2,
    0x7d4000ff,0x6ff9806f,0x3201ffe2,0x03ffe3ff,0x00bffe20,0x4000bff7,
    0x7c405ffd,0x0fff807f,0xf937fd40,0x3f6000bf,0x00bffa3f,0x81fff300,
    0xb800fff8,0xfff504ff,0x7e40001d,0x1fff04ff,0x44bffa00,0x2002efff,
    0xf8804ffb,0x01ffe27f,0xfff8fff2,0x09ffb000,0x0005ffb8,0xf1017ff6,
    0x6ffa80ff,0x263ffc80,0x54000fff,0x17ff46ff,0x13ff6000,0x2007ffe2,
    0xffb85ffa,0xf700004f,0x7fc41bff,0x8fff6007,0x1cfffffa,0x5567fe40,
    0xfbaaaaaa,0x0fff10ff,0x7fc7ff90,0xbff9000f,0x005ffb80,0x1017ff60,
    0x7fd40fff,0x0fff802f,0x10017ffc,0xffe83ffd,0x3fe20002,0x05fff00f,
    0xfd8dff30,0x400003ff,0xf30efff9,0x7fe400ff,0x7ffffd44,0xffe80cff,
    0xffffffff,0xf11fffff,0x7ff900ff,0xb8007ffc,0x7fdc06ff,0x3ff60005,
    0x67ffc405,0xeffecccc,0x86ffa800,0x32005ffc,0x2ffe83ff,0x13ff2000,
    0x9806ffd8,0x3ffa27ff,0xd800001f,0xfff32fff,0x427fe400,0xfffffeb8,
    0x7ffff43f,0xffffffff,0xfff10fff,0x7c7ff900,0xff7000ff,0x05ffb80f,
    0x017ff600,0xfffffff1,0x2003ffff,0xffa83ffc,0x6ff9800f,0x0005ffd0,
    0x9803ffe2,0xb880cfff,0x7f447fff,0x100002ff,0x7c43fffd,0xffb000ff,
    0xffeb8805,0x0fff63ff,0x07ff8800,0x3fe3ffc8,0xfff5000f,0x005ffb80,
    0x1017ff60,0xffffffff,0x801dffff,0xfff01fff,0x03ffd005,0x4000bffa,
    0xfc805ffc,0xfedcefff,0xfb06ffff,0x980009ff,0xff80efff,0x3ffd001f,
    0x3fff5400,0x40009ff9,0xfc807ff8,0x003ffe3f,0x2e037fdc,0x360005ff,
    0x7fc405ff,0xdb99999f,0xf500ffff,0x2ffec0df,0xe813fee0,0xf88002ff,
    0xff7001ff,0xbfffffff,0x7fdc0bff,0xfa8000df,0xffd00dff,0x1fff3007,
    0x0fff9800,0x8000dff7,0x3e601fff,0x03ffe3ff,0x2037fe40,0x20005ffb,
    0x7c405ffd,0x7ffd407f,0x409ff905,0xf300fffa,0x2ffe80df,0x05ffc800,
    0x6f76dc40,0x809ff52c,0x000efffa,0x7013fff2,0xfd801fff,0xff88004f,
    0x07fff10f,0x81fff400,0x3e3ffff8,0xffb000ff,0x05ffb809,0x017ff600,
    0xf700fff1,0x3fff01ff,0x817ffc40,0x7f401ffe,0x7fc4002f,0xc800001f,
    0xfe9803ff,0x7ec401ff,0xffd003ff,0x3fff601d,0x7fec0020,0x01fffdc7,
    0x40effd80,0x23ffffe9,0xf8800fff,0x7fdc02ff,0x3ff60005,0x03ffc405,
    0x2a0fffcc,0xffffffff,0x85ffffff,0xfffffff9,0xffffffff,0x7e402fff,
    0xd000005f,0x3a2003ff,0xfd102fff,0x7d4005ff,0xecabcfff,0x6fec3fff,
    0xfedbaabc,0xffff83ff,0xdbaaaace,0x7fffcc1e,0xfcfffcac,0x003ffe3f,
    0x7003fff2,0x6c000bff,0x7fc405ff,0x1fff8807,0x7fffffe4,0xffffffff,
    0xfffff987,0xffffffff,0x202fffff,0x0001fff8,0x006ff980,0x4c4fffd8,
    0x8001efff,0xfffffffa,0xffd81fff,0xffffffff,0xfffb103f,0xffffffff,
    0xfffffb03,0x7ff53dff,0x22007ffc,0xfb804fff,0x3f60005f,0x3ffc405f,
    0x7c3ffd40,0xeeeeeeff,0x2fffeeee,0x77777744,0xfffeeeee,0x3201eeee,
    0x800006ff,0x0001ffe8,0x7f43fff7,0x220000df,0xceffffed,0xffffd700,
    0x0039ffff,0xffffffd5,0x3ee019df,0xf50cffff,0x007ffc7f,0x001fffd3,
    0x4000bff7,0x7c405ffd,0x5ffe807f,0xb003ffd4,0xe8000bff,0xff1002ff,
    0x9800005f,0x40004ffd,0x027442fa,0x00662000,0x026a6660,0x99998800,
    0x00662000,0x4c40fff8,0x002ffffc,0x4000bff7,0x7c405ffd,0x3ff6607f,
    0x027fe41f,0x000fff70,0x9002ffe8,0x20000dff,0x0ffffd98,0x01008000,
    0x00000000,0x00000000,0xdfff0000,0xffffffdd,0x3bbb603f,0xeeefffee,
    0x3fffa1ee,0xffffffff,0x3ffe27ff,0xfffeeeee,0x2fff82ff,0x0bffe200,
    0x02ffe800,0x002fff88,0xfffeeec8,0x0000cfff,0x00000000,0x00000000,
    0x80000000,0xffffffff,0x3a00cfff,0xffffffff,0x3a1fffff,0xffffffff,
    0x227fffff,0xffffffff,0xfa81dfff,0xffe8007f,0x3ffa0004,0x06ffc802,
    0xfffffb00,0x00003dff,0x00000000,0x00000000,0x40000000,0xdeffffff,
    0xfffd002c,0xffffffff,0x7fff43ff,0xffffffff,0x3ffe27ff,0x1cdeffff,
    0x0017ff20,0x8001ffee,0x7c402ffe,0xfb0002ff,0x00359bdf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26a62000,0xaaaa9801,
    0x20266201,0x33100aa8,0x015302a8,0x35550133,0x80026620,0x26621998,
    0x09988000,0x26666662,0x21999999,0x30009998,0x32600333,0x6640002c,
    0x0e6d4001,0x802cc980,0xaaaaaaa9,0x2aaaaaaa,0x3ff66000,0x5c5fffff,
    0xfffffffd,0x23ffa83f,0x1effffea,0xffe8bfd4,0x7fffd11e,0xff92ffc4,
    0xfc83dfff,0x3ff2007f,0x001bfe65,0xffd93fee,0xffffffff,0x7fff47ff,
    0x1fffd400,0x005ffa80,0x50017fc0,0xd001ffff,0xfc801fff,0xffffffff,
    0x007fffff,0xffffff70,0x7fc4ffff,0xffffffff,0xb9ffd46f,0xffffffff,
    0x3fa3fea1,0xfffb4fff,0x37fe21ff,0xffffffe8,0x3ffe20ff,0x45fff002,
    0xc8007ff8,0x3fff63ff,0xffffffff,0x2fffcc7f,0x00bfff10,0x0002ffd4,
    0xfc800bfe,0x7d404fff,0x7e404fff,0xffffffff,0x007fffff,0xacefffd8,
    0x3e27ecaa,0xea99abdf,0x3fea4fff,0xdabeffcc,0x3fea5fff,0xaefd9dfb,
    0x13ffc9ef,0x5bffddff,0xd8bfffd5,0xffa805ff,0x8007ff87,0x2aaa2ffd,
    0xfaaaaaaa,0xfffb86ff,0x01dffb02,0x002ffd40,0x1a83fd07,0x0dffff50,
    0x1ffdcff8,0x2aaaaa60,0xaaaaaaaa,0x7fd4002a,0x00a0c04f,0xffa9fff6,
    0xffa83fff,0x1ffff50f,0x4c3fffea,0xffff14ff,0x1fff705f,0x2007ffd4,
    0xffe84ffd,0x07ff4000,0x03fff200,0x2a07ffec,0x54001fff,0xdf7005ff,
    0xfd88ff43,0x1ffffa06,0xff88ffb8,0x00000006,0x004fff88,0x1fff3000,
    0x80ffffea,0xfff52ffe,0x31fffcc7,0x3ffe2bff,0x3fff101f,0x2203fff8,
    0xffc81fff,0xff81cc81,0x7ffd4007,0x97ffa201,0x8003fff8,0xf9005ffa,
    0x2a3f69ff,0xf300efff,0x3fe20dff,0x000ffee3,0xff700000,0x4000001f,
    0xfff52ffe,0x52ffd807,0xfff98dff,0x7c57fe20,0x7ff403ff,0x7037fe42,
    0x3fee0dff,0x7c27fd42,0x3fe2006f,0xfff9803f,0x000bffb3,0x88017fea,
    0xfdfeeffc,0xfff802ef,0xfd0ffb04,0x0000001f,0x0027fec0,0x4bff6000,
    0xeb806ffa,0x987ff52e,0xaffc44ff,0xfd807ff8,0x0fffcc3f,0xf502ffe8,
    0x47ffd87f,0x3a005ff8,0x3ee005ff,0x00effbff,0x26666662,0x9999dffb,
    0xff910099,0x22005dff,0xff982fff,0xc84ffa83,0xffffffff,0x07ffffff,
    0x000bffa0,0x99995510,0x3ea5fff9,0xff50006f,0x444ff987,0x0fff15ff,
    0xfd07ff90,0x0fff309f,0x3fe27fcc,0x13fe62ff,0x0077fe40,0x3fffff60,
    0x7fffdc01,0xffffffff,0x2a06ffff,0x800bfffe,0xfd05ffe8,0x20fff40d,
    0xfffffffc,0x7fffffff,0x007ffe00,0x7fffe440,0x2fffffff,0x2000dff5,
    0x7fcc3ffa,0xf8affc44,0x3ffc807f,0xfc86ffb8,0x97fe204f,0x2a5ffffa,
    0xffa803ff,0xff88001f,0xffb803ff,0xffffffff,0x86ffffff,0xfeffffea,
    0x7e54c0cf,0xffa80fff,0x51bfe602,0x99999999,0x09999999,0x007ffe20,
    0x3ffffe20,0xfffeeeee,0x000dff52,0xff30ffea,0xf15ff889,0x7ff900ff,
    0xf83fff10,0x37fc01ff,0x21ff9df9,0x7cc02ffb,0xf30003ff,0x93009fff,
    0xffb99999,0x7999999d,0x6c6fff54,0x0cfffc8f,0x019ffffb,0x3f201bfe,
    0x0000003f,0x8002fff8,0x3602effe,0x0dff52ff,0x30ffea00,0x5ff889ff,
    0xf900fff1,0x93ff207f,0xfe806ffa,0x3feaffe7,0x4401ff92,0x10004ffe,
    0x05fffffd,0x02ffd400,0x3fa2ffd8,0x7ecdfd30,0x3fee01ce,0x0fff8801,
    0x64459993,0x360002cc,0x7cc003ff,0x7fec00ff,0x000dff52,0xff30ffea,
    0xf15ff889,0x7ff900ff,0x6c3ffe60,0xffd803ff,0xbff0ff98,0xffb01ff6,
    0x7fec000d,0x000fffce,0x200bff50,0x20ff40d8,0x0000022c,0x93ffe600,
    0x0004fff9,0x7001bff2,0xffb00dff,0x001bfea5,0x3e61ffd4,0x8affc44f,
    0xffc807ff,0x22bffa03,0xfb800fff,0x3f26fc9f,0x2e06fe8f,0x70000fff,
    0x3ffa3fff,0xbff50006,0x01ff8000,0x80000000,0x3e63fff9,0x260004ff,
    0x2e003fff,0x7fdc05ff,0x00dff52f,0xf30ffea0,0x15ff889f,0xff900fff,
    0x56ffdc07,0xff5005ff,0x7fd47ff5,0xff305ffb,0x3e60005f,0x3ffe23ff,
    0x5ffa8004,0x017fc000,0x40000000,0x3e23fff8,0x6c0003ff,0x4a204fff,
    0xe880fffa,0xff52ffff,0x3fea000d,0x2227fcc3,0x0fff15ff,0x4407ff90,
    0x01ffdfff,0x1ffbff30,0x84ffeff8,0x0004fff8,0xf50bfff1,0xfa8007ff,
    0x7740005f,0x00000002,0x22fff880,0x0003fff8,0x6f7fffc4,0xf17fdcbc,
    0xfb757fff,0x2a5ffdff,0xf50006ff,0x44ff987f,0xfff15ff8,0x807ff900,
    0x006ffffd,0x21bfffe2,0xe83ffffc,0xcccccfff,0x6c2ccccc,0xffb00fff,
    0x7fd4003f,0x00000005,0x7c000000,0x17ffc2ff,0x7fec4000,0x7fffffff,
    0x3fffffea,0x2ffb9eff,0x2000dff5,0x7fcc3ffa,0xf8affc44,0x3ffc807f,
    0x1ffffcc0,0x0ffffe00,0x20bfffe6,0xffffffff,0x24ffffff,0x2202fffc,
    0x3000ffff,0x000009dd,0x00000000,0x7fc1fff8,0x2a00002f,0xdfffffed,
    0x7ffff4c3,0x54bfee4e,0xf50006ff,0x44ff987f,0xfff15ff8,0x007ff900,
    0x8001fffd,0xff00fffe,0xffff03ff,0xffffffff,0x3ffea9ff,0x5fffa805,
    0x00000000,0x00000000,0x7f41fff8,0x2000001f,0x13300099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07ff4000,
    0x00007ffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x33333333,0x33333333,0x00000333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc00000,0xffffffff,0xffffffff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0xffffffff,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaa0000,0xaaaaaaaa,0xaaaaaaaa,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_37_usascii_x[95]={ 0,7,4,0,2,0,1,8,5,4,2,1,4,4,
7,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,1,0,0,0,0,2,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1, };
static signed short stb__consolas_37_usascii_y[95]={ 27,1,1,3,-1,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,31,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,8,8,8,8,8,8,0,-3,0,13, };
static unsigned short stb__consolas_37_usascii_w[95]={ 0,6,12,20,17,20,20,5,11,11,16,18,10,12,
7,16,18,17,17,16,20,15,17,17,17,18,6,10,15,16,15,12,21,21,17,17,19,15,15,18,17,15,13,17,
14,20,17,19,17,20,16,17,18,18,21,20,20,21,17,10,17,10,17,21,13,16,17,15,17,17,19,18,16,15,
14,17,15,18,16,18,17,17,16,15,17,16,19,20,19,19,16,15,4,14,19, };
static unsigned short stb__consolas_37_usascii_h[95]={ 0,27,9,24,33,27,27,9,35,35,16,18,13,4,
7,30,25,24,24,25,24,25,25,24,25,24,20,26,21,10,21,27,34,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,31,24,25,24,25,24,24,24,24,24,35,30,35,12,4,8,20,27,20,27,20,26,27,26,26,
34,26,26,19,19,20,27,27,19,20,25,20,19,19,19,27,19,35,38,35,8, };
static unsigned short stb__consolas_37_usascii_s[95]={ 253,194,230,1,120,1,219,249,60,21,184,
165,201,236,228,159,158,37,169,19,95,36,52,116,70,134,242,166,153,230,169,
240,98,73,55,140,1,239,223,88,187,21,126,134,119,98,80,231,205,138,152,
1,61,107,199,221,22,177,43,33,176,72,212,1,194,17,60,1,78,220,193,
96,131,177,83,148,115,51,70,185,42,201,34,204,213,238,87,107,145,22,128,
44,1,6,208, };
static unsigned short stb__consolas_37_usascii_t[95]={ 1,1,155,94,1,40,1,68,1,1,144,
144,144,29,29,1,68,119,94,68,119,68,68,119,68,119,68,40,119,144,119,
1,1,119,119,68,119,94,94,68,94,119,68,94,94,94,94,40,94,1,94,
68,94,68,68,68,94,68,94,1,1,1,144,165,29,144,40,144,40,119,40,
40,40,40,1,40,40,144,144,119,40,1,144,119,40,119,144,144,144,40,144,
1,1,1,29, };
static unsigned short stb__consolas_37_usascii_a[95]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_37_usascii_BITMAP_HEIGHT or STB_FONT_consolas_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_37_usascii(stb_fontchar font[STB_FONT_consolas_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_37_usascii_BITMAP_HEIGHT][STB_FONT_consolas_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_37_usascii_s[i] + stb__consolas_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_37_usascii_t[i] + stb__consolas_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_37_usascii_x[i];
            font[i].y0 = stb__consolas_37_usascii_y[i];
            font[i].x1 = stb__consolas_37_usascii_x[i] + stb__consolas_37_usascii_w[i];
            font[i].y1 = stb__consolas_37_usascii_y[i] + stb__consolas_37_usascii_h[i];
            font[i].advance_int = (stb__consolas_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_37_usascii_s[i] + stb__consolas_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_37_usascii_t[i] + stb__consolas_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_37_usascii_x[i] + stb__consolas_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_37_usascii_y[i] + stb__consolas_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_37_usascii_LINE_SPACING
#endif

