// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_47_usascii_BITMAP_HEIGHT        270
#define STB_FONT_consolas_47_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_47_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_47_usascii_NUM_CHARS             95

#define STB_FONT_consolas_47_usascii_LINE_SPACING          31

static unsigned int stb__consolas_47_usascii_pixels[]={
    0x00007999,0x00988000,0x4c000000,0x26666609,0x22199999,0x99999999,
    0x51000199,0x00001579,0x000732a0,0x0002aa88,0x0002a620,0x2aa60000,
    0x006aaa22,0xaaaa9800,0x23555530,0x074c5fff,0x0f440000,0x05bdfffb,
    0xedb80000,0xfff14fff,0xffffffff,0x3ffffea3,0x007fffff,0x7fffffe4,
    0x200003ef,0x001ffffb,0x000dff70,0xffffeca8,0x00000bde,0x746fff80,
    0x200006ff,0xf91ffffb,0x3ffe7fff,0x003bfe65,0x1ffe8800,0xbffffffb,
    0xe9800001,0x14ffffff,0xffffffff,0x3fea3fff,0xffffffff,0xfffd3007,
    0xbfffffff,0xfff10000,0x32000dff,0x320004ff,0xffffffff,0x00001fff,
    0x70bffea0,0x00003fff,0x647fffee,0xfff3ffff,0x02fffecb,0x9fffd000,
    0x3ffffff6,0x2200006f,0xffffffff,0xffffff14,0x2a3fffff,0xffffffff,
    0xffb807ff,0xec99bdff,0x40005fff,0x07fffff9,0x007ffb00,0xfffffd10,
    0xffffffff,0x3a000005,0xfff887ff,0xff700005,0x3ffee3ff,0x44bfff2f,
    0x0005fffe,0x885fffd8,0x04ffffc9,0xffffb000,0xfff88137,0xfff00005,
    0xefffa80f,0x17ffea00,0xffff8800,0xffd0005f,0xfff98005,0xecaaceff,
    0x003fffff,0x1fffcc00,0x000fffd8,0x0ffffb80,0x3e5ffff7,0x7ffc45ff,
    0x3f60004f,0xffa806ff,0x4c0000ff,0x2200ffff,0x00005fff,0x7cc0ffff,
    0xff9005ff,0x7dc0003f,0x98801fff,0xdefffecb,0x7fec01ac,0x3fea01ff,
    0x00000fff,0x4c03fff6,0x80003fff,0xf50ffffb,0x3ffe3fff,0x2ffff985,
    0xefffb800,0x3fffb000,0xfffb8000,0x2fffc403,0x7fff8000,0x00bffd10,
    0x0004ffd8,0x5c005dcc,0xffffffff,0x2607ffff,0xa802ffff,0x0004ffff,
    0x80bfff10,0x80007ffe,0xf50ffffa,0x3ffe3fff,0x1ffff505,0x7fffc400,
    0x3ffea001,0x7fe40003,0x7ffc400f,0xfff00005,0x03fff20f,0x00fff300,
    0x3fea0000,0xffffffff,0x3a07ffff,0x2e003fff,0x00007fff,0xa803fff7,
    0x40002fff,0xf30ffffa,0x3ffe1fff,0x13fff605,0x03fffd80,0x027ffcc0,
    0x01fff600,0x0017ffe2,0x443fffc0,0xf0003fff,0x000005ff,0xefffffa8,
    0xedcfffdd,0xffff507f,0xffff8800,0xfff80003,0x0dfff006,0xffffa800,
    0x21ffff30,0x3e205fff,0xfa801fff,0xf88006ff,0x740005ff,0xff8806ff,
    0xff00005f,0x0dff90ff,0x02ffe400,0xfff10000,0x2ffe43bf,0x7ffec0a2,
    0xfffd8004,0x7fd40006,0xfff9003f,0x7fd40003,0x9fffe27f,0x7e405fff,
    0xffe806ff,0xff88002f,0x7f40005f,0xfff8806f,0xfff00005,0x02fff88f,
    0xf1ffea00,0xffffffff,0x83ffffff,0xfd86fffc,0x3ffe004f,0xffa8001f,
    0x7ec0007f,0x3fe2007f,0x3ea0004f,0x3ffe27ff,0x1017ffe7,0x5c05ffff,
    0x10005fff,0x8000bfff,0xf8806ffe,0xf00005ff,0x7ffb8fff,0xf8840440,
    0x7ffffc7f,0xffffffff,0x7fff41ff,0x003ffe81,0x000ffff3,0x003fffe2,
    0x027ffcc0,0x003fff60,0x23fffcc0,0x3ffe2aaa,0x5fffa805,0x007fffe0,
    0x02fffc40,0x01bffa00,0x0017ffe2,0x3a3fffc0,0xffd704ff,0x7fc9fbbf,
    0x3ffffe0f,0xffffffff,0x3ffe21ff,0x02fff80f,0x00dfff50,0x00ffffc0,
    0x00fffc80,0x01fffd40,0x07fff980,0x100bfff0,0xf301ffff,0x44000dff,
    0x40005fff,0xf8806ffe,0xf00005ff,0x7ffc4fff,0x7fffec41,0x3fe3ffff,
    0x2666661f,0xfe999999,0x3ffe21ff,0x0fffc42f,0x05fffb80,0x0bfffa00,
    0x17ffe200,0x037ff400,0x07fff980,0x200bfff0,0xfc83fffd,0x220003ff,
    0x40005fff,0xf8806ffe,0xf00005ff,0x37fd4fff,0x7f77fff4,0x3ffa1fff,
    0xfffb0001,0x46fffe83,0x9000fff9,0x40009fff,0x8003fffe,0x0002fffb,
    0x0005fff7,0x200ffff3,0xf5005fff,0xfffd0dff,0xfff80001,0x7ffc0006,
    0x5fff8805,0xffff0000,0x3ea2ffe4,0x3fff23ff,0x000bffa0,0x320fffec,
    0x3ea4ffff,0x3ff2007f,0x3f60004f,0xfe8003ff,0x3e20006f,0xf98005ff,
    0xfff006ff,0x3ffe200b,0x1bffe60f,0x1fffa000,0x4fff8800,0x05fff880,
    0x4ffff000,0x7ffc3ffe,0x363ffe45,0xfb0003ff,0xfff983ff,0x6ffbafff,
    0x13fff200,0x3fffd800,0x1fffcc00,0x3fff2000,0x7ffc4000,0x0bfff006,
    0x717ffec0,0x00007fff,0x0007fff9,0x200bfff2,0x0005fff8,0x3e2ffff0,
    0x3ffea1ff,0x3637fec1,0xfb0003ff,0xfff503ff,0x0bffffff,0x02fffe40,
    0x05fffb00,0x00fffd80,0x27ffcc00,0x1bffe200,0x002fffc0,0x7e47fff9,
    0x880002ff,0x000cffff,0x00dfff91,0x0017ffe2,0xf9bfffc0,0x437fe47f,
    0x7fec5ffe,0xfffb0002,0x3fffea03,0x001effff,0x000bfff7,0x000ffff4,
    0x0009fff1,0x001fffa0,0x200dfff1,0x2e005fff,0x3ff64fff,0xf300002f,
    0x1ddfffff,0x3ffffba6,0xff1000ef,0x3e0000bf,0x8dff57ff,0xfff84fff,
    0x0017ff43,0x201fffd8,0xffffffc8,0x7d402eff,0x3e0006ff,0x32000fff,
    0x00001fff,0x4005fff5,0xf006fff8,0x7d400bff,0x3fffa5ff,0x2e200001,
    0x30fffffe,0x05bfffff,0x05fff880,0x2ffff000,0x3fe25ffb,0x17ffc43f,
    0x40007ffa,0x8801fffd,0xfffffffb,0xfff301df,0x3fe2000f,0x7ffc007f,
    0x7fc00006,0x3fe2006f,0xbfff005f,0x37ffcc00,0x0001ffff,0x7ffff540,
    0xffff30ff,0x44005dff,0x00005fff,0x3feeffff,0x507ffe65,0xfff83fff,
    0xfffb0000,0x7ffcc003,0x83ffffff,0x001ffff8,0x006fffa8,0x000bffea,
    0x03fff700,0x802fffc0,0x26005fff,0x3ffe7fff,0x3f200007,0x22accfff,
    0xfffecba8,0xfff1003f,0x3fe0000b,0x549ff97f,0x7fdc0fff,0x007ffc0f,
    0x01fffd80,0x3f3ffea0,0xf82fffff,0xd8004fff,0x3a004fff,0x800007ff,
    0x2005fff8,0xff005fff,0x7fcc00bf,0x01fffe6f,0x6fffcc00,0x7ffd4000,
    0xfff8800f,0xfff00005,0xfb93ff2f,0x3ffe40ff,0x8001ffe6,0x2001fffd,
    0xff916ffb,0xffc81fff,0x7fc4006f,0xff3000ff,0x2000009f,0xf000fffd,
    0x3fe00bff,0x3fea005f,0x03fffe5f,0x3fff6000,0xfff70001,0xbfff1009,
    0x3ffe0000,0x7dc7ffb7,0x37fec0ff,0x80017fee,0x2001fffd,0x7fcc5ffc,
    0x7ffcc3ff,0x3ff2002f,0x3ff2005f,0x3000000f,0x26007fff,0xfff00099,
    0x7ffd400b,0x007fffa4,0x01bffa00,0x05fff880,0x005fff88,0x36ffff00,
    0x3ffee3ff,0x322fffc0,0x360002ff,0x36001fff,0xfffc84ff,0x1ffffe85,
    0x1ffffb80,0x0bfff100,0xffe80000,0x3e000007,0x3ee005ff,0x3fff64ff,
    0xfff80002,0x7ffc0005,0x5fff8806,0xffff0000,0xffa93ff2,0x97ffee1f,
    0x0000fff8,0x8007fff6,0xffa83ffe,0xffffa87f,0x3ffea00f,0x3fee005f,
    0x4000001f,0x0002fffb,0x00bfff00,0xf91fffe4,0xf00007ff,0xe8000bff,
    0xff8807ff,0xff00005f,0xa97feeff,0xfff13fff,0x02ffdcdf,0x07fff600,
    0xa82fff80,0xff906fff,0x9537dfff,0x01dffffd,0x0037ff40,0x5fff8000,
    0x000bc980,0x7400bfff,0x3fee1fff,0xff80005f,0x7f40005f,0xfff8807f,
    0xfff00005,0xff17feef,0xfddfd7ff,0x03fff99f,0x1fffd800,0x03fff100,
    0x6409fff9,0xffffffff,0x00efffff,0x00fffea0,0x7fe40000,0x3ffea01f,
    0x5fff800f,0x8dfff100,0x000ffff9,0x002fffc0,0x201fffa0,0x0005fff8,
    0x3eaffff0,0x7fffe46f,0xffffb8ff,0xd80003ff,0xf3001fff,0xfff981ff,
    0x7ffe402f,0xffffffff,0xfffd8005,0x10000000,0x7fc09fff,0xff804fff,
    0xfff7005f,0x05fffd09,0x05fff800,0x03fff400,0x002fffc4,0xf37fff80,
    0xfffd88ff,0xffffd12f,0x3f600009,0x02b2a1ff,0x7dc4fff5,0x8800efff,
    0xefffffeb,0xff88000b,0x0000004f,0x4407ffec,0x806fffff,0xfd005fff,
    0xfff703ff,0xfff8000b,0x7ff40005,0x5fff8807,0xffff0000,0x5cc1ffe2,
    0x00037102,0x21fffd80,0xddeffffb,0xfffedfff,0xa8000fff,0x40005fff,
    0x0001fffc,0x7ffd4000,0x9ffffd03,0x00bfff00,0x220ffff1,0x0000ffff,
    0x00017ffe,0xf100fffd,0x20000bff,0xfff17fff,0x00000005,0x70fffec0,
    0xffffffff,0xffffffff,0x7fc0003d,0x3e0000ff,0x000005ff,0x20dffd00,
    0x800efff9,0xfc805fff,0x3ff604ff,0x3fe0004f,0x7f40005f,0xfff8807f,
    0xfff00005,0x002ffecf,0xfd000000,0x7ffdc1ff,0xffffffff,0x0002efff,
    0x004fffd8,0x005fff70,0x3ee00000,0x035101ff,0x202fffc0,0x200ffff9,
    0x000ffffa,0x000bfff0,0x8807ffe8,0x00005fff,0x7fd4ffff,0x0000000f,
    0x10ffff00,0xfffdd995,0x000379df,0x0ffffdc0,0xdffd0390,0x40000000,
    0x0005fff8,0xd017ffe0,0xfb005fff,0xf1000bff,0xd80009ff,0xff8807ff,
    0xff00005f,0x03fff8ff,0x88000000,0x3e006fff,0x000001ff,0x56fffff4,
    0x4c6ffca9,0x00003fff,0x7ffe4000,0xfff00000,0x37ffd40b,0x1ffff880,
    0x1fffcc00,0x3fff2000,0x2fffc400,0x7fff8000,0x0007ffe4,0x3f200000,
    0xff3004ff,0x8000001f,0xfffffff9,0x363fffff,0x00000fff,0x7ffcc000,
    0xfff00004,0x3fffa20b,0x3ffee001,0x7ffdc006,0x7fdc0002,0x7ffc403f,
    0xfff00005,0x0ffff88f,0x80040000,0x001ffff9,0x0000fff5,0x3fffaa00,
    0x0dffffff,0x000bfff1,0x3fa00000,0xff00007f,0x3fff60bf,0xfffe8004,
    0xffff1005,0xffa80003,0x3fe200ff,0xff00005f,0xdfff70ff,0x807b5003,
    0xfb880adf,0x2e004fff,0x000006ff,0x7ffff5c0,0x000001df,0x00000000,
    0x217ffe00,0x0006fffc,0x809ffff3,0x005ffffb,0x5ffffd00,0x017ffe20,
    0x83fffc00,0xaceffffb,0x3fffdcba,0x77ffffc0,0x6fffffee,0x02ffe400,
    0x31000000,0x00000001,0x00000000,0xf717ffe0,0x40001dff,0x322ffffa,
    0xfffffffe,0xff300000,0x27ddffff,0xeeeffff8,0xdd30eeee,0xfffddddd,
    0x7fffd40f,0xffffffff,0x7fffc02f,0xffffffff,0x554c000d,0x00000001,
    0x00000000,0x00000000,0xfa97ffe0,0x80000fff,0xfb1ffffa,0x03dfffff,
    0xfffa8000,0xff14ffff,0xffffffff,0x3fffea3f,0x07ffffff,0x7ffff64c,
    0x800befff,0xffffffec,0x00002eff,0x00000000,0x00000000,0x00000000,
    0xffb2fffc,0x5c00003f,0xfffb3fff,0x000007ff,0x7ffffe44,0xffffff14,
    0x2a3fffff,0xffffffff,0x262007ff,0x00009abb,0x13599753,0x00000000,
    0x00000000,0x00000000,0x3fe00000,0x0017ec5f,0x5327e400,0x00000035,
    0x54355310,0xaaaaaaaa,0x555510aa,0x05555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0x0000285f,0x000000a0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005fff80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe0000,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x00002aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00135500,0x0ccc4000,0x35551144,0x2a200000,
    0x4c001bdc,0x00000aaa,0x15300000,0x55000000,0x54c40055,0x2a20009a,
    0xaaaaaaaa,0xaaa8801a,0x98000001,0x544001cc,0x3fffe00a,0x20000adf,
    0xffffedb9,0x2a7fecef,0x00004fff,0xffffffb8,0xfff8800d,0x07fffe65,
    0x9fffea00,0x3221fffa,0x0dfffffe,0xfff00000,0xfffc880f,0xffffffff,
    0x3fe67fff,0xffffffff,0x4fffa804,0x7dc00000,0xf5002fff,0x3fe03fff,
    0x04ffffff,0xfffffa80,0xffffffff,0x013ffea7,0xffff9000,0xb00bffff,
    0xffe81fff,0xffd8004f,0x4bffea4f,0xfffffffa,0x00000eff,0x2e07fff8,
    0xffffffff,0xffffffff,0x3ffffe67,0x804fffff,0x0004fffa,0x7ffffc00,
    0xffff8806,0xfffff07f,0x003dffff,0x3ffffff2,0xffffffff,0x013ffea7,
    0xdfff8800,0x02fffea9,0x2e0fffea,0x44007fff,0x3ea1ffff,0xffffaaff,
    0xefffffff,0x7fc00000,0xffff707f,0xfffdb9bf,0x4cffffff,0xfeeeeeee,
    0xffa804ff,0x2000004f,0x07fffff8,0xffffffb8,0xfdba9982,0x402fffff,
    0x0acffffe,0x9ffff6a6,0x0004fffa,0x3a1bff20,0xffd105ff,0x3fffe20d,
    0x3ffee002,0x7efffd46,0xc989cfff,0x0004ffff,0x4c3fffc0,0xf704ffff,
    0x03339fff,0x013ffee0,0x0013ffea,0xfffff000,0xffff700d,0x326005ff,
    0x501fffff,0xf003ffff,0x7ffd4fff,0x3fa00004,0x06ffc83f,0x6c03fff9,
    0x3a005fff,0x7fd43fff,0x900effff,0x0001ffff,0x6c3fffc0,0x7d404fff,
    0xfb8006ff,0xffa804ff,0x4000004f,0x801ffffa,0x0ffffff9,0x7fffd400,
    0x03fffd06,0xfa9fffe0,0x200004ff,0xffa81fff,0x03fff987,0x007fffcc,
    0x207fffc4,0x05fffffa,0x003fffd8,0x21fffe00,0xe800ffff,0x5c001fff,
    0xfa804fff,0x000004ff,0x2000bb98,0x002ffffb,0x85ffff70,0x2005fffb,
    0x3fea7fff,0xf100004f,0xfff305ff,0x006ffe81,0x7007fffd,0xff50bfff,
    0x3ee00dff,0x200006ff,0x7fcc7fff,0xfff9005f,0xfffb8007,0x4fffa804,
    0x00000000,0x0005dcc0,0xd17fffa0,0x7c003fff,0x3ffea7ff,0x3fe00004,
    0x46ffa84f,0x7001fffc,0xfd00dfff,0xfff505ff,0x3fe2001d,0x3e00007f,
    0x7ffd47ff,0x9fff7004,0x4fffb800,0x04fffa80,0x00000000,0x3f200000,
    0x3fffc7ff,0xa9fffe00,0x2a604fff,0x0dffd000,0x7fccbffb,0x3fe2004f,
    0x3fe601ff,0x9fff507f,0x0ffff800,0xf0ccc400,0xfffa8fff,0x5fff9006,
    0x4fffb800,0x84fffa80,0x0001aa98,0x00000000,0x21ffff50,0x4006fff8,
    0x3fea7fff,0x3ffb224f,0x2e00dfff,0xfc88cfff,0x1bffa1ff,0x17fff600,
    0x504fffc8,0xe8009fff,0x64400fff,0xefffffed,0x7fcc7fff,0xffe800ff,
    0x7fdc001f,0xfffa804f,0x3ffff224,0x3fe604ff,0xffffffff,0x00000004,
    0x7ccffff3,0x7fc005ff,0x53ffea7f,0xffffffe8,0x3fa00eff,0x5fffffff,
    0x0007ffee,0x403fffea,0xf501fffe,0xfd8009ff,0x3fea01ff,0xffffffff,
    0xffe87fff,0x7ffdc04f,0xfffb8007,0x4fffa804,0xfffffff5,0xff301dff,
    0xffffffff,0x00000009,0xfa9bffea,0x7fc004ff,0x2fffea7f,0xffffffe8,
    0x300effff,0xbffffffd,0x0027ffcc,0x307fffd0,0x7d40dfff,0x7ec004ff,
    0xffd881ff,0xffffffff,0xfa87ffff,0xff704fff,0xf70005ff,0xff5009ff,
    0xfffff59f,0x0bffffff,0xfffffff3,0x00009fff,0x3fff6000,0x013ffee5,
    0x7d4ffff0,0xcffffdff,0xffffc989,0x6776dc04,0x0077ff42,0x0dfff700,
    0x5407fff9,0x74004fff,0xffd80fff,0x7310acff,0x360ffffb,0xdcdfffff,
    0x004fffff,0x009fff70,0xfffdfff5,0x3ff6615d,0x999981ff,0x04fffc99,
    0x64400000,0x3ea2ffff,0x7fc005ff,0x3fffea7f,0xff900eff,0x5c0001ff,
    0x40002fff,0x7c1ffff8,0x3ea00fff,0x7fc004ff,0xffffa87f,0x87fff801,
    0xfffffff9,0x04ffffff,0x13ffee00,0x3ffffea0,0x3fff605f,0x3ffee005,
    0x2e000004,0xffffeccc,0x37ffcc5f,0xa9fffe00,0x805fffff,0x0003fffd,
    0x000bfff1,0xa93fff60,0x7d405fff,0x3e2004ff,0xfffe86ff,0x8ffff001,
    0xffceffe8,0x00dfffff,0x27ffdc00,0x7ffffd40,0x37ffcc04,0x09fff700,
    0x7fec0000,0x0dffffff,0x003fffc4,0x7d4ffffb,0xf7006fff,0x36000dff,
    0x00000fff,0x7ecffff5,0x7fd402ff,0x3fea004f,0x2fffdc4f,0xa8ffff00,
    0x2aa61fff,0x2e000009,0xfa804fff,0xff005fff,0x7fdc00ff,0x2000004f,
    0xeffffffd,0x07fffe02,0x9fffff20,0x000efffa,0x000ffff1,0x0005fff5,
    0x89ffff80,0xfa807fff,0x3fa004ff,0x7fff42ff,0x1fffe001,0x0000fff9,
    0x27ffdc00,0x037ffd40,0x001fffd0,0x8013ffee,0xfd801bb9,0xc8009bff,
    0x7dc04fff,0x3ea7ffff,0x7fc004ff,0x3e2000ff,0x800005ff,0xffbcfffb,
    0xfffa804f,0xdfff5004,0x800ffff0,0x7ff47fff,0x0000001f,0x5009fff7,
    0x74009fff,0xf7000fff,0x3ee009ff,0x7e402fff,0x3e6000ff,0xff702fff,
    0x7d4fffff,0x7f4004ff,0x3f6000ff,0x04d440ff,0xffff8800,0xa801fffe,
    0xfb804fff,0x7fc41fff,0x7ffc006f,0x5f7fff47,0x5c000001,0xfa804fff,
    0x3f6004ff,0xff7000ff,0xfff3009f,0x7e401fff,0xffe8007f,0xffb89bff,
    0x27ffdbff,0x4004fffa,0x5001fffd,0x7f4c7fff,0x8001efff,0x6ffffffd,
    0xbffff500,0x7fed4435,0xfff984ff,0x3fffc005,0x3fffffee,0xceefffff,
    0xff70001b,0xfff5009f,0x7ffec009,0x9fff7000,0xfffff700,0x3ffe405f,
    0x7fffcc00,0x3fffffff,0x7fd4fffd,0x7fec004f,0xfff8801f,0x3ffffee5,
    0x54002fff,0x02ffffff,0xffffff50,0xffffffff,0x3ffea09f,0x3fffc004,
    0x7fffffec,0xffffffff,0x7dc002ef,0xffa804ff,0x3ff6004f,0xfff7000f,
    0xffff7009,0x7fe405ff,0xfff30007,0x47ffffff,0x3fea7ffe,0x7ff4004f,
    0xfffc800f,0xd9dfff10,0x8001ffff,0x006fffff,0x3fffffea,0xefffffff,
    0x13ffee01,0x20ffff00,0xfffffffe,0xffffffff,0x3fee002f,0xfffa804f,
    0x3fff6004,0x9fff7000,0xfffff100,0x3ffe401f,0xfffb3000,0xffe839df,
    0x013ffea7,0x500ffff0,0x7fec7fff,0x0fffea0e,0x5ffff900,0x7fffd400,
    0xdeffffff,0x5fffa803,0x43fffc00,0xaaadfffd,0xffffdccb,0xf7001fff,
    0xff5009ff,0x7fec009f,0xfff7000f,0x3ffea009,0x0ccc401e,0x00a88000,
    0xffa9fffe,0x3fe2004f,0x6ffe806f,0x7f417ffc,0x7fdc005f,0x7fd4007f,
    0x0033314f,0x00dfff30,0x7ec7fff8,0xf91004ff,0x2e007fff,0xfa804fff,
    0x3f6004ff,0xff7000ff,0x4d44009f,0x00000000,0xa9fffe00,0x2a004fff,
    0x7e404fff,0x3ffe21ff,0x006ffc80,0x00ffffe2,0x009fff50,0x1fffe200,
    0x27fffd80,0x8006fff9,0x7005fffe,0xf5009fff,0x7ec009ff,0xff7000ff,
    0x0000009f,0xf0000000,0x7ffd4fff,0x3fffa004,0x0fffe602,0xf501fff3,
    0x7fe400ff,0x7d4000ff,0x200004ff,0xc801ffff,0x3ee7ffff,0xfb8003ff,
    0xff7005ff,0xfff5009f,0x7ffec009,0x9fff7000,0x5c400000,0x0000001c,
    0xffa9fffe,0xfff7004f,0x86ffe80b,0xfb82fff8,0xfff5006f,0xff50005f,
    0x6400009f,0x7dc04fff,0x3f67ffff,0xfc8003ff,0xff7003ff,0xfff5009f,
    0x7ffec009,0x9fff7000,0x3e200000,0x00003fff,0x54ffff00,0xfa804fff,
    0x3f201fff,0x9fff01ff,0x5009ffb0,0x0009ffff,0x0013ffea,0x2ffff980,
    0xffffff70,0x02fffe4f,0x07fffe60,0x027ffdc0,0x0027ffd4,0x2001fffb,
    0x0004fffb,0xfffff900,0x3e000000,0x3ffea7ff,0x36a21adf,0x2604ffff,
    0x3fa04fff,0x3ffea1ef,0xffd98822,0x2a0006ff,0x00004fff,0x4dfffff4,
    0xcbffffb8,0x3ffea7ff,0x7dc400df,0x55545fff,0xfffdaaaa,0x0aaaaaad,
    0x4009fff5,0x2aa0fffd,0xffdaaaaa,0xaaaaaadf,0x3ff60000,0x00000fff,
    0x2a7fff80,0xffffffff,0x4fffffff,0x2037ff40,0xfddffffa,0x7ffe45ff,
    0x00ffffff,0x13ffea00,0xfff30000,0xffffffff,0xfd1fff27,0x99bdffff,
    0xfffffdb9,0xffffff0d,0xffffffff,0x3ea5ffff,0x3f6004ff,0x3fffe0ff,
    0xffffffff,0x02ffffff,0x3ffff200,0xf0000006,0x7ff4cfff,0xffffffff,
    0x7dc01eff,0xffc801ff,0x40efffff,0xfffffffc,0x7d40000c,0x800004ff,
    0xfffffff9,0x1fff23ff,0xffffffd1,0xffffffff,0xffff019f,0xffffffff,
    0x25ffffff,0x2004fffa,0x3fe0fffd,0xffffffff,0xffffffff,0x3fa20002,
    0x000001ff,0x710ffff0,0xdffffffb,0xfff10079,0x7ffd4009,0xfff904ff,
    0x00003dff,0x0013ffea,0x7ffec400,0x7fdc1cef,0xffffb507,0x9fffffff,
    0x7ffffc01,0xffffffff,0xf52fffff,0x7ec009ff,0x3fffe0ff,0xffffffff,
    0x02ffffff,0x000a9800,0x2aaa0000,0x00331002,0x26200000,0x0d664c00,
    0x55440000,0x8000001a,0x100000a8,0x35799553,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55500000,0x00000015,0xccba9880,0x51001aac,
    0x001579b7,0x00006000,0x000a9880,0x0cd44000,0x0054c000,0x5554c000,
    0xaa880009,0x9aa98000,0x2a620000,0x2000009a,0x0000fffe,0x3fee0000,
    0xffffffff,0x7fffdc00,0x0002ffff,0x000dfb70,0xfffeca80,0x0000bdef,
    0x7fffee54,0xa802cfff,0xdfffffdc,0xfdb50003,0xdfffffff,0xffff5009,
    0xffec8803,0x01dfffff,0x7fffedc4,0x003effff,0x007fff40,0x74c00000,
    0xffffffff,0xfd100fff,0xffffffff,0xf88000bf,0x200006ff,0xfffffffc,
    0x8001ffff,0xffffffe9,0x06ffffff,0x3ffffff2,0x2005ffff,0xffffffea,
    0x07ffffff,0x3fffffc4,0xffffff70,0x1bffffff,0x3ffffee0,0xffffffff,
    0xfffd0003,0x00000001,0x9dfffffd,0x201fffdb,0xeceffffd,0x002fffff,
    0x01bffe20,0x3fffa200,0xffffffff,0x3ea002ff,0xffffffff,0x906fffff,
    0xffffffff,0x801dffff,0xfffffffc,0x7fffffff,0x7ffffdc0,0xffffc82f,
    0xffffffff,0xfff706ff,0xffffffff,0xd0005fff,0x00001fff,0xffffb800,
    0x7d406203,0x7ecc2fff,0x220007ff,0x40006fff,0xcefffff9,0xffffeca9,
    0xfffd803f,0xbaabdfff,0xfd86ffec,0x988acfff,0x206ffffd,0xacfffffa,
    0xecaa9999,0x7fffdc07,0x7ffd42ff,0x7ecc41cf,0xdfb84fff,0xda9889ab,
    0x000fffff,0x0007fff4,0xfff10000,0x7ec0005f,0xfff303ff,0x3e20001f,
    0x6c0006ff,0x2601ffff,0x200fffff,0x02fffffc,0x7fdc5c88,0x3fea02ff,
    0xfff983ff,0x4c00004f,0x40ffffff,0xc802ffff,0x00087fff,0x013fffea,
    0x001fffd0,0x7fcc0000,0x7f40006f,0x3ffa00ff,0xff10002f,0x7cc000df,
    0xfa802fff,0xff103fff,0x80001dff,0xb802fffe,0xffc86fff,0x7000005f,
    0xf985ffff,0x3fa005ff,0x640001ff,0x74005fff,0x00000fff,0x0fffee00,
    0x1ffff000,0x00fffec0,0x06fff880,0x0ffffa00,0x07fffb80,0x000dfffb,
    0x00bfff50,0x3617fff4,0x00002fff,0x2e02ee60,0x36004fff,0x40002fff,
    0x4007fff9,0x0000fffe,0x3fff2000,0x7ffc0002,0x3fffa01f,0x7fffe400,
    0xffffffff,0xffffffff,0x01fffea1,0x30ffffe0,0x0005ffff,0x005fffb0,
    0x3e2fffdc,0x00001fff,0x3fff2000,0x3fffa004,0x7fc40002,0x7ff4007f,
    0x0000000f,0x0007fff6,0x205fffb0,0xc806fff9,0xffffffff,0xffffffff,
    0x3fa1ffff,0xfd8004ff,0x7ffec6ff,0xff880006,0x7fdc007f,0x3fffe0ff,
    0x00000003,0x401bffea,0x000ffff9,0x037ffcc0,0x003fffa0,0x07ffffa2,
    0x03fffb00,0x6fffc800,0x02fffe88,0xffffffc8,0xffffffff,0x21ffffff,
    0x8001ffff,0x7fc7fffa,0xa80002ff,0xb1004fff,0x6c3fffff,0x00006fff,
    0x3ffe2000,0xfffc803f,0xffb80006,0x7ff4005f,0x7ff4400f,0xfd8001ff,
    0x4c0001ff,0x3a63ffff,0x53005fff,0xfff75555,0x5555555f,0x3fe61555,
    0xff10007f,0x3ffe21ff,0xff700007,0xffd3007f,0x7dc5ffff,0x0000efff,
    0xfffb0000,0x7ffe409f,0x7440002f,0x74001fff,0x3a200fff,0x0001ffff,
    0x0003fffb,0x93ffff90,0x001dffff,0x06fff880,0x06fffb80,0x47fffe00,
    0x0006fffa,0x805fff90,0xfffffffb,0x3fffa22f,0x000003ff,0xfffff880,
    0x3fffa62e,0x6c40003f,0xe8003fff,0xfd100fff,0x64403fff,0xfecccccc,
    0xcccccdff,0x2201cccc,0xffffffff,0xf100004f,0xf7000dff,0x74000bff,
    0xfff71fff,0x3f60000b,0xffb101ff,0x7fff9dff,0xffffff88,0x000000bf,
    0x3ffffa20,0xfffffcef,0xf7530001,0x20005fff,0xe880fffe,0x4401ffff,
    0xffffffff,0xffffffff,0x402fffff,0xeffffffa,0x3e200002,0xfc8006ff,
    0x3a0005ff,0xfff92fff,0x3fa00009,0xffe980ff,0x9fff34ff,0xfffffd30,
    0x00003bff,0x3fff6200,0x0dffffff,0x3ffff200,0x000effff,0x103fffa0,
    0x003ffffd,0xfffffff1,0xffffffff,0x05ffffff,0x7ffffec4,0xf8800006,
    0xfc8006ff,0x360004ff,0xfffb3fff,0x3fa00007,0x7ffdc0ff,0x3ffe62ff,
    0x3ffff205,0x002effff,0xfff50000,0x005fffff,0xffffffc8,0x0000bdff,
    0x7441fffd,0x1001ffff,0xd9999999,0x9999bfff,0x20399999,0xffffffe9,
    0x3999502f,0x1bffe200,0x13fff200,0x3fffd800,0x0007fffd,0xd89fffe0,
    0x4c0effff,0x5c405fff,0xffffffff,0x06a2000d,0x7ffffdc0,0x00dfffff,
    0xffffff90,0x005fffff,0x221fffd0,0x001ffffe,0x07fff600,0xffff9800,
    0x81fffffe,0x1002fffc,0x7000dfff,0x4000bfff,0xffb3fffd,0x3a00009f,
    0xffff37ff,0x3ffea09f,0x3ffaa004,0x802fffff,0x100efffb,0xd7fffffd,
    0x03ffffff,0x75333310,0x09fffffb,0x88fffe80,0x001ffffe,0x0fffec00,
    0xffff8800,0xeffff98d,0x00fffe40,0x006fff88,0x005fffb8,0x64bfffa0,
    0x00005fff,0xfff9fffb,0x7fdc05ff,0xfd98004f,0x201fffff,0x86fffff8,
    0x0cffffe8,0x3fffffaa,0x7e440001,0x3a002fff,0xfffd9fff,0xd800000f,
    0x90001fff,0xffb8dfff,0x7ffec5ff,0xdfff1000,0xdfff5000,0x7fffc000,
    0x00dfff72,0x3ffff200,0x5c00efff,0x20003fff,0x0effffd8,0xffffff30,
    0x1ffffe85,0x1bffff60,0x7ffe4000,0x3fffa007,0x001ffffe,0x3fffb000,
    0xffff1000,0x9ffff903,0x1003fff4,0x3000dfff,0x2000ffff,0xf50ffff8,
    0x20000fff,0x4ffffffb,0x05fff900,0xffff9000,0x3fffe205,0x3ffea4ff,
    0xfffc801f,0xff00003f,0x3fa003ff,0x5ffffaff,0xffb00000,0xff50003f,
    0x7fff40bf,0x07fff8af,0x01bffe20,0x07fffe20,0x9bffea00,0x001ffff9,
    0xfffffa80,0x3fff6002,0xffd00001,0x7ffec09f,0x3fffa5ff,0x3fffa004,
    0xffb00005,0x3ffa007f,0x5ffff98f,0xffd80000,0xffb8001f,0x3ffe204f,
    0x04fffcff,0x01bffe20,0x01ffffc0,0x127ffec0,0x000bffff,0x01ffff30,
    0x07fffc40,0xfffc8000,0x3fffe205,0x07fffe5f,0x07fffa80,0x5fffb000,
    0x43fffa00,0x004ffffa,0x0fffec00,0x1fffe400,0x3ffffe60,0x22001fff,
    0x90007fff,0x8800dfff,0x7ec1ffff,0x80001fff,0x2001ffff,0x0004fffb,
    0x017ffee0,0x229ffff7,0x2000ffff,0x000ffff9,0x01fffe80,0x5c1fffd0,
    0x0004ffff,0x007fff60,0x013fff20,0x3fffffee,0xffff8006,0xfff88000,
    0x3ff2001f,0xffff885f,0xffb80005,0x3ffa005f,0x3200001f,0x7cc03fff,
    0xfff12fff,0x7fd4003f,0xf880006f,0x3fa007ff,0x7ffe40ff,0xfb00003f,
    0xf50003ff,0x3f200dff,0x8003ffff,0x0002fffd,0x003ffffb,0x201ffff7,
    0x00dffffc,0x3fffe200,0x5fffc802,0x3fe60000,0x7fd401ff,0x3fffe0ff,
    0x3fff2003,0xffe80004,0x3ffa005f,0xffffd80f,0xffd80002,0xff98001f,
    0xffd002ff,0xf90007ff,0x30001fff,0x401fffff,0x204ffffa,0x1efffff8,
    0x7e45b880,0x3ee01fff,0x054c2fff,0x3fffa600,0x4fffd807,0x017fffec,
    0x017fffdc,0xffffb300,0x7fff4001,0x5ffffd00,0xfffd8000,0xfffd0001,
    0x7fec403f,0x4001ffff,0x9cfffff8,0xb0395330,0x37bfffff,0xfffffd93,
    0xffffb801,0xbaabdeff,0x7c46ffdc,0x889cffff,0x84ffffdb,0xaabcdffb,
    0xffeba999,0x36201fff,0xff986fff,0x261adfff,0x45ffffda,0x31099ab8,
    0xfffffb55,0xfffe8003,0xffffd100,0x7fec0003,0xff30001f,0x53359fff,
    0xfffffff9,0xfb8001ff,0xffffffff,0xff901fff,0xffffffff,0x2001bfff,
    0xffffffe9,0xffffffff,0xffffe986,0xffffffff,0xfffff704,0xffffffff,
    0xa885ffff,0x1fffffda,0xffffff50,0xffffffff,0xfff981df,0xffffffff,
    0x8002ffff,0x2600fffe,0x001fffff,0x003fffb0,0x7ffffe40,0xffffffff,
    0x06ffffdf,0xfffffc80,0x01ffffff,0x3fffffea,0x004fffff,0xffffff90,
    0xdfffffff,0x3ffffa20,0x03ffffff,0x3fffffee,0xffffffff,0xfff981df,
    0x5401efff,0xfffffffe,0x80cfffff,0xfffffff9,0x0cffffff,0x1fffd000,
    0xfffff980,0xfffd8000,0x7fdc0001,0xffffffff,0xffff90cf,0xffb10009,
    0x1dffffff,0xfffdc980,0x0001ceff,0x7fff6e4c,0x801cefff,0xdfffffdb,
    0x7f64401b,0xffffffff,0x3e600cff,0x4003ffff,0xffffffea,0x3e600cff,
    0xffffffff,0x40000cef,0xa800fffe,0x000effff,0x000fffec,0x7fff6440,
    0xfe81ceff,0x40003fff,0x000099a9,0x000006a2,0x00066a60,0x80003510,
    0x09aaaa98,0x06b36600,0x2aa62000,0x54cc4001,0x000019aa,0x000fffe8,
    0x01dffff7,0x00fffec0,0x004c4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03355100,
    0x01998800,0x009a8800,0x04d4c000,0xfffffa80,0xffffffff,0x530005ff,
    0x1ffffd99,0x004fffb8,0xf72fffd8,0xffffffff,0x41ffffff,0xffffffff,
    0xffffffff,0xf16fffff,0xffffffff,0x5c00599d,0x8002ffff,0x001ffffb,
    0xffd97100,0x17bfffff,0x3ffee200,0x6e54000f,0x0cffffff,0xffec8800,
    0x200defff,0xfffffffa,0xffffffff,0x7fed4005,0x0fffffff,0x0027ffdc,
    0xfb97ffec,0xffffffff,0x20ffffff,0xffffffff,0xffffffff,0xf16fffff,
    0xffffffff,0x005dffff,0x001bfffa,0x009ffff1,0x3fffea00,0xffffffff,
    0x7fdc00ff,0x2000ffff,0xfffffffd,0x2002ffff,0xfffffffa,0xf502ffff,
    0xffffffff,0x0bffffff,0x3ffffa60,0x0fffffff,0x0027ffdc,0xfb97ffec,
    0xffffffff,0x20ffffff,0xffffffff,0xffffffff,0xf16fffff,0xffffffff,
    0x0bffffff,0x09ffff30,0x037ffec0,0xffffc800,0xffffffff,0xfd500fff,
    0x01ffffff,0xfffffd30,0xffffffff,0xffffb005,0xffffffff,0x9fff50bf,
    0x55555555,0xf5005555,0xbdffffff,0xfb815559,0xfd8004ff,0x999932ff,
    0xf9999999,0x55541fff,0xffbaaaaa,0xaaaaaaff,0xffff12aa,0xfd975555,
    0x9005ffff,0x3001ffff,0x0003ffff,0xfffffe98,0xdcbaabdf,0x7f540fff,
    0xffffffff,0x7fffcc00,0xfda99bdf,0x2e00ffff,0x221dffff,0x42ffffd9,
    0x0002fffa,0x7ffffd40,0x7fdc000c,0xffd8004f,0xfff0002f,0x7fc4001f,
    0x3fe2007f,0x7ffd407f,0x7f4400ff,0xffe805ff,0x7c40005f,0x801effff,
    0xffd50eb8,0xfffbffff,0xbffb001f,0x7fffd401,0x5ffff105,0x46fffb80,
    0x0002fffa,0x33fffe60,0xfff70000,0xfffb0009,0x3ffe0005,0x3fe2000f,
    0x3fe2007f,0xfff9807f,0xfffa802f,0x3ffee02f,0x7e40000f,0x40005fff,
    0x8cfffffc,0x000ffff9,0x3ff2009d,0x9fffd07f,0x8ffff600,0x0002fffa,
    0x013fff60,0x09fff700,0x05fffb00,0x03fffe00,0x07fff880,0x01fffe20,
    0x8027ffec,0x880ffffd,0x0002ffff,0x01ffffc4,0x6fffcc00,0x03fffe60,
    0x3fe20000,0x7ffc40ff,0xfff3000f,0x017ffd4d,0x6fff9800,0xfffb8000,
    0xfffd8004,0xffff0002,0x7ffc4001,0x3ffe2007,0xbfff9007,0x3fffe200,
    0x05fffd84,0x6fffd800,0x07760000,0x003fffe6,0x7fffc000,0x02fffcc2,
    0x547fffa0,0x00002fff,0x0001fffd,0x009fff70,0x005fffb0,0x003fffe0,
    0x007fff88,0x401fffe2,0x2005fffb,0x2a1ffffb,0x0000ffff,0x017fffcc,
    0x7cc01000,0x00000fff,0xb87fffd0,0x64004fff,0xfff52fff,0xff100005,
    0x2e0000bf,0xd8004fff,0xf0002fff,0x44001fff,0x22007fff,0xf9007fff,
    0xfe8009ff,0x3fffa5ff,0xffc80003,0x0000006f,0x003fffe6,0x7fff4000,
    0x01fffe42,0x54fffee0,0x80002fff,0x0003fffa,0x009fff70,0x005fffb0,
    0x003fffe0,0x007fff88,0x401fffe2,0x4002fffe,0xfcaffff9,0xb00006ff,
    0x00005fff,0x7fffcc00,0xff000000,0xfffb83ff,0x7ffd4004,0x005fff54,
    0x83fff900,0x8009aa98,0x8004fffb,0x0002fffd,0x4001ffff,0x2007fff8,
    0xd807fff8,0x90006fff,0xffffffff,0x3fa00003,0x000001ff,0x03fffe60,
    0x3fe60000,0x5fffa87f,0xafffcc00,0xfffffffa,0xe801ceef,0xfff937ff,
    0x019fffff,0x0013ffee,0x000bfff6,0x0007fffc,0x400ffff1,0x2607fff8,
    0x002ffffd,0xfffffd10,0x7c00009f,0x00000fff,0x3fffe600,0xfd800000,
    0xfff984ff,0x3fe6001f,0xfffff56f,0xdfffffff,0x77fffc07,0xffffffff,
    0xfb82ffff,0xfd8004ff,0xff0002ff,0x7c4001ff,0x3e2007ff,0xeccccfff,
    0x03ffffff,0x7fffd400,0x2600006f,0x76c07fff,0xeeeeeeee,0xffff3000,
    0xfa800001,0xffd00fff,0x3f2200bf,0xffff57ff,0xffffffff,0x3ffe09ff,
    0xeeffffff,0x3fffffff,0x0027ffdc,0x0017ffec,0x000ffff8,0x801fffe2,
    0xfffffff8,0x2effffff,0xfffb0000,0x5400007f,0x7fc06fff,0xffffffff,
    0xffff3001,0x7c400001,0x3e604fff,0x9302efff,0x22dfffff,0xcaaaaaaa,
    0x4ffffffc,0xcffffff8,0xffffb881,0x13ffee0f,0x0bfff600,0x07fffc00,
    0x0ffff100,0x7ffffc40,0x1effffff,0x3fe20000,0x0000efff,0x80dfff70,
    0xffffffff,0xff3001ff,0x400001ff,0xd806fffd,0xeeffffff,0xfffffffe,
    0xfea8006f,0x3fe22fff,0xff1003ff,0x7ffdcbff,0xfffd8004,0xffff0002,
    0x7ffc4001,0x3ffe2007,0xfffedccf,0x3600003f,0x04ffffff,0xffff5000,
    0xcccccc80,0x3001ffff,0x0001ffff,0x03ffff60,0x7ffffe40,0xefffffff,
    0x10005fff,0x7c49ffff,0x7dc007ff,0x3ffee7ff,0xfffd8004,0xffff0002,
    0x7ffc4001,0x3ffe2007,0x5ffff987,0xfffb8000,0x001fffff,0x07fff880,
    0x03fffd00,0x03fffe60,0x3fff6000,0x7ecc001f,0xcfffffff,0x004fff98,
    0xf1bffea0,0xf8001fff,0xfff70fff,0xfffb0009,0x3ffe0005,0x3fe2000f,
    0x3fe2007f,0xffff107f,0x7fc40005,0x6fffdbff,0xffff0000,0xfffd0001,
    0x3ffe6003,0x7e40000f,0x40002fff,0x5c09aaa8,0x20003fff,0x3a0ffff8,
    0x74000fff,0xfff72fff,0xfffb0009,0x3ffe0005,0x3fe2000f,0x3fe2007f,
    0x3ffee07f,0x3ff60006,0x7ffff36f,0xfffd0000,0xfffd0003,0x3ffe6003,
    0x3f20000f,0x00002fff,0x03fffb00,0x1ffff800,0x0007fff6,0x3ee7fffb,
    0xfe8004ff,0xff0001ff,0x7c4001ff,0x3e2007ff,0x7ff407ff,0xffa8003f,
    0x3fff21ff,0x7ec0001f,0xfe8004ff,0xff3001ff,0x320001ff,0x0002ffff,
    0x1fffe000,0xffff1000,0x017ffec1,0x547fffa0,0xf8005fff,0xf10007ff,
    0xf8800fff,0x3e2007ff,0x7fdc07ff,0x3e2000ff,0x7fc44fff,0x640006ff,
    0x4000ffff,0x3001fffe,0x0001ffff,0x005ffff9,0x7fd40000,0x7cc0004f,
    0x7ffe46ff,0x7fffc004,0x00dfff30,0x000dfff0,0x001bffe6,0x400ffff1,
    0xf807fff8,0x36003fff,0xfa80ffff,0x20003fff,0x003ffff9,0x800ffff4,
    0x000ffff9,0x017fffe4,0xff100000,0xc80001ff,0x7fcc4fff,0x3fe6007f,
    0x3fffe27f,0x3ffee000,0xfff70005,0xfff8800b,0x3ffe2007,0x7fffb807,
    0x7ffff500,0x07fffec0,0xffff9000,0x7fff4001,0xffff3001,0x7ffe4001,
    0x0000002f,0x002ffff4,0x0bfffea0,0x400bfffa,0x7f44fffd,0x3fa004ff,
    0xf80062ff,0x44003fff,0x22007fff,0xf8807fff,0x74403fff,0x7cc06fff,
    0x20005fff,0x01effff8,0x003fffd0,0x003fffe6,0x017fffe4,0xfd300000,
    0x20001dff,0x03ffffb8,0x803ffff5,0x540ffffb,0x4403ffff,0x6f45fffd,
    0x3fff6201,0xfff88007,0x3ffe2007,0xdfff9007,0x1ffffc80,0x2ffffc80,
    0x3ffee000,0xffe802ff,0xfff3001f,0xfffb001f,0x0000003f,0x3fffffaa,
    0x1199ab81,0xfffff753,0xffffe80b,0x7ffecc1b,0xffffb02f,0xf731135b,
    0xfe83ffff,0xeba9bcef,0x8002ffff,0x2007fff8,0x1007fff8,0x2605ffff,
    0x1004ffff,0x001fffff,0x7fffff40,0xca99abde,0x3b61ffff,0xffeeeeee,
    0xeeeeeeff,0xdfffff75,0xdddddddd,0xa81ddddd,0xffeeccaa,0xd01fffff,
    0xffffffff,0x00bfffff,0xffffffd3,0x9fffffff,0x7ffffcc0,0xffffffff,
    0xfffe83ff,0xffffffff,0xff10005f,0x7fc400ff,0x3ff6007f,0xffffd06f,
    0x7ffd4001,0x7dc0004f,0xffffffff,0x1fffffff,0x3ffffffe,0xffffffff,
    0xfff96fff,0xffffffff,0xffffffff,0xfffffe81,0x0dffffff,0x3fffffa0,
    0x1dffffff,0x3fff6200,0xefffffff,0xfffd8801,0xffffffff,0xffffb01e,
    0x7fffffff,0x7ffc4000,0x3ffe2007,0x3ffe6007,0x7fffe42f,0xfffd8003,
    0x74c0001f,0xffffffff,0x20efffff,0xffffffff,0xffffffff,0xffff96ff,
    0xffffffff,0x1fffffff,0xffffffe8,0xe801cfff,0xffffffff,0x2e0002de,
    0xeffffffe,0xfeda8003,0x03efffff,0xfffffda8,0x40000cef,0x2007fff8,
    0x4007fff8,0x3e66fffd,0x30006fff,0x000dffff,0x3fffb2e0,0x81ceffff,
    0xffffffff,0xffffffff,0xffff96ff,0xffffffff,0x1fffffff,0xbcdeffe8,
    0xa998001a,0x00001aaa,0x00015510,0x0009a980,0x00066620,0x00000000,
    0x00000000,0x30000000,0x00003555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,
    0xe80006ff,0xffff35ff,0x7fe4003f,0x3fffee0f,0x3fffa004,0x3fffea1f,
    0xffffffff,0x7fffffff,0x000dfffb,0x369fffb0,0x0001ffff,0xf93fffe2,
    0xffffffff,0xffffffff,0x009fff76,0x7c5fffb0,0xffffffff,0xffffffff,
    0x3ffe67ff,0xffffffff,0xf54fffff,0xffffffff,0x9fffffff,0x0003fff4,
    0xff9afffc,0x32005fff,0x3fee0fff,0xff3007ff,0x7fd45fff,0xffffffff,
    0xffffffff,0x1ffff57f,0x7ffc4000,0xbffff11f,0x7ffe4000,0x3ffffe0f,
    0xffffffff,0xff76ffff,0xffb0009f,0x7ffffc5f,0xffffffff,0x27ffffff,
    0xfffffff9,0xffffffff,0xfffff54f,0xffffffff,0x7fec9fff,0xfff80007,
    0xffffff34,0x3fff2001,0x3ffffee0,0xffffc802,0x3fffea2f,0xffffffff,
    0x7fffffff,0x007ffff1,0x237ffd40,0x001ffffc,0x43ffff88,0xffffffff,
    0xffffffff,0x09fff76f,0x45fffb00,0xffffffff,0xffffffff,0x3fe67fff,
    0xffffffff,0x54ffffff,0xffffffff,0xffffffff,0x007ffec9,0x4d3ffe00,
    0x04ffffff,0x641fff90,0x805fffff,0x22ffffff,0xeeeeeee9,0xeeeeeeee,
    0x3f67fffe,0x360006ff,0x7fc44fff,0xfd8006ff,0xaaaa86ff,0xaffffbaa,
    0xf72aaaaa,0xfb0009ff,0x777745ff,0xeeeeeeee,0x5ffffeee,0x2abfffe6,
    0xaaaaaaaa,0xdfff51aa,0x55555555,0x7e435555,0x220000ff,0xfff33fff,
    0x9001ffff,0x7fe41fff,0x7d407ffe,0x003fffef,0x93ffee00,0x000ffffa,
    0x703ffff0,0x4005ffff,0x002ffff9,0x201fffe2,0x8004fffb,0x0002fffd,
    0x20ffffc8,0x0006fff9,0x0017ffea,0x001fff90,0x99fffc40,0x4fffefff,
    0x20fffc80,0x2fffcffc,0x3fefff60,0x3e00003f,0x3fe20fff,0xfa8003ff,
    0x3ffa06ff,0x3ff6006f,0x7fc4005f,0xfffb807f,0xfffd8004,0x7fcc0002,
    0x7ffcc3ff,0x3fea0006,0x7dc0005f,0x220001ff,0xfff32fff,0x801ffff9,
    0x3f60fffc,0x105ffdcf,0x7fff1fff,0x3fee0000,0x5fffd84f,0x4fffc800,
    0x0ffffea0,0x07fffe60,0x0ffff100,0x009fff70,0x005fffb0,0x85fffe80,
    0x0006fff9,0x0017ffea,0x003fff70,0x997ffcc0,0xfffbbfff,0x07ffe403,
    0xfff59ffb,0x3ebff701,0xf00004ff,0xff501fff,0xff8001ff,0x7fec01ff,
    0xfffd807f,0xfff88004,0x4fffb807,0x2fffd800,0x3ffee000,0x6fff980f,
    0x3ffea000,0x7fd40005,0x3e60002f,0x7fff31ff,0xc80ffff1,0x3ffa0fff,
    0xe83fff8c,0x09fff2ff,0xbfff7000,0x0bfffe20,0x06fff980,0x03ffff98,
    0x003fffea,0x01fffe20,0x0013ffee,0x000bfff6,0x81ffffcc,0x0006fff9,
    0x0017ffea,0x005fff50,0x98fffd40,0xfffb3fff,0x07ffe407,0x3ff67ffd,
    0xff3ffcc6,0xff0000bf,0x7fec03ff,0x3ff2005f,0xfff9003f,0x3fffa01f,
    0xfff10003,0x9fff700f,0x5fffb000,0x3fffa000,0x1bffe605,0x5fffa800,
    0x7ffcc000,0x205dd703,0xff30fffa,0x1bffe67f,0x3a0fffc8,0x1fff53ff,
    0xffd27fe4,0xffb8000b,0x7ffd405f,0x3fffe007,0xffff1001,0x0dfff509,
    0x3fffc400,0x027ffdc0,0x017ffec0,0x07fffdc0,0x00dfff30,0x02fffd40,
    0x0fffe200,0xfb82fffc,0x7fff30ff,0xc817fff4,0x3ffe0fff,0xff8fffe3,
    0x017ffa1f,0x03fffd00,0x02ffff88,0x006fff98,0x207fffdc,0x0002fffe,
    0x201fffe2,0x8004fffb,0x4002fffd,0x403ffff9,0x0006fff9,0x0017ffea,
    0x309fff10,0xf701ffff,0x1fffccff,0x320dfff5,0x3ffe0fff,0x7d5bff23,
    0x037ff46f,0x0bfff700,0x013fff60,0x000ffff2,0xfb93fffe,0x440006ff,
    0xfb807fff,0xaaaaadff,0xeaaaaaaa,0x74002fff,0xf9805fff,0x2a0006ff,
    0x9999dfff,0x19999999,0xfc84fff8,0xffc83fff,0xd0fffe67,0xff903fff,
    0x31fffc1f,0x7ff93fff,0x0006ffe8,0x4007fffa,0xe807fffa,0xa8001fff,
    0xffd0ffff,0xf880003f,0xffb807ff,0xffffffff,0xffffffff,0x3ee002ff,
    0xf9800fff,0xeeeeefff,0x25eeeeee,0xfffffffa,0xffffffff,0x427ffc0f,
    0xc86fffff,0x3ffe66ff,0x42fffdc3,0xff10fffc,0xfcffe87f,0x37fec0ff,
    0x6fffa800,0x3fffe200,0x1bffe601,0xcfffe800,0x0005fffb,0x807fff88,
    0xfffffffb,0xffffffff,0x002fffff,0x007ffff1,0x3fffffe6,0xffffffff,
    0x3fffea7f,0xffffffff,0x7f40ffff,0x7fffcc5f,0x37fe40ff,0xff07fff3,
    0xfffc83ff,0xb85fff10,0xd85fffff,0xfd0007ff,0xfd8005ff,0x3fee04ff,
    0x3e60003f,0x0fffffff,0xfff88000,0xffffb807,0xffffffff,0xffffffff,
    0xdfffd002,0x7fffcc00,0xffffffff,0x3fea7fff,0xffffffff,0x40ffffff,
    0x7fe45ffe,0x7ec3fffc,0x0fffe65f,0xf917ffee,0x3ffe61ff,0x7ffffc42,
    0x007ffd82,0x006fffa8,0x207fffa8,0x0000fffe,0x7fffffec,0xff100004,
    0xfff700ff,0x3333333b,0xffd33333,0xfff7005f,0x7fcc001f,0xccccccff,
    0x2a4ccccc,0x9999dfff,0x19999999,0x7f46ffd8,0x6c6ffd9f,0x3ffe65ff,
    0x1ffff883,0x7cc3fff2,0xfffd82ff,0x07ffd80f,0x02fffe80,0x1ffff880,
    0x006fff88,0xfffff880,0xf100000f,0xff700fff,0xffb0009f,0xfff8805f,
    0x7fcc003f,0x3ea0006f,0xd80005ff,0x5ffe66ff,0x3fa1fffb,0x0fffe64f,
    0xf927ffe4,0x3ffe61ff,0x05fffa82,0x4001fff9,0x0006fffa,0x2e13fff6,
    0x00003fff,0x007ffff9,0x3fffc400,0x027ffdc0,0x017ffec0,0x001bfff6,
    0x001bffe6,0x005fffa8,0x2e7ffc80,0x7fff15ff,0xff327ff4,0x3ffe207f,
    0x21fff90f,0xf882fffa,0xfff901ff,0x7fff4001,0x3fea0002,0x0fffe86f,
    0xfff10000,0xf880000f,0xffb807ff,0xffd8004f,0x3ffee02f,0xff98000f,
    0x3ea0006f,0xc80005ff,0x8bffa7ff,0x3ffe6ffe,0x80fffe63,0xff93fffc,
    0x07ffea1f,0xff900cc4,0x3fea001f,0x7c40006f,0x3fe21fff,0x2200006f,
    0x00007fff,0x403fffc4,0x8004fffb,0xf102fffd,0x20007fff,0x0006fff9,
    0x0017ffea,0x263ffee0,0x7ffdc7ff,0x7cc7fff1,0x3fe603ff,0x21fff97f,
    0x0001fffb,0x4007fff2,0x0003fffe,0x2e4fffd8,0x00003fff,0x001fffe2,
    0x0ffff100,0x009fff70,0x205fffb0,0x0006fffd,0x001bffe6,0x005fffa8,
    0xb8fffa80,0x7ffc45ff,0x7cc5fff4,0x7fec03ff,0x70fffcaf,0x40003fff,
    0xa801fffb,0x00007fff,0x7f4dfff7,0x200000ff,0x0007fff8,0x03fffc40,
    0x0027ffdc,0x5417ffec,0x0000ffff,0x001bffe6,0x005fffa8,0xe9fffa80,
    0xfffd82ff,0x3e62fff8,0x7fcc03ff,0x70fffcef,0x40003fff,0xe801fffb,
    0x00003fff,0xf11ffff1,0x80000dff,0x0007fff8,0x03fffc40,0x0027ffdc,
    0x2217ffec,0x0003ffff,0x0037ffcc,0x00bfff50,0xf5fff300,0xfff701ff,
    0x7cc3fff5,0xffe803ff,0xf90fffef,0x5c0003ff,0x7d402fff,0x00000fff,
    0x3eeffff6,0x400003ff,0x0007fff8,0x03fffc40,0x0027ffdc,0x3617ffec,
    0x80006fff,0x0006fff9,0x0017ffea,0x3f7ffe60,0xbfff105f,0x7fcc1fff,
    0xfffa803f,0xff90ffff,0x7dc0001f,0x7ff402ff,0x5c00003f,0xfffddfff,
    0x7c400000,0x400007ff,0xb807fff8,0xd8004fff,0x3fea2fff,0x980001ff,
    0x20006fff,0x0005fffa,0xffffff88,0x3ffff602,0x3ffe60ff,0xffffd003,
    0x3fff61ff,0x3fea0000,0x3ffea03f,0x4400000f,0x6fffffff,0xff880000,
    0x5550007f,0xffff7555,0x25555555,0x8004fffb,0xff12fffd,0xdddddfff,
    0xdddddddd,0x3ffe63dd,0x3fea0006,0xaaaaaaef,0x41aaaaaa,0x0ffffff8,
    0x3ffffea0,0x01fffcc7,0xffffffa8,0x001fffb0,0x01fffd40,0x0009fffd,
    0x3ffff600,0x800003ff,0x0007fff8,0xffffffff,0xffffffff,0x13ffeedf,
    0x4bfff600,0xfffffffb,0xffffffff,0xf31fffff,0x54000dff,0xffffffff,
    0xffffffff,0x5fffff84,0x7ffffc40,0x01fffcc7,0x1fffffd0,0x0003fff6,
    0x503fffa8,0x0001ffff,0x3fffee00,0x800000ff,0x0007fff8,0xffffffff,
    0xffffffff,0x13ffeedf,0x4bfff600,0xfffffffb,0xffffffff,0xf31fffff,
    0x54000dff,0xffffffff,0xffffffff,0x2fffff84,0x7ffffd80,0x001fffcc,
    0x21fffff7,0x0000fffe,0x7413ffea,0x00004fff,0x3ffffe20,0xf1000006,
    0x3e000fff,0xffffffff,0xffffffff,0x009fff76,0x2e5fffb0,0xffffffff,
    0xffffffff,0xff31ffff,0x7d4000df,0xffffffff,0x4fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffffffb,0x001abcef,0x40bffe00,0xff504ffd,0xdfffffff,
    0x0000179d,0x01fffffe,0x009fff50,0x507fffec,0xffffffff,0x00059bdf,
    0x3fffee00,0x3fff203f,0x00100003,0x00800000,0x26aaa620,0xfffb8001,
    0xffffffff,0x80002fff,0xffd01fff,0x3fffea09,0xffffffff,0x20001dff,
    0x1ffffff9,0x13ffea00,0x0ffffdc0,0x3fffffea,0xffffffff,0xf300000b,
    0x407fffff,0x0003fffc,0x00002fc8,0x205f7000,0xfffffdb8,0x000cffff,
    0xfffffff7,0xffffffff,0x3e20001b,0x7fff00ff,0x3ffffea0,0xffffffff,
    0x90001fff,0x09ffffff,0x027ffd40,0x417fffcc,0xfffffffa,0xffffffff,
    0xfe80001f,0x203fffff,0x0003fffc,0x001fffe4,0x3ff20000,0xfffff82f,
    0xffffffff,0xfffb804f,0xfecbaaad,0x03ffffff,0x00fff980,0x3ea05fff,
    0xbaaaaeff,0xffffffdc,0xffff8000,0x2a006fff,0x7c404fff,0xff504fff,
    0x975555df,0x3ffffffb,0x7ffdc000,0x3203ffff,0x40003fff,0x005ffffd,
    0xffd88000,0xffff84ff,0xffffffff,0x7dc03fff,0x7ec404ff,0x4001ffff,
    0xff107ffa,0x3ffea03f,0x7ffe4405,0x7fcc005f,0x01ffffcf,0x809fff50,
    0x2a05fffe,0x64405fff,0x000effff,0xfcffff88,0x3ff203ff,0xfc80003f,
    0x0000efff,0xffffd300,0x2afbfe07,0x3ffee609,0x3fee01ff,0xfff5004f,
    0xffb800bf,0x01fff306,0x4017ffea,0x4006fffd,0xffc9fffc,0xfff5004f,
    0x77ffe409,0x17ffea00,0x1ffffd40,0x57ffec00,0x3203fffc,0x00003fff,
    0x03dffff5,0xfffa8000,0x002e01ff,0x027fffc4,0x4009fff7,0x002ffff9,
    0x7d417ff2,0x3ffea07f,0xffff3005,0xbfffc001,0x5006fffa,0x3ee09fff,
    0x7d400fff,0x3f2005ff,0x7d4005ff,0x7fff95ff,0x01fffe40,0xffff3000,
    0x2e00005f,0x000effff,0x2fffd400,0x009fff70,0x506fffd8,0xdffd5555,
    0xff955555,0x2a55555f,0x3e005fff,0xf3000fff,0x7fffc9ff,0x4fffa801,
    0x01ffff98,0x005fffa8,0x801fffe6,0xf90ffff8,0x7fe407ff,0x4400003f,
    0x003ffffe,0x6ffffe40,0xf8800000,0x3fee07ff,0x7fcc004f,0xfffe82ff,
    0xffffffff,0xffffffff,0xbfff56ff,0x1bffe200,0x22fffc80,0xa804fffd,
    0x7fc44fff,0xff5003ff,0x7fc400bf,0xff9000ff,0x1fffe45f,0x007fff90,
    0x3fff6000,0xfd88004f,0x00004fff,0x703fffc0,0xd0009fff,0xffd07fff,
    0xffffffff,0xffffffff,0x3feadfff,0xfff5005f,0x3fffc009,0x201bffea,
    0x7ec4fffa,0x3ea004ff,0x7fc005ff,0xff9801ff,0x1fffe45f,0x007fff90,
    0x7ffe4000,0xfd1000df,0x00005fff,0x40ffff00,0x8004fffb,0xcb84fffc,
    0xcdfffccc,0xeffecccc,0xff53cccc,0x3ff600bf,0xfff3002f,0x1ffff88b,
    0x927ffd40,0xa800bfff,0x22005fff,0xe800ffff,0x7fe40fff,0x3fff203f,
    0x54000003,0x401effff,0x01effff9,0xcaa98800,0x7fffcccc,0x013ffee0,
    0x017ffee0,0x7407ffe2,0x3fea03ff,0x7fe4405f,0xff9000ef,0x7fffb05f,
    0x54fffa80,0x8001dfff,0x2005fffa,0xc806fff9,0xffc83fff,0x3fff203f,
    0x98000003,0x702fffff,0x001dffff,0xffffeb80,0xffffffff,0x13ffee07,
    0x1bffea00,0x403ffe60,0x3ea03fff,0x99999dff,0x0effffca,0x03fffe00,
    0x501bffee,0xfff39fff,0xff50001f,0x7fe400bf,0x7ffcc05f,0x07fff905,
    0x001fffe4,0xffe88000,0x7ffe43ff,0x7d40005f,0xffffffff,0x07ffffff,
    0x0013ffee,0x201fffe6,0xff00fff9,0x7ffd405f,0xffffffff,0x2000bfff,
    0xf105fff9,0x7d403fff,0x1fffedff,0xbfff5000,0x3fffea00,0x07fff401,
    0x203fffc8,0x0003fffc,0x3ffe2000,0xffff92ff,0xff98000d,0xccccefff,
    0x07fffccc,0x0013ffee,0x003fffe2,0x3e20fff5,0x3fea01ff,0xffffffff,
    0x000befff,0xe80ffff2,0x3ea03fff,0x06ffffff,0x17ffea00,0x7ffff710,
    0x03fffb80,0xc80ffff2,0x00003fff,0xffffb100,0xdffffc87,0xfff88000,
    0xfff801ef,0x13ffee07,0x3fffe600,0x837fdc00,0x2a00fff9,0xffffffff,
    0xffffffff,0x1ffff003,0x037ffdc0,0xfffdfff5,0x3ea0009f,0xa9999dff,
    0x6fffffcb,0x037ffc40,0xc80ffff2,0x00003fff,0xffffe980,0xdffff702,
    0xfffb8001,0xffff000e,0x027ffdc0,0x03fffd40,0xfa82ffe4,0x7ffd407f,
    0xca99999d,0x04fffffe,0x2037ffcc,0x500ffff9,0xfff59fff,0xff50005f,
    0xffffffff,0x019fffff,0x401fffd8,0x3203fffc,0x00003fff,0x77fffd40,
    0x7fffcc01,0x3ff2001f,0x3ffe003f,0x13ffee07,0x1fffee00,0x5417ff60,
    0x7fd407ff,0xffe9805f,0x3ff201ff,0xfffe803f,0x29fff503,0x001ffffc,
    0x7fffffd4,0xefffffff,0x4fffa801,0x03fffc80,0x000ffff2,0xffffb800,
    0xffd1000e,0x3fa007ff,0xff1002ff,0x7ffdc0ff,0xfffc8004,0x75555546,
    0xaaaaadff,0xaaaafffd,0x017ffea1,0x037fff44,0x9003ffff,0x3ea0dfff,
    0x3fffa4ff,0x3fea000e,0xefffffff,0xff1002cd,0x3ff200df,0x3fff203f,
    0xf9000003,0x10009fff,0x009ffffb,0x5005fffd,0x5c0fffff,0xd8004fff,
    0x7ffc4fff,0xffffffff,0xffffffff,0x3fea4fff,0x3fea005f,0xffff307f,
    0x33333333,0x01ffff53,0x7c49fff5,0x2a005fff,0x1999dfff,0x3fff6000,
    0x9999999b,0x9cfffc99,0xfff90999,0xe8800007,0x0003ffff,0x06ffffe4,
    0x80bfffb0,0x07fffffc,0x0013ffee,0xf85ffff1,0xffffffff,0xffffffff,
    0x2a4fffff,0x22005fff,0xfc81ffff,0xffffffff,0xffffffff,0x4fffa83f,
    0x01ffffd4,0x005fffa8,0x3ffffe00,0xffffffff,0xffffffff,0x7fff94ff,
    0x7f4c0000,0x00002fff,0x01dffff7,0x877fffee,0xfffffeb9,0x3ffee07f,
    0x7ffe4004,0xfccccc87,0xcccccdff,0xccccefff,0x017ffea2,0x81ffff88,
    0xffffffff,0xffffffff,0xffa86fff,0xffffc84f,0x5fffa802,0x3ffe0000,
    0xffffffff,0xffffffff,0xff94ffff,0x2a00007f,0x001effff,0x7fffd400,
    0xffffd01f,0xffffffff,0x5c0fff97,0x22004fff,0x9805ffff,0xfff00fff,
    0x5fffa805,0x1fffe600,0x3fffffe6,0xffffffff,0x40ffffff,0xfd04fffa,
    0xfa801fff,0x200005ff,0xffffffff,0xffffffff,0x4fffffff,0x0007fff9,
    0x1dffff70,0x3a600000,0xe983ffff,0xffffffff,0x0fff91ef,0x0027ffdc,
    0x001ffffb,0x3e01fff3,0x7fd402ff,0x3fee005f,0xdfffc85f,0xaaaaaaaa,
    0xfffeaaaa,0x827ffd43,0x406ffff8,0x0005fffa,0x2aaaaaa0,0xaaaaaaaa,
    0xaaadfffd,0x07fff91a,0xffffd800,0x88000005,0x704ffffd,0x7dffffff,
    0x2e07ffb8,0xe9804fff,0x5003ffff,0x3fe20fff,0x7ffd401f,0xffff3005,
    0x03ffff07,0x8dfff900,0x2a04fffa,0x2a04ffff,0x00005fff,0xfffc8000,
    0x0ffff203,0x7fff9000,0xc8000000,0x4c402fff,0xfb80001a,0x3ee204ff,
    0x2006ffff,0xff306ffb,0xfffa801f,0xfffea805,0x37ffcc0e,0xffff9800,
    0x013ffea0,0x207ffff7,0x0005fffa,0xffc80000,0x3fff203f,0x2fc80003,
    0x70000000,0x0000005f,0x99dfff70,0xfffffd99,0xfc800bff,0x0fff505f,
    0x55dfff50,0xfffb9755,0xff901fff,0x7fc0009f,0x3ffea3ff,0xffffd804,
    0x05fffa81,0xc8000000,0x3f203fff,0xaaaaadff,0x1aaaaaaa,0x00000008,
    0x00000040,0xfffffb80,0xffffffff,0xfd8003ff,0x0fff705f,0xffffff50,
    0xffffffff,0x3ffe03df,0x3f20001f,0x3ffea5ff,0xffff8804,0x2fffd40e,
    0x40000000,0x3203fffc,0xffffffff,0xffffffff,0x00000004,0x00000000,
    0x3ffffee0,0xefffffff,0xffb0000b,0x01bff209,0x3fffffea,0xefffffff,
    0x1fffe602,0xffff5000,0x013ffea1,0x22ffffcc,0x0005fffa,0xffc80000,
    0x3fff203f,0xffffffff,0x004fffff,0x00000000,0x2e000000,0xefffffff,
    0x80001ccd,0xff903ffe,0xffff500b,0x79bdffff,0x9fff9005,0xffff0000,
    0x013ffea5,0x24ffffb8,0x0005fffa,0xffc80000,0x3fff203f,0xffffffff,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00003551,
    0x00266a60,0x000d5440,0xaaaa9880,0x00000001,0x00135300,0x01aa9880,
    0x9806a600,0x0000001a,0x00000000,0x11000000,0x7ff64c00,0x0004efff,
    0x3ffffb2e,0x5c01ceff,0xeffffffd,0x3f66000c,0xffffffff,0x13ffea2f,
    0x50fffd80,0xfca83fff,0xa80effff,0x3f621fff,0xf04fffff,0x3ffa61ff,
    0x3ffa60df,0x7fff40ef,0xffffffff,0x224fffff,0x80006fff,0x3fe67fff,
    0xfa8001ff,0xfffa87ff,0x7ffdc00d,0xefffffff,0x3ffa2001,0xffffffff,
    0xfffd104f,0xffffffff,0xfffd8805,0xffffffff,0x13ffea2f,0x50fffd80,
    0x7fe43fff,0x2fffffff,0xfa8fffd4,0xffffffff,0x447ffc1e,0x14ffffff,
    0x8bffffff,0xfffffffe,0xffffffff,0x03fffc4f,0x17ffe200,0x0009fffd,
    0xfa89fffb,0xb106ffff,0xfddfffff,0x007fffff,0xfffffff7,0x09ffffff,
    0xfffffff5,0xbfffffff,0x3ffffe20,0xffffffff,0x13ffea2f,0x50fffd80,
    0x3ff25fff,0xffffffff,0x2bffea0f,0xfffffffb,0x7fc5ffff,0xfffffd9f,
    0xfffffb7f,0x7fff41ff,0xffffffff,0x6c4fffff,0x4c0007ff,0x7fdc4fff,
    0x7fc4007f,0x7fff40ff,0xffd82fff,0xffe982ff,0x3fee00ff,0x331acfff,
    0xff989fb7,0x2e61beff,0xd82fffff,0x300befff,0x7ffd4595,0x3fff6004,
    0xfb5fff50,0x3ee239ff,0x3fea4fff,0x0aefffdf,0x45ffffb3,0x53ffbfff,
    0x27ff5fff,0x2aa3fffa,0xaaaaaaaa,0x1ffffdaa,0x0007ffe4,0x887fff50,
    0x2002ffff,0xff85fffb,0x543fffff,0x6c00efff,0xff105fff,0x31003dff,
    0x00efffe8,0x83ffffa2,0x000ffff9,0x009fff50,0xfa87ffec,0x01ffffff,
    0x2a1ffff5,0x04ffffff,0xff97fff6,0x3fe25fff,0x7ffc5fef,0xfff10004,
    0x3fff707f,0x7ffdc000,0x05fffd82,0x20bfffa0,0x2ffffffe,0x400ffff4,
    0xd81ffff8,0x0000efff,0x400dfff5,0x3ea4ffff,0x2a0004ff,0x36004fff,
    0xfff50fff,0xfe801dff,0xffff51ff,0xfff9809f,0x03ffffe6,0xf81fffff,
    0xfd0005ff,0x3fea0bff,0x0155302f,0x2a07fff2,0x9800ffff,0xff707fff,
    0x7d41dfff,0x3ee004ff,0x7ffd44ff,0x3fe0001f,0x3ee002ff,0x3ffee7ff,
    0x3fea0005,0x3ff6004f,0xfffff50f,0x5fff9001,0x017fffea,0xfff3fffc,
    0x9ffff09f,0x000bffd0,0x201dfffb,0xfd03fff9,0x3fff209f,0x07fffd00,
    0x409fff90,0x6c1efffc,0x26002fff,0x7fe45fff,0x3e60005f,0xff8006ff,
    0xffff30ff,0x3fea0003,0x3ff6004f,0x3ffff50f,0x4bfff200,0x2006fffa,
    0xfff0fffe,0x1fffd01f,0x800bffd0,0x201ffffb,0xf884fff8,0xfffb06ff,
    0x037ffdc0,0x200ffffc,0xfffd01a8,0x7ffc4001,0x017fff46,0x07fff500,
    0x43fffb00,0x00cfffff,0x027ffd40,0x2a1fffb0,0x2a004fff,0xfff52eee,
    0x7fff4009,0x3a0bfff0,0xbffd05ff,0x7fffcc00,0x85fff802,0xe81ffffb,
    0x3fe206ff,0x3fea00ff,0xff80006f,0xaaaaaaff,0xffbaaaaa,0x07fffc7f,
    0x5fff7000,0x7fff9000,0x7fffffcc,0xffa800bd,0x3ff6004f,0x09fff50f,
    0x9fff5000,0x87ffec00,0xffd05fff,0x017ffa0b,0x027fff44,0xfd86ffd8,
    0xfff84fff,0x1fffec04,0x007fffb0,0xfffff880,0xffffffff,0x0fffffff,
    0x000ffff1,0x001fffd8,0x544fffb8,0xffffffff,0x3ffea02d,0x3fff6004,
    0x009fff50,0x09fff500,0xf87ffec0,0xbffd05ff,0x4017ffa0,0x2006fffd,
    0x7fc47ffc,0x7fc47fff,0x7ffd403f,0x1ffff106,0xfff98000,0xffffffff,
    0xffffffff,0x0dfff50f,0x1fffe800,0x5fffa800,0xfffffd88,0xfa83ffff,
    0x3f6004ff,0x9fff50ff,0xfff50000,0x7ffec009,0x3a0bfff0,0xbffd05ff,
    0x1ffff700,0x07ffdc00,0x5fffbff7,0x4017ffcc,0xfb81ffff,0x980004ff,
    0xeeeeffff,0xeeeeeeee,0x3fe66eee,0x7ec0007f,0xfb8002ff,0x3ae203ff,
    0xefffffff,0x013ffea1,0xf50fffd8,0x500009ff,0x6c009fff,0xbfff0fff,
    0x7417ffa0,0x7fd405ff,0x7d4001ff,0x2bff61ff,0x3fea5ffd,0xfffc801f,
    0x01fffe84,0x0ffff000,0x7ffc4000,0x7fe40007,0xffc8003f,0xfd73002f,
    0x7d4dffff,0x3f6004ff,0x9fff50ff,0xfff50000,0x7ffec009,0x3a0bfff0,
    0xbffd05ff,0x1ffffc40,0x97ffcc00,0xffb8fff8,0x01fff70f,0x88ffff30,
    0x00006fff,0x0003fffe,0x01ffff80,0x13ffee00,0x07fff600,0x3fffaa00,
    0x09fff53f,0xa87ffec0,0x80004fff,0x2004fffa,0xfff0fffd,0x417ffa0b,
    0x3fa05ffe,0xf10005ff,0x57fea7ff,0xff92fff8,0x7fff400f,0x00fffee2,
    0x1fffe800,0x3ffa0000,0x3ea0003f,0x7c4006ff,0x20000fff,0xff35fffd,
    0x3fe200bf,0x9fff50ff,0xfff50000,0x7ffec009,0x3a0bfff0,0xbffd05ff,
    0x03bfff20,0xb4fff800,0xaffec5ff,0x2a006ffd,0x3ffe5fff,0x3200000f,
    0x00005fff,0x003ffff2,0x0ffffcc0,0x0dfff700,0x6fffa800,0x200dfff1,
    0xf50ffffe,0x500009ff,0x6c009fff,0xbfff0fff,0x7417ffa0,0xfffa85ff,
    0x7f40001f,0x20fff8df,0xffe8fffb,0x7fffc004,0x005fff98,0x7fffc400,
    0xff100002,0x6c0009ff,0xf1006fff,0x80003fff,0x3fe5fffa,0x7fec00ff,
    0xfff50fff,0xff500009,0x7fec009f,0x20bfff0f,0xffd05ffe,0x3ffff98b,
    0xeffc8000,0x7fc45ffa,0x003ffebf,0x7e5fffe4,0x800001ff,0x002ffffc,
    0xbffff900,0x7c431001,0x2200dfff,0x0005fffe,0x3a4fffd8,0xfb104fff,
    0x2a1fffff,0x80004fff,0x2004fffa,0xfff0fffd,0x417ffa0b,0x3fa25ffe,
    0x700004ff,0x05ffbfff,0x5fffbffb,0xdfff9800,0x00006ffe,0xdfffff10,
    0xb9531035,0x7fffff40,0xeba999ac,0x7fffe44f,0xff7511ae,0xcee81fff,
    0xfeb9819a,0x3fee0fff,0xfd511dff,0x21fffbff,0x0004fffa,0x004fffa8,
    0x7fc3fff6,0x0bffd05f,0xffd97ffa,0xaaaaabff,0x0aaaaaaa,0xffffffa8,
    0xfffffa80,0xffe8001f,0x0003ffff,0x3fffea00,0xffffffff,0x3a606fff,
    0xffffffff,0x444fffff,0xfffffffd,0x1effffff,0xffffffe8,0xffffffff,
    0xffffe82f,0x9fffffff,0xff50fffb,0xf500009f,0x7ec009ff,0x0bfff0ff,
    0x7f417ffa,0xfffff35f,0xffffffff,0x305fffff,0x20bfffff,0x0ffffff8,
    0xffffb800,0x000000ff,0x7ffffec4,0xffffffff,0xffffc806,0xffffffff,
    0xfffff704,0x1bffffff,0x3fffffa0,0xffffffff,0xffff301f,0x23dfffff,
    0xff50fffb,0xf500009f,0x7ec009ff,0x0bfff0ff,0x7f417ffa,0xfffff35f,
    0xffffffff,0x105fffff,0x405fffff,0x007ffffd,0xbfffff10,0x54000000,
    0xffffffed,0x3002ceff,0xffffffd9,0x6c4017bf,0xdefffffe,0x7ffedc02,
    0xdfffffff,0xfffd8802,0x7fd44fff,0x09fff50f,0x9fff5000,0x87ffec00,
    0xffd05fff,0x4d7ffa0b,0xffffffff,0xffffffff,0xffff02ff,0x7ffd401f,
    0x3f20006f,0x00002fff,0x2aaa6000,0x88000099,0x20000999,0x100009a9,
    0x03555533,0x00d54c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999998,0x99999999,
    0x2aa09999,0xaaaa82aa,0x0000cc02,0x2aaaa980,0x55555540,0x2aaaaaaa,
    0xdddddddd,0xdddddddd,0xdddddddd,0x000000bd,0x00000000,0x003ccc80,
    0x006aa600,0x00015300,0x400bfff1,0xffffffff,0xffffffff,0x3ffe5fff,
    0x7fffc47f,0xffffd986,0x2200000d,0x205ffffd,0xffffffff,0xff5fffff,
    0xffffffff,0xffffffff,0xdfffffff,0x20000000,0x003ffffc,0x013fffe6,
    0x001bffe0,0x003ffc80,0x013fff60,0x05ffff90,0x3fffffe0,0xffffffff,
    0x3e5fffff,0xfff86fff,0x7fffd46f,0x5403ffff,0x7dc01fff,0xfff05fff,
    0xffffffff,0x3fffebff,0xffffffff,0xffffffff,0x006fffff,0x3fa00000,
    0xfd001fff,0x3e000dff,0x200006ff,0x50003ffc,0x009fffff,0x1bffffe6,
    0x7fffffc0,0xffffffff,0x3a5fffff,0xfff86fff,0x3fffe25f,0x04ffffff,
    0x2003ffea,0xf84fffe9,0xffffffff,0x5555ffff,0x55555555,0x55555555,
    0x05555555,0x44000000,0xc806ffff,0x0001ffff,0x0000dfff,0x80017fdc,
    0x0ffffffc,0xffcffe80,0x9999803f,0x99999999,0x09999999,0x3e17fffa,
    0x3ff25fff,0xfffebbff,0x0fff904f,0x27ffec40,0x2aaaaaaa,0x02aaaaaa,
    0x00000000,0x3ea00000,0x3e604fff,0x20002fff,0xc8006fff,0x981ffb80,
    0x7fffdc04,0x7fd401ff,0x001fff96,0x3f600000,0xfffe85ff,0x81dfff14,
    0x20dffffc,0x8006fff9,0x0004fffb,0x00000000,0x40000000,0xd01ffffc,
    0x8000bfff,0x5c006fff,0x0ffd43ff,0xf880bff2,0x403fffff,0xfff12ffe,
    0x0000000b,0x3a13fff6,0xfff34fff,0x3ffff209,0x2ffffddf,0x03331000,
    0x00000000,0x00000000,0x0dfffd00,0x000dfff9,0x800dfff0,0xf30dffff,
    0x3fffa61f,0x7fffd406,0x1bfee03f,0x0005fff7,0xfff90000,0x27fffb09,
    0x3203fffa,0xffffffff,0x0000006f,0x00000000,0x00000000,0x93fffe20,
    0x001ffff9,0x006fff80,0x5ffffe44,0xfffc8ff9,0xffd800cf,0xfff101ff,
    0x40dffd03,0x99999999,0x99999999,0x3ff20999,0x3fffd83f,0xa803ddd5,
    0xefffffff,0x00000000,0x00000000,0x00000000,0xe8ffffd4,0x00003fff,
    0x2000dfff,0xffefffc8,0x000cfffe,0x403ffff2,0xff305ffc,0x3fffe07f,
    0xffffffff,0x5fffffff,0x320fffee,0x20002fff,0x03dffec8,0x00000000,
    0x00000000,0x20000000,0xffcefffd,0x3333005f,0xfff33333,0x3333333d,
    0x7fe44013,0x000cffff,0x306fffc8,0x7ec03fff,0xffff80ff,0xffffffff,
    0x5fffffff,0x320bffee,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x7ffff440,0xff000eff,0xffffffff,0xffffffff,0xd880dfff,0x0004ffff,
    0x205ffff1,0x7c404ffe,0xffff85ff,0xffffffff,0x5fffffff,0x2602aaa2,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0xfffff980,0x3ffe001f,
    0xffffffff,0xffffffff,0xff9106ff,0x07ffffff,0x2ffff4c0,0x800fffa8,
    0x4cc2fffc,0x99999999,0x99999999,0x00000009,0x00000000,0x00000000,
    0x00000000,0xfffb0000,0xfff8009f,0xffffffff,0xffffffff,0x7fe446ff,
    0xffbffcff,0x5d4c0bff,0x00fffffe,0x7c009ffd,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffcc00,0x266001ff,0xf9999999,
    0x99999eff,0x3ff20999,0x8ff98dff,0x23ffffe8,0xcffffffb,0x01fff700,
    0x01fffd40,0x00000000,0x00000000,0x00000000,0x00000000,0xf8800000,
    0x0effffff,0x3ffe0000,0x77ff4006,0xfb87fea2,0x3ffee4ff,0x666401ef,
    0x4ccc8002,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0xfffdbfff,0x7fc0000b,0x27cc006f,0x3620ffd4,0x06af6a0f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7e400000,0xfff98fff,
    0xff00003f,0x203000df,0x00302ffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x7fdc5fff,0xf80001ff,0x200006ff,
    0x00002ffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff100000,0xfffb09ff,0xff80001f,0x3200006f,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffd0000,0x3fffe20d,
    0x7ffc0006,0x3f200006,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffd800,0x3fffea01,0x3ffe0004,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x9007ffff,0x0007ffff,0x0001bffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffe600,0xfffd1006,0x9990003f,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x000ffffe,0x03bfffe6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_47_usascii_x[95]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,6,
8,2,2,3,3,3,0,4,2,2,2,2,9,5,3,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,3,3,3,2,2,0,2,3,3,
3,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1, };
static signed short stb__consolas_47_usascii_y[95]={ 34,1,1,4,-1,1,2,1,-1,-1,1,10,26,19,
26,1,3,3,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16, };
static unsigned short stb__consolas_47_usascii_w[95]={ 0,7,15,25,22,26,25,6,14,14,20,23,12,14,
9,21,22,20,21,20,25,19,22,21,22,21,8,12,19,20,19,16,26,26,21,21,23,18,18,23,22,19,17,22,
18,24,22,24,21,25,22,21,23,22,26,24,26,26,22,13,21,12,22,26,16,20,21,19,21,22,25,22,20,20,
18,21,20,22,20,22,21,21,20,18,22,20,24,26,24,24,20,18,4,18,24, };
static unsigned short stb__consolas_47_usascii_h[95]={ 0,34,12,30,41,34,33,12,45,45,21,23,16,5,
9,38,32,31,31,32,30,31,31,30,32,31,25,32,27,13,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,4,10,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11, };
static unsigned short stb__consolas_47_usascii_s[95]={ 255,240,128,25,147,62,49,248,21,6,50,
26,71,186,245,196,145,25,46,226,145,90,110,74,203,68,244,190,210,107,190,
1,101,73,51,123,1,235,216,1,170,150,156,100,171,49,26,98,123,170,198,
168,174,133,96,1,221,123,193,74,218,88,84,201,169,230,40,24,136,1,23,
158,202,223,128,1,181,149,128,44,114,18,107,67,75,86,220,193,1,89,172,
55,1,36,144, };
static unsigned short stb__consolas_47_usascii_t[95]={ 1,1,239,183,1,50,85,1,1,1,240,
240,240,239,214,1,85,119,119,85,183,119,119,152,85,119,50,85,183,239,183,
50,1,183,183,85,183,152,152,119,152,152,119,183,183,152,152,85,183,1,119,
85,119,119,152,152,119,152,152,1,1,1,240,239,239,183,50,214,50,214,85,
50,50,50,1,85,50,214,214,214,50,50,214,214,85,214,214,214,240,50,214,
1,1,1,239, };
static unsigned short stb__consolas_47_usascii_a[95]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_47_usascii_BITMAP_HEIGHT or STB_FONT_consolas_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_47_usascii(stb_fontchar font[STB_FONT_consolas_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_47_usascii_BITMAP_HEIGHT][STB_FONT_consolas_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_47_usascii_s[i] + stb__consolas_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_47_usascii_t[i] + stb__consolas_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_47_usascii_x[i];
            font[i].y0 = stb__consolas_47_usascii_y[i];
            font[i].x1 = stb__consolas_47_usascii_x[i] + stb__consolas_47_usascii_w[i];
            font[i].y1 = stb__consolas_47_usascii_y[i] + stb__consolas_47_usascii_h[i];
            font[i].advance_int = (stb__consolas_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_47_usascii_s[i] + stb__consolas_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_47_usascii_t[i] + stb__consolas_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_47_usascii_x[i] + stb__consolas_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_47_usascii_y[i] + stb__consolas_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_47_usascii_LINE_SPACING
#endif

