// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_38_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_38_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT        192
#define STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_38_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_38_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_38_usascii_LINE_SPACING          25

static unsigned int stb__consolas_bold_38_usascii_pixels[]={
    0x00035553,0x000a2000,0x04c00000,0x10000000,0x88005df9,0x00009bba,
    0x0007ff98,0x004de5cc,0x00099988,0x4cc40000,0x06666609,0x42013100,
    0x99800098,0x3fffc999,0x0039dfff,0x00bfa200,0x2dffd950,0xfffffffa,
    0x03fe62ff,0x3ffffe20,0x2004ffff,0x801ffffd,0xffffffd8,0x3ea0000e,
    0xfd88007f,0x2fffffff,0x037ffdc0,0x3fe00000,0xffff12ff,0xfedc980f,
    0x2fecdfff,0x179dfffb,0xcfffff80,0xffff3fff,0x40001bff,0x802fffe8,
    0x6fffffd8,0xfffffff5,0x3ffe65ff,0x7ffc400f,0x04ffffff,0x9fffff10,
    0xfffffa80,0x001fffff,0x800bff70,0xffffffe9,0x2203ffff,0x0002ffff,
    0xffff7000,0x03ffffc4,0xfffffff7,0x365fffff,0xbfffffff,0x9dffff00,
    0x3ffe7fff,0x0005ffff,0x03ffffd1,0xffffffd0,0x3ffffead,0xff52ffff,
    0x7c401fff,0xffffffff,0xffff1004,0x7ffdc09f,0xffffedff,0x7ec4001f,
    0x3fea004f,0xffffffff,0x3f205fff,0x000005ff,0x447fffd0,0xe887ffff,
    0xffffffff,0xfb2fffff,0xffffffff,0x9dffff03,0x32ea7fff,0x002fffff,
    0x01ffffe8,0xcfffffa8,0x5dfff52b,0x7d415555,0x2a00ffff,0xfffdaaaa,
    0x3fff6004,0xffff301f,0x5fffc887,0xfffedb80,0x200cefff,0xbdffffff,
    0x1ffffffd,0x01ffff30,0xff980000,0x7fffc0ff,0xfffffc87,0xfffdbabd,
    0xfffffb2f,0xe81fffff,0xfffcdfff,0x5fffe883,0x7fffe400,0xbfffd002,
    0x01bffea0,0x02ffffdc,0x013fff20,0x2205dd90,0x3602fffe,0xff500fff,
    0xffffffff,0x3fee05ff,0xfffb05ff,0x7ffec0bf,0x6c000004,0xfff85fff,
    0x7fffcc6f,0xffff881e,0x7ff5cc42,0x7fec6fff,0x03fffcdf,0x400ffff3,
    0x003ffff9,0x5403fffe,0x32006fff,0x2002ffff,0x0004fffc,0x03fffc80,
    0x641fffc4,0xffffffff,0x882fffff,0x7406ffff,0xf501ffff,0x00001fff,
    0x07fffe20,0xfb1bfffe,0x3e203fff,0x7dc02fff,0x3f62ffff,0x3fffccff,
    0x401fffe0,0x006fffe8,0xa81fffe2,0x74006fff,0x9000ffff,0x00009fff,
    0x006fff88,0xffa8dffb,0xfffeffff,0xfb82ffed,0x7dc02fff,0x3fa04fff,
    0x000003ff,0x3e0dfff9,0x3fe26fff,0x3fe205ff,0xffc802ff,0x3fff24ff,
    0x203fffcc,0xc800fffe,0x2001ffff,0x2a06fff9,0x4c006fff,0x9004ffff,
    0x3ba29fff,0xeeeeeeee,0x7fdc1eee,0xfff7001f,0x97ffff43,0x02a26ffa,
    0x003ffff6,0x40bffff1,0x0006fffb,0x05ffff00,0xf99bfffa,0x3e203fff,
    0xf9802fff,0x3ff26fff,0x03fffcbf,0x2007fffa,0x4004ffff,0x2a05fffa,
    0xd8006fff,0xc800ffff,0xfff14fff,0xffffffff,0x6fff85ff,0x65cd5dcc,
    0xff11fff9,0x2ffdcdff,0x05fffe80,0x40dfffd0,0x001ffff8,0x3fffd400,
    0x54bfffd0,0x2202ffff,0x8802ffff,0x3ee5ffff,0x3fffcaff,0x007fffa0,
    0x001ffff5,0x205fffa8,0x8006fffa,0x802ffff8,0xff14fffc,0xffffffff,
    0x7fd45fff,0xffffd13f,0x5fff1dff,0xd97fffe6,0xfff004ff,0x3ffa00bf,
    0x7ffe407f,0x7f400005,0x3ffa04ff,0x3fffee5f,0x3fffe201,0xffffa802,
    0x1fffe404,0x803fffd0,0x8005fffd,0x2a05fffa,0xd0006fff,0xf900bfff,
    0x333229ff,0xffdccccc,0x3fff22ff,0xffffffd0,0x27fff1bf,0xd1fffff8,
    0xff1007ff,0x3f6009ff,0x7fcc07ff,0x300000ff,0x7401ffff,0x3fee5fff,
    0x3fe201ff,0x7f4402ff,0x7e402fff,0x3ff603ff,0x3ffe203f,0xffa8002f,
    0x3ffea05f,0xfff70006,0xfffc801f,0x3ffe6004,0x5dbffa2f,0xfffeffff,
    0x7f49fff4,0xfffcffff,0xffff9801,0xffff9003,0x4fffe801,0xfffb0000,
    0x5fffd80b,0x807fffea,0x222ffff8,0xffffdccc,0xfffc806f,0x17fff603,
    0x00ffffa8,0x04fffb80,0x001bffea,0x017fffc4,0x8013fff2,0xf12ffff9,
    0x3fffa9ff,0xff4fff99,0x7fffdc9f,0x801fffff,0x004ffff9,0x801ffff9,
    0x0007fffa,0x01ffff88,0xf327ffec,0x7dc05fff,0x3fe22fff,0x1fffffff,
    0x03fffc80,0x403fffee,0x8006fffb,0x202ffff8,0x0006fffa,0x900ffffa,
    0x4c009fff,0xff32ffff,0x29fff15f,0xffd3fffa,0xfffffd89,0x202dffff,
    0x004ffff8,0x200ffffb,0x0002ffff,0x4037ffdc,0x3e24fffd,0xff505fff,
    0x7fc45fff,0x00efffff,0x407fff90,0xbcfffff8,0x017fff22,0x3fff2aa2,
    0x7ffd407f,0x3ff60006,0x7ffe404f,0x3ffe6004,0x53fff72f,0x3fea5fff,
    0x709fff2f,0xffffffff,0xff103dff,0x3fa00bff,0xff7006ff,0xff8000df,
    0xffc803ff,0x7ffff44f,0x7ffffd42,0x3fffe22f,0x7e4002ce,0x7f4c03ff,
    0xfb0fffff,0xff1009ff,0x801dffff,0x0006fffa,0x9017fff2,0x4c009fff,
    0xff72ffff,0x5c7ffeef,0x7fff1fff,0x3ffff220,0x82ffffff,0xd006ffff,
    0x2200bfff,0x0001ffff,0x200ffff5,0x7d43fffc,0xfebcffff,0x42ffffff,
    0x0000ffff,0x1007fff9,0x21fffffb,0x8803fffe,0x00cfffff,0x006fffa8,
    0x01bfff20,0x4009fff9,0xf92ffff9,0x43fff2ff,0xfff0fffc,0xfffe8807,
    0x41ffffff,0x400ffffe,0x004ffff9,0x0017fff6,0x8027fff4,0xfe83fffc,
    0xffffffff,0x7c2ffffe,0x90000fff,0xfb807fff,0xd0ffffff,0xf1009fff,
    0x05ffffff,0x006fffa8,0x01bffee0,0x4009fff9,0xf92ffff9,0xc9fff6ff,
    0xfff88fff,0xfdffe802,0x644fffff,0x5c03ffff,0x2001ffff,0x000ffff9,
    0x007fffcc,0x883fffc8,0xfffffffe,0x42ffff8e,0x20007fff,0x2603fffc,
    0x199dffff,0x4013fffa,0xffffea99,0x1bffea00,0x5fffc800,0x027ffe40,
    0x25ffff30,0xfffb6ffd,0xff9bffec,0x1fff801f,0x98dffff9,0x100effff,
    0x000dffff,0x8009fffd,0x2005fffc,0xb100aaa9,0x119fffff,0xaa85ffff,
    0x3f20002a,0x3ff203ff,0x3fff605f,0xffff0005,0x37ffd407,0x9fffb000,
    0x04fffc80,0x4bfffe60,0xfffb6ffd,0xffab7ff4,0x0fff8807,0x81fffff1,
    0x40effffe,0x02ffffe9,0x07fffa80,0x0bfffe20,0x35300000,0x17fffc41,
    0xffc80000,0x3fff603f,0x1bfff202,0x27ffec00,0x00dfff50,0x01ffff40,
    0x8013fff2,0xfb2ffff9,0x23fff2df,0xffb6fff9,0x8fff500b,0xfa87fffe,
    0xfdefffff,0x006fffff,0x00bfffe0,0x0037ffdc,0x20000544,0x442ffff8,
    0x320000aa,0x3fa03fff,0x3fee01ff,0xfb8000ff,0x3fea05ff,0x3fe0006f,
    0x7fe402ff,0x3fe6004f,0x2fff92ff,0xffebfffc,0x23fffbff,0x44bff700,
    0xf705ffff,0xffffffff,0x0001dfff,0x8037ffe4,0x4003fffe,0x0002fffb,
    0x88bfffe2,0x0001ffff,0x7407fff9,0x3e601fff,0xa8003fff,0x3ea05fff,
    0xf50006ff,0xfc801fff,0x3e6004ff,0xfff72fff,0x3fffffe6,0x0fffffff,
    0x3226f7ea,0xfffa8cff,0x3ff203ff,0xffffffff,0x7c40000e,0x7d401fff,
    0x22000fff,0x000fffff,0x45ffff10,0x006ffffd,0x407fff90,0x7401fffe,
    0xa8006fff,0x3ea05fff,0xfb0006ff,0xff900bff,0x7fcc009f,0x1fff72ff,
    0x333ffffa,0x541fffff,0xffffffff,0x5fffffff,0xffffc880,0x00002dff,
    0xb017fff6,0xa8009fff,0x001fffff,0x45ffff10,0x007ffffe,0x407fff90,
    0x5c01fffe,0x4000ffff,0x2a05fffa,0x88006fff,0xc802ffff,0x26004fff,
    0xff52ffff,0x53ffa25f,0xa81dffd8,0xffffffff,0x0effffff,0x27fff400,
    0x7fcc0000,0xfff300ff,0xff98003f,0x10000fff,0x7ec5ffff,0x90006fff,
    0x7f407fff,0x7fc401ff,0x7d4004ff,0x3fea05ff,0xffb8006f,0xfff9007f,
    0x7ffcc009,0x09fff32f,0x3ffea000,0xffffffff,0xf90003ef,0x00000dff,
    0x640ffffa,0x90005fff,0x40007fff,0x222ffff8,0x0001fffe,0x7407fff9,
    0xfd801fff,0x2a001fff,0x3ea05fff,0x7c4006ff,0xf9004fff,0x7d4009ff,
    0x3ffa1fff,0x2a600007,0xdefffedc,0x7dc0002c,0x3a60dfff,0x3fee0002,
    0xffff887f,0x02a60002,0x55551000,0x00015501,0xf01fffe4,0xf1001fff,
    0x4c00dfff,0x3ea06fff,0x7ec006ff,0xf9000fff,0x7dc009ff,0x7ffdc7ff,
    0xf5000002,0x880000ff,0xfeffffff,0x20000fff,0x7dc2ffff,0x000006ff,
    0x00000000,0x03fffc80,0x400ffff1,0x003ffffb,0x540ffff1,0x2a006fff,
    0x2002ffff,0x0014fffc,0xf88dffff,0x00001fff,0x0005ffb8,0xfffffa80,
    0x004fffff,0xd1bfff20,0x00007fff,0x00000000,0x7fff9000,0x01bfff20,
    0x05ffffb0,0x40ffffe0,0x3006fffa,0x8009ffff,0x5bb4fffc,0xffffe881,
    0x1ffffd83,0x4001f710,0x00004ffc,0xffffff70,0x40005dff,0xf51ffff8,
    0x00001fff,0x00000000,0x7fff9000,0x3fff6666,0x7fc4003f,0xfc802fff,
    0x5099cfff,0x3333dfff,0x7fffcc13,0x2666600e,0xfb4fffc9,0xffffdfff,
    0x3fe60dff,0xecbcefff,0x36000fff,0x000003ff,0x37bfb6e2,0x00000003,
    0x00000000,0x90000000,0x3ffe7fff,0x0006ffff,0x03fffff3,0xffffff88,
    0xfffff56f,0x3e25ffff,0x2201ffff,0xffffffff,0xfffffb4f,0x01ffffff,
    0x7fffff44,0x00ffffff,0x000732e0,0x00000000,0x00000000,0x00000000,
    0x7fff9000,0x3ffffffe,0x3fe60001,0xffa802ff,0xff56ffff,0x5fffffff,
    0x007fffea,0xfffffff1,0x3fff69ff,0x0cffffff,0xffffe880,0x003effff,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfff3fffc,0x000019ff,
    0x44005ff3,0xf56ffffc,0xffffffff,0x400ffdc5,0xfffffff8,0x372e64ff,
    0x8000abce,0x1acddba8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53fffc80,0x00000135,0x4c400053,0x5555512a,0x1a815555,0x2aaaaa00,
    0x0001aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fff900,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32a00000,0x000002cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x22003775,0x06200099,
    0x4ccc0000,0x03333109,0x04c40000,0x00333300,0x01999880,0x77e44000,
    0x99998802,0x00019999,0x1f777540,0x1eeeea80,0xcba98800,0x6dc001aa,
    0x8003defe,0x0dfffffa,0x54bffe60,0x3fee2eee,0x00003eff,0x2a5ffff1,
    0x0000ffff,0x3ffffaa0,0x4eeeeeef,0x003ffff3,0x07fffd40,0xfffb0000,
    0xfffc803f,0x01ffffff,0x107bfaa0,0x200fffff,0x8007fffe,0xfffffffb,
    0xffe9803f,0x01efffff,0xffffff30,0x2fff40bf,0xfd17fff5,0x0bffffff,
    0xffff1000,0x03fffea5,0x3ffa6000,0xffffffff,0xfff35fff,0x7d40003f,
    0x00000fff,0x09fffff1,0xffffffc8,0xf3001fff,0xfc83ffff,0x7cc02fff,
    0x22004fff,0xfffffffe,0x7fc403ff,0xffffffff,0xeffe800f,0xc81fffda,
    0x3fea0fff,0xfffffedf,0x0005ffff,0xa97fffc4,0x0000ffff,0x7fffff44,
    0xffffffff,0x3ffff35f,0x7ffd4000,0xf100000f,0xc809ffff,0xffffffff,
    0xfffb001f,0xfff989ff,0x7ffdc05f,0x3ff6001f,0xffffffff,0x7fffec03,
    0x5ffffdbc,0xd0fffc40,0xfff987ff,0x7ffffd43,0xfffedfff,0x220001ff,
    0xff52ffff,0xd80001ff,0xd712ffff,0x2355dfff,0x001ffff9,0x03fffea0,
    0xfffd8000,0x5554c01f,0x01ffffca,0xbfffffd0,0x01ffffd0,0x0037fff4,
    0x15dffff5,0xf9806a62,0x7fe41fff,0x3ffcc07f,0xffd13ff6,0xfffff50b,
    0x7ffe417f,0x3e20005f,0xfff52fff,0xff80001f,0xfff982ff,0x7fffcc1f,
    0x3fea0001,0x200000ff,0x0001dec8,0x003ffff5,0x0ffffff2,0x40bfffee,
    0x002ffff9,0x007ffff2,0x42fffdc0,0x200ffff8,0x7fe47ffa,0x203ffee4,
    0x03fffffa,0x001ffffd,0x4bfffe20,0x000ffffa,0x81fffe60,0x7cc3fffe,
    0x20001fff,0x000ffffa,0xa8000000,0x1001ffff,0x220dfffd,0xf906ffff,
    0xfd800fff,0x320005ff,0xff885fff,0x7ffcc07f,0x7ccfffa1,0xfff503ff,
    0x7ffdc09f,0x2262001f,0xf52ffff8,0x00301fff,0xc81bffea,0x7fcc4fff,
    0x2a0001ff,0x4c40ffff,0x00000000,0x007fffea,0xfc805970,0xfff80fff,
    0x7ffc004f,0x3ee0004f,0xfffb87ff,0x9dfff806,0xffd1fffb,0x7fffd40d,
    0x3fffea00,0x3ff72202,0x2fffffff,0x6dcffff5,0x2203efff,0xfb01ffff,
    0xfff985ff,0xdddd501f,0x3fffd41b,0x07dffff7,0x3bbbbbae,0xa8001eee,
    0x0001ffff,0x7ffff300,0x01ffffa8,0x01ffffc0,0x5ffff300,0x01ffffcc,
    0x7fffffe4,0x03fff75f,0x007fffd4,0x207ffff3,0xfffffffb,0xf52fffff,
    0x3fff6fff,0x3e05ffff,0xffa84fff,0x7ffcc1ff,0xffff981f,0x7fffd42f,
    0xffffffe8,0xffffc85f,0x001fffff,0x01ffffa8,0x3ffa0000,0x37ffec6f,
    0x1ffffc00,0x3fffa000,0x6ffffb8f,0xffffb100,0x7fff11bf,0x0ffffa80,
    0x0ffffe60,0x3ffffffa,0x2fffffff,0xffdffff5,0xbfffffff,0x3ffffee0,
    0x5ffffcac,0x41ffff98,0x83fffff8,0xffeffffa,0x2fffffff,0x7fffffe4,
    0xa8001fff,0x0001ffff,0x3fffee00,0x07ffff11,0x7cccccc4,0x9999cfff,
    0xff980199,0xefffffff,0x66e54000,0x201bff62,0x200ffffa,0x642ffffa,
    0xabdfffff,0x52ffffdb,0xffffffff,0x3fffffdb,0x3fffffe0,0x80efffff,
    0x741ffff9,0xf504ffff,0xbfffffff,0xa8dfffff,0xfffdcccc,0xffa8001f,
    0x000001ff,0x5d3fffe2,0x2e00ffff,0xffffffff,0xffffffff,0xffff9007,
    0x00009fff,0x801fffb8,0x200ffffa,0x260ffffb,0x881effff,0xff52ffff,
    0x6417ffff,0xfc85ffff,0xffffffff,0xfff300cf,0x7fffec3f,0x3fffea04,
    0xffd10bff,0xffa801ff,0xfa8001ff,0x00001fff,0xebfffec0,0x7dc05fff,
    0xffffffff,0x7fffffff,0xfffff500,0x8800003d,0xf5004fff,0x7ec01fff,
    0x7fff47ff,0xffff101f,0x3ffffea5,0x1ffffd03,0x64efffcc,0x4c00acdc,
    0xff71ffff,0xffa80bff,0xffb83fff,0x7fd401ff,0xfa8001ff,0x26001fff,
    0xf9800ced,0xffffbfff,0x7fffdc01,0xffffffff,0xc807ffff,0x1fffffff,
    0x000e665c,0xa801bff6,0xf300ffff,0xfff8dfff,0x3ffe205f,0x9ffff52f,
    0x0ffffdc0,0x0005fff9,0x54ffffcc,0xa806ffff,0xf304ffff,0xfa805fff,
    0xa8001fff,0x3001ffff,0x001dffff,0xfffffffd,0x5555300d,0x55bffff5,
    0xc8055555,0xffffffff,0x07fffa0e,0x01fffa80,0x03fffea0,0x87ffffa2,
    0x203ffff9,0xf52ffff8,0x7d401fff,0x3ff62fff,0x3e60005f,0xffffbfff,
    0xfffa800e,0xffff100f,0xffffa805,0xfffa8001,0xfff9001f,0xff7009ff,
    0x007fffff,0x01ffffc0,0xdffff980,0x3e5ffffb,0xf1000fff,0x3fb229ff,
    0xffffa83e,0xfffca9ac,0x7ffd44ff,0x3ffe202f,0x1ffff52f,0x1ffffcc0,
    0x9bdffff7,0x20135999,0xfffffff9,0xff5000ff,0x3fe201ff,0x7fd402ff,
    0xfa8001ff,0xf9001fff,0x100fffff,0x1fffffff,0x7fffc000,0xfffb0003,
    0x67fffecd,0x2007fff8,0xfff36ffd,0x7d41dfff,0xffffffff,0x5c0fffff,
    0x2201ffff,0xff52ffff,0x7fcc01ff,0x3ffe23ff,0xffffffff,0x7fcc1dff,
    0x3fffffff,0x1ffff500,0x0bfffe20,0x03ffff50,0x3ffff500,0x3fffea00,
    0xffd800ff,0x40004fff,0x8003ffff,0x742ffff8,0xfffcffff,0x3fff5006,
    0x3ffffffa,0x3fffea4f,0xffffffff,0xffffb80c,0x3fffe201,0x01ffff52,
    0x217fffd4,0xfffffff9,0x2fffffff,0x3ebfffe6,0xa802ffff,0xf100ffff,
    0xfa805fff,0xa8001fff,0x2001ffff,0x00fffffc,0x0fffffa8,0x7fffc000,
    0xfff98003,0x7fffc40f,0x8804ffff,0xfff74fff,0xfa9fff23,0xffffffff,
    0x3fea01df,0x3fe201ff,0xffff52ff,0x7fffdc01,0x3ffffa20,0xffffeeee,
    0xfff30fff,0xfffff33f,0xffffa801,0x5ffff100,0x1ffffa80,0xffffa800,
    0x7fff4001,0xffff5007,0xfff0000b,0xff50007f,0xfff301ff,0xb001ffff,
    0x3ff21dff,0x543ffe65,0x9a98ffff,0xffff3000,0x7fffdc05,0x01ffff52,
    0x363fffec,0xb300efff,0x3e65ffff,0xfff71fff,0x7fd401df,0xfff100ff,
    0xfffa805f,0xffa8001f,0x7e4001ff,0xffd005ff,0xf00003ff,0x30007fff,
    0x2e05ffff,0x805fffff,0x3f62fffa,0xa8fffc3f,0x0000ffff,0x20bffff1,
    0x52fffffa,0x2601ffff,0x3ea6ffff,0x7cc01fff,0xfff33fff,0x7fffec3f,
    0x3fffea05,0x5ffff100,0x1ffffa80,0xffffa800,0x7fff4001,0xffffc803,
    0xfff00004,0x3fe0007f,0xffd00eff,0xfe880bff,0x127fec5f,0x3fea1fff,
    0x3a0000ff,0x7d42ffff,0xf52fffff,0xfd101fff,0x7fdc3fff,0x7fcc00ff,
    0xffff32ff,0x7ffffc43,0x1ffff503,0x0bfffe20,0x03ffff50,0x3ffff500,
    0x2fffe400,0xffffb304,0x7fc0000d,0xfb0003ff,0x7537ffff,0x7ffffffd,
    0x207ffe40,0x3fea6ffc,0x03fffea7,0xffffa800,0xffffebcf,0xfff52fff,
    0xff95359f,0xffb89fff,0x3fa205ff,0xfff30fff,0xffffa83f,0xffffa82f,
    0x5ffff100,0x37333322,0xcccdffff,0x9999913c,0x99bffffb,0x3f2ea799,
    0xff80ffff,0x0fffffff,0x3ffe0000,0xff10003f,0xffffffff,0x5fffffff,
    0x305fff30,0xfff9dfff,0x07fffd49,0x3fffa000,0xdeffffff,0xfff52fff,
    0xffffffff,0xff881fff,0xbabcefff,0x23fffffd,0xc81ffff9,0x540fffff,
    0xf100ffff,0x3fe65fff,0xffffffff,0xf35fffff,0xffffffff,0x2bffffff,
    0x1dfffffe,0xfffffff0,0xf800003f,0x20003fff,0xfffffff9,0xfffcffff,
    0x2fff41ff,0xffffffb0,0x7fffd41f,0x7f440000,0x9effffff,0xff52fffc,
    0xffffffff,0x3ee019ff,0xffffffff,0x4c4fffff,0xfd01ffff,0x7d41dfff,
    0xff100fff,0x3ffe65ff,0xffffffff,0xff35ffff,0xffffffff,0x3abfffff,
    0x7c02efff,0x00cfffff,0xffff8000,0xffb80003,0x50cfffff,0x321dffff,
    0x7e400fff,0x7d40dfff,0x80000fff,0xcfffffd8,0x225fff90,0xffffffdb,
    0xea801dff,0xffffffff,0xff981dff,0xfff101ff,0x7ffd4bff,0xffff100f,
    0x3ffffe65,0xffffffff,0xffff35ff,0xffffffff,0x06aabfff,0x0acdec80,
    0x3fe00000,0x200003ff,0x00009a98,0x40266000,0x0002aaa8,0x0009a980,
    0x0026a660,0x6f665cc0,0x00000abc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x880004b9,0x8009bcb9,0x30019998,
    0x99988333,0x99999999,0x22000099,0x53000999,0x00035997,0x1abcca88,
    0x33332a60,0x4ccc401a,0x99999999,0x654c4009,0x8001abcc,0x000abca9,
    0xbccb9880,0x9999881a,0x26666000,0x2fffe400,0xfffb1000,0x403fffff,
    0x400ffffa,0x321ffff9,0xffffffff,0x002fffff,0xfffffd71,0xffea807f,
    0x0bffffff,0xffffd500,0x647fffff,0xffffffff,0xffc80bff,0xffffffff,
    0xffb305ff,0xffffffff,0xffff9001,0x8001dfff,0xffffffc8,0x3ee5ffff,
    0xf9004fff,0xfe803fff,0xf50005ff,0xffffffff,0x3fea07ff,0x7fcc00ff,
    0x3fff21ff,0xffffffff,0x7ecc02ff,0xffffffff,0x3ffff603,0xefffffff,
    0x7fffe400,0x4fffffff,0x3ffffff6,0x40efffff,0xfffffffc,0xd85fffff,
    0xffffffff,0x2200ffff,0xfffffffe,0xd3002fff,0xffffffff,0x7f41ffff,
    0x7c400fff,0xfe805fff,0xfb8005ff,0xffffffff,0xfa85ffff,0x7cc00fff,
    0x3ff21fff,0xffffffff,0x3ea02fff,0xffffffff,0xfff703ff,0xffffdfff,
    0x3fa20bff,0xffffffff,0x3ff64fff,0xffffffff,0x7ffe45ff,0xffffffff,
    0x7fffe45f,0xffffffff,0xffff300f,0xffffffff,0xfffc805f,0xffffffff,
    0x3fee0fff,0x7fe403ff,0xffe801ff,0x7fc4005f,0xfdbdffff,0x541fffff,
    0x4c00ffff,0x3f21ffff,0xffffffff,0xf502ffff,0x9dffffff,0xff103999,
    0x26213bff,0xe80ffffe,0xcdffffff,0x364ffdcb,0xeb999ace,0x2a1fffff,
    0xcccccccc,0x3e65ffff,0x9abeffff,0xd00fecaa,0x5139ffff,0x40dffffb,
    0xeffffffb,0xfffecbbc,0x07ffff40,0x05ffff88,0x00bfffd0,0x05ffffc8,
    0xa8bffffb,0x4c00ffff,0x3f21ffff,0x220004ff,0x01dfffff,0x0ffffd40,
    0x42ffff98,0x04fffffa,0xfb000ea2,0xe8007fff,0x3ff25fff,0x500803ff,
    0x3609ffff,0xf882ffff,0x401effff,0x7ffdc0da,0xffff903f,0xfddddb03,
    0xddddffff,0x7fc41ddd,0x7ff405ff,0x3ffea0ff,0x7ffcc00f,0x13fff21f,
    0xffffc800,0xfff70003,0x2ffff80d,0x017ffff4,0xfffa8000,0x7ff4004f,
    0x3ffff65f,0x3ffa0000,0x3ffe206f,0xffffc86f,0x7f40000d,0xfff887ff,
    0xffffd05f,0xffffffff,0x7e41ffff,0x7dc02fff,0x3fea4fff,0x7fcc00ff,
    0x3fff21ff,0xfff10004,0x7dc000bf,0xff100fff,0x7ffdc3ff,0x2000005f,
    0x002ffff8,0xfd2ffff4,0x20003fff,0x403ffff9,0x221ffffb,0x000fffff,
    0x3ffffb80,0x80ffffe4,0xfffffffe,0xffffffff,0x1ffff60f,0x97fffe20,
    0x400ffffa,0x321ffff9,0x50004fff,0x0003ffff,0x82ffffd4,0x7ec6fffd,
    0x00002fff,0x01fffea0,0xd97fffa0,0x000dffff,0x00ffffb8,0x8bffffee,
    0x004ffffb,0x9bfffa00,0x205ffff8,0xfffccccb,0xccccccff,0x17fffa0c,
    0x537fff40,0x9801ffff,0x3f21ffff,0xf90004ff,0x80010fff,0x21effffe,
    0x7c2ffffd,0x00007fff,0x17fffa20,0x97fffa00,0xbffffffb,0x3fff2000,
    0xffffb106,0x7ffe47ff,0x2e00001f,0xff72ffff,0xfe8003ff,0x3fe005ff,
    0xffd005ff,0x7fffd4ff,0x7fffcc00,0x3fffff21,0x200bdeff,0xedaefffe,
    0x402defff,0xdffffff9,0x444ffffe,0x0005ffff,0xfcaa9988,0x8000efff,
    0x3e25fffe,0xcfffffff,0x5fffd801,0xffffffa8,0x3fff64ff,0xfe800007,
    0xbfffd6ff,0xbfffd000,0x3fffe200,0xffffb004,0x007fffd4,0xc87fffe6,
    0xffffffff,0xfff04fff,0xffffffff,0x4c01bfff,0xffffffff,0xfff983ff,
    0xfb80005f,0x4fffffff,0x3fffa000,0x7ffffd45,0x202effff,0x7e44fffe,
    0xffffffff,0x21bfffa5,0xfffffffb,0x3ffee00f,0x01ffffcf,0x05fffe80,
    0x07ffff30,0x43ffff20,0x400ffffa,0x321ffff9,0xffffffff,0xff85ffff,
    0xffffffff,0x406fffff,0xffffffe8,0xfffa80ef,0xfb80004f,0xdfffffff,
    0xfffd0002,0xfffff50b,0x03dfffff,0x3a69ffff,0xfc9effff,0x3fffe6ff,
    0xfffffb85,0x7f400fff,0x05ffffff,0x0bfffd00,0x13fffe60,0x87fffe40,
    0x400ffffa,0x2a1ffff9,0xfeeccccc,0x225fffff,0xefffffff,0xffffffdc,
    0xffff9103,0x85ffffff,0x004ffffb,0xfffffb80,0x00efffff,0x82ffff40,
    0xffffffc8,0x7fc1ffff,0xffffbbff,0xdfffb0df,0x217fffe2,0xfffffffb,
    0x7ffdc00f,0x0001ffff,0x200bfffd,0x004ffff8,0x7d4ffffb,0x7cc00fff,
    0x26001fff,0x227ffffd,0x80aeffff,0x887ffffb,0xfeeffffe,0x2a3fffff,
    0x0005ffff,0xdaa99988,0x006fffff,0x202ffff4,0xfffffeb8,0x3ffa0eff,
    0x2fffffff,0xff2fffec,0xddd50dff,0x001ffffd,0x0bffffff,0x2ffff400,
    0x0bffff00,0xa9bfffa0,0x4c00ffff,0x8001ffff,0xf11ffffd,0xfd80bfff,
    0x7ff40fff,0x3ffaa3ff,0xfff10fff,0x800000bf,0x03ffffe8,0x017fffa0,
    0xfffffc98,0x3ffff63f,0xfe80efff,0x3fffa4ff,0xffffa807,0xffffb800,
    0x3fa0000f,0x3fa005ff,0xffd006ff,0x7fffd4bf,0x7fffcc00,0xfffa8001,
    0x17fffe3f,0x45ffff50,0x882ffffa,0x3e4ffffd,0x00007fff,0x5ffff880,
    0x17fffa00,0x3fffa600,0x3ffff24f,0x3ffe04ff,0x3ffff63f,0x7fffd400,
    0xbffff000,0xfffe8000,0x3fffa005,0x7ffcc00f,0x3fffe64f,0x3fffd401,
    0xffff9800,0x01bfffa4,0x745ffff3,0x3e205fff,0x3ffa6fff,0x000002ff,
    0x006ffff8,0x0017fffa,0x737fffd4,0x405fffff,0x2e2ffff9,0x5403ffff,
    0xf000ffff,0x8000bfff,0x2006fffe,0x402ffffc,0x222ffffb,0x5c02ffff,
    0x50006fff,0x7ec5ffff,0x3ea00fff,0x3ffe1fff,0x7ffec03f,0x1bffff67,
    0x3fe00000,0x3fe005ff,0xf10004ff,0x7fd4bfff,0x7fe403ff,0x3ffea0ff,
    0x7ffd406f,0xffff000f,0xffd8000b,0xff1000ff,0x3e201dff,0xfff86fff,
    0x7fff405f,0xfffb0005,0x7fffdc1f,0x1ffff603,0xd80bffff,0x3fe66fff,
    0x00004fff,0x0ffffea0,0x1ffffd40,0xffffa800,0x07ffff43,0x84ffff88,
    0x204ffffe,0x000ffffa,0x000bffff,0x02ffffc8,0x3bffff60,0x7ffff4c0,
    0x2ffffe82,0x07ffff70,0xffffd880,0x7ffffc46,0x5ffffb81,0x80fffff4,
    0x644ffff8,0x81efffff,0x54004da8,0x7b2fffff,0x3ffffa20,0xa8037d12,
    0x542fffff,0xe885ffff,0xf980ffff,0xa81effff,0xf000ffff,0x8000bfff,
    0xadfffffb,0x7cc0cba9,0xfdefffff,0x505fffff,0x57bfffff,0x8dffffb7,
    0xcbbccdf8,0x1ffffffd,0xcfffffc8,0xfffffdbb,0x77fffe41,0xfffb99ac,
    0x7ffc41ff,0xeeefffff,0x99d54fff,0xfff99557,0x7ff4bfff,0xffffcbcd,
    0x3fffe26f,0xffeeccde,0xffd06fff,0xfd759fff,0x7ec09fff,0xceffffff,
    0x00fffffd,0x00bffff0,0xfffff880,0x80ffffff,0xfffffffc,0x01efffff,
    0x3ffffff6,0x1fffffff,0x7fffffc4,0x1fffffff,0xffffff10,0x7fffffff,
    0xfffffd10,0xffffffff,0x3fffea07,0xffffffff,0xfffff54f,0xffffffff,
    0xfffffe8d,0x21ffffff,0xfffffff8,0xefffffff,0xfffff500,0xbfffffff,
    0x7fff4401,0xffffffff,0xff000fff,0x50000bff,0xffffffff,0x3fea01ff,
    0xffffffff,0x7fec400d,0xffffffff,0xffff881e,0xdfffffff,0x7ffec401,
    0x3fffffff,0x3ffffe60,0x4fffffff,0x7fffec40,0x4fffffff,0xfffffff5,
    0x819fffff,0xfffffffe,0x7fc42fff,0xffffffff,0x4c01efff,0xfffffffe,
    0x3ee004ff,0xffffffff,0xf000ffff,0x0000bfff,0x3fffff66,0x36600fff,
    0x2efffffe,0x7fff5400,0x2203ffff,0xffffffff,0x75c001cf,0x0cffffff,
    0xffffd700,0x40019fff,0xfffffeda,0xfff50adf,0x7dffffff,0x3fff2601,
    0x9104ffff,0xfffffffd,0x44003bff,0xdffffffc,0xfed98002,0xbdffffff,
    0x3fffe000,0x4c400005,0x40009aaa,0x00001a98,0x40013551,0x0019aa99,
    0x0026a600,0x09aa9880,0x13530000,0x4d54cc40,0x35310001,0xaa998001,
    0x8800009a,0x400000a9,0x00019aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,
    0x4cccc001,0x00133310,0x4cc19988,0x99880199,0x4ccc4099,0x99999999,
    0x33109999,0x00133333,0x30133300,0x26660133,0x4cc40099,0x01999981,
    0x10266662,0x10003333,0x98803333,0x26620999,0x00199999,0x26666662,
    0x99999999,0x6c000999,0x1002ffff,0x3ea9ffff,0x7e4004ff,0x3fffe1ff,
    0x7ffec02f,0x7fffec4f,0xffffffff,0xfff76fff,0xbdffffff,0xfff98005,
    0x40fffd42,0x05fffff9,0x3e0ffff4,0xf902ffff,0xffa8dfff,0x7e4001ff,
    0x3fe607ff,0x3ff21fff,0xffffffff,0x3ffee02d,0xffffffff,0x22ffffff,
    0xfb81efea,0xf7004fff,0x3fe65fff,0x7fe4005f,0x3fffea1f,0x3fffe606,
    0x7fffec0f,0xffffffff,0xfff76fff,0xffffffff,0x3ea005df,0x7ffd41ff,
    0xfffff981,0x3fffa00f,0x2fffffc1,0x47fffff8,0x001ffffa,0xd03fffe4,
    0xfc87ffff,0xffffffff,0xfb80efff,0xffffffff,0xffffffff,0x3fffff32,
    0x07ffff88,0x21ffffb0,0x4005fff9,0x7f40fffc,0xffb02fff,0xfffb07ff,
    0xffffffff,0x3eedffff,0xffffffff,0x802fffff,0x7dc0fffb,0xfff980ff,
    0x3fa04fff,0x3ffe21ff,0xfff987ff,0x7ffd47ff,0x7fe4001f,0xffff707f,
    0xfffff90d,0xffffffff,0xffffb81d,0xffffffff,0xfb2fffff,0xfd09ffff,
    0xff003fff,0x7ffc4bff,0x7ffec005,0x37fffd40,0x837fffcc,0xeeeeeeec,
    0xfffffeee,0x99ffff75,0xfffffd99,0xfffb801f,0x983ffe40,0x0fffffff,
    0x443fffd0,0x42ffffff,0x47fffffc,0x001ffffa,0x443fffe4,0xc80fffff,
    0xedccffff,0x44ffffff,0xfcccccca,0xccccefff,0xffffd1cc,0xffff90bf,
    0xffffa807,0x01bffe23,0x360fffb0,0x7ec2ffff,0x40002fff,0x70fffffa,
    0xd301ffff,0xc80bffff,0x6ffd87ff,0xffffff30,0x3fffa07f,0x3ffffe61,
    0x7ffff44f,0x3ffea0ff,0x7fe4001f,0xffffe87f,0x0ffff902,0x0dffff91,
    0x02ffff40,0x1fffffe4,0x02ffffcc,0x883ffff2,0x6c006fff,0xfff307ff,
    0x7fffccdf,0x7fc40006,0x3fee2fff,0xfff100ff,0xeaaa88ff,0xeaaaafff,
    0x262aaeff,0x7fffffff,0x4c3fffd0,0x27ffdfff,0xfffdfff9,0x07fffea0,
    0x8ffff900,0x205ffffb,0x3a07fffc,0xd000ffff,0xd100bfff,0x7fc0dfff,
    0x7ff407ff,0x06fff86f,0x903fff40,0x3f67ffff,0x40001fff,0x5c5ffffd,
    0x3600ffff,0x3e60ffff,0xffffffff,0xffffffff,0xfffff30f,0xffd05fff,
    0x5fffcc3f,0xdff71fff,0x7d41fff7,0x64001fff,0x3fe27fff,0x3f200fff,
    0x3ff207ff,0xffd001ff,0x165c00bf,0x0bffff20,0x41ffffc4,0xeed86fff,
    0x1037ff40,0xff5fffff,0xa8000bff,0x5c0fffff,0x2e00ffff,0x3e61ffff,
    0xffffffff,0xffffffff,0x9dfff30f,0xffd0dfff,0x4fffd43f,0x9ffd3fff,
    0x7d43fff7,0x64001fff,0x3ff67fff,0x7fe401ff,0x3fff207f,0xfffd000f,
    0xf500000b,0x3ee09fff,0xffe81fff,0x217ffcc7,0x7e406ffe,0xffffffff,
    0x3fe20001,0xffb82fff,0x3ff200ff,0x3ffe60ff,0xffffffff,0x0fffffff,
    0xff3dfff3,0xfffe85ff,0x363ffea1,0x9fff8dff,0x3ea1fffb,0x64001fff,
    0xfff77fff,0xfff9009f,0x3fffa20f,0x3fffa007,0xff000005,0x3ff60dff,
    0x8fffd07f,0x7f45fffc,0x7ffc405f,0x004fffff,0x2ffffec0,0x00ffffb8,
    0x881ffff6,0x7fcc3fff,0xdfff302f,0xfd17fff6,0x7ffdc3ff,0xffbfffb8,
    0x545fff77,0x4001ffff,0xff8ffffc,0xff9006ff,0xfffb10ff,0x7ff4007f,
    0xb000005f,0xff01ffff,0x3ffa09ff,0x23ffff47,0xfb805fff,0x00ffffff,
    0x3fffea00,0xffff700f,0x3fffe601,0x0bffe606,0x2603fff5,0xfff56fff,
    0x0ffff43f,0xff11fff7,0x3ea9ffdf,0x3ffea2ff,0x7fe4001f,0x1ffffdff,
    0x9ffff900,0xfffffd99,0xfffe800b,0xf7000005,0xff987fff,0xfffb02ff,
    0x17ffffcc,0x3e009fff,0x004fffff,0x3ffffe20,0x3fffee02,0xfffffa80,
    0x07ffea02,0x2603fff5,0x3ffa6fff,0x87fffa5f,0xffd0fffb,0x3fea3fff,
    0x3fffea2f,0x7ffe4001,0x005fffff,0x3ffffff2,0x03ffffff,0x05fffe80,
    0xfff10000,0x7fffc8bf,0x5c3fff60,0x3e4fffff,0xffa804ff,0x000fffff,
    0x09ffffb0,0xccffffb8,0xfffffedc,0x07ffdc04,0x4c03ffee,0x3fee6fff,
    0x3fffd0ff,0xff93ffe4,0x7ffd4fff,0x07fffea3,0xdffff900,0x2005ffff,
    0xfffffffc,0x20003fff,0x2005fffe,0x3ffa0018,0x2ffff47f,0x3a1fff90,
    0x3e7fffff,0xffe804ff,0x004fffff,0x0fffffa8,0x7ffffdc0,0xffffffff,
    0x7ffdc00e,0x303ffe40,0xfff8dfff,0x43fffd4f,0x3fe67ffc,0x3ffea4ff,
    0x07fffea3,0x3ffff900,0x001fffff,0xfffffff9,0x0007ffff,0x4017fffa,
    0xb803fffc,0xff11ffff,0x7fe405ff,0xfbfff88f,0x3fff89ff,0x7ffffdc0,
    0x2001ffff,0x02fffff8,0xffffffb8,0x03ffffff,0xffffddd3,0xffffdddd,
    0x7fcc1ddd,0x7fffdc6f,0x361fffe8,0x7fffc7ff,0xa93ffe62,0x4001ffff,
    0xff97fffc,0xff900bff,0x3ffee2ff,0xfe8001ff,0xffb805ff,0x7cc02fff,
    0xfff54fff,0x7ffdc01f,0xff8dffb9,0x03fff8cf,0x33ffffe2,0x2005ffff,
    0x004ffffd,0xfffffff7,0x4c019bdf,0xffffffff,0xffffffff,0x3ffe60ff,
    0x5ffffc46,0x3f61fffe,0x23ffe47f,0x3ea4fff9,0x64001fff,0x3ffa7fff,
    0x7fe402ff,0x7fffd47f,0xfffe8006,0xffffd805,0xffff804f,0x80dfffb6,
    0xffd9fffb,0xff3dffd3,0x7ffe405f,0x5fffff3f,0xdffff500,0x3ffee001,
    0x4c00199f,0xffffffff,0xffffffff,0x3ffe60ff,0xeefffc86,0x3ff61fff,
    0x26277547,0x3fea4fff,0x7e4001ff,0x3ffea7ff,0x3ff200ff,0xffffc87f,
    0x7fff4002,0xffffe805,0xfffc805f,0x03ffff8f,0x7fd7ffdc,0xf5fff70f,
    0x3fe605ff,0xfff70fff,0xfff880df,0x3ee001ff,0x10000fff,0x9dfff999,
    0x9dfff999,0x6fff9899,0xffffff98,0x1bffa1ff,0x25fff980,0x001ffffa,
    0x363fffe4,0x3205ffff,0xff987fff,0x7f4006ff,0xffb805ff,0xfa802fff,
    0xffffcfff,0x67ffd401,0x3ffe66ff,0xfb01fffc,0xffe87fff,0x3ff603ff,
    0x7dc004ff,0x00000fff,0xff889fff,0x3ffe603f,0xfffffb06,0x37ff43ff,
    0x4bfff100,0x001ffffa,0x223fffe4,0x903fffff,0x3f60ffff,0x3a002fff,
    0xfb005fff,0x7fc009ff,0x06ffffff,0xffffffa8,0x7fffff43,0xffff981f,
    0xfffffa87,0xfffffa80,0x99999999,0xffff7199,0xff100001,0x2fff987f,
    0x41bffe60,0xfffffffa,0x801bffe1,0x3ea6fff8,0x64001fff,0xffb87fff,
    0xffc80fff,0xffff507f,0x7fff400d,0x006a6005,0xffffffb0,0xfff3009f,
    0xffc83fff,0xfe80ffff,0xffd03fff,0xffff09ff,0xffffffff,0x3eefffff,
    0x80000fff,0x7d42fff9,0x3fe601ff,0x3fffa06f,0x3ffe1fff,0x3ffe2006,
    0x3ffffea6,0xffffffff,0x0ffff93f,0x217ffffa,0x3a07fffc,0xd001ffff,
    0x0000bfff,0xfffff500,0xff3003ff,0xff30dfff,0xfa81ffff,0x3ea07fff,
    0x7fc1ffff,0xffffffff,0x77ffffff,0x0001ffff,0xb83fff50,0x3e600fff,
    0x3fee06ff,0x3fe1ffff,0x3fe2005f,0x3fffea6f,0xffffffff,0xffff93ff,
    0x3ffffe60,0x03fffe43,0x00bffff7,0x0017fffa,0x3ffe2000,0xf1007fff,
    0x3e09ffff,0x220fffff,0x403fffff,0x7c6ffffe,0xffffffff,0x7fffffff,
    0x001ffff7,0x81fff700,0x2600fffb,0x7fc06fff,0xff11ffff,0xfff800bf,
    0x3ffffea7,0xffffffff,0x0ffff93f,0x07ffffe4,0x440ffff9,0x801fffff,
    0x0005fffe,0xffffd000,0x3fe200bf,0xff901fff,0xfffb8fff,0xfffa806f,
    0x3fffe2ff,0xffffffff,0xff77ffff,0x900001ff,0xfff90fff,0x06fff980,
    0x8fffffdc,0x4005fff8,0x3fea7fff,0xffffffff,0xff93ffff,0x7ffc40ff,
    0x3fff26ff,0x7fffe407,0x5fffe805,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33330000,
    0x19998801,0x4ccccccc,0x19999999,0x26666662,0x09999999,0x33333331,
    0x43333333,0x99999998,0xba880000,0x4cc00abc,0x99999999,0x10999999,
    0x33333333,0x33100001,0x80001333,0x0001aaa9,0x09999988,0x5e654c00,
    0x14000009,0x2619db30,0x5c02ffff,0xff30ffff,0xffffffff,0x321fffff,
    0xffffffff,0xf95fffff,0xffffffff,0x7d4fffff,0xffffffff,0xd7000bde,
    0x9fffffff,0x3ffffe01,0xffffffff,0xfff96fff,0xffffffff,0xfff00039,
    0x2000dfff,0x04ffffd8,0x7fffcc00,0xff5002ff,0x09ffffff,0x07fd1000,
    0x31fffff5,0xb805ffff,0xff30ffff,0xffffffff,0x321fffff,0xffffffff,
    0xf95fffff,0xffffffff,0x7d4fffff,0xffffffff,0x2602ffff,0xfffffffe,
    0xff80ffff,0xffffffff,0x96ffffff,0xffffffff,0x009fffff,0x7fffffcc,
    0x3f22000f,0x004fffff,0x7fffff40,0x7ff4402f,0xffffffff,0xfd30001e,
    0xffff87ff,0xffff9dff,0x7fffdc02,0xffffff30,0xffffffff,0x3ffff21f,
    0xffffffff,0xfffff95f,0xffffffff,0x7ffffd4f,0xffffffff,0x7ffd40df,
    0xffffffff,0xffff85ff,0xffffffff,0xff96ffff,0xffffffff,0x2007ffff,
    0xfffffffc,0xfffc8803,0x004fffff,0x3ffffee0,0x7ff402ff,0xffffffff,
    0xfa8006ff,0xf10effff,0xf3ffffff,0xfb805fff,0x55510fff,0x5dffff55,
    0x7fe45555,0xccccccff,0xfff93ccc,0x9999999f,0x7ffd4999,0xfffdcccf,
    0x7444ffff,0xebacefff,0x7c2fffff,0xffffffff,0x5fffffff,0x555ffff9,
    0xffffff97,0xffffd001,0xfb80bfff,0xffffffff,0xff10004f,0x05ffffff,
    0x5fffffdc,0xfffffb99,0x3ffee002,0x3fe20dff,0xff9effff,0x7fdc02ff,
    0x7ff400ff,0x7ffe405f,0x7ffe4007,0xfffa8007,0xfffe880f,0x17fcc1ff,
    0x44ffffd8,0x99999999,0xffffd999,0x20dfff92,0x01ffffe8,0x7f7fffc4,
    0x7fdc07ff,0xffffcfff,0xfffb0004,0x205ffffd,0x80effff8,0x006ffff9,
    0x09fffff9,0x2ffffff6,0x402ffff9,0x400ffffb,0x6405fffe,0x64007fff,
    0xa8007fff,0x3600ffff,0x0a85ffff,0x17fffe20,0x7fffc400,0x81bfff26,
    0x403ffffa,0xffaefffa,0x3fe202ff,0x9ffff1df,0xffff5000,0x205ffff3,
    0x202ffff9,0x202ffffc,0x2fffffd8,0x53fffa20,0x402ffff9,0x400ffffb,
    0x6405fffe,0x64007fff,0xa8007fff,0x2200ffff,0x001fffff,0x007ffff8,
    0x47ffff70,0x2606fffc,0x6c02ffff,0xfff8cfff,0x2176c04f,0x8004ffff,
    0xfff4fffe,0x3ffee05f,0x3ffe600f,0xfffd103f,0x2a6003ff,0x0bfffe60,
    0x01ffff70,0x405fffe8,0x4007fffc,0x8007fffc,0x400ffffa,0x002ffffc,
    0x006ffff8,0x47ffff88,0x2e06fffc,0x7c01ffff,0xfffd2fff,0xfff0080d,
    0xffb8009f,0x0bfffe6f,0x007fffe4,0x2613fffe,0x00efffff,0x7fffcc00,
    0x7fffdc02,0x2ffff400,0x01ffff20,0x00ffff90,0x01ffff50,0x03ffffa8,
    0x2ffffc40,0x7fffdc00,0x837ffe43,0x406ffff8,0xf70ffff9,0xf0003fff,
    0x44009fff,0x3fe1ffff,0xfff702ff,0xffff803f,0x7ffffdc5,0xff300005,
    0x99999bff,0x1ffffb99,0x05fffe80,0x003fffe4,0x2abffff2,0x1aaaaaaa,
    0x003fffea,0x009ffff3,0x02ffffb8,0x0fffff80,0x4cffffe4,0xfffffba9,
    0x2fffe400,0x007ffff3,0x009ffff0,0x3e27ffec,0xff502fff,0xffe809ff,
    0x3ffff26f,0x2600003f,0xffffffff,0xffffffff,0x7fff400f,0x7fffe405,
    0xcccccccc,0xfffff90c,0xffffffff,0x07fffd49,0x17fffe20,0x7ffff880,
    0xffffb800,0xfffffc84,0xdfffffff,0x3fffe801,0x002ffffc,0x8027fffc,
    0x7c0ffffa,0xff102fff,0x5445bfff,0x2a7ffffd,0x00dfffff,0xffff3000,
    0xffffffff,0x801fffff,0x6405fffe,0xffffffff,0xf91fffff,0xffffffff,
    0x7d49ffff,0xff800fff,0x3fa006ff,0xf8003fff,0xfc80ffff,0xffffffff,
    0x4402dfff,0x7ec1ffff,0x7c000fff,0xf8804fff,0xfff82fff,0x3fff202f,
    0xffffffff,0x7cc6ffff,0x000effff,0xfffff980,0xffffffff,0x7400ffff,
    0x7e405fff,0xffffffff,0xff91ffff,0xffffffff,0x7fd49fff,0xfff800ff,
    0xfff9005f,0xff7000bf,0x3ff209ff,0xffffffff,0x2e04ffff,0xffa87fff,
    0x7fc002ff,0xffc804ff,0x5ffff05f,0xfffffe80,0xffffffff,0xfffe885f,
    0x4c0002ff,0xaaacffff,0xfffcaaaa,0x7fff400f,0x7fffe405,0xffffffff,
    0x5ffff91f,0x55555555,0x07fffd43,0x13fffe20,0x3bfffee0,0xfffe8000,
    0xffff900f,0xffb55333,0x3f607fff,0xfff884ff,0x7ffc004f,0x7ffcc04f,
    0x5ffff00f,0xffffc880,0xffffffff,0xfffb104f,0x4c0007ff,0x5c02ffff,
    0x7400ffff,0x7e405fff,0x7e4007ff,0xfa8007ff,0x7cc00fff,0x7dc03fff,
    0x8000ffff,0x204ffffa,0x2e06fffc,0x440fffff,0xfd02ffff,0xff800fff,
    0x7ff404ff,0x3fffe03f,0xdd973002,0xffff159b,0xffffc809,0xff30004f,
    0xffb805ff,0x7ff400ff,0x7ffe405f,0x7ffe4007,0xfffa8007,0x7ffdc00f,
    0x3ffee02f,0xfd0000ff,0x7e401fff,0x7ffc06ff,0x7ffd41ff,0xecccccdf,
    0x2001ffff,0x2604ffff,0xffffffff,0xffffffff,0x30000fff,0x7007ffff,
    0x01bfffff,0x2ffff980,0x07fffdc0,0x017fffa0,0x800ffff9,0x8007fffc,
    0x400ffffa,0x701ffffe,0x003fffff,0x17fffea0,0x80dfff90,0x642ffffc,
    0xffffffff,0x3fffffff,0x13fffe00,0xffffff98,0xffffffff,0x000fffff,
    0x01ffff70,0x3ffffe60,0x3fe6001e,0x7fdc02ff,0x7ff400ff,0x7ffe405f,
    0x7ffe4007,0xfffa8007,0x3ffea00f,0xffff705f,0x7f40001d,0x7e401fff,
    0x7fe406ff,0x7fffc1ff,0xffffffff,0x2006ffff,0x2604ffff,0xffffffff,
    0xffffffff,0x88000fff,0x4005ffff,0x0fffffe8,0x5ffff300,0x0ffffb80,
    0x02ffff40,0x001ffff2,0x000ffff9,0x201ffff5,0x81fffff9,0x00effffa,
    0x3fffea00,0x6fffc805,0x3ffffe20,0x3ffffe60,0xffffffff,0xf000ffff,
    0x7cc09fff,0xffffffff,0xffffffff,0x744000ff,0x8002ffff,0x002fffd8,
    0x00bfffe6,0x801ffff7,0x6405fffe,0x64007fff,0xa8007fff,0x64c0ffff,
    0xa84fffff,0x99afffff,0x00999999,0x007ffffa,0x4c1bfff2,0x5c6ffffe,
    0x9999efff,0xfffc9999,0xffff002f,0x7fc00009,0x988002ff,0x05fffffc,
    0x0017e400,0x00bfffe6,0x221ffff7,0xfffeeeee,0x0eeeeeff,0x800ffff9,
    0xeeeffffc,0x26eeeeee,0xeeeffffa,0xefffffff,0x7ffffd40,0xffffffff,
    0xfff506ff,0x3ff200bf,0xffeeeeff,0x741fffff,0xf9804fff,0x3fe25fff,
    0xffffffff,0x007fffff,0x405ffff0,0xffffeee8,0x006fffff,0xf3000300,
    0xfb805fff,0xfff30fff,0xffffffff,0x3f21ffff,0x7e4007ff,0xffffffff,
    0x3ea7ffff,0xffffffff,0xc80cffff,0xffffffff,0x6fffffff,0x03ffffb0,
    0x3fffff20,0xffffffff,0x7fffc43f,0xfffff002,0x7fffffc4,0xffffffff,
    0xfff0007f,0x7ffcc05f,0xffffffff,0x0000000e,0x0bfffe60,0x21ffff70,
    0xfffffff9,0xffffffff,0x00ffff90,0xffffffc8,0x7fffffff,0x3fffffea,
    0x02efffff,0x3ffffff2,0xffffffff,0xffff986f,0x3fff2006,0xffffffff,
    0xfffa82ef,0x3fff2007,0xfffff11f,0xffffffff,0x3e000fff,0x3e602fff,
    0xffffffff,0x0000002e,0x2ffff980,0x87fffdc0,0xfffffff9,0xffffffff,
    0x00ffff90,0xffffffc8,0x7fffffff,0x3fffffea,0x4009acde,0xfffffffc,
    0xffffffff,0x2ffffd86,0x3ffff200,0x1cdeffff,0x017fff60,0x14ffffa8,
    0xffffffff,0xffffffff,0x3fffe000,0x3fffe602,0x0001bdee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01400000,0x00130000,0x40000800,0x99800009,0x99880009,
    0x80220000,0x03100009,0x40131000,0x2206eeea,0xdd51eeee,0x3aa007dd,
    0x98801eee,0xeec80099,0x7754002e,0x37f2003e,0xeda80000,0x003effff,
    0xffffecb8,0x3b2202df,0x003dffff,0xffffffb5,0x3b2607df,0xceffffff,
    0xf92eed80,0x7ffd47df,0x4bbbae0e,0x2effffc8,0x2e2eeea8,0xb83effff,
    0x3e607fff,0xfff11fff,0x3ffa00ff,0xfff9007f,0x9fff9007,0x3fffb800,
    0x1dfff900,0x3ff62000,0xefffffff,0xfffe9801,0x05ffffff,0xfffffff5,
    0x3a201dff,0xffffffff,0xfffb85ff,0xffffffff,0x65fff42f,0xfa8fffff,
    0x3f26ffff,0xffff9bff,0x7d43ffff,0xfffe8bff,0x7dc5ffff,0x3fe607ff,
    0x3fff21ff,0x7ffcc02f,0xfff9004f,0xbfff7007,0x2fffc800,0xffffe880,
    0x7fcc001f,0xffffffff,0x3f202fff,0xffffffff,0xfffb85ff,0xffffffff,
    0x7fff440f,0xffffffff,0xfffffb85,0xffffffff,0x3ff7ffa1,0xfffcffff,
    0xff92ffff,0xffffffbf,0x7d43ffff,0xffffedff,0x2e2fffff,0x3e607fff,
    0x3fe61fff,0x7fdc05ff,0xff9001ff,0xfff5007f,0xfffd800d,0xfffd1001,
    0x7ec005ff,0xfedeffff,0xf506ffff,0xddffffff,0xff98bfff,0xfc99cfff,
    0x7fe45fff,0x9988aeff,0xcefb85db,0xffea99aa,0x3fffa6ff,0xfffffbef,
    0x94fffdcf,0xdfffffff,0x49ffffd9,0xfffffffa,0x6fffffdf,0x981fffee,
    0x7f41ffff,0x3fa00fff,0x3f2006ff,0xff9803ff,0x7ff4007f,0x7fec000f,
    0xfa804fff,0x7440efff,0x7c43ffff,0x881dffff,0x2fffec4b,0x21ffffb8,
    0x000ffffe,0xffd80198,0x3ffffa7f,0x27ffff90,0xff95fff9,0xfe85ffff,
    0x3ffea7ff,0xfd10bfff,0x3fee1fff,0x3ffe607f,0x7fffdc1f,0x5ffff302,
    0x1fffe400,0x07fffc40,0xff839993,0xff70007f,0xfe80bfff,0xff100fff,
    0xfffd8fff,0x7fcc005f,0x3ffe02ff,0x1bfffe4f,0xff500000,0x3fffa1ff,
    0x89fffee4,0xfff95fff,0xfff705ff,0x7ffffd4f,0x1ffffb83,0x4c0ffff7,
    0x7c41ffff,0xff906fff,0x7e4001ff,0xfff003ff,0x27ffe43f,0x8001bffe,
    0x0efffffa,0x04ffff88,0xf07fffe4,0x8001ffff,0x6c07fffc,0x3ffe5fff,
    0x00001dff,0x23ffff30,0x3ee0fffe,0x3ffe23ff,0x07ffff95,0x543fffea,
    0xf304ffff,0x3fee5fff,0x3ffe607f,0xffffc81f,0x04ffff80,0x01fffe40,
    0x3a2fffe8,0x3fe27fff,0x74c0005f,0x541fffff,0x5401ffff,0xff11ffff,
    0xfb0009ff,0x99999dff,0x4dfffd99,0xdffffffd,0xa988000b,0xffffdccb,
    0xfb8fffd1,0x3ffe22ff,0x40ffff95,0xf50aaaa8,0x3e201fff,0xfff72fff,
    0x7fffcc0f,0x3ffff981,0x40ffffd4,0xfffffffc,0xffffffff,0x3fff23ff,
    0x5fffff33,0x0013ffe6,0x3ffffa20,0x3fffee2f,0x7fffcc00,0x07ffff32,
    0xfffffd00,0xffffffff,0x7ffc4fff,0x2dffffff,0xffffda80,0x1fffffff,
    0xffb8fffd,0x57ffe22f,0x0007fffc,0x201ffff5,0xf72ffff8,0x7fcc0fff,
    0xfffd01ff,0x06fffd8d,0xfffffff9,0xffffffff,0x7ffdc7ff,0xbfffff94,
    0x000bffea,0xfffffd80,0x01ffff93,0x73ffff88,0x0005ffff,0xffffffff,
    0xffffffff,0xffffe88f,0x81efffff,0xffffffe8,0x1fffffff,0xffb8fffd,
    0x57ffe22f,0x0007fffc,0x201ffff5,0xf72ffff8,0x7fcc0fff,0xfff701ff,
    0x3fffe23f,0xfffff903,0xffffffff,0x7d47ffff,0xffffd5ff,0x07ffeeff,
    0x7fec4000,0xfff72fff,0xfff9801f,0x7ffff52f,0xdffff000,0xdddddddd,
    0x36a0bddd,0xffffffff,0x7ffff41f,0xffdccdef,0x8fffd1ff,0x3e22fffb,
    0xffff95ff,0x3ffea000,0xffff100f,0x81fffee5,0x101ffff9,0x3ee9ffff,
    0xdd700fff,0xffffdddd,0x5ddddddd,0x7cf7ffcc,0xcafffcff,0x80000fff,
    0x1effffe9,0x007fffea,0x263ffff5,0x8004ffff,0x0004fffe,0xffffda80,
    0x3ffee5ff,0xfff980df,0xb8fffd1f,0x3fe22fff,0x0ffff95f,0x3fffea00,
    0x5ffff100,0x403fffee,0x201ffffc,0xffd7fffd,0x3f2000bf,0xff1003ff,
    0xf1fff7ff,0x0fffbbff,0xffff5000,0xfff981bf,0x7ffe403f,0xfffff10f,
    0xfffd8001,0x22000005,0x367ffffc,0xf300ffff,0x3ffa3fff,0x117ffdc7,
    0x3ff2bfff,0xff50007f,0x3fe201ff,0xffff52ff,0xfffff705,0x7fffcc03,
    0x001ffffb,0x007fff90,0x7ff7fffc,0xffdfffd4,0xffb8000d,0xff105fff,
    0x7fc40fff,0x7fffc6ff,0x7fe4004f,0x000001ff,0xf87ffff4,0x3f206fff,
    0xfffd1fff,0x222fffb8,0xfff95fff,0x3fea000f,0xfff100ff,0x3fffe65f,
    0x7ffffd44,0x7fff401f,0x0006ffff,0x800ffff2,0x2ffffffe,0xbffffff7,
    0x7ffec000,0x7fec03ff,0x7f440dff,0x7fdc2fff,0x7300dfff,0x077fffcc,
    0x7c400c00,0x3ffa6fff,0xfffd81ff,0x8fffd1ff,0x3e22fffb,0xffff95ff,
    0x3ffea000,0xffff100f,0x3ffffe25,0xfffffece,0x7fdc01ff,0x003fffff,
    0x00ffff20,0x7fffffd8,0x3fffffe2,0xffe88004,0xf8802fff,0xdcdfffff,
    0xd05fffff,0x9dffffff,0xfc8dffb9,0x99acffff,0x3e27dcaa,0xd7319acf,
    0x7ec9ffff,0xeb9befff,0xd1ffffff,0xfffb8fff,0x657ffe22,0x50007fff,
    0x2201ffff,0x3f22ffff,0xffffffff,0x401fffee,0xfffffff8,0x3ff20000,
    0x3fee003f,0x7ff45fff,0x4c003fff,0x01ffffff,0x3fffff20,0xffffffff,
    0xfffff301,0xdfffffff,0xfffffe88,0x7fffffff,0x3fffffe2,0xffffffff,
    0x3ffffe60,0xfeffffff,0x8fffd1ff,0x3e22fffb,0xffff95ff,0x3ffea000,
    0xffff100f,0x7ffff445,0xffc8efff,0xfffd801f,0x640005ff,0x2a003fff,
    0x5c2fffff,0x002fffff,0x3bffffe2,0xfffb8000,0xdfffffff,0x7ffecc00,
    0x6fffffff,0xfffffd88,0x27ffffff,0xfffffff8,0x80ffffff,0xfffffffc,
    0x1fffc9ff,0xffb8fffd,0x57ffe22f,0x0007fffc,0x201ffff5,0x442ffff8,
    0x0cfffffd,0x5003fff9,0x005fffff,0x03fffc80,0x3ffffe60,0x7ffffc40,
    0x7ffd4001,0x7ec40005,0x03efffff,0x7ffff540,0x2a02dfff,0xfffffffe,
    0x7ffec4ef,0xbeffffff,0x3fffee00,0xfff90cff,0xf71fffa3,0x7ffc45ff,
    0x00ffff95,0x03fffea0,0x817fffc4,0x00009a98,0x00000000,0x00000000,
    0x00013ea0,0x00035310,0x00266620,0x066aaa60,0x2aaaa620,0x554c0009,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bb60000,0xeeeeeeee,0x77645eee,0x775404ee,0x998803ee,
    0xeea80009,0x06662003,0x66666540,0xcccccccc,0x333311cc,0x20099998,
    0x400009a9,0x40199999,0x88888888,0x3fffe088,0xffffffff,0xffffffff,
    0x00000006,0x00000000,0x3ffffffe,0x7fffffff,0x17ffffc4,0x0fffff88,
    0x02fffa80,0x2ffffd40,0x03fffe80,0xffffffb8,0xffffffff,0x4ffffb2f,
    0xc84ffff8,0x203fffff,0xffa81998,0xff303fff,0xffffffff,0x3ffffe1f,
    0xffffffff,0x6fffffff,0x00000000,0x20000000,0xffffffff,0x87ffffff,
    0x80fffffa,0x002ffffc,0x8003fff5,0x02fffffe,0x07ffffd4,0x3ffffee0,
    0xffffffff,0xffffb2ff,0x227fffc4,0xfffffffc,0x07ffe80d,0x07ffffd1,
    0xfffffff3,0x3fe1ffff,0xffffffff,0xffffffff,0x000006ff,0x00000000,
    0x3ffffe00,0xffffffff,0xffff906f,0x4ffffa8b,0xfff98320,0xffd00e20,
    0x7c40bfff,0x405fffff,0xfffffffb,0xffffffff,0xf8dfff92,0x3fe63fff,
    0xefffffff,0x2037ffc0,0x4c3ffffc,0xffffffff,0x99990fff,0x99999999,
    0x99999999,0x00000007,0x00000000,0x7fffd400,0x3fffa00f,0xdffff13f,
    0x447fea01,0x07fea7ff,0x6fffffc8,0x3effff20,0x000002ff,0x7c6fffb8,
    0x3ff23fff,0xffffebef,0x0bfff71e,0x47ffff50,0xfffffff9,0x0000ffff,
    0x00000000,0x00000000,0x7ffc4000,0x7fcc01ff,0xfffd8fff,0x3fffa01f,
    0xff97ff8c,0xfffe80df,0x5fff307f,0x0001bffa,0x17ffee00,0x7f45fffd,
    0x3fff20ff,0x2fffffff,0x39999100,0x00000000,0x00000000,0x00000000,
    0x3ffffa00,0xffff7003,0x409ffffd,0xfeffffe9,0xeffffeff,0x3fffe200,
    0x54dffb05,0x00004fff,0x22fffd40,0x3fe2fffe,0xffffc86f,0x0006ffff,
    0x00000000,0x00000000,0x00000000,0xffffd800,0x7ffec005,0x5006ffff,
    0xfffffffb,0x3a003bff,0xffa83fff,0x0fffec1f,0x4cccccc4,0x99999999,
    0x89fff509,0xdd11fffd,0x3ffee09d,0x0001efff,0x00000000,0x00000000,
    0x00000000,0x7fffdc00,0x7fc4000e,0x001fffff,0x7ffffecc,0x7ffc001d,
    0x85ffe81f,0xfb85fff9,0xffffffff,0x32ffffff,0xffd89fff,0xed88001f,
    0x00000cdf,0x00000000,0x00000000,0x00000000,0x7ffffcc0,0xfff70001,
    0xc88009ff,0xcfffffff,0xfffd8800,0x01fffc84,0xfb85fff9,0xffffffff,
    0x32ffffff,0xffc87fff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0xfff10000,0x220007ff,0x1fffffff,0xffffd980,0xcfffffff,0x7ffee541,
    0x4fff886f,0x83fffe20,0xfffffffb,0xffffffff,0x00000002,0x00000000,
    0x00000000,0x00000000,0x6c000000,0x0005ffff,0x3ffffff6,0x3fe600ef,
    0xbeffbfff,0xf10fffff,0x019fffff,0xb801fffb,0x2aa64fff,0xaaaaaaaa,
    0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,
    0x3ee0006f,0xffffffff,0x4f7fec04,0xffd37ff8,0x6ffffc49,0x05999101,
    0x00333320,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01fffff5,0x3fffe600,0x2fffff8e,0xff893e20,0xa81fb10f,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff100,
    0x3fe20005,0xfff50fff,0x260401ff,0x00040fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffe,0x0fffffff,
    0x43ffffd8,0x006ffffc,0x0007ffea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff3,0xffffffff,0x5ffffb81,
    0x3fffff88,0x03ddd500,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffff980,0xffffffff,0x3ffe60ff,0xfff500ff,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff30,0xffffffff,0x3fffa21f,0x7ffe403f,0x000000ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_38_usascii_x[95]={ 0,7,4,0,1,0,0,7,5,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0, };
static signed short stb__consolas_bold_38_usascii_y[95]={ 28,1,1,3,0,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,9,9,9,9,9,9,0,-3,0,13, };
static unsigned short stb__consolas_bold_38_usascii_w[95]={ 0,7,13,21,19,21,22,6,12,12,17,19,11,13,
8,18,20,17,17,17,21,17,19,18,18,18,7,11,17,17,16,13,21,21,18,18,19,16,15,20,19,17,14,19,
16,21,19,21,18,22,18,18,19,19,21,21,21,21,18,11,18,11,19,21,13,17,18,16,18,18,20,19,17,17,
15,19,17,19,17,19,18,18,17,17,18,17,21,21,21,21,17,15,5,15,21, };
static unsigned short stb__consolas_bold_38_usascii_h[95]={ 0,28,11,25,33,28,28,11,36,36,17,19,14,5,
8,31,26,25,25,26,25,26,26,25,26,25,21,27,22,12,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,33,25,26,25,26,25,25,25,25,25,36,31,36,13,4,9,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,26,20,19,19,19,27,19,36,39,36,10, };
static unsigned short stb__consolas_bold_38_usascii_s[95]={ 249,208,126,105,127,24,1,249,23,64,58,
206,76,176,247,189,190,170,92,138,188,62,80,110,100,210,245,197,229,108,1,
235,105,148,129,119,72,55,39,211,1,21,156,186,169,147,127,20,86,147,206,
171,225,42,1,23,45,232,67,52,170,77,88,190,162,92,84,38,65,55,231,
103,143,161,89,123,179,110,148,18,46,216,130,74,1,166,184,226,36,209,18,
36,1,7,140, };
static unsigned short stb__consolas_bold_38_usascii_t[95]={ 13,1,171,97,1,41,41,1,1,1,171,
149,171,171,123,1,70,123,123,70,123,70,70,123,70,123,97,41,123,171,149,
1,1,123,123,70,123,123,123,70,123,123,70,97,97,97,97,70,97,1,97,
70,97,70,97,97,97,70,97,1,1,1,171,171,171,149,41,149,41,149,41,
41,41,41,1,41,41,149,149,149,41,1,149,149,70,149,149,149,171,41,171,
1,1,1,171, };
static unsigned short stb__consolas_bold_38_usascii_a[95]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_38_usascii(stb_fontchar font[STB_FONT_consolas_bold_38_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_38_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_38_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_38_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_38_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_38_usascii_s[i] + stb__consolas_bold_38_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_38_usascii_t[i] + stb__consolas_bold_38_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_38_usascii_x[i];
            font[i].y0 = stb__consolas_bold_38_usascii_y[i];
            font[i].x1 = stb__consolas_bold_38_usascii_x[i] + stb__consolas_bold_38_usascii_w[i];
            font[i].y1 = stb__consolas_bold_38_usascii_y[i] + stb__consolas_bold_38_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_38_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_38_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_38_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_38_usascii_s[i] + stb__consolas_bold_38_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_38_usascii_t[i] + stb__consolas_bold_38_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_38_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_38_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_38_usascii_x[i] + stb__consolas_bold_38_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_38_usascii_y[i] + stb__consolas_bold_38_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_38_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_38_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_38_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_38_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_38_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_38_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_38_usascii_LINE_SPACING
#endif

