// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT        202
#define STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_40_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_40_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_40_usascii_LINE_SPACING          26

static unsigned int stb__consolas_bold_40_usascii_pixels[]={
    0x003ffff1,0x00000000,0xa8800000,0x2a620000,0x0135531a,0x2aaaaa00,
    0x550aaaaa,0x55555555,0x2aa98001,0x3b2a6000,0x0000abde,0x4b333200,
    0x0004ccca,0x00099800,0x00135795,0xa83ffff1,0x3600000e,0xfeca8003,
    0x80000ace,0x4004fffc,0xb5ffffea,0x005dffff,0xfffffff8,0xfffd1fff,
    0x05ffffff,0x005ffd80,0xfffffd88,0x0002ffff,0x1ffffa80,0x005ffff3,
    0xfffd9800,0xeeeeeeff,0xfffff74e,0x3fe2019f,0x3bfea1ff,0xffd80000,
    0xfffd1003,0x005fffff,0x7ffffcc0,0xffffb002,0x3fff6bff,0x3e005fff,
    0xffffffff,0xfffffd1f,0x8005ffff,0x4c004ffe,0xfffffffe,0x0004ffff,
    0x22ffff40,0x0006fffd,0xfffffb10,0xffffffff,0x3fffeebf,0x440cffff,
    0xff31ffff,0x40001dff,0x402ffffd,0xfffffffa,0x0002ffff,0x09fffff7,
    0xffffff70,0x3ffff6bf,0xff003fff,0xffffffff,0x3fffffa3,0x4002ffff,
    0x26003fff,0xffffffff,0x05ffffff,0xffff3000,0x1ffffa85,0xfffd8000,
    0xffffffff,0xff75ffff,0xffffffff,0x0ffffc43,0x01dffffb,0xbffffb00,
    0xfffffa80,0xfffffdbd,0xfffb8002,0x7fc403ff,0x109acfff,0xfffff953,
    0x7ffff001,0x4c433333,0xffff9999,0xfff73002,0x3ffa0037,0xfdbbdfff,
    0x001fffff,0x06fffd80,0x000bfffd,0x9effffb8,0xeffffda8,0xfffd52cc,
    0x1fffffff,0xd07fffe2,0x800bffff,0x406ffffb,0x905ffff8,0x1000dfff,
    0x801fffff,0x002ffffb,0x007ffff3,0x0005ffff,0x440bfffe,0xffffffec,
    0xf500efff,0xd103ffff,0x000bffff,0x03ffff88,0x001ffff7,0x837ffec0,
    0x400ffffc,0xffffffb9,0x83ffff16,0x02ffffe8,0x1dffff30,0x04fffe80,
    0x000ffff4,0x40067644,0x4005fffc,0xf804fffd,0xf0002fff,0xff705fff,
    0xffffffff,0x3fa03fff,0x3e201fff,0x0001ffff,0x403fffee,0x003ffff8,
    0x40bfffe0,0x002ffff9,0x27fffff6,0x881ffff8,0x800fffff,0x400ffffe,
    0x9806fffb,0x00004fff,0x07fffb00,0x05fffb80,0x002ffff8,0xb85ffff0,
    0xffffffff,0x81ffffff,0x805ffffa,0x004ffffd,0x013fffe0,0x000ffff9,
    0x807fffe2,0x4003fffe,0xf8bffffe,0xff701fff,0xffc80bff,0xfff803ff,
    0xfffd001f,0x3a000000,0x54002fff,0xff806fff,0xff0002ff,0x7ffcc5ff,
    0xefffdfff,0xfc81ffed,0xfa802fff,0x50005fff,0x9803ffff,0x8002ffff,
    0x203ffff8,0x4002ffff,0xf8dffffc,0x3fa01fff,0xff102fff,0xff500dff,
    0x7fe4009f,0x3bbbba1f,0xeeeeeeee,0x7fff401e,0x7ffd4002,0x2ffff807,
    0x5ffff000,0x86ffffec,0x02a23ffe,0x003ffff6,0x01bfffe2,0x037fff40,
    0x006fffe8,0x20dffff0,0x001ffffa,0x46ffffdc,0x2601ffff,0xf905ffff,
    0xfd003fff,0x55cc41ff,0xfffaba88,0x3fffffe2,0xffffffff,0x17fff401,
    0x1fffea00,0x00bfffe0,0xf17fffc0,0x7fc1ffff,0xfffd002f,0x7fffc00f,
    0xfff98007,0xfff5002f,0xff90003f,0x7fd439ff,0xfc8007ff,0xfff8cfff,
    0x7ffec01f,0x5ffff80f,0x26fff980,0xfffffffa,0x3e3fff9d,0xffffffff,
    0x401fffff,0x4002fffe,0xf807fffa,0xf0002fff,0x3fe25fff,0x3ffe27ff,
    0xfffff001,0x7ffffc00,0x7ffe4000,0x7fffc007,0xfffd0004,0xfffffdff,
    0xff88003f,0xfff8afff,0x7ffd401f,0x7fffd43f,0x3fffb802,0xfffffff5,
    0x47fff39f,0xeeeeeeee,0x01fffffe,0x0017fffc,0x003fffea,0x0005ffff,
    0xff8bfffe,0xfff53fff,0xffff1001,0x7fff400d,0x3fe2001f,0x7dc003ff,
    0x44000fff,0xfffffffe,0x4403ffff,0xffffca99,0x3ffff16f,0x8dffff00,
    0xb007fffd,0x3ffe1fff,0x8bffffff,0x64004fff,0x2201ffff,0x4001ffff,
    0x402ffff9,0x0002ffff,0x7f45ffff,0xffcdffff,0xffff3007,0x7fff400d,
    0x3fee001f,0x7c4000ff,0x64003fff,0xffffefff,0xfe800cff,0xffffffff,
    0x03ffff11,0x41ffff90,0xf004ffff,0x3ffeedff,0xf2fffd8e,0xfc800bff,
    0x3ee01fff,0x44000fff,0x7c04ffff,0xf0002fff,0x7fdc5fff,0x6fffffff,
    0xdffff100,0x7ffff400,0x3fffe000,0xfffb0005,0x7ffcc00d,0x00135316,
    0xffffffd8,0x3ffe22ff,0xfffa801f,0x5ffff11f,0x2bfff100,0xffb1fffd,
    0x017ffe5f,0x83ffff90,0x5ffffc98,0xffff9000,0xffff0139,0x3ffe0005,
    0x7fffec2f,0x02dfffff,0x03ffffc4,0x00fffff0,0x00ffffd4,0x2ffff980,
    0x0bfff700,0x3fff6000,0x7c40cfff,0xf9801fff,0xfff32fff,0xfff5005f,
    0xfd9fffe7,0x0bfff1ff,0x1ffffc80,0x3ffffffe,0xfd10000e,0xf8ffffff,
    0xf0002fff,0xfd885fff,0xffffffff,0x3ffe02ff,0x3ffe007f,0x3ffa006f,
    0x7f40006f,0xff9005ff,0xb00005ff,0x4403dfff,0x8801ffff,0xff53ffff,
    0xff7003ff,0x4bfff35f,0xfff0fffe,0xfffc8009,0x3ffffe1f,0xb80000be,
    0x7c7ffffe,0xf0002fff,0x3aa05fff,0xffffffff,0xffe80eff,0xff9801ff,
    0xff3005ff,0xa80005ff,0xa801ffff,0xeeffffff,0x401acdee,0x4405fffc,
    0xf001ffff,0x3fee9fff,0xffb800ff,0x24fffa9f,0xfff17fff,0xfffc8009,
    0x3ffffe1f,0x540002ef,0x47fffffe,0x0002ffff,0x9805ffff,0xfffffffd,
    0xfffd85ff,0xfffc804f,0xfff9003f,0x3fe0000f,0xffb004ff,0xffffffff,
    0x3205dfff,0x7c404fff,0xfd001fff,0x3fff2bff,0x1fff9007,0x7fc7fff5,
    0x07fff17f,0x1ffffc80,0x3ffffb72,0xff50002f,0xf89bdfff,0xf0002fff,
    0xf5005fff,0xffffffff,0xffffa87f,0xffffe806,0xffff8800,0xff900004,
    0x3fa001ff,0xffffffff,0xc82fffff,0x7c404fff,0xff001fff,0x3fff29ff,
    0xfffd800f,0xf13fffb8,0x3ffe6dff,0x7ffe4003,0xfffd301f,0x3ffa000d,
    0x3ffe00ef,0xfff0002f,0xdff7005f,0xbfffff91,0x09fffff0,0x02ffffe4,
    0x00ffffb8,0xffff1000,0xffffb007,0xfffddddd,0x0001ffff,0x01ffff88,
    0x2e7ffff0,0xd801ffff,0x7fff77ff,0x7d57ffe6,0x7e4001ff,0x3f201fff,
    0x44000fff,0x7c01ffff,0xf0002fff,0xf9005fff,0x7fffe4bf,0xfffffc87,
    0x3fff261c,0xffd001ff,0xd80000bf,0x7e406fff,0x3ea02fff,0x0002ffff,
    0x00ffffc4,0xa97fffc4,0xd802ffff,0x7fff77ff,0x7e53ffea,0xffc8007f,
    0x3fe601ff,0x7cc001ff,0xfff807ff,0xfff0002f,0x9ffd005f,0x07ffffc4,
    0x3fffffe2,0xffffffff,0xfff5004f,0x9800003f,0xf302ffff,0xf5009fff,
    0xdc887fff,0x7ffc400c,0xfff9801f,0x7ffff31f,0x51fff900,0x3ffa9fff,
    0x00bfff5f,0x03ffff90,0x002ffff8,0x403fffd4,0x0002ffff,0xf005ffff,
    0x7ffc47ff,0xffff306f,0xffffffff,0x7fec009f,0xd000006f,0x3ee0bfff,
    0xfb802fff,0x7ff42fff,0x3fe200ff,0xffb801ff,0xffff10ff,0x3fff900b,
    0xffbdfff3,0x7fffbfff,0xffff9000,0x2fffe803,0x3fffd400,0x017fffc0,
    0x12ffff80,0x45fff105,0x204ffffc,0xfffffff9,0x2004ffff,0x003ffff9,
    0xffff7000,0xdffff501,0xffffe880,0x3ffffee0,0x3fffe204,0x6fffe801,
    0x007ffff4,0x7f47ffee,0xffffffff,0x90006fff,0xe803ffff,0x54002fff,
    0xff807fff,0xff0002ff,0x37fe65ff,0xbafffaab,0x01fffffe,0xfffffea8,
    0x7e4000cf,0x000007ff,0x4427fffc,0xabdfffff,0xffffca99,0x7fffe44f,
    0x3ffe205f,0x7ffcc01f,0x7fffdc3f,0x97ffd403,0xe9fffffb,0x000fffff,
    0x03ffff90,0x002fffe8,0x403fffd4,0x0002ffff,0x3e65ffff,0xffffffff,
    0x3fffffff,0x7fffdc00,0xfff88001,0x4000004f,0xc80ffffc,0xffffffff,
    0x5fffffff,0x3fffffa8,0x07fffe20,0x81ffff90,0x405ffff8,0x3ae4fff9,
    0x9dfb31df,0x7fe40003,0x7ff401ff,0x7fd4002f,0xffff807f,0xffff0002,
    0x3ffffe65,0xffffffff,0xf98004ff,0xb8003fff,0x0000ffff,0x7fffc400,
    0xfffff903,0xffffffff,0x2fffe407,0x07fffe20,0x05ffff88,0x403ffffb,
    0x0006fff9,0xfffc8000,0x7fff401f,0x7ffd4002,0x2ffff806,0x5ffff000,
    0x3fffffe6,0xdfffffff,0x3ffe0001,0x80ec42ff,0x0005fffe,0xdfffb000,
    0x7ffedc40,0x002defff,0xff100353,0x7fe403ff,0xfff501ff,0xfffe80df,
    0x40000001,0xe807fffd,0x5c003fff,0xff806fff,0xff0002ff,0x65d445ff,
    0xbceffffe,0xffd80001,0xffedefff,0x2ffffa86,0xf5000000,0x44003fff,
    0x80000009,0x301ffff8,0xd80bffff,0x2e03ffff,0x00004fff,0x37fff400,
    0x027ffe40,0x017fff20,0x000bfffe,0x2017fffc,0x00003fff,0xffffff88,
    0x6c4fffff,0x00006fff,0x2ffff400,0x00000000,0x01ffff88,0x801ffffd,
    0x00fffff8,0x005ffff1,0x3fea0000,0xffb805ff,0xff1000ff,0xfff007ff,
    0x3fe0005f,0x3fe202ff,0x5000001f,0xffffffff,0x7ffc49ff,0x0000003f,
    0x007fffdc,0x88000022,0x7fffc400,0x2ffffd81,0xdffff500,0x3ffff601,
    0x99035402,0x3fffa603,0xfff9803f,0x7f5402ef,0xff801fff,0xff0002ff,
    0x7fcc05ff,0x2000000f,0xffffffc8,0x0cccc41d,0x98000000,0xfd880999,
    0x20003fff,0x100effe9,0xfc83ffff,0x6c005fff,0x980effff,0x9bdfffff,
    0x207ffcb9,0xeccdfffc,0x005fffff,0x3ffffff6,0xfffffb5f,0x3fe00bff,
    0xffffffff,0xffffffd1,0x7dc05fff,0x0000007f,0x00006a62,0x00000000,
    0x3fffffe6,0xdddb00ef,0x7fffffc4,0x1ffff880,0x03bffff2,0xffffd100,
    0x3fffe60d,0xffffffff,0x3ffff207,0xffffffff,0x3ffe2000,0xffb5ffff,
    0x001fffff,0x3ffffffe,0xfffd1fff,0x05ffffff,0x0002f75c,0x00000000,
    0x00000000,0xffffffff,0xfff883ff,0x3fffff27,0xffff883f,0x1dffff31,
    0x3ffa2000,0xffd102ff,0xffffffff,0x7fffe40b,0x0dffffff,0xfffc8800,
    0xffffb5ff,0x7fc0019f,0xffffffff,0xffffffd1,0x00005fff,0x00000000,
    0x00000000,0xfffffa80,0x21ffffff,0x3fa6fffa,0x884fffff,0x3ee1ffff,
    0x440000ef,0x54403ffe,0xbeffffec,0x7ff5cc00,0x001defff,0x4ecba880,
    0x001579d9,0xddddddd0,0x3bb61ddd,0x1eeeeeee,0x00000000,0x00000000,
    0x7ec00000,0xffd88cff,0xfffbcfff,0x3ffff64f,0xfff884ff,0x00075c1f,
    0x0003e880,0x02600003,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd000000,0xfffc83ff,0x0fffffff,0x3fffffea,0x1ffff881,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0xfffc80ff,0xb84fffff,0xf102ffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70155540,0x09ffffff,
    0x00005544,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x001bccb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0d54c000,
    0x3bb2a000,0x7999002d,0x017bbba6,0x22eeeeb8,0x003ccccb,0x00020188,
    0x99910033,0x40000039,0x000000a9,0x22399993,0x0001cccc,0xfecb8800,
    0x3321cdef,0x000002cc,0x3ff22000,0x000cffff,0x7fffffe4,0x0fffe405,
    0x003fffff,0xd83ffffe,0xb805ffff,0xceffffec,0xddd32fec,0x7fffeccb,
    0xffff302d,0x36000007,0x00002fff,0x32ffffb8,0x0007ffff,0x7ffdc400,
    0x13ffffff,0x0009ffff,0x0cffc880,0xfffffa80,0x001fffff,0xfffffff5,
    0x3ffe607f,0x27fffe44,0x27fffd40,0x817ffff6,0xffffffe9,0x32ffffff,
    0x3feedfff,0x84ffffff,0x003ffff9,0xffffb800,0x5c00000f,0xff32ffff,
    0x000007ff,0x7fffffec,0xff13ffff,0x800009ff,0x406ffffe,0xfffffff8,
    0x800fffff,0xfe99effe,0x0dffd07f,0x00fffff3,0xc83ffffb,0xf704ffff,
    0xffffffff,0x265fffff,0xfffbffff,0x4fffffff,0x01ffffcc,0x7ffec000,
    0x400002ff,0xf32ffffb,0x00007fff,0x3ffffee0,0x13fffeef,0x0009ffff,
    0x7ffffd40,0x3fff602f,0xfffea9cf,0x7ffc404f,0x903ffee2,0x3fa03fff,
    0x3e202fff,0xffc86fff,0xfffa84ff,0xfdccdfff,0xff32ffff,0xdfffffff,
    0x41ffffff,0x003ffff9,0xffffd800,0x5c00001f,0xff32ffff,0x000007ff,
    0x19fffff1,0x3ffe2330,0x2e00004f,0x03ffffff,0xd07ffff1,0xf980dfff,
    0x3ffe61ff,0x813ffe61,0x205ffffb,0xc83ffffb,0xfe84ffff,0xfb80dfff,
    0xfff32fff,0x2617ffff,0x264fffff,0x0003ffff,0x5ffff980,0xffb80000,
    0xffff32ff,0xf3000007,0x2200bfff,0x0004ffff,0x3ffffea0,0xffff501f,
    0x0ffff701,0x261fff98,0x3ffa1fff,0x3ffe200f,0xfffd00ff,0xffff701f,
    0x5ffffb89,0x4bfffee0,0x1ffffff9,0x27ffff98,0x003ffff9,0x07db3000,
    0x3fee0000,0xffff32ff,0xf5000007,0x22005fff,0x0004ffff,0x2fffff40,
    0x20ffff70,0x4406fffc,0x3fee2fff,0x00bffee7,0x20fffff2,0x705ffff8,
    0xff87ffff,0x3ee01fff,0xfff32fff,0x7ff405ff,0xffff30ff,0x00003107,
    0x46200000,0xf32ffffb,0x03307fff,0x7fffe400,0xffff1000,0xc8800009,
    0x7fd404ee,0xfffe81ff,0x9efff805,0xff36ffe9,0x3fe600bf,0xfffb86ff,
    0xffff702f,0x37fffc47,0x4bfffee0,0x404ffff9,0xf31ffffc,0x3b265fff,
    0x0002dfff,0x3b6e0000,0xffffffff,0x5ffff32f,0x3bffff66,0x7ffe4002,
    0xfff1000f,0x7776409f,0x200000de,0x645ffff8,0xb802ffff,0xffffffff,
    0x001fffd1,0x207ffff4,0x2e07fffe,0x3e63ffff,0x7dc05fff,0xfff32fff,
    0xfffb807f,0x5ffff32f,0xfffffff3,0x3bbaa09f,0x06eeeeee,0x7ffff4c0,
    0xffffffff,0x75ffff32,0xffffffff,0x7ffe4007,0xfff1000f,0x3ffee09f,
    0x800002ff,0xd8affffe,0x2005ffff,0x3ffffffd,0x8005fff7,0x263ffffb,
    0x2a04ffff,0x3ea2ffff,0x7dc04fff,0xfff32fff,0xfffb807f,0x9ffff33f,
    0xffffffff,0xfff709ff,0x0fffffff,0x7ffffe40,0xffffffff,0xbffff32f,
    0xffffffff,0x3f2003ff,0xf1000fff,0xff509fff,0x00007fff,0x3ffffe60,
    0x00dfffff,0x8e776dc0,0x8005fff8,0x326ffff8,0x2a00ffff,0x3ee2ffff,
    0x7dc03fff,0xfff32fff,0xfffb807f,0xfffff33f,0xfffdffff,0xffb81fff,
    0x7fffffff,0xfffff300,0xfffb99bf,0x3ffe65ff,0xffffffff,0x7dc5ffff,
    0xffffffff,0xffffffff,0x13fffe27,0x09fffff3,0xffc80000,0x04ffffff,
    0xfffd8000,0xfff90000,0x17fffe3f,0x45ffff50,0x404ffffa,0xf32ffffb,
    0xfc807fff,0xfff31fff,0x2617ffff,0x544fffff,0xfffeeeee,0xfffd007f,
    0xfff701bf,0x3fffe65f,0xff50bfff,0xfffb8fff,0xffffffff,0x27ffffff,
    0x224ffff8,0x005ffffe,0xfff88000,0x0001efff,0x02fffb80,0x3fffe600,
    0x02ffffac,0x317fffcc,0xb809ffff,0xff32ffff,0xffd807ff,0xffff30ff,
    0xfff303ff,0x3ffa00ff,0xfffc807f,0x3ffee05f,0xfffff32f,0xffffd03f,
    0x7ffffdc1,0xffffffff,0x3e27ffff,0x3ff64fff,0x130005ff,0x3fffa200,
    0xaaa83fff,0x7fc4000a,0xfe80005f,0x7fffdeff,0x1ffff980,0x81bfffe2,
    0x32fffff8,0x4407ffff,0x3e67ffff,0x3a02ffff,0xe800ffff,0xfe807fff,
    0x3ee01fff,0xfff32fff,0x3ff205ff,0x3bbaa1ff,0xefffffee,0x25eeeeee,
    0xf94ffff8,0x8001dfff,0x200effe9,0xfffffff8,0x7fffc1ff,0x7ffec001,
    0xffb80000,0x04ffffff,0x41ffff98,0x881fffff,0x32fffffe,0x6407ffff,
    0x3e65ffff,0x7e404fff,0xfe801fff,0xfff807ff,0x7ffdc06f,0x9ffff32f,
    0x17fffdc0,0x07fffe40,0xcffff880,0x00effffb,0x6ffffe80,0x37ffffa0,
    0xf10fffff,0x54003fff,0x2ee63fff,0x3fe2000a,0x01ffffff,0x41ffff98,
    0x20effffc,0xffffffe9,0x07ffff32,0x83fffff2,0x403ffff9,0x802ffffb,
    0x4c07fffe,0x5c05ffff,0xff32ffff,0x7fdc07ff,0xffc802ff,0xff1000ff,
    0xfffffdff,0xfff30003,0xff705fff,0x3fff29ff,0xffff98ef,0xbfff1000,
    0x3fffffa2,0x3fff6002,0xf1006fff,0xff881fff,0xffedffff,0x32ffffff,
    0x579dffff,0x7fffffd9,0x03ffff98,0x01ffffdc,0x203ffff4,0x404ffffa,
    0xf32ffffb,0x7dc07fff,0xfc802fff,0xf1000fff,0xffffffff,0x3fe6000b,
    0xff85ffff,0x7fff46ff,0x07fffadf,0x223fff60,0xffffffff,0xffff3002,
    0x3e2005ff,0xffd80fff,0xffffffff,0xf32ffffe,0xffffffff,0x30bfffff,
    0xb807ffff,0xe803ffff,0x7dc07fff,0x7dc03fff,0xfff32fff,0x7ffdc07f,
    0xfffc802f,0xfff1000f,0x9fffffbf,0x3fffa000,0x7ffc46ff,0x7fffc44f,
    0x005fffff,0x3f27fff5,0x6fffcdff,0x3ffffa00,0x3ffe2006,0xffffb00f,
    0xff39ffff,0x3ffe65ff,0xffffffff,0xfff303ff,0xfffc807f,0xfffe801f,
    0x7fffd407,0x7fffdc04,0x07ffff32,0x017fffdc,0x007fffe4,0x9cffff88,
    0x002fffff,0x6fffff88,0x417fffcc,0xfffffff9,0xfff8802f,0xfb93ffe6,
    0xffd000ff,0x000005ff,0x77ffffe4,0x25ffff52,0xfffffff9,0x200cefff,
    0x403ffff9,0x800ffffd,0x4c07fffe,0x5c04ffff,0xff32ffff,0x7fdc07ff,
    0xffc802ff,0xff1000ff,0x3ffee9ff,0xfa8001ff,0x7fd45fff,0xfff503ff,
    0x3600ffff,0xfff11fff,0x00fffcc5,0x037fffdc,0xaa880000,0x97fffd41,
    0x99bffff9,0x3fe6001a,0x3fe203ff,0xffd007ff,0xfff880ff,0x3ffe206f,
    0xffff32ff,0x7fffdc07,0xffffc802,0xffff1000,0x77fffec9,0x7ffc4000,
    0x7fffc43f,0x3ffff205,0xfffa804f,0x887ffe63,0x7cc02fff,0x8002ffff,
    0x80001bb9,0xf32ffffb,0x40007fff,0x203ffff9,0x005ffffc,0xf00ffffd,
    0xd103ffff,0x265fffff,0x2e03ffff,0xc802ffff,0x1000ffff,0x7c49ffff,
    0x4005ffff,0xf81ffffa,0xf503ffff,0x880dffff,0x7fc46ffe,0x03ffea2f,
    0x4fffffa8,0xffffa800,0x7fdc0001,0xffff32ff,0x7fcc0007,0xfff903ff,
    0x3fa001ff,0xffc807ff,0x3fa60eff,0xf32fffff,0x7dc07fff,0xfc802fff,
    0xf1000fff,0xffa89fff,0xd1004fff,0x3f209fff,0xcaceffff,0xfffffffd,
    0x07fff204,0xffc97ffe,0x7fff7747,0xd0006fff,0x000dffff,0x32ffffb8,
    0x0007ffff,0x677fffcc,0xffffecab,0x3ffa003f,0xfff8807f,0xfffedfff,
    0xf32fffff,0x7dc07fff,0xfc802fff,0xf1000fff,0xff909fff,0x55105fff,
    0x80dffffb,0xfffffffe,0xffffffff,0xfff983ff,0xddfffb04,0xfff89fff,
    0x00efffff,0xffffff00,0xfffb8000,0x7ffff32f,0x7ffcc000,0xffffffff,
    0xee885fff,0xffffeeee,0x44eeeeef,0xfffffffd,0xfffecfff,0x07ffff32,
    0x017fffdc,0x007fffe4,0x04ffff88,0x83fffffd,0xdffffffc,0x7fff4400,
    0xefffffff,0x42fffffb,0x3e206ffe,0x0effffff,0x7ffffffc,0x7fec0004,
    0x5c0005ff,0xff32ffff,0x4c0007ff,0xffffffff,0x103fffff,0xffffffff,
    0xffffffff,0xfffffb0b,0x3ffa9fff,0x7ffff32f,0x17fffdc0,0x07fffe40,
    0x4ffff880,0xdfffff10,0x77fffe41,0x7ff54002,0x2e2fffff,0xf90fffff,
    0xfe8803ff,0xff80dfff,0x0001ceff,0x01ffff98,0x7fffdc00,0x07ffff32,
    0xffeca800,0x0cefffff,0x3ffffe20,0xffffffff,0xff905fff,0x7f45dfff,
    0xffff32ff,0x7fffdc07,0xffffc802,0xffff1000,0x7fffd409,0x06b36e5f,
    0x35531000,0x40000001,0x00980198,0x15510000,0xddd50000,0x3bbba63d,
    0x4cc00002,0x3e2001a9,0xffffffff,0x5fffffff,0x000d5440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcccc9800,0x004ccccc,0x30000100,
    0x157bdd97,0x1cccc880,0x0cccca80,0x99999993,0x19999999,0x95531000,
    0x32a00399,0x00bcefed,0xddb75100,0x973037bd,0x179ddffd,0x666664c0,
    0xcccccccc,0x7765d402,0x001bceef,0x57bfb951,0x66664c01,0xcccccccc,
    0xffff72cc,0x00ffffff,0x00bf6e20,0xffffd880,0x202fffff,0x803ffff9,
    0xf71ffffb,0xffffffff,0x003fffff,0x3fffff22,0x7dc02fff,0xffffffff,
    0xfd3000df,0xffffffff,0x7fffe49f,0xcfffffff,0xfffffb80,0xffffffff,
    0xffffd504,0x0fffffff,0xffffffb0,0x3ea03dff,0xffffffff,0xf74fffff,
    0xffffffff,0xfff7000f,0x3ea0005f,0xffffffff,0xff304fff,0xff7007ff,
    0x3ffee3ff,0xffffffff,0x6c401fff,0xffffffff,0x3ff602ff,0xffffffff,
    0x7e400eff,0xffffffff,0x3ff24fff,0xffffffff,0x7fdc0eff,0xffffffff,
    0xffd84fff,0xffffffff,0x3fa207ff,0xffffffff,0xfffa83ff,0xffffffff,
    0xfff74fff,0x0fffffff,0x5ffff700,0xffff5000,0xffffffff,0xfff30bff,
    0xfff7007f,0x3fffee3f,0xffffffff,0x3fe601ff,0xffffffff,0xfff702ff,
    0xfffddfff,0x3a20dfff,0xffffffff,0x324fffff,0xffffffff,0x5c5fffff,
    0xffffffff,0x5c4fffff,0xffffffff,0x307fffff,0xffffffff,0x85ffffff,
    0xfffffffa,0x4fffffff,0xfd333331,0xf7000fff,0xd0005fff,0x77bfffff,
    0x3ffffffb,0x03ffff98,0x71ffffb8,0xffffffff,0x03ffffff,0x3fffffe6,
    0x1ccccdef,0x15fffff0,0x7ffffd44,0xfffffd80,0xfdcaacef,0x26b3b24f,
    0xfffeca89,0x2aaa20ff,0xffbaaaaa,0x3ffe24ff,0x999abeff,0xffb07dca,
    0xd7115dff,0xfa8dffff,0xccccdfff,0x402ccccc,0x8007fffe,0x002ffffb,
    0x07ffffdc,0x2fffffc4,0x00ffffe6,0x5c7fffee,0x80007fff,0x02fffffe,
    0x4ffff980,0x0bffff20,0x1dfffff3,0x20015440,0x02fffff8,0x27fffcc0,
    0x01dffff7,0xffff3010,0x3fffa01d,0x3fffea2f,0xffd00003,0xff7000ff,
    0x7c4005ff,0x2601ffff,0x260fffff,0xb803ffff,0xff71ffff,0xfa8000ff,
    0x20006fff,0x201ffffa,0x6c2ffff9,0x000effff,0x3fff6000,0x7fcc003f,
    0x3fff24ff,0x3f20003f,0x3ea01fff,0x3fea6fff,0xd00003ff,0xed80ffff,
    0xffffeeee,0xeeeeeeee,0x17fffee0,0x93ffff60,0x803ffff9,0xf71ffffb,
    0xe8000fff,0x0001ffff,0x80ffffea,0x2a1ffffa,0x001fffff,0x7ffd4000,
    0x7fcc001f,0x3fff64ff,0xff10003f,0xffb00dff,0x3ffea3ff,0xfd00003f,
    0xffe80fff,0xffffffff,0x0fffffff,0x00bffff2,0x997fffea,0xb803ffff,
    0xff71ffff,0x7cc000ff,0x40004fff,0x00fffff9,0xfc8dfffd,0x00005fff,
    0x07fffc80,0x4ffff980,0x07fffff2,0x3fffea00,0x7fffe403,0x7ffff52f,
    0x3ffa0000,0x7fff407f,0xffffffff,0x20ffffff,0x800ffffd,0x266ffff8,
    0xb803ffff,0xff71ffff,0x7dc000ff,0x80003fff,0x22fffffe,0x43ffffd8,
    0x002ffffe,0x7ffcc000,0xff98005f,0x3ffee4ff,0x2000bfff,0x100ffffb,
    0x7ffffffd,0x00ffffea,0x3ffff400,0x3bbbbb60,0xeeeeffff,0x3fa0eeee,
    0x3fe007ff,0x3ffe67ff,0xfffb803f,0xdffff71f,0x801799dd,0xc99ffffd,
    0x802cdeed,0xeffffff9,0x84fffffb,0x000fffff,0xffc98800,0x98001eff,
    0x3e24ffff,0xcfffffff,0xffffc801,0xfffffa80,0xfff54fff,0x3a00007f,
    0xb8007fff,0x2002ffff,0x2007ffff,0xf30fffff,0xf7007fff,0x3fee3fff,
    0xffffffff,0xfffd01df,0xffffffff,0xfa805dff,0xffffffff,0xfff884ff,
    0xf300007f,0xffffffff,0x7fcc000b,0x7ffd44ff,0xbeffffff,0x8ffffb00,
    0xffffffd8,0xfff55fff,0x555555bf,0xffd00555,0xff7000ff,0x3e2005ff,
    0x3a006fff,0xff31ffff,0xff7007ff,0x3ffee3ff,0xffffffff,0xfffe82ff,
    0xffffffff,0x4c04ffff,0xfffffffe,0xffff304f,0x3e60000f,0xefffffff,
    0x3fe60001,0xfffb84ff,0xffffffff,0x26fffe83,0xafffffe9,0xff56fffe,
    0xffffffff,0xe801ffff,0xb8007fff,0x3002ffff,0x400dffff,0xf31ffffe,
    0xf7007fff,0x3fee3fff,0xffffffff,0x7fc1ffff,0xffffffff,0x1fffffff,
    0x3ffff620,0x40dfffff,0x006ffffa,0xfffff300,0x05ffffff,0x9ffff300,
    0x3ffffa60,0x45ffffff,0xff76ffff,0x3fa1dfff,0xffff56ff,0xffffffff,
    0xffe801ff,0xffb8007f,0xff1002ff,0x7f400dff,0xfff30fff,0xfff7007f,
    0xea98803f,0x7c6fffff,0x0acfffff,0xdfffff73,0x3ffffe60,0xefffffff,
    0x1ffffe60,0x66644000,0xffffffed,0x7fcc003f,0x7ecc04ff,0xffffffff,
    0x37bfffa4,0x7c4fffff,0xfff55fff,0xffffffff,0xfe801fff,0xfb8007ff,
    0x3e002fff,0x3e007fff,0x3fe67fff,0xffb803ff,0x7dc001ff,0x3fe0ffff,
    0x3e600fff,0x7cc0ffff,0xfb8cffff,0x225fffff,0x000fffff,0x7fed4000,
    0x26001fff,0x1004ffff,0xffffffd7,0x3ffff63f,0xf81fffff,0xfff54fff,
    0x999999bf,0xfe801999,0xfb8007ff,0x3e002fff,0x3e007fff,0x3fe66fff,
    0xffb803ff,0xfe8001ff,0x3ffa2fff,0x7fec00ff,0x7fff41ff,0x7ffec42f,
    0x3fffe2ff,0x0000001f,0x009ffffb,0x027fffcc,0x7ffffd40,0xfffff94f,
    0xff101bff,0x3ffea9ff,0xfd00003f,0xf7000fff,0x74005fff,0x9801ffff,
    0x3e64ffff,0xfc803fff,0xc8000fff,0x3f64ffff,0x7e400fff,0x3fee2fff,
    0x3ff603ff,0x3fffa5ff,0x0000003f,0x00bffff5,0x027fffcc,0xffffe880,
    0xffffff75,0x7fffcc07,0x07ffff53,0x3fffa000,0xfffb8007,0x3ff6002f,
    0xffc804ff,0x3ffe23ff,0xfffc804f,0xfff70007,0x7fffec7f,0x7fffdc01,
    0x01ffff62,0x6cdffff1,0x0007ffff,0xffff1000,0x7ffd400d,0x3f20004f,
    0xfff56fff,0xffc803df,0xffff51ff,0x3fa00007,0xfb8007ff,0x2a002fff,
    0xe806ffff,0x7fc1ffff,0xffe805ff,0xffb0006f,0x7ffe43ff,0x7ffec04f,
    0x1bfffe0f,0xb9ffffa0,0x003fffff,0xfffa8000,0x3fee004f,0x2e0003ff,
    0xff14ffff,0xff801fff,0x3ffea6ff,0xfd00003f,0xf7000fff,0xe8007fff,
    0x3204ffff,0xfe85ffff,0x3e601fff,0xa8005fff,0x7cc7ffff,0x3e207fff,
    0x7ff47fff,0x7ffc01ff,0x7ffff45f,0x0018803f,0x27ffffd0,0xffffe801,
    0xffb00021,0x7ffe47ff,0x3ffee04f,0x3fffea3f,0xffd00003,0xff5000ff,
    0xfb800bff,0x261cffff,0x80fffffc,0x81effffc,0x21ffffe8,0x7ffdc400,
    0xfffd85ff,0x7ff440df,0x7ffec5ff,0x3fff205f,0x7fffd43f,0x2a21adff,
    0x74c004fd,0xd91fffff,0xffffb105,0x26fbe21f,0xffffb300,0x7fffc43f,
    0xffffb82f,0x1ffffd47,0xfffe8000,0xfff98007,0x3e2000ff,0xffffffff,
    0x04ffffff,0xbffffff1,0xfffffb99,0xcceeff89,0xffffffed,0xfffff306,
    0xffffb9bf,0xfffb81ff,0xebabdfff,0xd81fffff,0xffffffff,0x34ffffff,
    0xdb99bddf,0x7ffffffd,0x6e77ffe4,0x23ffffff,0xeffffff8,0xffffffee,
    0xffffc84f,0xfffeccff,0x7ffd43ff,0xfd00003f,0xf1000fff,0x57bfffff,
    0xff301d97,0xffffffff,0x5c01bfff,0xffffffff,0x40ffffff,0xffffffff,
    0x00efffff,0x3ffffff6,0x1fffffff,0xffffffb0,0xffffffff,0x3fff6205,
    0xffffffff,0xffff34ff,0xffffffff,0xfffc89ff,0xffffffff,0x7ffffc46,
    0xffffffff,0xffd105ff,0xffffffff,0xfff509ff,0x7744007f,0xffffeeee,
    0x04eeeeef,0x7fffffdc,0x100fffff,0xfffffffd,0x2e007fff,0xffffffff,
    0xff80dfff,0xffffffff,0xfb800cff,0xffffffff,0x7fec02ef,0xffffffff,
    0xffb803ff,0xffffffff,0xffff34ff,0xffffffff,0xffff907d,0x1bffffff,
    0xffffff88,0xffffffff,0x7ffec00d,0x2fffffff,0x07ffff50,0x7ffffc40,
    0xffffffff,0xfe805fff,0xffffffff,0x7ff6400f,0x001dffff,0x7ffffec4,
    0x3fe02eff,0xefffffff,0x7ecc000b,0x03efffff,0x3ffff660,0x000bffff,
    0x3ffffb22,0x3e62cfff,0xffffffff,0x3ae202df,0x2effffff,0x3ffff720,
    0x0cffffff,0x3fffae00,0x2a01ceff,0x2003ffff,0xfffffff8,0xffffffff,
    0xfff5005f,0x01dfffff,0x000554c0,0x01aa9880,0x26aaa620,0x2a200000,
    0x9980001a,0x000009aa,0x44013331,0x009aaa99,0x01553100,0x55553300,
    0x53000013,0x00000013,0x3fffffe2,0xffffffff,0x4c4005ff,0x00009aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb9880000,0x1bceefec,0x01666654,0x25999930,
    0x001ccccc,0x4d333322,0xb8003ccc,0x99911ccc,0x99700399,0x66654799,
    0xcccccccc,0x933ccccc,0x57999999,0x65c00013,0x0ccca84c,0x3ccccc88,
    0x40cccc80,0x202ccccb,0x443ccccb,0x8003cccc,0xccccccc9,0x4ccccccc,
    0x7ffffe40,0x0fffffff,0x00fffff3,0xd8fffff4,0x2005ffff,0xf34ffffa,
    0xfb000dff,0x7ffec3ff,0x7ffc406f,0x3fff23ff,0xffffffff,0xf56fffff,
    0xffffffff,0xf0007fff,0xfff90dff,0xfffff103,0xffff803f,0x37ffffc1,
    0x8dfffff0,0x005ffff8,0xffffffa8,0xffffffff,0xffffd307,0xffffffff,
    0x7fffec1f,0xffffa803,0x1ffffea5,0x2ffffd80,0x000ffff3,0x7cc3fffb,
    0x3202ffff,0x7e46ffff,0xffffffff,0x6fffffff,0xfffffff5,0x7fffffff,
    0x42fffc00,0xf880fffd,0x404fffff,0x7fc1ffff,0xfa80ffff,0x7c47ffff,
    0xa8005fff,0xffffffff,0x87ffffff,0xfffffffc,0xffffffff,0x1ffffe60,
    0x87ffffa0,0x01fffff8,0x21fffff0,0x8007fff8,0x7ec1fffe,0xff106fff,
    0xffc85fff,0xffffffff,0x56ffffff,0xffffffff,0x5fffffff,0x09fff100,
    0x3e20fffd,0x00ffffff,0xff07fffe,0xf907ffff,0xf88fffff,0xa8005fff,
    0xffffffff,0x47ffffff,0xeffffffa,0xffdcbabd,0x7fffec0f,0x3fffea02,
    0x4ffffd85,0x5ffff980,0x001fffe2,0xf103fffa,0xf905ffff,0xdd70dfff,
    0xdddddddd,0x29fffffd,0xaadffffa,0xfffffecb,0x7ffcc01f,0x106ffe84,
    0x9fffffff,0x20ffffc0,0x85ffffff,0x47ffffff,0x005ffff8,0xcdffffa8,
    0xcccccccc,0x7fffff44,0x4c0da803,0x3a06ffff,0xfb81ffff,0xfb806fff,
    0x3fe23fff,0xffe8007f,0xffffc80f,0x7ffffc46,0x7fec0001,0xfff50fff,
    0x3ffea07f,0x7fd405ff,0x06fff83f,0xfffffff1,0x0ffffc0f,0xfffffff1,
    0x7ffffcc1,0x3ffe20ff,0xffa8005f,0xfb8003ff,0x0001ffff,0x82ffffe8,
    0x105ffffa,0x801fffff,0x7c0ffffe,0x7c000fff,0xfff107ff,0x7ffe45ff,
    0x7d40005f,0x3ea2ffff,0x3ea03fff,0x55447fff,0xaacfffca,0xaaefffba,
    0x3ffffe22,0xfff03fff,0x6fffc43f,0x3ff22fff,0x220fffdf,0x8005ffff,
    0x003ffffa,0x1fffffc4,0xfff98000,0xffffe86f,0x3ffffa00,0x3fffe202,
    0x00ffff86,0x703fffc0,0x3e2dffff,0x0001ffff,0x17ffffe2,0x807ffff5,
    0x220fffff,0xffffffff,0xffffffff,0xfff10fff,0x20dfffff,0x3e61ffff,
    0x25fffbff,0xfffddffe,0x17fffe20,0x3fffea00,0x7ffd4003,0x200000ff,
    0x2a2ffffe,0x6405ffff,0x2a05ffff,0xff84ffff,0x277540ff,0x3a03fffc,
    0xffcbffff,0x6c0004ff,0x540fffff,0x6c03ffff,0x3e21ffff,0xffffffff,
    0xffffffff,0xffff10ff,0xf05ffff7,0x7fcc3fff,0xf37ffdbf,0x3fffb5ff,
    0x02ffffc4,0x1ffffd40,0x3fffee00,0x7cc00004,0x3ffa5fff,0x7fcc00ff,
    0x3ff207ff,0xfffe81ff,0x7c3ffec1,0x7fd406ff,0xffffffff,0x3fea0000,
    0xffa82fff,0x7fec03ff,0x3ffe21ff,0xffffffff,0xffffffff,0xd3ffff10,
    0xfff0dfff,0x5fffcc3f,0xffb9fffb,0x21fffc8f,0x005ffff8,0x03ffffa8,
    0x17fffe40,0x7ff40000,0xffff99ff,0xfffff004,0x1ffffe03,0xf10ffff4,
    0xfff85fff,0xffffe806,0x0003ffff,0x13ffffe2,0x01ffffd4,0x261ffffe,
    0x99fffe99,0x9afffc99,0x3fffe219,0x41ffffb9,0x3ea1ffff,0xbfff8aff,
    0xfff95ffd,0x2ffffc45,0x7fffd400,0x9999999c,0xffffb099,0xdddddb03,
    0x7cc01ddd,0xfffdcfff,0xfff9000f,0xffff307f,0x87fff609,0x224ffffa,
    0xf9805fff,0x0fffffff,0x3fff6000,0xfff500ef,0x7ffd407f,0x37ffc06f,
    0x8807ffe4,0xff89ffff,0x7fffc5ff,0x74bffea1,0x92fffeff,0x7fc45fff,
    0xfa8005ff,0xffffffff,0xfd3fffff,0xffd01fff,0x01ffffff,0xffffffe8,
    0x3ea004ff,0xffb85fff,0xfffb02ff,0x3ffffec3,0x200bfff1,0x3ffffffd,
    0x3ffea000,0x3fea01ff,0xfff303ff,0xfff807ff,0x00fffd85,0x323ffff1,
    0x3fe1ffff,0x3ffee1ff,0xffffff92,0x88bfff21,0x8005ffff,0xfffffffa,
    0x3fffffff,0x3a0fffff,0xffffffff,0x7fffd400,0x2000ffff,0x40fffff8,
    0x3207fffe,0x3ffe2fff,0xfff11fff,0x3fffa009,0x10003fff,0x809fffff,
    0x99cffffa,0xfffffca9,0x27ffc406,0xf103fff4,0x3fe23fff,0x3fffe4ff,
    0x4cbffee1,0x2e5fffff,0x3fe23fff,0xfa8005ff,0xffffffff,0xff3fffff,
    0xffd01fff,0x01ffffff,0xffffffd0,0xfffb0009,0x7fffc45f,0x4bfff205,
    0x4ffffffa,0x5009fff3,0xffffffff,0xfffb0001,0xfff500df,0xffffffff,
    0x9803ffff,0xfff84fff,0x3fffe206,0x43ffff61,0x3ee1ffff,0x3fffe1ff,
    0x8fffee3f,0x005ffff8,0xeeffffa8,0xeeeeeeee,0x03ffffd2,0xfff93331,
    0xfff5001f,0x70001fff,0x7d49ffff,0x3ee03fff,0xfbff92ff,0x3ffe6dff,
    0xffffe804,0x4005ffff,0x01fffffa,0xffffffa8,0xefffffff,0xff733301,
    0xff33339f,0xf88333df,0x3fe61fff,0x3ffff4ff,0xfb0fffe4,0x7fdc1fff,
    0x3fffe24f,0xfffa8005,0x7fec003f,0xffc802ff,0xffd000ff,0x220009ff,
    0x3f27ffff,0x3ee00fff,0xb5fff3ff,0xfff31fff,0xffffb807,0x01ffffff,
    0x9fffff10,0x3fffea00,0xffffffff,0x3fffe603,0xffffffff,0x0fffffff,
    0xd07fffe2,0xfff1ffff,0x0fffe43f,0xfb8dfff5,0x3ffe24ff,0xffa8005f,
    0x7dc003ff,0xfc804fff,0xf7000fff,0x40005fff,0xff1ffffe,0xffb80dff,
    0xa8fff9bf,0xfffabfff,0x3fffe203,0x6ffffdaf,0xdffffb00,0x7fffd400,
    0x09acdeee,0x7ffffcc0,0xffffffff,0x20ffffff,0x541ffff8,0xfffbffff,
    0x87fff61f,0x7d43fff8,0x3ffe24ff,0xffa8005f,0x7d4003ff,0x6400ffff,
    0x7000ffff,0x0005ffff,0x4dffffdc,0x5403ffff,0x6ffbbfff,0xff5bfff1,
    0x7ffe405f,0xfffff36f,0xffffa807,0x3fea001f,0x260003ff,0xffffffff,
    0xffffffff,0x3fe20fff,0xfffe81ff,0x361ffffe,0x55540fff,0x12fffd40,
    0x000bffff,0x007ffff5,0x3fffff88,0x07fffe40,0x2ffffb80,0x3ffe6000,
    0x1ffffbdf,0x767ffd40,0x3fffa3ff,0xf102fffb,0x7ec5ffff,0xf100ffff,
    0x8007ffff,0x003ffffa,0x3faaaa20,0xfdaaaaff,0x442aacff,0xfb81ffff,
    0x1fffffff,0x8003fff6,0x3e25fffa,0xa8005fff,0x8003ffff,0x03fffffb,
    0x003ffff2,0x017fffdc,0x3ffffe00,0x9807fffd,0x1fffdfff,0x3ff7ffee,
    0xffffb01f,0xfffff88d,0xdffffb04,0xffff5000,0x7f400007,0x1fffb87f,
    0x07fffe20,0x3fffffe2,0x3fffa1ff,0x3ffea000,0x17fffe26,0x3fffea00,
    0xffff0003,0xfc8159ff,0xf7000fff,0x80005fff,0xfffffffc,0xfff9804f,
    0x7fc46fff,0x981fffff,0xc81fffff,0x541fffff,0xaacfffff,0xaaaaaaaa,
    0x07ffff52,0x37ffc000,0x1007ffe4,0x3203ffff,0x1fffffff,0x8003fffa,
    0x3e26fff9,0x9999dfff,0x50999999,0x0007ffff,0x3fffffea,0xffffefff,
    0xff7000ff,0xa80005ff,0xffffffff,0xffff8802,0xfffe84ff,0xffe80fff,
    0xfff105ff,0xfffe8bff,0xffffffff,0xf57fffff,0x00007fff,0x3617ffe2,
    0x3e200fff,0xff101fff,0x7c3fffff,0x7cc007ff,0x3ffe26ff,0xffffffff,
    0xff53ffff,0xffffffff,0xf70fffff,0xffffffff,0x01ffffff,0x0bfffee0,
    0x3fffe000,0xf1007fff,0x703fffff,0x81ffffff,0x01fffffa,0x8bfffff2,
    0xffffffff,0xffffffff,0x7ffff57f,0x3fe20000,0x07ffe84f,0x00ffffc4,
    0x3ffffffb,0x2003fffc,0x3e27fff9,0xffffffff,0x53ffffff,0xffffffff,
    0x0fffffff,0x3fffffa6,0xffffffff,0xffff7000,0xffb00005,0x400bffff,
    0x307fffff,0x81ffffff,0x405fffff,0x26fffff8,0xffffffff,0xffffffff,
    0x7ffff57f,0x3fe60000,0x06fff83f,0x00ffffc4,0x3ffffff3,0x2003fffc,
    0x3e27fff9,0xffffffff,0x53ffffff,0xffffffff,0x0fffffff,0xfffffeb8,
    0x000adfff,0x00bfffee,0x3fffea00,0x3fe002ff,0x3fa04fff,0x7fdc7fff,
    0xfb801fff,0xfff3ffff,0xffffffff,0x2fffffff,0x003ffffa,0x07fff500,
    0xf880bfff,0x7f401fff,0xff11ffff,0xff8800ff,0x3fffe27f,0xffffffff,
    0xfff53fff,0xffffffff,0x4400ffff,0x00019aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x201cccc9,0x22ccccc8,0xccccccc9,0x930019ab,0x99999999,
    0x99999999,0x33332239,0xcccca802,0x33333320,0xcccccccc,0x3333264c,
    0x001abccc,0x3bf6e620,0x333201cd,0xcccccccc,0x33cccccc,0x99999999,
    0x40001355,0x1cccccc9,0x6664c000,0xc980001c,0x500ccccc,0x3ee59999,
    0x3f202fff,0x3ee0ffff,0xffffffff,0x2e00beff,0xffffffff,0xffffffff,
    0xffff13ff,0xffff9009,0x7fffffc1,0xffffffff,0x3fffea7f,0xefffffff,
    0xfff9000c,0x1bffffff,0xfffffff0,0xffffffff,0x3ffeedff,0xffffffff,
    0xfc8002df,0x004fffff,0xfffffb10,0xffd00005,0x3203ffff,0xff74ffff,
    0x3fe605ff,0x7fdc2fff,0xffffffff,0xf700ffff,0xffffffff,0xffffffff,
    0x3fffe27f,0xffffc804,0x3fffffe0,0xffffffff,0x3fffea7f,0xffffffff,
    0x3fa603ff,0xffffffff,0x7ffc0fff,0xffffffff,0x76ffffff,0xffffffff,
    0x0bffffff,0xffffff80,0x7e44007f,0x02ffffff,0x7fffdc00,0xff701fff,
    0x3ffee7ff,0xffffd02f,0xfffff70b,0xffffffff,0xfff701df,0xffffffff,
    0x7fffffff,0x013fffe2,0xf83ffff2,0xffffffff,0x27ffffff,0xfffffffa,
    0xffffffff,0x7fffd40e,0xffffffff,0x7fffc5ff,0xffffffff,0xf76fffff,
    0xffffffff,0x09ffffff,0x3ffffe60,0xc8801fff,0xffffffff,0x3e20002f,
    0x1fffffff,0x27ffff70,0xc82ffffb,0xb80effff,0xcbacffff,0x4ffffffd,
    0xaaaaaa88,0xaadffffd,0xff10aaaa,0xff9009ff,0x555541ff,0xacffffca,
    0x3fea2aaa,0xfdcaadff,0x84ffffff,0xabdefffd,0x2ffffffc,0x3ffffffe,
    0xffffffff,0xffff75ff,0xffb55335,0x2e00ffff,0xffffffff,0x7fffd403,
    0x2fffffff,0x3fff6000,0x501fffff,0x3ee5ffff,0x7fcc2fff,0xff701fff,
    0xffb105ff,0xfb800dff,0xf8803fff,0xfc804fff,0x7dc00fff,0x7d403fff,
    0xff303fff,0xe881ffff,0xffff104f,0x7f40007f,0xfff72fff,0x3ffe603f,
    0xffe801ff,0x06ffffef,0x77ffffd4,0x002ffffd,0xfbffff50,0x3ea03fff,
    0xfff72fff,0xffffe85f,0x3fffee04,0xfffff102,0xffffb800,0xffff8803,
    0xffffc804,0x7fffdc00,0x7fffd403,0x3fffa203,0x5c01985f,0x0005ffff,
    0x5cdffff5,0x3601ffff,0x4402ffff,0xffeaffff,0x7ffc00ff,0x5ffff73f,
    0x3fffa000,0x01ffff9d,0x2e3ffff3,0x3f22ffff,0x7dc06fff,0x3fa02fff,
    0x2e000fff,0x8803ffff,0xc804ffff,0x5c00ffff,0x5403ffff,0x5403ffff,
    0x001fffff,0x06ffff98,0x5ffffd00,0x00ffffdc,0x805ffff9,0xfb8ffffa,
    0x7e402fff,0x17fffdc3,0x7fffe400,0x01ffff98,0x2e3ffff3,0xff32ffff,
    0xfb801fff,0x3fa02fff,0x2e000fff,0x8803ffff,0xc804ffff,0x5c00ffff,
    0x5403ffff,0xf803ffff,0x8002ffff,0x005ffff9,0x46ffffa8,0x201ffffb,
    0x401ffffd,0xff36fffd,0x80880bff,0x002ffffb,0x99ffffcc,0xf101ffff,
    0x3fee1fff,0xffffd2ff,0xffff7007,0x3fffe205,0x7ffdc006,0xfff8803f,
    0xfffc804f,0x7ffdc00f,0x7ffd403f,0xfffc803f,0xffb8003f,0xfe8004ff,
    0x7fdc3fff,0xfff301ff,0xffff00df,0x03ffffc9,0x2ffffb80,0x37ffec00,
    0x203ffff3,0xf70ffff8,0xfff75fff,0x3fee00bf,0xffe882ff,0x7dc003ff,
    0xf8803fff,0x9999dfff,0xfffd9999,0x7ffdc00f,0x7ffd403f,0xfffb803f,
    0xffe8004f,0x7cc003ff,0xffb87fff,0x7fd441ff,0x7cc01fff,0x3ff61fff,
    0xfb8001ff,0x2a002fff,0x3e61ffff,0x26601fff,0x3fffee19,0x00fffffc,
    0x59ffff70,0xfffffb75,0xfff7000d,0xfff1007f,0xffffffff,0x1fffffff,
    0x3ffffb80,0x1ffffd40,0x2ffffd40,0x3fffe600,0xfffd8007,0xffffb83f,
    0xffffffff,0xffc802ff,0x7fffdc7f,0xfffb8004,0xfff1002f,0xffff989f,
    0xfffb8001,0x02ffffff,0x3ffffee0,0xffffffff,0xffb8000d,0xff8803ff,
    0xffffffff,0xffffffff,0x7fffdc00,0x7fffd403,0xffff9803,0x3ffa2006,
    0x7cc003ff,0xfb80ffff,0xffffffff,0xd002ffff,0xff88bfff,0xfb8006ff,
    0xf9002fff,0xff981fff,0xfb8001ff,0xffffffff,0x3ffee005,0xffffffff,
    0x3ee0002c,0xf8803fff,0xffffffff,0xffffffff,0x7ffdc00f,0x7ffd403f,
    0xfff9803f,0x3ff6006f,0xfd8006ff,0xff704fff,0xffffffff,0x403dffff,
    0xe83ffff8,0x4000ffff,0x802ffffb,0x982ffff9,0x8001ffff,0xffbffffb,
    0xf7002fff,0xffffffff,0x400019ff,0x803ffffb,0xeefffff8,0xffeeeeee,
    0x7dc00fff,0x7d403fff,0xfa803fff,0xf9005fff,0x8001ffff,0x00fffff9,
    0xdddffff7,0xffffffdd,0x3ffee03f,0xffffc81f,0x7ffdc003,0xfffe802f,
    0x3ffff305,0xffff7000,0x1fffff75,0x9ffff700,0xbfffffb7,0x7ffdc000,
    0xfff8803f,0xfffc804f,0x7ffdc00f,0x7ffd403f,0xfffb803f,0xfffc804f,
    0xfd8002ff,0x3ee04fff,0xff501fff,0x3f60dfff,0xfff506ff,0xffb800bf,
    0x7fdc02ff,0xfff300ff,0xff70003f,0x3fffa5ff,0xfffb805f,0x3fffe62f,
    0xff70002f,0xff1007ff,0xff9009ff,0xffb801ff,0x7fd403ff,0xffc803ff,
    0x7fdc03ff,0x98002fff,0x200fffff,0x201ffffb,0x41fffff9,0x204ffff8,
    0x4007ffff,0x202ffffb,0xaadffff8,0xfffcaaaa,0x7002aacf,0x3e65ffff,
    0x5c03ffff,0x7dc2ffff,0x70006fff,0x1007ffff,0x9009ffff,0xb801ffff,
    0x5403ffff,0xe803ffff,0x2e02ffff,0x002fffff,0x09ffffb0,0x01ffffb8,
    0x217ffff4,0xfffffffa,0xffffffff,0x3fee002f,0x3fe602ff,0xffffffff,
    0xffffffff,0xffb800ff,0x3fff22ff,0x3fee00ff,0xfffe82ff,0xffb8003f,
    0xff8803ff,0xffc804ff,0x7fdc00ff,0x7fd403ff,0x7fd403ff,0xff700fff,
    0x20005fff,0x00fffff8,0x00ffffdc,0x90bffff6,0xffffffff,0xffffffff,
    0x7ffdc009,0x3ffe602f,0xffffffff,0xffffffff,0xfffb800f,0x3fffa22f,
    0x3ffee06f,0xffffb82f,0xfffb8006,0xfff8803f,0xfffc804f,0x7ffdc00f,
    0x7ffd403f,0x7fff403f,0xffff703f,0x7e40005f,0xfb805fff,0x7fc01fff,
    0x7ffc1fff,0xffffffff,0x07ffffff,0x0bfffee0,0xffffff98,0xffffffff,
    0x00ffffff,0x42ffffb8,0x03fffffa,0x105ffff7,0x005fffff,0x03ffffb8,
    0x04ffff88,0x00ffffc8,0x01ffffdc,0x40ffffea,0x0fffffd8,0x1fffffb8,
    0x3ffe2000,0xffb801ff,0x3fee01ff,0x7ffcc7ff,0xffffffff,0x1fffffff,
    0x5ffff700,0x777774c0,0xfeeeeeee,0x0eeeefff,0x2ffffb80,0x1fffffd8,
    0x02ffffb8,0x00dffff9,0x03ffffb8,0x04ffff88,0x00ffffc8,0x01ffffdc,
    0x98ffffea,0xffffffba,0xfffffb83,0xaaaaaaac,0xfff902aa,0x3fee00bf,
    0xffd981ff,0x7fdc6fff,0xffc800ff,0x4cccc3ff,0xbffffc99,0x00019999,
    0x003ffff5,0x05ffff70,0x0dfffff1,0x205ffff7,0x02fffff8,0x0ffffee0,
    0x13fffe20,0x83ffff20,0xffffffff,0x7fffffff,0x3fffffea,0xffffffff,
    0xffffa85f,0xffffffff,0xf886ffff,0x7001ffff,0xffffffff,0xffffffff,
    0x06fffe81,0x8dffff50,0xffffffff,0xffffffff,0xfff50007,0xff70003f,
    0x3fee05ff,0x7fdc3fff,0x3ff602ff,0x3ee006ff,0xf8803fff,0xfc804fff,
    0x3ffe0fff,0xffffffff,0x3ea7ffff,0xffffffff,0x702fffff,0xffffffff,
    0xffffffff,0xbffff90d,0x7fffdc00,0xffffffff,0x7fc42fff,0xff1004ff,
    0x7ffc1fff,0xffffffff,0x007fffff,0x03ffff50,0x5ffff700,0x7fffff40,
    0x0bfffee1,0x1fffff98,0x7ffff700,0x9ffff100,0x1ffff900,0x7ffffffc,
    0xffffffff,0x3ffffea7,0xdfffffff,0x3fffee00,0xffffffff,0x7c46ffff,
    0x2001ffff,0xfffffffb,0x1cffffff,0x01ffffa8,0x8bffffa0,0xffffffff,
    0xffffffff,0xfff50007,0xff70003f,0x7fcc05ff,0x3fee6fff,0x7ff402ff,
    0xff7005ff,0xff1007ff,0xff9009ff,0x7fffc1ff,0xffffffff,0x3fea7fff,
    0xbcefffff,0xfffb800a,0xffffffff,0x646fffff,0x4006ffff,0xfffffffb,
    0x200bceef,0x4007fffd,0x3e5ffffb,0xffffffff,0x7fffffff,0xffff5000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xca880000,0x001bdefd,0x2a014c00,0x22000001,
    0x00000001,0x03100002,0x13331000,0x02666000,0x0c403000,0x00331000,
    0xd3006600,0x75405ddd,0x04c01eee,0xfffff700,0x0019ffff,0x205ff500,
    0x00002ffa,0xdffffb91,0xffc8805b,0xedc9800c,0x02deffff,0x77fff6dc,
    0xfec8802d,0x2effffff,0xffffb730,0x3605dfff,0x9fff54ee,0x06fffe41,
    0x6d4bddd5,0x981dffff,0x3f665eee,0xfa82efff,0x3ee03fff,0xff501fff,
    0xffe8809f,0xffffffff,0x2e0001ff,0x7d42ffff,0x40003fff,0xfffffffa,
    0xfd00dfff,0xfc80dfff,0xffffffff,0xfffb104f,0x09ffffff,0x7fffffe4,
    0xa84fffff,0xffffffff,0x741fffff,0xffff9dff,0xfffff95f,0xcb7ffdcd,
    0xffffffff,0xbb7ffcc2,0xffffffff,0x1ffffd43,0x03ffff70,0x0bfffff1,
    0x7fffffec,0x6fffffff,0xffff9000,0xffffe8df,0xffb0004f,0xffffffff,
    0xffa83fff,0xe982ffff,0xffffffff,0xff984fff,0xffffffff,0xfffc86ff,
    0xffffffff,0xffffa84f,0xffffffff,0x37ffa0ff,0xaffffffe,0x1fffffff,
    0xff7ffff7,0xffffffff,0x5ffffcc1,0xffffffff,0x3ffea1ff,0x3ffee03f,
    0xffffb81f,0xfffb80ff,0xfc989cff,0x2002ffff,0xdfffffd8,0x7fffec40,
    0x3ee000df,0xffffffff,0x5c5fffff,0x43ffffff,0xfffffff8,0x84ffffff,
    0xacfffffe,0x23fffffb,0xbdfffffa,0x84fdbaa9,0xaacceffa,0x4fffffda,
    0x37fffffa,0xcffffffe,0xff74fffe,0xdfffffff,0x4c7fffff,0xffffffff,
    0x5fffffff,0x80ffffea,0xb81ffffb,0x83ffffff,0x702fffff,0x200dffff,
    0x4fffffe8,0x7ffffe40,0xfff8800e,0x3f221dff,0x3ea2ffff,0x6c1fffff,
    0x09dfffff,0xff7136a6,0xffd107ff,0x3fff61ff,0xc980804f,0x7fffcc01,
    0x53ffffa6,0x72fffff9,0x3feebfff,0x2a2effff,0x3e67ffff,0x0bffffff,
    0x54fffff5,0x2e03ffff,0xf881ffff,0x444fffff,0x7405ffff,0x4c01ffff,
    0x02ffffff,0xffffff70,0xffffd803,0x3ffff204,0x2fffff46,0x0fffffea,
    0xdffff100,0x9ffffd40,0x001ffffe,0xfffd8000,0x1ffffd0f,0xf537fffc,
    0x3ffeedff,0xffe80fff,0x3fffe67f,0xfffe81ff,0x7ffff50f,0x0ffffdc0,
    0x4fffffa8,0x01ffffd4,0x80bffff2,0x1ffffffa,0x7fffcc00,0x3ffe02ff,
    0x3fe200ff,0x3b220fff,0xffffd84e,0xfffa8005,0x7fffc03f,0x1bffffd4,
    0xfc800000,0xfffd1fff,0x22ffff89,0xff76fff9,0x3f203fff,0xfff30fff,
    0x3ff205ff,0xffff51ff,0x7fffdc07,0x3ffff201,0x17fffdc3,0x0ffffea0,
    0x77ffffe4,0xffd10000,0xff109fff,0xff900bff,0xfe8003ff,0xb8000fff,
    0x9999ffff,0xffff9999,0xffffff96,0x44000039,0x1ffffc99,0xff83fffd,
    0xb7ffcc7f,0x203ffffb,0xf30eeeeb,0x7dc09fff,0xfff52fff,0x7ffdc07f,
    0x3ffea01f,0x7fffdc1f,0x7fffcc03,0xfffffd84,0xfd880005,0x7d45ffff,
    0xfb803fff,0x22002fff,0x0007ffff,0xfffffffb,0xffffffff,0x3fffe2ff,
    0x01cfffff,0x3ffbb260,0x1fffffff,0xff83fffd,0xb7ffcc7f,0x002ffffb,
    0x07ffff30,0xa97fffdc,0x2e03ffff,0x2e01ffff,0xff987fff,0x7fc406ff,
    0x3ffa25ff,0x00003fff,0x77ffffe4,0x05ffff70,0x07ffff70,0x37fffcc0,
    0xffffe800,0xffffffff,0x3ea7ffff,0xffffffff,0x3f6602ef,0xffffffff,
    0xffd1ffff,0x47fff83f,0xff76fff9,0x260005ff,0x2e03ffff,0xff52ffff,
    0x7fdc07ff,0xfff301ff,0xffff105f,0xff91039f,0x7ffe4dff,0x000006ff,
    0x29fffffd,0x802ffffb,0x003ffffa,0x017fffea,0x7fffffc0,0xffffffff,
    0x7ec47fff,0xffffffff,0xffff984f,0xffffffff,0xfffd1fff,0x4c7fff83,
    0xfff76fff,0x3e60005f,0x3ee03fff,0xfff52fff,0x7ffdc07f,0xffb7511f,
    0x7fec09ff,0xecceffff,0x46ffffff,0x0efffffc,0xffb10000,0x7fd49fff,
    0xffb803ff,0x3e6002ff,0xd0007fff,0x3333dfff,0x33333333,0x3ffae201,
    0x22ffffff,0xbffffff8,0xfffc999a,0x83fffd1f,0x7fcc7fff,0x5ffff76f,
    0x3ffe6000,0x3ffee03f,0x7ffff52f,0x8ffffdc0,0x4ffffffe,0x7ffffc40,
    0xffffffff,0xffb85fff,0x0001efff,0x7fffff4c,0x27fffcc3,0x07fffe40,
    0x3ffffe00,0xfffd8000,0x71000007,0x4dfffffd,0x205ffffb,0xfd1ffffb,
    0x7fff83ff,0xfbb7ffcc,0x30002fff,0x5c07ffff,0xff32ffff,0x3fe607ff,
    0xfffd1fff,0x3ea003bf,0xffffffff,0x05ffffff,0x5ffffff5,0x3ffea000,
    0xff881fff,0x7fc407ff,0x1bb987ff,0x04ffffe8,0x1ffffb80,0x7e400000,
    0x3ff67fff,0x3fee01ff,0x3fffd1ff,0x7cc7fff8,0xffff76ff,0x3fe60005,
    0x3fee03ff,0xffff32ff,0xffffd10b,0x02af363f,0x3ffee200,0xffcdffff,
    0x3fa604ff,0x4003ffff,0x1efffffb,0x0fffffe0,0x45ffffb8,0x6c3ffffb,
    0x002fffff,0x037fffd4,0x3fe60000,0x3fffa7ff,0xffff301f,0x07fffa3f,
    0xff98ffff,0x5ffff76f,0x3ffe6000,0x3ffee03f,0x3ffffe2f,0x3ffffaa1,
    0x000001ff,0x7dc33531,0x74403fff,0x005fffff,0x1bfffff9,0xfffffb80,
    0xfffffb83,0x3ffffe21,0x3fffe20f,0x4b980cff,0x06fffff4,0x900370c0,
    0x7ecbffff,0xffa84fff,0xffd1ffff,0x47fff83f,0xff76fff9,0x260005ff,
    0x2e03ffff,0x3fa2ffff,0xffeeffff,0x21ffffff,0xdddddddd,0x20005ddd,
    0x001ffffd,0x1dfffffb,0x3ffffa20,0x3ffa004f,0xffddffff,0x7dc4ffff,
    0x5c2fffff,0xffffffff,0x4c5fffee,0xbcffffff,0x27fdcbaa,0x99aaceff,
    0x3fffffdb,0x37ffffee,0xfffffebb,0x3fffd1ff,0x7cc7fff8,0xffff76ff,
    0x3fe60005,0x3fee03ff,0x3ffea2ff,0xcfffffff,0x3fe1ffff,0xffffffff,
    0xff10007f,0xfb800dff,0x4c1effff,0x03fffffe,0x7ffffd40,0xffffffff,
    0x7fffd40e,0xfffe82ff,0xffffffff,0xffffd85f,0xffffffff,0x3ffffe7f,
    0xffffffff,0x3ffe20ef,0xffffffff,0xfd1ffffe,0x7fff83ff,0xfbb7ffcc,
    0x30002fff,0x5c07ffff,0x7ec2ffff,0x4fffffff,0x7fc3fffd,0xffffffff,
    0xff90007f,0xf50007ff,0xfe8dffff,0x0002ffff,0xffffffd3,0x2209ffff,
    0x00ffffff,0xfffffff7,0x2e0bffff,0xffffffff,0x3fe7ffff,0xffffffff,
    0xfa80efff,0xffffffff,0xd1fffe8d,0xfff83fff,0xbb7ffcc7,0x0002ffff,
    0x407ffff3,0xb82ffffb,0x22efffff,0x3fe1fffe,0xffffffff,0x7e44007f,
    0x0000ffff,0x881ffff3,0x0001ffff,0xfffffec8,0x7fd401df,0x76c402ff,
    0xceffffff,0x3fff6201,0x3effffff,0x3ffffff6,0x402dffff,0xefffffe9,
    0x747fffa2,0x7ffc1fff,0xbb7ffcc7,0x0002ffff,0x407ffff3,0x202ffffb,
    0x5c001aa9,0xbbbbbbbb,0x266203bb,0xffffffca,0x7f440002,0x001df100,
    0x0aa98800,0x00554400,0x004cd4c0,0x4d554c40,0x5554c400,0x440009aa,
    0x00000aaa,0x00000000,0x00000000,0xff800000,0xffffffff,0x00003fff,
    0x00001002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffffe0,0x03ffffff,0x00000000,0x17bbba60,0x2eeeeb80,
    0x00333300,0x06f7775c,0x93bbbae0,0x8004eeec,0x3b24eeeb,0xeeeeeeee,
    0x005eeeee,0x00009999,0x22007999,0xaaaaaaaa,0xaaaaaaaa,0x45999950,
    0x5c2cccca,0x402ccccc,0xffffffff,0x00000cff,0xf8000000,0xf001ffff,
    0x1001ffff,0x2003ffff,0x05fffff8,0x83ffffe6,0x8006fffc,0x3fa4fffc,
    0xffffffff,0x007fffff,0x8000ffff,0x802ffffb,0xfffffffa,0xffffffff,
    0x7ffff72f,0x41ffffdc,0x02fffffd,0x37bffffe,0x000000ac,0x32000000,
    0xa804ffff,0x1004ffff,0x4003ffff,0x02fffff9,0xb85ffffd,0xd8007fff,
    0x3ffa3fff,0xffffffff,0xd007ffff,0x44000dff,0x806fffff,0xfffffffa,
    0xffffffff,0x5ffff52f,0x817fffd4,0x02fffffb,0x00000000,0xf3000000,
    0xfb00ffff,0x22003fff,0x4001ffff,0x40fffffc,0xa85ffffb,0x4000ffff,
    0x3fa2fffe,0xffffffff,0xd86fffff,0x2e2ffec3,0xffffb005,0xffa807ff,
    0xffffffff,0x52ffffff,0x7d45ffff,0x3a602fff,0x0002ffff,0x00000000,
    0xfffd0000,0x7ffc405f,0x3fe2006f,0xfe8001ff,0x3fe65fff,0xff980fff,
    0x7fc001ff,0x266621ff,0xffd99999,0x7fcc1fff,0x229ff90d,0x7d401ffd,
    0x0fffebff,0x2aaaaa20,0xaaaaaaaa,0xfff30aaa,0x7fffcc3f,0xffffd801,
    0x00000002,0x80000000,0x205ffffb,0x003ffffb,0x007fffe2,0x3ffffe20,
    0x05ffffd3,0x50bfffe2,0xffff0555,0xffffa800,0xefffe82f,0xfe9cffc9,
    0x7ff406ff,0x00bfff56,0x3fe60000,0x3ffe61ff,0x9995001f,0x00000019,
    0x00000000,0x0fffff88,0x01ffffd0,0x0ffffc40,0xffffb800,0x04ffffdf,
    0x3e1ffffc,0x3fe20fff,0x3fe2007f,0xfd884fff,0xeffeffff,0x00dfffff,
    0x7ec5fff7,0x000002ff,0x20ffff88,0x000ffff8,0x00000000,0x00000000,
    0x41ffffe4,0x005ffff8,0x00ffffc4,0xfffffb00,0xfd00dfff,0x7ffd49ff,
    0x17ffe63f,0x6ffffe80,0x7fffe440,0x0cffffff,0x317ffe20,0x0001dfff,
    0xffff8800,0x03fffe20,0x00000000,0x00000000,0xdffff300,0x05ffff70,
    0xb9999993,0x999bffff,0xf8803999,0x1fffffff,0x25fffc80,0x2a6ffffd,
    0xf9004fff,0x2001ffff,0xffffffc8,0xfffc800c,0x84fffc81,0xeeeeeeea,
    0xeeeeeeee,0x21fffe2e,0x00007fff,0x00000000,0xd0000000,0xfe81ffff,
    0xfff707ff,0xffffffff,0x7fffffff,0xfffff300,0x3fee009f,0x3ffffe6f,
    0x07fff71f,0x3fffff70,0x7fff5400,0x4c02efff,0xff105fff,0xfffa83ff,
    0xffffffff,0x3e2fffff,0x7fff87ff,0x00000000,0x00000000,0xffff7000,
    0x27fffcc7,0xffffffb8,0xffffffff,0x9803ffff,0x04ffffff,0x2affff50,
    0x94ffffff,0xf9805fff,0x8803ffff,0xfffffffb,0x80bfffff,0x2e00fffe,
    0x7fd46fff,0xffffffff,0x22ffffff,0x99981999,0x00000001,0x00000000,
    0xfff10000,0x7fffe4df,0xfffff700,0xffffffff,0x807fffff,0xfffffff8,
    0xfff9801f,0xfffffd8f,0x03fffb6f,0x2fffff44,0x7ffffc40,0xffedffde,
    0x3fee0fff,0xfffe804f,0x3ffffea2,0xffffffff,0x00002fff,0x00000000,
    0x00000000,0xffffc800,0x40bffff1,0xbaaaaaa9,0xaaabffff,0x7ec01aaa,
    0xffffffff,0x7fffc400,0xffdcfff9,0x00fffe9f,0x03bffff6,0x46fffec0,
    0xffd8cffc,0x3fffe25f,0xffffa800,0x00000000,0x00000000,0x00000000,
    0x7fcc0000,0xffffacff,0xfff10002,0x3ee0003f,0xfffeefff,0xffff805f,
    0xffbafffc,0x207fffcf,0x01fffffc,0xfd8bfe20,0x003fea5f,0x00000000,
    0x00000000,0x00000000,0x80000000,0xffdefffe,0x3e20007f,0x98001fff,
    0xf98fffff,0x7403ffff,0x8fffffff,0xfffffff8,0xfffff506,0xd8150007,
    0x361445ff,0xdddddddd,0xdddddddd,0x0005dddd,0x00000000,0x00000000,
    0x00000000,0x3fffffee,0x220004ff,0x4001ffff,0x23ffffe8,0x01fffffc,
    0x3ffffff2,0x3fffffa5,0xffff885f,0x999999ef,0xffd00199,0xfffff00d,
    0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,0x7fc40000,
    0x01ffffff,0x3fffe200,0x7ffec001,0xffffe85f,0x3fffee06,0x3ffee2ff,
    0xffe84fff,0xffffffff,0x800fffff,0xff807fff,0xffffffff,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x40000000,0x6ffffffd,0x7ffc4000,
    0x3fee001f,0xff980fff,0xff504fff,0x7c41ffff,0xf82fffff,0xffffffff,
    0x0fffffff,0x80199980,0xffffffff,0xffffffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x7ffffcc0,0x7c40003f,0xf3001fff,0x5c07ffff,
    0x982fffff,0xe85fffff,0xf81fffff,0xffffffff,0x0fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a000000,0x000fffff,0x0ffffc40,
    0x7ffff440,0xffffe805,0x7fffc40f,0xffffb83f,0xfffff80f,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_40_usascii_x[95]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
7,1,1,2,2,2,0,3,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,2,2,8,4,0, };
static signed short stb__consolas_bold_40_usascii_y[95]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,21,16,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,9,9,9,9,9,9,0,-3,0,13, };
static unsigned short stb__consolas_bold_40_usascii_w[95]={ 0,8,14,22,20,22,23,6,13,13,18,20,11,14,
8,19,20,18,18,18,22,17,20,18,19,19,8,11,18,18,17,14,22,22,19,19,20,16,16,21,20,18,15,20,
17,22,20,22,19,23,20,19,20,20,22,22,22,22,18,12,19,11,20,22,14,18,19,17,19,19,21,20,18,18,
16,20,18,20,18,20,19,19,18,17,19,18,22,22,22,22,18,16,6,16,22, };
static unsigned short stb__consolas_bold_40_usascii_h[95]={ 0,29,11,26,35,29,29,11,39,39,18,20,15,5,
9,33,27,26,26,27,26,27,27,26,27,26,22,28,23,13,23,29,38,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,37,33,37,13,5,9,22,29,22,29,22,28,30,28,29,
38,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,37,41,37,10, };
static unsigned short stb__consolas_bold_40_usascii_s[95]={ 241,71,226,154,135,25,1,248,22,8,167,
81,241,241,243,180,218,206,125,163,225,84,102,144,123,1,79,241,21,207,40,
241,36,183,163,143,104,239,239,1,64,85,182,1,221,198,177,40,134,156,22,
198,43,63,46,69,92,23,115,110,200,123,186,186,241,144,120,88,159,106,198,
220,179,140,59,220,1,163,203,58,100,80,184,126,20,222,58,125,102,48,148,
76,1,93,220, };
static unsigned short stb__consolas_bold_40_usascii_t[95]={ 31,43,180,102,1,43,43,130,1,1,180,
180,157,173,32,1,73,130,130,73,130,73,73,130,73,157,157,43,157,180,157,
1,1,130,130,73,130,102,73,102,130,130,73,130,102,102,102,73,102,1,130,
73,130,73,102,102,102,102,102,1,1,1,180,194,180,157,43,157,43,157,43,
1,43,43,1,43,73,157,157,157,43,43,157,157,73,157,180,180,180,43,180,
1,1,1,32, };
static unsigned short stb__consolas_bold_40_usascii_a[95]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_40_usascii(stb_fontchar font[STB_FONT_consolas_bold_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_40_usascii_s[i] + stb__consolas_bold_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_40_usascii_t[i] + stb__consolas_bold_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_40_usascii_x[i];
            font[i].y0 = stb__consolas_bold_40_usascii_y[i];
            font[i].x1 = stb__consolas_bold_40_usascii_x[i] + stb__consolas_bold_40_usascii_w[i];
            font[i].y1 = stb__consolas_bold_40_usascii_y[i] + stb__consolas_bold_40_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_40_usascii_s[i] + stb__consolas_bold_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_40_usascii_t[i] + stb__consolas_bold_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_40_usascii_x[i] + stb__consolas_bold_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_40_usascii_y[i] + stb__consolas_bold_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_40_usascii_LINE_SPACING
#endif

