// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT        258
#define STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_45_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_45_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_45_usascii_LINE_SPACING          30

static unsigned int stb__consolas_bold_45_usascii_pixels[]={
    0x00dffff1,0x00a20150,0x00000000,0x00000000,0x2ea20000,0x2a000001,
    0x20000ded,0x00000999,0x0000000c,0x00000000,0xffff1000,0x0efb800d,
    0x0001ff44,0x7ff65c40,0xffffff37,0x265fffff,0x003cefff,0xffffff98,
    0x001fffff,0x3fffff62,0x200003df,0x00fffffb,0x04fff980,0x7fee5400,
    0x0001bcef,0x7fffd400,0x3ffffe26,0xffb00000,0xff887fff,0x3ee006ff,
    0xffd10eff,0x5c00007f,0x37ffffff,0xffffffff,0x3fe65fff,0x002effff,
    0x3fffffe6,0x001fffff,0xfffffff7,0x0000bfff,0x13fffffe,0x0fffea00,
    0x7fff4c00,0x3fffffff,0x3f600000,0x7fec3fff,0x900003ff,0x885fffff,
    0x7006ffff,0x369fffff,0x003fffff,0xfffffe80,0xffff37ff,0x5fffffff,
    0x3fffffe6,0xff3004ff,0xffffffff,0xffd8803f,0xffffffff,0x440005ff,
    0x05ffffff,0x02fffb80,0xfffffb80,0xffffffff,0xf8800005,0x7cc0ffff,
    0x00006fff,0x85fffff9,0x806ffff8,0x25fffffb,0x3fffffe8,0x3ffee000,
    0xf37fffff,0xffffffff,0x3ffe65ff,0x01ffffff,0xffffff98,0x401fffff,
    0xbdfffffd,0x5fffffdb,0x7fffc000,0xfd8004ff,0x7ec001ff,0xffffffff,
    0x0effffff,0x3ff20000,0xfffd04ff,0xf900005f,0xf885ffff,0x7cc06fff,
    0xe885ffff,0x001fffff,0xffffff88,0x4cccc09b,0x2ffffd99,0x7fffe4c4,
    0xfff9806f,0x199999df,0x77fffdc0,0x3ffffb00,0x7ffdc000,0x953001ff,
    0x0137fffd,0xffffff50,0xfffffbdf,0x00007fff,0x80fffffc,0x005ffffb,
    0xfffffc80,0x37fffc42,0x17ffffa0,0x6fffff88,0xffffb800,0xffc8000f,
    0x3fe602ff,0x7cc00fff,0x98004fff,0x200effff,0x004fffe8,0x00f7f5c0,
    0x3fffff66,0x2fffffff,0x3fffffa0,0x7ffec40c,0x700007ff,0x440bffff,
    0x000fffff,0x7ffffdc0,0x37fffc41,0x1dffff90,0xfffff980,0x7ffe4004,
    0xff90002f,0xffc805ff,0x7fcc01ff,0xfe8004ff,0xf9800fff,0x00000fff,
    0xffffc880,0xffffffff,0xfff503ff,0xffd809ff,0x80003fff,0x402ffffe,
    0x004ffffc,0x7ffffdc0,0x37fffc41,0x2fffffa8,0xfffff900,0x7ffec003,
    0xff90000f,0xffa805ff,0x7fcc03ff,0x7d4004ff,0x3a002fff,0x00003fff,
    0x7ffff440,0xffffffff,0xffd03fff,0x3fe00dff,0x40006fff,0x806ffff9,
    0x00fffff8,0x3fffee00,0x7fffc41f,0xbfffff06,0xffffe800,0x3fffa006,
    0x3ff20007,0x7fcc02ff,0x7fcc04ff,0x7f4004ff,0x7e4005ff,0x5554c6ff,
    0xaaaaaaaa,0x7ec0aaaa,0xffffffff,0x3fffffff,0x3fffffa8,0xfffffb00,
    0x7fec0003,0xffb003ff,0x540007ff,0x441fffff,0xfa86ffff,0x4000ffff,
    0x02fffffa,0x00ffffd0,0x17fffe40,0x13fffe20,0x09ffff30,0x0ffffcc0,
    0x1fffea00,0xfffffff9,0xffffffff,0x7ffffd45,0x1fffc8be,0xff707b73,
    0x2a001fff,0x002fffff,0x1fffff10,0x3fffea00,0x3fea0006,0x7fc40fff,
    0xfffe86ff,0xffb0003f,0x3fa00bff,0x320007ff,0x4402ffff,0x4c04ffff,
    0x2004ffff,0x5cc6fffd,0x8ddbaced,0x7fe47fff,0xffffffff,0x322fffff,
    0x361fffff,0xf9000fff,0x4400dfff,0x003fffff,0x09ffff90,0x1ffffe80,
    0xffff5000,0xffff881f,0x7ffffcc6,0xfff30000,0xffd001ff,0x7e4000ff,
    0x7c402fff,0x7cc04fff,0xf1004fff,0x7fdc7fff,0xf5ffffff,0x7fe41fff,
    0xffffffff,0x362fffff,0x7f46ffff,0x3ff6007f,0x7fc005ff,0xf0004fff,
    0x8003ffff,0x005ffffb,0x1fffff50,0x46ffff88,0x005ffffc,0x1fffffc0,
    0x03ffff40,0x5ffff900,0x4ffff880,0x27fffcc0,0x0ffffa80,0xfffffff7,
    0x3fffe9ff,0x3bbbbae1,0xfffeeeee,0x3fffe2ff,0x037ffc7f,0x0bffffd0,
    0x5fffff80,0xffffa800,0xfff88006,0xf98000ff,0xff887fff,0x7fffc6ff,
    0x7e40002f,0xff806fff,0x320006ff,0x4402ffff,0x4c05ffff,0x7004ffff,
    0x3fe2bfff,0xffffffff,0x005fffd4,0x8bffffe0,0x14fffffd,0x7c00bfff,
    0x4004ffff,0x006ffffe,0x02ffffe8,0x9ffff900,0xffff3000,0xdffff10f,
    0x03ffffcc,0x7fffcc00,0x3ffe201f,0x3f20005f,0xff802fff,0x7fcc06ff,
    0xffb004ff,0x3ffff29f,0xd3ffff9c,0x20005fff,0x2e2fffff,0xbeffffff,
    0xf1004fff,0x8007ffff,0x006ffffe,0x03ffffcc,0xfffff300,0xffff3000,
    0xdffff10f,0x02ffffd4,0xfffff800,0x3fffee02,0x3ff20004,0xffe802ff,
    0x3fe601ff,0xfff004ff,0x57fffa5f,0xfb2ffff8,0x3e0007ff,0x3e62ffff,
    0xffffffff,0xff1003ff,0xe8009fff,0x4005ffff,0x003ffffd,0x17fffec0,
    0x3fffe600,0x6ffff887,0x013fffee,0x7fffec00,0xfffff503,0x7fe40003,
    0xffb802ff,0xff301eff,0xff3009ff,0xffff11ff,0x47fffe65,0x0003fffd,
    0xb85fffff,0xffffffff,0xf800beff,0x4004ffff,0x005ffffe,0x03ffffe2,
    0xffff5000,0xfff8800d,0xffff887f,0x0fffff26,0x7ffec000,0xffdd953f,
    0x8000dfff,0x802ffffc,0xeffffff8,0xffff31cd,0xffff5009,0x4c3fffea,
    0xffd1ffff,0x3fe0005f,0xffc82fff,0xffffffff,0x3fe00cff,0x7c005fff,
    0x2004ffff,0x005ffffb,0x3ffffd00,0x7fffc400,0x6ffff886,0x00bffff6,
    0x7fffe400,0xffffff94,0xf900009f,0x22005fff,0xfffffffe,0x09ffff32,
    0x2edfff70,0x3fea7fff,0x5fffd0ff,0x3fffe000,0xffff502f,0xffffffff,
    0x3fffa07f,0x3fe2006f,0x3e003fff,0x0001ffff,0x0bffff70,0x37fffc40,
    0xd37fffc4,0x0005ffff,0x57fffee0,0x2efffffc,0xfff90000,0xffb8005f,
    0xff32ffff,0xff7009ff,0x97fff2bf,0x3fa7fffb,0xff0001ff,0xeb805fff,
    0xffffffff,0xffd84fff,0x3e6007ff,0x5002ffff,0x000dffff,0x7ffffc40,
    0x3fffe000,0x6ffff886,0x007ffffe,0x7fffd400,0xffffff95,0xc80001df,
    0x3002ffff,0xffffffff,0x13fffe65,0x6d7fff20,0x3fee5fff,0x07fffe6f,
    0x7ffffc00,0xffff5002,0x7fffffff,0x2fffffc8,0xfffff900,0x3fffa001,
    0x6400002f,0x2003ffff,0xf885ffff,0x3ffa6fff,0x700002ff,0x2a6bffff,
    0x6fffffdc,0x7ffe4000,0xfff9802f,0x30accfff,0x9009ffff,0x3ff69fff,
    0x5bfff25f,0x000ffff8,0x05fffff0,0x3fbffea0,0x47ffffff,0x05fffff9,
    0x0bfffff0,0x1ffffe60,0x3fe60000,0x3fe007ff,0xfff885ff,0x3ffff66f,
    0xff900003,0x3fe609ff,0x20002fff,0x802ffffc,0x00dffffc,0x009ffff3,
    0x3fa9fffb,0x3fff64ff,0x00ffff35,0x17ffffc0,0x8afffb80,0x1ffffffc,
    0x0ffffff4,0x3ffffee0,0xffff9001,0x3a000009,0x0002ffff,0x9bfffe20,
    0x004ffffc,0x7ffffb00,0x2ffffdc0,0xffff9000,0xfffff005,0x7fffcc01,
    0x3fffd804,0x7f4bfffb,0x9fff54ff,0x7fffc000,0xfff9002f,0x7ffffec3,
    0x7ffffdc3,0xffff701f,0x3fe200df,0x00000fff,0x0dffff50,0x7ffc4000,
    0x3ffff26f,0xffb00005,0x7fc405ff,0x320005ff,0xf802ffff,0x7cc06fff,
    0xfc804fff,0xbfff94ff,0x6d3fffea,0x20002fff,0x002fffff,0xffa8fffb,
    0x7fc44fff,0xacefffff,0xffffffec,0xffff7002,0xf800000b,0x1001ffff,
    0x3ffe2013,0x3fffee6f,0xfff00007,0xfff803ff,0x3f20006f,0x7c402fff,
    0x7cc05fff,0xfc804fff,0xffff95ff,0x5bffffd3,0x0001ffff,0x017ffffc,
    0x7cc7fff8,0xfa82ffff,0xffffffff,0x3fffffff,0x3ffffa00,0x5c000001,
    0xd804ffff,0xff883fff,0x3ffe66ff,0x540002ff,0xe807ffff,0x20007fff,
    0x402ffffc,0x404ffff8,0x804ffff9,0xff55fffb,0xffffffff,0x00bfffff,
    0x2fffff80,0x2fffc402,0x03fffff2,0x7fffffd4,0xffffffff,0x3ffea004,
    0x8000006f,0x00fffff8,0x0bfffff2,0xe8dffff1,0x0005ffff,0x027fffec,
    0x003ffff4,0x05ffff90,0x04ffff88,0x027fffcc,0xff37ffd4,0xffbfffff,
    0x001dffff,0x2fffff80,0xff986f7e,0xffff914f,0xfffb80ff,0xffffffff,
    0x7fec003f,0x000003ff,0x07ffffb0,0x27fffff4,0x71bfffe2,0x000fffff,
    0x01fffff8,0x007fffe8,0x0bffff20,0x09ffff10,0x04ffff98,0x2a7fff98,
    0xf8afffff,0x001fffff,0x2fffff80,0x3bbffffe,0xfffeefff,0x5002ffff,
    0xdffffffd,0xff980017,0x000007ff,0x1ffffe60,0x5ffffff8,0x237fffc4,
    0x02fffff8,0xdffff500,0x1ffffa00,0xffffc800,0x7fffc402,0x7fffcc04,
    0xffff9804,0x98b7b6a1,0x0000bdec,0x45fffff0,0xffffffff,0xffffffff,
    0xfa8003ff,0x20006fff,0x004ffffc,0x7ff40000,0xfffb02ff,0xfff885ff,
    0xffffd86f,0xfffd0006,0x3ffa007f,0x3f20007f,0x7c402fff,0x7cc04fff,
    0xf8804fff,0x00004fff,0x7ffc4000,0x3fffe2ff,0xffffffff,0x003fffff,
    0x1fffff10,0xffff1000,0x0000001f,0x06ffffa8,0x10bfffd1,0xf50dffff,
    0x8009ffff,0x00fffffb,0x00ffffd0,0x17fffe40,0x13fffe60,0x09ffff30,
    0x01bfff60,0xf1000000,0x7fc3ffff,0xffffffff,0x00cfffff,0x7ffffc00,
    0x3ee07105,0x00005fff,0xfffff000,0x880d5403,0xfb06ffff,0x2003ffff,
    0x03fffff8,0x01ffff60,0x2ffffc80,0x1ffffcc0,0x13fffe60,0x0ffffd40,
    0x30000000,0x530fffff,0xdffffd97,0x0000157b,0x3bfffff6,0x81ffcaab,
    0x002ffffe,0xff900000,0x440009ff,0xf106ffff,0x200bffff,0x006ffffd,
    0x00ffffe4,0x2ffffc80,0x17fffdc0,0x13fffe60,0x06ffff80,0x36000000,
    0x8806ffff,0x00005fff,0x3ffffe60,0x6fffffff,0x037fffd4,0xf1000000,
    0x0001ffff,0x81bfffe2,0x04fffffa,0x07ffffdc,0x3fffee00,0xfff90004,
    0xfffe805f,0x7ffcc01f,0x3ff2004f,0x00e005ff,0xfff50053,0xff300bff,
    0x8000009f,0xfffffffb,0x364fffff,0x0003ffff,0x7fec0000,0xf10003ff,
    0xfd80dfff,0xf703ffff,0x0007ffff,0x05fffff5,0x5ffff900,0x7ffffdc0,
    0x7fffcc00,0x3ffe6004,0xf9301dff,0xacffa80f,0xfffc9889,0xfa800fff,
    0x000003ff,0xffffffc8,0xd10dffff,0x0001dddd,0xee980000,0xf10005ee,
    0xe880dfff,0x543fffff,0x005fffff,0x3fffffa0,0x55512acd,0xffffb555,
    0x3fb2aa25,0x9804ffff,0xaaadffff,0xffa80aaa,0xecdfffff,0x5407ffff,
    0xffffffff,0x03ffffff,0x005fff70,0x3f220000,0x02dfffff,0x00000000,
    0xf8800000,0xe8806fff,0xf52fffff,0x001dffff,0x7ffffcc0,0xfff37fff,
    0xffffffff,0x3ffffe65,0x9800ffff,0xffffffff,0xff501fff,0xffffffff,
    0xfa80ffff,0xffffffff,0x2005ffff,0x0000fffd,0x01330000,0x00000000,
    0x88000000,0x1006ffff,0x325ffffd,0x000effff,0xfffffc80,0xffff37ff,
    0x5fffffff,0x3fffffe6,0xff3002ff,0xffffffff,0x7ffcc03f,0xffffffff,
    0x7ffd404f,0xffffffff,0x5554002e,0x00000002,0x00000000,0x00000000,
    0x06ffff88,0x90bffa20,0x00001dff,0x7fffff4c,0xffffff37,0x265fffff,
    0x0cffffff,0x3fffe600,0x1fffffff,0x7ff65440,0x1002deff,0xffffff95,
    0x000007bd,0x00000000,0x00000000,0x20000000,0x006ffff8,0x05c81744,
    0x2ea60000,0xdddd15ec,0x3ddddddd,0x02af37a2,0x3bbba600,0x1eeeeeee,
    0x00009800,0x00002620,0x00000000,0x00000000,0x00000000,0x37fffc40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c400000,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ffff880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00035530,0x2aaaaa20,0x5554c001,0x000000aa,0x79db9530,0x55555555,
    0x00000001,0x2f3b72a2,0x6c400002,0x000002de,0x00000000,0xffc80000,
    0xfffff5ff,0xfa800005,0x801effff,0xf12fffe8,0x800bffff,0x3a7ffffd,
    0x01abceff,0x3fff6600,0xffffffff,0x3fe1ffff,0xffffffff,0x3ee0005f,
    0xdfffffff,0xff880001,0xff803fff,0x20002fff,0x004ffffd,0x90000000,
    0x3febffff,0x00002fff,0x3ffffff2,0x7fe401ff,0x7fffec5f,0xfff1000f,
    0x7fff49ff,0x001dffff,0x7fffffdc,0xffffffff,0x3ffe1fff,0xffffffff,
    0xffe88005,0xffffffff,0x7e40002f,0xf807ffff,0x0002ffff,0x013ffff6,
    0x40000000,0xff5ffffc,0x00005fff,0x3fffffe6,0x3e606fff,0x7fd40fff,
    0xf7003fff,0x7f43ffff,0xffffffff,0xfff9801d,0xffffffff,0x1fffffff,
    0x3ffffffe,0x8005ffff,0xfffffffc,0x00ffffff,0x3ffff600,0x7ffc00ff,
    0x360002ff,0x0004ffff,0xf9000000,0x3ffebfff,0xb00002ff,0x3fa69fff,
    0xfffd02ff,0x3ffffe05,0xffffd006,0xfffffe8d,0x02ffffff,0x3bffffe2,
    0xffffd711,0x7fc1999f,0xffffffff,0x7fcc005f,0xfcaadfff,0x0005ffff,
    0x1ffffff2,0x0bffffe0,0xffffd800,0x00000004,0xbffff900,0x00bffffe,
    0x23fffc00,0xfc83fffc,0x3ff205ff,0x7cc01fff,0x7f42ffff,0xffffffff,
    0xff501fff,0x7ffc0dff,0x333301ff,0xbffffb33,0xffffd800,0x6ffffb84,
    0x3ffe6000,0xfff803ff,0x360002ff,0x0004ffff,0xf9000000,0x3ffebfff,
    0x880002ff,0x7fd45fff,0x7fffcc4f,0x3fffe200,0x7ffe404f,0x7e4cc07f,
    0x0effffff,0x02ffffc8,0x017ffff2,0x0bffffb0,0x0fffff80,0x01fffff0,
    0x1f7f4c00,0x2fffff80,0x3fff6000,0x0000004f,0xffff9000,0x0bffffeb,
    0x3ffe6000,0x227ffcc5,0xd803fffe,0x7407ffff,0x4004ffff,0x3ffffffc,
    0x00ffffd8,0x01bfffe6,0x0bffffb0,0x37fffc40,0x01fffff0,0xff000000,
    0x40005fff,0x004ffffd,0x90000000,0x3febffff,0x80002fff,0x7dc6fff8,
    0x3ffee3ff,0xffff5005,0x3ffe605f,0xfc8001ff,0xfe85ffff,0x3e201fff,
    0x6c006fff,0x2005ffff,0x80fffff8,0x006ffff8,0xfff00000,0x6c0005ff,
    0x0004ffff,0x2e620000,0xfffdbcdc,0x5fffff5f,0x01bddb98,0x360ffff8,
    0xfff32fff,0x7ffc001f,0xfff905ff,0x7fc000df,0xffc87fff,0x3fea04ff,
    0x7ec004ff,0x74005fff,0xfc82ffff,0x55005fff,0x55555555,0xffff0035,
    0x6f65c45f,0xffffb02b,0xaaaa9809,0x3aa0002a,0xffffffff,0xfff5ffff,
    0x3ffea3ff,0x200effff,0xfebffffd,0x3fffa6ff,0x7ffe4003,0xffff80ff,
    0x3fa0003f,0x7dc0ffff,0x3fa07fff,0x6c002fff,0x4005ffff,0x5c6ffffd,
    0x001fffff,0xffffffff,0xff00bfff,0x3fee3fff,0x40dfffff,0x204ffffd,
    0x2ffffff9,0xfffd8800,0xffffffff,0xffff5fff,0xfffff73f,0x203fffff,
    0xfffffff8,0xdfff72ff,0xffff3000,0xffffa87f,0x3f60000f,0xfe887fff,
    0xa89cffff,0x00fffffe,0x2ffffec0,0x3fffe600,0xffffc8bf,0x3ffe003f,
    0xffffffff,0xfffff805,0xffffffd9,0x3f60ffff,0xff104fff,0x0007ffff,
    0xfffffff3,0xffffffff,0x3ffffebf,0xfffffffd,0x500fffff,0x7fffffff,
    0x007fffe2,0x37ffff40,0x013ffff6,0xdfffff00,0x3ffffe60,0xffffffff,
    0xffd8001f,0xfd8005ff,0xffffffff,0x7fc004ff,0xffffffff,0xffff805f,
    0xffffffef,0x364fffff,0xfd04ffff,0x0009ffff,0x3ffffffa,0xfffeccce,
    0xfffff5ff,0xffdfffff,0x407fffff,0x21cdfdc8,0x0003fffe,0x43ffffea,
    0x01fffff8,0x3ffff200,0xffff705f,0xffffffff,0x3f60007f,0x88005fff,
    0xffffffff,0xee8003ff,0xffffeeee,0xffff805f,0xfeffffff,0xb0ffffff,
    0xfb09ffff,0x000bffff,0x3bffffee,0xbffff900,0x3ffffffe,0x3ffee1df,
    0x2e0007ff,0x80006fff,0xf73fffff,0x2600dfff,0xfffda999,0xff981fff,
    0xffffffff,0x20000cff,0x005ffffd,0xffffff70,0x800001bf,0x805ffffd,
    0xffffffff,0xffff911d,0x3ffff65f,0x7ffffdc4,0xfff30006,0x7e401dff,
    0xffff5fff,0x3ee07fff,0x8003ffff,0x001ffff8,0x6ffffc80,0x007ffffd,
    0x3ffffffe,0xfb03ffff,0x2eea6dff,0xd800009a,0x8005ffff,0xffffffe9,
    0xfb000006,0xff00bfff,0x107fffff,0x367fffff,0x3ea4ffff,0x000effff,
    0x5fffff90,0x5ffffc80,0x09ffffff,0x27ffffc4,0x27ffec00,0xfff98000,
    0xfffffaff,0xffffd000,0x20bfffff,0x003ffff8,0xfffd8000,0x7fd4005f,
    0x3fffffff,0x006ffff8,0x02ffffec,0x27fffffc,0x29ffffd0,0xf34ffffd,
    0x001fffff,0x37fffec0,0xaffffe40,0x805fffff,0x005ffffd,0x0037ffd4,
    0x3ffffa00,0x005fffff,0x3ffffffa,0x3fe602ff,0x000005ff,0x05ffffd8,
    0x3ffffe60,0x21ffffff,0x005ffff8,0x02ffffec,0x02fffffc,0x6d7ffff2,
    0xfe8cffff,0x0001ffff,0x027ffff4,0xfaffffe4,0xc802ffff,0x2006ffff,
    0x001ffff8,0x7fffdc00,0x002fffff,0x33bffffa,0x7ffc400a,0x99aabeff,
    0xfd800009,0x3e005fff,0xff9effff,0xff10ffff,0xfd8009ff,0xff805fff,
    0x7e402fff,0xfffb5fff,0xfffffd9f,0xfff00003,0xff9007ff,0x3fffebff,
    0xfffc802f,0x3ff6007f,0x3bfb6a4f,0x7fc4000c,0x07ffffff,0x0ffffec0,
    0x3ffffa00,0xffffffff,0xd8001def,0x7005ffff,0x2a1fffff,0x98efffff,
    0x4004ffff,0x805ffffd,0x402fffff,0xfb5ffffc,0xffffffff,0xf300005f,
    0x9005ffff,0x3febffff,0xfb802fff,0xa800ffff,0xffb16fff,0x003fffff,
    0xffffffc8,0x7fec003f,0x744000ff,0xffffffff,0xefffffff,0x3fff6000,
    0xfffd005f,0xffffb87f,0x3ffffbdf,0x7fffec00,0xfffff805,0x7fffe402,
    0xffffffb5,0x0009ffff,0x5fffff30,0xbffff900,0x00bffffe,0x01fffff2,
    0x6c7fffe2,0xffffffff,0x7ffcc006,0x4000ffff,0x000ffffd,0xffffffb8,
    0xffffffff,0xfb000eff,0x3e00bfff,0xfd81ffff,0xffffffff,0x7fec001f,
    0xfff805ff,0x7fe402ff,0xffffb5ff,0x5fffffd9,0xfff88000,0xffc802ff,
    0xfffff5ff,0xffffb005,0x9fffb00d,0x333fffe6,0x4003ffff,0x04fffffe,
    0x07fffc80,0xfffffb80,0xffeeeeee,0x004fffff,0x00bffffb,0x20fffff3,
    0xffffffe8,0xfd8006ff,0xff805fff,0x7e402fff,0xfffb5fff,0xfffff19f,
    0xff80003f,0xfc803fff,0xffff5fff,0xfffd005f,0xfffa809f,0x47fff90e,
    0x4005fffa,0x00fffffe,0xfa800000,0x2202ffff,0x06fffffb,0x0bffffb0,
    0x1fffff30,0x3ffffe20,0xd8002fff,0xf805ffff,0x6402ffff,0xffb5ffff,
    0x3ffea9ff,0x20000eff,0x404fffff,0xf5fffff9,0x9805ffff,0x203fffff,
    0x362ffff8,0x3fe21fff,0x3fea006f,0x00004fff,0xffffd000,0x3ffee007,
    0xffd800ff,0xff8805ff,0x3ea02fff,0x007fffff,0x0bffffb0,0x05fffff0,
    0xb5ffffc8,0x7e49ffff,0x0006ffff,0x81fffffa,0x5ffffff8,0x805fffff,
    0x01fffffd,0xfd17fff2,0x0ffff0ff,0x3ffffe20,0x2e60000f,0x3fe6000a,
    0xf7001fff,0x3600ffff,0xd005ffff,0xc80dffff,0x006fffff,0x0bffffb0,
    0x05fffff0,0xb5ffffc8,0xfe89ffff,0x0004ffff,0x07fffff7,0xffffffd1,
    0x0bffffeb,0x5fffffb8,0x03fffea0,0xff81fffd,0xffe8806f,0x20002fff,
    0x001ffffc,0x05fffff3,0x17ffff60,0x2ffffec0,0xfffffd80,0x7ffe441e,
    0x8004ffff,0x805ffffd,0x402fffff,0xfb5ffffc,0xff989fff,0x8003ffff,
    0xcffffff8,0xfffffc99,0xffff5fff,0xffc9819f,0xd100ffff,0xffb05fff,
    0x2fffcc5f,0x3ff2a6aa,0x0004ffff,0x1bffffea,0x7ffffc40,0x3ff6200e,
    0x26623fff,0xfffd9999,0x199999ef,0x7fffffc4,0xfffffeff,0x83ffffff,
    0xd9999998,0x999effff,0x3fffe199,0x7ffe402f,0x9ffffb5f,0xffffff70,
    0xfff90003,0xffffffff,0x2bffffff,0xffffffff,0xfffffffe,0x3fff203f,
    0x3dfff705,0xd87fffb3,0xffffffff,0x7ec0006f,0x001fffff,0xfffffffb,
    0xfffd999d,0xffe8bfff,0xffffffff,0xffffffff,0x7ffffd40,0xffffffff,
    0x2fffffff,0x7ffffff4,0xffffffff,0xfff0ffff,0xffc805ff,0xffffb5ff,
    0x3ffff609,0x7c4000ff,0xffffffff,0xffff9fff,0xfffffff5,0xffffffff,
    0x7ffcc0bf,0xffff100f,0xb0dfffff,0xffffffff,0xfd80001d,0x001fffff,
    0xffffffd1,0xffffffff,0xfffd0bff,0xffffffff,0x1fffffff,0xffffff50,
    0x59ffffff,0x41ffffff,0xfffffffe,0xffffffff,0xffff0fff,0xfffc805f,
    0x9ffffb5f,0x3ffffa20,0xfe88006f,0xffffffff,0x3ebffff1,0xffffffff,
    0x01efffff,0x2017fff4,0xfffffffb,0xffffd82f,0x00003fff,0x0dfffff5,
    0xffffd880,0xffffffff,0xfffd02ef,0xffffffff,0x1fffffff,0x7ffffdc0,
    0x3ea0dfff,0xfd0effff,0xffffffff,0xffffffff,0x3ffffe1f,0x7fffe402,
    0x09ffffb5,0x7fffffcc,0xffd88004,0x3e0cffff,0xd9515fff,0xffffffff,
    0xfff9007d,0x3ffea00b,0xffb00eff,0x00019bff,0x1ffffc80,0xffd71000,
    0x59dfffff,0xfffffe80,0xffffffff,0x800fffff,0x000aaa98,0x3fffffa0,
    0xffffffff,0xff0fffff,0xfc805fff,0xfffb5fff,0xfffb809f,0x20003fff,
    0x0000aaa8,0x004d54cc,0x2a200000,0x00998009,0xaa980000,0x4c400000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08000000,0x00040000,0x00188000,0x00002600,
    0x00006620,0x55533000,0xa9880013,0x730abcdc,0x106aaaa7,0x0037bd97,
    0x00006200,0x20000180,0x80000199,0xfffecb98,0x5001bdef,0x79dfffb7,
    0xca980001,0xdefffffd,0x7f64c01b,0x01deffff,0x7ff65c40,0x0bceffff,
    0x3f660000,0xffffffff,0x7fff5400,0xffffffff,0x4bffff5f,0xfffffffb,
    0x6544000e,0x100005fe,0x9dfffd95,0xdb730037,0x9dffffff,0x7fd40001,
    0xffffffff,0x7f4407ff,0xffffffff,0xfd88001f,0xffffffff,0xc884ffff,
    0xffffffff,0xb801efff,0xffffffff,0x001fffff,0xffffd880,0x0fffffff,
    0xfffffb10,0xffffffff,0x57fffebf,0xfffffffd,0x36001fff,0x0005ffff,
    0xfffffe98,0x203fffff,0xfffffff8,0x0dffffff,0x7fffe400,0xffffffff,
    0x3ffe607f,0xffffffff,0x3ea003ff,0xffffffff,0x44ffffff,0xfffffff8,
    0xffffffff,0xfffff301,0xffffffff,0xb00003ff,0xffffffff,0xf301ffff,
    0xffffffff,0xbfffffff,0x3f7bfffe,0xffffffff,0xfb000fff,0x8000bfff,
    0xfffffffb,0x05ffffff,0xfffffff1,0xdfffffff,0xfffd3001,0xffffffff,
    0x3ee0ffff,0xffffffff,0x04ffffff,0x7ffffec4,0xffffffff,0x7ff44fff,
    0xffffffff,0x80ffffff,0xfffffffe,0xffffffff,0x7fd40001,0xeeefffff,
    0xffe80fff,0xccceffff,0xf5fffffe,0xffffffff,0xffffffdf,0x3ff6007f,
    0x360005ff,0xffffffff,0xefffffff,0x7ffffc40,0xffffffff,0xfff806ff,
    0xdeffffff,0x887fffee,0xadffffff,0xffffffc9,0x3fff600f,0xddffffff,
    0x24fffffe,0xacfffffb,0xffffb710,0xffffc87f,0xcbacceff,0x0001ffed,
    0x3fffffe2,0xff705103,0x3201dfff,0xfff5ffff,0x43bfffff,0x07fffffb,
    0x0bffffb0,0x3fffea00,0xfffdefff,0x443fffff,0xaaabceff,0xffffffeb,
    0x3fffee02,0xb5009dff,0xfffff90f,0x3fffee05,0xffff304f,0x4c015fff,
    0x3fff64fc,0x7fffc05f,0x7ffffc5f,0x00a8802f,0x3fffe600,0x7fc4003f,
    0x3200efff,0xfff5ffff,0x2e07ffff,0x803fffff,0x005ffffd,0x9fffffd0,
    0xffffd881,0x4005447f,0x04fffffc,0x9ffffff1,0x3fe20400,0x7f403fff,
    0xfe80ffff,0x000effff,0x3fffff04,0x6ffffb80,0x0fffffe6,0xfa800000,
    0xc8007fff,0x402fffff,0xff5ffffc,0x4409ffff,0x264fffff,0xffeaaaaa,
    0xaaaaaeff,0x7fdc0aaa,0x7ec04fff,0x0002ffff,0x417ffffe,0x04fffffc,
    0x7fffe400,0xffff9807,0x7fffd44f,0x7c40006f,0x5400ffff,0x3ee5ffff,
    0x0002ffff,0x3fff2000,0xffd8005f,0xffc806ff,0xfffff5ff,0xffffb00b,
    0x7ffffecb,0xffffffff,0x43ffffff,0x806fffff,0x06fffff8,0x3ffff600,
    0xfffff886,0x7fc0000f,0xfd004fff,0xffe8dfff,0x80002fff,0x403fffff,
    0x2e4ffffc,0x004fffff,0x3ff60000,0xfe8004ff,0xfc804fff,0xffff5fff,
    0xfff9005f,0x7fffecdf,0xffffffff,0x3fffffff,0x0fffffea,0x7ffffec0,
    0xfffb0001,0xffff50bf,0xf880009f,0x4c01ffff,0x27fffffe,0x06fffff8,
    0xffffd000,0x3ffe603f,0x3ffe61ff,0x00002fff,0x9ffffb00,0xfffff000,
    0xffff9007,0x0bffffeb,0x9fffff20,0xfffffffd,0xffffffff,0x3f23ffff,
    0x5000ffff,0x005fffff,0x0fffffe0,0x07ffffee,0xffff3000,0xffffb80f,
    0xff30ffff,0x00005fff,0x3fffffea,0x7ffffd44,0x7ffffc45,0x00001dff,
    0x27fffec0,0x3fffe600,0xfffc802f,0x5fffff5f,0xfffff700,0x3bbbbb21,
    0xeeffffff,0x22eeeeee,0x006ffffe,0x0fffffe2,0x3ffff200,0xffffd80f,
    0x7d40000f,0xfb106fff,0xffffffff,0x3ffffee3,0x3f600001,0xcbffffff,
    0x80efffff,0xfffffffe,0x20000adf,0xfe999999,0x9999dfff,0x3e609999,
    0xc802ffff,0xfff5ffff,0xff9005ff,0xffb00fff,0xff800bff,0x7c005fff,
    0x1004ffff,0x5fffffd5,0x1fffffa0,0x3ffee000,0xffffa85f,0x1fffffff,
    0x01fffff9,0x99999993,0xffe88599,0xffffffff,0xff100eff,0xffffffff,
    0xf980039f,0xffffffff,0xffffffff,0x3fe22fff,0xfc802fff,0xffff5fff,
    0xfffb005f,0xfffb00df,0xfff800bf,0x7fc005ff,0xeea85fff,0xfffffffe,
    0x3fffe00e,0xfc80006f,0x7fe44fff,0xffecffff,0xffffb2ff,0x3fffee0f,
    0x885fffff,0xfffffffd,0xfa804fff,0xffffffff,0x3000dfff,0xffffffff,
    0xffffffff,0xff85ffff,0xfc803fff,0xffff5fff,0xfffd005f,0xfffb009f,
    0x7fc400bf,0x74004fff,0xfb86ffff,0xffffffff,0x7fffc405,0xfd80005f,
    0xffd14fff,0x3fa5ffff,0xfffd3fff,0x3ffee0df,0x05ffffff,0x3ffffff6,
    0x8802efff,0xfffffffe,0x803fffff,0xfffffff9,0xffffffff,0x7c2fffff,
    0x4c04ffff,0xff5fffff,0xf9805fff,0xd803ffff,0x2005ffff,0x03fffff8,
    0x37ffff40,0x7fffffdc,0x80cfffff,0x06fffff8,0xffffd800,0xffffffac,
    0x3ffffa0e,0x0dffffd3,0x3fffffee,0xfd885fff,0xffffffff,0xd5004fff,
    0xffffffff,0xf9807fff,0xffffffff,0xffffffff,0x7ff42fff,0x3fe207ff,
    0xfff5ffff,0xffd805ff,0xfd801fff,0x22005fff,0x004fffff,0x437ffff4,
    0xfffffffb,0x81ffffff,0x007fffff,0xfffffc80,0x83ffffff,0xfb2fffff,
    0x3aa0ffff,0xfffffeee,0x7ffffc45,0xffffffdf,0x326004ff,0xffffffff,
    0xfb0001ff,0x70009fff,0x107fffff,0xbffffffd,0x80bffffe,0x05fffffb,
    0x0bffffb0,0x4fffff80,0x7ffff400,0xa9999886,0xffffffdb,0x7ffff40f,
    0xffb80007,0xefffffff,0xfffff881,0x0fffff91,0x2ffffe40,0x5ffffff1,
    0x7fffffdc,0xfea8001f,0x06ffffff,0x9ffffb00,0xffff1000,0xff9339ff,
    0x2bffffff,0x40cfffff,0xffffffc9,0xffffb000,0xfffe800b,0x7ffc005f,
    0xd88005ff,0x6c5fffff,0x000fffff,0x7ffffd40,0xf100dfff,0x3ee1ffff,
    0x9000ffff,0x7ecbffff,0xe881ffff,0x006fffff,0x3ffffea0,0xffb0007f,
    0x320009ff,0xffffffff,0xffffffff,0xffffff5f,0xfffffdff,0x6c007fff,
    0x4005ffff,0x006ffffd,0x13ffffe2,0xffffe800,0x3ffff20f,0x7cc0003f,
    0x03ffffff,0x53ffffd4,0x007fffff,0x4d7ffff2,0x402fffff,0x00fffffe,
    0x3fffe600,0xfd8001ff,0x10004fff,0xffffffff,0xfff9ffff,0x3ffffebf,
    0xffffffff,0x6c005fff,0x4005ffff,0x007ffffc,0x0bffffe6,0xffffb800,
    0x3fffee1f,0x7c40006f,0x801effff,0x266ffffd,0x006fffff,0x2ebffff9,
    0x9806ffff,0x002fffff,0x7ffffec0,0xfffd8002,0x3a20004f,0xffffffff,
    0x5ffffb9f,0xffffffff,0x3dffffff,0xffffb000,0xfffb800b,0xff9002ff,
    0x40001fff,0x22fffffa,0x2ffffff9,0x7fffc000,0xfff8805f,0x7fffc3ff,
    0xffc801ff,0xffff95ff,0x3fffe00b,0x7e40003f,0x8000ffff,0x004ffffd,
    0x7fffec40,0xfff70cff,0x3ffffebf,0xefffffff,0x3ff60003,0x7cc006ff,
    0xf005ffff,0x000dffff,0x0fffffb8,0x7fffffec,0x3fee0002,0x7dc02fff,
    0xffa87fff,0x6401efff,0xffb5ffff,0xff100bff,0x80003fff,0x007ffffe,
    0x09ffffb0,0x55544000,0xaffffe40,0xa9afffff,0x9000009a,0x001fffff,
    0x1fffffe8,0x7ffffdc0,0x7ff40002,0xfff887ff,0x4c03ffff,0x7fffc47b,
    0xfff500ff,0x3ffa07ff,0x3202ffff,0xff75ffff,0xfb803fff,0x06f67fff,
    0xfffffc80,0xfffb0005,0x0000009f,0xfaffffe4,0x0002ffff,0x3fffee00,
    0x7fd4003f,0xf701ffff,0x000dffff,0x5fffffd8,0xffffff90,0xdb979dff,
    0xfff70fff,0x2e217dff,0x00ffffff,0xfffffff3,0xff7557bd,0x3fe6bfff,
    0x441befff,0x26fffffb,0xabcdfffe,0xffffcaaa,0xb0002fff,0x0009ffff,
    0x7ffe4000,0x5fffff5f,0x7d400000,0x881effff,0xffffe809,0xfecaceff,
    0x641fffff,0x531199ab,0xfffffff9,0x3fffe203,0xffffffff,0xf887ffff,
    0xffffffff,0x3fffffff,0x7ffffec0,0xffffffff,0x3fa5ffff,0xefffffff,
    0xfffffffe,0x3fffffa1,0xffffffff,0x0004ffff,0x013ffff6,0xffc80000,
    0xfffff5ff,0x44000005,0xffffffff,0xa83fffee,0xffffffff,0xffffffff,
    0xffffff85,0xffffffff,0x6c402fff,0xffffffff,0x07ffffff,0xffffffd3,
    0x5fffffff,0x3fffee00,0xffffffff,0x3e25ffff,0xffffffff,0x2fffffff,
    0x7ffffff4,0xffffffff,0x6c0005ff,0x0004ffff,0x3fff2000,0x5fffff5f,
    0xfa800000,0xffffffff,0xff503fff,0xffffffff,0x3e09ffff,0xffffffff,
    0x4fffffff,0x3fffea00,0xffffffff,0x3ff6207f,0xffffffff,0x7f4c001f,
    0xffffffff,0x4c4fffff,0xfffffffe,0x82ffffff,0xfffffffe,0xffffffff,
    0x7ec0000c,0x00004fff,0x3ffff200,0x05fffff5,0xffb00000,0xffffffff,
    0x7ff4c07f,0xffffffff,0x3fffe02f,0xffffffff,0x88001dff,0xfffffedc,
    0xb800adff,0xdffffffe,0x36e0000c,0xffffffff,0x3aa00bdf,0xffffffff,
    0x3fb2a02e,0xffffffff,0x200003ef,0x004ffffd,0x3ff20000,0xfffff5ff,
    0x20000005,0xffffffe9,0x64402fff,0xeffffffe,0x7fffc00c,0xefffffff,
    0x4c00000c,0x400009aa,0x00001aa9,0x33555310,0x2aaa6000,0x4c40009a,
    0x019aaaaa,0xfffb0000,0x0000009f,0xfaffffe4,0x0002ffff,0x554c4000,
    0x30000aaa,0x33000355,0x01335555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09ffffb0,0x75c00000,0xdddb4eee,0x0000005d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a200000,0x0110002b,0x00220000,0x3bbbbba0,0xeeeeeeee,0x530002ee,
    0x07ddb975,0x3bbbbbba,0xeeeeeeee,0x3ddddd15,0x3bbbae00,0x1dddddb4,
    0xeeee8800,0xddddb13e,0x3bb2003d,0x3ba22eee,0xcdeeeeee,0xdd7001ab,
    0xa8003ddd,0x441eeeee,0xff9802ba,0x5cc00eff,0x1defffed,0xffb93000,
    0xf0059dff,0xffffffff,0x7fffffff,0x7ffdc400,0x04ffffff,0xffffffff,
    0xdfffffff,0x0bffffe2,0xb7fffe40,0x03fffffc,0x7ffffd40,0x3fffff22,
    0xffff9805,0x3ffe20ff,0xffffffff,0x2200beff,0x005fffff,0x237ffff4,
    0x00effff9,0xbffffff1,0x3ffffa60,0x1dffffff,0xffffb100,0x1bffffff,
    0x7fffffc0,0xffffffff,0xfd8803ff,0xffffffff,0xffff04ff,0xffffffff,
    0x3fe2dfff,0xf9002fff,0x3feadfff,0x64005fff,0x220fffff,0x01ffffff,
    0x1ffffff4,0x3fffffe2,0xffffffff,0x3ff201ff,0xf5001fff,0x7c45ffff,
    0x505fffff,0x1fffffff,0xffffffc8,0xffffffff,0x7fffdc00,0xffffffff,
    0xffff01ff,0xffffffff,0x9807ffff,0xffffffff,0xf04fffff,0xffffffff,
    0x2dffffff,0x02fffff8,0x4dffff90,0x007fffff,0x42fffffc,0x05fffffb,
    0x1bffffe6,0x3fffffe2,0xffffffff,0xff100eff,0x3a00bfff,0x7d46ffff,
    0x80ffffff,0xfffffffb,0xfffffd11,0xffffffff,0x7fcc0dff,0xffffffff,
    0xf06fffff,0xffffffff,0x7fffffff,0x7ffffd40,0xeeefffff,0xddddd03e,
    0xfffddddd,0x3ffe2dff,0xff9002ff,0x7ffecdff,0xff3001ff,0x3fa07fff,
    0xfd01ffff,0xf105ffff,0xddddffff,0xffffffff,0x7fffe40d,0x7ffd401f,
    0x7ffdc2ff,0xfa81ffff,0x20ffffff,0xdffffffc,0xffffffdc,0xffffd03f,
    0xffb757df,0xff07ffff,0x55555fff,0x03555555,0x3fffffe2,0x000009bf,
    0x2dffff90,0x02fffff8,0x4dffff90,0x04fffffa,0x1fffff70,0x3ffffea0,
    0xfffff985,0xfffff106,0xffffb303,0x3fe201ff,0x7f405fff,0xffa86fff,
    0xd00fffff,0xd09fffff,0xfd103dff,0xf90bffff,0x2609ffff,0x40ffffff,
    0x0007ffff,0x9fffff90,0x90000001,0x3e2dffff,0x9002ffff,0x7c4dffff,
    0xb006ffff,0xe80dffff,0x741fffff,0x101fffff,0x403fffff,0x01fffffd,
    0x03fffff6,0x17ffffd4,0x4fffffe8,0x37fffa20,0x4404f880,0xe87fffff,
    0x5406ffff,0x7c4fffff,0x80007fff,0x05fffff9,0x3f200000,0xfff16fff,
    0x3f2005ff,0x7ff46fff,0x7c400fff,0x4c04ffff,0x2a6fffff,0x205fffff,
    0x01fffff8,0x0fffffe6,0x4fffff88,0x0dffffd0,0x06ffff44,0x020054c0,
    0x7ffffec0,0x1fffffc0,0x37ffffc0,0x001ffffe,0x3bffff20,0x20000000,
    0xf16ffffc,0x2005ffff,0x5c6ffffc,0x402fffff,0x01fffffa,0x2fffffd8,
    0x01fffffd,0x0fffffc4,0x9fffff10,0xfffffd80,0x7ffffd40,0x000a9801,
    0x3ee00000,0x3e61ffff,0xc801ffff,0x7fc7ffff,0xe80007ff,0x0004ffff,
    0x7ffe4000,0xfffff16f,0x3fff2005,0x7fffcc6f,0x7ffe405f,0xfff3007f,
    0xffff5dff,0xfff8809f,0x3fe201ff,0x7c402fff,0x7f44ffff,0x00005fff,
    0x32000000,0x2a0fffff,0x801fffff,0x21fffffb,0x0007ffff,0x17ffffc4,
    0x32000000,0xff16ffff,0x32005fff,0xfe86ffff,0x7f407fff,0x32004fff,
    0xffffffff,0x7c400fff,0x2e01ffff,0x801fffff,0x50fffffd,0x003fffff,
    0x00000000,0x23ffffec,0x02fffff9,0x1fffffa8,0x3bbffffe,0xa802bcce,
    0xb88fffff,0x02bceeec,0x3fff2000,0xfffff16f,0x3fff2005,0xffffc86f,
    0xffff101f,0x7fc4005f,0xffffffff,0xffff8803,0xffff301f,0x3fe600df,
    0xfffb3fff,0x000000bf,0x7fc40000,0xfff85fff,0xffa804ff,0x3ffe2fff,
    0xffffffff,0xff900bef,0xffffdfff,0x03dfffff,0xffff9000,0x3ffffe2d,
    0xffff9002,0xfffff30d,0x3fffee07,0xfffb8007,0x007fffff,0x35fffff1,
    0xffffb533,0x7ec003ff,0xfff9efff,0x000001ff,0x3f200000,0xfe82ffff,
    0x2202ffff,0x22fffffc,0xffffffff,0x1fffffff,0xffffffc8,0xffffffff,
    0x40004fff,0xf16ffffc,0x2005ffff,0xf06ffffc,0x360dffff,0x0005ffff,
    0xffffffff,0x3ffe2007,0xffffffff,0x002fffff,0x77ffffcc,0x0005ffff,
    0x00001000,0x0dfffff3,0x3ffffff2,0xffdba9ad,0x3e2fffff,0xffffffff,
    0x1fffffff,0x7fffffec,0xffffffff,0x0002ffff,0x45bffff2,0x002fffff,
    0x20dffff9,0x80fffffd,0x003fffff,0xffffffb0,0x3fe2001f,0xffffffff,
    0x000dffff,0xffffffb0,0x00003fff,0x177fec40,0xfffe8800,0xffd102ff,
    0xffffffff,0xffffffff,0x66666643,0xfffffedc,0x3ff60fff,0xcdefffff,
    0xffffffec,0xff90000f,0x3ffe2dff,0xff9002ff,0x3fea0dff,0x7fd42fff,
    0x98000fff,0xffffffff,0xffff1005,0xffffffff,0xf980001d,0x5fffffff,
    0x800a9800,0x02fffffd,0xfffffd80,0x7fffcc04,0xffffffff,0x01ffffff,
    0x7fffe440,0x3fffa2ff,0xfd301cff,0x0007ffff,0x45bffff2,0x002fffff,
    0x20dffff9,0x44fffff8,0x006ffffc,0xffffffb0,0xf1003fff,0xffffffff,
    0x003dffff,0xfffffd80,0x3a6001ff,0xf300dfff,0x00ffffff,0x5fffffd8,
    0xffffd500,0xffffffff,0x0001ffff,0x93ffffee,0x806ffffd,0x04fffff9,
    0xdffff900,0x0bffffe2,0x37fffe40,0x8fffffb0,0x003ffffe,0xffffffa8,
    0x8806ffff,0xb9afffff,0x06fffffd,0x7fffcc00,0x7f4005ff,0xf505ffff,
    0x07ffffff,0x3fffff20,0x76d4000e,0xbaceffff,0x0007ffff,0x937ffffc,
    0x200fffff,0x006ffffd,0x2dffff90,0x02fffff8,0x0dffff90,0x8fffffdc,
    0x01fffff8,0xfffffe80,0x02fffffe,0x0fffffc4,0x0ffffff6,0xffffb000,
    0x7fd4003f,0x880fffff,0x4fffffff,0xfffffc80,0x0880000e,0x07ffffc8,
    0x7fffec00,0x1ffffee7,0x3ffffe40,0xffffc800,0x0bffffe6,0x27fffe40,
    0x7fffff10,0x01bfffea,0x3ffffee0,0xffffff9c,0x3fffe200,0x7fff441f,
    0x2e0000ff,0x4007ffff,0xfffffffb,0xfffff901,0xfffc80bf,0x00000eff,
    0x27ffff40,0x3fff6000,0x3fffea7f,0xfffc800f,0xffb0007f,0x7fffcdff,
    0xfffb003f,0xfffe807f,0x9ffffb5f,0xffff8800,0xffffb0ff,0x7ffc409f,
    0xfffa81ff,0x2e0004ff,0x4007ffff,0xfffffffa,0x3ffffa00,0x3fff205f,
    0x00000eff,0x7ffffcc0,0x7ffc0001,0x3ffe65ff,0xffd803ff,0xfd0005ff,
    0x7ff4bfff,0xffd004ff,0xffc805ff,0xffff8fff,0x7fe4002f,0x3fe64fff,
    0xf100ffff,0x3e03ffff,0x000fffff,0x0fffff70,0xfffff880,0x7ffc405f,
    0xfff903ff,0x00001dff,0xdffffd00,0xfffa8000,0x3ffe23ff,0x7fc406ff,
    0x98003fff,0x363fffff,0x9807ffff,0x401fffff,0xfcfffff9,0x44007fff,
    0x40ffffff,0x05fffffd,0x03fffff1,0x0fffffee,0x7fffdc00,0xffe98007,
    0xffe800ef,0xfffc82ff,0x00000dff,0xfffffc80,0x3fea0003,0x7e41ffff,
    0x3603ffff,0x262fffff,0x7fff401d,0x3ffee2ff,0x7fec04ff,0xfff006ff,
    0xbfffffff,0xffffd800,0xffff983f,0xfff882ff,0xfff101ff,0x70001fff,
    0x000fffff,0xf8006aa2,0x7e40ffff,0x0005ffff,0x7ffdc400,0x6540efff,
    0xb998999a,0x4ffffffe,0xffffff88,0xfffd511c,0xdff98bff,0xffea899b,
    0x3e20efff,0x09dfffff,0xfffffd31,0x3fff2005,0x02ffffff,0x3ffffe60,
    0xffff900f,0xffff10df,0x7ffe403f,0xfb8003ff,0x00007fff,0x3fffee00,
    0x7ffffe43,0xffffffff,0x542fffff,0xffedcccc,0x0fffffff,0xffffffc8,
    0xffffffff,0x3fff205f,0xffffffff,0x4c0fffff,0xffffffff,0x82ffffff,
    0xfffffffb,0xffffffff,0x3fea005f,0x0fffffff,0x3ffffa00,0x3ffe203f,
    0x7fc43fff,0x3e601fff,0x8007ffff,0x007ffffb,0xffd98000,0x7ffc45ff,
    0xffffffff,0xffffffff,0x7ffffec2,0xffffffff,0xffff901f,0xffffffff,
    0xfe880dff,0xffffffff,0x982fffff,0xffffffff,0x205fffff,0xfffffffe,
    0xffffffff,0x3ffe2000,0x006fffff,0x3fffffea,0x7fffe400,0x3ffe20ff,
    0x7ff401ff,0x5c003fff,0x0007ffff,0xfffee880,0x7c40ffff,0xffffffff,
    0xffffffff,0x7ffec2ff,0xffffffff,0x3ff201df,0xffffffff,0x32002eff,
    0xffffffff,0xf301efff,0xffffffff,0xf9007fff,0xffffffff,0x00019fff,
    0xfffffffb,0x7fff4007,0xff8803ff,0x3e24ffff,0x5401ffff,0x006fffff,
    0x03ffffdc,0x7ffc4000,0x880cffff,0xffffffff,0xffffffff,0x7fec2fff,
    0xffffffff,0xfffc802e,0xdfffffff,0xffd30001,0x05dfffff,0xfffff930,
    0x40019fff,0xffffffd9,0x20001dff,0xfffffffb,0xffff7001,0x7fe400ff,
    0xff11ffff,0xfd003fff,0x4005ffff,0x007ffffb,0xffff8800,0x3fe200df,
    0xffffffff,0xffffffff,0x7fffec2f,0x000aceee,0x4d554cc4,0xa8800001,
    0x220001aa,0x00009aa9,0x009aa988,0x00000000,0x00000000,0x00000000,
    0x5e440000,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeee9,
    0xeeeeeeee,0x366eeeee,0x005eeeee,0xeb8bdddd,0x6c03eeee,0x2e1eeeee,
    0xeeeeeeee,0xeeeeeeee,0xddd31eee,0x3ae0005d,0x3bba66ee,0xeeeeeeee,
    0xeeeeeeee,0xdddddd91,0xdddddddd,0x3bb65ddd,0xdd9002ee,0x366007dd,
    0x6c00eeee,0xeeeeeeee,0x6eeeeeee,0x3bbbbbb6,0xeeeeeeee,0xf98001ee,
    0xffffffff,0xffffffff,0x3ffe7fff,0xf801ffff,0x7fe46fff,0x3e606fff,
    0x322fffff,0xffffffff,0xffffffff,0xfff31fff,0x3f20007f,0x3ffe67ff,
    0xffffffff,0xffffffff,0xffffffb1,0xffffffff,0x3ffa7fff,0xffb003ff,
    0xfd9809ff,0x400fffff,0xffffffff,0xffffffff,0x3fffffe7,0xffffffff,
    0xfff92fff,0xfff305ff,0xffffffff,0xffffffff,0x7ffffcff,0xfff805ff,
    0x7fffec6f,0xfff900ff,0x7fe47fff,0xffffffff,0xffffffff,0x9ffff11f,
    0x3fff2000,0x3ffffe66,0xffffffff,0xb1ffffff,0xffffffff,0xffffffff,
    0x3ffffa7f,0xffffb003,0x3fff6209,0x400fffff,0xffffffff,0xffffffff,
    0x3fffffe7,0xffffffff,0xfff72fff,0xfff303ff,0xffffffff,0xffffffff,
    0x7ffffcff,0x7fc00fff,0x7ffec6ff,0xffd03fff,0x7e47ffff,0xffffffff,
    0xffffffff,0xffff11ff,0x3ff20009,0x3fffe66f,0xffffffff,0x1fffffff,
    0xfffffffb,0xffffffff,0x3fffa7ff,0xfffb003f,0xfffc889f,0x0fffffff,
    0x7fffffc0,0xffffffff,0x3fffe7ff,0xffffffff,0xf72fffff,0xd303ffff,
    0xfddddddd,0xddddffff,0x7ffcdddd,0x404fffff,0x7f46ffff,0x985fffff,
    0x3fffffff,0x3ffffff2,0xffffffff,0x3e1fffff,0xb0004fff,0x7fccdfff,
    0xffffffff,0xffffffff,0x9999951f,0x99fffffb,0x3fa39999,0xfb003fff,
    0x3f229fff,0xffffffff,0x7fc00fff,0xeeeeefff,0x26eeeeee,0xeeefffff,
    0xeeeeeeee,0xfffff51e,0xfff50001,0x3fe001ff,0x0fffffff,0xd1bfffe0,
    0x1fffffff,0xffffffb8,0x2aaaa64f,0xaaaaaaaa,0x0ffffffa,0x0013fffe,
    0x262fffec,0x99999999,0xffffe999,0xfffa805f,0x7ff400ff,0xffb003ff,
    0x3ffe69ff,0xffffffff,0x7ffc00ff,0xff0003ff,0x20007fff,0x00fffffa,
    0xfffffa80,0xfffff000,0x7c07ffff,0x7ff46fff,0x742fffef,0x4fffefff,
    0x7ffd4000,0x7fffc3ff,0xfffb0005,0x7fdc000b,0xa800ffff,0x400fffff,
    0x003ffffe,0x749ffffb,0xfaafffff,0x7c00ffff,0x0003ffff,0x007fffff,
    0x1ffffe60,0x7fffd400,0xffff000f,0x40ffffff,0x7fc6ffff,0x25fffcff,
    0xffdefff8,0x7f40004f,0x7f40ffff,0xfd0005ff,0x220009ff,0x02ffffff,
    0x1fffff50,0x3ffffe80,0x9ffffb00,0xf51fffdc,0xf801ffff,0x0003ffff,
    0x007fffff,0x1ffffe60,0x7fffd400,0xffff000f,0x05ffffdf,0xff1bfffe,
    0x4ffff5ff,0xffccfffb,0x3ea0005f,0xfe84ffff,0xfd0005ff,0x360009ff,
    0x005fffff,0x03ffffea,0x07ffffd0,0x93ffff60,0x7fd40cf8,0x7fc00fff,
    0xf0003fff,0x0007ffff,0x01bfffe2,0x7ffffd40,0xfffff000,0x20dffff7,
    0x7fc6ffff,0x1fffe8ff,0xff93fffb,0x7f4000bf,0xfd80ffff,0xfffa86ff,
    0x03fffe82,0xfffffb80,0x3fea000f,0x7f400fff,0xfb003fff,0x50089fff,
    0x801fffff,0x003fffff,0x07fffff0,0x3fffe200,0xfff50006,0x3fe001ff,
    0xfffff7ff,0x4dffff05,0xfc8ffff8,0x2ffff4ff,0x0006fffc,0x09fffff5,
    0x321bfff6,0xffe84fff,0x7fc4003f,0x4002ffff,0x00fffffa,0x01fffff4,
    0x04ffffd8,0x1fffff50,0x3fffff80,0xfffff000,0x7ffc0007,0xff50005f,
    0x3e001fff,0xfff97fff,0xdffff0bf,0x547fffc4,0xfffaefff,0x00dfff94,
    0x3fffffa0,0x0dfff900,0xff0fffff,0xfd8007ff,0x8004ffff,0x00fffffa,
    0x4e7ffff4,0x99999999,0x004ffffe,0x01fffff5,0x03fffff8,0x7fffff00,
    0x7776c000,0xfff50004,0x3fe001ff,0xffff17ff,0x6ffff83f,0x7c3fffe6,
    0x1fffdfff,0x000dfff9,0x09fffff3,0x2637ffe4,0x7c1fffff,0x2a002fff,
    0x00efffff,0xfffffa80,0x7ffff400,0xffffffff,0x4fffffff,0xfffff500,
    0xfffff801,0x9999999c,0x3ffe0999,0xffffffff,0x005fffff,0xffff5000,
    0x3ffe001f,0x3ffff67f,0x337fffc5,0x7fecffff,0x3ee7ffff,0xfd8007ff,
    0x3201ffff,0x7fe47fff,0x7ffc4fff,0xfff1002f,0x20003fff,0x00fffffa,
    0x7ffffff4,0xffffffff,0x004fffff,0x01fffff5,0xfffffff8,0xffffffff,
    0x3ffffe2f,0xffffffff,0x00005fff,0x1fffff50,0x9ffffe00,0x20fffff9,
    0x3e66ffff,0x3ffee7ff,0x3fee4fff,0x7fcc007f,0x7dc05fff,0x7fff47ff,
    0x7fffc6ff,0xffffb001,0x7d40009f,0x7400ffff,0xffffffff,0xffffffff,
    0xf5004fff,0xf801ffff,0xffffffff,0x2fffffff,0x3ffffffe,0xffffffff,
    0x77fe445f,0xfffa8002,0xfff000ff,0xffffe8ff,0xa9bfffe4,0x3fe27fff,
    0x3ee2ffff,0x7ec007ff,0x5c01ffff,0x3fe27fff,0xf11fffff,0xf5003fff,
    0x000dffff,0x0fffffa8,0x7fffff40,0xffffffff,0x04ffffff,0x1fffff50,
    0xffffff80,0xffffffff,0x3fffe2ff,0xffffffff,0x3a25ffff,0x003fffff,
    0x07ffffd4,0x47ffff80,0xf0fffffa,0x7fd4dfff,0x7ffff47f,0x07fffd47,
    0xfffff980,0x7fffa805,0x3fffffee,0x1ffff13f,0xfffff880,0x7d40001f,
    0x7400ffff,0xaaadffff,0xfeaaaaaa,0xf5004fff,0xf801ffff,0xffffffff,
    0x2fffffff,0x2b7ffffe,0xaaaaaaaa,0x3ffff22a,0x2a000fff,0x000fffff,
    0xfd0fffff,0x3ffe7fff,0x1bffee6f,0xa89ffff9,0xb000ffff,0x003fffff,
    0x361ffff5,0x6fffbfff,0x801ffff1,0x04fffffd,0xffffa800,0x7fff400f,
    0xfffb003f,0x3fea009f,0x7fc00fff,0x9999cfff,0x20999999,0x003fffff,
    0xffffffd0,0x7fd4005f,0xff000fff,0xfff70fff,0xdffff1df,0x2637ffdc,
    0x7d42ffff,0xf8801fff,0x3006ffff,0xff11ffff,0x1ffff39f,0xa80ffff1,
    0x006fffff,0xfffff500,0xffffe801,0xffffb003,0x3ffea009,0x7ffc00ff,
    0xff0003ff,0x20007fff,0xfffffffe,0x3ffea003,0xfff000ff,0xffff10ff,
    0x4dffff5f,0xff86fffb,0xffffa87f,0xffffc801,0xfff3002f,0x25fff53f,
    0xff9bffff,0x3ffe207f,0x00001fff,0x01fffff5,0x03ffffe8,0x09ffffb0,
    0x3ffffea0,0x7ffffc00,0xffff0003,0x3f60007f,0x02ffffff,0x3ffffea0,
    0xfffff000,0x3bffff20,0x3f26ffff,0x2aaa86ff,0x01ffffa8,0x37ffffc4,
    0x3ffff100,0x3f21fffb,0x7fff9dff,0x3fffff60,0x3ea00003,0x7400ffff,
    0xb003ffff,0x2009ffff,0x00fffffa,0x01fffffc,0x3fffff80,0xffff3000,
    0xfa800dff,0xf000ffff,0x3e20ffff,0xffffffff,0x01bfff26,0x0bfffe60,
    0x5fffff90,0x7fffc400,0x3ea6fff9,0x6fffafff,0xdfffff50,0xffa80000,
    0x7f400fff,0xfb003fff,0x2a009fff,0x400fffff,0x003fffff,0x07fffff0,
    0x7fffd400,0x7fd4000d,0xff000fff,0x7fec0fff,0x26ffffff,0x8005fffd,
    0x202ffff9,0x06fffff8,0x67fffc40,0x7ffc3fff,0x886fffcf,0x01ffffff,
    0x7ffd4000,0x7ff400ff,0xffb003ff,0x3ea009ff,0x7c00ffff,0x0003ffff,
    0x007fffff,0x001aa880,0x1fffff50,0x1ffffe00,0xffffff98,0x3fff66ff,
    0xfff98005,0x3fff203f,0xff8002ff,0x40fffeff,0xfffffffd,0xfffffd85,
    0xfa800003,0x7400ffff,0xb003ffff,0x2009ffff,0x00fffffa,0x01fffffc,
    0x3fffff80,0x80000000,0x00fffffa,0x80fffff0,0xfffffffe,0x017fff66,
    0x0ffffe60,0x37ffffc4,0xfffff800,0xfffa86ff,0x7d45ffff,0xeeefffff,
    0xeeeeeeee,0x555532ee,0x7fffff95,0x3a155555,0xb003ffff,0x75c9ffff,
    0xffeeeeee,0xeeeeefff,0x7fffff2e,0x3fffe000,0xccccccef,0x001ccccc,
    0xffffa800,0xffff000f,0xffffa80f,0x3ffa6fff,0xff88005f,0xfff903ff,
    0x3a0007ff,0x83ffffff,0xfffffff8,0x7ffffec5,0xffffffff,0xb3ffffff,
    0xffffffff,0xffffffff,0x3ffffa7f,0xffffb003,0x7ffffe49,0xffffffff,
    0xff3fffff,0x20007fff,0xffffffff,0xffffffff,0xa800002f,0x000fffff,
    0xd00fffff,0x4dffffff,0x8004fffe,0x884ffff8,0x007fffff,0x3fffffa0,
    0xffffb01f,0xfffd89ff,0xffffffff,0xffffffff,0xffffffb3,0xffffffff,
    0x3ffa7fff,0xffb003ff,0x7ffe49ff,0xffffffff,0x3fffffff,0x007fffff,
    0x3fffffe0,0xffffffff,0x00002fff,0x0fffffa8,0x0fffff00,0xffffff70,
    0x027fffcd,0x27fffc40,0x1fffffdc,0xffffd000,0x7ffdc0df,0x7fec4fff,
    0xffffffff,0xffffffff,0xfffffb3f,0xffffffff,0x3fa7ffff,0xfb003fff,
    0x7fe49fff,0xffffffff,0xffffffff,0x07fffff3,0x3ffffe00,0xffffffff,
    0x0002ffff,0xfffffa80,0xfffff000,0xfffff100,0x27fffcdf,0x7fffc400,
    0x7ffffc45,0x7fec0007,0x3e204fff,0x6c3fffff,0xffffffff,0xffffffff,
    0xfffb3fff,0xffffffff,0x27ffffff,0x003ffffe,0x649ffffb,0xffffffff,
    0xffffffff,0xfffff3ff,0x3ffe0007,0xffffffff,0x02ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbbba20,0x09acdeee,0xeee88000,0x3eeec80e,0xeeeeee88,
    0x1abcceee,0xeeea8000,0x1000eeee,0x803ddddd,0x0eeeeee9,0x3bbbbbba,
    0x001aacde,0x7776c400,0xdd702eee,0x100009dd,0x40000000,0x99530008,
    0x003599db,0xffffff10,0xffffffff,0x3e600019,0xffe80fff,0xffff883f,
    0xffffffff,0x20002eff,0xfffffffd,0xffff1003,0xfffe805f,0x7fffc4ff,
    0xffffffff,0x80000bff,0xfffffffd,0xdffff903,0x05f98000,0xe8800000,
    0xfffb500e,0xffffffff,0x7fc4005d,0xffffffff,0x03ffffff,0x07fffa80,
    0xf105ffff,0xffffffff,0xdfffffff,0xffff1000,0x200bffff,0x02fffff8,
    0x1bffffee,0x3ffffffe,0xffffffff,0x3e60003f,0x3fffffff,0x0dffff90,
    0x77ffcc00,0x30000000,0xfd01dfff,0xffffffff,0x00bfffff,0x3fffffe2,
    0xffffffff,0x2000efff,0xff06fffa,0xfff103ff,0xffffffff,0x0bffffff,
    0xfffffa80,0x8800ffff,0x302fffff,0x01ffffff,0xffffffff,0xffffffff,
    0x3fa0007f,0x3fffffff,0x0dffff90,0x3fffe600,0x000001ff,0x77ffffdc,
    0x7fffff40,0xffffffff,0xff8802ff,0xfeeeefff,0xffffffff,0x3ffee005,
    0x0ffff885,0xdfffff88,0xfffedccc,0x2002ffff,0xfffffffc,0xff8802ff,
    0xffd02fff,0x3fe07fff,0xfeeeefff,0xffffffff,0x7ffdc002,0x03ffffff,
    0x00dffff9,0x3ffffe60,0x000002ff,0xdffffff9,0xbceffe81,0xfffeaa9a,
    0x7c400fff,0x4c41ffff,0xfffffffb,0xbfff9002,0x20ffff30,0x00fffff8,
    0x9fffffd3,0x7ffffc00,0x804fffff,0x82fffff8,0x05fffffb,0x40bffffe,
    0xfffffffb,0xffff1000,0x07ffffdf,0x01bffff2,0xffffe880,0x200003ff,
    0xffffffd8,0x90017b04,0x803fffff,0x01fffff8,0x3fffffa2,0x9fffb006,
    0x20ffff50,0x00fffff8,0x17ffffe2,0x77fffcc0,0x807ffffc,0x42fffff8,
    0x0ffffff8,0x0bffffe0,0xfffffe88,0xffffb002,0x07ffffb9,0x01bffff2,
    0x3ffff600,0x880005ff,0x3ffffffe,0x3ffe0000,0x7fc402ff,0xfe801fff,
    0xed83ffff,0xeeffffee,0xffffeeee,0xfff14eee,0xffe801ff,0xff7006ff,
    0xffff39ff,0xfff8803f,0x7ffec2ff,0x7ffc02ff,0x7fd402ff,0xfa803fff,
    0xffd8ffff,0xfff903ff,0x2e0000df,0x0effffff,0xffff3000,0x00005fff,
    0x04ffffd8,0x0fffffc4,0x7ffffd40,0xffffff86,0xffffffff,0x5fffffff,
    0x01fffff1,0x05ffffd8,0x25ffffd0,0x404fffff,0x22fffff8,0x04fffffb,
    0x02fffff8,0x05fffff8,0xb2ffffe8,0x3207ffff,0x0006ffff,0x3ffffea0,
    0x7d4001ef,0x00efffff,0xfffd8000,0x7ffc404f,0xfff001ff,0xffff0fff,
    0xffffffff,0xffffffff,0x3fffe2bf,0x7fffc00f,0xfff8803f,0x3ffff67f,
    0x7fffc406,0xfffff12f,0x3fffe00d,0xfffe802f,0x7ffe406f,0x3ffff65f,
    0xdffff903,0xff980000,0x002fffff,0xbffffff7,0x2a620001,0xffeccccb,
    0x7fc404ff,0xf9001fff,0xfff0ffff,0xffffffff,0xffffffff,0x3ffe2bff,
    0x3fee00ff,0xfa800fff,0x3fee5fff,0x3e200fff,0xffb2ffff,0x3e003fff,
    0xe802ffff,0x2205ffff,0x360fffff,0xf903ffff,0x0000dfff,0xfffffd10,
    0xfffd807f,0x30004fff,0xfffffffb,0x09ffffff,0x1fffff88,0xfffff700,
    0xffa99983,0xe99999ff,0x0999cfff,0x01fffff1,0x9fffff91,0x3ffff600,
    0x3ffffe63,0x3fffe203,0xfffffaaf,0x3fffe003,0xffff802f,0x3fff603f,
    0x7fffec3f,0xdffff903,0x7ec00000,0x884fffff,0x2ffffffe,0xfffe8800,
    0xffffffff,0x4404ffff,0x001fffff,0x05fffff5,0xf83fffd4,0xff102fff,
    0xfddddfff,0x09ffffff,0x0fffffc0,0x817ffffa,0xfbfffff8,0x4005ffff,
    0x402fffff,0x02fffffb,0xb0dffff5,0x3207ffff,0x0006ffff,0x7fffdc00,
    0xffd30dff,0x0003ffff,0x3ffffffa,0xffffffff,0x7fc404ff,0xf5001fff,
    0x5407ffff,0xfff06fff,0x3ffe203f,0xffffffff,0x2001ffff,0xc87ffff9,
    0x2207ffff,0xffffffff,0x7c000fff,0x2202ffff,0x80ffffff,0x81fffff8,
    0x903ffffd,0x000dffff,0xffffa800,0xfff30eff,0x0003ffff,0x7ffffffb,
    0xffb33335,0xff8809ff,0xf3001fff,0x5c07ffff,0xff885fff,0xfff100ff,
    0xffffffff,0x019fffff,0x09ffff90,0x05fffff5,0x3fffffe2,0x000fffff,
    0x817ffffc,0x3ffffffb,0x09ffff90,0x40fffff6,0x006ffffc,0x3fff2000,
    0xfe885fff,0x002fffff,0x1bffffe2,0x09ffffb0,0x1fffff88,0xfffff500,
    0x2fffe405,0x103fffcc,0xffffffff,0xffffffff,0xffe803df,0xfff882ff,
    0xfff104ff,0xfffffbff,0xffff800b,0xffeeeeef,0x306fffff,0x6c0dffff,
    0xf903ffff,0x0000dfff,0x3fffff60,0x3ff6203f,0x5004ffff,0x803fffff,
    0x404ffffd,0x01fffff8,0x3fffff70,0x427ffec0,0x2207fffa,0x99afffff,
    0xffffdba9,0x3fe206ff,0xffd00fff,0x3fe20dff,0xfffeafff,0x3fe002ff,
    0xffffffff,0x1fffffff,0x05ffffd0,0x81ffffec,0x006ffffc,0x7fff4400,
    0xf9002fff,0x01bfffff,0x0fffffb8,0x3ffffe60,0x7fffc404,0xfff7001f,
    0x555541ff,0xaaadfffe,0xaaffffca,0x3fffe21a,0x3ffe600f,0xff703fff,
    0x7fdc0dff,0xff880fff,0xfff9afff,0xff000fff,0xffffffff,0x01bfffff,
    0x017fffee,0x207ffffb,0x006ffffc,0x3fffe600,0x5c001fff,0x0effffff,
    0x3ffffee0,0xfffff503,0xfff8809f,0xff9001ff,0x7ffc4fff,0xffffffff,
    0xffffffff,0x3ffe24ff,0x7fcc00ff,0xffb05fff,0x7fcc07ff,0xff883fff,
    0xfff92fff,0x3fe00bff,0xffffffff,0x2201efff,0xccdfffff,0xffeccccc,
    0x93cccdff,0x000dffff,0x3ffffea0,0xf30000ef,0x03ffffff,0x3bffffe6,
    0x3fffee21,0x7c404fff,0xf001ffff,0x7c4dffff,0xffffffff,0xffffffff,
    0x3e24ffff,0xf800ffff,0xff06ffff,0xffffffff,0xffffffff,0xfffff10b,
    0x7fffff45,0xfffff803,0x09acdeee,0xfffff880,0xffffffff,0xffffffff,
    0xdffff95f,0xfff90000,0x0001bfff,0xfffffe88,0xffff882f,0xfffeffff,
    0x04ffffff,0x0fffffc4,0x7ffffdc0,0x3ffffe24,0xffffffff,0xffffffff,
    0x3ffffe24,0xffffe800,0xfffffa87,0xffffffff,0x40ffffff,0x22fffff8,
    0x0ffffffa,0x17ffffc0,0x3ffe2000,0xffffffff,0xffffffff,0xfff95fff,
    0x6c4000df,0x04ffffff,0x3ff62000,0xfb84ffff,0xffffffff,0xffffbfff,
    0x7fffc404,0xffff801f,0x6e6640ff,0xccccffff,0xccdffffc,0x3fffe22c,
    0xffff800f,0xffffc85f,0xffffffff,0x2fffffff,0x17ffffc4,0x17fffff6,
    0x05fffff0,0xffff8800,0xffffffff,0xffffffff,0xffff95ff,0x3fa2000d,
    0x003fffff,0xffff9000,0xffd81bff,0xffffffff,0x809ffff2,0x01fffff8,
    0x3fffff62,0x3fffd403,0x202ffff8,0x00fffff8,0x27ffffdc,0x7ffffff4,
    0xffffffff,0x444fffff,0x442fffff,0x03ffffff,0x00bffffe,0xfffff100,
    0xffffffff,0xffffffff,0x3ffff2bf,0xfff30006,0x00003fff,0xfffffb80,
    0xffffb80e,0x3fe0cfff,0x7fc404ff,0xff501fff,0x801fffff,0xff06fffb,
    0x7fc403ff,0x3ee00fff,0x4c2fffff,0xaaafffff,0xeaaaaaaa,0x7c47ffff,
    0xfb82ffff,0xf00fffff,0x0005ffff,0x33333330,0xfd333333,0x13337fff,
    0x01bffff2,0x0efff980,0xf5000000,0xa9801dff,0x100001aa,0x99bfffff,
    0xffffffd9,0xff7007ff,0xffff10bf,0x7fffc401,0xecbaaabf,0x0effffff,
    0x02ffffdc,0x3fffff90,0x17ffffc4,0x6fffffe8,0x05fffff0,0x36000000,
    0xf903ffff,0x9999ffff,0x99999999,0x0000dfa8,0x077cc000,0x10000000,
    0xffffffff,0xffffffff,0x3ff2007f,0x7fff984f,0x7ffffc40,0xffffffff,
    0xd80fffff,0x2003ffff,0x23fffff9,0x02fffff8,0x7ffffff3,0x05fffff0,
    0x36000000,0xf903ffff,0xffffffff,0xffffffff,0x00000030,0x00000440,
    0x3ffe2000,0xffffffff,0x000dffff,0x2a13fff6,0x7c407fff,0xffffffff,
    0xffffffff,0xfffff882,0x7fffc000,0x3fffe26f,0x3fff202f,0x7ffc1fff,
    0x000002ff,0x7ffffb00,0x3fffff20,0xffffffff,0x00007fff,0x00000000,
    0xff880000,0xffffffff,0x8003ffff,0xfb83fffe,0x7fc406ff,0xffffffff,
    0x00bfffff,0x00dffff5,0x1fffffb0,0x0bffffe2,0xffffff88,0x17ffffc6,
    0xd8000000,0xf903ffff,0xffffffff,0xffffffff,0x00000000,0x00000000,
    0xffffff10,0x037bddff,0x17fffc00,0x202fffe4,0xfffffff8,0x02cceeff,
    0x04ffffc8,0xfffffb80,0x5fffff12,0xfffffa80,0x3ffffe3f,0x00000002,
    0x207ffffb,0xfffffffc,0xffffffff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb9510000,0x00001579,0x57999731,0xeca98001,0x10000abc,
    0x99ddb975,0xaaaa8157,0x5554c00a,0x0aaaaa1a,0x037bd971,0x7106aaaa,
    0x26057bd9,0x336e0aaa,0x82cdc881,0xaaaaaaa8,0xaaaaaaaa,0x555550aa,
    0x2aa20001,0x555511aa,0xaa980035,0x80000aaa,0xffffffe9,0xc8000dff,
    0xffffffff,0xffc807ff,0xdfffffff,0xfff91000,0xffffffff,0x2fffff8b,
    0x2ffffe40,0x7dcdffff,0x0dffffff,0xf72ffffc,0x1bffffff,0xe89fffd8,
    0x3ea6ffff,0x7dc5ffff,0xffffffff,0xffffffff,0x05ffffb1,0x3fffea00,
    0xbfffff12,0xffffd800,0xffb80007,0xffffffff,0xfd5002ff,0xffffffff,
    0x7f4c0fff,0xffffffff,0x7d403fff,0xffffffff,0x7fc5ffff,0x7e402fff,
    0x3ffe5fff,0xfffffb6f,0x7c1dffff,0xfffb5fff,0x1fffffff,0x7f57ffec,
    0xf99fffff,0x23ffffff,0xfffffffb,0xffffffff,0xffff91ff,0x3fee0007,
    0x3fff61ff,0xff1000ff,0x80009fff,0xfffffffd,0x1fffffff,0x7ffffec0,
    0xffffffff,0xfffff707,0xffffffff,0x3fe609ff,0xffffffff,0x7fc5ffff,
    0x7e402fff,0x3ffe5fff,0xfffffcff,0x24ffffff,0xffdeffff,0xffffffff,
    0x37fff64f,0xdfffffff,0xfffffffe,0x3ffffee6,0xffffffff,0xff51ffff,
    0x320009ff,0x3ea0ffff,0x7003ffff,0x003fffff,0x7ffffd40,0xfffca9ad,
    0x3fee06ff,0xffffffff,0xf887ffff,0xefffffff,0xffffffff,0xffffff80,
    0xdba999bd,0x7ffffc5f,0x7fffe402,0x3fffffe5,0xffedffff,0xfff0ffff,
    0xdfffffff,0x1fffffff,0x3ffffff6,0xffffffdc,0x1ffffecf,0xfffffff7,
    0xffffffff,0x3ffe61ff,0xffb0005f,0xfffff0ff,0x3fffa00d,0x7fc0006f,
    0xff303fff,0xff107fff,0x437fffff,0xfd87eb98,0x4c1effff,0x45fffffe,
    0x05fffff9,0xfffff810,0x7fffe402,0x3fffffe5,0x3fee0cff,0xffff2fff,
    0x223bffff,0xb2fffffc,0x227fffff,0x51ffffff,0x2623ffff,0x99999999,
    0x3ffffff9,0x01bfffe2,0x437fff40,0x01fffffc,0x17ffffcc,0xffff7000,
    0xffffc80b,0xfffffd86,0x7cc0800d,0x2205ffff,0x21fffffe,0x02fffffb,
    0x5fffff00,0x5ffffc80,0x3ffffffe,0x7fffff03,0x3ffffffe,0xfffff883,
    0x8dffffb3,0x264fffff,0x4002ffff,0x85fffffd,0x9887ffff,0xffff8099,
    0xfffff885,0x7fffe404,0x7ffc0007,0x7fcc01ff,0x3fe60fff,0x20006fff,
    0x00fffffd,0x1fffffd4,0x09fffff7,0x3ffffe00,0x7fffe402,0x3fffffe5,
    0x3ffff604,0x9ffffff4,0xa7ffff40,0x7c3ffffd,0x3e60ffff,0x2e003fff,
    0x80efffff,0x740ffffe,0xfff85fff,0xffffb04f,0xffffe80f,0x3fe20004,
    0xff8807ff,0x3fee1fff,0x20002fff,0x005ffffe,0x54bffffd,0x2effffff,
    0x7ffffc00,0x7fffe402,0x17ffffe5,0x2bffff90,0x405fffff,0xfb5ffffc,
    0xfffd0fff,0x3ffff88b,0xfffff300,0x3fff603f,0x3fffe21f,0x3fffe20f,
    0xfffff503,0x3fffe605,0x3ea0001f,0xccccffff,0xfffccccc,0x3fff22ff,
    0x7fc0007f,0xf9002fff,0x7fc4dfff,0xcfffffff,0xfffff801,0x7fffe402,
    0x0fffffe5,0x25555530,0x402fffff,0xfb5ffffc,0xfffd0fff,0x3ffff889,
    0xfffff880,0x3fff202f,0x3fffee2f,0x3fffe62f,0x3ffffe02,0xdffff905,
    0xfffb8000,0xffffffff,0xffffffff,0x1bffffa3,0xffff8800,0xfff9001f,
    0xffffa8ff,0xcfffffff,0x5fffff01,0x5ffffc80,0x00fffffe,0x2fffff80,
    0xaffffe40,0xfe87fffd,0x7ffc44ff,0xfffe803f,0x7fdc04ff,0x3fffa3ff,
    0x3ffea5ff,0x3fff200f,0xffff80ff,0x7e40003f,0xffffffff,0xffffffff,
    0x3fffe3ff,0x3ea0005f,0x7001ffff,0xb81fffff,0xffffffff,0x7c0cffff,
    0x6402ffff,0x3fe5ffff,0x20003fff,0x402fffff,0xfb5ffffc,0xfffd0fff,
    0x3ffff889,0x7ffffe40,0xffff9806,0xffffff14,0x1fffee1f,0x7fffff30,
    0x0fffffa8,0x7ffec000,0xffffffff,0xffffffff,0x17ffffe2,0xffffa800,
    0xfff7001f,0x3ff220ff,0xffffffff,0x3fffe0ef,0x7ffe402f,0x3ffffe5f,
    0x3ffe0003,0x7fe402ff,0xffffb5ff,0x889fffd0,0x2a03ffff,0x00ffffff,
    0x75ffff88,0x7fffffff,0x201bffee,0x6c6ffffe,0x0004ffff,0x9effffc8,
    0x99999999,0x3a099999,0x0007ffff,0x0bffffe6,0x37fffe40,0x7fffed40,
    0x3e5fffff,0x6402ffff,0x3fe5ffff,0x20003fff,0x402fffff,0xfb5ffffc,
    0xfffd0fff,0x3ffff889,0xffffff30,0x7fffc003,0xffdfffb6,0x17fff6df,
    0x3ffffea0,0x3fffff10,0xfff50000,0x360000df,0x000fffff,0x0fffffe0,
    0x2ffffec0,0x3fff6a00,0xfff0ffff,0xffd805ff,0x3fffe5ff,0x3fe0003f,
    0x7e402fff,0xfffb5fff,0x89fffd0f,0x883ffff8,0x03fffffe,0x47ffff40,
    0xfffaffff,0x04fffe8f,0x27fffff0,0x006ffffb,0xfffff300,0xff700001,
    0x40009fff,0x805ffffe,0x04fffff8,0xfffff300,0x3ffffe5f,0x3fffe603,
    0x3ffffe5f,0x3ffe0003,0x7fe402ff,0xffffb5ff,0x889fffd0,0xfd83ffff,
    0x8005ffff,0xffbffffd,0xbffff8df,0x9003ffff,0x3fadffff,0x00003fff,
    0x09fffff1,0xffff5000,0x360003ff,0x401fffff,0x02fffffb,0x3fffee00,
    0xbffffd2f,0x3ffffe60,0x3ffffe5f,0x3ffe0003,0x7fe402ff,0xffffb5ff,
    0x889fffd0,0x7dc3ffff,0x000effff,0xfeffffc8,0xdfffb2ff,0x2005ffff,
    0xfafffff9,0x0000ffff,0x3fffff60,0x7f440002,0x802fffff,0x7ffffd42,
    0xffff500e,0x6c0008df,0xfb0fffff,0xfd10ffff,0x7cbfffff,0x0003ffff,
    0x00bffffe,0x36bffff9,0xffe87fff,0x7fffc44f,0x3ffffe63,0xff70001f,
    0x21ffffff,0xfffffffa,0x3ffa001f,0x5fffffff,0x7fcc0000,0x201dffff,
    0xffa81db9,0xacefffff,0x40ffdbaa,0xbffffffe,0xffffca9a,0x0e7641ff,
    0x3ffffea0,0x3fffff27,0xffffc9ae,0x3fe5ffff,0x20003fff,0x402fffff,
    0xfb5ffffc,0xfffd0fff,0x3ffff889,0xfffffff1,0xdddddddd,0xfff985dd,
    0x3e25ffff,0x0fffffff,0x3fffee00,0x002fffff,0xffffc800,0xfeeeffff,
    0xfb01ffff,0xffffffff,0x81ffffff,0xfffffff9,0xffffffff,0xffffc84f,
    0xfffecdee,0x3e64ffff,0xffffffff,0xffffffff,0x0fffffe5,0xfffff800,
    0x7fffe402,0xd0ffffb5,0xff889fff,0xffff93ff,0xffffffff,0x887fffff,
    0x3fffffff,0x7fffffec,0x7ffc4007,0x007fffff,0x3fffa000,0xffffffff,
    0xd101ffff,0xffffffff,0x01ffffff,0xfffffff9,0xbfffffff,0xfffff901,
    0xffffffff,0xfffb0bff,0xffffffff,0x7cbffff3,0x0003ffff,0x00bffffe,
    0x36bffff9,0xffe87fff,0x7fffc44f,0xffffffb3,0xffffffff,0xfff07fff,
    0xfa81ffff,0x006fffff,0xffffffc8,0x4000004f,0xfffffffb,0x1fffffff,
    0x7ffffdc0,0xffffffff,0xfffff500,0x7fffffff,0x7ffffe40,0xffffffff,
    0xfffd105f,0x23dfffff,0x3fe5ffff,0x20003fff,0x402fffff,0xfb5ffffc,
    0xfffd0fff,0x3ffff889,0xfffffffb,0xffffffff,0xfffd07ff,0xfff10dff,
    0x30009fff,0x1fffffff,0xb1000000,0xffffffff,0x10019dff,0xffffffd9,
    0xc88059df,0xeffffffe,0x7ff5400d,0xffffffff,0xffd801cf,0x3e0cffff,
    0x3ffe5fff,0x3e0003ff,0x6402ffff,0xffb5ffff,0x9fffd0ff,0xb3ffff88,
    0xffffffff,0xffffffff,0xffffb07f,0x3fff607f,0xfd0003ff,0x000bffff,
    0x75310000,0x00003355,0x00133531,0x026aa620,0x55554400,0x88001aab,
    0x0000aaa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaa98000,0x551002aa,0xc8003555,0x00003ccc,0x02200000,
    0x2eeed800,0x2aaaaa00,0xaaaaaaaa,0x002aaaaa,0x00008000,0x2a200000,
    0xaaaaaaaa,0x26662aaa,0x99999999,0x99999999,0x00099999,0x7fcc0000,
    0xe801ffff,0x000fffff,0x01bfffe2,0x4fffe800,0xdffd3000,0xfffb8003,
    0xfff000ff,0xffffffff,0xdfffffff,0x22fffffc,0xa85fffff,0x002effec,
    0xfffff980,0x7ffd405f,0xffffffff,0xfffff0ff,0xffffffff,0xffffffff,
    0x0000bfff,0xffff7000,0xfffc80df,0x7c4002ff,0x00006fff,0x000ffff6,
    0x3fffffe2,0xffff1001,0x3fe009ff,0xffffffff,0xffffffff,0x13ffffa6,
    0xb89ffffd,0xefffffff,0x0b332e00,0x3fffffa2,0x3fffea05,0xffffffff,
    0xffffff0f,0xffffffff,0xffffffff,0x00000bff,0x3ffffa00,0xffff304f,
    0xff1000bf,0x40000dff,0x8003fffd,0x5ffffffb,0xfffffb00,0xfff003ff,
    0xffffffff,0xdfffffff,0x227ffff4,0x2e4ffffe,0xffffffff,0xffff01ff,
    0x7fffe409,0xffff505f,0xffffffff,0x3ffffe1f,0xffffffff,0xffffffff,
    0x00005fff,0xffff1000,0xfffd03ff,0xf10001ff,0x3000dfff,0x2fffc83d,
    0x3ff2035c,0x401fffff,0xffdefff9,0xeeee806f,0xeeeeeeee,0x24eeeeee,
    0x6c3ffffd,0x3fa3ffff,0xffffffff,0x7ffc41ff,0x7ffd403f,0xfffa85ff,
    0xffffffff,0xfffff0ff,0xffffffff,0xffffffff,0x0000bfff,0x7ffd4000,
    0x3ff20eff,0x10002fff,0x000dffff,0x7fdc7ffb,0x07ffb11f,0x7fffffdc,
    0x7fff402f,0x03ffff8a,0xfd800000,0x7fec3fff,0xffff53ff,0xfffffd9f,
    0x7fffdc5f,0xfffe8802,0x5555445f,0xaaaaaaaa,0x0000000a,0x00000000,
    0x29fffffb,0x04fffff9,0x3fffe200,0x7ffd4006,0x8fffa8ef,0x00fffff9,
    0x3ffffffa,0x9bffee03,0x000ffffb,0x7fe40000,0x7ffe42ff,0x1ffff92f,
    0x7fffffd4,0x07ffffee,0x27777640,0x00000000,0x00000000,0xffffd100,
    0xdffffd5f,0xfff88000,0x7fec006f,0xfffdffff,0x3ffffffc,0x3ffffe20,
    0xffff103f,0x05ffff83,0x7e400000,0x7fe42fff,0xdfffb2ff,0xffffff50,
    0x009fffff,0x00000000,0x00000000,0xff300000,0xffffffff,0x3333003f,
    0xffff3333,0x3333333d,0xffffb503,0xffffffff,0xff70039f,0x3f203fff,
    0xfffa85ff,0x0000001f,0x707fffee,0x3fa3ffff,0xfff305ff,0x1dffffff,
    0x00000000,0x00000000,0x20000000,0xfffffffb,0xff9803ff,0xffffffff,
    0xffffffff,0x3f6607ff,0xffffffff,0x3fe2000c,0xff980fff,0xfffd00ff,
    0x3bbbba0d,0xeeeeeeee,0x2e4eeeee,0x7dc1ffff,0x55551fff,0x7fff4c03,
    0x0000efff,0x00000000,0x00000000,0x7ff40000,0x006fffff,0xfffffff3,
    0xffffffff,0x00ffffff,0xfffffff5,0xfff30003,0x3fffa0df,0x3fffe604,
    0xffffff83,0xffffffff,0x3ea6ffff,0x7fd40fff,0x2a0000ff,0x000aceed,
    0x00000000,0x00000000,0xf8800000,0x01ffffff,0xffffff30,0xffffffff,
    0x0fffffff,0x7fffff54,0x001dffff,0x207ffff6,0x400ffffb,0x7c0ffffd,
    0xffffffff,0xffffffff,0x1bbba66f,0x003bbba6,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0x3003ffff,0xffffffff,0xffffffff,0xd50fffff,
    0xffffffff,0x03bfffff,0x1fffff54,0x01ffffc4,0x22ffffc4,0xffffffff,
    0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,0xfff30000,
    0x03ffffff,0x26666660,0x9effff99,0x41999999,0xcffffffe,0xffffbfff,
    0xffdd33ff,0x320bffff,0x32006fff,0x2aa2ffff,0xaaaaaaaa,0xaaaaaaaa,
    0x00000002,0x00000000,0x00000000,0x00000000,0xffffe880,0x00efffff,
    0x7fffc400,0x7ffd4006,0x8fffa8df,0x50ffffe9,0x7fffffff,0x00d55540,
    0x05555510,0x00000000,0x00000000,0x00000000,0x00000000,0x3f600000,
    0xfffeffff,0x440005ff,0x8006ffff,0x3fee3ffd,0xa8fff21f,0x00cfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,
    0xfffe8cff,0x220002ff,0x8006ffff,0x7ffe40e8,0x2f263542,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x26fffff9,
    0x0ffffffa,0xffff1000,0x7ec0000d,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fff4000,0x7ffe41ff,0xf10006ff,
    0x0000dfff,0x001fffec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9000000,0xd109ffff,0x009fffff,0x0dffff10,0x7fff4000,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdfffff50,0x7ffffcc0,0x7fc4001f,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc4,0x7fffe401,
    0x3a2000ef,0x00005eee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffff40,0xffffd004,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_45_usascii_x[95]={ 0,8,4,0,1,0,0,9,5,5,2,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,3,3,1,3,0,0,0,0,3,3,9,4,1, };
static signed short stb__consolas_bold_45_usascii_y[95]={ 33,1,1,4,-1,1,2,1,0,0,1,10,24,18,
24,1,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-3,0,15, };
static unsigned short stb__consolas_bold_45_usascii_w[95]={ 0,8,16,24,22,25,26,7,15,14,20,23,13,15,
9,22,23,21,21,20,24,20,22,21,21,22,9,13,19,20,19,16,25,25,22,22,23,18,18,22,21,19,17,22,
18,24,21,24,21,25,22,21,23,22,25,25,25,25,21,13,22,13,22,25,16,20,21,20,21,21,24,23,19,20,
18,21,20,23,19,23,21,21,20,19,21,19,25,25,25,25,19,17,6,18,23, };
static unsigned short stb__consolas_bold_45_usascii_h[95]={ 0,33,12,29,40,33,32,12,43,43,20,22,17,6,
10,37,31,29,30,31,29,30,30,29,31,30,24,31,26,14,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,39,29,31,29,30,29,29,29,29,29,42,37,42,15,6,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,32,32,23,24,31,24,23,23,23,33,23,42,46,42,11, };
static unsigned short stb__consolas_bold_45_usascii_s[95]={ 253,244,130,25,149,45,159,244,8,24,51,
27,72,188,244,198,161,184,15,117,144,60,81,72,208,37,246,1,208,109,188,
97,104,73,50,138,1,225,206,185,162,142,104,99,169,47,25,92,122,172,197,
230,1,122,145,94,171,220,120,90,221,57,86,204,171,228,23,23,1,1,1,
114,207,186,130,227,138,149,129,44,48,26,108,68,70,88,219,193,1,71,173,
39,1,71,147, };
static unsigned short stb__consolas_bold_45_usascii_t[95]={ 1,1,232,177,1,48,48,147,1,1,232,
232,232,232,160,1,81,147,115,82,177,115,115,147,81,115,115,115,177,232,177,
48,1,177,177,81,177,147,147,81,147,147,115,177,177,147,147,82,177,1,115,
81,147,115,115,147,115,115,147,1,1,1,232,232,232,177,48,207,48,207,82,
48,48,48,1,48,48,207,207,207,82,82,207,207,82,207,207,207,232,48,207,
1,1,1,232, };
static unsigned short stb__consolas_bold_45_usascii_a[95]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_45_usascii(stb_fontchar font[STB_FONT_consolas_bold_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_45_usascii_s[i] + stb__consolas_bold_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_45_usascii_t[i] + stb__consolas_bold_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_45_usascii_x[i];
            font[i].y0 = stb__consolas_bold_45_usascii_y[i];
            font[i].x1 = stb__consolas_bold_45_usascii_x[i] + stb__consolas_bold_45_usascii_w[i];
            font[i].y1 = stb__consolas_bold_45_usascii_y[i] + stb__consolas_bold_45_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_45_usascii_s[i] + stb__consolas_bold_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_45_usascii_t[i] + stb__consolas_bold_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_45_usascii_x[i] + stb__consolas_bold_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_45_usascii_y[i] + stb__consolas_bold_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_45_usascii_LINE_SPACING
#endif

