// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_48_usascii_BITMAP_HEIGHT        194
#define STB_FONT_courier_48_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_48_usascii_FIRST_CHAR            32
#define STB_FONT_courier_48_usascii_NUM_CHARS             95

#define STB_FONT_courier_48_usascii_LINE_SPACING          23

static unsigned int stb__courier_48_usascii_pixels[]={
    0x003ba600,0x00054000,0x25700000,0xd70002dd,0x3d101747,0x3ffffff6,
    0xbffffff0,0x590002dc,0x30000d88,0x000159b7,0x0de6dd44,0x00266200,
    0x44006e20,0x88001aba,0x0009bca9,0x001ffa80,0x0374017c,0xf9800000,
    0x001fff74,0x7c4bbfea,0x75c7fa04,0xff0ffeee,0x7dc9dddd,0xa8bf0003,
    0x7fe4002f,0x01efffff,0x7ffff440,0xff9003ff,0x6c001bff,0x7fec00ff,
    0x8801ffff,0xfffffffb,0x3ea0000c,0x13e2001f,0x0000bee0,0x703f6000,
    0x5ff100bf,0xbf504f88,0x0bf0fc80,0x4000ff88,0x00fdc4f8,0x11bdfe88,
    0x2007ff95,0x3661bffa,0x45ff404f,0xf000eeb8,0x3fa205ff,0x3ffda9be,
    0x2b3bfea0,0x01ffda99,0x003ff500,0x7c4027c4,0x40000006,0x00fd05f9,
    0x09f109f5,0x1f9007fa,0x13f2017e,0xfb87f300,0x03ffa801,0x2202ff44,
    0x0ff201ef,0x009d03e4,0x7f40bffa,0x505fd104,0xefa807ff,0x0cc98000,
    0xcefdb880,0x00bf2022,0x1fd80000,0xfb803f90,0xfb84f881,0xbf0fc806,
    0x003ff100,0x03f21fcc,0x2005ff10,0x3f203fd8,0x9f05e801,0x74007dc0,
    0x05fa81ff,0x076437c4,0x0004fb80,0x7fffdc00,0x44ebffff,0x000006f8,
    0x7dc0bf10,0x440fdc01,0x802fe84f,0x200bf0fc,0x3ea004fc,0x32007e42,
    0x0fe8002f,0xf7005f88,0x7c403f10,0x81ffd801,0x05fb007e,0x000fd000,
    0x1177ec00,0x90bfff95,0x0000003f,0x0fdc05f9,0x3e207ee0,0xc803fd44,
    0x2600bf0f,0x0bea007f,0x05f980fb,0xfb0bf300,0x10bea003,0x00fc403f,
    0x3ea07fec,0x00bf3004,0x0001f900,0xd00bf700,0x00bf10bf,0x06f88000,
    0x3ee00fdc,0x7f44f881,0x3e1f9004,0x00bfa005,0x01fa0fdc,0x6c0003fd,
    0x30037c2f,0x5c09f07f,0x0ffd800f,0xfd000fec,0x0fc80001,0x06f80000,
    0x3f60bf10,0x2e000001,0x00fdc02f,0x93e207ee,0xf9001ff8,0xfb8017e1,
    0xe83f7005,0x0017e206,0x27c49f30,0xf707f300,0xfc802740,0x2003740f,
    0x6c0002fc,0xfffffd86,0x47ffffff,0x06e004f9,0x000027cc,0x3f700df0,
    0xf881fb80,0xc801fee4,0x4c00bf0f,0x0fc800ff,0x05f3037c,0x7ccbf000,
    0x7f6e5403,0x7119fd03,0x3f2001df,0x5c005f87,0x3ea0002f,0xeeeeed83,
    0x47feeeee,0x200002fa,0x800000fd,0x1fb803fb,0x7c40fdc0,0xc801bfa4,
    0x4400bf0f,0x87d803ff,0x007ee05f,0x2fa9f600,0xfdfffb30,0x7fffe407,
    0xfb82200d,0x20027c47,0xf50003f9,0x7d80001d,0x000027c4,0x000009f5,
    0x07ee00fd,0x9f103f70,0xf9002ffc,0xff0017e1,0xfffff88b,0xffffffff,
    0x01f92fff,0x2e1f9000,0x1cff981f,0x133007f3,0xb8ffae60,0x0027cc6f,
    0x262013e2,0x000efda9,0x2fe87d80,0x03fa0000,0x03fa8000,0xfd805f50,
    0xff14f880,0xf87e4009,0x437f4005,0xccffcccc,0xccccefdc,0x20000fb0,
    0xd01f91fb,0x003f983f,0x17dfd730,0x1fcc6fa8,0x2602fc00,0x005fffff,
    0x3e61f600,0x40000adf,0x200003fa,0xbf1000fe,0xf883fc40,0x4007ff34,
    0x800bf0fc,0x46e807fd,0x01f603f9,0xfc8fdc00,0x7cc1fd40,0x3fb26003,
    0x1bea00bd,0xbf0007f3,0xfffdb880,0xfb00000e,0x3bfff220,0x7e8000ac,
    0x09f50000,0x5c2dfd80,0x29f103fe,0x32002ffa,0xc800bf0f,0x4c5f807f,
    0x003f202f,0x7e43f200,0x7cc07e40,0x6ff64c03,0x8bf3000b,0x5f8003f9,
    0x17fdc400,0x203ec000,0xefffeca8,0x00fee003,0x0003f600,0x7ff53ffa,
    0x7dd3e204,0x43f2000f,0x7fdc005f,0x3ea2fc00,0x0007ee02,0x40fc9fa0,
    0x83f980fd,0x00adffc9,0x7cc5f980,0x005f8003,0x0007fd30,0x544007d8,
    0x3e005fec,0x2fcc0006,0x8effd400,0xf100ffea,0x8007fea9,0x800bf0fc,
    0x3e200ffb,0xf500fd44,0x4bf00005,0x41fe40fc,0x56ffc3f9,0xf1003100,
    0x4004f989,0x220004f8,0x360000fd,0x37e40007,0x0002fb80,0xf10007f6,
    0x417ea03d,0x05ff34f8,0x05f87e40,0x2203fe40,0x100fdc4f,0xf980009f,
    0xdf303f24,0x00987f30,0x037fffa6,0x02fc42e8,0x0000fe60,0x6c0007f3,
    0x0fc80007,0x0006f880,0xf5000bf1,0xf107e809,0x800ffe29,0x800bf0fc,
    0x7776c6fe,0xfeeeeefe,0x7ec2eeee,0x87fa0001,0xcffc81fb,0x54007f51,
    0x1feb8aef,0x20037c00,0xf80002fa,0x01f60006,0x400fe600,0xfc8001fc,
    0x01fb8001,0x27c407e4,0x7e400bff,0xff800bf0,0x7f7776c5,0xeeffeeee,
    0x02fcc2ee,0x7d45fa80,0xfffff701,0x7f1001ff,0xfd001b60,0x001fb800,
    0x0000fc80,0x4000a8fb,0xbf1004f8,0x006f8800,0xfb803f70,0x3fa4f881,
    0x7c3f2006,0x13fe2005,0x07d85f50,0xd0005fb0,0x202f981f,0x0deccca8,
    0x3e607c80,0x003f6002,0x80000fd8,0x9f60007d,0x7d4003f9,0x007f6003,
    0x70002fc8,0x81fb803f,0x01ff24f8,0x00bf0fc8,0x2e017fcc,0x8803ec1f,
    0xfd1002fe,0x0007f307,0x3a026c00,0x013ea004,0x800037c4,0x9f60006f,
    0x7ec006f9,0x017e6001,0x700037c4,0x81fb803f,0x03fe64f8,0x05f87e40,
    0x7003fea0,0x2006e83f,0x74404ff8,0x001be04f,0x6c03e800,0x007fc004,
    0x400017dc,0x360004fa,0x0037fe67,0xb0009fb1,0x07f7001f,0x200fdc00,
    0x44f881fb,0x1f9003fe,0x5fd8017e,0x37c0fc80,0x33bfe200,0x2ffdb98a,
    0x0000fe40,0x3e206c80,0x5c05e543,0x237cc03f,0x3e6000bc,0x9f60000e,
    0x19cffef9,0x00bff731,0x3e013e60,0x0fdc0007,0x3e207ee0,0xc8037dc4,
    0x2200bf0f,0x87c801ff,0xfb88005f,0x1effffff,0x0005f980,0x2e03f300,
    0x1bffea0f,0xff8817f4,0x401ffec2,0x40001ffb,0x3a6be27d,0xffffffff,
    0x07f40002,0x80007f50,0x0fdc01fb,0x3fe227c4,0xbf0fc801,0x401bee00,
    0x0004f87d,0x004dfff4,0x0000bf60,0xc985fe40,0x7fffec3f,0x9bdfe980,
    0xf903ffca,0x753359df,0x00005dfd,0x654408fb,0x00001bef,0x07f407f5,
    0x007ee000,0x09f103f7,0x1f9009f9,0x17f4017e,0x27c47e80,0x0dfd8800,
    0x0bfe2000,0xf7000b50,0xf505ffdf,0x7ec40dff,0x401fffff,0xfffffec8,
    0x200004ff,0x09f1007d,0x01fd0000,0xb00009f5,0x107f500f,0x01ff109f,
    0x00bf0fc8,0x37400df5,0x2a000fe6,0xcdeedfff,0x207f6a0a,0x988bdffa,
    0x10005fea,0x64c01355,0xbca8800b,0x59730001,0xd8000013,0x009f1007,
    0xd07f7000,0xf880001f,0x886f9804,0x809f904f,0xd00bf0fc,0x22fc005f,
    0x7dc003f9,0xffefffff,0x04fffeff,0x3fffffa6,0x00000cff,0x00000000,
    0x40000000,0x09f1005e,0x31be0000,0x6440009f,0xdf9001ff,0x4413e217,
    0x555510ff,0x2abbe1fb,0x01bea1aa,0x02fa8bf0,0x405675c0,0x01ceeca9,
    0x15799730,0x00000000,0x00000000,0x07f30000,0x00013e20,0x3fb17dc0,
    0x16ff4000,0x29fd7100,0x4bea03f8,0x0ffffffe,0x4fffffff,0x0d4000fd,
    0x00000064,0x00000000,0x00000000,0x00000000,0x44007fa0,0x1000003f,
    0x0017e2df,0x98000130,0xa8860060,0x2aa2aaaa,0x0621aaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01ff4c00,0x000007a0,0x0000a288,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0xffeeeeee,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xdffffffe,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1001bb98,0x00013775,0x00015773,0xdb000010,
    0x26000007,0x440000ab,0x3a0001ba,0xffffffff,0x2001efff,0x0001aca8,
    0x3ffffb00,0x0ab98800,0xffffb000,0x00000001,0x7ffffedc,0xfffd102f,
    0x2e007fff,0x03ffffff,0x004fda80,0x2004ff80,0x2e0ffffd,0xcefffffe,
    0x3ffee001,0x3ee2dfff,0x77f43fff,0xeeeeeeee,0xfeb800de,0x001effff,
    0x7f775c00,0xfffd5001,0x7e43bfff,0x3bb22fff,0x000000ff,0xbdffe880,
    0xfb82db99,0xfeba9acf,0x2fbf200d,0x405feb99,0x4ffffda8,0x04ff8000,
    0x43ffbb20,0xca9bcffd,0x74401ffd,0xfca9acef,0x5dddf74f,0x400007e8,
    0xca9abefd,0x000004ff,0xfc8803f7,0xfdba9bcf,0x5dddf92f,0x00003f20,
    0x09ff7000,0x201ef980,0x1bf905fc,0x7ec17ee0,0x04fabeff,0x004ff800,
    0x09fd3f90,0xf101ffa8,0x67ec409f,0x01fa01fb,0x01ff4400,0x00009fb1,
    0xfe803f70,0x33fa600d,0x0fc801fc,0x32000000,0x744002ff,0x42fd800f,
    0x2fc806f8,0xf105efc4,0x59900009,0x3fff2000,0x03fd1002,0x3ee005fb,
    0x01fa01ff,0x8027ec00,0x400001fd,0x0ff201fb,0x01fffd80,0x00000fc8,
    0x001df300,0x22007f50,0x400fe46f,0x3e2006e8,0x00000004,0x4004ffc8,
    0x027d46f9,0xe807ff60,0xef880007,0x00df1000,0x501fb800,0xfe8800bf,
    0x00fc801f,0xff880000,0x01f90000,0x01be3ec0,0xf1002fb8,0x00000009,
    0x2000df90,0x003fa0fb,0x7403ff10,0x1fb80007,0x0003ec00,0x7ec07ee0,
    0x1ff98000,0x0000fc80,0x003fd800,0xf9001f60,0x88013e21,0x09f1004f,
    0x90000000,0x3e20009f,0x740017e3,0x001fa01f,0x2e000a20,0x1571001f,
    0x2fc07ee0,0x003ff000,0x2ae601f9,0x1be20001,0x001f7000,0x007f336c,
    0x9f1006e8,0x00000000,0x7c0005f9,0x20007f35,0x01fa01fc,0xfc800000,
    0x3ffb2a00,0x3ee0ceff,0x0004f881,0x3f2007f6,0x3ffff6a0,0x54000cff,
    0x7c40001f,0x449f1003,0x07e4003f,0x10027c40,0x9ffffffd,0x007f2000,
    0x05f57e80,0xe807ee00,0x9dfdb737,0x3a000005,0x2f7fee07,0x71efdba9,
    0x005f303f,0x6400fe40,0x37bff70f,0x003dfd95,0xe80003e4,0x41fd800f,
    0x3fe2005e,0x004f8802,0x3bbbbb62,0x5f90004f,0xf9afc000,0x03f90003,
    0x77fff7f4,0x000dfffe,0x5413ea00,0x3fa600ef,0x4f881fb9,0x007f6000,
    0x037f23f2,0xb002ffb8,0x006f260d,0x6c407be6,0x2006d85f,0xf8802ffc,
    0x4f880004,0x009f9000,0x05f93e20,0x6c03fd00,0xfd880cff,0xf880000f,
    0x004fa80f,0x203fdfb1,0x3fe0005f,0x3fefc801,0x001ff300,0x7ffecc9f,
    0x74c00eff,0xffcbabdf,0x5007f703,0xf1007fbf,0x9f100009,0x01bf2000,
    0x1fd17dc0,0x01ff8800,0x2fd400a6,0x07fa2000,0xf1001be2,0x03f603ff,
    0x007fe600,0x50017ff2,0x13f880bf,0xf93359ff,0xfff8805f,0x2204ffff,
    0x37ea01fe,0x4f8804f8,0x04f88000,0x007ff900,0x27d46f88,0x007ff600,
    0x002fd800,0x2e05fd10,0xffb8001f,0x000bf501,0xf9003ffd,0x5fb0001f,
    0x7745fcc0,0x201fd301,0xdbacefe8,0x3fa202ff,0xf8b7dc42,0x004f8804,
    0x0004f880,0x4003fff9,0x02fd81fe,0x003fff70,0x002fc400,0xdb01ff44,
    0x00ffc000,0x7e4007f9,0x4fc801ff,0x407f3000,0x400fecf9,0x2ee985f9,
    0x4c09f910,0xeffedfff,0xf1009f30,0x9f100009,0x3a7f2000,0x27f4c04f,
    0x6404ff88,0x0001fbdf,0x22003740,0x027c03fe,0x4403fd00,0x3a600dfe,
    0xc801fccf,0x17e0003f,0x002fff88,0x077c43f9,0x5101fdc0,0xfa839dfb,
    0x004f8803,0x0004f880,0x9dfb11f9,0x7ffb7535,0xacefe880,0xf74feca9,
    0x7c800003,0x00ffa200,0x640007f3,0x7fec401f,0xffcb99bc,0xf9003f93,
    0x03740003,0xfa8017fe,0xe8007ee2,0x2fc80006,0x0004f880,0x90004f88,
    0x7fff5c1f,0x2000dfff,0xeffffffb,0x00007ee2,0xd1001f90,0x05f3005f,
    0x800fe400,0xfffffffa,0x2007f21d,0x3a0001fc,0x0007f406,0x0036c9f1,
    0xb00007ea,0x09f1001f,0x009f1000,0x26203f20,0x4c0001ab,0x03f701ba,
    0x807d8000,0x3e002ff9,0x07f60004,0x03775100,0x3f2007f2,0x017e0003,
    0x5f8001f9,0x7f10013e,0x037c4000,0x80004f88,0xf90004f8,0x00000001,
    0x00007ee0,0xff980dd0,0x002ec002,0x00003ff0,0x32007f20,0x7f10004f,
    0x2002fa80,0x009f13f8,0x20004f88,0x9f1003fd,0x09f10000,0x0003f200,
    0x7e400000,0x3e200001,0x00bfe605,0x20003ee0,0x00001ffa,0xf9003f90,
    0x5f90001f,0x2005f880,0x001be2fa,0x2a0005f5,0x13e2006f,0x013e2000,
    0x00007e40,0x07d80000,0x5fb00013,0x0007fea0,0x22002fcc,0x00001ffe,
    0xf9003f90,0x5f98009f,0x2003f900,0x003f60fd,0x88000fd8,0x3e2000ff,
    0x4f880004,0x001f9000,0xf3000000,0x800ffa0b,0x3ff505fa,0x03fb8000,
    0x007fbf20,0x00fe4000,0x8017f7e4,0xf1000fe8,0x989f500d,0x09f5006f,
    0x005ff500,0x80004f88,0xf90004f8,0x00000001,0xf302ff88,0xffb801bf,
    0x000efa80,0x06fe40e2,0x3f75fd10,0x3f200000,0xfd9fc801,0x01ff4c04,
    0x4c037ee0,0x0dfb80ff,0x8003bee0,0x8001ffd8,0x880004f8,0x1f90004f,
    0x20000000,0x4403fea8,0xa9abdffd,0xfa81efeb,0x0fd4000e,0x88abefc8,
    0xdf72ffca,0x400005bd,0xfdd701fc,0x26fbf61f,0x02ffda98,0x337ff900,
    0x6403ff95,0xdb99abff,0x99bc81ef,0x00dffdca,0x77777764,0xdeeeeeff,
    0x3bbbbae1,0xeeeeffee,0x3bae1dee,0x1deeeeff,0xddb50000,0x07fffddd,
    0x7fffed40,0x3ee04fff,0xeeeeeeee,0x2feeeeee,0x3ffff6e0,0x3fee1dff,
    0xb70003ff,0xbddfdddd,0x07ffff45,0xffffffd7,0xea80001b,0x00efffff,
    0xfffffe98,0xfffd104f,0x10059dff,0xfffffffd,0x7fffffff,0x7ffffff4,
    0xffffffff,0x3fff62ff,0x02ffffff,0xffff9000,0x00019dff,0x400de544,
    0xfffffffb,0xffffffff,0xbca8802f,0xc8000001,0xffffffff,0xca88003f,
    0x400000ab,0x8000acba,0x8009bca9,0x0000acb9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffff90,0xffffffff,0x76dc005f,0x41bcdeef,0x000ffffd,0x7fffe880,
    0x00400000,0x3ffff200,0x7ffdc05f,0x7f440eff,0x004fffff,0xbcdb9880,
    0x99880001,0x99999999,0xb9730199,0x4000379d,0x09acdcca,0x7fcc0004,
    0xeeefc85f,0xeeeeeeee,0xe9802fee,0xfffeeeff,0x7f77647f,0xddb00000,
    0x400000ff,0x75c0007b,0x5405eeff,0x40dffeee,0xfeeeeed8,0x3f620004,
    0x1dffffff,0xffff1000,0xffffffff,0x7ff54bff,0x0dffffff,0xffff9100,
    0x2e7fffff,0xfefd8007,0x4000fc85,0x7fc402fb,0xc8066603,0xd800000f,
    0x32000007,0x7e80000f,0x003f9000,0x30004f88,0x2e237bfd,0x70004ffc,
    0xfb999999,0x3e39999d,0x26209dff,0x74c00ffe,0xb731bdff,0x001fddff,
    0xc85fa7d4,0x00fd8007,0x40001fec,0x800000fc,0x2000007d,0xa80000fc,
    0x37c4003f,0x0027c400,0x26017fdc,0x400004fe,0x03be03f9,0xf9817ee0,
    0xfff5003f,0xf87f4001,0xf8002885,0x000ff805,0x0000fc80,0x00007d80,
    0x00003f20,0x3ee003f4,0x04f88002,0x800ffcc0,0x00003fe8,0x05f80fe6,
    0x3e20ff60,0x7fcc002f,0x7c7f7000,0x7f500005,0x0004f880,0x00001f90,
    0x00000fb0,0x800007e4,0xdf1003fa,0x013e2000,0x88001fd0,0x300000fe,
    0x0027407f,0x09fb0bf1,0x2003f600,0x002fc6f8,0x4400fc80,0xf900004f,
    0xfb000001,0x7e400000,0x1ba00000,0x80017dc0,0x3ea004f8,0x0bf70004,
    0x80fe6000,0x23740008,0x2a0006f9,0xf85f9006,0x0df00005,0x00009f10,
    0x000003f2,0x2ae621f6,0xffff9000,0xffffffff,0xf5007fff,0x000df007,
    0xff0027c4,0x07f40001,0x01fcc000,0xf91f6000,0x30000005,0x000bf0bf,
    0xffb07f30,0xffffffff,0x9007ffff,0xfffd301f,0x7d803dff,0x3fffffa6,
    0x7776402f,0xeeeeeeff,0xd002eeee,0x002fb80d,0x4c013e20,0x7d40003f,
    0x3f980003,0x17e20000,0x000001ff,0x0bf01fb0,0x903f9000,0xdddfdddd,
    0x07dddddd,0xdb301f90,0x801bddff,0x37bff77d,0x4005ff75,0x400000fc,
    0x01be03fa,0x2009f100,0x440001fb,0xf980005f,0x3ee00003,0x0001be22,
    0x7c13ea00,0x06e80005,0x00009f10,0x7fcc03f2,0x7e7ec003,0x00bf6205,
    0x000007e4,0x02fb8374,0x8027c400,0xf80000fc,0x3f980007,0x8ff70000,
    0x000004f9,0x0bf00fe8,0x004f8800,0x200009f1,0x1ffa80fc,0x04ffd800,
    0xf9005f88,0xf5000001,0x0000df05,0x1f6009f1,0x003ec000,0x0001fcc0,
    0xf507bf66,0xb8000005,0x0017e03f,0x22003f70,0xf900004f,0x000efc81,
    0x6400bfb0,0x001f9007,0xf71ba000,0x9f100005,0x0001be00,0x200007e4,
    0xd50003f9,0x0bea09ff,0x6f880000,0x20002fc0,0x13e2007e,0xb07e4000,
    0x6c0001bf,0x00fdc007,0x000007e4,0x01ba2fb8,0x8027c400,0xf900006e,
    0x3f980001,0x0cffd800,0x0000bea0,0x7c01fc80,0x13e20005,0x0004f880,
    0x9fd11f90,0x00fb0000,0xfc802fa8,0x3a000000,0x00007f56,0x3ec013e2,
    0x227e8000,0x03f98004,0xa800fd80,0xeeda802f,0x22deeeee,0x05f805f9,
    0x800bea00,0x900004f8,0x000bff5f,0xf5001f60,0x001f9005,0x757dc000,
    0x3e200007,0x001f9004,0x0fdcff00,0x000fe600,0x1fc401f6,0x7ffffdc0,
    0x3fa5ffff,0x0005f800,0x9f1001f6,0x3ff20000,0x80002fef,0x17d4007d,
    0x00007e40,0x00fffa00,0x004f8800,0x880003f7,0x0007ee5f,0xdb0007f3,
    0x0002fc00,0x04fa83f2,0x7c000bf0,0x027c4005,0x89efc800,0x6c0002fe,
    0x017d4007,0x000007e4,0x0001fee0,0x26009f10,0x7dc0003f,0x30007ee2,
    0x0110007f,0x20003740,0x3fff20fc,0xffffffff,0x2000efff,0x7c4002fa,
    0x3f900004,0x00017f44,0x2fa800fb,0x0000fc80,0x001fd400,0x8013e200,
    0x3a0000fe,0x0007ee0f,0x000005f7,0x40001f90,0x3bbae0fc,0xeeeeeeee,
    0x2000ceff,0x7c4000fc,0x1f900004,0x0002fe88,0x2fa800fb,0x0000fc80,
    0x0003f400,0x50027c40,0x3ee0009f,0x2000fdc5,0x000000fd,0x20005fa8,
    0x3e0000fc,0x00bf0005,0x00009f10,0x3fa203f2,0x007d8002,0x7e4017d4,
    0x2a000001,0x8800003f,0x0fec004f,0x703fe200,0x07f8003f,0x3f200000,
    0x01f90002,0x4002fc00,0xf88003f9,0x1f900004,0x000bfa20,0x2fa800fb,
    0x0004fa80,0x0003fa00,0x0013e200,0x22003ff3,0x0efb83fe,0x0007f900,
    0x44007995,0xfc8002fe,0x017e0000,0x20003f20,0x900004f8,0x0ffc401f,
    0xa800fb00,0x0ff8802f,0x801fc980,0x000003fa,0xf50009f1,0x4ff9807f,
    0x900bfee0,0xff7000bf,0x7cc00bff,0xfb3000df,0x02fc0001,0x88003740,
    0xf900004f,0x01ff8801,0xfa800fb0,0x37ff5002,0xffd95311,0x01fd001d,
    0x13e20000,0x5f7f4400,0x3ffdb98a,0x9befe980,0x00dfec98,0x7ffffe80,
    0x67fe4400,0xfd7331ab,0x7c0001bf,0x01fcc005,0x7f7776cc,0xeeeeeeee,
    0xfddd700c,0x7ff6d401,0x7f6d44ee,0xdb304eef,0x801bddfd,0xffffffea,
    0x76d41dff,0xeeffeeee,0x7764001d,0xeffeeeee,0x01deeeee,0x7fffffe4,
    0x322001df,0x3fffffff,0x3ffee000,0xfd50004f,0xffffffff,0xed880019,
    0x00ceffee,0xfa800f98,0xffffffff,0x00efffff,0x401ffffb,0xeffffffb,
    0x3fffff20,0xffff506f,0x2a003fff,0x2009bccb,0xfffffffc,0x4001ffff,
    0xfffffffe,0xffffffff,0x9973002f,0xb9800015,0x80000abc,0x00002cca,
    0x03579953,0x7fffcc00,0x0000efff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26620000,0x26009999,0x00199999,0x1379b951,0xb9530010,0x99808379,
    0x99999999,0x99999999,0x26666209,0x01999999,0x26666200,0x00999999,
    0x26666620,0x4ccc4009,0x4ccc0999,0x98009999,0x40999999,0x99999998,
    0x81999999,0x99999998,0x26666600,0x99999880,0x99999999,0xfffff101,
    0xffd05fff,0x409fffff,0xffffffc8,0x40f70dff,0xffffffd8,0xff87f2ef,
    0xffffffff,0xffffffff,0xfffff12f,0xffffffff,0x3e20019d,0xffffffff,
    0x203effff,0xfffffff8,0xffff103f,0x3f27ffff,0x07ffffff,0x7fffffe4,
    0x7ffff47f,0xffffffff,0x7fffc0ff,0xe82fffff,0x22ffffff,0xfffffff8,
    0xffffffff,0x99fd9704,0x99930179,0x260379fd,0x530aceff,0x01f95ffb,
    0x2213bff5,0x44fdffb9,0xccccccef,0xcccccefd,0x332a2fdc,0xccccccfe,
    0x002ffedc,0x999ff997,0xdffb9999,0x337f6e03,0x32a00bcc,0x10befccc,
    0x5999df99,0xfdccc980,0x667f42ce,0xcccccccc,0x66540fec,0x80bcccfe,
    0x0bdffdca,0x6666665c,0xbcccccef,0x0007e401,0xff5007e4,0xfffd3005,
    0x401ff881,0x2fc4ffd8,0x7cc09f10,0x2a00f902,0x3ec003ff,0x501ffb80,
    0x9f00005f,0x20003ec0,0x00fd01fc,0xf9007fc4,0x01ff4400,0x00027c40,
    0xf90001f9,0x007fe201,0xfd81ffd0,0xf13fa002,0x3027c40b,0x801f205f,
    0x36001fe8,0x03be6007,0x10000fe6,0x017d407f,0x3f40df00,0xc803fb00,
    0x05ff3007,0x0013e200,0xc8000fc8,0x007fb00f,0x5f81ff10,0x3e27d400,
    0x9813e205,0x800f902f,0x1f6005f9,0xf107f500,0x3f980009,0xa8002fc0,
    0x401fa03f,0x07c804fb,0x0001ff98,0xc80013e2,0x0fc8000f,0x20006f88,
    0x00fe20fd,0x05f89f10,0x2f9813e2,0xfb000f90,0x4003ec00,0x640bf05f,
    0x05f500ee,0xd8000fc8,0x201fa00f,0x0f9006f9,0x0001ffa8,0x900027c4,
    0x1f90001f,0x40003f70,0x0027c45a,0x8817e054,0x40be604f,0x0fc8007c,
    0xb000fb00,0xff81ba0f,0x803f702f,0x7c4004f9,0x7403ec05,0x40f9001f,
    0x80000efb,0x320004f8,0x0fc8000f,0x000006d8,0x3e0000df,0x9813e204,
    0x000f902f,0x03ec00ff,0x07d83740,0x3209f9f5,0x006e800f,0x0ea017dc,
    0x64007f90,0x001df907,0x0013e200,0xc8000fc8,0x0005f80f,0x0007f900,
    0x27c40370,0x03e40320,0xd8017ea0,0x827c4007,0xfd3f907c,0x7dc01f60,
    0x001fa002,0x90017ea0,0x000bfb0f,0x0004f880,0x320003f2,0x001fcc0f,
    0x019fd000,0x27c40000,0x400f9000,0x36000ffb,0x817e4007,0xf97e80fb,
    0x2200db03,0x09f3005f,0x00ff8800,0x9fb13e40,0x9f100000,0x007e4000,
    0x3ea07e40,0x22000002,0x01aceffc,0x013e2000,0x4c407c80,0x6c001ffd,
    0x817f6007,0x9a7c41fa,0x2005e83f,0x1fc800fd,0x017ec000,0xffe8be40,
    0x4400000c,0x3f20004f,0x40fc8000,0x000002fa,0xffffdb88,0x220001be,
    0x3f20004f,0xfedccccc,0xd8000dff,0x77f54407,0xf70bea00,0x02fc2fc5,
    0xdf007f50,0x04fb8000,0x9fd3f900,0x00005ffd,0x900027c4,0x1f90001f,
    0x00002fa8,0xfedb9800,0x9f10004f,0x7ffe4000,0x0dffffff,0x333f6000,
    0xfffedccc,0x21fcc00b,0x883f60fd,0x0374004f,0x88000fea,0x3f20006f,
    0x17fa62ff,0x027c4000,0x0001f900,0x02fa81f9,0x88000000,0x44000dfd,
    0x3f20004f,0xfe999999,0x3f60000e,0xefffffff,0x89f1000c,0xf317d46f,
    0x01fb8007,0xe80003f6,0x3f20001f,0x007fb01f,0x0009f100,0x640007e4,
    0x0027cc0f,0xf7000000,0x04f8800b,0xf901f200,0x1f60003f,0x997e0000,
    0xf527c43f,0x04f88005,0x640009f1,0x7e40003f,0x000fec01,0x80013e20,
    0xfc8000fc,0x0002fc40,0x1f600000,0x0009f100,0x7fd403e4,0x007d8001,
    0x3f26e800,0x07ee6e81,0x7dc1f600,0x0bf30001,0x03e40d50,0x200037c4,
    0x2e0004f8,0x07d8000f,0x000000fd,0x002fa800,0xc80013e2,0x01df3007,
    0x00007d80,0x641fa7d8,0x0001f71f,0x00dd05f5,0x2003fa20,0x00f900fc,
    0x88000fee,0x3e60004f,0x706f8002,0xf800005f,0x07f30002,0x00027c40,
    0x2fdc00f9,0x0001f600,0x82fc5f20,0x000f93f9,0x00fe62fc,0xc8017ec0,
    0x400f900f,0x3e20007e,0x01fc0004,0xfe817ea0,0x44220000,0x5f50005f,
    0x0027c400,0xfd800f90,0x001f6002,0x3ea3ee00,0x03ed7e02,0x7e41f900,
    0x05fa8000,0x3e403f20,0x0007f700,0xb00013e2,0x17e4001f,0x2000bf50,
    0x01ff14fa,0x4001f900,0x320004f8,0x037c4007,0x00000fb0,0x401f93f5,
    0x4000dd7d,0x00bf14f9,0x4001df10,0x00f900fc,0xf10006f8,0x5fa80009,
    0x900bf700,0x7e4001bf,0x00bff10f,0x44006fa8,0x1f20004f,0x4013ee00,
    0x9800007d,0x7dc06faf,0x740005fa,0xb0005f57,0x0fc8003f,0xfc800f90,
    0x04f88001,0x00dfb800,0x64003fee,0xefd801ef,0x037ffe20,0x0003fee0,
    0x640009f1,0x01fd0007,0x00000fb0,0x8809fbf1,0x40004fdf,0x8007eafb,
    0xfc8004fb,0x9800f900,0x4f88004f,0x7ff70000,0x3ffb7313,0xbdffc800,
    0x4ffdb989,0xcffbcf88,0xfeb9889a,0x776d401f,0xeeeeffee,0x3ffbb204,
    0x9800deee,0x77644eef,0xeeeeeeff,0xfff10003,0x07ffd005,0x4fff8800,
    0xeeefc800,0xeeeeeeee,0x3b20ffee,0x0deeeffe,0x06777f40,0xfdddddd9,
    0x3bdddddf,0xfffeb800,0x0000dfff,0xffffffb3,0x897405df,0xfffffffe,
    0xffc800cf,0xffffffff,0xfffd00ef,0x003fffff,0xfe89bff2,0xffffffff,
    0x3fe0005f,0x05ff9007,0x03ffb000,0xfffff900,0xffffffff,0x7ff41fff,
    0x01ffffff,0x8877ffd4,0xfffffffe,0x3fffffff,0x57951000,0x26200001,
    0x00009bcb,0x13599731,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x004ccccc,0x404ccccc,
    0x20099999,0x30099999,0x26001333,0x4c199999,0x99999999,0x99999999,
    0x26662099,0x99999999,0x81999999,0x99999999,0x99880019,0x98800099,
    0x99988199,0x99999999,0x4ccc0000,0x00199999,0x26666620,0x00019999,
    0xd016fe44,0x80ffffff,0x1ffffffc,0x3ffffff6,0xfffffd83,0x7ffffc3f,
    0x7ffec00f,0xff95ffff,0xffffffff,0xffffffff,0x3fffe29f,0xffffffff,
    0x1fffffff,0x3ffffff2,0x2cefffff,0x4fffff80,0xfffff800,0x3ffffe24,
    0xffffffff,0x7e4002df,0xffffffff,0xfff98002,0xffffffff,0x3ffa0006,
    0xff9301ff,0xcb98059b,0x764c3dff,0xc980bccf,0x540bdfdc,0x404ffecc,
    0xcdfeccc9,0x9dfb9731,0x99999999,0x549f9999,0xccccfecc,0xcccccccc,
    0x3f2e61fe,0xdcccccce,0x2a00dffe,0x000feffc,0x06fbfbea,0x999fd995,
    0xffd99999,0x32e6001b,0x5fdfeccc,0x99997000,0x059999df,0x3fffe600,
    0x02fd405f,0xf9017ea0,0x802fa800,0x2001fefc,0x0fe601fb,0x6413e200,
    0x81fb8007,0xfc8804f8,0x7d77401e,0x3e7fa003,0x1007d803,0xe8000bf9,
    0x00001f97,0x9800017e,0x804fffff,0xdf3003fc,0x4007c801,0xafc802fa,
    0x07ee006f,0x88003f98,0x000f904f,0x09f103f7,0x3a037d40,0x3e600dd6,
    0x7d803f9c,0x001fe400,0x07f34f98,0x0017e000,0x3ffffd00,0x1007fa00,
    0x0f9003fd,0xc802fa80,0x7003fb8f,0x01fcc03f,0x7c827c40,0x881fb800,
    0x27d4004f,0x00beedd0,0x00fe63f2,0x1ba001f6,0xdd0fdc00,0x017e0000,
    0x02f6a000,0x200ff880,0x0f9003fd,0xc802fa80,0x7001fd0f,0x01fcc03f,
    0x7c827c40,0x881fb800,0x0fe8004f,0x017e2dd0,0x00fe6bf1,0x3f2001f6,
    0x5c6e8000,0x5f80001f,0x00000000,0x5fb82fd4,0x5001f200,0x21f9005f,
    0x1fb804fa,0x4000fe60,0x000f902d,0x013e20d3,0x37417e60,0x8fdc03f9,
    0x07d803f9,0x4000fd80,0x027c43f9,0x0002fc00,0x7e400000,0x20037cc4,
    0x17d4007c,0x3fb07e40,0x2601fb80,0x0002e03f,0x002981f2,0xc80027c4,
    0x3e26e80f,0x3f99be04,0xf8007d80,0x80fc8005,0x7c0000fd,0x00000005,
    0x3a25fb00,0x03e4000f,0x3200bea0,0x701be20f,0x81fcc03f,0x7c8003f9,
    0xf1001f20,0x07ee0009,0x501fb1ba,0x401fcc5f,0x1fe4007d,0xfa82fc00,
    0x02fc0002,0x80000000,0x02fd8ff8,0x54007c80,0x40fc802f,0x07ee02fc,
    0x7f303f98,0x6c0f9000,0x027c4007,0x6e82f980,0x23f41fcc,0x07d803f9,
    0x000bfb10,0x037c05f5,0x00017e00,0xf9800000,0xf90004ff,0x55555557,
    0x005f9555,0x0ff881f9,0x7cc03f70,0xfbaaaaad,0xaafc8003,0x007eaaaa,
    0x880027c4,0x6e86e84f,0x0fe627cc,0x2aaabf60,0x4fffdbaa,0x401fb000,
    0x3e0000fc,0x26200005,0x40000999,0x320007fc,0xffffffff,0x02ffffff,
    0x4fa80fc8,0x7cc03f70,0xffffffff,0xfffc8003,0x007fffff,0x880027c4,
    0xfa86e84f,0x7f303f62,0xfffffb00,0x7fffffff,0x80bf1000,0x3e0003f9,
    0x3fa00005,0x20002fff,0x0003fff8,0x333333f9,0x5f733333,0x3a01f900,
    0x201fb80f,0xaaaaadf9,0xfc8003fb,0x7eaaaaaa,0x0027c400,0x06e84f88,
    0x2617e2df,0xaafd803f,0xecbaaaaa,0x2e002fff,0x006e801f,0x400017e0,
    0x005ffff9,0x0ff57f40,0x2003e400,0x0fc802fa,0x3f70bf30,0xf981fcc0,
    0x207c8003,0x27c4007d,0xe83f8800,0x3f73f706,0xfb007f30,0x02ffb800,
    0x3ee00fd0,0x00bf0001,0x3fffee00,0x53f20000,0x64000ef9,0x017d4007,
    0x5f9007e4,0x3e601fb8,0x0005f103,0x003e40f9,0x540013e2,0xf106e81f,
    0x0fe60dfb,0x26001f60,0xeff9807e,0xeeeeeeee,0xbf0005fe,0xfe84a800,
    0x2a0003ff,0x002fd45f,0x5f5001f2,0x4401f900,0x300fdc6f,0x8001407f,
    0x0006207c,0x320009f1,0x3206e80f,0x07f302ff,0x2a000fb0,0x7ffe402f,
    0xffffffff,0xf8000fff,0x223ec005,0x20006fff,0x3fc80ff8,0x5001f200,
    0x01f9005f,0x07ee3fb8,0x00003f98,0xd50007c8,0x20009f10,0x4c0dd06e,
    0x00fe605e,0x7c4001f6,0x2002fc05,0x5f8002fa,0x3ea3ec00,0x3a0001ff,
    0x007fa01f,0x3ea003e4,0x800fc802,0x403f70fe,0x800003f9,0x1f90007c,
    0x98004f88,0x000dd04f,0x7d803f98,0xa81fa000,0x06f8002f,0x6c005f80,
    0x002ffec7,0xf8807f90,0x007c800f,0x7e4017d4,0xf75f9800,0x001fcc03,
    0x8003e400,0x027c40fc,0x7407fa20,0x1fcc0006,0xf0003ec0,0x0007ec0b,
    0x3e0007e4,0x3e3ec005,0xf50000ff,0x01be600b,0x5f5001f2,0x2001f900,
    0x201fb9fc,0x800003f9,0x1f90007c,0x6c004f88,0x001ba04f,0xfb007f30,
    0x40fea000,0xf30005f8,0x005f8009,0x07ff53ec,0x003be600,0x3e404fb8,
    0x200bea00,0xdf1000fc,0x1fcc03f7,0x03e40000,0x7c40fc80,0x01bf2004,
    0xf98000dd,0x8007d803,0x5f500ff9,0x00374000,0x4fb0017e,0x3a0005fb,
    0x2fd8001f,0xf5001f20,0x001f9005,0x300fffdc,0x9000007f,0x03f2000f,
    0xfd5009f1,0x006e801b,0x6c01fcc0,0x3fee2007,0x0001f601,0x2fc003f7,
    0x0151f600,0xeffec880,0x3bae01de,0xdb52dffe,0x503bddff,0x1bddfddb,
    0xeeefeec8,0x0fff401d,0x3bbfbb66,0x001deeee,0x3bbffbb2,0xeeeeeeee,
    0xb50ffeee,0xdddddffd,0x409fffdd,0xeeeffed8,0x7776cc04,0x77644eef,
    0xeeeeeeff,0x1fffeeee,0xeeffed98,0x776cc04e,0x3224eefe,0xeeffeeee,
    0xeeeeeeee,0x880007fe,0x2ffffffe,0x3fffffa0,0xfffff74f,0xfff905ff,
    0xfe83ffff,0x02ffffff,0x3ee0ffcc,0xffffffff,0x3fa002ff,0xffffffff,
    0xffffffff,0xffff70ff,0xddffffff,0xfff98017,0x200effff,0xfffffffa,
    0x3ffffa26,0xffffffff,0x3ea01cef,0x06ffffff,0x7fffffdc,0x3fffa26f,
    0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,0x99998009,
    0x01310009,0x00001770,0x36a00000,0x000e4000,0x26aea620,0x5d440000,
    0x5300001a,0x10000157,0x00135755,0x03575300,0xdfffff70,0xffff7001,
    0x6fe441df,0x97ffffc2,0x07fffffe,0x7fffffe4,0x3fffee01,0x7ff904cc,
    0x00000000,0x0007ff4c,0x260009f1,0xfffffffd,0xf700599d,0x1bffffff,
    0xfffd8800,0x000cffff,0x3ffffb2a,0x98003fff,0xfffffffe,0x7f5c5b0c,
    0xb800deef,0x745efeee,0x3fa2ffff,0xfd931fff,0xcb98059b,0x3f603cff,
    0x04ffdbdf,0x000bbfea,0xfd880000,0x7c4000cf,0xdffa8004,0xffcaa9ab,
    0x3fa201ff,0xfdca9bce,0xbff7003f,0xffd95357,0x9dffb005,0xdfd75355,
    0x37ff2001,0xffeba9ab,0x007d85fb,0x3e607e40,0x3f65ffff,0x37c40fff,
    0x500fee00,0x001a81bf,0x0003bff7,0x7fe44000,0x9f10001d,0x01ff9800,
    0x980ffec4,0x7f4c04ff,0x00f7ec05,0x7500ffaa,0x00bf7001,0xe9801bfd,
    0x01fb85ff,0x3e61ba00,0x3f24ffff,0x09f707ff,0x3a01be20,0xc880001f,
    0x00000cff,0x00f7fdc0,0x0013e200,0x3e2007f9,0x01fe881f,0x7dc0bf60,
    0x07fa2005,0x00fe8000,0xe8800fee,0x103f985f,0xd827c055,0x3ee1ffff,
    0x07f606ff,0x3e007f60,0x6cc00006,0x800003ff,0x0002ffea,0xd8009f10,
    0x407dc007,0x744002fc,0x0037cc0f,0x000037c4,0x17e605f7,0x7c17ea00,
    0x301ff905,0x05ed407f,0x8817ffea,0x027dc06f,0x000006f8,0x0005ffd5,
    0x007ffb30,0x004f8800,0x060017d4,0x4c0017e6,0x000fec5f,0x00002fa8,
    0x07f607f3,0x6e827c00,0xf705fff0,0x3fe60003,0x81fdc04f,0x3f6006f8,
    0x2e000000,0x88002eff,0x0000cffc,0x4004f880,0x0000bff8,0xe80007ee,
    0x10003747,0x2600009f,0x000bf03f,0x40fc804c,0x7d85fcf9,0x1fffc000,
    0x7ec0ff40,0x013e6001,0xff910000,0xff91003b,0x4000003b,0xd88004f8,
    0x0abcdfff,0x40007d80,0x55bf10fc,0x55555555,0x0bd55555,0xfffeec98,
    0x883fccef,0x5000004f,0xfd8fc85f,0x20003740,0xf8802fff,0x40027d46,
    0x000000fc,0x00cffc88,0x0005dff7,0x009f1000,0x7fff6540,0x1ba03fff,
    0x263f7000,0xffffffff,0xffffffff,0xffb307ff,0xfddd9ddf,0x05f507ff,
    0x13e20000,0xf88beadf,0x7ff40004,0x227f7001,0xf98000ef,0x20000005,
    0x3aa3ffd9,0x200002ff,0xfffffffd,0xffffffff,0x31001eff,0xd03dff95,
    0x2fa8000d,0x55555bf1,0x55555555,0xff305555,0x3fb8803b,0x00002fa8,
    0x23f997e0,0x000bea5f,0x4001ff90,0x002fc9fe,0x017ffe44,0xfea80000,
    0x0fff662f,0xeeeb8000,0xeffeeeee,0x0deeeeee,0x07fea000,0xfc8000fb,
    0x000017e0,0x98007fe2,0x003f983f,0xfc9f6000,0x07dc3f60,0x017ea000,
    0x009fdf30,0x6faffe88,0x80007970,0x2a03ffd9,0x00002ffe,0x0004f880,
    0x5c4f8800,0x1f60001f,0x900000fd,0x3f98003f,0x00000bf0,0x546f8fdc,
    0x0000fb3f,0x3ee0002a,0x27e4000f,0x7ff889f5,0x9ff91000,0x3bfee001,
    0x22000001,0x012a004f,0x13ea3ec0,0x322fcc00,0x7400002f,0x03f98006,
    0x000001fd,0x20fe6fe6,0xc980bf5f,0x400002ef,0x6f8004f8,0x0fee1fd8,
    0x37ff2200,0xffc88001,0x8800001d,0x03f6004f,0x3f61f600,0x81fe8001,
    0x200000fe,0x3fd8006f,0x40009f70,0x3f33e01a,0x03f9fc80,0x017ffff4,
    0x009f1000,0x6f883f98,0xf70003fa,0x100005df,0x00019ffb,0xb0027c40,
    0x5f88007f,0x2000ef88,0x0df303fc,0x3fb0ea00,0x0fffa600,0x44002fd8,
    0x3fba04fd,0x03fdf506,0x2fffffd4,0x09f10000,0xf700fc80,0x5400bf37,
    0x00002ffe,0x003ffe98,0x4009f100,0xd3004ffd,0x0bfea03f,0xb80dfb10,
    0xfd5002ef,0xb805fb8f,0x2203fdff,0xff7004ff,0x1ffe401b,0x4401fff0,
    0x004fffff,0x0013e200,0x6ff401f9,0xffd9802f,0xa8000003,0x40002ffe,
    0x3f6004f8,0x889acefe,0x402ffda9,0x989bdfea,0x5004ffca,0x31157bfd,
    0x01bffd95,0x73135dfb,0xdf33dfdb,0xdfd307bd,0xd9731357,0xff5007ff,
    0x4037e401,0x001ffffd,0x0013e200,0x7fcc03f7,0x67fe4406,0x40000000,
    0x0001effb,0xb5c009f1,0xffffffea,0x91001dff,0xdfffffff,0xffc88003,
    0xdfffffff,0x7fffdc01,0x3e63ffff,0x3ee05fff,0xffffffff,0x00000003,
    0x0000bc98,0x20027c40,0x1ff405f9,0x01dffb88,0x22000000,0x4000dffc,
    0x4c0004f8,0x00abccba,0x57973100,0x95300001,0x88001379,0x000abcba,
    0x2f32a600,0x0000001a,0x00000000,0xf90009f1,0x03fff607,0x0000bbf6,
    0xfd880000,0x0fe2000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88004f88,0xfda89cfe,0x2e4eefad,0x00000002,0x20012600,
    0x4ccc000b,0x99999999,0x20999999,0x88888888,0x88888888,0x08888888,
    0x00000000,0x00000000,0x00000000,0x027c4000,0xffffd880,0x01bff64f,
    0x00000000,0x20000000,0xfffffff8,0xffffffff,0xffff33ff,0xffffffff,
    0xffffffff,0x000dffff,0x00000000,0x00000000,0x20000000,0xffeeeeda,
    0x2004eeee,0x0000bcb9,0x00000000,0x40000000,0xfffffff8,0xffffffff,
    0x999713ff,0x99999999,0x99999999,0x00059999,0x00000000,0x00000000,
    0x20000000,0xfffffffb,0x000effff,0x00000000,0x00000000,0x26660000,
    0x99999999,0x00999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a201751,0x9880001b,0x000000ab,0xfffb004c,
    0x7ffd401f,0xfff902ff,0x3faa0bff,0x7ec1efff,0xffffffff,0xf72fffff,
    0x0bffffff,0x3fffffaa,0x0079005f,0x00999988,0x33260010,0x666544cc,
    0x2666623c,0x99999999,0x20999999,0x7ff4c019,0x8bffff75,0x205ffffc,
    0xd10fffe8,0x07dfffff,0x4ffffe98,0x2dfffd98,0x00ffeec8,0x0bfbbbaa,
    0x2777ff64,0xeffeee98,0x77777ec1,0xfeeeeeee,0xdffdd51f,0x3ba609dd,
    0x005eeffe,0xfff800df,0x3f8803ff,0x6ffffa80,0xdaffffdc,0xffffffff,
    0xffffffff,0x7f91ffff,0x6f7f6cc0,0xb4feabef,0x09fd57df,0x2a3ffb62,
    0xfba9bdff,0x3bb6603f,0x3ff224fe,0x203ffbbe,0x3ea000fc,0x801fec02,
    0x0fb02fe8,0xfb81fec0,0x007e8001,0x3e6006f8,0xfd007fff,0xfff9803f,
    0x7fffd45f,0x99999954,0x99999999,0x21799999,0xff804fe8,0x3fefd85f,
    0x7e400fe8,0xfb100efc,0x453e2005,0x37441dfe,0x54001f90,0x04fd802f,
    0xfb00ffc4,0x8813f200,0x27cc005f,0x70037c00,0x9007ffff,0xf801ff9f,
    0x7fc44fff,0x000003ff,0xf80bfb10,0x4ffa80ef,0xfc805f70,0x05f8805f,
    0x7ff39f10,0x03f20080,0xb002fa80,0x07fe609f,0xbf700f90,0x4001f900,
    0x6f8000fd,0x1bfff600,0x37d57ea0,0x20ffffe0,0x0001ffff,0x077e4000,
    0xdf100ff8,0x3201fcc0,0x1f9000ef,0x3ffdf100,0x00fc8000,0xd800bea0,
    0x00ffcc4f,0x1bea00c4,0x88027cc0,0x20b7205f,0x21ed446f,0x4c02ffff,
    0x813ee0ef,0xfe81fffd,0x000000ff,0xf80efb80,0xf302fc05,0x000fc807,
    0x3e200bea,0xc80001ef,0x0bea000f,0x3e69f900,0xf300001f,0x07ec001d,
    0xfb00fe40,0x23be5bff,0x2a4fffda,0x74406fff,0x903fd81f,0xffb01fff,
    0x0000000f,0x02fc06d4,0x03f9817e,0xf50007e4,0x01df1005,0x003f2000,
    0xc8002fa8,0x0000efdf,0x8001ff30,0x37c403fa,0x7fff5c40,0x0befffff,
    0x200fffe4,0x3fd102fd,0x320fff70,0x3bbb26ff,0xeeeeeeee,0xeeeeeeee,
    0x0bf0000d,0x0fe605f8,0x54001f90,0x04f8802f,0x003f2000,0xb0002fa8,
    0x200001ff,0xd0001fe8,0x002fb80d,0x5f7ff5c4,0x017ffa00,0xff9809f9,
    0xb837fd40,0x3bbae5ff,0xeeeeeeee,0xeeeeeeee,0x0bf0000d,0x0fe605f8,
    0x54001f90,0x04f8802f,0x003f2000,0xa8002fa8,0x80005fff,0x20002fe8,
    0x01fa02fb,0x037ff440,0xa807ffe2,0x8df5005f,0xff505ff9,0x00000009,
    0xbf017e00,0x3201fcc0,0x0bea000f,0x00013e20,0x2a000fc8,0x77d4002f,
    0x40005fb8,0x440003fd,0x007f506f,0x13f2ff60,0x2205ffb8,0x3f2000ef,
    0xf881ffc3,0x0004402f,0x005df930,0x40bf017e,0x07e403f9,0x1005f500,
    0x6400009f,0x0bea000f,0x2e0efb80,0xfc8000ef,0x3f900003,0x50001fb0,
    0xd817f4bf,0x032200ff,0x1d70ae00,0xd9807640,0xe8000dff,0xf802ffff,
    0xf302fc05,0x000fc807,0x3e200bea,0x3f200004,0x00bea000,0x7dc077dc,
    0x13f2000e,0x3e200220,0x40027c45,0x3fe20ff8,0x0002fc80,0x40000000,
    0x2ffddff9,0x7fcc7620,0x5f805fff,0x7f302fc0,0x2000fc80,0x4f8802fa,
    0x07ee0000,0x4017ec40,0x3ea00efb,0x05fb800e,0x3f600bd0,0x20007f20,
    0x05fa81fe,0x00000001,0x1ff98000,0x7ec0ffe6,0x9fffff12,0x5f80bf00,
    0xf900fe60,0x017d4001,0x000027c4,0xfd3009f5,0x05fc805f,0x5401df50,
    0x01be006f,0x05f8a7cc,0x3203f980,0x0000000f,0xfe800000,0x224fe881,
    0x7ffec4fd,0x405f800f,0x00fe605f,0x7d4001f9,0x004f8802,0x803fe200,
    0x202fdffb,0x7d4005fc,0x00ef980e,0xfe801be0,0x10002fb8,0x00000100,
    0x20000000,0x77fe400b,0x179304ff,0xbf017e00,0x3201fcc0,0x0bea000f,
    0x00013e20,0x7339ff50,0xdf53dffb,0x77ff5c7d,0xddb303ee,0x7fc19fff,
    0xeeeeeeee,0x005feeee,0x001bfbea,0x00000000,0x00000000,0x05bfd700,
    0xffdb3000,0x9dff01bd,0x549ddf30,0x04eeffed,0x4fbbfbae,0xffccccc8,
    0xdeeeeeee,0x7ffdc000,0x3ea3ffff,0x3fff25ff,0xff505fff,0x223dffff,
    0xffffffff,0x5fffffff,0x01fffc00,0x00000000,0x00000000,0x00000000,
    0x7fffffd4,0x40efff81,0x3ee6fff9,0x00efffff,0x2bfffffb,0xfffffff9,
    0xffffffff,0xccb98001,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_48_usascii_x[95]={ 0,10,5,3,4,3,5,9,12,6,0,2,6,3,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,2,4,0,0,0,4,1,9,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,3,1,1,1,2,3,4,0,11,0,3, };
static signed short stb__courier_48_usascii_y[95]={ 35,8,9,7,6,8,12,9,9,9,9,12,28,21,
30,6,8,8,8,8,9,9,8,9,8,8,17,17,12,18,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,6,9,8,44,7,16,9,16,9,16,9,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,9,9,9,19, };
static unsigned short stb__courier_48_usascii_w[95]={ 0,6,15,19,17,19,17,7,8,8,16,21,9,19,
7,17,17,17,18,18,17,18,17,17,17,17,7,10,21,22,21,16,17,26,23,21,21,22,21,22,22,17,22,24,
22,26,24,22,21,22,25,19,21,23,26,25,23,22,18,8,16,8,17,27,8,21,23,20,23,21,20,22,23,19,
15,22,19,26,21,21,23,23,21,18,20,23,24,24,22,22,17,9,3,9,19, };
static unsigned short stb__courier_48_usascii_h[95]={ 0,28,12,31,33,28,24,13,32,32,16,22,14,4,
6,33,28,27,27,28,26,27,28,27,28,28,19,23,22,9,22,26,30,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,30,25,26,25,26,25,25,25,25,25,32,33,32,12,3,7,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,19,18,19,18,26,18,32,32,32,8, };
static unsigned short stb__courier_48_usascii_s[95]={ 255,211,207,130,17,191,24,247,94,121,162,
86,179,108,243,52,218,55,159,236,237,140,1,1,19,37,239,241,64,223,42,
197,173,191,167,25,118,95,73,214,25,234,174,209,218,140,48,151,115,150,89,
47,67,1,163,137,1,1,190,112,35,103,189,128,246,171,226,193,178,149,19,
117,63,73,1,40,131,1,28,127,93,202,50,108,87,72,137,214,96,108,119,
80,90,70,223, };
static unsigned short stb__courier_48_usascii_t[95]={ 1,1,173,1,1,1,147,147,1,1,173,
147,173,168,183,1,1,37,37,1,66,37,37,66,37,37,147,121,147,173,147,
66,1,121,121,94,121,121,121,66,121,94,66,94,121,121,121,66,94,1,94,
94,94,94,94,94,121,147,94,1,1,1,173,168,173,147,37,147,37,147,66,
37,66,37,1,66,66,173,173,147,37,37,173,147,66,173,173,147,173,66,173,
1,1,1,183, };
static unsigned short stb__courier_48_usascii_a[95]={ 407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,407,
407,407,407,407,407,407,407, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_48_usascii_BITMAP_HEIGHT or STB_FONT_courier_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_48_usascii(stb_fontchar font[STB_FONT_courier_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_48_usascii_BITMAP_HEIGHT][STB_FONT_courier_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_48_usascii_s[i] + stb__courier_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_48_usascii_t[i] + stb__courier_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_48_usascii_x[i];
            font[i].y0 = stb__courier_48_usascii_y[i];
            font[i].x1 = stb__courier_48_usascii_x[i] + stb__courier_48_usascii_w[i];
            font[i].y1 = stb__courier_48_usascii_y[i] + stb__courier_48_usascii_h[i];
            font[i].advance_int = (stb__courier_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_48_usascii_s[i] + stb__courier_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_48_usascii_t[i] + stb__courier_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_48_usascii_x[i] + stb__courier_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_48_usascii_y[i] + stb__courier_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_48_usascii_LINE_SPACING
#endif

