// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_46_usascii_BITMAP_HEIGHT        232
#define STB_FONT_times_46_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_46_usascii_FIRST_CHAR            32
#define STB_FONT_times_46_usascii_NUM_CHARS             95

#define STB_FONT_times_46_usascii_LINE_SPACING          30

static unsigned int stb__times_46_usascii_pixels[]={
    0x03933800,0x51002e40,0x9880038b,0x09999999,0x44199100,0x99999999,
    0xba980000,0x01bcdedc,0x00000000,0x00077000,0x0c400000,0x00080000,
    0x00001320,0x1fc98ba6,0xd9007d80,0x000db817,0x3fffffee,0xffb003ff,
    0x7ffffe4b,0x10002fff,0x3359bfd7,0x017dd955,0xeca98000,0x001bceff,
    0x30009900,0x0019dfd7,0x0002fc40,0x77ff65cc,0x3ee001bc,0x3f200000,
    0xd807f302,0x00774407,0x2a6005f5,0x3ffdaaaa,0x64ffff00,0xaaaaacff,
    0x77e4c000,0x0ff26002,0x3ffa2000,0xfffecbde,0xdb98000e,0x401bdeff,
    0xefd8bff8,0x01fb0000,0x77ff4400,0xeffedbac,0x003f8801,0xc803fd00,
    0xd01f603f,0x09f5003f,0x01ffe400,0x3f23ffb8,0xfb80003f,0x3a20001d,
    0xff70000e,0x3fae201d,0xff91003f,0xdffd9ddd,0x42fe8817,0xfa8005fe,
    0x3fee0003,0x3ffa600d,0x0006e803,0xf9801fd8,0x5c0fb00f,0x13ea006f,
    0x01ffe400,0x3ffc8110,0x027e4000,0x001f7000,0x8027fec4,0x200dffe8,
    0x4991dfe8,0x7e42ffe9,0x00ffdc0f,0x2000bf10,0x1004ffe8,0x5c01bffb,
    0x3ee0000f,0x417fa002,0x07ff107d,0x8003fe80,0x40003ffc,0x10003ffc,
    0x000005fd,0x7ff400b9,0x5ffe8005,0x4c83ff60,0x37fc2fe8,0xb002ffcc,
    0x3f60001f,0xffe8004f,0x000fe206,0x3e0037d4,0x260fb06f,0x7cc004ff,
    0x7fe4001f,0x7fe40003,0x1fe88003,0x0fa00000,0x007ffee0,0x20fffea0,
    0x42645ffa,0x1bfe22fa,0x5401bfe6,0xff70002f,0xff50001f,0x0037407f,
    0x10017fc4,0x0fb01fff,0x20017fee,0x7e4006fc,0x7e40003f,0x3fc8003f,
    0x7c400000,0x17ffe600,0x0fffd800,0x1321ffe4,0x0bff5174,0xf100fff1,
    0x3fe6000b,0x3fa0005f,0x01f700ff,0x000ffc80,0x3603ffe6,0x00dff707,
    0x4005ff50,0x40003ffc,0x54003ffc,0x0000005f,0x7fff407b,0x3fea0001,
    0x22ffec5f,0x7dc5b04c,0x0fff885f,0x80007ec0,0x0001fffe,0x4417ffea,
    0x37fc003f,0x41ffea00,0x0fff507d,0x00dff100,0x4001ffe4,0x800fff20,
    0x44000ff8,0x40cc40ba,0xbfff706a,0xfff88000,0x83ffee2f,0x7cc5704c,
    0x07ff885f,0xb80017dc,0x80005fff,0xdb02ffff,0x01ffd400,0x6c1bfee0,
    0x01fff307,0x005ffd00,0x4400fff2,0x0fff25fc,0x2003fd80,0xb4ebcfd8,
    0x203e03ff,0x0004fffd,0x264fffe8,0x01324fff,0x7cc2ffc4,0x013e206f,
    0x04fffc80,0x4fffe800,0x3a001f70,0x7e4002ff,0x220fb05f,0xb8001fff,
    0xff9005ff,0xfffda807,0x400fff25,0x3ea007f8,0x3ffd6c0e,0xfffd05d0,
    0xff900007,0xdffff8bf,0x3fa004c8,0x204ffa86,0x3a0000ee,0x80003fff,
    0xf105fffd,0x3fff3007,0x04ffc800,0x0fffc0fb,0x07ffd400,0x701ffe40,
    0x64bfffbb,0x9f7003ff,0x203bee00,0x3605fffa,0x02ffff83,0x7fffb800,
    0x6f7fffe4,0x03fee004,0x3ee01ff9,0x7ffc0001,0xfc80002f,0x01b607ff,
    0x0003fff2,0x1f605ff7,0x8000ffd8,0xc802fff9,0xffd003ff,0x801ffe4b,
    0xffb801fe,0x80bffe01,0x7fffcc3c,0xffa80002,0x7ffe40ff,0x7ec005ff,
    0x4c13fe24,0x7cc0004f,0x80001fff,0x700ffffb,0x7ffd801f,0x02ff8800,
    0x02fec0fb,0x04fff980,0xb003ffc8,0x1ffe4bff,0x54037cc0,0x3fe203ff,
    0xf513200f,0x00003fff,0x903ffff5,0x009fffff,0x3ffbcfe8,0x20001ba0,
    0x000ffffa,0x1ffffa80,0xfe807f10,0xbf70007f,0x7fc41f60,0xfff10001,
    0x07ff900b,0xfc97ff20,0x03fb803f,0x26037f44,0x21ec06ff,0x000ffffb,
    0x2ffff980,0xdfffff50,0x5e5c4003,0x8807f201,0x3fee01ca,0x980000ff,
    0x3602ffff,0x037ffc06,0xfb03fb00,0x0000bf20,0xf900dfff,0x3ff2007f,
    0x200fff25,0x7fe402fc,0x01ffe402,0xffff50ba,0xff500003,0x7ec403ff,
    0x0003ffff,0xf901fcc0,0xf505ff9d,0x00003fff,0x401ffff5,0xfff100fa,
    0x3ec8000b,0x07b223ec,0x1fffe000,0x400fff20,0x3ff25ffc,0x201fd803,
    0xfe806ff9,0x2a0fc01f,0x0002ffff,0x00ffffa8,0x4fffffd8,0x81ba0000,
    0x07fe25fc,0x005ffff1,0x0ffff700,0xff303f88,0xb300009f,0x7ec5f67f,
    0x3fa00003,0x7fe400ff,0x4bff9003,0xfe803ffc,0x00bff200,0x7a80fff1,
    0x03ffff98,0x7fffb800,0xfffdd900,0xf900009f,0x907fea03,0xffff81df,
    0xffc80003,0x306d806f,0x0000bfff,0x45f69f71,0x200003fe,0xfc807ffe,
    0xbff9003f,0x7c01ffe4,0x03ffe207,0xd809ff90,0x09ffff04,0xbfff9000,
    0x7fe53200,0x260003ff,0x21ffa03f,0x7ff43ffa,0xfd80004f,0x1fa804ff,
    0x005fff88,0xfb067dc0,0x0001ed98,0xc807ffe8,0xff9003ff,0x401ffe4b,
    0x17fee06f,0x405fff30,0xfff901f8,0xffb0000b,0xb932007f,0x8000ffff,
    0x37fc05e8,0x3f22ffcc,0xd80005ff,0xf8803fff,0x00dfff03,0x3ec0fe40,
    0x40001fc8,0xfc806fff,0xbff9003f,0x7401ffe4,0x00fff207,0x6401fffb,
    0x3fffea06,0x7ffc0000,0xf7132006,0xf90005ff,0x437fcc01,0x7fcc6ff8,
    0x7c0000ff,0xdb000eff,0x001fffe0,0x07d837dc,0x20001ff3,0xc805fff8,
    0xff9003ff,0x401ffe4b,0x5ffb00fd,0x037ffdc0,0xffe805f1,0x3ee0003f,
    0x132002ff,0x8009fff1,0x7fd403fa,0x40fff885,0x0003fffc,0x800bffee,
    0x7ffe81fa,0x02ff8800,0x02fec0fb,0x03fff880,0x9003ffc8,0x1ffe4bff,
    0xfe80fe40,0xff7d502f,0x4c02ec09,0x20007fff,0x00c86fff,0x09ffb099,
    0x5402fc40,0x7ff885ff,0x00ffff88,0x00bfff00,0xffb83f88,0x7fdc000f,
    0x7ec0fb02,0xff98000f,0x3ffc802f,0x64bff900,0x2fb803ff,0xd50bffd0,
    0x3605ff71,0xfff9000f,0xfff70007,0x13205d03,0xd800bff2,0x6ff8800f,
    0xf507ff88,0xf70007ff,0xdb0001ff,0x003fff30,0xfb03ffc8,0x000fff40,
    0x4007ffd4,0xf9003ffc,0x01ffe4bf,0xffc827cc,0x90eda8cf,0x0ed885ff,
    0x3fff2028,0x3ffe2000,0x13209d01,0x54007ffa,0x1bfe002f,0xfd81bfe6,
    0x3e6001ff,0xf50002ff,0x005fff03,0xfb05ffd8,0x0017ffc0,0xc802ffdc,
    0xff9003ff,0x801ffe4b,0xffff307e,0x7fd41bff,0x80efb99e,0x7ffe405b,
    0x1fffa801,0x13203fa0,0x22009ff3,0x7fec005f,0x2017fdc0,0xb802fffa,
    0x20000eff,0x4ffc84f8,0x837fe400,0x1fff307d,0x03ff9000,0x400fff20,
    0x3ff25ffc,0x205f5003,0xb03dffd9,0x205dffff,0xfe9801f8,0x7e4c41bf,
    0x77f401df,0xdfd12640,0x003f6001,0xfe87fd10,0x9ffd1006,0x7fed4413,
    0x0db00004,0xa800dff1,0x20fb07ff,0xf0007ffa,0x7fe400df,0x4bff9003,
    0x3e003ffc,0x44004c05,0x005d801a,0x777fff54,0xd001dfff,0x53217fff,
    0x7000efea,0x3e20005f,0x01efd8bf,0x77ffedc0,0x001defff,0x3207ea00,
    0x3e6000ff,0x707d80ff,0xf3000dff,0x7fe4007f,0x49ff9003,0x2e003ffc,
    0x0000001f,0x5c0007e6,0x03ffffff,0x7ffed440,0x03efffff,0x00013e20,
    0x019dfd71,0x9bca8800,0x91000000,0x007ff103,0x6c07ffc4,0x00bff707,
    0xc800df70,0xff9003ff,0x001ffe47,0x000003f6,0x00013a20,0x1ffffff3,
    0x75d4c000,0x188000ae,0x00000000,0x00000000,0x800df700,0x20fb07ff,
    0xf8004ff9,0x7fe4001f,0x45ff9003,0x44003ffc,0x4000005f,0x100004e8,
    0x00bffffd,0x00013200,0x00000000,0x00000000,0x003fc800,0x83ec17fa,
    0x5c003ff8,0xffc8002f,0x43ff9003,0x98003ffc,0x3000004f,0x9000009d,
    0x0009ffff,0x36600990,0xdddddddd,0xdddddddd,0x0000dddd,0x00000000,
    0x007f4000,0x7d80ffcc,0x9801bf20,0xff90004f,0x91bf2007,0x260007ff,
    0x200000ef,0x000004f9,0x013fff6a,0x26001100,0xffffffff,0xffffffff,
    0x000fffff,0x00000000,0x76c40000,0xb027e400,0x801fe80f,0x320005f9,
    0x20f6a3ff,0x1ffe42fe,0x05fb1000,0x03fd9800,0xfb300000,0x000001bf,
    0x00000000,0x00000000,0xd7000000,0xb013e601,0x405e980f,0x553003fa,
    0x47ffb555,0xbf30dfff,0x5559ff90,0x7dc00155,0x366000bf,0x000000cf,
    0x0cffc980,0x40000000,0x1db88000,0x00000000,0x4c000000,0x00bee21e,
    0x176c01f6,0xf7000f54,0x7fffffff,0x7effffec,0xfffff904,0x50005fff,
    0x55599dfd,0x019ffd97,0x20000000,0x200cdcb9,0x1cdfecb8,0x3ffb6a00,
    0x32600cde,0x00002fff,0x037bfb50,0x003f9100,0x0ad99c00,0x4c00fb00,
    0x44001c5b,0x99999999,0x337f6e20,0x26666201,0x00009999,0x3bfb72e6,
    0x00009acd,0x00000000,0x3f2affe6,0x76c403ff,0x3fff931b,0x5ffffdb0,
    0xffb80000,0x002ffcad,0x003fff91,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e4077d4,0x403fa05f,0xf502fffb,0x400005ff,
    0x7fc41ffc,0x3fff2202,0x000001ff,0x00002002,0x01300220,0x00002000,
    0x00000000,0x02e88000,0xf5008010,0x1fff403f,0x3f6027e4,0xfff880ff,
    0xff700002,0x407fea05,0x1fffe9bd,0xfdb50000,0xa859ffff,0x007baa03,
    0x0bea05f8,0x7ff64400,0x200000df,0x3deffec8,0x77f6d400,0x7d40003d,
    0xfffb7100,0xfd07837b,0x0fffa80b,0x3ea02ff4,0x5fff03ff,0xdff10000,
    0xa806ff80,0x20001fff,0xbdffffc8,0xbdffecba,0x17ffe04e,0xf701fc40,
    0xdff50001,0x005ffd77,0x337ff700,0x8805ff93,0xfffffffd,0x0db0000d,
    0x3737ffea,0x87ddffff,0xfd803ffa,0x007ffc4f,0x3e09fff1,0xc80002ff,
    0x7fe404ff,0x0fffcc01,0xcfff9800,0x7fff4c00,0x1ffff305,0x6c05f500,
    0x5ff98007,0x0000ffb8,0x7cc03ff2,0x3bffa02f,0x05fffffd,0xfb83f880,
    0xfff9304f,0x005ffd0f,0x7f41fff7,0x2fffc03f,0x0002fff8,0x2017ffc4,
    0x7c406ffa,0xfb8001ff,0x7dc003ff,0xffff505f,0x401f7001,0x7fc4005f,
    0x007ff01f,0x900ffe60,0x17f901ff,0x00ffffb8,0x3e607dc0,0x7ffc804f,
    0x9801fff8,0x3ff22fff,0x0fffe204,0x00017ffc,0x3003ffea,0x7c403fff,
    0x7dc001ff,0xf90003ff,0x3fffe60d,0x2207d800,0x7fcc003f,0x0017f206,
    0x26007fec,0x00fcc3ff,0x8009fff5,0x00ffe86d,0xff88ff90,0xfff8802f,
    0x98036e23,0xfff01fff,0xffd80005,0x09fff007,0x000fffc4,0x0007fff3,
    0xfff107e8,0xa817e00f,0x7fdc002f,0x0017fa06,0x7c4037fc,0x6c01645f,
    0x3e2006ff,0x0037fc43,0x7fff31fa,0x017ffe00,0xf81bfee0,0x3fb262ff,
    0x3ffe00ce,0x0bffd006,0x000fffc4,0x0000dffd,0x37ffc0f5,0xf9027c40,
    0x7ffc8001,0x0007ff30,0x9801fff1,0xf70003ff,0x07dc009f,0x8003ffe6,
    0x27ffcc7c,0x006ffe80,0x3e01fff8,0xffff72ff,0xff103dff,0x3ffa00df,
    0x07ffe206,0x01fffe40,0xfd00f800,0x05f500bf,0x7e4003ec,0x0ffc81ff,
    0x07ffd000,0x0001ffb8,0x6c005ff7,0x03fff986,0xfff11e60,0x1fffe00b,
    0x809ff500,0xeffbafff,0x41ffffff,0xb005fff9,0x7fc40fff,0xfff8801f,
    0x1500000f,0x2013ff60,0x017e00fb,0x513ffee0,0x640005ff,0x3fa01fff,
    0x1ff60006,0xf883f880,0x1e002fff,0x2003fffe,0x74006fff,0xdfff806f,
    0x7fffd42f,0x027ffd46,0x100fffd8,0xf7003fff,0x00000bff,0xf993ff60,
    0xffffffff,0xffffffff,0xfff3007f,0x000ffe4f,0x07fffea0,0x80007fee,
    0x3ee001ff,0x7ffffd00,0x3ff20a00,0x7ffc404f,0x07fea005,0x403bffe0,
    0x2a2fffe8,0xfb004fff,0x3fe203ff,0xfffe801f,0x90000003,0x7774c7ff,
    0xeeeeffee,0x6eeefeee,0x2ffffa00,0x77640dfe,0xb04eeeee,0x7d45ffff,
    0x3ea0001f,0x50374001,0x03dfffff,0x3ffff100,0x027ffdc0,0x3e005fd0,
    0x7fd402ff,0x0fffee6f,0x80fffec0,0x4401fff8,0x0002ffff,0x05ff7000,
    0x3f203f98,0xfff70000,0x3f6605df,0x200adfff,0xfacffffe,0x3ea0000d,
    0x01fc4003,0x3fffffee,0x7fd4000c,0xfd510aff,0x26007fff,0x3ffe003f,
    0x27ffe802,0xb003fffa,0x3e201fff,0x7fcc01ff,0x000001ff,0xa803ff50,
    0x001b601f,0x02ffff98,0x801fffcc,0x3fffffd8,0x3fee2000,0x1f7000cf,
    0xfffff900,0xfa8007ff,0xaeffffff,0xb000fffd,0x2fff800b,0x30fffb80,
    0x3a009fff,0xff100fff,0xfffa803f,0x7f4c000f,0xefffffff,0x9003fe62,
    0x002fc01f,0xffffffb8,0x002ffc00,0x077fffec,0x3fff6600,0xe800efff,
    0x3ffee006,0x002effff,0x4b3bf6e2,0x2005fff8,0x7ffc000f,0x1fffa802,
    0x2009fff1,0x3e207ffe,0x7fdc01ff,0x2e0000ff,0x880effff,0x206e807f,
    0x74c003f8,0x4ffff9ef,0x0007fe60,0x3fffffee,0x3b6e6001,0x406fffff,
    0x6c4003f8,0xdfffffff,0xffa80000,0x00d1001f,0x3005fff0,0x7ffc3fff,
    0x0dffd005,0x200fffc4,0x001ffffa,0x01ffff40,0x40bf00ff,0x3ee001fa,
    0xffff90df,0x0013ee03,0x3ffeaff2,0xd30002ff,0x5c07ffff,0xfd50000f,
    0x01ffffff,0x06ffe800,0x3e0012a0,0xff9802ff,0x802fff47,0x3e204fff,
    0x7fcc01ff,0x6c0002ff,0x1be02fff,0x7e407f30,0x89ff7000,0xd06ffff8,
    0x49fb000d,0x01fffff9,0x1ffff200,0xb80005e8,0x0effffff,0x3fff5000,
    0x40015c00,0xfa802fff,0x03ffe46f,0x1017ffcc,0xf8803fff,0x40003fff,
    0x3a02fffc,0x7e555445,0xeaaaaaac,0xb82aaaaf,0xfff705ff,0x001fa89f,
    0x7f4c37ec,0x20000fff,0xf880fffe,0xf9100003,0x000bffff,0x5000fffa,
    0x5fff0001,0x98bff700,0x7d400fff,0x3fe200ff,0xffff801f,0x7fe40006,
    0xf313602f,0xffffffff,0xffffffff,0x3fff88ff,0x47ffffa0,0x7d4004f8,
    0xfffd102f,0x7fd40009,0x000fb81f,0x7fffcc00,0x7fe4001f,0x20000005,
    0xfc802fff,0x03ffe82f,0x2202ffdc,0xfd801fff,0x20000fff,0x3202fffc,
    0x7f555443,0xfbaaaaaa,0x6c2aaaac,0x3e600fff,0x00db6fff,0x4c01ffb0,
    0x20007fff,0x5e81fff8,0x4c004880,0x2003ffff,0x0000effa,0x0bffe000,
    0x2a0bff10,0x7ff405ff,0x0fffc400,0x1ffffc40,0x5fff9000,0x17e01540,
    0x7c401fa8,0xffc806ff,0x4001feff,0xfa806ff8,0x3a0001ff,0x803f887f,
    0xffa80068,0xbff3005f,0x077aa000,0x805fff00,0x3f600ffb,0x09ff300f,
    0x003fff10,0x001bfff2,0x002fffc8,0xfc80fe60,0x37ffcc00,0x5ffffe80,
    0x04ffa800,0x0005fff0,0x07dc37ec,0x40007c40,0xfa805fff,0x3fe0004f,
    0x7ffc006f,0x05ff300e,0x3fa0bfd0,0x5fff3005,0x3fffe200,0xfff90004,
    0x0fd40005,0xff500db0,0x3fe200ff,0x21802fff,0xf9005ffa,0x7f40001f,
    0xf1005e84,0x9ffd0007,0x0177ecc0,0x1ffff300,0x7fffdc00,0x05df711b,
    0x4c2ffe20,0xfb000efd,0x7d400dff,0xc8001fff,0x20002fff,0x013e00fc,
    0x00ffffe6,0x17ffffe4,0x37fc4d30,0x0007fc80,0x7f103fe2,0x003fe200,
    0x5cc5fff0,0x0002effd,0x000bffd0,0x3fffffee,0x644000cf,0x803ffefe,
    0xffffffeb,0xffa804ff,0x7e4001ff,0x19b302ff,0x3f881ba0,0xfffff880,
    0x7ff7ec01,0x7440bfff,0x400ffec3,0xb00084fd,0x001f705f,0x4003bfe2,
    0x565c5ffa,0xa8000009,0xba880002,0x5300001a,0x00000003,0x017fffd4,
    0x205fffb0,0x09f05fff,0xfb800fd4,0x220bffff,0xfff54ffb,0xffb9dfff,
    0x406ff881,0x3efe86fa,0x3a07fb10,0x3ffe2005,0x7ffc401e,0x00000000,
    0x00000000,0x00000000,0x3fff6200,0xffd7102e,0xfff3017f,0x6407f30f,
    0x3ff6000f,0xfffeffff,0x7fff4c2f,0x301fffff,0xdf501dfd,0xfffff881,
    0x01eebaab,0x7c4005f1,0x21bdffff,0x001effb9,0x00000000,0x00000000,
    0x00000000,0xdffffd93,0x05bffffd,0xf509ffd0,0x40036c03,0xfffffffa,
    0x3ff6204e,0xc802efff,0x3fedceff,0x3ffffee0,0x7dc03eff,0x267e2000,
    0xffffffdb,0x000004ff,0x00000000,0x00000000,0x22000000,0x19acccaa,
    0x9502a800,0x10002c80,0x00137953,0x8002bb98,0x1000aaa8,0x40015555,
    0x41c4003b,0x09accba8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04d98000,0x02002000,0x20000000,0x000bdda8,0xd9800010,
    0x64000004,0xcccccccc,0x00200004,0xd9800000,0x00000004,0x00800001,
    0x7ff5c400,0xdb710005,0xf05bdfff,0x6dd44000,0xfd3003fe,0x009ffffb,
    0x5bfffdb3,0x3ffae200,0x2a000005,0xffffffff,0xfeca804f,0x05e98cef,
    0x2e23fc88,0x2200defe,0x0005ffeb,0x007b0000,0x007bf200,0x3ffffaa0,
    0x7fecc005,0xfdcaabcf,0x000fdacf,0x0deffdc4,0xfd89f300,0x3ff202ff,
    0x3bbffea3,0x3ffaa5ee,0x000005ff,0x3ffffffa,0x3a200fff,0xffecabdf,
    0x3f6a05ff,0xffff53ff,0xfd705fff,0x0000bfff,0x00df1000,0x0bfff300,
    0x05fff800,0x00fffee0,0x01ffffb1,0x00fffd40,0x7443f440,0x1ff906ff,
    0xffffff50,0x017ffe0f,0x7ffcc000,0x04ffffff,0x7ec0bfea,0xffbb05ff,
    0xfdff37ff,0x203fffff,0x0005fff8,0x2ffc8000,0x7ffd4000,0x7fec0005,
    0x1dffb005,0x0fffd400,0x00dffb80,0x220bfd00,0x4ffa84fe,0x200bffa0,
    0x00005ffd,0x4c000db0,0x3fe201ff,0x7ffcc05f,0x3fea0ceb,0x3ff606ff,
    0x80000005,0x80005fff,0x40002ffe,0xfd805ffc,0xfb8000ef,0x4ffc801f,
    0x13fe2000,0x0bffa010,0xc805ffb8,0x800005ff,0x3a0002f9,0x5ffe805f,
    0x03ffff80,0x205ffff1,0x00005ffc,0x7fffdc00,0x00080000,0x80bff900,
    0x0002fffb,0xff900bf2,0xff98000d,0x3fff0004,0x403ffd40,0x00005ffc,
    0x2e0006d8,0xffc801ff,0x04fff805,0xc837ffe4,0x000005ff,0x27ffff40,
    0x00000000,0x7cc0bff9,0x440005ff,0x3ffee02f,0x7fdc0001,0xfff98004,
    0x07ffe602,0x000bff90,0x0004f980,0x32003ffe,0xffe805ff,0x3fffc403,
    0x0005ffc8,0x3f7e6000,0x000007ff,0x17ff2000,0x001fffd8,0xff303d80,
    0xf900007f,0x3fe0009f,0x3ffe203f,0x02ffe401,0x3fff6000,0xff1000bd,
    0x17ff200f,0x200fffa0,0xfc80fffd,0x0000005f,0x3fff67f6,0x00000002,
    0x105ffc81,0x0000ffff,0x37fec0e6,0x4ffd8000,0x09ffb000,0x6403ffcc,
    0x200005ff,0xfffffff9,0x37fcc00d,0x805ffc80,0xfc803ffe,0x5ffc81ff,
    0xf1000000,0x01bffe6b,0x6dc40000,0xffc8dfff,0x0bfff905,0x7d404000,
    0x930003ff,0x99dfff99,0xff700399,0x13fee01f,0x6417ff20,0x04cccccc,
    0xfffffffb,0x7fdc05ff,0x0bff9006,0x7007ffd0,0xff903fff,0x1cffdb8b,
    0x22fc8000,0x0001fffe,0x4dffcc00,0x5ffeffb9,0x007ffff0,0xfffe8000,
    0x50026620,0xddfffddd,0x32003ddd,0x0dfd04ff,0x4c17ff20,0x00acfffe,
    0xfffd9553,0x3f209fff,0xbff9007f,0x007ffd00,0xf901fff5,0x3fff62bf,
    0x40000fff,0x27ffd46f,0xff500000,0xbffff303,0x05ffff10,0x7fc40000,
    0xffffd75f,0x3ff6003d,0x7fe40004,0x0dffb88c,0x40bff900,0x10000dfd,
    0x07fffff9,0x9001fff7,0xffd00bff,0x0fff5007,0x3ba37ff2,0x05fffcab,
    0x3e0fea00,0x00000fff,0x2a03ff98,0xff985fff,0x000001ff,0x3bb7ffee,
    0x3ffffdbc,0x004ffd80,0x7ff67c40,0x7e4002ce,0x009f905f,0x3fff6200,
    0x0fffd40f,0x402ffe40,0xfb803ffe,0xddff906f,0x03fff707,0x3203fa00,
    0x00003fff,0xff807fe8,0xffffa85f,0x36000001,0xf882efff,0x7ec03fff,
    0x3e60004f,0x3f200003,0x003fc85f,0x5fffd800,0x402fffcc,0xfe805ffc,
    0x4ffc803f,0x405fff90,0x98003ffe,0xdfff104f,0xffa80000,0x85ffd803,
    0x000ffffb,0x1fffe000,0x01ffff30,0x80027fec,0x400006f8,0x17ec5ffc,
    0xffb00000,0x1fffe81f,0x402ffec0,0xfd803ffe,0x0bff900f,0x8004ffd8,
    0x3ff601fd,0x3a00001f,0xffc802ff,0x0ffffa85,0x3fe00000,0xfffc806f,
    0x013ff604,0x000ffe40,0x22bff900,0x000002fd,0x2a0fffc4,0xf902ffff,
    0xffd00bff,0x03ff980b,0xf9017ff2,0x5f8800bf,0x02fffd40,0x4419fb10,
    0xfc801fff,0xffff985f,0xf1000001,0xff300dff,0x27fec0df,0xffffe800,
    0xbccdeeee,0x8dffc800,0x000002fe,0xfd07ff90,0xd757bfff,0xd00bff9b,
    0x7ec05fff,0x02ffe406,0x70017ff2,0xfffd005f,0x3fff6001,0x003ffe67,
    0x3e217ff2,0x00002fff,0x00bfff10,0xfd81fffa,0xff90004f,0xffffffff,
    0x64019fff,0x05ffeeff,0xff500000,0xffffd107,0x3ff2bfff,0xffffe805,
    0x037f620a,0xc80bff90,0x7fc005ff,0xeeeeeeee,0x003ffffe,0x2e5fffff,
    0xfc800fff,0x7ffff05f,0x7fc00000,0xfffb004f,0x013ff601,0xfffffb80,
    0xffffffff,0x2f7ff206,0x00004fff,0x101ff880,0x47fffffb,0xfe805ffc,
    0xfedffcbf,0xbff9004f,0x005ffc80,0x3bbbbbea,0xffeeeeee,0xfffb007f,
    0x07fff2bf,0x6c17ff20,0x00006fff,0x4017ffa0,0x3f607ffc,0x5720004f,
    0xcbaaaa98,0xf901ffec,0x0bfff6bf,0xff100000,0x90375100,0xffd00bff,
    0x006eea27,0xc80bff90,0x3fa005ff,0x3fff6000,0xdd175002,0x200bffee,
    0xff305ffc,0x000001ff,0x5c01fff2,0x3ff606ff,0x01d90004,0xf904fa80,
    0x3fffa2bf,0x26000000,0xfc80006f,0x3ffe805f,0xbff90000,0x005ffc80,
    0xf98009f3,0x5f8005ff,0x9009fff5,0x7fec0bff,0x1900003f,0x4007ffdc,
    0x3f605ffb,0x3fb8004f,0x3209d000,0x3ffe65ff,0x7000000e,0xf900007f,
    0x7ffd00bf,0x3ff20000,0x02ffe405,0xe8001fc8,0x2a001fff,0x1ffff12f,
    0x205ffc80,0x000ffff9,0x3fe225c0,0x2ffc801f,0x0013ff60,0x20003ff1,
    0x8bff902f,0x0005fffa,0x0005f880,0xd00bff90,0x200007ff,0x7e405ffc,
    0x05f8805f,0x09fff700,0x3ffa36c0,0x37fe403f,0x017fff60,0xff706a80,
    0x80dfb00b,0x64004ffe,0x5d8005ff,0x3217ff20,0xc8803fff,0x000fd803,
    0x00bff900,0x00007ffd,0xf9017ff2,0x05f900bf,0x3fffe200,0x2076c400,
    0x201ffff9,0xfd806ffd,0x54000dff,0x0bffa01f,0x7c02ff98,0x7e4004ff,
    0xd9801dff,0x1bff200f,0x2017fff4,0x4c0beffe,0x200001ee,0xff806ffc,
    0xfb00003f,0x6ffc80bf,0x0007fc40,0x409fffd0,0xff900dfa,0xffd887ff,
    0xd1018bff,0x1005dfff,0xff8803d9,0x200ff606,0x44006fff,0xcdeffffe,
    0x0dfedcbc,0x983ffec0,0x3201ffff,0xeddfffff,0x400000df,0xff807ffd,
    0xfb00004f,0x7ffd80df,0x00037ec0,0x207ffff2,0xffd801c8,0xccfedfff,
    0x402effff,0xabfffffb,0x0efecb99,0x43bff500,0xfc802fd8,0x44003fff,
    0xfffffffb,0x8801efff,0xfd02ffff,0x3a207fff,0x1cefffff,0xffa80000,
    0xff9103ff,0x980003ff,0xf101ffff,0xf9103fff,0x260005ff,0x0bffffff,
    0x3ffee000,0xbff92fff,0x7fe44003,0xdfffffff,0xffe88002,0x2602dfde,
    0xfffffffe,0x654004ef,0x01bcefed,0xffffffb8,0x3fffa4ef,0x5306efff,
    0x00000135,0x3bbbbbaa,0xdddb14ee,0x005ddddd,0xffffffa8,0xfffd74ff,
    0x3f25dfff,0x05ffffff,0xffffff30,0x0007ffff,0x5d41bb98,0x5d4c0000,
    0x0000aacc,0x0001aa88,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8800000,0xcccc980c,0x263ccccc,
    0xcccccccc,0x999301cc,0x32a79999,0xcccccccc,0x9999002c,0x32e39999,
    0xcccccccc,0x6664404c,0x02cccccc,0x000009b5,0x20000000,0xcccccccb,
    0x04cccccc,0x99999997,0x332a7999,0x000ccccc,0x66666644,0x99991ccc,
    0x79999999,0x85ffd800,0xfffffdb8,0x3f6a20be,0x09cfffff,0xffff7510,
    0x3ffae639,0x01beffff,0xfffffb50,0x3ff6a219,0x01acffff,0xffffeb98,
    0x3fae209b,0xe880005f,0x76dc004f,0x26003def,0xffffffff,0x06ffffff,
    0xfffff951,0x32a215df,0x005fffff,0xefffeb98,0xff95309a,0x415bffff,
    0xffd01efb,0xffffd80f,0x7fffe401,0x17fdc004,0x0dffff90,0x07ffd400,
    0x09ffff30,0x40ffec00,0x05ffffeb,0x04ffd800,0xfffffd30,0xf9005dff,
    0xffffffff,0x007fffff,0x007ffff5,0x007ffffb,0x5c037ec0,0xf882ffff,
    0x7ff506ff,0x0ffff880,0x1ffffc40,0x2013ea00,0x0004fffe,0x3e00ffe2,
    0x20001fff,0x7fc405fa,0x7d40005f,0xff8804ff,0xffffffff,0x7fffc02f,
    0xeeeeeeee,0xff000ffe,0x3f6001ff,0x50002fff,0xfff1009f,0x1fffe60f,
    0xffb00088,0xfff7005f,0x01fc8009,0x006fffb8,0x7401bea0,0x20000fff,
    0xffd804f9,0x3fe20005,0xffd804ff,0xfffb98ad,0x1bf500ff,0x801bee00,
    0x22007fff,0x001fffff,0xff004fa8,0x1ffec0df,0xfffa8000,0x7fff8805,
    0x88037400,0x0001ffff,0x3f6003f9,0x260000ff,0x5ffd804f,0x3fbf6000,
    0x027d404f,0x20bfffd1,0x1ff4005e,0x00fffd00,0x77ffffc4,0x01fcc000,
    0x4c06fff8,0x3e200000,0xffb007ff,0x13e6003f,0x04fffc80,0x2006f880,
    0x0000fffd,0x3f6013e6,0x5f70005f,0x6d809ffb,0x87fff980,0x7fc40059,
    0x1fffa000,0xfffef880,0x1fcc005f,0x006fff80,0xffd80000,0xfffb802f,
    0x003f7004,0x007fffc4,0xd800fee0,0x20000fff,0xffd804f9,0xb5f98005,
    0x01f809ff,0x003fff90,0x800df700,0x22007ffe,0x4ffffacf,0x400fe600,
    0x00006fff,0x5fffa800,0x07fff880,0xfb000dd0,0xfe8007ff,0x3fff6000,
    0x13e60000,0x0017ff20,0x27fec3ba,0x7d400510,0xe80001ff,0x7ff4003f,
    0x5d3e2007,0x3002ffff,0x3ffe007f,0x00200006,0x400ffff8,0x401ffffb,
    0xf98003f9,0x3e6006ff,0x7ffec004,0x13e60000,0x0017ff20,0x27fec3f9,
    0xfff30000,0x1ff10000,0x07ffe800,0xffd93e20,0x3f9801ff,0x00dfff00,
    0x005fc980,0xb00bfff2,0xc809ffff,0xffd0001f,0x07f2005f,0x01fffb00,
    0x4027cc00,0x26005ffc,0x027fec4f,0x0dff3000,0x00df7000,0x400fffd0,
    0x3ffa24f8,0x1fcc00ef,0x006fff80,0x0bfffb50,0x02fffcc0,0x0ffffbf1,
    0x2e0006e8,0xf8805fff,0xfffd8006,0x13e60000,0x4017ff20,0x4ffd86e8,
    0x3fea0000,0x3fe80004,0x07ffe800,0xff113e20,0x3f980dff,0x00dfff00,
    0xbfffd970,0x0fffe800,0xfff95f70,0x000fe605,0x801ffff0,0xfd8002fb,
    0x260000ff,0x5ffc804f,0xfb01f900,0x6400009f,0x440001ff,0xfe8001ff,
    0x13e2007f,0x813fffe6,0xfff003f9,0xfff8000d,0x7ffdc005,0x3fe6fd03,
    0x001f905f,0x04fffc80,0xfd8003f4,0x260000ff,0x5ffc804f,0xfb03fa80,
    0x7400009f,0xfb80005f,0xfffd0006,0xb827c400,0xf303ffff,0x1bffe007,
    0x0bffb000,0x86fff880,0x3fffe4f8,0x80006f80,0x300ffff8,0x3f60009f,
    0x260000ff,0x5ffc804f,0xfb02fc40,0x2a00009f,0xe80000ff,0xffd0003f,
    0x027c400f,0x303ffff9,0x3ffe007f,0x7fec0006,0xfffe8005,0xff90fdc0,
    0x003f985f,0x07fffb00,0x6c0007f6,0x20000fff,0xffc804f9,0xb007ec05,
    0x200009ff,0x880003fe,0xfd0001ff,0x27c400ff,0x03ffffa0,0x3fe007f3,
    0x7ec0006f,0xffb8005f,0x3e63743f,0x007e45ff,0x6fff9800,0x20006f88,
    0x0000fffd,0x3f2013e6,0x00bee05f,0x00009ffb,0x20000bf5,0x3a0006fb,
    0x3e2007ff,0x7fff4404,0xf801fcc6,0x33aa06ff,0x00bff900,0x4cdfff10,
    0x0fffe84f,0xd00001be,0x2fb85fff,0x3fff6000,0x0fe60000,0x4417ff20,
    0x4ffd804f,0x077c4000,0x03fd8000,0x01fffa00,0xf9804f88,0x0fe65fff,
    0x8837ffc0,0xff905fff,0x3ff6000b,0xf703f91f,0x00fe67ff,0xbfff7000,
    0x6c0007e8,0x20001fff,0xffc803fa,0x3333fd05,0xffb33333,0x8001333b,
    0x100001fd,0x740003ff,0x3e2007ff,0xffff5004,0x7c00fe67,0xfff506ff,
    0x017ff20f,0xe9fffd40,0x2dfff106,0x800000fc,0x9f30ffff,0xfffc8000,
    0x0fea0001,0x2a17ff20,0xffffffff,0xffffffff,0x3f2002ff,0x3ea00002,
    0x7ff40006,0x013e2006,0x9affffc8,0xdfff003f,0xc827ffc0,0xf10005ff,
    0x407f3dff,0x05f9fffe,0xfff90000,0x00003f69,0x0005fff9,0x7e4017dc,
    0xffffa85f,0xffffffff,0x02ffffff,0x00005f70,0x40003fd8,0x22005ffe,
    0x7fec004f,0xf003faff,0x0dc40dff,0x000bff90,0x07f7ffec,0x7fdfff70,
    0x3e200000,0x005f9fff,0x03fffa80,0x2003f600,0xee985ffc,0xeeeeeeee,
    0xeeeffffe,0x003fa801,0x00ffc400,0x013ffa00,0x44004f88,0x03fffffe,
    0x000dfff0,0x0005ffc8,0x01bfffea,0x01fffff1,0x7fec0000,0x80002fef,
    0x0006fff9,0x7fe401be,0xffd80005,0x01fcc004,0x037d4000,0x01fff400,
    0x10009f10,0x007fffff,0xc881bffe,0x0bff902d,0x3ffff800,0x05fffd80,
    0x7fcc0000,0x200007ff,0x8001fffd,0xff9003fb,0xffb0000b,0x027cc009,
    0x1fec0010,0xfe82b880,0x13e2002f,0x7fffd400,0x0dfff003,0x6407ffec,
    0x640005ff,0xfa800fff,0x000002ff,0x004fffe8,0x17ffe600,0x400df500,
    0x80005ffd,0xf3004ffd,0x802d4009,0xfd001ff8,0x006ff89f,0x70002fcc,
    0xf1007fff,0x7ff40dff,0x05ffd81f,0x02ffcc00,0x000fff88,0xfffa8000,
    0x7dc00000,0x64400eff,0x3f6001ff,0xfd80005f,0x04f9804f,0x017e4cc4,
    0x3e006fa8,0x1ff10fff,0x006fa800,0x401ffec0,0x3207fff9,0xdffd06ff,
    0x05fd0000,0x0002fec0,0x00bff000,0x3ffee000,0xeca99bdf,0x74001fff,
    0xd80006ff,0x7fd404ff,0xffffffff,0x2007ffff,0x3f2003fd,0x007f75ff,
    0x00bffe88,0x500ffa00,0x01bffffd,0x7ffcc0a6,0x7e40001f,0x00bea000,
    0x2fc80000,0x32600000,0xffffffff,0x4c000bef,0x0001ffff,0xf5027fec,
    0xffffffff,0x09ffffff,0x8007fe20,0x3fffffe8,0x3fffba00,0x8002efff,
    0xfffb03f8,0x9dffffff,0xffffd500,0x20005dff,0x00c80038,0x12200000,
    0x54400000,0x01abccba,0xffffea80,0xb0004eff,0x3fe209ff,0xffffffff,
    0x01ffffff,0x20009930,0x0000abb8,0x06600000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99100000,0x99999999,0x93003555,0x99999999,0x99999999,0x64499999,
    0x02cccccc,0x6665c000,0x33224ccc,0xcccccccc,0x0000aaaa,0x33333322,
    0x4c1ccccc,0xcccccccc,0x9999103c,0x99999999,0x33332e05,0x3223cccc,
    0xcccccccc,0xccca81cc,0xcccccccc,0x99999910,0x01999999,0x000a2000,
    0x3ffffae6,0xffffffff,0xffff700d,0xffffffff,0xffffffff,0x7f6541ff,
    0x00006fff,0x33ffffe2,0x7ff5cc1a,0xffffffff,0x30004fff,0xdfffffb7,
    0xfca88137,0x01adffff,0x3fffff6e,0x300bdfff,0x7dffffb5,0xfffdb983,
    0x8809beff,0xfffffeb9,0x7f5cc1ad,0x2bcfffff,0x016e0000,0xffd01bf9,
    0xfb7335bf,0xff705fff,0xf533355b,0x53333bff,0xd101fff9,0x0005ffff,
    0x13ffff20,0x56fffec0,0xdfffb511,0x7fec0003,0xfff000ef,0xfb88003d,
    0x4006ffff,0xfb003fff,0x44001dff,0x9004ffff,0x0003ffff,0xf8817a00,
    0xfffb83ff,0x9ffff303,0x3e603fc8,0x3fa204ff,0xdffffb00,0xfff10000,
    0x3ee003ff,0x3fea03ff,0xf70004ff,0x3e6009ff,0x2a0000df,0x000fffff,
    0x5c005ff1,0xd8004fff,0xf5002fff,0x00000dff,0xffa817ee,0x3fffa84f,
    0x8ffffea0,0x7ffcc05c,0xb80fc404,0x002fffff,0x7ffffdc0,0x7fff5001,
    0x1ffffb80,0x3fffa800,0x004fe880,0x7ffff500,0x000ff600,0x0009fff5,
    0x2003fffb,0x0005fff9,0x205ffa80,0xfa84fff9,0x7fe403ff,0x980790ff,
    0x1d804fff,0xbfffbf50,0xfdff8000,0xff5000ff,0xfffd007f,0xfff5000b,
    0x009fb007,0xffffc800,0x0027dc00,0x001fffd4,0x800fffec,0x0005fff9,
    0x02fffcc0,0xf505fff1,0xffa807ff,0x9801b2ff,0x1b804fff,0xfffd5f50,
    0x2fee0003,0x5000fffd,0xf9007fff,0xf5000fff,0x4fd807ff,0xffd00000,
    0x037cc0bf,0x03fffa80,0x01fffc80,0x009fff30,0x7fffdc00,0x7fc4ccce,
    0x3fffa81f,0x1ffffcc0,0x09fff300,0xfaafa800,0xfd0005ff,0x001fffb1,
    0x200fffea,0x000ffffb,0xb01fffd4,0x4000009f,0x882ffff9,0xf50000ff,
    0xf90007ff,0x3e6003ff,0x700004ff,0xddffffdd,0x507fd8dd,0xff007fff,
    0x7cc009ff,0x540004ff,0x01ffff2f,0xffb4fa80,0x3fea001f,0xfffb803f,
    0xfffa8007,0x0009fb03,0xffff7000,0x0001fe81,0x000fffea,0x4007fff2,
    0x0004fff9,0x405ffc80,0xfff506fc,0xffff8807,0x3ffe6002,0x97d40004,
    0x4004fffb,0x1fffb0fe,0x0fffea00,0x01bfff60,0x10fffea0,0x000009fb,
    0x92ffff40,0xfa80007f,0xfc8003ff,0xff3001ff,0x9000009f,0x5fa80bff,
    0x807fff50,0x001ffff9,0x0013ffe6,0x3fe25f50,0xbf3000ff,0x8007ffec,
    0x4403fffa,0x8002ffff,0x3a23fffa,0x0000004f,0x557fffc4,0xfa80005f,
    0xfc8003ff,0xff3001ff,0x9000009f,0x3f980bff,0x807fff50,0x4006fffd,
    0x0004fff9,0xfff917d4,0xd87f6007,0xf5000fff,0xffe807ff,0xff50005f,
    0x013fa27f,0x7dc00000,0x000effff,0x03fffa80,0x01fffc80,0x009fff30,
    0x0bff9000,0x3fea05f0,0x3ffea03f,0x7fcc000f,0x7d40004f,0x01fffe22,
    0xfffb1be2,0x3ffea001,0xbfffd303,0x3fea0001,0x005fe9bf,0x7ec00000,
    0x00001fff,0x0007fff5,0x2003fff9,0x0004fff9,0x805ffc80,0x7fff500d,
    0x0bfffee0,0x13ffe600,0xc85f5000,0x7e403fff,0x007ffec2,0x99cfffa8,
    0x3efffdba,0x7ffd4000,0x001ffffd,0x3e200000,0x00003fff,0xddddfff5,
    0xdddddddd,0x003ffffd,0x0013ffe6,0x017ff200,0xdffff500,0xbffffb9b,
    0x3fe60001,0x7d40004f,0x037ffcc2,0xfffb0df1,0x3ffea001,0xdfffffff,
    0xff500001,0x3fffffbf,0x40000000,0x000ffffc,0xeefffa80,0xeeeeeeee,
    0x1ffffeee,0x09fff300,0xbff90000,0xfffa8000,0xabcccb9c,0x7fcc0000,
    0x7d40004f,0x02fffd82,0xfffb07f7,0x3ffea001,0xffffa99c,0xff500000,
    0xfffff37f,0x00000003,0x0bfffff3,0x7fff5000,0x3fff9000,0x13ffe600,
    0x3ff20000,0x7fd40005,0x4000003f,0x0004fff9,0x7fcc17d4,0x360ff06f,
    0xf5000fff,0xfffc87ff,0xff500005,0x3fffe67f,0x0000001f,0x3ffe7be2,
    0x7d40003f,0xfc8003ff,0xff3001ff,0x9000009f,0xa8000bff,0x00003fff,
    0x027ffcc0,0x740bea00,0x1fdc1fff,0x000fffd8,0xfd07fff5,0x500007ff,
    0x7fcc7fff,0x00001fff,0x3ee3fd00,0x20000fff,0x8003fffa,0x3001fffc,
    0x00009fff,0x000bff90,0x003fffa8,0x7ffcc000,0x17d40004,0x745fffa8,
    0x1fffb00f,0x0fffea00,0x007fffe2,0x87fff500,0x01fffff9,0x1fe40000,
    0x0017fffa,0x003fffa8,0x001fffc8,0x0009fff3,0x00bff900,0x03fffa80,
    0x7fcc0000,0x7d40004f,0x47fffa02,0x3ff604fa,0xfff5000f,0x1bffea07,
    0x7fff5000,0x3fffff30,0x3ea00000,0x3ffff984,0x7fff5000,0x3fff9000,
    0x13ffe600,0x3ff20000,0x7fd40005,0x4000003f,0x0004fff9,0xff7017d4,
    0xd803fa9f,0xf5000fff,0x7fec07ff,0x3ea0004f,0xfff303ff,0x800003ff,
    0x3fee06f9,0xfa8000ff,0xfc8003ff,0xff3001ff,0x0cc0009f,0x00037fe4,
    0x000fffea,0x9fff3000,0x02fa8000,0x2fd7fffc,0x003fff60,0x101fffd4,
    0x0005fffd,0x980fffea,0x001fffff,0x801fd100,0x8005fffe,0x8003fffa,
    0x3001fffc,0x40009fff,0x47ffb80e,0x3fea0019,0x4000003f,0x0004fff9,
    0x3ee017d4,0x6c01ffff,0xf5000fff,0xff9807ff,0xfa8000ff,0x7fcc03ff,
    0x80001fff,0xff9802fd,0x7d4003ff,0xfc8003ff,0xff3001ff,0x1aa0009f,
    0x5467ffd4,0x7ffd4005,0x4c000003,0x40005fff,0x7fc402fb,0xffd806ff,
    0xfff5000f,0xdfff7009,0x7fff5000,0xfffff300,0x27ec0005,0x3ffff700,
    0x1fffd400,0x0fffec00,0x05fff980,0x3e207d00,0x000fffff,0x0027ffdc,
    0x3ffe6000,0x1fdc0005,0x017ffe40,0x800ffff4,0xb004fffa,0xb8009fff,
    0xf3004fff,0x0005ffff,0xfd000df9,0x2e001dff,0xd8004fff,0xf3001fff,
    0xd8800dff,0x3ffa601f,0xffc8001d,0x4000005f,0x0006fffb,0x7c4027e4,
    0xffff006f,0x3fff2005,0xffff1005,0x7ffe400b,0x3fff2005,0xf91004ff,
    0xff90007f,0x3f200dff,0xfe8005ff,0xff7002ff,0x3ea003ff,0x0011006f,
    0x3ffffe60,0x8800000b,0x00cffffe,0x0afff980,0x6401fec0,0x402effff,
    0x0bfffff9,0xeffffa80,0xfff7101b,0x3fa005ff,0x1cffffff,0x1dffff50,
    0x7fff4400,0xb880beff,0x003fffff,0x3dffff93,0xffffe980,0xeeeeeeef,
    0x004ffffe,0xffdd3000,0x5dffffff,0xfee88000,0xefffffff,0x7ff74c02,
    0x301effff,0x7fff5c0f,0x26ffffff,0xfffffee9,0x6402efff,0x27ffffff,
    0xffffffe9,0xfc82efff,0xffffffff,0xfff91fff,0x80dfffff,0xffffffe9,
    0xfd32ffff,0xffffffff,0xfffd705d,0x1dffffff,0x3ffffba2,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x664c0000,0xcccccccc,0xcccccccc,
    0x999910cc,0x99999999,0x99999999,0x99999109,0x55999999,0x80001335,
    0xccccccc9,0xcccccccc,0x3223cccc,0xcccccccc,0x09aaabcc,0x99999500,
    0x01999999,0x66666644,0x99971ccc,0x2a079999,0x002ccccc,0x00001744,
    0x0014c000,0xdb988001,0xffffffff,0xffffffff,0x3ffae60f,0xffffffff,
    0xffffffff,0xfffeb980,0xffffffff,0x002cefff,0xffffffb8,0xffffffff,
    0x4c1fffff,0xffffffeb,0xfffffeff,0x3ee200ad,0xbeffffff,0xfffca801,
    0xf930adff,0x2037ffff,0x00bffe98,0x0001fc40,0x9fd50000,0x77ff64c0,
    0xffd8001d,0x3ae6203f,0xfff901ff,0xff931009,0xefffd801,0xfb9531ab,
    0x4005dfff,0x999acffc,0xfa999999,0x7f403fff,0xe9881cff,0x4401ffff,
    0x01fffffd,0x02fffc80,0x4017fff2,0xf10003fd,0x80000007,0x00beffc8,
    0xffb77ff9,0xffb8009f,0x3fb1003f,0x013ffea0,0xfb801f70,0xfd8804ff,
    0xd800cfff,0x7fec001f,0xfffb805f,0xffffa804,0xffffe802,0x0ffb8000,
    0x007ffe80,0x7c4000fd,0x30000003,0x4405bffb,0xfffb82fe,0x3ffea004,
    0x407e6003,0x4004fff9,0x7fd401f8,0x3fee004f,0x03d805ff,0x07fffdc0,
    0x027ffd40,0x00ffffa8,0x01ffffc4,0xa8017f40,0x7cc01fff,0x0fe20004,
    0xfd500000,0x5f90039f,0x00fffe40,0x003fffa8,0xfff9816c,0x401d8004,
    0x4004fffa,0x404ffff9,0x3fe6000e,0xff5002ff,0x7fe4009f,0xfffb804f,
    0x17ea000f,0x80bffd00,0x220000fc,0x8800003f,0x000bfffb,0xff980df1,
    0xfff5005f,0x30198007,0x50009fff,0x4fffa803,0xffffc800,0xfd001a02,
    0x7d400bff,0x3ea004ff,0xffb006ff,0x07f400bf,0x03ffea00,0x20002fc4,
    0x200003f8,0x002effc9,0x7c404fd8,0xff5007ff,0x4c00007f,0x00004fff,
    0x009fff50,0x0dffff10,0xfff90014,0x7fd4001d,0x3fe2004f,0xff8800ff,
    0x2fc802ff,0x09ffd000,0x10000bee,0xb500007f,0x40003bff,0xeeeeeeff,
    0x0ffffeee,0x03fffa80,0x3ffe6000,0xa8002004,0x50004fff,0x0003ffff,
    0x01ffff98,0x027ffd40,0x00ffff30,0x007fffdc,0x5c000bf3,0x07e80fff,
    0x003f8800,0x19ffd710,0xdff88000,0xaaaaaaaa,0xa800aaaa,0x06803fff,
    0x009fff30,0xfff5002c,0x7ffc0009,0x3a20004f,0xa8004fff,0x32004fff,
    0x74004fff,0x3fa05fff,0x7ffc0000,0x0001fcc4,0x22001fc4,0x0003effc,
    0x0013fe60,0x1fffd400,0x7cc01a60,0x0b3004ff,0x027ffd40,0x0ffffb00,
    0x37ffe400,0x4fffa800,0x07fffa00,0x5ffff300,0x00007f70,0x7e41fff7,
    0x33332200,0xdfcccccc,0xcccccccc,0x19fff12c,0x7fd40000,0xf5000005,
    0x06c807ff,0x009fff30,0xffa80176,0x3f20004f,0xa8000fff,0x0001ffff,
    0x1009fff5,0x000dfffd,0x883bffee,0x3e00006f,0x80bf14ff,0xfffffff9,
    0xffffffff,0x44ffffff,0x001dffea,0x006ffa80,0x9fff5000,0xfb733333,
    0x3ffe600d,0x9999999d,0x2a005fd9,0x20004fff,0x001ffffb,0x01ffffc4,
    0x09fff500,0x6ffff544,0x3ffa0000,0x0007f64f,0xb8fffb80,0xf100002f,
    0xfd980007,0x260002ef,0x00000fff,0xffffffa8,0x06ffffff,0xffffff30,
    0xffffffff,0x7ffd400b,0x3fea0004,0x7ec002ff,0x540005ff,0xeeefffff,
    0x2effffff,0xfff98000,0x0004fa9f,0x75fffc40,0x3e200006,0xf9100003,
    0x880017df,0x36004fff,0xdfffa800,0xfedbaaaa,0xdfff3006,0x97555555,
    0x7d400bfd,0x260004ff,0x2002ffff,0x000ffffb,0x677ffd40,0xffffeccc,
    0x80001cff,0x06fefffc,0xfff90000,0x4400007f,0x4400003f,0x000cffeb,
    0x2007fffe,0xfff50069,0x3006d807,0xd1009fff,0x7ffd400b,0x3fea0004,
    0xff1000ff,0x500005ff,0x54409fff,0x00dffffd,0x7ffff400,0xf1000002,
    0x00001fff,0x00001fc4,0x03bffd50,0x03ffff70,0xfa801f44,0x034c03ff,
    0x004fff98,0x7fd400b5,0x3ee0004f,0x3fa007ff,0x500005ff,0x32009fff,
    0x0006ffff,0x0037ffcc,0x17ff2000,0x07f10000,0xf9300000,0xffe805df,
    0x3ae20bff,0xfff5000f,0x2600d007,0xb1004fff,0x27ffd400,0xdfffb000,
    0x3fffee00,0xff500000,0x7fdc009f,0x220004ff,0x00005fff,0x000ffc40,
    0x000fe200,0xffc88000,0xfffa80bf,0xfffeefff,0x3ffea002,0xf3002803,
    0x014009ff,0x009fff50,0x02ffff40,0x017fffcc,0x9fff5000,0x7ffff800,
    0x3ffe2000,0xe8000005,0xf8800006,0x00000003,0xf507ffd5,0xffffffff,
    0xfffa8007,0x3e600003,0x000004ff,0x0009fff5,0x00ffffe2,0x0013fffa,
    0x09fff500,0x1ffffc80,0xbfff1000,0xf9800000,0xf8800003,0x00000003,
    0xfe8826cc,0x001effff,0x003fffa8,0x13ffe600,0x7fd40000,0xff90004f,
    0xfff900df,0xa806000d,0x54004fff,0x0002ffff,0x000bfff1,0x000fd800,
    0x003f8800,0x00000000,0x00035751,0x001fffd4,0x09fff300,0xfa80e400,
    0xf98004ff,0x7d401fff,0xd0001fff,0x13ffea01,0x1ffff500,0x3ffe2000,
    0x22000005,0x1000005f,0x0000007f,0x00000000,0x007fff50,0x27ffcc00,
    0x2a07a800,0xe8004fff,0x7c404fff,0x30003fff,0x27ffd40d,0x17fff200,
    0x5fff8800,0x3f600000,0x26000001,0x00000000,0x80000000,0x0003fffa,
    0x017ffe60,0xfa813e20,0x7e4004ff,0x7ec00fff,0x320006ff,0x13ffea05,
    0x3ffff880,0x3ffe2000,0x98100006,0x0000005f,0x00000000,0x70000000,
    0x00007fff,0x002fffd4,0xff500fec,0x3fa6009f,0x7dc00eff,0x50000fff,
    0x7ffd407f,0x3fffa004,0x3e20000e,0x4c0006ff,0x0ffcceff,0xeeee9800,
    0x00eeeeee,0x00000000,0xf9000000,0x40000bff,0x2006fffb,0x7e406fd8,
    0x7dc404ff,0x4400cfff,0x0002ffff,0x7e405ff7,0xfea804ff,0xa80004ff,
    0x40007fff,0x2ffffffd,0xffff3000,0x01ffffff,0x00000000,0xb8800000,
    0x002fffff,0xfffff980,0xcccccccd,0x204fffec,0xdefffff9,0xffffdbbc,
    0xffd000cf,0x999999ff,0xfdb99999,0x3e603fff,0xbceeffff,0xffffedcb,
    0xfe880003,0x0001cfff,0x05dffff5,0x7fffcc00,0x00ffffff,0x00000000,
    0xfd300000,0xffffffff,0x7f44005d,0xffffffff,0xffffffff,0x774c1fff,
    0xffffffff,0x1bdeefff,0x7fffdc00,0xffffffff,0xffffffff,0x7ff74c7f,
    0xffffffff,0x0aceefff,0x7ff6c000,0x4effffff,0x02deb800,0x33333000,
    0x00033333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00071000,0x00000000,
    0x00000000,0x99902000,0x99705999,0x04005999,0x3332e000,0x33264ccc,
    0x41cccccc,0x02ccccc8,0xccca8004,0x9504cccc,0x08039999,0x00000000,
    0x0067fcc0,0x3fae0000,0x8002ceff,0x2dfffdc8,0x77f65400,0xfd8800bd,
    0x21daceff,0x84fffda9,0x04fffeb9,0x36a2fe44,0x36601dff,0x222dffff,
    0xbdffffda,0x1dffda80,0x3665fc88,0x3fee21df,0x3101cfff,0x71017ffd,
    0xdffd98df,0x7dfd9302,0x01deb801,0x01dffea8,0x6ff4c000,0x05fffc9a,
    0x2e6fbee0,0x5c00effe,0xffca9cef,0x2f7ea01f,0x81fffda8,0x2204fff8,
    0xfb504fff,0x7ffecbff,0x7e400fff,0xffd102ff,0x85fa801f,0xf55fffda,
    0xff30dfff,0x0bf200ff,0xd9bfff6a,0x44ffffff,0x5ffffffc,0x0bfffea0,
    0x177fecc0,0x3ff44000,0xd804ffe8,0x5fff884f,0x2a03ff20,0x6f883fff,
    0x3a03ff10,0x7ff404ff,0xfffdcb84,0xfcacfd8d,0x7fc406ff,0x3ffea03f,
    0x2e07e400,0xf8dfffdc,0xf907fffd,0x0bd001ff,0x2dfffbb5,0xffebabed,
    0xb759fb1f,0x3f205fff,0x44005fff,0x000bfffc,0x2e09ff70,0x37dc07ff,
    0x703fffb0,0x7fd403ff,0x501fe42f,0x13ffa03f,0xf809ffb0,0xfa83eeff,
    0x7fe402ff,0x01fff406,0xbffd013a,0x40bb263d,0x4c02fff8,0x77ff401f,
    0xdfff883d,0x7ffd80dd,0x0fffff50,0x3ffae200,0x7fec001c,0x01fff504,
    0xfa80bfe2,0x2ffc43ff,0x3a37ff40,0xe80fc05f,0x7fec04ff,0x17ffec04,
    0x9807fff0,0x3f201fff,0x007e606f,0x0009fffb,0x6c80dffb,0x02fffc80,
    0x980ffff2,0x37300fff,0xa80003f7,0x7002dffd,0x3fe603ff,0x00ffb00f,
    0xffb81bf9,0x3fffb804,0x1c807ffa,0xd809ffd0,0x7fe404ff,0x027fec05,
    0xf9027ff4,0x01b203ff,0x4001bff2,0xf101fffa,0x0dff9007,0x4407ffa8,
    0x7c801fff,0x3f260000,0x01a803ef,0x7c03ffe6,0x7ec0006f,0xdfff003f,
    0x0827ffe4,0xb013ffa0,0xffc809ff,0x02ffe405,0xf883ffdc,0x3f885fff,
    0x005ffc80,0x5c13ffa0,0x6ffc800f,0x007ffcc0,0x3e007ffe,0xb8800005,
    0x4000cfff,0x80ffffda,0x40005ff9,0xfd001fff,0x7fffccff,0x3ffa002e,
    0x027fec04,0xf9017ff2,0xfff100bf,0xfff5f705,0xc800fa81,0x2e0005ff,
    0x04e80fff,0x980dff70,0x7fc00fff,0x007d402f,0x3faa0000,0x3f2201df,
    0x80fff9be,0x20005ffa,0xb001fff9,0x7fe41fff,0xe802efff,0x7fec04ff,
    0x02ffe404,0x6c017ff2,0xff3f85ff,0x9005d87f,0x44000bff,0x0fcc3fff,
    0x406ffb80,0x7c00fff9,0x0bee02ff,0x74c00000,0xefc883ff,0x203ffe22,
    0x20006ffb,0x9001fffb,0xffb83fff,0x7405ffff,0x7fec04ff,0x02ffe404,
    0x4c017ff2,0x43ee0fff,0x0be26ffc,0x002ffe40,0xdb1bff20,0x037fdc00,
    0xf003ffe6,0x3dd105ff,0xd5000000,0xfd1039ff,0x0fff881b,0x0007ffb8,
    0x400bffee,0xf9107ffb,0x203dffff,0x7ec04ffe,0x2ffe404f,0x8017ff20,
    0x893a3ffe,0x00f71fff,0x0002ffe4,0x7c4bffe6,0x1bfee002,0x801fff30,
    0x02c82fff,0x7dc40000,0xfd100bff,0x03ffe20b,0x8007ffea,0x00fffea0,
    0x26037fdc,0xb06ffffd,0xffd809ff,0x02ffe404,0xb8017ff2,0xd81f56ff,
    0x4009d4ff,0x80005ffc,0x00f75ffd,0x4c06ffb8,0x7fc00fff,0x0000002f,
    0x0177fe4c,0xf880fffc,0xfff880ff,0xff996005,0x9ff9005f,0xffff500c,
    0x809ffb03,0x7e404ffd,0x2ffe405f,0xd3fff100,0xf5fff50b,0x2ffe4001,
    0x7ffd4000,0x7dc004e9,0x7ffcc06f,0x017ffc00,0xfda80000,0xff3001df,
    0x07ffc40f,0x800ffff8,0x07fff43b,0x1d17fe40,0x41fffcc0,0x3a205ffc,
    0x7fe404ff,0x02ffe405,0x07fbff60,0x002ffffc,0x00017ff2,0x007f7ffc,
    0x301bfee0,0xff801fff,0x2000002f,0x00cffeb8,0x80fffdc0,0xf901fff8,
    0x7cc01dff,0x01fffd41,0x05d07ff4,0xfb84ffd8,0xffe980ff,0x2ffe405f,
    0x0017ff20,0x640bfff5,0x64002fff,0x700005ff,0x7000bfff,0xff980dff,
    0x17ffc00f,0x7e440000,0x2a0002ef,0xfd883fff,0x7c4311ff,0xfb81efff,
    0x01fffd05,0x1ba1ffcc,0xf305ff50,0x3ee25bff,0x19afffda,0x6405ffd8,
    0xff8006ff,0x1ffe602f,0x01bff200,0x17ffc400,0x037fe400,0xf003ffe6,
    0x400005ff,0x001dffd9,0xcffff880,0xfffcfb88,0x7fdc0e9c,0xfedcefff,
    0xdfff300e,0x7f42fec0,0x403bf604,0xfffffffc,0x3bffffb2,0xd80dfff0,
    0xfc8007ff,0x004fe806,0x0007ffd8,0x4001ff60,0x7d407ffd,0x3fe200ff,
    0xe880003f,0x00000cff,0x7fffffe4,0x3ffffd2f,0x3ffffee0,0x4401ffff,
    0x3a62dffe,0x1bffd05f,0x6c01ffa8,0x361effff,0xff501cff,0x3fe603ff,
    0x7cc002ff,0x001fb802,0x027fffcc,0x003f9800,0x02ffff88,0xc813fffa,
    0x0000efff,0x00005f4c,0xbffff900,0x00f7fdc1,0x3fffffe6,0xffb1000c,
    0x4059dfff,0xfdefffee,0x771001df,0x7d405701,0x4effffff,0xffffffd7,
    0x8024007d,0x3fea0048,0x05ffffff,0x2000c800,0xffffffe9,0xffffd34e,
    0x3fa1dfff,0x0effffff,0x00000000,0x2201a880,0x55d44001,0x2ee60000,
    0x54c41001,0x000001ac,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6664c000,0x320ccccc,0x700ccccc,
    0x99999999,0x07999999,0x00003b50,0x26000000,0xffffffff,0xffffffff,
    0x314fffff,0xdb880333,0x1a8000bc,0x00000000,0x00000000,0x00000000,
    0x3ff6e200,0x7f4c2fff,0x3ffa03ef,0xeeeeeeef,0xf803ffff,0x3e80006f,
    0x303bf200,0x7774c7fd,0xeeeeeeee,0xeeeeeeee,0xfffd13ee,0x3fffea01,
    0x3a002dff,0x00000001,0x00000000,0x00000000,0xfff90000,0x2017f20f,
    0x7fd401ee,0x7ff8805f,0x07fdc000,0x21fffc40,0x00007ffc,0x17ffcc00,
    0x654e77c4,0x200cfffe,0x000000f9,0x00000000,0x00000000,0x36000000,
    0x37cc2fff,0x7c402e80,0xf8180fff,0x8800445f,0xf9804fef,0x7fff45ff,
    0x40000000,0x06c85ffa,0x2bbfff26,0x0009d710,0x00000000,0x00000000,
    0x00000000,0x20ffff88,0x01d000fe,0xd81fffe8,0xb93f62ff,0x9fc803ff,
    0x7fcc01fd,0x03fff44f,0xfb800000,0xb8803e87,0xdffffffe,0x00000000,
    0x00000000,0x00000000,0xffa80000,0x4003f74f,0x1fffe403,0xf72fffe8,
    0x017fff25,0x017e29f3,0xff90bffe,0x0000000f,0x001a17e4,0x00f7b726,
    0x00000000,0x00000000,0x00000000,0x7fff9000,0x5400007f,0x3e605fff,
    0xc8f9bfff,0x7401ffff,0xd00bee0f,0x6ffb83ff,0x4ccccccc,0x99999999,
    0x00999999,0x00000136,0x00000000,0x00000000,0x00000000,0x7f440000,
    0x200005ff,0x400efff8,0xdfcfeca8,0xfb802cef,0x3600fe82,0x27fcc0ff,
    0xfffffff3,0xffffffff,0x09ffffff,0x00000244,0x00000000,0x00000000,
    0x00000000,0xff300000,0x6c00009f,0xa8001fff,0x22001efe,0x409f506f,
    0x3ff886fb,0x2aaaaaa2,0xaaaaaaaa,0x1aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fec0000,0xfc80001f,0x2e6003ff,0xbdfefdfd,
    0xb00fe400,0x417ea01f,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0x0000efff,0x4017ffe6,0xf8cfffe9,0x305fffd8,
    0x05f8809f,0x03f607f1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff9de880,0xff10004f,0x3fa001df,0x363f53ff,0x0fe83fff,
    0x5f02fb80,0x00001b20,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdb000000,0x00bffee1,0x007fff60,0x3f63ffe8,0xf713ff23,0xc8374007,
    0x00009500,0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,
    0x07fff41f,0x07fff700,0xf06a2188,0x7c4298bf,0x01fd4006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07f30000,0x200bfff1,
    0xa805fff9,0x03ffc402,0x6c000fe4,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x3ffee05f,0x77ffc403,0x4402c800,
    0x02a806ff,0x00035100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe801fb00,0x3f601fff,0x2f9801ff,0x0002eb80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x7401ffd8,
    0xfb81ffff,0xaaaaadff,0x01ffcaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0xffa84fff,0x11ffffff,
    0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_46_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_46_usascii_y[95]={ 37,8,8,8,7,8,8,8,8,8,8,12,32,26,
33,8,8,8,8,8,8,9,8,9,8,8,17,17,13,19,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,8,8,8,44,8,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,12,18,18,18,18,18,18,8,8,8,23, };
static unsigned short stb__times_46_usascii_w[95]={ 0,6,13,21,17,33,31,5,12,13,16,23,7,12,
6,12,19,12,20,17,20,18,19,18,17,18,6,7,23,23,23,16,37,30,26,26,29,25,22,29,30,12,16,31,
25,37,31,28,22,28,29,19,24,30,30,39,30,30,25,10,12,10,19,23,8,18,21,17,20,17,18,20,21,10,
13,22,10,33,21,19,21,20,15,13,12,21,21,30,21,21,18,13,2,12,23, };
static unsigned short stb__times_46_usascii_h[95]={ 0,30,13,30,34,31,30,13,38,38,17,23,12,4,
5,30,30,29,29,30,29,29,30,29,30,30,21,27,21,9,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,38,28,30,28,29,29,29,28,28,28,38,30,38,16,2,8,21,30,21,30,21,29,29,29,29,
38,29,29,20,20,21,29,29,20,21,26,20,20,20,19,28,19,38,38,38,6, };
static unsigned short stb__times_46_usascii_s[95]={ 255,31,174,38,161,179,60,250,1,44,137,
186,243,186,248,128,219,239,146,110,125,132,49,167,92,161,248,247,210,188,1,
180,94,216,106,22,50,24,1,1,180,235,186,117,211,49,203,213,1,132,87,
141,24,83,52,12,149,133,80,83,242,58,154,179,212,25,197,44,1,234,69,
88,194,1,69,109,114,209,118,62,172,151,171,82,237,96,187,140,96,164,118,
30,27,14,221, };
static unsigned short stb__times_46_usascii_t[95]={ 1,40,211,40,1,1,40,132,1,1,211,
161,190,185,124,40,36,36,102,40,102,71,71,102,40,36,102,71,161,211,190,
36,1,71,161,71,161,161,161,40,132,102,102,132,132,132,102,1,132,1,132,
40,132,102,102,102,132,161,161,1,1,1,211,33,211,190,36,190,71,161,71,
71,71,102,1,71,102,190,190,190,71,71,190,190,132,190,190,190,211,161,211,
1,1,1,211, };
static unsigned short stb__times_46_usascii_a[95]={ 166,221,271,332,332,554,517,120,
221,221,332,375,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,185,185,375,375,375,295,612,480,443,443,480,406,370,480,
480,221,259,480,406,591,480,480,370,480,443,370,406,480,480,627,
480,480,406,221,185,221,312,332,221,295,332,295,332,295,221,332,
332,185,185,332,185,517,332,332,332,332,221,259,185,332,332,480,
332,332,295,319,133,319,360, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_46_usascii_BITMAP_HEIGHT or STB_FONT_times_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_46_usascii(stb_fontchar font[STB_FONT_times_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_46_usascii_BITMAP_HEIGHT][STB_FONT_times_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_46_usascii_s[i] + stb__times_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_46_usascii_t[i] + stb__times_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_46_usascii_x[i];
            font[i].y0 = stb__times_46_usascii_y[i];
            font[i].x1 = stb__times_46_usascii_x[i] + stb__times_46_usascii_w[i];
            font[i].y1 = stb__times_46_usascii_y[i] + stb__times_46_usascii_h[i];
            font[i].advance_int = (stb__times_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_46_usascii_s[i] + stb__times_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_46_usascii_t[i] + stb__times_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_46_usascii_x[i] + stb__times_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_46_usascii_y[i] + stb__times_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_46_usascii_LINE_SPACING
#endif

