// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_47_usascii_BITMAP_HEIGHT        240
#define STB_FONT_times_47_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_47_usascii_FIRST_CHAR            32
#define STB_FONT_times_47_usascii_NUM_CHARS             95

#define STB_FONT_times_47_usascii_LINE_SPACING          30

static unsigned int stb__times_47_usascii_pixels[]={
    0x2aa60000,0x0800019a,0x80018800,0x01300029,0x100014c0,0xb9510001,
    0xd5000157,0x7ddddddd,0x3bbbbbaa,0x028803ee,0x05100000,0x400000aa,
    0x000d402a,0x7ed40000,0xfeeccdef,0x05b0002d,0x00cec880,0x64400f90,
    0xff7000ce,0x01d5000b,0x3ffff660,0x00dfffff,0xdddddd50,0x3ffee9ff,
    0x803eeeee,0x4000006a,0xfc80ffda,0x7c400000,0x03ffc984,0xf7100000,
    0xda88037f,0x0dd8004f,0x801ec800,0x09d3007c,0x01fffd00,0x4003b620,
    0x261adffc,0x002fffeb,0x7dd3fee0,0xfb30004f,0x20000357,0x0fffffb8,
    0x00002f98,0xffd50fd4,0x000007ff,0x0005df90,0xb0003ba2,0x5f90003d,
    0xf9807c80,0xdff90005,0x003bea00,0x200fffa6,0x0004ffe8,0x3fee9ff7,
    0x3ff62004,0x1cefffff,0x3aae2000,0x0bf00fff,0x5c6d8000,0x003fffda,
    0x0ff62000,0x017dc000,0x3000bf20,0x03e401ff,0x4000bfa2,0xf9800cb8,
    0x3fff5005,0x77ff4400,0xa7fdc000,0xf7004ffb,0x2e6d55bf,0x80004fff,
    0xf900fffb,0x3e200001,0x07fff104,0x3fe60000,0x7d400001,0x07fe2000,
    0x640bfd00,0x003fe407,0x06e88000,0x009fff10,0x009fff10,0xff74ffb8,
    0x45ff5009,0x02ff446a,0x07ffd400,0x00002f98,0x7ffc03f7,0xfa800003,
    0x9000000e,0x0ffa800d,0xc81ff600,0x0037fc07,0x02fd8000,0x001fffb0,
    0x007fff20,0xff74ffb8,0x47ff8809,0x005f986a,0x00fff980,0x6c00017a,
    0x01fffc06,0x03be2000,0x09b00000,0x2005fd80,0x0f901ffe,0x0003ffc4,
    0x8037e400,0x0004fffa,0x801bffe2,0x9ff74ffb,0x544ffa80,0x0000bb06,
    0x6401fff3,0x7c40000f,0x01fff403,0x00bfa000,0x01e60000,0x2005ff50,
    0x0f902fff,0x0007ffd4,0x05ff3000,0x01ffff10,0x4fffe800,0x2e9ff700,
    0x7fe404ff,0x05b83545,0x0fff9800,0x0000be60,0xffe803f7,0x3f200003,
    0x20000004,0x3fe2002e,0x2fff8806,0x7fcc0f90,0x2000001f,0xfb800ffc,
    0xb80006ff,0xb800ffff,0x09ff74ff,0x3547ffc8,0x98000598,0x2f400fff,
    0x201b6000,0x00003ffe,0xb8001df5,0x172e2dfd,0x3fa002dc,0x7ffcc02f,
    0x7c40f900,0x540002ff,0x006ff883,0x000bfffb,0x03ffff30,0x3ee9ff70,
    0x7ffd404f,0x00181aa2,0x7cc6aea2,0x07e400ff,0x803f8800,0x9b983ffe,
    0x005fb000,0x6cc57f4c,0xf305ffaa,0x06ffb800,0xf903ffd4,0x003fff80,
    0xb86feb88,0xffd004ff,0x3e00009f,0xfb802fff,0x809ff74f,0xd52ffff8,
    0xffea8000,0xfffadffe,0x0017cc00,0xfe801fb8,0x3ffff23f,0x03fc405f,
    0xbd01df50,0x03e207ff,0x00fff980,0x7c81bfee,0x0027ff40,0x0dffffb3,
    0xf1007fff,0x00007fff,0x2013fffe,0x9ff74ffb,0x7ffffd00,0x7dc000d5,
    0x3ffee21e,0x05e800ff,0x3a00db00,0xffff93ff,0x3201dfff,0x1ff7004f,
    0x803fff20,0x3fe6001f,0x17fee02f,0x7fe407c8,0x3eaa6003,0x7ffd46ff,
    0xffff9802,0xffd00002,0x9ff700bf,0x26013fee,0x06efffff,0x201ff900,
    0x800ffffb,0x7c4000fc,0x97ffd003,0xfffd97bf,0x007fe0df,0xfc80bfee,
    0x0017406f,0x4c0bfff1,0x01f204ff,0x20005ff7,0x7fe46ffd,0xfffa801f,
    0xfd00001f,0xff700fff,0x4013fee9,0x1ffffff9,0x01ffd400,0x2003fffa,
    0x7dc002f9,0xdfffd000,0x5ffff701,0xf9806f98,0x27fec04f,0xff000be0,
    0x05fd80ff,0x0df901f2,0x237fe400,0xb800fffd,0x0001ffff,0x00ffffb0,
    0x3fee9ff7,0x3ffa6004,0x3a003fff,0xfffc806f,0x800bd000,0x3ffa006e,
    0x37ffdc05,0x3fa00fee,0x17ff400f,0xff0007e0,0x7fcc01ff,0x7c40f900,
    0x3ee0001f,0x03fff46f,0x02ffffa8,0xdfffd000,0x2e9ff700,0x6c4004ff,
    0x00dfffff,0x54027fdc,0xf9000fff,0x00fe2001,0xe803ffe8,0x0bf21fff,
    0x8809ff90,0x07c407ff,0x03fffa00,0x1f209f30,0x40002fb8,0x7ffc6ffb,
    0xffff3007,0x3fe00007,0xffb804ff,0x0009ff74,0x3bffffea,0x00fffe01,
    0x4003ffe6,0x1f7003f9,0x01fff400,0xfb17ffd4,0x07ffc403,0x5017fea0,
    0xfffb000f,0x85dd3003,0x01eda87c,0x26ffb800,0x1006fff8,0x0009ffff,
    0x00ffffe0,0x7fdd3fee,0x3fea0004,0xf881ffff,0xff9802ff,0x017a000f,
    0x3fa00374,0xfff8803f,0xfb803fa4,0x3ffd804f,0x6c0026c0,0x2a002fff,
    0x744f90ee,0x2e00002e,0x3ffe66ff,0x3fffa005,0xff880005,0xffb802ff,
    0x0009ff74,0x7fffdf54,0x0fffcc2f,0x007ffcc0,0xf8801f70,0x1fff4003,
    0x3e5fff80,0x00fff407,0xf003ffe6,0xfff90003,0x33f22003,0x1ddb8f90,
    0xdff70000,0x0037ffcc,0x000dfff7,0x00dfff30,0x7fdd3fee,0x4daa0004,
    0x2e0ffffe,0xf9801fff,0x3e6000ff,0x0007dc03,0x7400fffa,0x981fa4ff,
    0xffe807ff,0x8003d406,0xb800fffd,0x983e40bf,0xfb80004e,0x1fffe26f,
    0x1ffff980,0x7ffdc000,0x29ff7003,0x20004ffb,0x3fffa26a,0x00bffee4,
    0x0003ffe6,0x006e80bd,0xd003ffe8,0x807ec7ff,0x7d405ffa,0x01f404ff,
    0x807ffe80,0x40f903fc,0x5c0004fa,0x3fffc6ff,0x17fff600,0x6fff8800,
    0x5d3fee00,0x2a0004ff,0x537ffc46,0xf3007fff,0xfb8001ff,0x0007f100,
    0x3e007ffd,0x407f21ff,0x3a604ffc,0x1ae02fff,0x06fff800,0x0f903fd4,
    0x20003fe8,0x7ff46ffb,0x3fe2000f,0xf70001ff,0x7dc005ff,0x009ff74f,
    0x7fec3540,0x017ffe67,0x0003ffe6,0x03ee07f3,0x00fffa00,0xfb83ffe2,
    0x20bffb01,0x00fff9e8,0x7c0005f3,0x27f405ff,0xffb80f90,0xdff70000,
    0x000fffd8,0x002fffd4,0x0027ffc4,0x7fdd3fee,0x6a80ec04,0x3e27ffa8,
    0x7cc01fff,0x5e8000ff,0x3a000dd0,0xff9803ff,0xfc817d45,0x457440ff,
    0x0bf307ff,0x27ffc400,0x6409ff50,0x017fdc07,0x5c6ffb80,0xb8001fff,
    0x6c002fff,0xfb8004ff,0x809ff74f,0xf50d503d,0x5fffd8bf,0x00fffcc0,
    0x3e207dc0,0x7ffd0003,0x881ffb00,0xdfff505f,0x3e25fb55,0x884fa86f,
    0x5fff3003,0x902ffdc0,0x04ffd80f,0x88dff700,0x70002fff,0xd1007fff,
    0x2e0009ff,0x09ff74ff,0x90d505d8,0xfff889ff,0x3ffee03f,0x43f88002,
    0xfd0000fb,0x2ff9807f,0x3fa01fb0,0x741fffff,0x3fda9cff,0x3ea007b0,
    0x3ffdc06f,0xffe80f90,0xdff70004,0x0007ffd0,0x056ffe44,0x00fffee6,
    0xf74ffb80,0x81fd809f,0x80ffe86a,0x20cffffc,0x9dffffc8,0xd1ba000a,
    0x7ff4000d,0x0bfd102f,0xfc881fd4,0xfea80bef,0xf500cfff,0x01ffdc00,
    0x6403ffea,0x01fffc07,0xb86ffb80,0x980005ff,0xffeffffd,0xb80002ef,
    0x09ff74ff,0x3541efd8,0xfc807ff6,0xdfeeffff,0x0cfffffa,0x7c43ee00,
    0x3faa0003,0xfd511cff,0x880df007,0x00133001,0x7fec007d,0x0fffcc00,
    0x3fe207c8,0xff70002f,0x00fff10d,0x7fffd400,0x200006ff,0x9ff74ffb,
    0x1cfffd80,0x0bff66d5,0x3ffffea0,0x05dff34f,0x7dcfe200,0xfea80000,
    0x00efffff,0x00005f70,0x2007b800,0xf8804ff8,0x40f902ff,0x0000fff9,
    0x3ee0dff7,0x2200002f,0x03fffffe,0x29ff7000,0xda804ffb,0xfffeffff,
    0x5cc000cf,0x0072209b,0x01dcee00,0x2eea2000,0x0fd80009,0xf3000000,
    0x0ffd4005,0x902fff80,0x03ffcc0f,0x40bff700,0x800004ff,0x01fffffc,
    0x74ffb800,0xa98009ff,0x0001bfda,0x00000000,0x00000000,0x0001ba20,
    0x000fea00,0x7f4005fd,0x440f901f,0x2e0006ff,0x3fea03ff,0xfb800000,
    0x0000efff,0xffba7fdc,0x01aa0004,0xcccccc88,0xcccccccc,0x2ccccccc,
    0x00000000,0x5f980000,0x3ea00000,0x027d4003,0x7c81ff60,0x0002ff40,
    0xfc805ff7,0xb3000005,0x0001dfff,0xffba7fdc,0x01aa0004,0xffffff98,
    0xffffffff,0x4fffffff,0x00000000,0xdf300000,0xfb800003,0x03744003,
    0xf901ffc0,0x000ffa80,0xb001ff90,0x4000003f,0x001effc8,0x3ee9ff70,
    0x0220004f,0x11111100,0x11111111,0x11111111,0x00000000,0x6c400000,
    0xd980003f,0x7f44002f,0x037d4000,0x0ff601f2,0x3fd82c98,0x001db100,
    0xffc88000,0x3333100d,0x3ee9ff73,0x099999df,0x00000000,0x00000000,
    0x00000000,0x0005f7dc,0x0002ffaa,0xd0001bd1,0x807c801d,0xfff00ee8,
    0x001fe21b,0x000007ae,0x3376ea20,0x3ffffee2,0xfff74fff,0x009fffff,
    0x00000000,0x00000000,0x10000000,0x3359bfd7,0x7fdb9533,0x05d30001,
    0x200bd300,0x07b2007c,0xd9ffffd1,0x3a60001b,0x00000001,0x55555441,
    0x55531aaa,0x00355555,0x00000000,0x00000000,0x80000000,0xffffedc9,
    0x0000abce,0x9b300036,0x003e4003,0xfd987726,0x00003dff,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001100,0x80000000,
    0x08000018,0x00000000,0x02af72a6,0x800a6000,0x20000029,0x0001aba9,
    0x5c01a980,0x0172000c,0x00ae209b,0x00000000,0x00000000,0x00000000,
    0x74c00000,0xfffeefff,0xfb8000df,0x3fae205f,0xfb800006,0x9bffecdf,
    0x2a001999,0x82fffffc,0x3a006ffd,0x7c13e206,0xca8804ff,0xe880001b,
    0x881a8003,0x260000ab,0x02e20aba,0x298014c0,0x32200000,0x5cc0acff,
    0x74002fff,0x7e4c0fff,0x00006fff,0xf9037fa2,0x05ffffff,0xfd515f90,
    0x7ffc47ff,0x04f8800f,0x3fea0fe6,0x67fe407f,0x740005ff,0xff71000e,
    0x7ffff549,0xffb1000d,0xff59ffff,0x37f5c401,0x00ffd710,0x3ffea000,
    0x4ffe8803,0x21bff200,0x06fffbaa,0x03ff6000,0x66677ff4,0x221fdc01,
    0xff30fffe,0x7f3005ff,0x7c40fdc0,0x37ee06ff,0x000bfd10,0x36a007ee,
    0xff94ffff,0x03dfffff,0x710affa8,0x301fffff,0x10dffff9,0x00fffff9,
    0x3fff5000,0x0effd800,0x400cb880,0x00006ffd,0x7dc09ff7,0xff5000ff,
    0x447ffe20,0xb802ffff,0xa81f601f,0x5ff501de,0x4001ffb8,0x957004f9,
    0x9df59fff,0x0dffffd9,0xf98077e4,0xba980fff,0xaa986fff,0x00007fff,
    0x0027ffc4,0x002fffc4,0x01bff200,0x01fff400,0x2007fff1,0x0f6606fe,
    0x9003ffff,0x0006f80f,0x7fc43fec,0x00374005,0x82fdfff8,0xa82ffffb,
    0x7fe401ff,0x37fec00f,0x001fff60,0x01fffb00,0x0bfff200,0x6ffc8000,
    0x7fff0000,0x004fff80,0xff000dff,0x0dd001ff,0x200027c4,0x1fff07ff,
    0x0007f200,0x900ffffc,0xbfd0ffff,0x01fff700,0x6406ffc8,0x200007ff,
    0x0004fffb,0x003bffe6,0x037fe400,0x1fffc400,0x2017ffa0,0xe8005ff9,
    0x4f8807ff,0x8000bea0,0xfff06ff9,0x009f3003,0x2027ff40,0x321ffff8,
    0xff9802ff,0x37fe400f,0x001ffee0,0x07fffc40,0x3fff6000,0xff700004,
    0x3fa0000d,0x27ff404f,0x002ffd40,0x4c03ffec,0x007ee03f,0xd06ffa80,
    0x0dd005ff,0x04ffe800,0x3e2fffc8,0xff9800ff,0x37fe400f,0x001ffee0,
    0x037ffdc0,0x7fffd400,0xffb80000,0xff900006,0x02fff80d,0x8005ffc8,
    0x2aa26ffc,0xaacfcaaa,0xaafeaaaa,0x7fd4000a,0x805ffd06,0x740001fc,
    0xffa804ff,0x00fff14f,0x9003ffe6,0xffb80dff,0xffb00007,0xf30000bf,
    0x3a803fff,0x4437fdc0,0xff3000ba,0x1bfe605f,0x002ffe40,0xff32ffdc,
    0xffffffff,0xffffffff,0xff88007f,0x403fff06,0xe80003fa,0xff9804ff,
    0x00fff35f,0x9003ffe6,0xffb80dff,0xffd00007,0xf100009f,0xf7105fff,
    0x6ffb80df,0x3bffff62,0x0effa800,0xa807fec4,0xffffffff,0x7d404fff,
    0x2aaaa24f,0xaaaaaefa,0x0aaadfba,0xf07ff800,0x1be201ff,0x27ff4000,
    0xba7ffc40,0xff3007ff,0x6ffc801f,0x003ffdc0,0x03ffff80,0x9ffff000,
    0x37fffecc,0x7cdbfee0,0x05ffffff,0x935dff30,0x64c01bff,0xcceffecc,
    0x7fd402cc,0x5027c403,0xfb00005f,0x05ff981f,0x400003f2,0xff004ffe,
    0x03ffee7f,0x003ffe60,0xfb80dff9,0xffff907f,0x7fcc5dff,0xf00002ff,
    0x554cbfff,0x7dc06fff,0xb31cf9ef,0xd1005fff,0x039bdd99,0x00bff900,
    0xa805ff30,0x003ee02f,0x90bfe600,0x0fea03ff,0x4ffe8000,0x2a5fff00,
    0xf9801fff,0x7fe400ff,0x03ffdc06,0x2a05dff5,0x0001ffff,0x20ffffd0,
    0x7dc06ffd,0xffd02fff,0x003f980b,0x02ffe400,0x200ffc40,0x01f601fc,
    0x30ffa800,0x17e209ff,0x9ffd0000,0x23fff100,0x9803fff9,0x7e400fff,
    0x3ffdc06f,0x5401bfb0,0x0002ffff,0x20dfffb0,0x7dc06ffc,0x3fee01ff,
    0x001fe207,0x017ff200,0x36007fc0,0x0002fc07,0x3ff7bae0,0x0003f602,
    0x009ffd00,0x7fc4dff3,0xfff9807f,0x037fe400,0x7e41ffee,0xffff9803,
    0xffd00003,0x1bff20bf,0xa80dff70,0x3fee07ff,0x7e400002,0x0fd0005f,
    0x27c40bf0,0x0077f620,0x3ea00d44,0x2f7ae602,0x04ffe800,0x7f42ffb8,
    0x7fdc03ff,0x37fe400f,0x361ffee0,0xfff1003f,0x3e00009f,0xff903fff,
    0x06ffb80d,0xe807ffd4,0xeeefffff,0x9001ccee,0x36000bff,0x5027c407,
    0xfffd805f,0xf100000f,0x5d7fdc0b,0x7ff401ff,0x985ff806,0xf704ffff,
    0xfc801fff,0x3ffdc06f,0xe8005fb1,0x80004fff,0x902ffff8,0xffb80dff,
    0x07ffd406,0xffffffb8,0xefffffff,0x02ffe402,0x66446c80,0xccccdfdc,
    0xcccdfecc,0x3ffffe1c,0x1fb00003,0xfa83fe60,0x3fffa00f,0x407fee04,
    0xaceffffd,0x0fffaeeb,0x2037fe40,0x5fd17ffb,0xbfffb000,0xfff30000,
    0x1bff203f,0x980dff70,0x3ea00fff,0xffffffff,0x201fffff,0x90005ffc,
    0xfffff98b,0xffffffff,0x23ffffff,0x006ffffc,0xf102fb80,0x40dff0bf,
    0x40bffffe,0x3a201ffb,0xefffffff,0x400fff98,0x7dc06ffc,0x003fe8ff,
    0x00dfff90,0x0ffff300,0x2e037fe4,0x7fcc06ff,0x4c57200f,0xdccbaaaa,
    0x3ff205ff,0x30970005,0x3333fd33,0x333bf333,0xd8ba8133,0x2fc40007,
    0xf907ff50,0x33ffa03f,0xdffdeffb,0xffff9000,0x07ffcc9f,0x701bff20,
    0x3fffdfff,0xffff1000,0xffc80003,0x1bff203f,0x980dff70,0x1f700fff,
    0x00ff8800,0x2000bff9,0x102fc029,0x0dd0007f,0x200fe800,0xffb82ffc,
    0x229ffd03,0x80009bba,0xff981ba8,0x37fe400f,0x3e7ffee0,0xb8000eff,
    0x20005fff,0x6406fff8,0x7fdc06ff,0x07ffcc06,0xb80027d4,0x017ff207,
    0x027c4000,0xf98005f5,0x0bee0004,0xf705ffb0,0x13ffa09f,0xf3000000,
    0xffc801ff,0xbbffdc06,0xd0005fff,0x20003fff,0x6401fffc,0x7fdc06ff,
    0x07ffcc06,0x4000bfe2,0x17ff205c,0x17d40000,0xc8001f90,0x9f30000f,
    0x503fff00,0x3ffa0dff,0x40000004,0x6400fff9,0x7fdc06ff,0x013fff27,
    0x017ffe60,0x00fffe20,0xf701bff2,0xfff980df,0x002ffe40,0xff900fcc,
    0x3200000b,0x001f600f,0x740003f7,0x05ffd006,0x3fa0bff7,0x0000004f,
    0x2007ffcc,0x7dc06ffc,0x17fff47f,0x17ffdc00,0x0bffb100,0x701bff20,
    0xff980dff,0x67ffe40f,0x03fb8801,0x4002ffec,0x0fb02ed9,0xdd3005f8,
    0x0fe40003,0xb82ffc80,0x9ffd04ff,0x98000000,0x7e400fff,0x3ffdc06f,
    0x003fffe2,0x013ffa60,0x800fffa6,0x7e407ffc,0x7ffd407f,0x7ffffc41,
    0xccaaabce,0xffe803ff,0x7ffe8006,0x1fc40bf0,0x40002e80,0x3ee004f9,
    0x03ffc83f,0x00009ffd,0x1fffa800,0x2037fe40,0xffa87ffb,0xd88000ef,
    0x2a20adff,0x4001effc,0x7ec07ffd,0x7ffd407f,0xffffc882,0xcfffffff,
    0x0ffff000,0x1ffff880,0x5f5027c4,0x74000000,0x2ffcc006,0xff807ff4,
    0x0000005f,0x200fffdc,0x7e407ffc,0xbfff707f,0x7fed4000,0x3dfffeff,
    0xffff9800,0x7ffff303,0x02ffff40,0xdfffdd71,0x7e40037b,0x2000cfff,
    0x2fa86ffd,0x00003ee0,0x000fe400,0xff307fdc,0x3fffea07,0x20000001,
    0x6c04fffd,0x7fec07ff,0x9fffd00f,0x97510000,0x3aa00015,0x4fffffff,
    0xfffffff5,0x3fffa6bf,0x1005ffff,0xfffd3000,0x1ddfffff,0x32a05500,
    0x00012a00,0x001fcc00,0xff53df90,0xffffd88b,0x0004efff,0xffffb300,
    0xf981dfff,0xff103fff,0x3fee07ff,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0001ba20,0x00fbff6a,0x00000000,0x3fffa600,
    0xff75ffff,0x4dffffff,0xfffffffc,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x88000000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5e6e5440,0x26000000,0x2a0001bc,0x8000abcb,0x99999998,0x4c000099,
    0x333104ca,0x33333333,0x54401333,0x2201accb,0x01999999,0x33333100,
    0xba803333,0x2001acdc,0x99999998,0x73001999,0x33300379,0x33333333,
    0x4002c983,0xfffefffb,0x32200002,0x01effefe,0x3ffffa60,0x7f4004ff,
    0xffffffff,0xffeb8000,0xffff01bd,0xffffffff,0xf9105fff,0x1bfd99bf,
    0xfffffd50,0xfb70007f,0x09bfffff,0x3b2f7fa6,0xdb800dff,0xffffffff,
    0x3ff200cf,0x201fffed,0xffffffdc,0x7ffc4eff,0x47ff9003,0x0001ffc8,
    0x2a1dfe88,0xffa801ff,0x5fffffff,0xfffff700,0x800bffff,0xa801effb,
    0xffffffff,0x0fffffff,0xfb827fc4,0x3ffea02f,0x910002ff,0x7d401bff,
    0x05fffb04,0x77fffdc0,0x545fd802,0xfd803ffd,0xf982efff,0xffb805ff,
    0x000dfb05,0xf506fe88,0x67fcc05f,0xffffda9a,0xffffe802,0x001fffff,
    0xd8017ff6,0xffffffff,0x85ffffff,0x7fdc06fe,0x3fffe200,0x3fe0001f,
    0xb01be601,0x74001fff,0xfd803fff,0x00fffa05,0x203ffff1,0xf805fff9,
    0x1ff502ff,0x0ffec000,0x2f40dfd0,0x80bfff70,0xaaaaabfa,0xfd1002aa,
    0x7fc4005f,0x99999aad,0x5c2ff999,0x7fc402ff,0x7fffcc05,0x1fd0000e,
    0x2602fec0,0x36004fff,0x7dc02fff,0x3ffe600f,0x07fffc00,0x404fff88,
    0x3e607ff9,0xff30001f,0x83ffb80d,0xfffd806b,0x0001ba00,0x001fff44,
    0xfa800bf2,0x803ff40f,0xfff807fe,0xfb0005ff,0x007ffc01,0xd801bffe,
    0x3e201fff,0x5ffd805f,0x007fffc0,0xfa805fff,0x0ff900ff,0x027ff400,
    0x02a1bfe6,0x403ffea0,0xd00002fa,0x5f000bff,0xf85fd800,0xffe800ff,
    0x7ffffc00,0x07d8004f,0x36017ffc,0xfb000fff,0x7fe403ff,0x1fff9804,
    0xb01fffe0,0xffb803ff,0x00bff01f,0x00bffe60,0x4000bffe,0x1ba06ff9,
    0x7ffec000,0x001c4000,0x7ffc17fc,0x02ffc402,0x7fffe6fc,0x203ec002,
    0x7ec05ffd,0x3ff6007f,0x0fffa01f,0xf02fffc0,0xffc80fff,0x27ffd400,
    0x80007fd4,0xd800fffb,0xf30006ff,0x2fbea07f,0x3fea0001,0x0000002f,
    0xffb01ff5,0x17fd401d,0xfffeafc0,0x01f6001f,0xfe807ff5,0x3ff6005f,
    0x0bffe01f,0xf037ff40,0x6fb80fff,0x47fff980,0x20002ffb,0xf9007ffd,
    0x3ee000ff,0xffffd00e,0xfe80039f,0x0000006f,0x7fdc17f2,0x03ff605f,
    0x7ff457e0,0x0fb000ff,0xfff00510,0x7ffec007,0x07fff101,0xf81fff60,
    0x2fcc07ff,0x8afffe80,0x40001ffe,0xf7007fff,0xfb0001ff,0x3fffea01,
    0x7004ffff,0x00007fff,0x8817fc00,0x5c0dffff,0x4bf001ff,0x006ffff9,
    0x2a0000fb,0x36000fff,0xff301fff,0x3ff2009f,0x0ffff00f,0xf7003f88,
    0x819ffdff,0xfffffff9,0x1bffe21f,0x00fffdc0,0xfd807ee0,0xffffffff,
    0x7fff401e,0x037b9510,0x07fd4000,0x1dffff50,0xf8007bee,0x27fffd45,
    0x80003ec0,0x6c002ffd,0xff101fff,0x3ff200bf,0x0ffff02f,0x3e2005d0,
    0x2200efff,0x981dffff,0xf7006fff,0x7dc005ff,0xfb73000d,0x205fffff,
    0xfd9dfff9,0x00efffff,0x805fc800,0xfcfffffb,0xc85f8004,0x6c03ffff,
    0xff980007,0xfffd8005,0x01fffe01,0xf817ffec,0x009807ff,0x0dffff50,
    0x540dff90,0xf5005fff,0xfb3007ff,0x88007fff,0x80fffffd,0x9cfffffb,
    0x2ffffca8,0x017fc000,0x5fffffa8,0x360bf000,0x3601ffff,0xefd80007,
    0xfffd8000,0x0ffffa01,0x407fff60,0x00007fff,0xffffdfb1,0x00ffb807,
    0x4017ffea,0x2a04fffa,0xffffffff,0xfff98004,0xcfffe85f,0x1ffff700,
    0x03fe6000,0xfffff980,0x105f8004,0x201ffffd,0x7cc0007d,0xffb0001f,
    0x7ffd403f,0x07ffe806,0x0001fffe,0x3f637fea,0x3fa00fff,0x27ffd404,
    0x04fffa80,0x7fff6544,0xf98003ff,0x7ffc1fff,0x7ffec00f,0x0bf90004,
    0xfffefc80,0x17e000df,0x06ffff88,0xfd8000fb,0x3ff60002,0x7ffec01f,
    0x1fffee04,0x2207fff8,0x9ff903ed,0x837fffc4,0xffa806f8,0xfff7004f,
    0xfffb8009,0xff30007f,0x07fff87f,0x00ffff98,0x1002ff80,0xfffb15fb,
    0x17e001df,0x0bffff50,0x7cc000fb,0x7fec0003,0x7ff4c01f,0xefba9adf,
    0x3fe05fff,0x3fff207f,0x641ffe41,0xfb83ffff,0x5fff9801,0x07fff700,
    0x5ffff100,0x97ff6000,0xd007fff8,0x98003fff,0xfe8800ff,0x37fffec4,
    0xfb805f80,0x03ec3fff,0x0000d900,0x1003fffb,0xdffffffb,0x405fff73,
    0x3fa07fff,0x1bff23ff,0x07ffffc4,0x3e2009f1,0xff7005ff,0x3ea0005f,
    0xf30003ff,0x37ffc4df,0x02fffb80,0xd802fe40,0xffff906f,0x200bf007,
    0x362ffffd,0x007a0007,0x07fff600,0x1bcdb980,0xff01fffa,0x7ffdc0ff,
    0x407fff30,0x365ffffb,0x3ffe000e,0x3fff9006,0x27ffc000,0xe8dff000,
    0xff5006ff,0x2ff8007f,0x202ffa80,0x400ffffc,0x3ffa005f,0x000fb0ff,
    0xfd80003c,0x300001ff,0xff809fff,0xb05cc07f,0xfd803fff,0x01fbafff,
    0x8037ff40,0x40007ffd,0x20004ffd,0x3ffec4fe,0x02fff980,0x2003fe60,
    0x7ec00ffd,0x02fc03ff,0x1dffff10,0x162000fb,0x7ffec000,0xff900000,
    0x7fff801f,0x37ffc400,0x7ffffc40,0xffb8004f,0x5ffe800f,0x17fdc000,
    0xb85fd000,0xf8800fff,0x3f2001ff,0x07ff8805,0xf809ffd0,0x7ffcc005,
    0x30007ddf,0x3f600009,0xf300007f,0xfff007ff,0xfff9800f,0xffff5007,
    0xff10001f,0xfff8805f,0x7fdc0003,0x03fe0001,0x3003fff5,0x74001fff,
    0x5ffa802f,0x80bff900,0xffa8005f,0x10007fff,0x3f600001,0xfb00006f,
    0x3ffe00bf,0x7ffd4007,0xfffb001f,0x418801df,0x7cc04ffd,0x640000ff,
    0x3e60006f,0x03fff885,0x2005ffa8,0xf9800ff9,0x7ff3006f,0x90005f80,
    0x000fffff,0xffb00000,0xff50000b,0x3ffe001d,0x7ffcc007,0xfff5005f,
    0x1ec01dff,0xf901bfe6,0xfd00007f,0x07f40003,0xb806ffa8,0x3f2001ff,
    0x0fff1005,0xf00bfe60,0x7fec000d,0x0000007f,0xffd81771,0x7fcc0004,
    0x3ffe001f,0x7ffc000f,0x77dc02ff,0x82effffe,0x1ffc80fa,0x0181bfe0,
    0xcc98bf90,0x200fe400,0x7f404ffd,0x017f4005,0x7007ff90,0x06f880df,
    0x1fffa200,0x00bba600,0x3fa2fff4,0x3e20000f,0x7fc000ef,0x7d4000ff,
    0x220cffff,0xfd88dfea,0xfddfffff,0x41bf604f,0xffd01ffc,0x213ee019,
    0x441bfffe,0xfe8802fe,0x01bf700f,0x0007fcc0,0xf8803ffa,0x03fcc01f,
    0x01ffe600,0x003fffa0,0xff87fffe,0x3fea0002,0xfff88005,0xffc8001f,
    0xffffffff,0xffffc84f,0xe806ffff,0x3ff931df,0x3ffffe20,0x02febaad,
    0xbdfffff7,0x4c001dfd,0x2fdc2eff,0x002fe400,0x4c0f7ec4,0x7f4402fe,
    0x2a0001cf,0x7fc4007f,0xffc801ff,0x004fa8ef,0x007ff930,0xdffffd50,
    0xffd50003,0x01bfffff,0x7fffff5c,0xfeb8800d,0x5400cffe,0xefffffff,
    0x7ffec00c,0x0002ceff,0xdfbfffb1,0x0bfa0007,0xdeffb800,0x3a00cfed,
    0xeffffffe,0x00f70004,0x200dffb0,0x4fffffe8,0x3ff6e600,0xffd8002e,
    0xffffffff,0x654c000e,0x5c4000ab,0x510001bc,0x55440015,0xa98000aa,
    0x200000aa,0x00009a98,0x00003322,0x0006aaa2,0x01400000,0x88002a80,
    0x5c000acb,0x000009ac,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xba880000,0x02a80acd,
    0x3372aa00,0x223980ac,0x99999999,0x4ccccc19,0x20099999,0x99999998,
    0x33333310,0x20013333,0x99999998,0x26666621,0x00999999,0x4cccccc4,
    0x53000199,0x01599b99,0x4cccc409,0x99999999,0x99999999,0x26666099,
    0x00199999,0x03710000,0x7ffffdc0,0x3e9adeff,0x7ffe4400,0x2dfffeef,
    0xfffea936,0x6c4fffff,0xffffffff,0x3ffae03e,0xff74ffff,0xffffffff,
    0x3ffea009,0xb70fffff,0xffffffff,0xfdb8039d,0x0cefffff,0xfffd7100,
    0x7bfffddf,0x3ea01f11,0xffffffff,0xffffffff,0x914fffff,0xffffffff,
    0x59dfffff,0xff910000,0x7ffd1007,0x3ffb2a21,0x3f6003ff,0xea880cff,
    0xf885ffff,0x6404ffff,0x001fffff,0x4c13ffa2,0x02fffffe,0x5dfff500,
    0x3ffff220,0xfc88001f,0x7dc001ff,0xa881bcff,0x701fffff,0x999ddfff,
    0x999ffff9,0x09ffffb9,0x9dffffd5,0xbfffdb99,0xff910001,0xffb007ff,
    0x3fffd803,0x05ffe880,0x417ffee0,0x801ffff9,0x8007fffe,0x7fc405fc,
    0x640006ff,0xfff802ff,0x7fc0004f,0x7ffe4003,0xfffb1001,0x807fee03,
    0x3a607fff,0xbfff704f,0x1ffffe40,0xfffbd900,0x3ffb807f,0x807ffb00,
    0x8004fff9,0x3fa06ffa,0xffa802ff,0x1fd8007f,0x06fffc80,0x802fec00,
    0x0002fffe,0xe8800ff4,0xb8001fff,0x01f902ff,0x4407fff8,0xbfff505e,
    0x3ffffa80,0x7ffd4100,0x007ff403,0x7c407fb0,0x2e0006ff,0x3ffee06f,
    0x3ffff005,0x1006f800,0x0003ffff,0xfd8007fc,0x6c0002ff,0xdffb000f,
    0x1fec0001,0xfff804c8,0xf305a807,0xffb00bff,0xff0001ff,0x7ffc407f,
    0x80fea000,0x0001fffd,0xfff103f4,0xfff9001f,0x01fcc009,0x009fffb0,
    0xd8013ea0,0x40001fff,0xffb800fd,0x7c40002f,0xff005903,0x20d100ff,
    0xa805fff9,0x8002ffff,0x3e603fff,0x3e2002ff,0x09fff703,0xd80f5000,
    0xf9802fff,0x3f2006ff,0x3ffe6000,0x03fb0007,0x00fffec0,0x3003f600,
    0x0000dfff,0x4004c132,0x05007fff,0x2017ffe6,0x003ffff8,0x2203fff8,
    0x6c006fff,0x05fffd03,0xa803e000,0xfd005fff,0x1be003ff,0x0bfffa00,
    0x800bf100,0x0001fffd,0x3fa007ec,0x300003ff,0xfff8000b,0x7fcc0007,
    0xffff005f,0x7fff0009,0x0efffe80,0xff307700,0x5c0000ff,0x3fffe200,
    0x4fffe800,0x8003fa80,0x4006fffa,0x7ec002fb,0x6c0001ff,0x3ffe200f,
    0x0200000f,0x0ffff000,0x5fff9800,0x2ffff980,0x03fff800,0x17ffffe4,
    0xbfff9000,0xd8000000,0x7c403fff,0xfc807fff,0xffff0000,0x003f4003,
    0x000fffec,0xfc803f60,0x000005ff,0x3fffc000,0x3ffe6000,0xffffb805,
    0x3fff8001,0x7ffff440,0xff8000df,0x000004ff,0x02fffd40,0x07ffffee,
    0x64000bf0,0xf5005fff,0xfffb0009,0x0fd80003,0x013fffe0,0xf0000000,
    0x98000fff,0x7c405fff,0xf0004fff,0xff1007ff,0x009fffff,0x01ffffc4,
    0x7fc00000,0x2ffa00ff,0x3ea04fff,0x3fe20003,0x0fd800ff,0x1fffd800,
    0x807ec000,0x003ffff8,0x7c000000,0x4c0007ff,0x7ec05fff,0xf0000eff,
    0x3e6007ff,0x2fffffff,0x2ffff980,0xc8000000,0x9f303fff,0x6c0ffff1,
    0x7ec0000f,0x2fc404ff,0x1fffd800,0x807ec000,0x002ffff9,0xaaaaaaa8,
    0xf8002aaa,0x4c0007ff,0xfd505fff,0x40001bff,0x22003fff,0xfffffffd,
    0x3ffea01e,0x0000002f,0x906fff98,0x0bfff63f,0x4c0002fc,0x7e407fff,
    0xfffb0002,0x0fd80003,0x03ffff50,0xfffd9700,0x00079fff,0x8000ffff,
    0xcbaefff9,0x02dfffed,0x03fff800,0xffffea80,0xff504fff,0x000003ff,
    0x03fffa00,0x5fffa9ba,0x00002fa8,0x7c07fffd,0x3ff60007,0x7ec0001f,
    0x5ffff700,0xfffd8000,0x3fe0002f,0x7cc0007f,0xffeeffff,0x200000ff,
    0x20003fff,0xfffffffb,0x2ffff985,0x90000000,0x4f987fff,0x3607fffc,
    0xf500000f,0x13ea0dff,0x1fffd800,0x807ec000,0x003ffffa,0x03fffcc0,
    0x01fffe00,0x8bfff300,0x0004fffe,0x000fffe0,0xfffff910,0xffff889f,
    0x00000002,0xfc8dfff3,0x117ffec1,0xf80000bf,0x0fd81fff,0x3fff2000,
    0x07ec0001,0x04ffff88,0x3fffcc00,0x1fffe000,0xbfff3000,0x01ffff88,
    0x07fff000,0x3ffa6000,0x7ffc2fff,0x0000003f,0xf87fffa0,0x25fffa86,
    0x400002fa,0x7c45fffb,0x7fe40005,0x7ec0002f,0x17fffe00,0xdfff1000,
    0x7fff8000,0x7ffcc000,0x0ffffa85,0x3fff8000,0x7fe40000,0x7fff45ff,
    0x00000005,0x7ccfffee,0x21ffff03,0x400000fd,0x320ffff8,0x7e40002f,
    0x740002ff,0x3ffff407,0x3ffe2000,0x7ffc0006,0x7fcc0007,0xbfffb05f,
    0x7fff0000,0xfd800680,0x7ffe47ff,0x00000007,0x7e5bffe2,0x17fff900,
    0x200000bf,0x1be4fffd,0x3fff2000,0x03f40003,0x00bfffee,0x06fff880,
    0x03fffc00,0x17ffe600,0x01ffff44,0x00fffe00,0x3ffa000f,0x3fffe21f,
    0x00000001,0x1be7fff6,0xfaefff98,0xf3000002,0x00feafff,0x0fffee00,
    0xf00df000,0x4000bfff,0x0006fff8,0x0003fffc,0x9817ffe6,0x0000ffff,
    0x3f00fffe,0x1fff9000,0x005fffc8,0xa8009300,0x403fefff,0x007efffe,
    0x7fff4000,0x80000feb,0x0005fff9,0x3ea013e6,0x10001fff,0x8000dfff,
    0x40007fff,0x5c05fff9,0x20006fff,0x2fc03fff,0x43ffd400,0x002ffff8,
    0x20007440,0x00fffff8,0x02ffffe4,0x3fea0000,0x00005fff,0x001ffff1,
    0x7400bee0,0x10006fff,0x8000dfff,0x40007fff,0xd805fff9,0xf0004fff,
    0x1ff807ff,0x82ffe400,0x000ffffb,0x6c000ba0,0xf9805fff,0x00002fff,
    0x2fffff80,0x3ff20000,0xff88003f,0xffff3000,0xfff10007,0xfff8000d,
    0x7fcc0007,0xfff8805f,0xfff8002f,0x00fffc03,0x201ffe88,0x001ffffc,
    0x50002744,0x3a005fff,0x000007ff,0x00dfff70,0xefff8800,0x0ffa2000,
    0x7ffff300,0x6fff8800,0x3ffe2000,0x7fcc0007,0xfff5006f,0xfff8003f,
    0x17fffc03,0x401ffec0,0x00bffffc,0x0001fd44,0xb8007ffc,0x000004ff,
    0x007fff10,0xffff5000,0x4ffa8803,0xffff3000,0x3fe60019,0x3e60006f,
    0x20001fff,0x2007fffb,0x002ffffc,0xff013ffe,0x2159dfff,0x003fffa9,
    0x37ffffea,0xffeca9ab,0xbf900002,0x017fc400,0xffb00000,0x26000001,
    0x9acdffff,0x04fffeca,0xffffc800,0xffda880c,0xb10001df,0x003bffff,
    0x9fffff30,0x3fffa003,0x3f200bdf,0x27e01fff,0xfffffda8,0x8000dfff,
    0xfffffeb8,0x000befff,0x000be600,0x000000fd,0x00005f98,0x7fffdc40,
    0x1cffffff,0x3ae20000,0xffeeffff,0x0000beff,0xffffffdb,0xe980bfff,
    0xfffffffe,0x7fcc04ef,0x2a4fffff,0xfffffffe,0x9730386f,0x00001579,
    0x2af32ea2,0x12000001,0x0000aa00,0x0006e000,0xcba98000,0x0000aacc,
    0x65d54400,0x00009abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4ccccccc,0x26000199,0x99999999,0x33100999,0x13333333,0x4cccccc4,
    0x40099999,0x99999998,0x4ccccc19,0x80000099,0x09999999,0x26666666,
    0x00099999,0x26666660,0x98099999,0x99999999,0x33331001,0x33333333,
    0x33333333,0x4cccccc1,0x30099999,0x33333333,0x402a8133,0xffffffc8,
    0xceffffff,0x7fff4402,0xffffffff,0xfffdd304,0x75c5dfff,0xffffffff,
    0x7f6401df,0x25ffffff,0xffffffe9,0x7d400006,0x13deffff,0xffffffd9,
    0x0005bdff,0x3ffffb22,0xc82dffff,0xfffffffe,0xfffa801e,0xffffffff,
    0xffffffff,0xfffd910e,0x07bfffff,0xfffffd91,0x7ec7bfff,0xffd5005f,
    0xffd9bdff,0xb8803dff,0x3ffffffe,0x37fff600,0x3fffee00,0xfb8005ff,
    0x7d403fff,0x0002ffff,0x13ffffa0,0xdffffd30,0xe9800001,0x9003ffff,
    0x8007ffff,0xccdefffb,0xeccccccc,0xd101ffff,0x4009ffff,0x84ffffe8,
    0x000ffff8,0x710bfff7,0x2007ffff,0x00fffffc,0x400bfee0,0x01fffff8,
    0x003fff00,0x01bffff2,0x7fffcc00,0xfffa800f,0x7000000f,0x6c00dfff,
    0xc8000eff,0x3e2000df,0x7dc04fff,0xfa8006ff,0x3ffe07ff,0x3ffea007,
    0x3fffee05,0xffff9005,0x017f4007,0x0ffffea0,0x00bfe200,0x2fffffb8,
    0xfffd8000,0xfff3007f,0x5400000f,0xf3005fff,0x3640009f,0x37ffec00,
    0x02fffcc0,0x037ffcc0,0x4c005dd5,0x7e405fff,0xfd001fff,0xf9001fff,
    0x3ff20009,0x7e4000ff,0x7f7d4004,0x4c0005ff,0x006fffef,0x000dfff1,
    0x2fffcc00,0x0027f440,0xf7000b60,0xf3003fff,0xf3000bff,0x00000bff,
    0x880bfff3,0x1005ffff,0xa809ffff,0x3e20005f,0x22004fff,0xbfa8006f,
    0x0001ffff,0x1bffeff2,0x037ffc40,0xfff30000,0x04fe880b,0x2000e800,
    0x003ffff9,0x000bfff3,0x000bfff3,0x0bfff300,0x00fffff0,0x80ffffd4,
    0x40000ef9,0x001ffffa,0xf50003fb,0x00bfff77,0x3fe3be20,0xfff1006f,
    0x4c00000d,0x3a205fff,0x0d00004f,0x05fffe80,0x017ffe60,0x017ffe60,
    0x3ffe6000,0x7fffd805,0x77ffec00,0x000ff440,0x06fffd80,0x50004fa8,
    0x1ffff17f,0xf17f9000,0x3e200dff,0x000006ff,0x4417ffe6,0x000004fe,
    0x1ffff900,0x2fffcc00,0x2fffcc00,0x7fcc0000,0xfffd805f,0x7ffc4007,
    0x0017ec4f,0x9ffff100,0x00077c40,0xfff93fa8,0x22ff0009,0xf1006fff,
    0x00000dff,0x442fffcc,0x000004fe,0x5ffff300,0x5fff9800,0x5fff9800,
    0xff980000,0xfffe805f,0xfffa8005,0x0009f91f,0x3ffff500,0x8000bf20,
    0xffff13fa,0x89fdc001,0xf1006fff,0x00000dff,0x222fffcc,0x000004fe,
    0xbfffd100,0xbfff3000,0xbfff3000,0xff300000,0xfff880bf,0xff90004f,
    0x000df5df,0x37ffec00,0x20002fcc,0x3fff23fa,0x443fa003,0xf1006fff,
    0x00000dff,0xd12fffcc,0x0000009f,0x07fffe40,0x2fffcc00,0x2fffcc00,
    0x7fcc0000,0x7ffe405f,0xfd10000f,0x0001ffff,0x7fffc400,0x00007f43,
    0xfff98fea,0x449f5007,0xf1006fff,0x00000dff,0xf9afffcc,0x0000004f,
    0x07fffea0,0x2fffcc00,0x2fffcc00,0x7fcc0000,0x3ffea05f,0x7cc0002f,
    0x00003fff,0x0ffffa80,0x500007f9,0x3fffd87f,0x3e20fe80,0xff1006ff,
    0x400000df,0xff9dfff9,0x00000006,0x013fffe2,0x05fff980,0x05fff980,
    0xfff98000,0x7ffe4c1e,0xf900003f,0x00001fff,0x3bfffb00,0x2a0000bf,
    0x37ffcc3f,0xff117e60,0x3fe200df,0x2000006f,0xfffefff9,0x0000005f,
    0x00dfffb0,0xfffff980,0xffffffff,0x5fffffff,0xff980000,0xffffffff,
    0x00000cff,0x017fffea,0x3fe20000,0x0000ffff,0xffd07f50,0x20fec05f,
    0x1006fff8,0x0000dfff,0x6efffcc0,0x0005ffff,0x7ffdc000,0x7cc0001f,
    0xaaaaaeff,0xbaaaaaaa,0x00005fff,0x315fff98,0x00001355,0xffffdf30,
    0x70000005,0x0007ffff,0x7d41fd40,0x0df306ff,0x200dfff1,0x0006fff8,
    0x57ffe600,0x005ffffd,0xfff10000,0xf300007f,0xf3000bff,0x77540bff,
    0x3ffe6002,0x20000005,0xfffc8fe8,0x8000000f,0x0000fffe,0x7f40fea0,
    0x82fc81ff,0x1006fff8,0x0000dfff,0xb2fffcc0,0x000bffff,0xbfffd000,
    0x3fe60000,0xff98005f,0x1bffe05f,0x05fff980,0x3f600000,0x0bffff12,
    0xffd00000,0x5400001f,0xbfff703f,0xff106f88,0x3fe200df,0x2000006f,
    0x7ec5fff9,0x00005fff,0x03fffee0,0x7ffcc000,0xfff98005,0x1ffff305,
    0x17ffe600,0x7e400000,0x17fffd44,0x3fa00000,0x200000ff,0x3ffe03fa,
    0x440ff21f,0xf1006fff,0x00000dff,0x6c2fffcc,0x0005ffff,0x2ffff980,
    0x3fe60000,0xff98005f,0x17ffa05f,0x05fff980,0x5fa80000,0x01ffffb0,
    0x7ff40000,0x2a00000f,0x3ffee03f,0xff881fe4,0xfff1006f,0x4c00000d,
    0xffb05fff,0x80000bff,0x0005fffe,0x02fffcc0,0x02fffcc0,0xff3000aa,
    0x800000bf,0xff100ef8,0x00000bff,0x0007fff4,0x4407f500,0x3fb8ffff,
    0x01bffe20,0x0037ffc4,0xfff98120,0x3ffff205,0xff900005,0x0a0001ff,
    0x002fffcc,0x002fffcc,0x2fffcc00,0xfd100000,0xffffa803,0xfd000002,
    0x400001ff,0x7fe403fa,0x2200fecf,0xf1006fff,0x54000dff,0x17ffe604,
    0x0bffff90,0xffffa800,0x20950002,0x8005fff9,0x0005fff9,0x05fff980,
    0x0ff60000,0x07fffec0,0x7ff40000,0x2a00000f,0x7ffc403f,0x7fc404ff,
    0xfff1006f,0x0174000d,0x900bfff3,0x000bffff,0x013fffe2,0xff302d80,
    0xff3000bf,0x300000bf,0x0000bfff,0x88017f20,0x0006ffff,0x00fffe80,
    0x00fea000,0x007ffff6,0x200dfff1,0x0007fff8,0xfff980f7,0xffff9005,
    0xffd8001d,0x3e60006f,0x0bfff301,0x0bfff300,0xfff50000,0xf900000b,
    0xffb8001f,0x400004ff,0x0001fffe,0x26013ea0,0xf9805fff,0xff1007ff,
    0xfb8001ff,0x2fffd405,0xdffffb00,0x3ffee001,0xfd10001f,0x02fffd40,
    0x037ffcc0,0x7ffdc000,0x32200007,0xf98004ff,0x0003ffff,0x05ffff10,
    0x02fe4000,0xa801ffd8,0xa800ffff,0x3002ffff,0xfb805ffb,0x3e6006ff,
    0x402fffff,0x003ffff8,0x5c0dfd50,0xb8007fff,0x00007fff,0x67ffffcc,
    0x7fd40001,0x64001fff,0x2dffffff,0x7ffe4000,0x980002ef,0x5400bfff,
    0xffe8806f,0x3a201dff,0xeeffffff,0xfffeeeee,0xff7100ff,0x70019fff,
    0xdfffffff,0xffffd037,0x99999999,0xfffdb999,0xfff710bf,0x710019ff,
    0x019fffff,0x7ff74c00,0x4effffff,0x7fffe400,0x401fffff,0xfffffffd,
    0x2000ffff,0xffffffec,0x2000efff,0xfffffee9,0x40ba02ef,0xfffffee8,
    0xdd15efff,0xffffffff,0xffffffff,0xfd30bfff,0xffffffff,0xffff307d,
    0xffffffff,0x7ffffd4d,0xffffffff,0xffffffff,0x3fffa63f,0x4effffff,
    0xfffffe98,0x004effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ccccccc,0x99999999,
    0x40999999,0x99999998,0x99999999,0xfb099999,0x1dffffff,0xdffffd10,
    0x4ccccccc,0x00001999,0x99999998,0x00009999,0x02654000,0x2b32e620,
    0x26000001,0x02000004,0x00044000,0xfec88000,0xffffffff,0xffffffff,
    0x7f64c3ff,0xffffffff,0xffffffff,0x3fffe64f,0x2ffb800f,0x3fffff22,
    0xffffffff,0x4001bdee,0xffffffc8,0xffffffff,0x00000bde,0x5003ffc4,
    0xbfffffff,0xfb000001,0xd1000001,0x017a0000,0x00177e40,0x2bffff66,
    0xcaaaaaaa,0x2604ffec,0xaaaeffff,0xffecbaaa,0x37ffcc4f,0x2a05fa80,
    0xdefffffe,0xfffffdcc,0x754001df,0xaabcffff,0xdffffcca,0xffd00001,
    0x3fff200f,0x2fffffff,0x3fe20000,0x6c800003,0x00bd0000,0x07ffff50,
    0x06fffa80,0x2e027e40,0xd1004fff,0x1fff90bf,0xb803f900,0x54405fff,
    0x003ffffe,0x202fffdc,0x02ffffc8,0x3fffdc00,0x677ffd40,0x0fffffec,
    0xdff70000,0x6f880000,0x00bd0000,0x0dffff90,0x06fff980,0x7d405d80,
    0x3e2004ff,0x03fff885,0x7d4037c4,0xfb1005ff,0x2001dfff,0x3005fffa,
    0x0005ffff,0x01ffffe6,0xf7037ff1,0x0000dfff,0x000bfffe,0x0006fd80,
    0xf3000bd0,0x4003ffff,0x8006fff8,0x7ffd405b,0xc82e4004,0x17dc07ff,
    0x02fffcc0,0x17fffea0,0x02fffcc0,0x00dfff70,0x1ffefba0,0xf9803f70,
    0x40001fff,0x005ffffa,0x00dff900,0x40017a00,0x002fa9b9,0x001bffe2,
    0xfff30162,0x10588009,0x3f407fff,0x05fff980,0x3ffffb80,0x05fff980,
    0x017fffc0,0x3fee7f20,0xc8016c07,0x40003fff,0x00fffffe,0x37ffe400,
    0x005e8000,0x2001fb80,0x0006fff8,0x09fff300,0x6ffd8000,0x26009f30,
    0xd0005fff,0x9801ffff,0x74005fff,0x2a003fff,0x40fff74f,0x3fe20068,
    0x3e60005f,0x004fffcd,0xfffffd30,0x0003ffff,0xdd0000bd,0x6fff8800,
    0xff300000,0x9800009f,0x1fc82fff,0x0bfff300,0x3fffe600,0x2fffcc04,
    0x13fff600,0xff737c40,0x7c00080f,0x320003ff,0x07fff89f,0xffb55300,
    0x0015555d,0x98000bd0,0x7fc4002f,0x002a006f,0x4027ffcc,0x3ff60009,
    0x3002fc46,0x4000bfff,0x4c07fffd,0x7c005fff,0xfb001fff,0x003ffdc3,
    0x00bffa00,0xffb37c40,0xfc80005f,0xbd00006f,0x0274c000,0x037ffc40,
    0x3e6003b0,0x01d804ff,0xb8bffe60,0x3fe6002f,0x3ea0005f,0x3e602fff,
    0x3e6005ff,0x7f5007ff,0x0007ffb8,0x0007ffc0,0x3fea3fb8,0x7e40006f,
    0xbd00006f,0x05f91000,0x1bffe200,0xf3001f80,0x03f009ff,0x3a6ffd80,
    0x7ffcc007,0x3fe60005,0x3fe604ff,0xffb1005f,0x0bf1009f,0x0000fff7,
    0x00037fc4,0x3fffd0fd,0x37fe4000,0xffffff30,0xffffffff,0xffffffff,
    0x80002f21,0x9006fff8,0x3fe6003f,0x00fdc04f,0x26bffea0,0x7fcc004f,
    0x3e20005f,0x3e605fff,0xfe8805ff,0xfd800eff,0x007ffb80,0x00ffea00,
    0x7dc27d40,0x320004ff,0x3ba206ff,0xeeeeeeee,0xeeeeeeff,0x0000eeee,
    0x2bfffe20,0xecbaaaaa,0xff3001ff,0xb99999df,0xd0003fff,0x001f9dff,
    0x005fff98,0x037fffc0,0x335dfff3,0xfff95333,0x5f7001bf,0x001ffee0,
    0x0006fd80,0x3fe203f6,0xf90000ff,0x3a0000df,0x00000005,0xfffffff1,
    0xffffffff,0x3ffe6003,0xffffffff,0xfa8001ff,0x98005fff,0x40005fff,
    0x2607fffd,0xffffffff,0x2fffffff,0x5c09f300,0x300007ff,0x260003ff,
    0x3fff605f,0xdff90003,0x017a0000,0x03bbb620,0x0dfff100,0x00ffdcc4,
    0x99dfff98,0x1ffba999,0x5fffd000,0xbfff3000,0xfffd8000,0x3bffe606,
    0xfecb999a,0x401dffff,0x3fee00ee,0x9fb00007,0x00fe4000,0x000dfff3,
    0x0001bff2,0xfb8002f4,0x7c4003ff,0x3f3006ff,0x13ffe600,0x20003f30,
    0x30007ffa,0x8000bfff,0x2605fffe,0xf9805fff,0xf904ffff,0x07ffb803,
    0x006fa800,0x3a01be20,0xc8001fff,0xd00006ff,0x7fe4000b,0x7ffc4005,
    0x4007a006,0xe804fff9,0x13fa0001,0x2fffcc00,0x3fffe000,0x17ffe604,
    0x7ffff440,0x5c01fcc4,0x440007ff,0x2e0000fe,0xfffb802f,0x6ffc8005,
    0x00bd0000,0x000ffd80,0x801bffe2,0xfff3001c,0x00039009,0x980007ec,
    0x20005fff,0x202ffff9,0x4005fff9,0xd11ffffd,0x5555555f,0x55fff955,
    0x1fd80035,0x7fff4000,0xffffffff,0x4000ffff,0x00006ffc,0xfd0000bd,
    0x7ffc4005,0x98002006,0x00804fff,0x0017e200,0x005fff98,0x07fffea0,
    0x005fff98,0xaa7fffdc,0xffffffff,0xffffffff,0x3f2005ff,0x6fd40002,
    0xcccccccc,0x03fffecc,0x0037fe40,0x80005e80,0x3e2004f8,0x000006ff,
    0x0009fff3,0x002fb800,0x017ffe60,0x06fffc80,0x002fffcc,0x55bfffe2,
    0xffffffff,0xffffffff,0x7f7005ff,0x01fb0000,0x03fffcc0,0x001bff20,
    0x80002f40,0x3fe20069,0x3000006f,0x00009fff,0x40006e80,0x0005fff9,
    0x805ffff3,0x8005fff9,0x9936fffe,0x99999999,0x999fffb9,0x007f3007,
    0x000bf100,0x4005fffb,0x00007ffb,0x4c0000bd,0xdfff1000,0x982cc000,
    0x00004fff,0x0000fee0,0x000bfff3,0x2017fffa,0x8005fff9,0x0004ffff,
    0x9800fff7,0xf900004f,0xfff50003,0x7ffd400b,0x3a000e60,0x00000005,
    0x000dfff1,0xfff98174,0xf1000004,0xff30000d,0xff7000bf,0xff3001ff,
    0xff9800bf,0xf70001ff,0x27cc00ff,0x3e201300,0x3ffe0006,0xfff3001f,
    0x0001d53b,0x80000000,0x0006fff8,0x3fea01f9,0x6cc0005f,0x02febbef,
    0x5fff9800,0x7fffd400,0xbfff3003,0x7fffd800,0x1ffee000,0x1002fcc0,
    0x00ff201f,0x05fffc80,0x3fffffa0,0x00000002,0xfff88000,0x05f98006,
    0x0017ffea,0xffffff90,0x3e600009,0xf91005ff,0x54005fff,0x2e005fff,
    0x0003ffff,0x2601ffee,0x999999ef,0x05fc9999,0x40003ff1,0x001ffffa,
    0x005bffd1,0x00000000,0x03fffea0,0x202ffb80,0x0006fffc,0x2fffffdc,
    0xfff70000,0xffea880b,0x7dc001ef,0xfd9805ff,0x40003fff,0x7d407ffb,
    0xffffffff,0x02ffffff,0x88000ffb,0x4006ffff,0x00000008,0x3a600000,
    0xccceffff,0xfeeccccc,0xffb880ff,0x0000cfff,0x000bbff2,0xfffff980,
    0xfedbccef,0x8002efff,0xeffffff9,0xffedcbcd,0x80001eff,0x3ea07ffb,
    0xffffffff,0x0fffffff,0x027ffe44,0xffffc880,0x000002df,0x00000000,
    0x3fffffa2,0xffffffff,0x5fffffff,0x7fffff4c,0x004effff,0xe9800000,
    0xfffffffe,0xceefffff,0x774c000a,0xffffffff,0xdeefffff,0x2e00001b,
    0xfff107ff,0xffffffff,0xc8bfffff,0xefffffff,0xffffd000,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x13575100,
    0x2ea200a2,0x9800009b,0x4c0000ab,0x10000aba,0xa8003575,0x7fec1a83,
    0xffa85fff,0x2a007fff,0x801ba884,0x7e400aa8,0x1effffff,0x5ffffe98,
    0x7fffffec,0xffffffff,0x000bf98f,0x00000000,0xffb81f91,0x04eefffd,
    0x3ffbff66,0x6d4003ef,0x04ffffff,0x7ffffe40,0xff7001ef,0x405dfffd,
    0x3ee6ffb8,0xfffa85ff,0x1fffe605,0xb8ffd710,0xa83effff,0x405ffffe,
    0x02ffffd8,0xfd81ffa8,0xaaaaabce,0xd14fffea,0x000039ff,0x36600000,
    0x05fe45ff,0x2a09ff93,0xff710cff,0xbfb1005f,0x077fec43,0x5473fa20,
    0x2203fffd,0xff510cfd,0xfffd989f,0xfffff76f,0x80bfff03,0xfb307ffd,
    0x3fa2ffff,0x21ffffff,0xfffffffd,0x0fffe804,0xbd03fa80,0x0dfff500,
    0x005bffd5,0x2a000000,0x7cc1cffe,0x2613f206,0xfff707ff,0x00efe801,
    0x2203fff9,0xfffd00ef,0x207ff103,0x2662fffd,0xae9efffa,0xfd80fffd,
    0x3ffdc05f,0xffffaa98,0x3fee1ce8,0x2617db5f,0x5401fffd,0x6c802fff,
    0xff100ba0,0x7e4c01ff,0x00000bef,0x7ffe4400,0x809f900b,0x05ffc84f,
    0x6405fff1,0x7ff401ff,0x4403fb06,0x6fc85fff,0x417ffe60,0x261eeffd,
    0x0bffb01c,0xc807ffb8,0xf702efff,0x3e01bdff,0xffe804ff,0xd01fc405,
    0x2fffd801,0x9fff9100,0x98000001,0xe802effd,0x6426407f,0x3ffe04ff,
    0x00dff303,0xf987fff7,0x1ffff806,0xff00bfe6,0x3fff20bf,0x2ffec003,
    0x201ffee0,0x2200fffb,0x7e404fff,0xfffb806f,0x0803ee00,0x027ffe40,
    0x1dffea80,0x7f540000,0x3f6001df,0x2612604f,0x3ffe01ff,0x00bff703,
    0xfd83fffe,0x2fffd804,0x91003ffa,0x1fff2019,0x017ff600,0xf700fff7,
    0x7fff00ff,0x806ffb80,0x3a03fff8,0x3fe60005,0xd980006f,0x20002eff,
    0x00cfffb8,0x1efffb80,0x3ea00400,0x7ffb03ff,0x8bfff200,0xffffffff,
    0x3fffffff,0x40001ffe,0xd8006ffc,0x7fdc05ff,0x07ffb807,0x5c03fff8,
    0xff9007ff,0x0007e60f,0x007fffc4,0xfff91000,0x3f260017,0x440002ef,
    0x01dfffff,0x3fbf2200,0x5fff03ff,0x4fffee00,0x9999cff8,0x99999999,
    0x000dff30,0x001bfee0,0xf7017ff6,0xfff700ff,0x807fff00,0xf3007ffb,
    0x00d905ff,0x017ffec0,0xffb88000,0xffb501cf,0x5400003b,0x0dffffff,
    0x4b7f6600,0xff983ffe,0xfff5002f,0x0017fe69,0x0006ffa8,0x000dff70,
    0xfb80bffb,0x7ffb807f,0x403fff80,0x3a007ffb,0x01fc46ff,0x04fffb80,
    0xfd500000,0x67ff44bf,0xd3000000,0x05ffffff,0x741efd88,0xfffb83ff,
    0x9fff3003,0x8001bfea,0x00007ffb,0xb000dff7,0xffb80bff,0x07ffb807,
    0x5c03fff8,0x3ea007ff,0x003ee1ff,0x01bffe60,0xfda80000,0x3bff625f,
    0x2000000b,0x4fffffea,0x3a0bfd10,0xfffb83ff,0x5fff1003,0x8001ffea,
    0x0000fffa,0x8006ffb8,0x7dc05ffd,0x7ffb807f,0x403fff80,0x7c007ffb,
    0x0013a4ff,0x003fffe2,0xfd710000,0x3f22019f,0x00000cff,0x3ffffee0,
    0xd02ffcc1,0xfff307ff,0x3ffe2009,0x005fff11,0x07fff308,0x7fdc0440,
    0x5ffd8006,0x403ffdc0,0xff807ffb,0x3ffdc03f,0x23fff200,0xfd8001f9,
    0x000002ff,0x00fbff22,0x03bffd70,0xfb101400,0x2fff89ff,0x220fffa0,
    0xf3007fff,0x06fff8ff,0x7ffc4ea0,0x2e072006,0xfc8006ff,0x3ffdc05f,
    0x403ffdc0,0x7dc03fff,0x7fc4007f,0xb8006dbf,0x04804fff,0x2dffda80,
    0x7fed4000,0x00e8002e,0xff337ff4,0x1fff401f,0x802fffe8,0x7ff45ffa,
    0x7c1d002f,0x69802fff,0x000dff70,0xfd80dff7,0x7ffb807f,0x403fff80,
    0xd8007ffb,0x4002ffff,0x8806fff9,0x3ffae005,0x4c00000c,0x000bfffc,
    0x6ffb807d,0xe80bffea,0xfff303ff,0x85ff900b,0x403ffffa,0x7fffdc6d,
    0x5c0fa201,0xfa8006ff,0xfee881ff,0x7fdc00ff,0x03fff807,0x4003ffdc,
    0x4007fffa,0x800ffff8,0x7fe44059,0x000000be,0x0e7ffdc4,0xf8803fa0,
    0x17ffea4f,0x293fff62,0x200fffec,0xfffd05ff,0x7edc439f,0x2ffffe81,
    0xf900fea8,0xff1000ff,0x9f7117df,0x053bfff7,0x3e01ffee,0x7fdc03ff,
    0x9ffd0007,0x2fffd800,0xb305e880,0x00005bff,0x3ffaa000,0x40bfd02d,
    0x3fe21ffb,0xdfb89dff,0x43daeffe,0x700fffe8,0x3fe601ff,0xffefffff,
    0xffff504f,0x3fffbbff,0x00fffe40,0x7ffffdc0,0xffff74ff,0x3fff207d,
    0x027ffc00,0x0003fff2,0xb8007fee,0xaaaaefff,0x4febaaaa,0x00e7ff54,
    0x98000000,0x7f43effd,0x1ff4c1ef,0x7fffffe4,0x9ffff93f,0x2fbff620,
    0x801df910,0xfffffff9,0x7fd405ff,0x3fffffff,0x37fffe60,0xfffc8000,
    0x37fee2ff,0x3fffe202,0x3bfff203,0x9ffff300,0x00bf1000,0x7fffffc4,
    0xffffffff,0x7fff14ff,0x00000001,0x3fff2200,0xbdfffdd0,0x7dc05dfd,
    0x3e60efff,0xffc803ff,0x00bfffff,0xfffffb10,0x3fa2007f,0x500effff,
    0xffffffff,0xba88001d,0x2600b981,0xfffffffe,0x3fffffa6,0xffd53eff,
    0x009fffff,0x000001b8,0x0005d300,0x80000000,0x54c410eb,0x331001bc,
    0x44000c01,0x20001aca,0x0001bb98,0x00035951,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00b981d4,
    0xffffffd8,0xfffff10f,0xff90dfff,0x3fea3fff,0x22ffffff,0x04fffffc,
    0x400002a0,0x1e4c002a,0x4ccc1ca8,0x99999999,0x99999999,0x00000199,
    0x88888880,0x00000888,0x00000000,0x3ee20000,0x3fff226f,0x7fd400ef,
    0xfff305ff,0x7f4401bf,0xffffa80d,0x0dffa80f,0x001ff200,0x8003fe20,
    0x7fcc3ffe,0xfffff30f,0xffffffff,0xffffffff,0xbffb501f,0x26880017,
    0xfffffff9,0x00002fff,0x00000000,0x7fecc000,0xfffd16ff,0xf500bfff,
    0x7fd407ff,0x00fe802f,0x207fffe6,0xff8005fb,0x7e40001f,0xfff1004f,
    0x13fffc8d,0x55555555,0x55555555,0x70555555,0xbfffffff,0xf996e005,
    0xffffffff,0x0000002f,0x00000000,0x7ffd54c0,0xc88ace8e,0xfe803fff,
    0x27ff405f,0x2e00fe20,0x37c45fff,0x00fff800,0x3f77e600,0x5fff8801,
    0x0017ffe4,0x37e20000,0xdfff9312,0xf31f4017,0xffffffff,0x0000005f,
    0x00000000,0x77ffec00,0x00dffd02,0x5c01fff5,0x07dc07ff,0x22fffd80,
    0x66cc00fd,0x5b71ff20,0x3e23fa00,0x89fff005,0x0001fffb,0x20364000,
    0x9bdfffda,0x88886fc9,0x00888888,0x00000000,0x40000000,0x2e01fffc,
    0xfff007ff,0x17ffc407,0x7c400bd0,0x02fb8fff,0xf50effe8,0x007ffecb,
    0x02fc8fea,0x7d43ffe8,0x000001ff,0xc8801740,0x1effffff,0x00000000,
    0x00000000,0xdff90000,0x00fffa80,0x2e06ffc8,0x5f306fff,0xdfffa800,
    0xfff7004f,0x3f67f13d,0x37c406ff,0x7fec0374,0x003ffc42,0x002c0000,
    0x003cdb98,0x00000000,0x00000000,0x037fe400,0x2003ffea,0xdd01fff9,
    0x0f903fff,0x1bfff200,0x3fffd700,0x19fffd5f,0xfa81fc80,0x407fdc04,
    0x333226ff,0xcccccccc,0xcccccccc,0x00000ccc,0x00000000,0x00000000,
    0xfc800000,0x7ffcc06f,0x09ffd000,0x09ffd3f5,0x3a20009f,0x88000eff,
    0x1befffda,0x6c0bf300,0x41fea00f,0x3ffe65fd,0xffffffff,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0xfc800000,0x7ffcc06f,0x0fff7000,
    0x51ffeebd,0x7dc0001f,0x710005ff,0x40037dfd,0x17e600fe,0x7f905f88,
    0x99999998,0x99999999,0x01999999,0x00000000,0x00000000,0x00000000,
    0x980dff90,0xf1000fff,0x88fcc5ff,0x01762fff,0xfffef980,0xffdb3002,
    0x5bfff7d7,0x6401fd40,0x5413e02f,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x01bff200,0x4001fff3,0xb1b65ffd,0x00be2bff,0xffeaf440,
    0x7ffd400f,0xffd35f2f,0x00df109f,0x02e81be2,0x000001f3,0x00000000,
    0x00000000,0x00000000,0x37fe4000,0x003ffe60,0xf98fffa8,0x5c7ffd42,
    0x43f60007,0x7405fff9,0x29f52fff,0xfc87ffe8,0x40fea002,0x0000a009,
    0x00000000,0x00000000,0x00000000,0xff900000,0x0fff980d,0x65fffc00,
    0x9d7fff06,0x70bee000,0x7dc07fff,0xd89bf21e,0x002fcc5f,0x000007ec,
    0x00000000,0x00000000,0x00000000,0x40000000,0x7cc06ffc,0x7e4000ff,
    0xff903fef,0xf30003ff,0x07fffa09,0x001ffd00,0xf30001fd,0x0000000b,
    0x00000000,0x00000000,0x00000000,0xff900000,0x0fff980d,0x3fffcc00,
    0x00dfff10,0x7cc0dd10,0x7fc006ff,0x0009801f,0x00000620,0x00000000,
    0x00000000,0x00000000,0x20000000,0x7d406ffc,0xfe8001ff,0x1ffec04f,
    0x200fec00,0x2004fffc,0x00000ffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x7fd407ff,0xffb8002f,0x007fd400,0x805ffb10,
    0x00cffffc,0x00002c88,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x3a03ffff,0x88005fff,0x00bf004f,0x2fffffcc,0x7fffffcc,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xfffffffa,0xffffd35f,0xb800dfff,0x00035000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_47_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,4,0,1,0,2,1,1,2,1,3,2,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_47_usascii_y[95]={ 37,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,44,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,18,18,18,18,18,18,7,7,7,22, };
static unsigned short stb__times_47_usascii_w[95]={ 0,6,13,21,18,33,31,5,13,13,16,24,7,12,
5,12,19,13,20,17,20,17,19,19,17,19,6,8,24,24,24,17,37,31,26,26,30,25,22,30,30,13,17,32,
26,37,32,29,23,29,29,20,24,31,31,40,31,31,25,10,12,10,20,23,8,18,21,17,21,17,18,20,21,10,
13,22,10,33,22,19,21,21,15,14,12,22,21,31,21,21,19,13,3,13,24, };
static unsigned short stb__times_47_usascii_h[95]={ 0,30,13,30,35,31,30,13,40,40,18,24,13,5,
6,31,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,38,29,30,29,30,30,30,29,29,29,38,31,38,16,3,8,21,31,21,31,21,30,30,30,30,
40,30,30,20,20,21,30,30,20,21,27,20,20,20,19,29,19,40,40,40,7, };
static unsigned short stb__times_47_usascii_s[95]={ 254,216,166,223,165,1,1,250,99,39,128,
217,242,230,250,219,33,240,151,53,130,71,89,109,129,216,244,245,26,180,1,
180,1,172,103,22,72,1,27,154,213,236,198,154,127,89,147,113,1,113,210,
1,185,122,90,49,25,57,187,154,206,143,145,184,242,66,232,123,184,105,197,
176,154,143,85,90,79,180,51,85,35,57,141,51,204,157,214,74,106,50,236,
71,67,53,205, };
static unsigned short stb__times_47_usascii_t[95]={ 1,40,218,40,1,42,74,74,1,1,218,
166,166,218,88,1,74,105,166,74,166,74,74,74,74,74,136,40,196,218,196,
74,1,166,166,105,166,166,166,105,136,74,74,136,136,136,74,40,136,1,105,
105,105,105,105,105,136,136,136,1,1,1,218,33,180,196,1,196,1,196,40,
40,40,40,1,42,42,196,218,196,42,42,196,196,166,196,196,218,218,166,196,
1,1,1,218, };
static unsigned short stb__times_47_usascii_a[95]={ 170,226,277,340,340,566,528,122,
226,226,340,383,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,189,189,383,383,383,301,625,490,453,453,490,415,378,490,
490,226,264,490,415,604,490,490,378,490,453,378,415,490,490,641,
490,490,415,226,189,226,319,340,226,301,340,301,340,301,226,340,
340,189,189,340,189,528,340,340,340,340,226,264,189,340,340,490,
340,340,301,326,136,326,367, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_47_usascii_BITMAP_HEIGHT or STB_FONT_times_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_47_usascii(stb_fontchar font[STB_FONT_times_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_47_usascii_BITMAP_HEIGHT][STB_FONT_times_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_47_usascii_s[i] + stb__times_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_47_usascii_t[i] + stb__times_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_47_usascii_x[i];
            font[i].y0 = stb__times_47_usascii_y[i];
            font[i].x1 = stb__times_47_usascii_x[i] + stb__times_47_usascii_w[i];
            font[i].y1 = stb__times_47_usascii_y[i] + stb__times_47_usascii_h[i];
            font[i].advance_int = (stb__times_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_47_usascii_s[i] + stb__times_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_47_usascii_t[i] + stb__times_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_47_usascii_x[i] + stb__times_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_47_usascii_y[i] + stb__times_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_47_usascii_LINE_SPACING
#endif

