// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT        176
#define STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_39_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_39_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_39_usascii_LINE_SPACING          25

static unsigned int stb__times_bold_39_usascii_pixels[]={
    0x1a877220,0x026f6a00,0x9500bd30,0x00d4003b,0xeecca980,0x2a001bcd,
    0x222aaaaa,0x01aaaaaa,0x9bd97310,0x36000035,0x00000005,0xabcba980,
    0xa8800009,0x001c40ab,0xda802b88,0xfff8001c,0x001bd11f,0x9807bfaa,
    0x3bfa607f,0x009d5002,0xbcdfeb88,0x3eedca9a,0xfffdba80,0x33fffea7,
    0x7fec401b,0xffffdbef,0xffdb8003,0xff901cef,0xd89fffff,0x4400efff,
    0xfdbefffd,0xa8002fff,0x53fedffd,0xfffe98bf,0xfffe8aff,0xfffa80cf,
    0x3fea000f,0x0ff624ff,0x301ffd80,0x17fe60ff,0x4003fd80,0x3000cffc,
    0x3fa001dd,0x17ffea7f,0x06fffdc0,0x006fffcc,0x6ece7f4c,0x541dffea,
    0x502fffff,0xfff500df,0xbffd301b,0x37fee001,0xbffdff10,0x2fffff60,
    0x5ffffdee,0x03ffffd8,0x0ffffe60,0x7d400bfa,0x10ff307f,0x32003fff,
    0x3fa2004f,0x0bf20003,0xfa9fff60,0x7ec404ff,0x3ea00eff,0x3e603fff,
    0xffc9765f,0x3ffffd84,0x6c403f30,0x2200efff,0x5403ffff,0x7fd41fff,
    0xfff705ff,0x7ffcc7ff,0x7ffffc3f,0x77fe4005,0x801ffb80,0xf981fff8,
    0x00fffa87,0x5000ffc8,0x500005ff,0x7ffd801f,0xb00fffea,0x7001ffff,
    0xd103ffff,0x322ec3ff,0xffff984f,0xfd80d706,0xfb800fff,0xff301fff,
    0xffff10df,0x3fffea0b,0x0ffffc85,0x013ffffa,0xff880620,0x7ffcc00f,
    0xfc87f984,0x7fdc01ff,0x01df3004,0x202e4000,0x3fea7ffd,0x3ffea03f,
    0xfff1005f,0x3fff50df,0xd827c2ec,0x2e81ffff,0x17fffea0,0x06ffff80,
    0xf109fffb,0x3ea0bfff,0xffa82fff,0x3fff63ff,0x9000002f,0xffa80bff,
    0xc87f983f,0x3e202fff,0xff8801ff,0x7c400001,0xa9fff602,0xff103fff,
    0x6c005fff,0x7dc4ffff,0x2e1764ff,0xbffff304,0x3fe20788,0x36002fff,
    0xff84ffff,0xffff04ff,0x3fffea0b,0x4ffff982,0x003fffee,0x7ffc4000,
    0x0bfff201,0x3fea1fe6,0x1bfee03f,0x4401fec0,0x0b5000ba,0xff53ffec,
    0x3fff207f,0x3ee000ff,0x3ee1ffff,0x10bb4fff,0x7ffff405,0xffc812e0,
    0x2e000fff,0x221fffff,0xff03ffff,0x3fea0bff,0xfff882ff,0x1fffe65f,
    0x7fffec40,0x17ffa03f,0x981fffd8,0x4fff987f,0x2013ffe0,0xffa805fa,
    0x03fffd7e,0x9fff601f,0xff03fffa,0xa800dfff,0x2a3fffff,0x5eefffff,
    0xffffa800,0xfff807a4,0x7d4006ff,0x3ea3ffff,0xfff02fff,0x3ffea0bf,
    0xfffff02f,0x4005fff8,0x203ffffb,0xfd00fffd,0x41fe60ff,0xff705fff,
    0x03fd007f,0xf772ffc8,0x407a0fff,0x3fea7ffd,0xffff883f,0x7fcc006f,
    0x7ff44fff,0x0006ffff,0xd31fffff,0x7ffffc40,0x7ffcc006,0x3fff24ff,
    0xbffff02f,0x0bfffea0,0x3a3ffffc,0x7cc003ff,0x3f203fff,0xdffd04ff,
    0x7fc1fe60,0x3fffd05f,0x6c06f980,0x3ffe65ff,0x3605b05f,0x3ffea7ff,
    0xfffff983,0x7ffc4005,0x7ffcc6ff,0x000effff,0x6dffffe4,0x3fffe603,
    0x7fc4005f,0x3fee6fff,0xffff03ff,0x3fffea0b,0x5ffff882,0x2000ffe4,
    0x203ffff9,0xf705fffb,0x41fe60bf,0xfff02ffe,0x03fc803f,0xf987ffee,
    0x07703fff,0xffa9fff6,0xffffb83f,0x7fc4004f,0xff987fff,0x03ffffff,
    0x3ffffe20,0x3ffee00f,0x7c4004ff,0x3ea7ffff,0xfff03fff,0x3ffea0bf,
    0xffff882f,0x4003fd44,0x203ffff9,0xf106fffa,0x0ff301ff,0xf101dff1,
    0xff801fff,0x89fff300,0x700ffffa,0xa9fff607,0xffc83fff,0xf8004fff,
    0x880fffff,0xfffffffe,0x3fff6005,0x7ffe405f,0x7c4004ff,0xf30fffff,
    0x3fe09fff,0xfff505ff,0xffff305f,0x8006f885,0x203ffff9,0x2607fffa,
    0x87f983ff,0xff300ffc,0x06f801ff,0xf707fffa,0x816c0dff,0x3fea7ffd,
    0xffffb83f,0x7fc4005f,0x7dc07fff,0x06ffffff,0x05ffff30,0x5fffffa8,
    0x7fffc400,0x3ffff47f,0x505ffff8,0xf707ffff,0x0bf01fff,0x7ffff300,
    0x07fffd40,0x4c39fb30,0x037f667f,0x00ffffb8,0x7fcc17e2,0x4fffd86f,
    0x7fec07e0,0x20fffea7,0x05fffff9,0x7ffffcc0,0xfffe9806,0xfd003fff,
    0xfff300ff,0xf8800bff,0x7d45ffff,0x3f623fff,0xff505fff,0xffe83fff,
    0x0007d02f,0x407ffff3,0x801ffff9,0x2ff30fe8,0xfb800df8,0x27cc07ff,
    0x443fffd8,0xf101ffff,0xa9fff601,0xff883fff,0x54006fff,0x004fffff,
    0xfffffffb,0x09ff5001,0xdfffff10,0xffff9800,0xffffb84f,0xffffdece,
    0xbffff505,0xbfffd59f,0x4c001640,0x2a03ffff,0x5c01ffff,0xb9fe63fe,
    0x7fdc03ef,0x41fd407f,0x641ffff8,0x16a07fff,0x3ea7ffd8,0xffff03ff,
    0xffa800ff,0xbb003fff,0x03fffff7,0x7c007fe0,0x4007ffff,0x02fffffa,
    0x27fffff7,0xf505ffff,0xfff35fff,0x04c019df,0x7fffcc00,0x3fffea03,
    0x309fd100,0x40dfb0ff,0x200ffffa,0xfff983f9,0x2ffffc47,0x7fec05b0,
    0x40fffea7,0x00fffffb,0x1bfffee0,0x7dd76031,0xd9002fff,0x7fffdc00,
    0x3ff2000f,0x1a9806ff,0xa82ffffc,0x2a62ffff,0x4c000001,0x2a03ffff,
    0x3f607fff,0x987f981f,0xfff305ff,0xa84f801f,0x7fec6fff,0x80d702ff,
    0x3fea7ffd,0x3fffa03f,0x3ffa003f,0xd82cc2ff,0x00bfffa5,0x3fa0016c,
    0x3a003fff,0x0002ffff,0x5417fffe,0x0002ffff,0xfff98000,0x3ffee03f,
    0x20dff506,0x5ffd07f9,0x003fffe0,0xdfff70bd,0x07fffe5c,0x3f600fcc,
    0x0fffea7f,0x06ffffa8,0x0dffff50,0x5cbb01f3,0x214c0fff,0xffa80078,
    0xff3006ff,0xf8000dff,0xff505fff,0x2e0005ff,0x7cc003ef,0x3ee03fff,
    0xdff904ff,0x7f41fe60,0x3fffd04f,0xffb87d80,0xff9ebaff,0x803f887f,
    0x3fea7ffd,0x7ffdc03f,0xfffe802f,0xd83f980e,0xf71bff25,0x8001dc9f,
    0x802ffffc,0x000efffd,0x82ffffc0,0x002ffffa,0x00ffffa8,0x0ffffe60,
    0xd01fffd8,0x1fe60fff,0xfb837ffc,0x07dc03ff,0x3fffffe6,0xe88dfff1,
    0x7fec24c3,0x00fffea7,0x803bffea,0x300efffb,0x3a5d85ff,0xbfff41ff,
    0x2a0000e8,0x2a00efff,0x00005fff,0x2e0dffff,0x8002ffff,0x004ffffd,
    0x80ffffe6,0x3f606ffe,0x87f980ff,0xf105fff9,0x2f9809ff,0x21fffff8,
    0xecabfffc,0xffd81d82,0x00fffea7,0x217fffd4,0x00dfffc8,0x6c6fffe6,
    0xd82ffd9d,0x003dafff,0x1fffe880,0x01fffe4c,0xffff8800,0x7ffff907,
    0xffff9000,0x7ffcc005,0x0bffe03f,0x981fffc8,0x3fffa87f,0x2017ff20,
    0x6fe440ec,0x6f7edc40,0x3f609502,0x0fffea7f,0xdfffb500,0x0039fffd,
    0x3fffff6e,0xf300dfff,0x0000bfff,0xfeffedb8,0x0001ceff,0xffffd988,
    0xffd511cf,0x40013dff,0x4005ffe8,0x503ffff9,0xffb80dff,0xb87f983f,
    0x3e202fff,0x27c401ff,0x03a00000,0xff53ffec,0x3e20007f,0x000fffff,
    0x03baaa60,0x0001ba80,0x0d5cc400,0x664c0000,0x33cccccc,0x99999999,
    0x00330007,0x07ffff30,0xf500bffa,0x0ff309ff,0xc803fff9,0x1fa804ff,
    0x07b00000,0xff53ffec,0x7dc0007f,0x0003ffff,0x00000bb0,0x00000000,
    0x00000000,0x10400000,0xf305ffff,0xfff1007f,0xf70ff305,0xffb001ff,
    0x000db001,0xfd807b00,0x0fffea7f,0xffffd000,0x3300003f,0x00000000,
    0x00000000,0x00000000,0xff9bea00,0x04fd81ff,0x301fff30,0x3fff10ff,
    0x200ff600,0x80001ed8,0xffe803e8,0x00fffea7,0xffffd100,0x0000003f,
    0x00000000,0x00000000,0x00000000,0xfff87ff4,0x2004fc86,0xff302ffc,
    0x4013ff20,0xf5002fe8,0x17dc0009,0x2a7fff80,0x00004fff,0x7dfffffb,
    0xccc98335,0xcccccccc,0x04cccccc,0x00000000,0x00000000,0x64000000,
    0x83fff1ff,0xf91002ec,0x03fcc07f,0x20019ff7,0xdb1003fb,0x9f710015,
    0xffca8801,0x3fffea7f,0x4c00009a,0xfffffffc,0x7ffffcc5,0xffffffff,
    0x0006ffff,0x00000000,0x00000000,0x7f440000,0x1dc3efde,0x019df500,
    0x64c07f98,0x391001fe,0x6ff65400,0xcfedcbac,0x55555000,0x55554455,
    0x200001aa,0x32201a98,0xcccccccc,0xcccccccc,0x00000003,0x00000000,
    0x00000000,0x00037710,0x13220000,0x00000100,0x4d5e54c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1f5c0000,0xdb882f4c,0xd70002ce,0xcba88009,0x26000abc,0x00001bdb,
    0x019bd971,0x0001ec80,0x55555555,0x22015555,0x4c009bb9,0x2aaaaaaa,
    0xaaaaaa80,0x04ea801a,0x55555510,0x79b93005,0x55554401,0x800000aa,
    0x85fb83fe,0xdff9cffa,0x03fe2000,0xccfffa80,0x7d403fff,0x02effbdf,
    0x3f7fee00,0x2e003fff,0xb750004f,0x9fffffff,0x9fff9015,0xbdddddff,
    0x3ffffae6,0x7e5402ff,0xd801ceff,0xfd71003f,0x6440dfff,0x02ffdbef,
    0x5fffff71,0x3ff00000,0xff987fb0,0x00bff90f,0xfb001ff4,0x4ffe88df,
    0x7d49ff50,0xfd8002ff,0x3fffd10f,0x001fe600,0x3fffff60,0x1dffd102,
    0x3fffffa2,0x7ffff446,0xff9801ff,0x003fe000,0x0dffff10,0xff90ffec,
    0x7fffdc03,0x7cc00002,0xfe85fd07,0x0bffee6f,0xb801bee0,0xffa83fff,
    0x0fffcc2f,0x8007fffa,0x7fdc5ffa,0x07fa005f,0xffff9000,0x3fff603f,
    0x00fffdc3,0xdffffff1,0x400bd001,0xff0006fa,0x3ff20dff,0x5037fcc6,
    0x0005ffff,0xf886fa80,0x97ffe60f,0x4405fffa,0x3fe000ff,0xfff982ff,
    0x207fffc5,0x000efffb,0xff88bffd,0x13f2005f,0xffff7000,0xffff301f,
    0x06fff983,0x7ffffffc,0x2004d805,0xff0003fc,0xfff10dff,0x04fff889,
    0x005ffff5,0x984fc800,0x2fffd47f,0xe80dfff5,0x3fe6003f,0xfff884ff,
    0x03fffe67,0x005ffff5,0xfd0dfff1,0x37cc009f,0x3ffee000,0xfffb80ff,
    0x7fffcc1f,0x3fff3e01,0x1ec04fff,0x0003ff00,0x321bfffe,0xfff84fff,
    0xffffa80f,0x7f400002,0x7dc5fb83,0x3ffea5ff,0x001bee07,0x10fffff3,
    0x7fd4bfff,0x7ffcc0ff,0xfff9804f,0x007ffc0f,0x80003fe0,0x80fffffb,
    0x440ffffc,0x3e02ffff,0xffffffd8,0x4c00f602,0x3fe0006f,0xfffd86ff,
    0x82ffff84,0x002ffffa,0x3eaaaa20,0xfdaaaacf,0xdfff52ad,0x8837ffd4,
    0xff8000ff,0x7fcc5fff,0x3ffff22f,0x37fffc40,0x1ffffcc0,0x90005ff7,
    0x7dc0007f,0xf980ffff,0x7fcc1fff,0x743e00ff,0x01ffffff,0x13f2007b,
    0xff86ea20,0xffff86ff,0x83ffff83,0x262ffffa,0xfff3002b,0xffffffff,
    0x3e6dffff,0x3ffee6ff,0x0007fd04,0x97fffff6,0x7ff46ffc,0xffff81ff,
    0xffff8807,0x000efd9f,0x4000df50,0x00fffffb,0xf983ffff,0x887c05ff,
    0x0effffff,0x3fd003d8,0x7fffecc0,0x46ffff8d,0xf83ffff8,0xffa85fff,
    0xfffe9aff,0x3ba600df,0xeeeeffee,0x3a5eeffe,0x3ffee7ff,0x0006fb81,
    0x3fffffea,0xfd85ffae,0xffe81fff,0xffe801ff,0x0001dfff,0x70000ff8,
    0x201fffff,0x7e44fffb,0x307c02ff,0x0bffffff,0x0ff3007b,0x54f7ffc4,
    0x46ffffed,0xf83ffff9,0xffa86fff,0xffccfeff,0x3f2006ff,0xf307f984,
    0x13ff21ff,0x00007fe2,0xfffffff9,0x3fff207f,0xffffe83f,0xffffb801,
    0xffffd00f,0x07fb01ff,0x3fffee00,0x3ffa600f,0x003dff52,0xffffb81f,
    0x401ec3ff,0x3ffa04fb,0x7ffff41f,0x1ffffd46,0x543ffffc,0x220effff,
    0xd005fffe,0x40bf707f,0x3ffadfe9,0x00007fb0,0x3fffffee,0xfffa80df,
    0xfffff86f,0x3fff2200,0x3ee05fff,0x17ea02ff,0x7fffdc00,0xfffd800f,
    0x1f000bdf,0xffffff90,0x7f401ec5,0x0bfff902,0xb8dffff1,0xff83ffff,
    0x7fd40fff,0xfffc82ff,0x81ff801f,0xcba803fd,0x20df700a,0x5001ab98,
    0xdfffffff,0x3ffffb01,0x207ffff8,0xfffc9efc,0x7ff102ff,0x000ff880,
    0x0fffffb8,0x0018edc0,0x3ff601f0,0x07b0ffff,0x3fa07f88,0xffff04ff,
    0x3ffffd8d,0x41fffff8,0x982ffffa,0x4c03ffff,0x005fd07f,0x207fe200,
    0x1efccfe9,0x3ffbfea0,0xf986ffff,0xfdadffff,0xfe886fff,0x7fffff47,
    0xb005f980,0xff70005f,0x3a201fff,0x0f80001f,0xfffffd10,0xbf700f6d,
    0x0ffffe20,0x3237fffc,0xff83ffff,0x7fd40fff,0xfff882ff,0x437dc05f,
    0x00000ff8,0xdff507fb,0x7ec0fffc,0xfffffb3f,0xfffd107f,0x7ffffdff,
    0x544fff88,0x40efffff,0xbf7000fb,0xffff7000,0x0fff201f,0x9803e000,
    0xddffffff,0x9817ec03,0xff03ffff,0xfffb8dff,0x7ffff83f,0x82ffffa8,
    0x986ffff8,0xffffffff,0x6fffffff,0x20df7000,0x3ff65ffe,0x907ffec6,
    0x40bfffff,0xffc8acb9,0x7ffe40ff,0xfffffd82,0x8800fe25,0xffb8007f,
    0xfff00fff,0x9dddddff,0x400f8037,0xfffffffa,0x403fe203,0xf02ffffb,
    0xffa8dfff,0xffff83ff,0x2ffffa86,0x30fffff0,0xffffffff,0xdfffffff,
    0x03ff1000,0x7e49fff5,0xdfff12ff,0x0fffff90,0x45ffff80,0x884ffff8,
    0xd4ffffff,0x03fd000b,0xfffffb80,0xfffffd00,0x9fffffff,0x7e4007c0,
    0x203fffff,0x3ff205fa,0xffff03ff,0x3ffff98d,0xa85ffff8,0xff02ffff,
    0x3e660dff,0xfe9999af,0x8000999c,0xfff903fd,0xaa7ffe49,0xff885fff,
    0xf5001fff,0xffa81fff,0xfff507ff,0x001fdfff,0xdf709f70,0x7ffffb87,
    0x3ffffee0,0xffffffff,0x36001f03,0x203fffff,0x3fee03fd,0xffff03ff,
    0x3ffff88d,0xa84ffff8,0xf882ffff,0x3e604fff,0x0005ff07,0x3f606fb8,
    0x3ffee3ff,0x209fffb5,0x001ffffd,0xf705fffb,0x2e05ffff,0x05ffffff,
    0xf98ff300,0x3fee0fff,0x7fdc07ff,0xffffffff,0x001f05ff,0x0fffffa2,
    0x3ea00ff8,0xfff04fff,0x9fffd0df,0x505ffff0,0xf105ffff,0x7dc05fff,
    0x000ff886,0xc807fe20,0x3ff24fff,0x0bfff94f,0x401fffea,0xf505fffb,
    0x203fffff,0xdffffffc,0x3fa01440,0x8bfffee1,0x206ffffb,0xaaabcfd9,
    0x06fffcba,0x7fc4001f,0x0df503ff,0x05ffff88,0xf50dffff,0xffff09ff,
    0x0bfffea0,0x803fffe6,0x07fa84fc,0x201fec00,0x3f24fffb,0xdfff53ff,
    0x017ffee0,0x8813ffee,0x0fffffff,0xffffffd0,0x805d315d,0x3ffea4fc,
    0x3ffff20e,0x009ff304,0x3f309ff1,0x3fffa800,0xfb007f90,0xffa81fff,
    0xbfff06ff,0x503fff98,0xf507ffff,0x2fe809ff,0x20005fb8,0xff8806fb,
    0x83fff64f,0xfd80fffe,0x7fdc00ef,0xfffc802f,0xa9adffff,0xfffffffe,
    0x9805ffff,0x0fffe26f,0x201dfffb,0xff003ffb,0x0005f703,0x3fe07ff7,
    0xffff9801,0x3ffffe65,0x47ffa80f,0x3ea07ffb,0xffe85fff,0xd81ff805,
    0xff10003f,0x9bff2003,0x7fc43ffe,0x0fffd46f,0x019ffb50,0x7fffff40,
    0x72efffff,0xdfffffff,0x983fe001,0xfff30cff,0x7ffc401d,0x20ff6601,
    0x8001ffe9,0x06f983fd,0x37fffea0,0xfffffafd,0x13ffa82e,0x7d401dfd,
    0x3ea2ffff,0x3fcc00ef,0xb0002ff8,0xffc8007f,0x2e04ffaa,0x4fffdfff,
    0x17dff910,0x3ffee000,0x982effff,0x00dffffe,0xfb10ff20,0x019dffff,
    0x9bdff930,0xa83bffd9,0x3effffff,0x7e41f400,0x7ffd4004,0x9dfff2ff,
    0x3bfaa015,0x7d400dff,0xfeefd88c,0x2a8800be,0x70001550,0x36a000df,
    0x53001cee,0x09a80355,0x2a620000,0x573001ab,0x07930001,0x0002aea2,
    0x4de5d4c4,0x20000000,0x001cb828,0x01a83510,0x2001a880,0x00aa9818,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f772a00,0x55553001,0x01555555,0x85995300,
    0xaaaaaaaa,0x001aaaaa,0x33bb6ea2,0x4c01b81c,0x00bcdecc,0x9bd97300,
    0x2a653015,0xaaaaaaaa,0x5555300a,0x55544555,0xaaaaaaaa,0x55555442,
    0x372a02aa,0x30e20bce,0x55555555,0x2aaaa215,0x02aaaaaa,0x30555555,
    0xfd3003b9,0x009fffff,0xfffffffd,0x5c400fff,0x7d40bfff,0xffffffff,
    0xb803ffff,0xdccdffff,0x1fa9cffe,0xfd79f910,0x5c007fff,0xedfffffe,
    0x53e9bdff,0xfffffffd,0x36e60159,0x2a24ffff,0xfffffffc,0x7e5c42ad,
    0xe982beff,0xdfedbdff,0x7ff544ca,0x10beffff,0xffffffd7,0x3f6e057f,
    0x7ffc43ef,0x3ffe600f,0x03ffffff,0x3fffffe6,0x8804ffff,0x2e02effd,
    0xffffffff,0x200fffff,0x00cfffd8,0x03ffffd5,0xfff70ff6,0xffe9807f,
    0xffb81cef,0x7ffe43ff,0x7ec005ff,0x3ffea01e,0xff5005ff,0x033fea01,
    0x7413ffee,0x203fffff,0x03fffffe,0xff701ff0,0x3fe209ff,0xffffffde,
    0xffff900f,0x01ffffff,0x805ffe98,0xfffffffd,0x206fffff,0x002ffffb,
    0xf503fff9,0xfffff0bf,0x3fffee01,0x3ffe8806,0x37ffffc4,0x3007f200,
    0x007fffff,0x7fc417e2,0x13fe600f,0x27ffffd4,0xbfffff30,0x7cc13a00,
    0x1bb02fff,0x7ffffe44,0xffffff02,0xa80bffff,0xff005fff,0xffffffff,
    0x3ea07fff,0x64003fff,0x7ffd81ff,0x82ffffd8,0x00fffffa,0xf907fd10,
    0x4003ffff,0xfff8805e,0x13e003ff,0x5c027fe4,0x3fffa04f,0x7fff407f,
    0x0fc400ff,0x260dffb0,0x3ffffa05,0x999afa82,0x20099999,0x3005fff9,
    0x33355bff,0x101ff933,0x000fffff,0x3ff607f6,0x7fffe42f,0x7ffffc44,
    0x41fcc001,0x05fffff8,0xf1003f30,0x4007ffff,0x0dffd03e,0xffb81360,
    0x3ea02fff,0x5c03ffff,0x00019806,0x203fffee,0x7440006d,0xf7001fff,
    0x20dfd001,0x004ffffd,0xff503f30,0xffffc81f,0x27ffff42,0xfb03e800,
    0x9001ffff,0x3ffe200b,0x0fa003ff,0x00ffffe2,0xfff8812e,0x7ffc05ff,
    0x01f406ff,0x7fd40000,0x135df05f,0xdfffb000,0x4400e400,0xfffa83ff,
    0x360001ff,0xfb039501,0x7fd41fff,0x70002fff,0x3fffe607,0x00fc403f,
    0x3fffff88,0x7fc0fa00,0x2c403fff,0x3fffff60,0x3ffff200,0x001f301f,
    0xbff90000,0x3ffffea0,0xff8801de,0x800003ff,0xffd81ffb,0x20000fff,
    0xfff80008,0x7fffec5f,0x8020001f,0x407ffffe,0x3fe2006b,0x3a003fff,
    0xfffffb03,0x7cc0005d,0x3a03ffff,0x904fffff,0x3fffa20b,0x7c4003ff,
    0x3fff605f,0x01dfffff,0x32bffff2,0x40002ced,0xffff06fe,0x000000ff,
    0x41dfff50,0x07fffff8,0x3fee0000,0x0be02fff,0xfffff880,0x5c0fa003,
    0xefffffff,0xfffd0002,0x3fbe60df,0x05f07fff,0x03ffffd8,0x0ffffa20,
    0x3fffffe2,0xf04fffff,0xffffffff,0x10001dff,0xfff107ff,0x00000dff,
    0x81bffd00,0x06fffff9,0x7ffc0000,0x00d506ff,0x3fffff88,0xfe80fa00,
    0xdfffffff,0x7ffdc001,0xfbdc82ff,0x3d42ffff,0x1ffffdc0,0x7fffed40,
    0x7ffdc4ff,0xffffffff,0x7fffcc3f,0xffffc89e,0x7fdc000f,0xfffffa81,
    0x40000005,0xff503ff9,0x0000bfff,0xfffffc80,0x44003e81,0x003fffff,
    0xffe880fa,0x4fffffff,0x3fffe200,0x7c57c45f,0x26c5ffff,0x1ffffd40,
    0x7ffff540,0x32a64fff,0xfffffeec,0x3fea1fff,0x7ffdc4ff,0x37ec004f,
    0x4fffffb8,0x6c000000,0x3fff202f,0x000004ff,0x27ffffc4,0xf10003e6,
    0x4007ffff,0x7ff4403e,0xdfffffff,0xffffb000,0xffb35c1f,0x07e21fff,
    0x0ffffea0,0xffffd880,0xffc9806f,0x3ee5ffff,0x7fc44fff,0xf1000fff,
    0x3ffea09f,0x000005ff,0xf7007e20,0x000bffff,0xffffb000,0x40026c1f,
    0x03fffff8,0x7dc00fa0,0xffffffff,0xffff3006,0xff31f47f,0x01ae7fff,
    0x01ffffd4,0x7ffffe40,0x3fff2001,0x3ffff27f,0x1ffffd83,0x203ff700,
    0x06fffff8,0x777776c4,0x4c05eeee,0xffffa806,0x8000007f,0x33fffff9,
    0xff10001f,0x74007fff,0x3ff22003,0x02ffffff,0x2dffffd0,0x7fff40f9,
    0x2a007d6f,0x0003ffff,0x007ffffb,0x90ffffb8,0xf909ffff,0x36005fff,
    0x7fffc06f,0xffd1007f,0x3003dfff,0xffff3009,0x000000ff,0x65fffffa,
    0xfff10005,0x1fc007ff,0x3ff22008,0x7006ffff,0x9b5fffff,0x7fffff70,
    0x3fea001f,0xf10003ff,0x90007fff,0x3fea1fff,0xfffc84ff,0x4ff8802f,
    0x7ffffec0,0xffff5000,0x0022005f,0x0ffffffc,0x7d400000,0x01fbffff,
    0xfffff100,0x441fc007,0xfffe8805,0xfff1007f,0xf103fdff,0x00bfffff,
    0x01ffffd4,0x03fff900,0x44dff300,0xfb85ffff,0xfa801fff,0x7ffdc01f,
    0xff5001ff,0x00005fff,0x5fffff70,0x3e000000,0x006fffff,0x1fffffc0,
    0xf882f880,0xfffe8800,0xfffb000f,0x7fec0dff,0x2a002fff,0x0003ffff,
    0x8001ffee,0x7fffc3ff,0x07fffb86,0xd100ffb0,0x2007ffff,0x01fffff9,
    0xfff88000,0x000005ff,0x5fffff90,0xffff8000,0x03f3003f,0x3e2005f1,
    0x3e6007ff,0x2a02ffff,0x4007ffff,0x103ffffa,0x109ff500,0xfb07fa00,
    0xfff70fff,0x09ff100b,0x1ffffe60,0x7ffffcc0,0x03fea801,0x1fffff70,
    0x4001b000,0x006ffff8,0x5ffffd80,0x3e20f900,0x17ffa006,0x0ffffd00,
    0x009ffff0,0x83ffffa8,0x3f601efd,0x00f7f446,0xfff10bf3,0x3fffb85f,
    0x001ffa80,0x00ffffea,0x07ffffe6,0x07ffff10,0x1bffff60,0x8001fb00,
    0x0003fffd,0x0fffffa8,0xf881fd40,0xfff8805f,0x7ffdc002,0x1fffc804,
    0x7fffd400,0x17fffcc3,0x3f20ffc4,0x4d80cfff,0xb17ffea0,0x3f6009ff,
    0xfffa8007,0x7ffcc02f,0x7fdc01ff,0x3f2006ff,0x4c00dfff,0xf98000de,
    0x3600007f,0x300effff,0x3fe201df,0x27fdc03f,0x07ffc400,0x0037fcc0,
    0x227fffdc,0xbffffff8,0xf981eeb8,0xbacfffff,0xfffb804f,0x200bff30,
    0x10004ff8,0x837bfff9,0x0effffb8,0x27fffcc0,0x3fffea00,0xeca89acf,
    0x7f40003f,0x36200004,0x9aceffff,0x2200efeb,0x441effff,0x20005ffb,
    0x3fa005fd,0xfffd8003,0xfffea86f,0x5403ffff,0xcefffffe,0x3ff6a002,
    0x2a003efd,0x4c0001ff,0xeefffffd,0x000bdfff,0x0003bff6,0x3ffff6a2,
    0x001defff,0x0000fa80,0xffffeb80,0x8802efff,0xdffeb9af,0x0001effe,
    0xf7000fcc,0x7ff44001,0x981fffff,0x40009aaa,0x00009aa9,0x98000a98,
    0x4c00002a,0x019abcaa,0x00014c00,0x09bba988,0x00380000,0x6554c000,
    0x0a2001aa,0x002aeea2,0x44003800,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,
    0xaaaaaaaa,0x2aaaa01a,0xdca802aa,0x555541bd,0x530001aa,0x55555555,
    0x55555555,0x2aa21555,0xaaaaaaaa,0x5555540a,0x2aa21aaa,0xaaaaaaaa,
    0x8000999a,0xaaaaaaaa,0x550019aa,0x00035555,0x55555551,0x55000155,
    0x35555555,0x2aaaaaa2,0x002aaaaa,0x55555544,0xfffd9801,0x01adffff,
    0x0fbfff6e,0xfe9dfea8,0x3fffaa4f,0xffb0005f,0xffffffff,0xffffffff,
    0x3fee23ff,0xadffffff,0x7fffe540,0x3f2a21be,0xffffffff,0x01dfffff,
    0xffffd950,0xbfffffff,0x3fffaa05,0xba88005f,0x4fffffff,0x7fffcc00,
    0x511acfff,0xfffffff9,0xc880057b,0x003fffff,0x3fffffea,0x01bf2001,
    0x3fa3fff3,0x3ffe60ff,0xffb0005f,0x7fffc139,0x3ffea63f,0x7ffffcc1,
    0x3ffd807f,0xfffffa80,0x3fffa622,0x3fe2003f,0xff733fff,0xff303dff,
    0x98000bff,0x07ffffff,0x7ffffe40,0x7ffd404f,0xc80006ff,0x4003ffff,
    0x04fffffd,0xfd003f60,0x1fff63ff,0x00bffff1,0x7fc0ff60,0xfe883fff,
    0xfffffa81,0x027ec02f,0x2fffff88,0x0bffff90,0x1fffffc0,0x03ffffe6,
    0x00bffff1,0xfffdf880,0x9f1002ff,0x805fffff,0x04fffff8,0xffffb800,
    0x7ffc4003,0xf9800fff,0x7fffcc02,0xf8817711,0xb0005fff,0x7ffffc0b,
    0x3603f503,0x00efffff,0x7c400bf1,0xf102ffff,0x2003ffff,0xd83ffffe,
    0xff86ffff,0xf80005ff,0x06fffffa,0xffff5f70,0xfff8805f,0xa80004ff,
    0x8003ffff,0x04fffffb,0xffb806d8,0xff8801ff,0x5b0005ff,0x1fffffc0,
    0x3fe203f0,0xdd04ffff,0xffff8800,0x3fff602f,0xfffd004f,0xffff707f,
    0x5ffff81f,0xfc9f8000,0xe801ffff,0x2fffff9b,0x3fffff80,0xfffa8000,
    0xffd0003f,0x7d401fff,0xffffb801,0xffff8801,0x401b0005,0x203fffff,
    0x3ffea01c,0x07e41fff,0x3fffe200,0x3fff202f,0xfffd006f,0xffff507f,
    0x5ffff85f,0xf89f8000,0x4c05ffff,0xfffff98f,0xfffff802,0xffa80003,
    0xf50003ff,0x740bffff,0xffff7004,0xffff1003,0x3e00000b,0x0003ffff,
    0x37ffffe4,0xf10003f5,0x6405ffff,0xd007ffff,0xf507ffff,0xff85ffff,
    0x06ea25ff,0xfffb1f80,0x9aec01ff,0x802fffff,0x003fffff,0x3ffffa80,
    0x3fffa000,0x00fb81ff,0x7ffffff4,0x3fe204ff,0x7ff5c5ff,0x3e002eff,
    0x0003ffff,0x7fffff44,0x10002f9c,0x405fffff,0x006ffffe,0x707ffffd,
    0xf81fffff,0xfff55fff,0x23f003df,0x03fffff9,0x3ffe63f1,0xfff802ff,
    0xa80003ff,0x0003ffff,0x17ffffea,0xd97005f1,0x059bffff,0x82ffffc4,
    0xf8001eff,0x0003ffff,0xffffff98,0x3e20004f,0xf102ffff,0x2009ffff,
    0xc83ffffe,0xff86ffff,0xffefcdff,0x21f806ff,0x707ffffe,0x7ffffccd,
    0xfffff802,0xffa80003,0x6c0003ff,0x362fffff,0x7ffdc006,0xfff8801f,
    0x00ef885f,0x7fffff00,0x3ff20000,0x0000ffff,0x0bffffe2,0x037fffe4,
    0x87ffffd0,0x81fffff9,0x50efffff,0xf807ffff,0x3ffffee1,0x3fe63e82,
    0xff802fff,0x80003fff,0x003ffffa,0x7ffffcc0,0xb8003f36,0x8801ffff,
    0xed85ffff,0x3ffe0000,0x200003ff,0x04fffffe,0x3fffe200,0x3ff6622f,
    0x3a000dff,0x3ea3ffff,0xff01ffff,0xfff81fff,0x3e0fc04f,0x7d46ffff,
    0x3ffffe60,0xfffff802,0xffa80003,0xd80003ff,0x4ebfffff,0xffffb800,
    0xffff8801,0x00006ec5,0x00fffffe,0xffff9800,0xf10002ff,0xffddffff,
    0x003bffff,0xddffffd0,0x017dffff,0x7c2ffffc,0x0fc05fff,0x87fffff2,
    0x7fffcc4d,0xffff802f,0xfa80003f,0x80003fff,0xfffffff8,0xfffb8000,
    0xfff8801f,0x0003f65f,0x0fffffe0,0xfffb0000,0x10001fff,0xf59fffff,
    0x003fffff,0x37ffffa0,0xf0009aaa,0xfff0bfff,0x441f80df,0xf14fffff,
    0xfffff981,0xfffff802,0xffa80003,0x900003ff,0x007fffff,0x07fffee0,
    0x57fffe20,0x80004ffd,0x003fffff,0x3fffe600,0x88005fff,0xf52fffff,
    0x001fffff,0x07ffffd0,0x2ffffc00,0x2037fffc,0xffffd81f,0xff985c8f,
    0xff802fff,0x80003fff,0x003ffffa,0xfffff100,0x3fee0007,0xff8801ff,
    0xffffddff,0x7ffc0002,0x100003ff,0xfffff39f,0xff88005f,0x3ff22fff,
    0xe8005fff,0x0003ffff,0x3e17fffe,0x0fc06fff,0x67ffffcc,0xffff982f,
    0xffff802f,0x5404003f,0x0003ffff,0x7fffff10,0x3ffee000,0xfff8801f,
    0xfffffeff,0x3ffe0000,0xd00003ff,0x7ffffdcb,0x3fe2000f,0x7ff42fff,
    0x74002fff,0x0003ffff,0x3e17fffe,0x0fc06fff,0x6fffffe8,0x5fffff30,
    0x7fffff00,0x7d40d800,0x00003fff,0x07fffff1,0x3fffee00,0xffff8801,
    0x0bffff96,0x7ffffc00,0x0ed80003,0x2ffffff4,0xfffff100,0xfffff985,
    0x3ffa000f,0x3e0003ff,0xfff85fff,0xb80fc06f,0x303fffff,0x005fffff,
    0x007fffff,0x7ffd43c4,0xf100003f,0x0007ffff,0x007fffee,0xe97fffe2,
    0x0002ffff,0x007fffff,0xf980fb80,0x002fffff,0x05fffff1,0x0dfffff7,
    0x1fffff40,0xbffff000,0x80dffff0,0x3fffe01f,0xffff300f,0xffff005f,
    0x43e4007f,0x003ffffa,0xfffff100,0x3fee0007,0xff8801ff,0x3ffe65ff,
    0xff8000ff,0x20003fff,0x3fee02fa,0x8800ffff,0xb02fffff,0x007fffff,
    0x00fffffa,0x85ffff80,0x7c06ffff,0x13fff201,0x2fffff98,0x3fffff80,
    0x3ea1be00,0x00003fff,0x07fffff1,0x3fffee00,0xffff8801,0x2ffffe45,
    0x3fffe200,0x9f30003f,0xfffffd00,0xffff100b,0x3ffe205f,0xfe801fff,
    0x10003fff,0xff0bffff,0x02f80dff,0xa807ffe2,0x402fffff,0x04fffff8,
    0xff50bfb0,0x200007ff,0x04fffff9,0x5ffff900,0xbffff100,0x07ffffd0,
    0x7ffffcc0,0x1ff98004,0xfffff980,0x7ffcc03f,0x3fea03ff,0x7c00ffff,
    0x0004ffff,0x88dffff1,0x2606ffff,0x037ec03f,0x0fffffea,0xbfffff10,
    0x709ffb00,0x0009ffff,0x3fffff20,0xffd8000e,0xffa804ff,0xfffb87ff,
    0xff7002ff,0x2001dfff,0x803fffb8,0xfffffff9,0x3ffff202,0x7ffec05f,
    0xff500eff,0x0001dfff,0x41fffff5,0x00fffffa,0x7cc03ffb,0x7fffec02,
    0x7ffdc05f,0xaaaacfff,0x83ffffdb,0x006ffffd,0x3fffb2e0,0x0cdfffff,
    0x7ffff640,0xff903fff,0x265fffff,0x5ffffffe,0xffffd930,0x407bffff,
    0xeffffffc,0x7ffec40c,0x0effffff,0xfffffdb3,0xd105dfff,0x47ffffff,
    0xffffffed,0xf9003eff,0x73ffffff,0x5fffffff,0x3fffff62,0x36a0d03e,
    0xffffffff,0xffd932df,0xffffffff,0xffffffff,0x7ffff447,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa880000,0xaaaaaaaa,0xaaaa980a,0x5501aaaa,0x55555555,
    0x55555555,0x55555441,0x12aaaaaa,0x55555555,0x2aa23555,0xaaaaaaaa,
    0x5555512a,0x55555555,0x21555555,0xaaaaaaa8,0xaaaaaaaa,0x2a60aaaa,
    0xaaaaaaaa,0x0000099a,0x00000540,0x544374c0,0xaaaaaaaa,0x000999aa,
    0x803500d4,0xffffeba8,0xa980bdff,0x1ceffffd,0xfffffff0,0xffffffff,
    0x5d441fff,0xdfffffff,0xfff9512b,0x237bffff,0xfffffba8,0x7512bdff,
    0xfffffffd,0xffffffff,0x3ff2a27f,0xffffffff,0x1fffffff,0x3ffff2a6,
    0xffffffff,0x400001bd,0x4000004e,0xca887fe8,0xffffffff,0x04efffff,
    0x2637ffcc,0xf3006fff,0x400fffff,0x7c404fff,0xff102dff,0x4c05ffff,
    0x406fffff,0x05fffffa,0x37ffffcc,0x3ffffe60,0xfffd9884,0xfffff983,
    0xfffea884,0xfffff701,0x3fff2625,0xa80000cf,0x4000007f,0x7d407ffd,
    0xd512ffff,0x201dffff,0x322ffffc,0xf002ffff,0x200bffff,0xf8802ff9,
    0x7ffe402f,0x7fc405ff,0x7cc05fff,0x4404ffff,0x805fffff,0x404fffff,
    0xfff03fea,0xffb809ff,0xfffff501,0xfffff305,0xffd80003,0xf7000003,
    0xff880fff,0xffd82fff,0xffe80fff,0x3fffa4ff,0xffff004f,0x1df300bf,
    0x300be600,0x01ffffff,0x09fffff0,0x3fffff88,0x4fffff80,0x4fffff80,
    0xff03f880,0xf7009fff,0x3fffe603,0xffff302f,0x3e60001f,0x800006ff,
    0x807ffff9,0x882fffff,0xb83fffff,0x3ee1ffff,0xff001fff,0xfa809fff,
    0x01aa000d,0x0ffffffa,0x27ffffc0,0x3ffffe20,0xfffff803,0xfffff804,
    0x3e079004,0xf004ffff,0x3fffe603,0x3fff202f,0xffb0006f,0x400005ff,
    0x07ffffe8,0x02fffff8,0x10dffffd,0xfc887df9,0x3ffe003e,0x0ff204ff,
    0xf700ee00,0x400dffff,0x404fffff,0x03fffff8,0x04fffff8,0x04fffff8,
    0xfff03a83,0xd83709ff,0xfffff301,0x7fffcc05,0x7fc4003f,0x00005fff,
    0x1ffff7b6,0x0bffffe0,0x07ffffe4,0xff000000,0xfb109fff,0x802a0005,
    0x1ffffff8,0x3ffffe00,0x7fffc404,0xffff803f,0xffff804f,0x0088d04f,
    0xb09fffff,0xff300a83,0xff805fff,0x64006fff,0x01ffffff,0xfc9fa800,
    0xfff807ff,0xfffd02ff,0x000000bf,0x44fffff8,0x00000ee9,0x3fffff60,
    0x7fffc004,0x7ffc404f,0xfff803ff,0xfff804ff,0x007884ff,0x213ffffe,
    0x3fe6001f,0x7e402fff,0x2002ffff,0x4fffffcf,0xc9fcc000,0xff807fff,
    0xff882fff,0x00002fff,0x7ffffc00,0x0003bea4,0xffffa800,0x7fc000ff,
    0x7c404fff,0xf803ffff,0xf804ffff,0x7b84ffff,0x3ffffe00,0x3000fd44,
    0x805fffff,0x04fffffb,0x3fff6f70,0x3a0000ff,0x01ffff25,0x20bffffe,
    0x006ffffc,0xfff80000,0x5fff74ff,0x3e200000,0x002fffff,0x04fffff8,
    0x1fffffc4,0x27ffffc0,0x27ffffc0,0xff801fee,0x3fe64fff,0x3ffe6001,
    0x7fdc02ff,0x7d005fff,0x0fffffea,0xf907e400,0xfff00fff,0x7fecc5ff,
    0x000004ff,0xbfffff00,0x03fffffb,0xfff90000,0x3e000bff,0xeeefffff,
    0xfffeeeee,0xfff803ff,0xfff804ff,0xffecaeff,0x3fffe007,0x1fffdcdf,
    0x3fffe600,0x7ffd402f,0x0fa806ff,0x01fffffa,0xff907ea0,0xffff00ff,
    0xfffffddf,0x22004007,0x7fffc000,0xffffffff,0x2600000e,0x00ffffff,
    0xffffff00,0xdddddddd,0x007fffff,0x009fffff,0xffffffff,0x7c00ffff,
    0xffffffff,0x3e6001ff,0x4c02ffff,0x806fffff,0x7fffdc4d,0x13e2002f,
    0x201ffff2,0xccdfffff,0x03effffe,0xb10bbfaa,0x7fc009ff,0xffe8efff,
    0x00005fff,0x0ffffffa,0xfffff800,0x7fffc404,0xffff803f,0xffff804f,
    0x0ffd934f,0xa7ffffc0,0x2001ffc8,0x02fffff9,0x2fffffd4,0xff103e60,
    0x7400dfff,0x0ffff906,0x85fffff0,0x1effffe8,0x21ffffe8,0x001ffffb,
    0x269fffff,0x04ffffff,0xffffb800,0x7fc0006f,0x7c404fff,0xf803ffff,
    0xf804ffff,0x7444ffff,0x3fffe007,0x000fec4f,0x05fffff3,0x4fffffb8,
    0xffc82ec0,0xfc801fff,0x0ffff900,0x05fffff0,0x1fffffd1,0x27ffffcc,
    0x009ffffd,0xa93ffffe,0x02ffffff,0x3fffe200,0x203001ff,0x404fffff,
    0x03fffff8,0x04fffff8,0x84fffff8,0x3ffe0079,0x00fc44ff,0x5fffff30,
    0xfffffc80,0x4c07e202,0x405fffff,0xeeeeeff8,0xeefffffe,0x5fffff00,
    0x3ffffea0,0x3fffffc5,0x005ffff9,0x913ffffe,0x01ffffff,0x3ffff600,
    0x20b1005f,0x404fffff,0x03fffff8,0x04fffff8,0x04fffff8,0x7fffc00f,
    0x0301e84f,0x05fffff3,0x1fffffc8,0x3fffff20,0xffffffff,0x3ffe200f,
    0xffffffff,0xff00ffff,0x3e205fff,0x7d47ffff,0x3fa27fff,0x3ffe005f,
    0xfffe84ff,0x54000eff,0x00ffffff,0x3ffe0950,0x7fc404ff,0xff803fff,
    0xff804fff,0x00b04fff,0x427ffffc,0xf985881c,0x7402ffff,0x7c06ffff,
    0xaaaaaaac,0x04fffffb,0x3fffffe2,0xffffffff,0xfffff00f,0x7ffff405,
    0x30df081f,0xffff8001,0xffff884f,0x7f4005ff,0x2003ffff,0xfffff04e,
    0xffff8809,0xffff803f,0xffff804f,0x7c00304f,0x0084ffff,0xffff3097,
    0x7ffcc05f,0x01ae01ff,0x07fffff4,0xeeeeee88,0xefffffee,0xfffff00e,
    0x7ffffc05,0x0013ea07,0x27ffffc0,0xffffff98,0xffff9003,0x1fdc00df,
    0x04fffff8,0x1fffffc4,0x27ffffc0,0x27ffffc0,0x7fffc000,0x07f1004f,
    0x05fffff3,0x027fffec,0x7fdc00fe,0x20003fff,0xf807fffc,0xf302ffff,
    0x640dffff,0x3bbba20f,0xf85eeeee,0x2e05ffff,0x02ffffff,0x7fffffcc,
    0x05ff7001,0x013ffffe,0x07fffff1,0x09fffff0,0x0bfffff0,0xfffff000,
    0x05fd1009,0x05fffff3,0x03bfffe6,0x3e001fb8,0x0007ffff,0x201ffff2,
    0x902fffff,0x203fffff,0x7ffc43fa,0x86ffffff,0x406fffff,0x2ffffffe,
    0x3fffffa0,0xfffe9804,0xfffff881,0x7fffcc05,0x7ffc404f,0xfff805ff,
    0x440006ff,0x405fffff,0xf981ffea,0xf983ffff,0x7c404fff,0x7ffe4007,
    0xf90003ff,0xff880fff,0xffc84fff,0x5f703fff,0xffffff10,0xffa8dfff,
    0x3201ffff,0x3fffffff,0xffffffb8,0xbaaaaaab,0x80fffffd,0x0ffffffb,
    0x3fffff20,0x3ffee00e,0x3ea00fff,0x000fffff,0x3ffffee0,0xecba9acf,
    0xfd80ffff,0xbaaeffff,0x402dfffd,0x2003ffe9,0x1ffffffc,0x7fffc800,
    0x7ffffdc0,0xfffecabf,0x019901df,0x33333322,0xfec8cccc,0xefffffff,
    0x3ffffa62,0x14ffffff,0xffffffff,0xffffffff,0x644fffff,0xfffffffe,
    0xffdb34df,0x7bffffff,0x3ffffb22,0x913dffff,0xfffffffd,0x322009bf,
    0xfffffffe,0xffffffff,0x3fb6a7ff,0xffffffff,0xc800adee,0x05efffff,
    0xfffffdb1,0xc800dfff,0xed887fff,0xffffffff,0x01cceeff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x71000000,0x200037b9,0x12a002c8,0x00000000,0x00000000,
    0x20000000,0x0001ba98,0x4002aee6,0x2000aba8,0x2000ab98,0x00661ba9,
    0x4402ae60,0x500001ba,0xffff7005,0x26003fff,0xf1003ffd,0x0ffc0009,
    0xfffffb80,0xfffe89df,0x3fae5fff,0x3ffff66f,0x3ffff24f,0x7fffdc5f,
    0x7fe44fff,0xefe980ef,0x000dffff,0x7fffbff9,0xffcffc80,0x77fec404,
    0x7e403efe,0x22fdffef,0x56fffffb,0x449fffff,0x80effffd,0x26ffffeb,
    0x2e04fffb,0xffffffff,0x3ff6a01f,0x9fb003ff,0x00ffc000,0x0fffff50,
    0x30bffffb,0xffff509f,0x5ffffa89,0x3fffff98,0x3f20df50,0x17ffee0e,
    0x321dfb10,0xfe883fff,0x20bff30e,0x3f62ffe9,0x23ff703f,0x7cc3ffb8,
    0xedfbefff,0xfe8affff,0x106ffffe,0x3f2dffff,0xff307fff,0xffffffff,
    0xffffd50f,0xff7007ff,0x0ffc0009,0x3ffff600,0x3ffffc42,0x7fcc07cc,
    0x7ffc44ff,0xffffb05f,0x2a07ea09,0x7ffc46ff,0x8fffa03f,0x740ffffa,
    0x1ffec3ff,0x3e23fffc,0x87fe82ff,0xffff83fa,0x3fffa1ff,0x3ffee4ff,
    0xdffff02f,0x0dfffdf5,0x3faeb7fa,0x2a2fffff,0xfffffb9b,0x27ffdc03,
    0x003ff000,0x84ffff98,0x5c1fffff,0x9ffff105,0x05ffff88,0x20dffff3,
    0x5fffd05c,0x505ffff8,0xfff81fff,0x03ffee1f,0x7dc1fff9,0xfffe84ff,
    0x213ffe61,0xfffff83d,0x27fffe41,0x40ffffe6,0x51ffffff,0x03f305fd,
    0x09fffff5,0x01ffffe4,0x009ffff9,0x4000ffc0,0x7d47fffe,0x1744ffff,
    0x44ffff88,0x205ffff8,0xf81ffffd,0x89fffd02,0xfd06ffff,0x7ffc81ff,
    0x7dc3fffc,0xffff12ff,0x49fffb07,0x20dffffb,0x6ffff849,0x41ffffc8,
    0xf04ffff8,0x4009ffff,0x3fffa01b,0x3fff204f,0xffffb03f,0x005fffff,
    0x5c000ffc,0x2f62ffff,0x1e67ffff,0x44ffff88,0x205ffff8,0x545ffffa,
    0x03ffea06,0xf30dffff,0x82ea0fff,0xfb86fff9,0xffff53ff,0x4dfffb05,
    0x1efffff8,0x437fffc0,0x441ffffc,0xff04ffff,0x00003fff,0x017fffdc,
    0x307ffff7,0x9dffffb9,0x7fc00399,0xfff88001,0xff91f15f,0x881325ff,
    0x7c44ffff,0x7f405fff,0x00f60fff,0xffffd506,0x1ffff50d,0x3fffea00,
    0xfffeeeee,0x05ffff74,0xfe8ffffb,0x203fffff,0xfc86ffff,0x7fc41fff,
    0xffff05ff,0x4c00001f,0x2e00ffff,0x2603ffff,0x0004ffff,0x6c0007fe,
    0x35b8ffff,0x07abffff,0x44ffff88,0x405ffff8,0xf14ffffb,0x5ff54001,
    0xfb86ffff,0xf7001fff,0x55555fff,0x3ff23555,0xfffd82ff,0x3fffea1f,
    0xfff05fff,0xffff90df,0x5ffff883,0x00fffff0,0x6fffa800,0x1ffffdc0,
    0x09ffff30,0x3bbbbba6,0xeeeeffee,0xf502eeee,0x745d7fff,0x406affff,
    0x444ffff8,0x4405ffff,0x0997ffff,0x7c7ffa20,0xffc86fff,0xff9003ff,
    0x3f2001ff,0xffd82fff,0x7ffd41ff,0xff83ffff,0xfffc86ff,0x7fffc41f,
    0x0dffff05,0xfffc8000,0x7fffdc03,0x3fffe603,0xfffff304,0xffffffff,
    0x207fffff,0x47fffff8,0x04fffffb,0x227fffc4,0x805ffff8,0x1fbffffc,
    0x21fffb80,0xfb86ffff,0xf7004fff,0x2e005fff,0xfd82ffff,0xfe880fff,
    0xff87ffff,0xfffc86ff,0x7fffc41f,0x0dffff05,0x6fff8000,0x3ffffb80,
    0x13fffe60,0x55555544,0xaaabffaa,0x3601aaaa,0x7c44ffff,0x4401ffff,
    0x7c44ffff,0xf8805fff,0xa805ffff,0x7ffc4fff,0xffffa86f,0xfffa800f,
    0xfff5004f,0xffffb05f,0x3fff2044,0x7fffc1ff,0x1ffffc86,0x82ffffc4,
    0x0006ffff,0x007ffe60,0x80ffffee,0x004ffff9,0x80007fe0,0xd81ffffa,
    0xf8806fff,0x7fc44fff,0xffb005ff,0xfff005ff,0x6ffff85f,0x5fffff88,
    0xfffff880,0x3fe27100,0xfffe83ff,0x3fea16a5,0x7fffc2ff,0x1ffffc86,
    0x82ffffc4,0x0006ffff,0x400ffee0,0x203ffffb,0x004ffff9,0x00007fe0,
    0x3ea0dfff,0xfff003ff,0xffffb8bf,0xdfff5005,0xbffff300,0x837fffd4,
    0x82fffffc,0x3ffff64b,0x7fdc3d05,0x1ffff83f,0x3ff20be6,0x37fffc0f,
    0x20ffffe4,0xf05ffff8,0x0000dfff,0xb8017fe2,0x2603ffff,0x0004ffff,
    0x900007fe,0x7ffc07ff,0xffffd000,0x3ffffee1,0x0fffa005,0x3ffffe60,
    0xffffffee,0x7fffc428,0x45daadff,0xaefffff9,0x7fc44eb9,0x2fffcc6f,
    0x3fea1be6,0x87ffff86,0x4c2ffffc,0xff05ffff,0x20000dff,0x7dc005fd,
    0x3e603fff,0x20004fff,0x4c0001ff,0x1bf200ff,0xfffff980,0x7ffffaff,
    0x003fee00,0x6ffffff4,0x2fffffb8,0xffffff98,0xfff506ff,0x20bfffff,
    0x3f62ffe9,0x2eff984f,0xf983ffb1,0x7f41ffff,0x7fdc4fff,0xfff986ff,
    0x5c0000ff,0xffb8005f,0x3fe603ff,0x3e0004ff,0x6e80001f,0x2001fcc0,
    0x88effffb,0x02ffffff,0x26004f88,0x3622dffd,0x3a202eff,0x00ceffff,
    0x3bffffa6,0x77fec403,0xbf103fff,0x83dffffd,0xfffffffb,0xfffffe8b,
    0xfffffb6f,0x3ffee3ff,0x0005ffff,0x70480df3,0x4c07ffff,0x0004ffff,
    0x200007fe,0x000a8019,0x00001530,0x00800098,0x2a620008,0x05544000,
    0x00554c00,0x0015510c,0x00000000,0x0ee88000,0x7fdc12e0,0x3fe203ff,
    0x800224ff,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f600000,0xdccccccd,0xffff703f,0x6ffff807,0x664001b1,
    0x5cc00000,0x00000001,0x00766000,0x0f620000,0x000eb800,0x02f6a011,
    0x99303366,0x66666443,0xcccccccc,0x081ccccc,0x00111110,0x7fffe400,
    0x1fffffff,0x07ffff90,0xfeffffa8,0x64000001,0xf55fffff,0x2e03dfff,
    0xffffffff,0x3a27ffff,0xaeffffff,0x21efffe8,0x000beff9,0x05ffb000,
    0x00bff100,0x7dc19ff9,0x7ffcc4ff,0x99fffe27,0xffffffff,0xffffffff,
    0x3bfaa3ff,0x03fffec1,0xffffa800,0xffffffff,0x9ffff900,0x5bffb500,
    0x59100000,0x66ffffcc,0x06ffffef,0x7c413df7,0xfb82ffff,0x7fc1ffff,
    0xffffd881,0x7400001c,0xfd8003ff,0x3fea01ff,0x3fffa6ff,0x97fffe47,
    0x912ffffb,0x99999999,0x99999999,0x37fffc39,0x0017ffec,0x3ffffe60,
    0x6fffffff,0xffffff30,0x00002001,0x11ffed40,0x21dfffff,0xb83ffffa,
    0xbffffb07,0x27fffec0,0xfc8805f3,0x0002efff,0x8003ff70,0x206ffff9,
    0xd0fffffd,0xffb8ffff,0xffff71ff,0x54000005,0xd80fffff,0x740004ff,
    0xffffffff,0x3665ffff,0xfffffffe,0x000004ef,0x3fffee20,0x3fffe21d,
    0x3fffe20f,0xffa84b85,0x3e201fff,0x07d1ffff,0xffffda80,0x19f5001c,
    0x0ee99be2,0x3feb7fa0,0xfffff702,0x517fff67,0x7fd4ffff,0x000000ff,
    0x41bfffe2,0x00007fe8,0x00000000,0xfd980000,0xff01cfff,0xffff0bff,
    0xffd0130b,0xff7009ff,0x000b7bff,0x6ffffe4c,0x97fff402,0x07fff92d,
    0x3ff43fea,0x4ffffd88,0xf889fff7,0x3ffe26ff,0xb8000007,0x3a202fff,
    0x0000001f,0x00000000,0xfffeb880,0x7ffc00be,0x5ffff85f,0xfffff700,
    0xffff1001,0x100001ff,0x19ffffd7,0x99ffff90,0x03ffffb7,0x7fcc9ff1,
    0x997dc203,0xffe82fff,0xf32fff44,0xffffffff,0xffffffff,0x1002887f,
    0x0000007d,0x00000000,0x7fffe4c0,0x3ffe001d,0x6ffff85f,0xfffff880,
    0x3ffee002,0x9800006f,0x41dffffc,0xadfaaab9,0xff900baa,0x400ffd81,
    0x03ffe0fe,0xff90bff2,0x7ffffcc7,0xffffffff,0x003fffff,0x00000000,
    0x00000000,0x7ffffd50,0xffff0001,0x0dffff0b,0x0bffffb0,0x5ffffd00,
    0x3ea00000,0x36203fff,0xff8802eb,0x204ff883,0x837ec4f8,0x7fcc0ffa,
    0x2aaaaa21,0xaaaaaaaa,0x101aaaaa,0x00110001,0x00000000,0x3ff22000,
    0x40002eff,0xff85ffff,0x7fd406ff,0xa8001fff,0x0006ffff,0x3fffae20,
    0x2ff500be,0x3f600dfa,0x407ff206,0x827d40ed,0x00ff06f8,0x7f440000,
    0xe800adff,0x00000001,0xf3000000,0x00007fff,0x3e17fffe,0x7f406fff,
    0x10004fff,0x007fffff,0xffffc980,0xaffdc01d,0xf981fff9,0x17fe202f,
    0x3f101dd1,0x05d82740,0xff100000,0x39ffffff,0x00003e60,0x00000000,
    0xefffeb80,0x3fe0000b,0xffff85ff,0x3fffee06,0xec80280f,0x0007ffff,
    0x17ffffd5,0xe8fffe00,0x05fe84ff,0x5d12ffa8,0x80d40480,0x0000001a,
    0xff955bf9,0x7117dfff,0x000000bd,0x00000000,0x37ffff66,0xffff8001,
    0x06ffff85,0x05fffff1,0xd8ea80b1,0x1003ffff,0x05bffff9,0x5c1ffb00,
    0x0e64c2ff,0x0003cc80,0x00000000,0x36a07f00,0xffffffff,0x00000001,
    0x40000000,0xbefffeb8,0xffff8800,0x06ffff85,0x20bffffb,0x4c7e204b,
    0x200fffff,0x1cffffda,0x4c04c000,0x00000001,0x00000000,0x400f8800,
    0x1fffffc9,0x00000000,0x40000000,0x1cffffda,0x1bfffe20,0x50dffff1,
    0x503fffff,0x362ec09f,0xe884ffff,0x0003efff,0x00000000,0x00000000,
    0x06200000,0x00035100,0x00000000,0xc8800000,0xa82effff,0x2a0fffff,
    0x740fffff,0x999dffff,0xd883ffeb,0x7fffdc3f,0x0effcc2f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb5000000,0x3f25ffff,
    0xb9ffffff,0x2fffffff,0xfffffff7,0x45ffffff,0x95ffffe8,0xdfffffff,
    0x000005cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff93000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_39_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_39_usascii_y[95]={ 31,7,7,7,7,7,7,7,7,7,7,9,25,21,
25,7,7,7,7,7,7,7,7,7,7,7,14,14,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,36,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,18, };
static unsigned short stb__times_bold_39_usascii_w[95]={ 0,6,14,17,16,31,27,6,11,11,15,20,7,11,
7,10,16,13,16,16,17,16,16,16,16,16,6,8,20,20,20,14,31,26,23,23,24,22,21,27,27,13,18,28,
23,33,25,26,21,26,26,18,22,25,26,35,26,26,23,8,10,8,16,19,8,17,19,14,18,14,14,16,18,10,
10,19,10,28,18,16,19,18,15,12,12,18,18,26,18,18,16,11,3,11,20, };
static unsigned short stb__times_bold_39_usascii_h[95]={ 0,25,12,25,27,25,25,12,32,32,14,20,13,4,
7,25,25,24,24,25,24,25,25,25,25,25,18,24,17,9,17,25,32,24,24,25,24,24,24,25,24,24,25,24,
24,24,25,25,24,31,24,25,24,25,25,25,24,24,24,31,25,31,13,3,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,23,18,18,18,17,25,17,32,32,32,7, };
static unsigned short stb__times_bold_39_usascii_s[95]={ 250,243,183,1,141,19,85,198,52,12,142,
45,175,244,226,186,216,18,1,1,193,18,35,52,51,68,244,235,45,205,121,
97,64,166,211,112,141,118,96,69,54,82,124,1,215,181,160,177,140,114,113,
189,63,163,136,208,86,1,30,105,113,96,158,141,234,131,233,149,197,164,28,
143,162,244,1,43,239,209,66,179,223,204,238,196,32,93,112,66,102,158,85,
40,36,24,226, };
static unsigned short stb__times_bold_39_usascii_t[95]={ 1,1,155,34,1,34,34,155,1,1,155,
136,155,130,155,34,34,136,136,60,111,60,60,60,34,34,111,111,157,155,155,
60,1,111,111,60,111,111,111,60,111,111,34,111,86,86,34,1,86,1,86,
60,86,60,60,60,86,86,111,1,34,1,155,29,155,136,34,136,34,136,86,
34,86,60,1,86,86,136,155,136,1,1,136,136,136,136,136,136,155,1,155,
1,1,1,163, };
static unsigned short stb__times_bold_39_usascii_a[95]={ 141,188,313,282,282,563,469,157,
188,188,282,321,141,188,141,157,282,282,282,282,282,282,282,282,
282,282,188,188,321,321,321,282,524,407,376,407,407,376,344,438,
438,219,282,438,376,532,407,438,344,438,407,313,376,407,407,563,
407,407,376,188,157,188,327,282,188,282,313,250,313,250,188,282,
313,157,188,313,157,469,313,282,313,313,250,219,188,313,282,407,
282,282,250,222,124,222,293, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_39_usascii(stb_fontchar font[STB_FONT_times_bold_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_39_usascii_s[i] + stb__times_bold_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_39_usascii_t[i] + stb__times_bold_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_39_usascii_x[i];
            font[i].y0 = stb__times_bold_39_usascii_y[i];
            font[i].x1 = stb__times_bold_39_usascii_x[i] + stb__times_bold_39_usascii_w[i];
            font[i].y1 = stb__times_bold_39_usascii_y[i] + stb__times_bold_39_usascii_h[i];
            font[i].advance_int = (stb__times_bold_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_39_usascii_s[i] + stb__times_bold_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_39_usascii_t[i] + stb__times_bold_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_39_usascii_x[i] + stb__times_bold_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_39_usascii_y[i] + stb__times_bold_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_39_usascii_LINE_SPACING
#endif

