// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT        210
#define STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_42_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_42_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_42_usascii_LINE_SPACING          27

static unsigned int stb__times_bold_42_usascii_pixels[]={
    0x0001c980,0x79995530,0x33200035,0x00017931,0x4001cb98,0x8800130a,
    0x20999999,0x09999999,0x665cc400,0x4400001a,0xca88002e,0x2a0000ac,
    0xaaa9803c,0x221aaaaa,0x401aaaaa,0x441bdda8,0x0039500d,0x002fffdc,
    0xcefffc98,0x0befedcc,0x644bfe00,0x54001fff,0x3000cffe,0x0067ccbb,
    0xffffedb8,0x3bffffe4,0xffd8801d,0xefffeeff,0xd9510003,0x70057bff,
    0x05ff97ff,0x005ff100,0xfffffff5,0x7ff5c43b,0xdffd502e,0x3fee9fd7,
    0x04ffff80,0x01fffff0,0x05f7f5c0,0x00ff6620,0x3f6217fc,0xbff5002f,
    0x427e4001,0x6c002fe8,0x3ffe4fff,0x3fea003f,0x3ee20aef,0x2a001eff,
    0xfedfbdff,0xffd80bff,0x007fff15,0x22005fe8,0x207fffff,0x3fee06f9,
    0x3fffe22f,0x7ffd40ff,0xfff8807f,0xfd8801ff,0xbf50002e,0x982ff801,
    0x7cc02fff,0x3f6000ff,0x00bfa203,0x3e4fffb8,0xd8800fff,0x2a00ffff,
    0xd803ffff,0x267f13ff,0x7fd46ffe,0x03fff62f,0x0007fdc0,0x03ffffee,
    0xffa817cc,0xffffb85f,0x7fffec0f,0xfffc802f,0x04fe9806,0x406d8800,
    0xbffd02ff,0x006ffd80,0x3ea01ff6,0xfff7001f,0x007fffc9,0x07ffffe2,
    0x17fffee0,0x3e26ffb8,0xfd1bfa23,0x7ffe45ff,0x02ff8804,0x7fffff00,
    0x7fc41ee0,0xfff983ff,0x7ffe40ff,0xeb8801ff,0x17fd400c,0x813a0000,
    0xfffd02ff,0x1bffe201,0x801ffe40,0xfb801fff,0x3fffe4ff,0x7fffec00,
    0x3fffa004,0x3fff882f,0x4df30fe2,0x321ffff8,0xfd806fff,0x3fee0005,
    0x209b06ff,0x880ffffb,0x5c0fffff,0x000fffff,0x00ffc400,0x80fcc000,
    0xffff02ff,0x1fffe603,0x003ffea0,0x20077fdc,0x3fe4fffb,0x3fea00ff,
    0x2e001fff,0x4c0fffff,0x0fe25fff,0xffff99b6,0x01ffff21,0x40001ff7,
    0x42fffff8,0xfffb00f8,0xffff101f,0xffffa81f,0xfe800007,0x32000003,
    0xf105ff05,0x3e201fff,0x7f400fff,0x3fe2004f,0x7ffdc03f,0x403fffe4,
    0x07fffff8,0x7ffffcc0,0x97fffdc5,0x266983f8,0x3f21ffff,0x3fe207ff,
    0xffc80002,0xf035c5ff,0x3e20ffff,0x7c40ffff,0x55405fff,0xc80aaaaa,
    0x7b73005f,0x2204cccc,0x982ff80f,0x7f407fff,0x3fea01ff,0x7fec001f,
    0x27ffdc07,0x3201ffff,0x004fffff,0x1ffffff8,0x2fffffea,0x7c4503f8,
    0x3ff22fff,0x017f606f,0x7fffcc00,0x7c40ba1f,0xff107fff,0xfff01fff,
    0xffeb807f,0x7fcc0fff,0xdeffb800,0x80ffffac,0xa82ff83d,0x7ec05fff,
    0x3ffa02ff,0x7fdc000f,0x3ffee03f,0x403fffe4,0x03fffffd,0xfffffe80,
    0x3ffffe63,0xff003fef,0x7ffec5ff,0x001ff704,0x7fffec00,0x3ea01f34,
    0xff106fff,0xffb01fff,0xfff3003f,0x04fc81ff,0x9d1ffec4,0x1320dfff,
    0x3ff20bfe,0x7ffe404f,0x0ffff503,0x0dfff500,0xff27ffdc,0x3ffe01ff,
    0xd8002fff,0x6c4fffff,0x4fffffff,0x47fff700,0xf880fffd,0x5400002f,
    0x4c8fffff,0x1bfffee0,0x07ffffc4,0xf003ffdc,0xff81ffff,0x237fec00,
    0x503ffffd,0xf705ff0b,0xffb807ff,0xbfffb03f,0xffff1000,0x93ffee05,
    0xf880ffff,0x002fffff,0x6fffffc8,0x7fffff44,0xfe800dff,0x40fffe4f,
    0x000005fd,0x3f7ffffd,0x3ffffd40,0x0fffff88,0x2006ff98,0x2a0fffff,
    0x7ffdc06f,0x0ffffec1,0x82ff8698,0x5402fff9,0xffd00fff,0x3fe000bf,
    0xfff703ff,0x407fffc9,0x1ffffffa,0xffffc800,0xfffe887f,0x402fffff,
    0xffcaffd8,0x001ff702,0x3ffee000,0x7fcc06ff,0xfff107ff,0x13fe01ff,
    0x0fffff80,0xff980bf6,0x7ffff86f,0x0bfe1a60,0x36027fec,0x3ffe05ff,
    0xfff0004f,0x3ffee09f,0x203fffe4,0x0ffffffb,0xffffb800,0xffd880ff,
    0x04ffffff,0x00bcdba8,0x54405ff1,0xff88000a,0xff803fff,0xff881fff,
    0x5fb00fff,0x7ffffc00,0xfe803fa0,0x7ffc42ff,0x3e16a04f,0x0ffd102f,
    0x88077fc4,0x0004ffff,0x2e0bffff,0x3ffe4fff,0xffffa80f,0xfc8001ff,
    0x5407ffff,0xffffffff,0x3f600005,0xfbbfd305,0xffc8003d,0xffb800ff,
    0xfff984ff,0x03f900ff,0x07ffffc0,0x7ffd40ff,0x7fffcc0f,0x3fe13202,
    0x077f6202,0x4c01bfd5,0x0004ffff,0x2e0dffff,0x3ffe4fff,0xffff980f,
    0xfc8002ff,0x8806ffff,0xfffffffd,0xffb80004,0xd0fffa80,0x7c4007ff,
    0xff1005ff,0x7fcc5fff,0xf700ffff,0x7fffc001,0x740df10f,0xffc85fff,
    0x20fa00ff,0xfc9802ff,0x50039fb5,0x0007ffff,0x5c1ffffa,0x3ffe4fff,
    0xfffff00f,0xffb0007f,0x2200bfff,0xffffffff,0x3fe20000,0x25fff882,
    0x2000fffc,0x26002ffd,0xfedfffff,0x00fffffc,0xfff800f3,0x20bf30ff,
    0x442ffff9,0x2206ffff,0x802ff80f,0x39fb5fc9,0x7ffff500,0x3fffa000,
    0x49fff707,0xfd00ffff,0x0009ffff,0x07fffffd,0x3fff3e20,0x20003fff,
    0xfff905fd,0x02fffdc9,0x3000ff50,0x13fffffd,0x201fffff,0x7ffc0048,
    0x20bf30ff,0x640ffffb,0x2a03ffff,0x4405ff05,0x7ecc1efe,0x3ffe600e,
    0xffd0004f,0x3ffee0ff,0x403fffe4,0x04fffffb,0xffffff80,0xd17f1000,
    0x0009ffff,0x7f403fee,0x3ffea3ff,0x00274007,0x7c415510,0x0000ffff,
    0x83ffffe0,0xffff906f,0x1fffff88,0x17fc0b60,0x200ffe88,0xff100eff,
    0x3e0009ff,0xff705fff,0x07fffc9f,0x0dffffd0,0xfffff980,0x3f882444,
    0x00bffff1,0x7c05ff10,0x3fea3fff,0x1f1000ff,0xff100000,0x00001fff,
    0xd07ffffc,0x1bfff60f,0x40ffffdb,0x40bfe05a,0x7e405ffd,0x3fffe06f,
    0xffff0004,0x93ffee09,0x2a00ffff,0x002fffff,0x03fffff2,0x47f101f1,
    0x8003fffd,0x3fe205fd,0x3ffea3ff,0x05b8081f,0xfff10000,0x02a201ff,
    0x0fffff80,0x3ffe03f2,0x3ff7327f,0x401d105f,0xfff882ff,0x0fffd402,
    0x005fffe8,0x207ffff0,0x3fe4fffb,0x7ff400ff,0xff1005ff,0x7f107fff,
    0x7fdc7f10,0x7fdc002f,0x1ffffc00,0x4c1ffff5,0x001745ff,0xffff8800,
    0x2fffd80f,0x1fffff00,0x7ff417dc,0xfe8edcff,0x02e883ff,0x7fd417fc,
    0x7ffdc03f,0x0dfffb03,0x5ffff100,0xf93ffee0,0x74400fff,0xb801ffff,
    0xf103ffff,0x363f881d,0x7c4006ff,0xfffd802f,0xb1bffea4,0x01aa3fff,
    0xfff88000,0x7ffcc0ff,0xffff006f,0x5c1fd41f,0x91ffffff,0x2ea87fff,
    0x05ff0744,0xc809fff7,0xff304fff,0xff3000ff,0x7ffdc0df,0x003fffe4,
    0x0077ffec,0x407ffff5,0x3e20eff8,0x003fff13,0xf5005fd8,0x7ffdc9ff,
    0x45fffec3,0x2000002e,0x41fffff8,0x01fffffb,0x20fffff8,0xfff985f8,
    0x3ffe61ef,0xb81ddbbf,0x7d417fc4,0x7fec05ff,0x3fff602f,0x7ffdc000,
    0x93ffee03,0x2000ffff,0x20affffc,0x02ffffb8,0x4df7ffc4,0x2ffeabf8,
    0x007fd400,0x7ecdffb0,0xffffa86f,0x4000005f,0x43fffffa,0x006ffff9,
    0xa81fffff,0x0ced982f,0x1ceeec98,0x2ff81d10,0x407fff98,0x2a01ffff,
    0x64002fff,0x7fdc07ff,0x03fffe4f,0x3fff6a00,0x02dffffe,0x3ffff2a0,
    0x00cfffff,0x0017fc40,0x3e6bff62,0xffd700ef,0x54000009,0xfffffffd,
    0x0bfff61e,0x07ffffc0,0x000007ec,0x17fc1640,0x807fffc4,0x400ffff8,
    0x7c005ffe,0x7fdc03ff,0x03fffe4f,0xffff9800,0x4c0002ff,0x000cfbaa,
    0x80017f60,0x003dffdb,0x10000001,0x33333333,0x000a8813,0x203ffffe,
    0x000004f8,0x02ff835c,0x2603ffff,0xfa807fff,0xff5000ff,0xfffb801d,
    0x003fffe4,0xfffff900,0x7c40000b,0x00000003,0x00000000,0x00000000,
    0x03ffff40,0x000005f5,0x17fc03ae,0x100fffe8,0x2e00dfff,0xffd004ff,
    0x9fff7003,0x0007fffc,0x3ffffe20,0x9100002f,0x00000003,0x00000000,
    0x00000000,0xfffb2f4c,0x002fc80f,0xf006e400,0x17ffa05f,0x400dffb0,
    0x7d400ffc,0xfff7001f,0x007fffc9,0x7fffcc00,0x000002ff,0x00000000,
    0x00000000,0xd0000000,0x3fff63ff,0x00dfa805,0x402ecc00,0xfff882ff,
    0x0fffd401,0x4409f900,0x3f2002fe,0x3fffe4ff,0xfd100000,0x003bffff,
    0x00000000,0x00000000,0x00000000,0xf92ffe80,0x322001ff,0xfd98003f,
    0x885ff003,0xf5002ffd,0x7e4001bf,0x01774c0d,0xf93fffa0,0x00003fff,
    0x3ffffee2,0x0006efff,0x00000000,0x00000000,0x40000000,0xffe8cffa,
    0xceea8003,0x6dd4c0ab,0x97fc003e,0x001dffc8,0x0067ff4c,0x7d30ec88,
    0x7fff6400,0x3fffe4ff,0x00002eff,0x2f37b32a,0x0000000a,0x00000000,
    0x00000000,0xffb80000,0x40001cef,0xfefedca9,0xf0002cde,0x006b265f,
    0x00395100,0x00013098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x44000000,0x26600000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa8800,
    0x336e22aa,0x53100001,0x00000035,0x35999751,0x072e02e0,0x66654c00,
    0x6644001a,0x400cc880,0x99999998,0x31099999,0x13333333,0x33333100,
    0x32e20133,0x99999bde,0xbcb98019,0x99998001,0x09999999,0x26666200,
    0x3f220199,0xff97ffff,0x8003dfff,0xeefffec8,0x0003efff,0xdffffd50,
    0x239dfffd,0x05fc80f9,0x7f6fecc0,0x3001dfff,0x0ff501ff,0xffffd950,
    0x279dffff,0xffffffd9,0x7edc00ef,0xc81effff,0xfffbdfff,0x101fffff,
    0x1bffbffb,0x3fffee00,0x1fffffff,0x3fffaa00,0x7dc00fff,0xdcfcffff,
    0x000fffff,0x415dfff5,0x00dfffb9,0xdfffb100,0xffff5105,0x1ff301ff,
    0xa83fe600,0x801ffffe,0x0df907fb,0xfffffa80,0x3ffa205f,0x1005ffff,
    0x3fa01ffd,0x3ffe23ff,0xf981ffff,0x07ffe27f,0x3fffff60,0x006fffff,
    0x1fffff70,0xfffffa80,0x3fffe60f,0x7ffec405,0x3ffe200f,0x7fdc003f,
    0xff7004ff,0x0bfe01ff,0x2a1ffa20,0x400fffff,0x09fd05fd,0xffffff00,
    0xffff8803,0xf7003fff,0x1ffff207,0x880bfff6,0x7fe44fff,0x3ffe200f,
    0xffffffff,0xfff10003,0xff9801ff,0xffd82fff,0xfff103ff,0xff5003ff,
    0x3f200bff,0x5c004fff,0x9f900fff,0x05fff500,0x807fffff,0x05ff03fe,
    0xfffffd00,0xffffb003,0xf3003fff,0xbffff105,0x01ffff70,0xf507fff2,
    0x7fdc09ff,0xffffffff,0xff10000f,0xf9801fff,0xff507fff,0x3ff60bff,
    0x3fa004ff,0x7d402fff,0x70006fff,0x1fea01ff,0x213fff20,0x205ffffe,
    0xff982ff8,0xfffe8001,0xffd801ff,0x00ffffff,0x7fd40fc4,0xfffa85ff,
    0xffff882f,0x07fffcc0,0xcccccee8,0x0003cccc,0x007ffffc,0x41ffffe6,
    0xa87ffff9,0x001fffff,0x03ffffea,0x1fffffc4,0x401fd000,0x7fd401ff,
    0xffffe86f,0x203fe605,0xfd0007fa,0xb003ffff,0xffffffb9,0xb81f880d,
    0xfa84ffff,0xffb83fff,0x7ffc40ff,0x003f982f,0xffff0000,0xfff9801f,
    0xffff107f,0x7fffc41f,0x7fc4007f,0xffb05fff,0x40001fff,0x13f600fa,
    0xd05fff10,0x5c07ffff,0x00df907f,0x3fffffa0,0xfe8cd801,0x204fffff,
    0xfff981f8,0xffffa84f,0x87fffc82,0xb84ffff8,0x0000000f,0x801fffff,
    0x107ffff9,0x643fffff,0x004fffff,0x1ffffff8,0x37ffffd4,0x50074000,
    0x402a00df,0x910fffff,0x99ffd999,0x99dfd999,0x7fff4001,0x14d801ff,
    0x7fffffff,0x7f407e20,0xfffb85ff,0x0ffffd07,0xd0bffff1,0x001359bf,
    0xf166dc40,0x9801ffff,0x3e07ffff,0x3f62ffff,0x8003ffff,0x43fffffd,
    0x05fffffc,0x7c400800,0x3e60001f,0x3fe65fff,0xffffffff,0x1fffffff,
    0x3ffffa00,0x264d801f,0x1fffffff,0xff901f88,0xbfff90df,0x21ffffe0,
    0x4c6ffff8,0xefffffff,0x3ffa2002,0xfff8efff,0x7fcc00ff,0x3ffe07ff,
    0x3fffe1ff,0xfd8002ff,0x7f44ffff,0x0004ffff,0x007fb000,0x077ffec0,
    0xdffdddd3,0xdffddddd,0x7f4001dd,0xd801ffff,0x7ffffdc4,0x00fc40ff,
    0x7c45fffb,0xff880dff,0xfff887ff,0x3fff20ff,0x1effffff,0x8bfffe80,
    0xffffffda,0x7fffcc00,0xfffff107,0x7fffffc4,0xfffc8002,0x7fffc5ff,
    0x000003ff,0x2000df70,0x400dfff8,0x7fa80ff9,0x3fffa000,0x84d801ff,
    0x6ffffffd,0x3ae00fc4,0x3fffbcff,0x1ffffe60,0x87ffffe2,0xffffffff,
    0x3205ffff,0x7f446fff,0x4c00ffff,0xf107ffff,0x7fd4dfff,0x8001ffff,
    0x27fffffc,0x2ffffff9,0xf1000000,0xff90001f,0x41fee007,0x3a0005fc,
    0x801fffff,0xffffd04d,0x00fc49ff,0x56776fd4,0x7fffd400,0xfffff887,
    0xffffff32,0x9fffffff,0x05ffff50,0x01fffff3,0x07ffff98,0x5cbffff3,
    0x01ffffff,0xfffffc80,0xfffff50f,0x0000003f,0x22001ff4,0x3f6002ff,
    0x0009fd05,0x0ffffff4,0xff8826c0,0xf12fffff,0x00764403,0x7ffffc80,
    0x3fffff88,0xfffdb995,0x5fffffff,0x00ffffd8,0x801fffff,0x80fffff9,
    0x2a1ffffc,0x01ffffff,0xfffffc80,0x3ffffea7,0x0000002f,0xf7001bee,
    0x04fe8003,0x740005ff,0x801fffff,0x3ffe604d,0x1f89ffff,0x0009fd10,
    0x43ffffdc,0x02fffff8,0x7ffffdc4,0x7fffc6ff,0x3ffffe07,0x7fffcc00,
    0x3ffe20ff,0x7fffc43f,0xfc8002ff,0x3e66ffff,0x803fffff,0xcccccccc,
    0x3e604ccc,0x0132000f,0xf305ff10,0x7f40001f,0xd801ffff,0x7fffdc04,
    0x701f9eff,0x20003dff,0x887ffffa,0x001fffff,0x3fffffaa,0x0fffff10,
    0x007ffffc,0x37ffffe6,0x5ffffbcf,0x7ffffff0,0xffffb000,0x7fffc49f,
    0xea9804ff,0xbfffffff,0x0017f401,0xddd30059,0xddddddff,0x01ddddff,
    0x7fffff40,0xc804d801,0xfeffffff,0xfffffd01,0x59ddffff,0x0fffff30,
    0x01fffff1,0xffffe880,0x0dffff31,0x007ffffc,0x5dffffe6,0x00ceffff,
    0x09fffffd,0xfffffb00,0xfffffe87,0x3ffe2005,0xf9002fff,0x4006400b,
    0xfffffff9,0xffffffff,0x3fa001ff,0xd801ffff,0xffffb004,0x3f603fff,
    0xffffffff,0x7c45ffff,0xff887fff,0xd10007ff,0x3fee5fff,0x3ffe06ff,
    0x7fcc00ff,0x00dcc7ff,0x27ffffdc,0x7ffffc00,0x7fffdc0f,0x7ffc006f,
    0xf3001fff,0x8800001f,0xcccefecc,0xccceffcc,0x7405d40c,0x800fffff,
    0xffd1004d,0x2a03ffff,0xffffffff,0x45ffffff,0xf887ffff,0x20006fff,
    0xff70fffa,0x7ffc0fff,0x7fcc00ff,0x740007ff,0x4006ffff,0x84fffff9,
    0x07fffff8,0x7fffff40,0x00bfe000,0x03fe8000,0xffe805ff,0x7ffff41f,
    0x004d800f,0x3fffffe6,0x3fffea01,0xffffffff,0x3ffff47f,0x02ffffc4,
    0x54dff100,0x3e07ffff,0x4c00ffff,0x0007ffff,0x17ffffd4,0xfffff700,
    0x3fffea01,0x3ffa002f,0x32000fff,0x0035004f,0x7cc17fc4,0x3ffe601f,
    0x7ffff44f,0x8009b007,0x01fffffa,0x33337faa,0xffffeccc,0x03fffee1,
    0x007ffff1,0x3e64fe80,0xff00ffff,0xf9801fff,0x80007fff,0x005ffffe,
    0x00fffffa,0x00dffff9,0x07fffff4,0x980ff500,0xf3005fff,0x80ff701f,
    0x745ffffb,0xb005ffff,0xfff90009,0x1fff103f,0xf0fff300,0xff983fff,
    0x001a887f,0xfffe85ff,0xffff882f,0x7ffcc00f,0xe880007f,0xb800ffff,
    0xb004ffff,0x2007ffff,0x00fffffe,0xfb00ffc0,0xf7005fff,0x301bf20d,
    0xff83ffff,0xbd003fff,0x3fff6000,0x005ffa81,0x3ff213fa,0x1fffdc1f,
    0x807bffe6,0xfffb85fa,0xffffc86f,0x7ffcc00f,0x3200007f,0x2600efff,
    0x4004ffff,0x802ffffc,0x00fffffe,0xf8827ec0,0xd805ffff,0x009fd05f,
    0xff88bffb,0xdf1005ff,0x3ffa2000,0x01fff981,0xe881efa8,0x37fec4ff,
    0x67ffffdc,0xfd037440,0x7fdc5fff,0x5c02ffff,0x001fffff,0x3fffea00,
    0x3fff260a,0xfd30002f,0xf5105bff,0x0019ffff,0x3f606fa8,0xfe802fff,
    0x1005ff03,0x3f625ffd,0xfb1005ff,0xf100019f,0x3ffee03f,0xdca9899b,
    0x3fa200df,0x01dff30f,0xfffffff1,0x8809fb59,0xffeffffe,0xdffffff9,
    0x7ffff440,0x0002dfff,0xdfffb710,0x017dffff,0xfffd5000,0xfffffdff,
    0x7c400039,0xbfff301f,0x303ff100,0x7dc003ff,0x0cefffff,0x7ffff540,
    0x54001eff,0x3bae201f,0x2bceffff,0xffff9100,0xffd9809f,0x01bdffff,
    0xdffffd10,0x2f3bffe1,0x33333301,0x00001333,0x2aaeea20,0x51000000,
    0x13557975,0x0e5c0000,0x644006a0,0x004c980c,0x00aca988,0xa8000000,
    0x00044000,0x4001b980,0x0001baa8,0x06a0dd44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x75310000,0x4cccccc7,0x4cc40001,0x99999999,0x10001999,0x00159975,
    0x4d5d4c00,0x0b2e0001,0x00037710,0x06f32e62,0x5d44000a,0x06a01bcc,
    0x00af2e60,0x33333333,0x33013333,0x21333333,0x09999998,0xa8000000,
    0x3622cffd,0x007fffff,0x7fffffc0,0xffffffff,0xfffa8006,0x0003ffff,
    0x7fefffdc,0x7c4001ef,0xdbfd901f,0x2a0019df,0xeffeefff,0x5400698b,
    0xfffffffd,0x05d11cef,0x7fffff54,0xfffd901e,0x7bdfffff,0xfffffd90,
    0x3fffee7b,0x000002ff,0x02fffee0,0x07ffffa8,0x3fffe600,0xffffffff,
    0x7ec003ff,0x7fffd52f,0xbffd3000,0x01fffdc1,0x3f60ff50,0x03fffa2f,
    0x9839ffb0,0x3006fffe,0x13bffffd,0x3ffff2a2,0xffff902f,0x403fffff,
    0x4ffffffa,0x01fff300,0x05fffff1,0xfd100000,0xff3001df,0x5c000fff,
    0xffffffff,0x01ffffff,0xf51bfee0,0x44001fff,0xfd80fffe,0x9fb002ff,
    0xf98dff90,0xff900eff,0x06ffc80b,0x1fffffb8,0x17ffecc0,0x7fffffe4,
    0x200fffff,0x01ffffff,0xff80ff20,0x00002fff,0x077ffd40,0x7ffff880,
    0x3fff6000,0xffffffff,0x3e2006ff,0x7ffc44ff,0x3ff2001f,0xdfff506f,
    0xf70bfe00,0xfffd09ff,0x03fff30b,0xfc80dfb0,0x2001ffff,0x6fcc2ffe,
    0xffffea8a,0x3ffa02ff,0x2e001fff,0x3fffa01f,0x2000002f,0x000efffa,
    0x01ffffe2,0xefffff80,0xffeeeeee,0x3ffea003,0x01fffd85,0x41ffffe0,
    0x9807fff9,0x4ffff87f,0x43ffffc8,0x8800fffc,0x3ffea06e,0x744003ff,
    0xfb81f42f,0x3a03ffff,0x000fffff,0xffe807ea,0x000002ff,0x003ffff1,
    0x07ffff88,0x015df300,0x2001ffc8,0xfc86fffc,0x3fe2007f,0xff881fff,
    0x2fe400ff,0x20ffffe2,0x745ffffb,0xf7003fff,0x3ffffe60,0x45f50004,
    0x3ffe2039,0x3ffa02ff,0x2a000fff,0x3fffa01f,0xd000002f,0x1000bfff,
    0x000fffff,0x7fc003aa,0x7ffe4006,0x017ff41f,0xbfffff10,0x00bfff30,
    0xfffa85ff,0xffffa84f,0x17ffffc6,0xffe83c40,0x20001fff,0x7fe4002f,
    0x3ffa00ff,0x2a000fff,0x3fffa01f,0xc800002f,0x8002ffff,0x2a7ffff8,
    0x06a01cdb,0x0027fd40,0xb93ffff2,0xfe8003ff,0x7d43ffff,0x7fcc03ff,
    0x27fffe40,0x07ffffcc,0x07fffffb,0xffff3070,0x2c8000ff,0x27ffe400,
    0x3fffffa0,0x807ea000,0x542ffffe,0x02aaaaaa,0x00fffff0,0x3ffffe20,
    0xffffffd8,0x7fe40002,0x7ffd4001,0x01efeaff,0xfffff900,0x077ff49f,
    0x3f617f20,0xff885fff,0x3fee2fff,0x002effff,0x37ffffe4,0x74000000,
    0xffe804ff,0x2a000fff,0x3fffa01f,0x7ffed42f,0xffa803df,0xdfedbdff,
    0x7fffc403,0xfffbbdef,0x3e0001ff,0xff88006f,0x001dffff,0x7ffffc40,
    0x04ffbeff,0xff907fd0,0x3ffe0bff,0x3ffe63ff,0x02efffff,0x9ffffff0,
    0xb8000000,0xffd004ff,0x54001fff,0x3fffa01f,0x03fff02f,0x7fffff40,
    0x1effffff,0x9fffff10,0x0effff88,0x04ff9800,0xfffffd00,0x3fffea03,
    0x7fcc1fff,0x2fffffff,0x701ff100,0x3e0fffff,0x7e43ffff,0xffffffff,
    0x3ffe201e,0x00003fff,0x3fffea00,0xffffe803,0x07ea000f,0x82ffffe8,
    0x22000ef8,0x98cfffff,0x80fffffe,0x907ffff8,0x0009ffff,0xa8003ff9,
    0x6ffffffe,0x0bfffa20,0xffffff98,0xdf7005ff,0x3ffffe60,0x7ffffc42,
    0xfffffd82,0x304fffff,0x03ffffff,0xfc880000,0x04ffffff,0x07fffff4,
    0x7403f500,0xed82ffff,0x7ffcc000,0x7ffec0ff,0xffff885f,0xdffff307,
    0x00dff000,0x7f4eff4c,0x2a03ffff,0xfe8802ff,0x0effffff,0xfb01ff40,
    0xff88bfff,0xffb01fff,0xffffffff,0xffffb81d,0x000001ff,0x7ffffec4,
    0x3fa04fff,0x2000ffff,0x3ffa01fa,0x0076c2ff,0x7ffffd40,0x7ffffd40,
    0x3ffffc41,0x07ffff98,0x8027fcc0,0x3fea4ffb,0xf701ffff,0xfff9100b,
    0x0bffffff,0xf100ffc4,0x933dffff,0x401fffff,0xffffffea,0x3ea0efff,
    0x002fffff,0xff710000,0x740fffff,0x000fffff,0xffe807ea,0x003f62ff,
    0x3ffffdc0,0x43fffff8,0x107ffff8,0x003fffff,0x6400ffe4,0x7fec1fff,
    0xfe80efff,0x4fffcc00,0xfffffffa,0x300df503,0xfffffffd,0x200bffff,
    0xfffffffb,0x3ffe64ff,0x00003fff,0x7fffcc00,0xfffd01ff,0x7d4001ff,
    0x3ffffa00,0x0007ffb2,0x41ffffee,0x444ffffd,0x3e07ffff,0x2002ffff,
    0xff9807ff,0xffff886f,0x017cc6ff,0xfa97ffe6,0xb06fffff,0x76dc009f,
    0xffffdade,0x3fee2002,0x10ffffff,0x09ffffff,0xf1000000,0x3a09ffff,
    0x000fffff,0xffe803ea,0xffffdaff,0xfffa8000,0xfffd80ff,0x7fffc45f,
    0x3ffffe07,0x09ff3001,0x01ffffd0,0xbffffff7,0x3f6017a2,0x7ffcc2ff,
    0x7fc40fff,0x7fc40001,0x880587ff,0x2ffffffc,0x17fffffe,0x5c000000,
    0xfd05ffff,0x4001ffff,0x3ffa00fb,0xfffffeff,0xfff88006,0xfffc81ff,
    0x7fffc44f,0x1ffffe07,0x401ffc80,0x02fffff8,0x9ffffffb,0xff8801fb,
    0xfffa81ff,0x03fd42ff,0x7fffdc00,0xf5000f84,0x7e47ffff,0x0006ffff,
    0x3ffa0000,0xffffb03f,0x07dc003f,0x5dffffd0,0x007fffff,0x03ffffd0,
    0x885ffff9,0xf107ffff,0x7400dfff,0xfffa807f,0x3ffa04ff,0x802fffff,
    0x880ffffa,0x6c4fffff,0xfe80004f,0x007f06ff,0x11ffffdc,0x01ffffff,
    0x36000000,0xffb01fff,0x64003fff,0x7ffff407,0x3fffff92,0xffffd800,
    0x0ffffb82,0x83ffffc4,0x004ffff8,0xf5009ff3,0x203fffff,0xfffffff8,
    0xffffc804,0x5ffffb00,0x40002ff8,0xf00ffff9,0xffff800d,0x7ffffe41,
    0x00060004,0x900fffb8,0x005fffff,0x3ffa02f4,0x3fffa2ff,0x7fdc006f,
    0xfffc84ff,0x7ffff886,0x05ffff30,0x2007ff20,0xfffffff9,0xfffff300,
    0x54981dff,0x2e03ffff,0x3e60ffff,0x7fcc0007,0x0ffe02ff,0xd07ffd80,
    0x001fffff,0x00350d50,0x7cc07ff9,0x3003ffff,0xfffe807f,0x3fffe62f,
    0x7ff4004f,0x3fffc86f,0x0fffff88,0x005fffb8,0xff801ffa,0x00efffff,
    0xfffffffb,0x223f739f,0xf902ffff,0x05fc8bff,0x3bffe600,0x00fffc01,
    0x881fffc4,0x006fffff,0x3ffa27dc,0x4037f405,0x00effffe,0x7f403fc4,
    0x7fdc2fff,0x26001fff,0x7f41ffff,0xffff104f,0x0dfff07f,0x0027fcc0,
    0xfffffff3,0xdff957df,0xffffffff,0xfffb89ff,0x81ffff05,0xf30002ff,
    0xff001bff,0xffc805ff,0x7fff4c05,0x7ec400df,0x77fffcc2,0x800ff981,
    0x0efffff9,0xf005fd10,0xfd05ffff,0x4001dfff,0xf70dfff9,0x7ffc409f,
    0x3ff21efe,0x3ff2000e,0x7ffdc002,0xffffffff,0xffffd31e,0x3f60bfff,
    0x3ff223ff,0x007fcc1e,0x0b7ff6a0,0xdfffff80,0x00dffb80,0x9fffff90,
    0xdfdb7335,0x3ffffa01,0x0dfd99cf,0x3fffea00,0xfecabdff,0xfff9801f,
    0xfffb84ff,0x22000dff,0x3dfeffeb,0xfa8f7c40,0x00beffef,0x8003ff40,
    0xffffffd9,0xfff902ef,0xfea809ff,0x03fffdff,0x2e200bf9,0x8001ceff,
    0xfffca8cf,0x002effee,0xffffeb88,0x403dffff,0xffffffe9,0x910001ef,
    0xffffffff,0xff90017f,0x21ffffff,0xfffffffa,0xaa88002f,0x2620a000,
    0x910000aa,0xa9800079,0x51001abb,0xa9880057,0x165c01ab,0x0001aa80,
    0x57953038,0x26200001,0x8000abba,0x001abaa9,0x5e5d4c00,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cccc400,0x09999999,0x26666660,0x26666219,
    0x22199999,0x99999999,0x33300999,0x4ccc1333,0x99999999,0x99999881,
    0x26620999,0x99999999,0x26662009,0x33311999,0x33333333,0x33333333,
    0x4cccc333,0x09999999,0x5d400000,0x4cc41bcc,0x00009999,0x4cc03930,
    0x33019999,0x33333333,0x3ffee133,0xceffffff,0xfffdb101,0x7ffdcdff,
    0x0dffffff,0xffffffb3,0x3207bfff,0xb12fffff,0xffffffff,0xfeb819df,
    0x21deffff,0xfffffffb,0x2e01ceff,0x95fffffe,0xffffffff,0xffffffff,
    0x22ffffff,0xffffffed,0xffffffff,0x2a0000cd,0x3fffcdff,0x3fffffee,
    0xffd80002,0xfffe884f,0xfdc887ff,0xffffffff,0x3fff623d,0x54003fff,
    0xfe883fff,0x101fffff,0x3ffffffd,0x203bf600,0xfffffff9,0x4fffb806,
    0x7ffffdc0,0x7fcc007f,0x37fff20e,0xffffcaab,0xffcbaadf,0xffffa87f,
    0xfca999ff,0x8003ffff,0x3ffe7ffc,0x3fffe20f,0x7c40002f,0xf700ffff,
    0xf980ffff,0x206fffff,0x2ffffff8,0x201ff800,0x0ffffffa,0x3ffffe60,
    0x05f7001f,0x7fffffd4,0x03ff8806,0xffffffb0,0x07fc4001,0x3ea07ff2,
    0xe884ffff,0xffffd07f,0x3fff620f,0xff5000df,0x3fffe2df,0x17ffff41,
    0x3ffe6000,0xfff500ff,0xfffb00ff,0xffc805ff,0x44005fff,0xfffe804f,
    0x7fec03ff,0xd9004fff,0xfffffb00,0x04fb807f,0x3ffffe20,0x0bea004f,
    0x7fd40bf2,0xff104fff,0x1fffffa0,0x6fffff88,0x4dfffd00,0xffe83ffb,
    0xe80002ff,0x3e205fff,0xfd807fff,0x4402ffff,0x01ffffff,0x2e003ee0,
    0x406fffff,0x07fffffa,0xff1007f0,0x201fffff,0xfb8005f8,0x000fffff,
    0xa81720bd,0x204fffff,0xffffd07c,0xffffc80f,0x7ffc402f,0x3ffa006f,
    0x880002ff,0x3e200cfc,0xfd807fff,0xd802ffff,0x004fffff,0x7fc4013a,
    0x7c01ffff,0x402fffff,0xff5000f9,0x3a0dffff,0xffd0000e,0xf7009fff,
    0xfa80b201,0x2604ffff,0xfffffd07,0xfffffb80,0x7fffcc04,0x3fffa006,
    0x0000002f,0x03ffffc4,0x17ffffec,0x7ffffcc0,0x01f9800f,0x3fffff20,
    0x7fffe404,0x002ec05f,0x3ffffff2,0x0000fe43,0x3ffffff5,0x15027c40,
    0x7ffffd40,0xffe81c04,0x7fd407ff,0x7cc05fff,0x3a006fff,0x0002ffff,
    0x7ffc4000,0xfffd807f,0xffd002ff,0xbb007fff,0xffff9800,0x7ffcc07f,
    0x5f100fff,0xfffe8800,0x05f50fff,0xffffd000,0x0036c0bf,0x3ffffea0,
    0xfffd0004,0xfffa80ff,0xf95504ff,0x0155ffff,0x22ffffe8,0x2200bdca,
    0x02aaaaaa,0x01ffffe2,0x0bfffff6,0x7ffffd40,0x000fcc06,0x17fffff4,
    0xffffff90,0x4001ee07,0xdffffffa,0x300003f9,0x03ffffff,0xa80005f3,
    0x004fffff,0x0fffffd0,0x3fffffc8,0xffffffb0,0xfe805fff,0xffe8afff,
    0xf9103fff,0x440fffff,0xd807ffff,0x002fffff,0x0bfffffe,0xf70006c8,
    0x7c0dffff,0x06fffffe,0x7e40009d,0x05ffffff,0x7ffec000,0x005e86ff,
    0xfffffa80,0xfffd0004,0xfffe80ff,0xf95501ff,0x0155ffff,0xecffffe8,
    0x1fffffdf,0x1ffffee0,0x07ffff88,0x2fffffd8,0x3fffee00,0x005f105f,
    0x3ffffe20,0xff8fa81f,0x7cc1ffff,0x7ff40001,0x0001ffff,0x7ffffcc0,
    0x0003ee2f,0x3ffffea0,0xfffd0004,0x7ffdc0ff,0xff9803ff,0x3fa006ff,
    0x3ee4ffff,0x3e605fff,0x3e207fff,0xfd807fff,0x2002ffff,0x0ffffff8,
    0x640006b8,0xe84fffff,0x9fffff95,0x980006c8,0x06ffffff,0xfffc8000,
    0x009f16ff,0x3fffea00,0xffd0004f,0xff930fff,0x26007fff,0x2006ffff,
    0x445ffffe,0x2207ffff,0x2207ffff,0xd807ffff,0x002fffff,0x27ffffe4,
    0x260001fc,0x4c7fffff,0xfffff31f,0x00003f8f,0x7ffffff9,0xff880000,
    0x0ecbffff,0xfff50000,0x3a0009ff,0xfeefffff,0x0bffffff,0x3fffe600,
    0x3fffa006,0x7fffc42f,0x3fffe207,0x3fffe207,0xffffd807,0x7fcc002f,
    0x3ea0ffff,0xffe80000,0xd1b22fff,0x2a5fffff,0x3a00000f,0x01ffffff,
    0x7ffe4000,0x0002ffff,0x3ffffea0,0xfffd0004,0xffff99ff,0xf30007ff,
    0x7400dfff,0xff82ffff,0xff100fff,0x7fc40fff,0xffd807ff,0xe8002fff,
    0x3a3fffff,0xff700004,0x0be2dfff,0x2bfffff7,0x2600005d,0x6fffffff,
    0x7fc40000,0x0006ffff,0x7ffffd40,0xfffd0004,0x7fffe4ff,0x7cc001ff,
    0x3a006fff,0xff82ffff,0xff100fff,0x7fc40fff,0xffd807ff,0xa8002fff,
    0xf36fffff,0x3e200001,0x7b9fffff,0xffffff88,0x100002f9,0xfffff79f,
    0xb800007f,0x004fffff,0x7fffd400,0xffd0004f,0xfffe8fff,0x7cc006ff,
    0x3a006fff,0xff82ffff,0xff100fff,0x7fc40fff,0xffd807ff,0xf0002fff,
    0xbb3fffff,0xffc80000,0xb04ecfff,0x0fdfffff,0xfd374000,0x003fffff,
    0x7fffd400,0x5400004f,0x004fffff,0x8fffffd0,0x4ffffff9,0x3fffe600,
    0x3fffa006,0xfffff82f,0xfffff100,0x3ffffc40,0x7ffffec0,0xfff70002,
    0x0003fdff,0xfffff980,0xfff500ff,0x00009fff,0xfff983f6,0x00006fff,
    0x13ffffea,0xfff50000,0x3a0009ff,0xfb87ffff,0x002fffff,0x00dffff3,
    0x417ffff4,0x100fffff,0x440fffff,0xd807ffff,0x002fffff,0xffffff10,
    0x3a00000b,0x405fffff,0x01ffffff,0xb81fb800,0x04ffffff,0xffff5000,
    0xa800009f,0x004fffff,0x0fffffd0,0x3ffffff6,0xffff9800,0x3fffa006,
    0xfffff82f,0xfffff100,0x3ffffc40,0x7ffffec0,0x3ff20002,0x00002fff,
    0x5fffff70,0x6ffffc80,0x02fa8000,0x3ffffffa,0xffa80001,0x00004fff,
    0x27ffffd4,0xffffe800,0xfffff107,0xfff300bf,0x7ff400df,0xffff82ff,
    0xffff100f,0x7fffc40f,0xffffd807,0x3e60002f,0x00006fff,0x1bfffe20,
    0x0ffffe60,0x809f3000,0x6ffffff8,0xfffa8000,0x400005ff,0x04fffffa,
    0xfffffd00,0x3fffea01,0x7fcc03ff,0x3fa006ff,0xfff82fff,0xfff100ff,
    0x7ffc40ff,0xfffd807f,0x740002ff,0x00003fff,0x01fffe40,0x000fffe8,
    0x5c01fe20,0x04ffffff,0x7fffd400,0x5400005f,0x004fffff,0x1fffffd0,
    0x7ffffec0,0x3ffe601f,0x3ffa006f,0x7ffc42ff,0xfff100ff,0x7ffc40ff,
    0x7fec00ff,0x40002fff,0x00007ffa,0x00fff980,0x000bff50,0xf0027f4c,
    0x05ffffff,0x7fffdc00,0x5c00005f,0x005fffff,0x1ffffff0,0x7ffff440,
    0xfff500ef,0x7ff400ff,0x7ffc42ff,0xfff301ff,0x3fe603ff,0x7f401fff,
    0x0002ffff,0x00003fe8,0x4009fd00,0x88002ff8,0x801ffffb,0xfffffff8,
    0xfe88002f,0x001fffff,0xffffd100,0xfb8003ff,0x404fffff,0xdffffff9,
    0xfffffc80,0xffff9802,0x7fffdc5f,0xffff703f,0x3ffee07f,0x3fe603ff,
    0x000effff,0x00007dc0,0x001fb800,0x7e4003e4,0x5effffff,0xfffffe88,
    0x00efffff,0x7ffff64c,0x2cefffff,0xfffec800,0xceffffff,0xffffd300,
    0x5dffffff,0x3fffff20,0xfffd94ff,0x205fffff,0xfffffffc,0xffffff97,
    0x7fffc4df,0xf10effff,0xdfffffff,0x3fffb221,0x3effffff,0x00071000,
    0x001c4000,0x0000014c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99998000,0x00199999,0x26666660,
    0x4ccc1999,0x99999999,0x99980019,0x99999999,0x33333009,0x22013333,
    0x99999999,0x99999999,0x99998199,0x99999999,0x26666661,0x00999999,
    0x4cc03710,0x99999999,0x99999999,0x4cccc199,0x99999999,0x99999999,
    0x4ccccc40,0x00099999,0x2202a000,0xffffffdc,0xfa8001ff,0xdfffffff,
    0x3fff7224,0x4defffff,0x7fee4400,0xdfffffff,0xfffec881,0xfb02efff,
    0xffffffff,0xffffffff,0xffdc88bf,0xdfffffff,0xffffb914,0x07bdffff,
    0x102ffc88,0xffffffb9,0xffffffff,0x644fffff,0xfffffffe,0xffffffff,
    0x764c5fff,0xffffffff,0x02ceefff,0x2007cc00,0xfffffff9,0xfffd8005,
    0x4c00ffff,0x05ffffff,0xffff1000,0x32001dff,0x7400dfff,0x99abefff,
    0xffffe999,0x3fe600ff,0x4c06ffff,0x05ffffff,0x2ffffd98,0xfffff880,
    0xcaaaaacf,0xf307ffff,0x559fffff,0xffff9755,0x7fffdc0b,0xfecaabff,
    0x88004fff,0xfee800fe,0x000fffff,0x3ffffbe2,0xfffd004f,0x400005ff,
    0x03fffffd,0x4013ff20,0x7d402fff,0x803fffff,0x03fffffd,0x2fffffe8,
    0x3ffff6a0,0xffb002ff,0xfb805fff,0x3fff607f,0x3f6202ff,0x7fffc05f,
    0xffff707f,0x7fe4003d,0xffdcd800,0x32003fff,0x4fffffbe,0xfffffb00,
    0x7e400003,0x3003ffff,0x7fc005ff,0x7fffc401,0xffb006ff,0xfb005fff,
    0xd303ffff,0xffffffbd,0x3fff2005,0x7e8802ff,0x3fffff60,0x405fb802,
    0x207fffff,0x02fffffb,0x800fffb8,0xfffffacd,0x3eefe007,0xb004ffff,
    0x003fffff,0x7fffe400,0x0efa802f,0x200be200,0x1ffffffc,0xfffff900,
    0xffffb005,0xffa8203f,0xf9002fff,0x2005ffff,0x3fff607a,0x0bd002ff,
    0x07fffff8,0x07ffffec,0x01ffff90,0x3fffa9b0,0x8fa802ff,0x04fffffb,
    0x3fffffb0,0x7fe40000,0x7dc02fff,0x03cc000d,0x7fffffcc,0x3fff2004,
    0xffd802ff,0xf8801fff,0x9002ffff,0x005fffff,0xffffb03c,0x5a81105f,
    0x3fffffc0,0x3ffffe60,0xfffffb06,0x9b015557,0x1bffffee,0x7ffdd7a0,
    0xffb004ff,0x00003fff,0x17ffffe4,0x20007fb0,0xfffe8049,0x32000fff,
    0x802fffff,0x01fffffd,0x05fffff0,0x3fffff20,0x20683502,0x82fffffd,
    0x3e02c42b,0xe807ffff,0x222fffff,0xfffffffd,0x14d81fff,0x03ffffff,
    0xfffb8fcc,0xffb004ff,0x00003fff,0x17ffffe4,0x00017f44,0xfffb8011,
    0x64002fff,0x802fffff,0x01fffffd,0x05fffff0,0x3fffff20,0x6c003b02,
    0xd82fffff,0x7ffc0182,0xffb807ff,0x33225fff,0xcccfffff,0x3f24d80c,
    0x3204ffff,0x3ffffee6,0xffffb004,0x6400003f,0x4c2fffff,0x000000ef,
    0x7fffffc4,0xfffc8005,0xffd802ff,0xff001fff,0x32005fff,0xf02fffff,
    0x7ffec003,0x002f82ff,0x07fffff8,0xffffff98,0x0fffff81,0x3fe64d80,
    0xf880ffff,0x3ffffee2,0xffffb004,0x6400003f,0x2e2fffff,0x000000ff,
    0xffffffd8,0xfffc8001,0xffd802ff,0xff001fff,0x32005fff,0xb82fffff,
    0x3ff6001f,0x17dc2fff,0x7ffffc00,0xffff8807,0xffff82ff,0x6c4d800f,
    0xb83fffff,0x7ffffdc7,0xffffb004,0x6400003f,0xfb2fffff,0x000009ff,
    0xffffffa8,0xfff90004,0xffb005ff,0x3e003fff,0x9002ffff,0xb85fffff,
    0x3f6001ff,0x3e62ffff,0xfff8002f,0xff8807ff,0xff83ffff,0x4d800fff,
    0x3fffffd4,0x3ffee274,0xffb004ff,0x00003fff,0x5fffffe4,0x02fffffe,
    0x3ffa0000,0x20006fff,0xeefffffc,0xfeeeeeee,0x001fffff,0x005fffff,
    0x33fffff2,0x01fffeca,0x3fffff60,0x02fffdcc,0x7fffff80,0xffffff00,
    0x1fffff09,0xffd09b00,0x07cc5fff,0x13ffffee,0x7ffffec0,0x3f200001,
    0xffffffff,0x0001ffff,0xfffffc80,0x3f20002f,0xffffffff,0xffffffff,
    0xff001fff,0x32005fff,0xffffffff,0x2001ffff,0xfffffffd,0x8002ffff,
    0x007fffff,0x0bfffffd,0x001fffff,0xffff709b,0x7dc2ecdf,0xb004ffff,
    0x003fffff,0x7fffe400,0xfffffadf,0x200000ef,0x5ffffff9,0x7ffe4000,
    0xffd802ff,0xff001fff,0x32005fff,0xb8afffff,0x2001fffd,0x8afffffd,
    0x8002ffea,0x007fffff,0x09ffffff,0x001fffff,0xffff109b,0x705f13ff,
    0x009fffff,0x07fffff6,0xfffc8000,0xffff72ff,0x40000bff,0x0ffffffe,
    0x7ffe4000,0xffd802ff,0xff001fff,0x32005fff,0x442fffff,0x3f6001ff,
    0x3a22ffff,0xfff8002f,0xff8807ff,0xff83ffff,0x4d800fff,0x9fffff90,
    0x3ffee0d7,0xffb004ff,0x00003fff,0x17ffffe4,0x9ffffffb,0xfff70000,
    0x00007fff,0x05fffff9,0x3fffffb0,0x3ffffe00,0xffff9002,0x003f505f,
    0x17ffffec,0x3e000be6,0x8807ffff,0x81ffffff,0x800fffff,0xffff304d,
    0x3ee07fff,0xb004ffff,0x003fffff,0x3fff2090,0x3ffa22ff,0x0002ffff,
    0x3fffffe2,0x64126006,0x802fffff,0x01fffffd,0x05fffff0,0x3fffff20,
    0x6c003d02,0xf82fffff,0xffff8002,0xfff9807f,0xfff80fff,0x04d800ff,
    0x3ffffff6,0xfffff700,0x3fff6009,0x34c001ff,0x2fffffc8,0x7fffffc4,
    0xffb0001f,0x4003ffff,0xffff903c,0xfffb005f,0x3fe003ff,0xf9002fff,
    0x3605ffff,0x3fff6001,0x302d82ff,0x3ffffe07,0xffffa807,0xfffff06f,
    0x5409b001,0x204fffff,0x04fffffb,0x3fffffb0,0xf905c800,0xf505ffff,
    0x01dfffff,0xfffff980,0x8174004f,0x02fffffc,0x1fffffd8,0x5fffff00,
    0x3ffff200,0x4003502f,0x82fffffd,0x3e05b01a,0xd807ffff,0xf01fffff,
    0xb001ffff,0xffffe809,0x3fffee01,0xfffb004f,0x7c4003ff,0xfffff904,
    0x3ffff205,0x7f4005ff,0x000effff,0x7fe407ee,0xfd802fff,0xf001ffff,
    0x2005ffff,0x02fffffc,0xffffb000,0x0fc4005f,0x07fffff8,0x2fffffc4,
    0x43fffff0,0x5c05d80a,0x7dc06fff,0xb004ffff,0x003fffff,0xffc81fe4,
    0x3f602fff,0x004fffff,0x5ffffff7,0x807fcc00,0x02fffffc,0x1fffffd8,
    0x5fffff00,0x3ffff200,0xfb00002f,0x4005ffff,0xffff00fd,0xfffc80ff,
    0x3ff200ff,0x360953ff,0x17ffc405,0x3ffffee0,0xffffb004,0x3fee005f,
    0xfffff902,0x7fffc407,0x7c403fff,0x005fffff,0xfd81ffee,0xd802ffff,
    0x801fffff,0x02fffff8,0x7fffff90,0x3ff60000,0xfb002fff,0x7ffffc0f,
    0xffff300f,0xffe8803f,0x3be06fff,0x403fe400,0x04fffffc,0x7fffffd0,
    0x03fff900,0x0ffffff6,0xffffff70,0x7ffec05f,0xe9800fff,0x3f607fff,
    0xe803ffff,0x802fffff,0x03fffff9,0x7fffffb0,0x3ffa0000,0x75404fff,
    0x3ffe06ff,0xffa81fff,0x93000dff,0x32019dff,0x3e200cff,0x7fffc403,
    0x7d401fff,0xbcffffff,0xfffdcaaa,0xfff980ff,0x2a00efff,0xffffffff,
    0x7fffd40c,0xaaaaadff,0xffffdcba,0xffff306f,0x7d401dff,0x806fffff,
    0x0ffffffd,0x7ffffcc0,0x4c0000ef,0xcfffffff,0xffedcaab,0xfff705ff,
    0xd977dfff,0x0007bfff,0xfffd8804,0x1b01efff,0x3ffffb20,0x24efffff,
    0xfffffed8,0xffffffff,0x0fffffff,0xfffffd91,0x445dffff,0xfffffffe,
    0xff15ffff,0xffffffff,0xffffffff,0x644bffff,0xfffffffe,0xfdb14eff,
    0xffffffff,0x3ffb627b,0xefffffff,0x3fffb225,0x4effffff,0x3ffb2200,
    0xffffffff,0xffffffff,0x3fff664f,0xffffffff,0x0000adee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333300,0x00033333,0x00ddd440,0x99999998,0x00019999,
    0x00013000,0x03326000,0x40016dc4,0x2aa004c9,0x2a0aaaaa,0x882aaaaa,
    0x372602db,0x0c4390bd,0x00000000,0xd9510140,0xec80039b,0xffffffff,
    0x01cdefff,0x7ffffe40,0x3fb2205f,0xffffffff,0x03dfffff,0x001f4000,
    0x7ff44000,0x4ffff880,0x003fd400,0x3ffffff7,0x3fffffe4,0x6427fffc,
    0xffffdeff,0x000bbe61,0x71000000,0x37fee0fd,0x8005fffd,0xbffffff8,
    0xdffffeca,0x7fff4401,0x805fffff,0xbffffff9,0xfffffdba,0xf980000e,
    0xd8000006,0xffb80fff,0x2a000fff,0x7fc4007f,0x7fd41fff,0x7ffd47ff,
    0x93fee0ff,0x3e62ffc8,0x0001cfff,0x3f660000,0x3ffc87ff,0x0017fffa,
    0x07fffff2,0x03fffff9,0x7fffffec,0xe805ffff,0x4c0fffff,0x01ffffff,
    0x017fec00,0xfff70000,0xffff901f,0x3fd4003f,0x7ffffc00,0x3ffffcc1,
    0x47fffff2,0xfc82fff8,0x7fffed42,0x0000002d,0x9ffffd71,0x5c7ffc83,
    0x4001ffff,0x81fffffc,0x80fffffe,0xfffefffb,0x401fffff,0x80fffffd,
    0x07fffff8,0x1bffe200,0x7fcc0000,0xff980fff,0x7d4006ff,0xffff8007,
    0x7fffcc1f,0x37fffcc7,0xf01dfff5,0x3fff2205,0x00000cff,0xeffffc98,
    0x4fff980b,0x017fffcc,0x3fffff20,0xfffffa81,0x7d41ee83,0x404fffff,
    0x00fffffd,0x03fffffd,0x3ffff200,0xfe800001,0xf900ffff,0xfa8003df,
    0xffff8007,0x7fffc41f,0x22effc87,0x41effffa,0xffea803b,0x80002dff,
    0x2dffffda,0x427ffec0,0x4000fffe,0x81fffffc,0x45fffff9,0xfff500e9,
    0xffd80dff,0xff900fff,0x10009fff,0x00bfffff,0xffffc800,0x000400ff,
    0xf8007fa8,0x7c41ffff,0x20607fff,0x3ffffff8,0xff930004,0x40017fff,
    0xcfffffb8,0xffff8800,0x002dc883,0x1fffffc8,0x7fffff88,0x3ffe004c,
    0x7fec05ff,0xff700fff,0x7000bfff,0x01ffffff,0x3ebea000,0x0000ffff,
    0x000ff500,0x883fffff,0x8007ffff,0xdffffffd,0x3ae20000,0x201dffff,
    0x2effffd9,0x7fffcc00,0xfc800004,0xf981ffff,0x8006ffff,0x402ffffc,
    0x00fffffd,0x03fffffb,0xffffff00,0xf100009f,0x03ffffe9,0x3fd40000,
    0x7ffffc00,0x3ffffc41,0x7fffd400,0x0001ffff,0xeffffd98,0x3ffffae3,
    0xff50001c,0x00000bff,0x03fffff9,0x0bfffff5,0x1ffff500,0xfffffd80,
    0xdfffff00,0xff5f5000,0x0000ffff,0x7ffffcdd,0xeee98000,0xffeeeeee,
    0xeeeeeeee,0x0fffffc5,0x01ffffe2,0x7ffffdc0,0x00000fff,0x26fffff3,
    0x000effff,0x37fffdc0,0x7fe40000,0xffc81fff,0xb8001fff,0xfd806fff,
    0xfd80ffff,0x8002ffff,0xfffffd4e,0x0fe40007,0x001fffff,0xffffff30,
    0xffffffff,0xf8ffffff,0x7c41ffff,0x20007fff,0xfffffffa,0x7ecc0005,
    0xf912efff,0x0019ffff,0x1ffffea0,0x3ff20000,0x7fc41fff,0x90005fff,
    0xfb009fff,0x6cc1ffff,0x000dffff,0xfff71f98,0x2a000dff,0x7ffffc3f,
    0xccc88000,0xffdccccc,0xcccccccc,0x0fffffc4,0x01ffffe2,0xffffd100,
    0xd71000ff,0x2039ffff,0xdffffeb8,0x7ffcc002,0x400001ff,0x21fffffc,
    0x04fffffa,0x01bffe00,0x77ffffec,0x0cfffffe,0xff176000,0x8005ffff,
    0xffff85f8,0x0077100f,0x2001fea0,0x441fffff,0x9507ffff,0xffc83983,
    0x93001fff,0x017dffff,0x7fffe4c0,0xff8800be,0x00006fff,0x77ffffe4,
    0x2dfffffe,0x3ffea000,0xffffb001,0xffffdb9f,0x880017df,0x7fffe42f,
    0x076c005f,0x407ffffc,0x003ffffa,0x74003fd4,0x7cc1ffff,0xffe87fff,
    0x2a03e64f,0x5401ffff,0x02dffffe,0x7ff5c400,0x7ec01dff,0x0603ffff,
    0xfffff900,0x0135999b,0x07ffb000,0x7ffffec0,0x7ffffd40,0x21b2003f,
    0x1ffffff8,0x3e03f700,0xfe80ffff,0x2001ffff,0xfd8007fa,0x3fa22fff,
    0x7fd47fff,0x0bf10fff,0x6441fffa,0x00cfffff,0xffd98000,0xf980beff,
    0xd81fffff,0x7ffe4003,0x000001ff,0xd800bff5,0x980fffff,0x03fffffe,
    0xffb03f88,0xf3009fff,0x7ffffc07,0x7ffffc40,0x1fea004f,0x3fffee00,
    0xffffd98d,0x7fffe47f,0xb05ff11f,0xffd98bff,0x00002eff,0xffff7100,
    0xfffd839f,0x4ecbefff,0xffffc800,0xd000001f,0xffb000bf,0x3e601fff,
    0x401fffff,0x3ffe607b,0x7fc00fff,0xfaaaaaaa,0x20abffff,0x05fffffd,
    0x4001fea0,0xdffffffe,0x22fffff9,0x226ffff9,0xff31dfff,0xcffff98d,
    0x00000001,0x21ffff6a,0xfffffffd,0xff90005f,0x00003fff,0x0001df90,
    0x01fffffb,0x27fffffc,0x33333be0,0xfffffccc,0x7fffc03f,0xffffffff,
    0x3662ffff,0x2005ffff,0xd10007fa,0x3e29ffff,0x365fffff,0x6efc2fff,
    0x40dfffff,0x0000bef9,0x32200000,0xffff707f,0x640007df,0x001fffff,
    0x0077d400,0x7fffec01,0x3fff600f,0x3bea06ff,0xeeeeeeee,0x407fffff,
    0xffffffff,0xffffffff,0x009f7082,0x20003fd4,0x220001a8,0x0ab98502,
    0x00000310,0x80500000,0x80000aa9,0x01fffffc,0x03be2000,0x3ff60688,
    0x3f200fff,0x3a06ffff,0xffffd004,0x7fffc05f,0xffffffff,0x3602ffff,
    0x1fea002f,0x00000000,0x00000000,0x00000000,0xfc800000,0x0001ffff,
    0x4401dd10,0x3fff605d,0x3ffa00ff,0x3f504fff,0x3fffee00,0x2aaaa06f,
    0xfffaaaaa,0xf100abff,0x02a8800d,0x00000000,0x00000000,0x00000000,
    0x3f200000,0x0001ffff,0xdddddfb0,0x409ffddd,0x00fffffd,0x5ffffff1,
    0xf8801ba0,0x002fffff,0x03ffffe0,0x00003f90,0x00000000,0x00000000,
    0x00000000,0xf9000000,0x0003ffff,0xffffff70,0x05ffffff,0x07ffffec,
    0x5fffffc8,0xc8007f50,0x006fffff,0x03ffffe0,0x0000fec4,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x002fffff,0x7ffffd40,0xffffffff,
    0x3ffffa01,0xffffc82f,0x07fd106f,0xfffffa80,0xfff0002f,0x3bd101ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe600,0x260005ff,
    0xffffffff,0x207fffff,0xfffffffa,0xfffffdbc,0xfffd302e,0x7ffd4001,
    0x8001ffff,0x980fffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0xfffdb000,0x7dffffff,0xffffe800,0xffffffff,0x7fff446f,0xffffffff,
    0x201cceef,0xeffffffc,0xffffb103,0x0dffffff,0x0fffff80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb9710000,
    0x2aaa6059,0x541aaaaa,0x2601aaaa,0x002cedca,0x01bdcb98,0x5555554c,
    0x5555512a,0x55543555,0x5555542a,0xaa98aaaa,0x2aa61aaa,0x32a0aaaa,
    0x2aa200bd,0xaaaaaaaa,0x5530aaaa,0x5cc15555,0xdb880acd,0x555300ad,
    0xcc981555,0x001c9801,0x2a0025c0,0x3fee000c,0xfa85ffbd,0x1dffffff,
    0x4177ff5c,0xffecefe9,0xff9000ef,0x209ffd9f,0xeffffffa,0xfffffb13,
    0x7ffdc39f,0x7ffffe44,0xffd98bff,0x3ffaa2df,0xffe8afff,0xff504fff,
    0xffddddff,0x3a61ffff,0xfb3fffff,0x5c1dffff,0x81ffffff,0x3fffffd9,
    0x80dfffd1,0x0000fff8,0x3a007ff3,0x2200dfff,0x3fee2ffd,0xfffff886,
    0x5c1be607,0x7ffec1ff,0x3ffa200e,0x8827ff45,0xd84fffff,0xf707ffff,
    0x3fffe605,0x00ffc46f,0xfd9fffff,0x03fffffb,0xff703df5,0xfff05fff,
    0xfd9dd9ff,0x37f6bfff,0x206ffffe,0xe8bffffe,0x200fffff,0x0002fffa,
    0xa801fffd,0x204fffff,0xfff87ffc,0xfffffb83,0xf305f300,0xfff985ff,
    0x3fff604f,0x827ffcc1,0x986ffffb,0xc81fffff,0x7fffd406,0xd00bea2f,
    0x5c9fffff,0xfa85ffff,0xfffff880,0xfffffb06,0x7ffffc4b,0x3fffa0ee,
    0xffffb02f,0xffffdfb7,0x00fff880,0x4ffffb80,0x7ffffe40,0x09fff307,
    0xf881fffb,0xd703ffff,0x31bfff20,0x260dffff,0xff80ffff,0xfff882ff,
    0x7ffc41ff,0x803e84ff,0xf16ffffe,0xffffd007,0x7ffff88b,0xfffb05a8,
    0x3ff603ff,0xfffd86ff,0x7ffdc0ef,0xffffb04f,0x0ffee1fd,0x545fd855,
    0x76ffc402,0x3fea00ff,0xfd80ffff,0xfffd83ff,0x6ffffc82,0x3ff607d0,
    0x3ffe20ff,0xffffd07f,0x417fffa0,0x544ffffd,0x4c7fffff,0xfff9800f,
    0xd005caff,0xf885ffff,0x82987fff,0x04fffff9,0x20fffff6,0xb84ffffc,
    0xf904ffff,0x8105ffff,0x5f51effc,0xc80fffa6,0x05ffa8ff,0x07ff7fe4,
    0x6417fffc,0xff884fff,0x07cc1fff,0x445fffa8,0xf887ffff,0xffd06fff,
    0x3ffea0ff,0x7ffdec7f,0x8016e1ff,0x0ffffffd,0x5ffffd00,0x0fffff88,
    0xfffffd00,0x7fffec01,0x4ffffc83,0x05ffffb8,0x00fffff9,0xbcbffff6,
    0x105ffff9,0x0ffec9ff,0x21fe2220,0xccdffff9,0x05fffecc,0xd8bffffb,
    0x2615c404,0xa87ffffd,0xfd06ffff,0x3fe03fff,0x91f12fff,0x1749ffff,
    0xfffff300,0x7fff4009,0xfffff82f,0xffffb800,0x7ffec02f,0xffffc83f,
    0x5ffffb84,0x0dffff90,0x3ffffa60,0xeffffced,0x441ffb01,0xbf5006ff,
    0xddffff50,0xbddddddd,0x3ffffe60,0x98003f10,0x7ffffdfd,0x06ffffb8,
    0x205ffffd,0xb75ffffc,0x4dffffe6,0xfffc8007,0xffd000ff,0xffff05ff,
    0xfff8801f,0xffd806ff,0xfffc83ff,0xffffb84f,0xbffff905,0xb9999800,
    0x200999be,0xffc83ff9,0xb81fd802,0x0004ffff,0xba7ffff4,0x3ff62005,
    0x87ffff8a,0xd06ffffc,0x2609ffff,0x2e8fffff,0x32bffffa,0xfff88005,
    0xffd004ff,0xffff05ff,0xfffd801f,0xffd801ff,0xfffc83ff,0xffffb84f,
    0x7ffff905,0x7c7dc000,0x20dfd002,0x7cc07ff8,0xbffff504,0xfffa8000,
    0x7002e8ff,0x3fe23fff,0xfffb87ff,0xffffd06f,0x7ffff407,0x7fffe47d,
    0xf90002fd,0xd001ffff,0xff05ffff,0x7cc01fff,0xb004ffff,0xf907ffff,
    0xff709fff,0x3ff20bff,0xe98003ff,0x401bf94f,0x3ee02ffb,0x409f503f,
    0x007ffff9,0xdfffff80,0x5fffb006,0x43ffffc4,0xd06ffffa,0x5c05ffff,
    0x444fffff,0x007fffff,0x3fffff60,0xffffe804,0x0fffff82,0x3fffffa0,
    0xffffb000,0x9ffff907,0x0bffff70,0x00fffff2,0x2a5fff30,0xff881fff,
    0x40ffe805,0x7fc403ec,0x40002fff,0x03fffffc,0x447fffb8,0xf887ffff,
    0xfff06fff,0x7fc401ff,0xffe81fff,0xd70004ff,0x03fffff7,0x82ffffe8,
    0x700fffff,0x205fffff,0x3ffffd84,0x84ffffc8,0x905ffffb,0x8007ffff,
    0x3fe27ffc,0x01ffc84f,0x0144ff98,0x0dffffd0,0x3fe202cc,0xff800fff,
    0x7ffc46ff,0xffffb07f,0x017fffe0,0x5c1bfff6,0x8001ffff,0xffffd1f8,
    0xffffe80b,0x0fffff82,0x6fffff88,0xfffb0d10,0xffff907f,0xbffff709,
    0x0fffff20,0xd89ff700,0x03cc83ff,0x000332e0,0x27ffffd4,0x7ec00fc4,
    0xff9804ff,0xffb33fff,0x3fe60fff,0x7ffc40ff,0xfffa801f,0x0dfff104,
    0xffa93a00,0x3fa02fff,0x7fc42fff,0xffd80fff,0x0bb01fff,0x907ffffb,
    0xf709ffff,0x3f60bfff,0xa8003fff,0x0002b882,0xfe800000,0xcabeffff,
    0xfff3004f,0x3fffe003,0xfffdffff,0x7e40caff,0x7ffdc3ff,0x07ffe004,
    0x8004ffd8,0x7fffc0fc,0x3fffa06f,0x7fffc42f,0x7fffcc0f,0xb0bf904f,
    0xfb09ffff,0xff909fff,0x3ff60dff,0x000003ff,0x00000000,0xfffffd10,
    0xe8009fff,0x3ff2006f,0xff92ffff,0x3f207fff,0x9fff11ef,0x406fc800,
    0x22001ffa,0xfffd87fd,0xfff985ff,0x7ffdc5ff,0x7fff43ff,0xfcaa99ff,
    0x7ffc44ff,0x3fa20eff,0x3a20efff,0x440fffff,0x005fffff,0x00000000,
    0x7fec0000,0x8003dfff,0x322002fa,0x3620ceff,0x7d403eff,0x02effeff,
    0xf803f980,0xfffd1006,0xfffd37df,0x323fffff,0x6fffffff,0xfffffffb,
    0x3ffffeed,0xffffffff,0x3fffee3f,0xffa9ffff,0x9affffff,0xffffffff,
    0xffffff73,0x000007df,0x00000000,0x0002b980,0x00200048,0x57510002,
    0x00c80001,0x000002a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10195000,0x0ee20177,0xddddddd3,0xdddddddd,
    0x910ddddd,0x5ffffb05,0x04000100,0x99999999,0x26662599,0x99999999,
    0x99999999,0x00000000,0x00000000,0x00000000,0x00000000,0x8bfff600,
    0x440ffff8,0xff30ffff,0xffffffff,0xffffffff,0xffffb8ff,0x02ffff40,
    0x037dfff9,0xffff96a0,0x35ffffff,0xffffffff,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x3fee6fff,0x7ffe43ff,
    0x9999913f,0x99999999,0x89999999,0x443ffffe,0xfd80fffe,0x2effffff,
    0xffff2740,0x2bffffff,0xfffffff9,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x7fe4ffff,0x7ffec4ff,0x8000004f,
    0x85fffff9,0x7d42ffe8,0xffffdcdf,0x3ee21cff,0x3fffffe2,0x2665ffff,
    0x99999999,0x99999999,0x00000001,0x00000000,0x00000000,0x00000000,
    0x3fffe600,0x0ffffee6,0x005ffff9,0x3ffa0000,0xbfd102ff,0x75c40ee8,
    0xfeefffff,0x4ccccc6f,0x00099999,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff80000,0x3fffea4f,0x07fffd41,0xfa800000,0x3fc405ff,
    0xffb300be,0x003dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf117ffec,0xfff10fff,0x6666644f,0xcccccccc,0x04cccccc,
    0x42e20015,0x32a20058,0x00000bdd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c000000,0x7ff40fff,0x4cbffd06,0xffffffff,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f21bfe6,0x47ff903f,0xeeeeeee9,0xeeeeeeee,0x0006eeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7cc27fc0,0x03ff501f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f817ec0,0x0001fe20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0xd017601f,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20388000,0x000d402a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_42_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,2,1,0, };
static signed short stb__times_bold_42_usascii_y[95]={ 33,7,7,7,7,7,7,7,7,7,7,10,27,22,
27,7,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,38,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19, };
static unsigned short stb__times_bold_42_usascii_w[95]={ 0,7,15,19,17,34,29,7,12,12,15,21,8,12,
7,11,17,15,18,17,18,17,17,18,17,17,7,8,21,22,21,15,34,27,24,25,26,24,23,29,29,14,19,30,
24,36,27,28,23,28,28,19,23,27,28,38,28,27,25,9,11,8,18,21,9,18,20,15,20,15,15,18,20,11,
12,21,11,30,19,17,20,20,16,13,13,19,19,28,19,19,17,11,4,11,21, };
static unsigned short stb__times_bold_42_usascii_h[95]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,35,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,33,26,27,26,27,27,27,26,26,26,33,27,33,14,4,7,19,27,19,27,19,26,27,26,26,
35,26,26,18,18,19,27,27,18,19,25,19,19,19,18,27,18,34,35,34,7, };
static unsigned short stb__times_bold_42_usascii_s[95]={ 254,246,9,109,152,170,59,1,78,91,209,
125,244,88,48,107,196,150,25,183,97,214,1,40,89,119,167,116,211,25,189,
93,14,69,44,157,215,190,166,51,120,240,129,63,38,1,149,22,1,123,150,
137,126,201,1,30,69,98,94,113,81,104,225,101,56,37,19,233,232,1,179,
177,195,216,1,229,228,161,123,56,1,225,192,175,242,147,17,74,103,205,143,
66,49,54,66, };
static unsigned short stb__times_bold_42_usascii_t[95]={ 1,1,195,37,1,1,65,195,1,1,175,
148,175,195,195,65,37,121,148,65,148,37,65,65,65,65,148,148,148,195,148,
37,1,148,148,65,121,121,121,37,121,93,37,121,121,121,37,37,148,1,93,
65,93,65,93,93,93,93,121,1,37,1,175,195,195,175,65,148,37,175,93,
37,93,93,1,65,93,175,175,175,37,1,175,148,121,148,175,175,175,1,175,
1,1,1,195, };
static unsigned short stb__times_bold_42_usascii_a[95]={ 152,202,337,303,303,607,505,169,
202,202,303,346,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,202,202,346,346,346,303,564,438,405,438,438,405,371,472,
472,236,303,472,405,573,438,472,371,472,438,337,405,438,438,607,
438,438,405,202,169,202,353,303,202,303,337,269,337,269,202,303,
337,169,202,337,169,505,337,303,337,337,269,236,202,337,303,438,
303,303,269,239,134,239,316, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_42_usascii(stb_fontchar font[STB_FONT_times_bold_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_42_usascii_s[i] + stb__times_bold_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_42_usascii_t[i] + stb__times_bold_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_42_usascii_x[i];
            font[i].y0 = stb__times_bold_42_usascii_y[i];
            font[i].x1 = stb__times_bold_42_usascii_x[i] + stb__times_bold_42_usascii_w[i];
            font[i].y1 = stb__times_bold_42_usascii_y[i] + stb__times_bold_42_usascii_h[i];
            font[i].advance_int = (stb__times_bold_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_42_usascii_s[i] + stb__times_bold_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_42_usascii_t[i] + stb__times_bold_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_42_usascii_x[i] + stb__times_bold_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_42_usascii_y[i] + stb__times_bold_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_42_usascii_LINE_SPACING
#endif

