// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT        276
#define STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_49_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_49_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_49_usascii_LINE_SPACING          32

static unsigned int stb__times_bold_49_usascii_pixels[]={
    0x01ceb880,0x372aa000,0x0acdeefe,0x64000000,0xb91001ff,0x3910007d,
    0x26666662,0x26666219,0x00aa1999,0x97310000,0x00359bfd,0x20000000,
    0x01bdfeca,0x04ff9800,0x005f64c0,0x40017d93,0x001ffffe,0x3bfff260,
    0xffdcabcd,0xef8002df,0xffc800ab,0x7ffe4401,0x27dc000b,0xfffffb95,
    0x3fffea1f,0xdd10cdef,0xfb800005,0xffdeffff,0x0001efff,0x10007f20,
    0xffd39ffb,0xffe80007,0x3ffea000,0xfff980ff,0xfff3006f,0xd70009ff,
    0x22005bff,0x2000efd9,0x402fffb9,0x3e201ffc,0xea8004ff,0x3ffe203f,
    0xffff50ff,0x37f6201d,0x7ec40000,0x64c1beff,0x0003ffff,0xdfffd951,
    0x7f440179,0x9fff50ff,0x0bff2000,0xfffffb00,0xfffff907,0xffff7005,
    0x7f4400df,0x2a0000cf,0x744002ff,0x3ff203ff,0x0fffd101,0x005ff500,
    0x2a1ffffb,0xc803ffff,0xf70000ff,0xa803ffff,0x001effff,0x3f73ffee,
    0x81dffffd,0x3e25fffc,0x4c001fff,0x7c4005ff,0xe86fffff,0x804fffff,
    0x03fffff8,0x001dff50,0x00ff6200,0x209fff70,0xff901ffc,0xff98009f,
    0xffffb004,0x0ffffea1,0x00077f40,0x0bfffffa,0x7ffffe40,0x27fec403,
    0x3ffea3f9,0x3fffe64f,0x037fffc4,0x0003ffa0,0xdffffff1,0x3fffff70,
    0x3bfff200,0x04ffc800,0x03f70000,0x07fffc40,0xfe80ffe4,0x3e6002ff,
    0xffb000ff,0x3ffea1ff,0xbff5003f,0x7fffe400,0x7fec003f,0x3f601fff,
    0xf30fe45f,0x7ffdc9ff,0x7ffff43f,0x05ff9001,0x3ffffe00,0xfffe885f,
    0x015c4005,0x0002ffc8,0x0007f400,0xf907fffd,0xffff303f,0x3ffe2007,
    0x3fff2005,0x7ffff50f,0x02fff400,0x3fffffcc,0x7fffd400,0x7fff706f,
    0x7fcc1fc8,0x0fffff64,0x005ffffd,0x4000bff3,0x04fffffe,0x0000072a,
    0x0005ff50,0x009f3000,0x642ffffc,0xfff981ff,0xfffd005f,0x7ffe4003,
    0x7ffff50f,0x1fffdc00,0x3fffffa0,0xffff0005,0xfffd07ff,0xfb81fc87,
    0x0fffffa4,0x007ffffd,0x40001ffd,0x02fffffd,0x44000000,0x000005ff,
    0x22003ee0,0xfc85ffff,0xffff881f,0x6fff9806,0x7fffe400,0x07ffff50,
    0x03fffc40,0x5ffffff9,0x3fff6000,0x3fe21fff,0x40fe46ff,0x3fffa4f8,
    0x7ffff43f,0x017fdc03,0x3fffee00,0x3100000f,0x01333333,0x98003bfa,
    0x09880bdb,0xff5007d0,0x3ff909ff,0x01ffffe0,0x000ffff6,0x2a1ffff9,
    0x4003ffff,0xf883fffd,0x00ffffff,0xfffff700,0x7fffccbf,0x6407f23f,
    0x0fffff64,0x405ffffd,0x80005ff9,0x4c7ffff9,0x09999999,0x3ffffee0,
    0x1ffb85ff,0x3bffee00,0x07ffff96,0x3fee01b2,0x1ffc83ff,0x01ffffb0,
    0x017fffcc,0x43ffff20,0x003ffffa,0x5437ffe4,0x06ffffff,0x3fffe600,
    0x3ffe27ff,0x03f94fff,0xffffb862,0x07ffffc3,0x0001ffd0,0xd17fffe0,
    0x5fffffff,0xfffffb00,0x2009fd0b,0x3d0dffd8,0x203fffff,0xfffc807b,
    0x01ffc81f,0x403ffff9,0x000ffffd,0xa87fffe4,0x4003ffff,0x642ffffb,
    0x06ffffff,0x3fffe600,0x3ffe0fff,0x1fdeffff,0x9ffff300,0x205ffff8,
    0x00002ffb,0x260ffffa,0x02ffffff,0x5fffffb8,0x4400ffcc,0x3ae0fffe,
    0x2607ffff,0x7ffec00f,0x01ffc80f,0x205ffff7,0x007ffff8,0x50ffffc8,
    0x8007ffff,0x6c6ffff9,0x05ffffff,0x3fffe200,0x3ff22fff,0x1fffffff,
    0x97fff200,0x300ffff8,0x80000bff,0xfb01fffc,0x3005ffff,0xc8bfffff,
    0xfffd006f,0xfffffa85,0xd007e204,0x3f20ffff,0xffff301f,0x3fffea01,
    0xfffc8006,0x7ffff50f,0xffff8800,0x3ffffe0f,0x220005ff,0x3fffffff,
    0x7ffffff4,0x3a001eff,0xfff70fff,0x007ff407,0x1ffea000,0x2fffffd8,
    0xfffff980,0x200ffe25,0xfa86fffc,0x7402ffff,0x37ffe402,0xf501ffc8,
    0x7fe40bff,0xfc8005ff,0xfff50fff,0xfff0007f,0x3ffe23ff,0x0004ffff,
    0x7ffffffc,0x7ffffcc5,0x003fffff,0x3fef7ff2,0x0bfee01e,0x3fe20000,
    0x3ffff205,0xfff9802f,0x03fea5ff,0x05ffff50,0x01fffff9,0x7fd401e8,
    0x03ff906f,0xd80bfff2,0x8005ffff,0xf50ffffc,0xf0007fff,0x3e65ffff,
    0x03ffffff,0x7ffffc00,0xffe886ff,0xefffffff,0x79951000,0x05ff9803,
    0x2001aa98,0x3ff204fe,0xf9802fff,0x3ee5ffff,0x7fffc406,0xdffffb07,
    0xfd003f00,0x3ff901ff,0xd00fffe0,0x000bffff,0x2a1ffff9,0x8003ffff,
    0xf14fffff,0x09ffffff,0xfffff800,0xffb104ff,0xffffffff,0x3a000003,
    0x3ff200ff,0xd802ffed,0x3fff203f,0xff9802ff,0x17f25fff,0x09ffff70,
    0x00fffffe,0xfd1001f1,0x83ff907f,0xf803ffd8,0x8005ffff,0xf50ffffc,
    0xd0007fff,0x7fcbffff,0x005fffff,0x3ffffe20,0x7fd403ff,0xffffffff,
    0x7dc00002,0xdffd102f,0x9017ffe2,0x7ffe403f,0xff9802ff,0x13f65fff,
    0x05ffffd0,0x03fffff3,0x3a200798,0x8ffe42ef,0x801cffc8,0x04fffff8,
    0x0ffffc80,0x007ffff5,0x4dffffd0,0x6ffffffd,0x3ffe2000,0x8802ffff,
    0xfffffffd,0x300000ff,0x7fec0bff,0x13fff22f,0x3f200fa8,0x9802ffff,
    0x3a5fffff,0x3ffea03f,0xffffb07f,0x000b700f,0x3f25dfd7,0x001df71f,
    0x27ffffc4,0x7fffe400,0x07ffff50,0xfffffd00,0x7fffffe4,0x3fe60007,
    0x001fffff,0x3ffffff6,0xd00005ff,0x3fea01ff,0x3ffea1ff,0xc80f301f,
    0x802fffff,0x25fffff9,0x3ff602ff,0xfff884ff,0x02e804ff,0x7e5fee00,
    0x3bff911f,0xfffff100,0xfff90009,0x3fffea1f,0xfffe8003,0x3fffee6f,
    0x2a0007ff,0x07ffffff,0x7ffffe40,0x0001ffff,0xfd017fdc,0x7fd41fff,
    0x900a05ff,0x005fffff,0x4bfffff3,0x3ffe01ff,0xfffc83ff,0x03cc02ff,
    0x977f5c40,0x7e441ffc,0xffff804f,0xffc8004f,0xffff50ff,0xfffd0007,
    0xffffe8bf,0xf70000ff,0x007fffff,0xfffe9fc8,0x20003fff,0x7fc05ff9,
    0x3fe60fff,0x320006ff,0x802fffff,0x25fffff9,0xfff103fe,0xfff885ff,
    0x26c00fff,0x0bffa200,0x3fe03ff9,0x7fff403f,0xffc8005f,0xffff50ff,
    0xffff0007,0xffffa89f,0xfb0003ff,0x000dffff,0xfffb13f9,0x740009ff,
    0x3fe600ff,0x3fe60fff,0x320007ff,0x802fffff,0x25fffff9,0xfff304fd,
    0xffee81ff,0x075405ff,0x07ffd100,0x3f203ff9,0x3ff202ff,0xfc8005ff,
    0xfff50fff,0xfff0007f,0xfffd07ff,0xf3000dff,0xb05fffff,0xfd0fe403,
    0x20009fff,0x7cc02ffb,0x3e60ffff,0x2880ffff,0x7ffffe40,0xffff9802,
    0x5417f25f,0x361fffff,0x04ffffcd,0xfd0007e2,0x3ff901ff,0x81bffe60,
    0x005ffffb,0x50ffffc8,0x0007ffff,0x503fffff,0x03ffffff,0xfffffc80,
    0x7e409b06,0x0fffff21,0x017fe600,0x83ffffe2,0xc87ffff9,0xff903fff,
    0xf3005fff,0x7d4bffff,0xfffff707,0xffd1f919,0x13a205ff,0x0dfff300,
    0x7d407ff2,0xff500fff,0xf9000dff,0x3fea1fff,0x7c4003ff,0xf700ffff,
    0x400bffff,0x1efffff8,0x0fe40fb0,0x003ffff3,0x2001ffd0,0x260fffff,
    0x7dc6ffff,0xfc81ffff,0x9802ffff,0x225fffff,0xfffa80ff,0xfd2fffff,
    0xbd103fff,0x7fdc0910,0x03ff906f,0x40bfffee,0x007ffff8,0x50ffffc8,
    0x8007ffff,0x406ffff9,0x01fffffa,0x1dffff90,0xfc817ec0,0x01fffea1,
    0x800bfee0,0x2a1ffffd,0x7f44ffff,0xfd84ffff,0x9802ffff,0x745fffff,
    0xffff881f,0x3fea3fff,0x81fdc2ff,0x3fff604d,0x203ff907,0x201ffffc,
    0x001ffffc,0xa87fffe4,0x4003ffff,0x802ffffb,0x02fffff9,0x06ffffe4,
    0x3207ff60,0x0bfff61f,0x00bff100,0x22ffff98,0x740ffffb,0xe85fffff,
    0x803fffff,0x45fffff9,0xfff905fb,0xffff05ff,0x203bfbbf,0x3ff600f9,
    0x1ffc80ff,0x01ffffb0,0x017fffc4,0x43ffff20,0x003ffffa,0x0037ffe4,
    0x59ffffb3,0x3fffaa61,0xfffb004f,0xff31fc83,0xffd0009f,0xfff90001,
    0x417ffec9,0x42fffffb,0xeffffffa,0x7fffcc01,0x302fe85f,0x32203bdb,
    0x401cdefe,0x7ffe403e,0x01ffc81f,0x900fffff,0xc8009fff,0xff50ffff,
    0xfd8007ff,0xb88003ff,0xfffffffe,0x6c002dff,0xc9bdffff,0x03fffdaf,
    0x002ffb80,0x2a3ffee0,0xfd102fff,0x7ffc4bff,0x5fffffff,0x3ffffe60,
    0x000efa85,0x06a80000,0x82ffffb8,0xff881ffc,0xff9806ff,0x7fe4006f,
    0xffff50ff,0x7ffc4007,0xffa80007,0x002fffff,0xffffb510,0x1bffffff,
    0x0bff1000,0xfffb3000,0x173001bd,0x3e600000,0xfb05ffff,0x80000009,
    0xffa802f8,0x1ffc84ff,0x04ffff98,0x003fffb0,0xa87fffe4,0x2003ffff,
    0x0003fffb,0xffffffb0,0x2a60000b,0x000bfeca,0x0004cc40,0x00002200,
    0xff300000,0x3a209fff,0x0000001f,0x3e2007f3,0xffc85fff,0x3ffff981,
    0x09ffd100,0x87fffe40,0x003ffffa,0x00017ffe,0xffffff88,0xc800001f,
    0x0000001f,0x00000000,0x22198000,0x204fffff,0x00000ef9,0x2001fcc0,
    0xfc85ffff,0x5fffd01f,0x07ff4400,0x0ffffd80,0x007ffff5,0x00017fee,
    0x3ffffee0,0x400001ff,0x000001fc,0x00000000,0x7fe40000,0x0fffffe2,
    0x0007ff30,0x000bea00,0x320bfffa,0xfff901ff,0x5ff88009,0x1ffffb00,
    0x00ffffea,0x000077f4,0xfffffb80,0x000002ff,0x00000000,0x00000000,
    0xf2fffc40,0x1001ffff,0x00001bfd,0x2000bf26,0xc80ffff8,0xffd101ff,
    0x7ff3000f,0x1ffffd00,0x00ffffea,0x00003bf6,0xfffff500,0x04135dff,
    0x00000000,0x00000000,0xffe80000,0x00bfffa5,0x0007ff90,0x000efecc,
    0x903fffb8,0x7f4403ff,0xfe98003f,0x3fffe605,0xdffff50f,0x006ff440,
    0xfc880000,0xffffffff,0x000002ff,0x00000000,0x00000000,0x3fe6fff7,
    0xfb10005f,0x2201579d,0x000cfda9,0x813ffa60,0x6c401ffc,0x4000adff,
    0xfdd70dea,0x2a1fffff,0xceffffff,0x0003bd10,0x6e540000,0x09acdefe,
    0x00000000,0x00000000,0x3f600000,0x00cfffff,0x7fedc400,0xfffeddff,
    0x260000ce,0x6402effd,0x951001ff,0x02e0009d,0x05500000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x000abba8,0x77553000,0x40000135,
    0x95002cde,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x99999999,0x99999819,0xecb88009,
    0x80d981bc,0x19999999,0x00e6ed44,0x99753000,0x00001357,0xfdb75100,
    0x2e017bdd,0x0006fe83,0xceeedca8,0xdff0000b,0x8803ff40,0x99999999,
    0x10999999,0x33333333,0x4cc40033,0x00999999,0x3fffffee,0xffd85fff,
    0x36603fff,0x4ffedfff,0xfd103fee,0x23ffffff,0x4ffffffd,0x3ffaa000,
    0xffffdfff,0x200000df,0xffffffd8,0xbeffffee,0xff707f30,0x3faa0003,
    0xfffffecd,0x27fcc003,0x2a00dff0,0xffffffdc,0x33ceffff,0xffffffdb,
    0x32e009ff,0x4efffffe,0x7ffffd40,0x3fe202ff,0x3ffea01f,0x377fea0e,
    0xff300fff,0xffb5ffff,0x09ffffff,0xefffd880,0x7ffe541b,0xfa80003f,
    0x880bffff,0xffffffea,0x003ff883,0x7dc0ffb8,0x2005ffff,0xff303ffa,
    0xffd10009,0x805fffff,0xfffffffc,0x7fe4003f,0x3fea000f,0x6c02ffff,
    0x3ffea03f,0xffffd81f,0x3ffa00ff,0xb12eefff,0x003fffff,0x03ffffee,
    0x3dffff30,0xfffb1000,0x3ee001bf,0xfd03ffff,0x6ffa800d,0x7fffffb0,
    0x407ff200,0x70003ffa,0x0dffffff,0x3fffff20,0x7c001fff,0xffe8003f,
    0x3f404fff,0x0fffff10,0x3fffffe6,0x3ffff600,0xfffd82ff,0x7fec00ff,
    0xf5002fff,0x4007ffff,0x05fffffa,0x3ffff880,0x4001ff90,0xf981fffe,
    0x800fffff,0x3ff207fd,0xfff50001,0x2200bfff,0xffffffff,0x07f6000e,
    0x3fffea00,0x80fe207f,0x104ffffd,0x01ffffff,0x27ffffec,0x4fffffa8,
    0x3fffff20,0x7ffec003,0xff9801ff,0x0000efff,0x2607fff3,0xff1003ff,
    0xfff109ff,0xff005fff,0x003fec0d,0xffffff50,0x7fffc00b,0x005fffff,
    0x740003f2,0x502fffff,0x3ffe201f,0x3ffe02ff,0x3f600fff,0xf101ffff,
    0x260dffff,0x007fffff,0x6fffff98,0xfffffe80,0x7fcc0002,0x4017fe03,
    0xf06ffff9,0x807fffff,0x3fe04ff9,0x3fe60006,0x2005ffff,0xffffffdf,
    0x1f7004ff,0x3ffee000,0x40bb06ff,0x01fffffa,0x03fffffe,0x1fffffd8,
    0x3fffffe0,0xfffffe80,0xfffd0005,0x7fe407ff,0x00007fff,0x7fe407f9,
    0xdfffd000,0x3fffffe0,0x81ffd403,0x20004ff8,0x5ffffff9,0x3feefe00,
    0x02ffffff,0x220007b8,0x41ffffff,0x3ff202f8,0x3fe01fff,0x3600ffff,
    0x201fffff,0x41fffffe,0x2ffffffc,0xffffb000,0xfff303ff,0x00009fff,
    0xff980fe2,0x7fff7002,0x3fffffe0,0x80ffe400,0x20002ffa,0x5ffffff9,
    0x7fe4fe00,0x01ffffff,0x320003dc,0x5c5fffff,0x7fffec07,0x3fffe00f,
    0x3ff600ff,0x3f601fff,0x3e23ffff,0x00ffffff,0xfffff700,0xffffd0bf,
    0x400005ff,0x02ffc03d,0x3e201710,0x3226ffff,0xcffecccc,0xffeccccc,
    0x4c000ccd,0x05ffffff,0xfffe8fe0,0x200effff,0x7c40007b,0x3a0fffff,
    0x7ffffc04,0x7ffffc07,0x3fff600f,0x3ff601ff,0x3fea4fff,0x0006ffff,
    0x3fffffe6,0x7ffffcc7,0x200001ff,0x03fec018,0xffff5000,0x7fffc47f,
    0xffffffff,0xffffffff,0x7ffcc001,0x3e005fff,0x3ffffe23,0x1ee05fff,
    0x3fff6000,0x403f34ff,0x07fffff9,0x07fffffc,0x3fffffb0,0x7ffffec0,
    0x3fffff24,0x3e20006f,0x20ffffff,0xfffffffa,0x40000000,0x00002ffa,
    0x88bffffd,0xffffffff,0xffffffff,0x4001ffff,0x5ffffff9,0xff30fe00,
    0x09ffffff,0x260001ee,0xc8ffffff,0x7fffcc06,0x3ffe00ff,0x3f600fff,
    0x3601ffff,0x362fffff,0x05ffffff,0x3fffe200,0x3ff22fff,0x0007ffff,
    0x4ff88000,0xfff98000,0x7333305f,0x333337ff,0x0333bff5,0xfffff300,
    0x41fc00bf,0xfffffffa,0x0007b82f,0x7fffffd0,0xfff8807f,0x3fe00fff,
    0x3600ffff,0x201fffff,0x21fffffe,0x5fffffff,0x3ffe2000,0x3f63ffff,
    0x006fffff,0xffb00000,0xfffb0000,0x0ffe4007,0x0002ffa8,0x7fffffcc,
    0x640fe005,0xffffffff,0x80003dc0,0xfffffffb,0xfffff800,0x3fffe01f,
    0x3ff600ff,0x3fa01fff,0x3fe27fff,0x004fffff,0x7fffffc0,0x3ffffe5f,
    0x000005ff,0x003ff700,0x00f7fc40,0xfc81ffa0,0x7cc0001f,0x005fffff,
    0xfffd80fe,0x2e0effff,0x3fe00007,0xb005ffff,0x405fffff,0x00ffffff,
    0x07fffff6,0x26fffff8,0xfffffff9,0x7ffc0004,0xff15ffff,0x009fffff,
    0x3e200000,0x3f20004f,0x6ff8000d,0x0001ff60,0x3fffffe6,0x880fe005,
    0xfffffffe,0x80001ee5,0x02fffffc,0xbfffff50,0x7fffffc0,0x3ffff600,
    0xffff302f,0x7fffc49f,0x40004fff,0x4fffffff,0xfffffff1,0x00000009,
    0xf00037f4,0x3fe6000b,0x001bfe04,0x3ffffe60,0x00fe005f,0xfffffff3,
    0x0001ee7f,0x07ffff88,0x7fffff40,0xfffffc80,0x3fff600f,0xffc80eff,
    0x7ffc0fff,0x0005ffff,0x7ffffffc,0x3fffffe3,0x2666005f,0x99999999,
    0x3fee0199,0x01f98001,0x207ff500,0x80004ff8,0x5ffffff9,0x2a00fe00,
    0xffffffff,0x400007b9,0x4004fffd,0x2efffff9,0xffffffb1,0x7ffec01f,
    0x3ea0efff,0xfd83ffff,0x006fffff,0x3ffffe20,0x3fffa2ff,0x91005fff,
    0xfffffffb,0x4409dfff,0x798003ff,0x7ed55400,0xcaaaaacf,0x0aaaacff,
    0x7fffcc00,0x0fe005ff,0x7ffffe40,0x0007dfff,0x007ffcc0,0x7ffffcc0,
    0xfffaffff,0x3f600fff,0xefebffff,0x04fffffd,0xfffffff9,0x7ffc4000,
    0x3f60ffff,0x006fffff,0xffffff98,0xdfd001ff,0x400b5000,0xfffffff8,
    0xffffffff,0x001fffff,0x7fffffcc,0x800fe005,0xfffffffd,0xe800007f,
    0x3a60005f,0xf0efffff,0x401fffff,0x89fffffd,0x2dfffffd,0x3ffffea0,
    0x3ea0007f,0x547fffff,0x0fffffff,0xffffc800,0x3f2004ff,0x00c4000f,
    0xffffff10,0xffffffff,0x03ffffff,0xfffff980,0x00fe005f,0xfffffe88,
    0x800007ff,0x880002fa,0x7ffc0aca,0x3f600fff,0x2a21ffff,0x3ffa002c,
    0x0000ffff,0x7ffffff7,0xfffffff0,0xfff90003,0x4c009fff,0x000003ff,
    0xadffbaa8,0xeffbaaaa,0x220aaaaa,0xff981ceb,0x2004ffff,0x7fc4003f,
    0x007fffff,0x0006b800,0xfffff000,0x7ffec01f,0xa80001ff,0x02ffffff,
    0xfffffb00,0x3ffff20d,0xfb8003ff,0x003fffff,0x00002ffc,0x207ff500,
    0xfd804ff9,0x7fd40fff,0x2004ffff,0xffa8003f,0x0007ffff,0x00003e80,
    0xffffff00,0x7fffec01,0xfd00001f,0x000dffff,0x0bfffffe,0x6fffffe8,
    0xffffb800,0x7e4003ff,0x0062000f,0xb80ffe40,0x7fc402ff,0x7fd44fff,
    0x2003ffff,0xff70003f,0x3000ffff,0x00f98199,0xfff00000,0x7ec01fff,
    0x0001ffff,0xffffff30,0xfffb8003,0x7fc406ff,0x4002ffff,0x3ffffffb,
    0x017fcc00,0x0177fe44,0xfc81ffa0,0x7ffdc01f,0x7ffd45ff,0x3e002fff,
    0x3ff60003,0x7cc007ff,0x002ec6ff,0xffff0000,0x7fec01ff,0x00001fff,
    0x17fffff2,0xfffffd00,0xffff3003,0xffb800df,0x8003ffff,0xffc805ff,
    0x3e000fff,0x01ffa06f,0x0bffffe6,0x1ffffff5,0x0013e200,0x00ffffd0,
    0x10ffffc8,0x0000003f,0x07fffffc,0x5fffffb0,0xffc80000,0xf9001fff,
    0x4003ffff,0x05fffffa,0x3ffffee0,0x7fd8003f,0xffffff80,0x09ff3003,
    0xff8037fc,0xfffb85ff,0x3e6005ff,0x7fc40005,0x7fe4007f,0x005d8aff,
    0x7ffc0000,0x3fa00fff,0x0002ffff,0xfffffc80,0x7fffdc02,0xfd88001e,
    0xb800dfff,0x03ffffff,0x202ffa80,0x4ffffff8,0x205ff500,0xf3004ff9,
    0xfffd07ff,0x7e4001ff,0x7cc0000f,0x7fc4007f,0x000fffff,0x3fe60000,
    0x3e02ffff,0x004fffff,0xfffd3000,0x3b26159f,0x0004ffff,0xcfffffa8,
    0x3fae6209,0x000befff,0x6404ff88,0x000fffff,0x3ee03ff9,0x3fea002f,
    0xfffc99bf,0x3ee000ef,0x0000aeff,0x2e001fee,0x000effff,0xff950000,
    0x5bffffff,0x3fffff22,0x000acfff,0xfffda800,0xefffffff,0x2200000b,
    0xffffffeb,0xbeffffff,0x7fd80000,0x27fff4c0,0x640ffd00,0x6c4001ff,
    0xffffffff,0xffff3004,0x00dfffff,0x30003e40,0x00000037,0xaaaaaaa8,
    0x5511aaaa,0x55555555,0x80000015,0xabcccba9,0x88000000,0xabccccba,
    0x40000099,0xb9800cc9,0x01e64000,0x44000997,0x002bccba,0x90000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36ea2000,0x80000acd,0x002ceeca,0x33333310,
    0x13333333,0x33331000,0x00003333,0x31ee5d4c,0x03333333,0x26662000,
    0x99999999,0x00199999,0x77f65c40,0x8800002c,0x0abcecba,0x0ffdc000,
    0x16775cc0,0xb80b6a00,0xffedffff,0x1fffffff,0x3b7ffa60,0x5c002eff,
    0xffffffff,0x000fffff,0xfffffeb8,0x220000ff,0x40bdffeb,0xffffffec,
    0xffc80001,0xffffffff,0x06ffffff,0x3fffee00,0x000dffff,0xefffc880,
    0x003ffffd,0xd881ff60,0xefffdeff,0x7fffcc02,0x77fff446,0x3fffff21,
    0xff301fff,0x17ffcc5f,0xfffffd00,0xbfffffff,0xfffa8000,0x88000fff,
    0x401dfffc,0x1ffffff8,0xfffe8000,0xffffffff,0x003fffff,0x88cffe88,
    0x006ffffc,0x177ffd40,0x01dfff91,0x304ff880,0x7fcc9fff,0x3ff204ff,
    0x3ff62fff,0xffff82ff,0xf980aaad,0xfffd87ff,0xffff9802,0xffffffff,
    0xff80002f,0x4000ffff,0x002ffffa,0x07fffff6,0x3fffe000,0xffffffff,
    0x000fffff,0x640fffd8,0x0003ffff,0x207ffff3,0x4006fffd,0xff982ffa,
    0x7ffe40ff,0xffff884f,0xffff76ff,0x3ffff20f,0x1ffff401,0x007fffdc,
    0x3ffffff2,0x07ffffff,0xfffff000,0x7fe4001f,0x7ec002ff,0x0001ffff,
    0x7fffffcc,0xffffffff,0xfa8006ff,0xfff885ff,0xff88005f,0xff500fff,
    0x7ec007ff,0x0dfffd07,0x05fffff1,0x2bfffffd,0x706ffffe,0x540dffff,
    0xfa82ffff,0x7fc03fff,0xffffffff,0x00004fff,0x01ffffff,0x5ffffd10,
    0xffff9000,0xfb80003f,0xffffffff,0x3fffffff,0x5fffe800,0x00dfffd0,
    0x0fffff70,0x02ffffc4,0xff70bff0,0x3ffa0bff,0xfffb86ff,0xffff89ff,
    0xffff706f,0x3fffa01f,0xffff981f,0x2677e607,0x99999999,0xfd000009,
    0xb001ffff,0x0005ffff,0x07fffff2,0xbfffb000,0x55555599,0x0001fff9,
    0x320dffff,0xd8004fff,0x201fffff,0x5007ffff,0xfffb05ff,0x3fff609f,
    0x7fe442ff,0xfffff33f,0x3fffea0b,0xffff981f,0xffff981f,0x003f901f,
    0x3fa00000,0x5c00ffff,0x0004ffff,0x07fffff2,0x005ff000,0x40037fdc,
    0x80fffff9,0x8002fffd,0x04fffffe,0x401bfffe,0xffe80ffc,0xfff904ff,
    0x10620bff,0x20bfffff,0x80fffffa,0x81fffffb,0x04fffff8,0x000000df,
    0x7fffff40,0x3fffe600,0x3f20001f,0x0001ffff,0xfd000be2,0xff30007f,
    0xff887fff,0xffb0004f,0xf101ffff,0x3e009fff,0xffff885f,0xffff705f,
    0x7fc001ff,0xff706fff,0x3ff60dff,0xff881fff,0xffa86fff,0x00001abc,
    0xfd0dee4c,0x7c01ffff,0x0006ffff,0x0fffffe4,0xa8039b73,0x7ffcc003,
    0xfff88000,0x6ffe46ff,0xfff70000,0xfa81dfff,0xf9801fff,0xffffa83f,
    0xffff505f,0x7e4003ff,0xff907fff,0x3ffa07ff,0xff881fff,0x7ec0ffff,
    0xceffffff,0xffd88000,0xffd4ffff,0x3ea01fff,0x0003ffff,0x4fffffe4,
    0xffffffd8,0x3ee00004,0x3fe0006f,0xfd99ffff,0x7cc0002f,0x0effffff,
    0x401bfff2,0xffb80ffc,0xff306fff,0x4005ffff,0x81ffffe8,0x880ffffe,
    0x80ffffff,0x1ffffff8,0x3fffffe2,0x003fffff,0x2fffffe6,0xffffdfeb,
    0xfffd00ff,0x599531ff,0x3fff2001,0xffdffcff,0x0005ffff,0x0007ffd0,
    0x7fffffec,0x00000bff,0xfffffffd,0x09fff15f,0xfa837f40,0xf106ffff,
    0x007fffff,0x0dfffe88,0x4037ffee,0x0ffffff8,0xffffff88,0x3ffffea1,
    0xffffffff,0x7fffc402,0x7fffd43f,0xff980fff,0xfffeefff,0x6400dfff,
    0x0cffffff,0x7fffff91,0xfff88000,0x3fee0001,0x5c04ffff,0xcccccccc,
    0x7ffffcc0,0x2ffeffff,0x40ffe600,0x07fffff9,0x0ffffffe,0x7fffdc00,
    0x404fffeb,0x0ffffff9,0xffffff88,0x3fffff62,0xffffffff,0x3fff204f,
    0xffff906f,0xfff901ff,0xffdbffff,0x6403dfff,0x904fffff,0x005fffff,
    0x0037fdc0,0x3ffffee0,0x3faa00ff,0x80cfffff,0xfffffff9,0x5c002fff,
    0xfff101ff,0xff105fff,0x0005ffff,0x677777d4,0xfff9800a,0xff880fff,
    0xff12ffff,0xffffffff,0x05ffffff,0x07fffff1,0x07fffffc,0x1ffffff4,
    0x1bffffee,0x1fffffc8,0xbfffff30,0x1fff4000,0xfffea800,0x804fffff,
    0x9804fffe,0xfffffffe,0x3fa002ff,0x7ffff406,0xffff884f,0x00b981ff,
    0x500007f2,0x01ffffff,0x7ffffff1,0x3fb72ea2,0xffffffff,0x7fd40fff,
    0x3fa01fff,0xff80ffff,0xfd81ffff,0xf904ffff,0x7c03ffff,0x0007ffff,
    0x8003fff1,0xff9affea,0x402fffff,0x22005ffb,0xfffffffe,0xff8803ff,
    0x7fffcc04,0x7ffc40ff,0x3fa20fff,0x27f4c5ff,0x7ffcc000,0xff880fff,
    0x8802ffff,0xffffffeb,0x7ffe44ff,0x3ffa00ff,0x7fc40fff,0xfa81ffff,
    0xc80fffff,0x201fffff,0x00fffffe,0x006ffb80,0xf9077fdc,0x01ffffff,
    0x88007fe4,0xfffffffc,0x5c02ffff,0xffd801ff,0xf931efff,0xfc8fffff,
    0x3f62ffff,0xf880004f,0x880fffff,0x00ffffff,0x7fffecc0,0x7ffec6ff,
    0x3ffa00ff,0x7fcc0fff,0xf881ffff,0xc81fffff,0x201fffff,0x02fffffe,
    0x004ffe80,0xf10ffff6,0x0bffffff,0xfa801ff4,0xfffe9cff,0x201fffff,
    0x3f2007fd,0xffffffff,0x7c5fffff,0xf15fffff,0x33359fff,0xff001335,
    0xf101ffff,0x000fffff,0x7fffffdc,0x3fffffe0,0x3ffffa00,0x7fffd40f,
    0xfffd01ff,0xfff907ff,0x7fec03ff,0x44004fff,0xf7001fff,0xff501fff,
    0x309fffff,0x3fea00bf,0x3fff627f,0xf104ffff,0xfea8009f,0xffecffff,
    0x7ffc1fff,0xfff75fff,0xffffffff,0x3a07bfff,0x880fffff,0x006fffff,
    0x7ffffdc0,0xffffff11,0xfffffe80,0x7ffffc40,0xffffb01f,0xffff909f,
    0x7ffec03f,0x7dc004ff,0xfff3006f,0x3ff601ff,0x743fffff,0xfff9800f,
    0xffffd84f,0x5ff506ff,0x26a62000,0x6fffff88,0x2fffffc8,0xfffffff5,
    0xffffffff,0xffffb0bf,0xffff101f,0xf70000bf,0x3fe65fff,0x3a00ffff,
    0xf80fffff,0x902fffff,0x909fffff,0x403fffff,0x04fffffd,0x8027fec0,
    0x02fffffd,0xfffffff3,0x400bf25f,0x882ffffe,0x0ffffffe,0x00007fd8,
    0x1fffffd4,0x227ffec4,0xffffffff,0xffffffff,0x7fffe44f,0xffff881f,
    0xf880004f,0xfff11fff,0x7f401fff,0xfd80ffff,0xf903ffff,0xf907ffff,
    0x6c03ffff,0x003fffff,0x4007ffe2,0x04fffffe,0x3fffffea,0x1004fcff,
    0x203fffff,0x2ffffff9,0x00005ff8,0x077ffff4,0xfd101730,0xffffffff,
    0x8fffffff,0x81fffffb,0x03fffff8,0x8fffb000,0x00ffffff,0x03fffffa,
    0x0ffffff2,0x0fffffdc,0x0fffffe4,0x3fffffb0,0x037fdc00,0xffffff88,
    0x7fffdc07,0x000effff,0x01fffff5,0x1fffffec,0x0000bfea,0x1fffff88,
    0x7ffcc000,0xffffffff,0x221fffff,0x881fffff,0x001fffff,0xe89ff700,
    0x202fffff,0x80fffffe,0x04fffffa,0x20fffff7,0x02fffffc,0x01fffffa,
    0x2009ffb0,0xfffffff8,0x7fffe403,0x5002ffff,0x401fffff,0x41fffffb,
    0x00000ffc,0x00fffff2,0x0bffd980,0x3fff2620,0x7fffe40f,0x5ffff982,
    0xfc800110,0x7fffe41f,0x3fffa03f,0xfff880ff,0xfff705ff,0x3fff20bf,
    0x3ffe02ff,0x3e2004ff,0x3fe001ff,0x02ffffff,0x7fffffec,0x227303ff,
    0x201fffff,0x40fffffa,0x200005ff,0x006ffffb,0x002fff40,0x3e61bfea,
    0xffa83fff,0xfffc81ff,0x309ff003,0x20dfffff,0x0ffffff9,0x0fffff90,
    0x40fffff2,0x02fffffc,0x01fffff1,0x003ffd40,0x3ffffff6,0x3fa202ff,
    0xdfffffff,0xfff8be61,0x3fee02ff,0x1ffcc6ff,0xfffb8000,0x7cc0005f,
    0x7d4003ff,0x9fffb03f,0x10bfff70,0x01dfffff,0xffb037d4,0xff887fff,
    0x101fffff,0xb05fffff,0x7e40dfff,0xf704ffff,0xd8007fff,0x7cc004ff,
    0xffffffff,0x7ffecc1c,0xffffffff,0x7fdc5fef,0x3ff604ff,0x07fe40ff,
    0x7ffdc000,0xfd00003f,0x3a2001ff,0x3ff600df,0x077ff40f,0x7fffffc4,
    0x0774c0cf,0xffffff30,0xfffdd513,0x2a01bfff,0xff85ffff,0x3ff201ff,
    0x7c40ffff,0x44005fff,0xb8001fff,0xffffffff,0xeffedfff,0xffffffea,
    0xd80fffff,0xf881ffff,0x6fe82fff,0x7fdc4000,0x200001ef,0x81befffa,
    0x003ffc98,0xf9119ffb,0x7fdc01df,0xcdffffff,0xff1004fe,0x1dffffff,
    0xfffffffd,0x3fffe607,0x1effd88c,0x7e7ffe40,0xfffb31df,0xfff50009,
    0x7ffe4000,0xffffffff,0x7ffec2ef,0x01ffffff,0x43dfffb1,0x982fffea,
    0x930003ff,0x0005bfff,0x7fff5400,0xceffffff,0x7ff64001,0xf7004fff,
    0xffffffff,0xfe880039,0x3fa5ffff,0x400acdff,0xffffffc8,0xcfc800bd,
    0xfffffb10,0x360005df,0x4c0004ff,0xfffffffe,0x3fea03ef,0x801dffff,
    0xffffffea,0x3fee04ff,0x3fae2001,0x00000cef,0x2eaa6200,0x1000009a,
    0x26000377,0x001abcba,0x40aca880,0x220000ab,0xa8002cba,0x35795301,
    0x1ccc8000,0x97530000,0xa8800359,0xa98000ac,0xb801abca,0x4d54004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xbdefecb8,0x54000580,0x1acefecc,
    0x65c00ee0,0x2600bdee,0x99999999,0x30199999,0x33333333,0x4ccccc43,
    0x99999999,0x4ccccc00,0x33109999,0x33333333,0x99999833,0x99999999,
    0x26666201,0x33331099,0x00001333,0x4ccccccc,0x09999999,0x99999998,
    0x4ccc0999,0x20099999,0xfedefffb,0x00d72dff,0xfffff910,0x7bffffff,
    0xf700fa23,0x7fffffff,0x3fffb720,0xceffffff,0xfffdc80c,0xf50cdfff,
    0xffffffff,0xc8039bff,0xfffffffd,0xffffff52,0xc89dffff,0xfffffffe,
    0x2e04cfff,0x54fffffe,0xbfffffff,0x7fec0000,0xffffffff,0xfdc81cdf,
    0x3dffffff,0x7fffffec,0xdffe882f,0xffffe980,0x7ffe4006,0x5309beff,
    0x7ffffff9,0x7ffffec0,0x404fffff,0xfffffffd,0x7ffec003,0x3fffee00,
    0x8000ffff,0x80dfffe8,0xfffffffc,0x7fffd405,0x2001ffff,0xfd80eff9,
    0x0005ffff,0x7ffff440,0x3005ffff,0x8809ffff,0x82ffffff,0xfb806ffe,
    0xfd1006ff,0x1007ffff,0x207ffffb,0xfffffffd,0x202fffff,0x7ffffffa,
    0x02ff8800,0xffffffd8,0x3fea0007,0x3fffe203,0xfc804fff,0x00ffffff,
    0xfb817f40,0x0005ffff,0xffffe880,0x3a004fff,0xffb003ff,0xffb85fff,
    0xdff7003f,0xfffff500,0xffb8003f,0xbdffc83f,0xffffffdc,0x3ffe606f,
    0xf0007fff,0xfff3003f,0x0003ffff,0x3f201bea,0x806fffff,0xfffffff8,
    0x5037c002,0x00bfffff,0x3ffe6000,0x800fffff,0x36004ff8,0x222fffff,
    0x2000ffff,0x7fcc06fd,0x0001ffff,0xcf887ff9,0xfffffa80,0x3ffe207f,
    0xd0006fff,0x3ff6001f,0x0004ffff,0xff1003f9,0x003fffff,0xbffffff9,
    0x501fcc00,0x00bfffff,0x7ffe4000,0xc805ffff,0x7fe4005f,0x3fe62fff,
    0x3e2001ff,0x3fffa206,0x740004ff,0x2e026c3f,0x00ffffff,0xdffffff1,
    0x801f6000,0xfffffff9,0x037c4000,0xffffffb0,0xffff3009,0x32001fff,
    0x3ffea00f,0x000005ff,0x7ffffff4,0x03be603f,0xfffff900,0x27fffdc5,
    0xfd81f200,0x000fffff,0x00e1fd40,0x037ffffc,0xdffffff1,0x001f6000,
    0x7ffffffd,0x002fb800,0x3fffffe6,0xffffd007,0x17e007ff,0xbfffff50,
    0xf9800000,0x0fffffff,0x8000fe88,0x22fffffc,0x04fffffc,0x7fcc1e60,
    0x0004ffff,0x360007f0,0x2203ffff,0x06ffffff,0xa800fb00,0x06ffffff,
    0x74003740,0x02ffffff,0xffffffb8,0x402fa806,0x05fffffa,0xffc80000,
    0xd85fffff,0xff90001f,0x7fdc5fff,0x000dffff,0x3ffff60b,0x900002ff,
    0x3ffa0007,0x3fe200ff,0x0006ffff,0xfff000fb,0x2005ffff,0xfb8002fa,
    0x806fffff,0xfffffff8,0x5403ec01,0x885fffff,0x19999999,0xffffe800,
    0x0ff22fff,0xffffc800,0x3fffe22f,0x000bffff,0xffffff88,0x1100000f,
    0xdfff1000,0xffff8803,0xfb0006ff,0xffff9000,0x1f600bff,0x7fffc400,
    0x7d401fff,0x04ffffff,0x3ea013e2,0xfb85ffff,0x0effffff,0x7fffcc00,
    0x4fa8ffff,0x7ffe4000,0x7fffc2ff,0x03ffffff,0x7ffffe40,0x0000006f,
    0x00effc80,0xffffff88,0x00fb0006,0xffffff10,0x03f9803f,0x3ffff600,
    0x7ff404ff,0x207fffff,0xffa801fb,0x3f605fff,0x20000cff,0xfffffffb,
    0xc80005fe,0x5c2fffff,0xffffffff,0xfb002fff,0x00bfffff,0xfa800000,
    0xf8800eff,0x006fffff,0x36000fb0,0x04ffffff,0x300007e4,0x0fffffff,
    0x7fff5fcc,0x0dd02fff,0x3ffffea0,0x00bff205,0x7ffff400,0x0000efff,
    0x2fffffc8,0xffffffc8,0x01efffff,0x7ffffffc,0x00000004,0xffffff91,
    0xffff8803,0xfb0006ff,0x3ffe6000,0xf100ffff,0xffd00009,0x3205ffff,
    0xfffffb8f,0x003f985f,0x0bfffff5,0x0000bfa2,0xffffff88,0xc80000ff,
    0xb02fffff,0xffffffff,0x7c09ffff,0x04ffffff,0x6cc00000,0xffffffff,
    0x3ffe203f,0xb0006fff,0x7ff4000f,0xf903ffff,0xff700001,0xf10dffff,
    0x3ffffe2b,0x007e40ff,0x5fffffa8,0x00003fb0,0xffffff70,0xf90000bf,
    0x6c05ffff,0xffffffff,0x4c0dffff,0x4fffffff,0x44000000,0xfffffffd,
    0xff102fff,0x000dffff,0xfa8001f6,0xf06fffff,0x3e20000b,0x41ffffff,
    0x3fff61fb,0x02fc3fff,0xbfffff50,0x00003fb0,0x7ffffec0,0x640003ff,
    0x402fffff,0xfffffffa,0x20efffff,0xfffffff8,0x00000005,0xfffffd71,
    0x3fe20dff,0x0006ffff,0xff8000fb,0x5c2fffff,0x3600001f,0x44ffffff,
    0x7fffd46e,0x00bea6ff,0x5fffffa8,0x00000fec,0x3ffffe20,0x20000fff,
    0x02fffffc,0xffffff70,0xf89fffff,0x06ffffff,0x44000000,0xfffffffe,
    0xfffff881,0x0fb0006f,0xffffb800,0x003745ff,0x3fffe600,0x20be67ff,
    0x1fffffff,0xffa800fb,0x3ff65fff,0x4c000003,0xffffffff,0x3ff20006,
    0x22002fff,0xfffffffc,0x3ffa0fff,0x0007ffff,0xffb00000,0xf105ffff,
    0x00dfffff,0x10001f60,0x1fffffff,0x00000bea,0x3ffffffa,0x3ff20fb2,
    0x4f8cffff,0x7fffd400,0x3ffffb5f,0x3e200000,0xffffffde,0xff90003f,
    0x800c5fff,0xffffffc8,0x3fff63ff,0x0000ffff,0xffd00000,0xff107fff,
    0x000dffff,0x360001fa,0xb4ffffff,0x2e00000d,0x8effffff,0xffff304f,
    0x003f7fff,0xdfffffa8,0x06fffffd,0x8fe88000,0xfffffff8,0xffc8001f,
    0x00b62fff,0xfffffe98,0x3fffee4f,0x00001fff,0xfff50000,0xfff105ff,
    0x2000dfff,0xf980007e,0xf9ffffff,0xf1000003,0xfbffffff,0x7ffff401,
    0xa8006fff,0xffffffff,0x004fffff,0xf517ec00,0x0dffffff,0xfffff900,
    0x6c002ec5,0x225fffff,0x2fffffff,0x00000000,0x407ffffa,0x07ffffff,
    0x0000dd00,0x3ffffffa,0x4000007f,0xfffffffd,0x7fffdc05,0xa8003fff,
    0xb9ffffff,0x01ffffff,0xb07f7000,0x7fffffff,0xffffc800,0x0003f62f,
    0x89ffffd1,0x5ffffffc,0x00000000,0xf81ffff2,0x007fffff,0x00005f88,
    0xfffffff5,0x98000009,0x2fffffff,0x7ffffc40,0xfa8000ff,0x3f65ffff,
    0x0006ffff,0xff105fa8,0x03ffffff,0x7ffffe40,0x2000bf62,0x4c3ffffb,
    0x0fffffff,0x00018000,0x206fffb8,0x07fffffe,0x0004fa80,0x3fffffe0,
    0x8000000f,0x06fffffe,0xbfffffb0,0x3ffea000,0x3ffe25ff,0x20004fff,
    0x7fd406f9,0x006fffff,0x8bfffff2,0x4c000ffd,0xfa81ffff,0x004fffff,
    0x00083cc0,0xc807ffea,0x01ffffff,0x00017e40,0x9fffff70,0x2e000000,
    0x003fffff,0x05fffff5,0x3fffea00,0x7fffd45f,0xf88002ff,0xfffd800f,
    0x9004ffff,0x6c5fffff,0x7cc005ff,0x3ff206ff,0x0001ffff,0xeffa8ff3,
    0x04ffd800,0x7fffffcc,0x01bee003,0xffff1000,0x0000003f,0x03ffffe2,
    0x07ffff80,0x3fffea00,0xffffd85f,0x3a2000ff,0xfff1002f,0x003fffff,
    0x45fffff9,0x2004fffd,0x6c00fffc,0x01ffffff,0x3e0ffdc0,0x2201ffff,
    0xffb006ff,0x3005ffff,0x000005ff,0x000bfffb,0xfffd8000,0x7ffe4004,
    0x3fea0004,0xff885fff,0x2005ffff,0x7d4006fd,0x0effffff,0x7ffffec0,
    0x37ffff63,0x17ffcc00,0xfffffb80,0x3aa200cf,0x7ffc41ef,0x6440cfff,
    0x3fa001ef,0x80afffff,0x0002ffb9,0x05fff300,0xf9800000,0x7c4001ff,
    0x2e0001ff,0x706fffff,0x07ffffff,0x006ffe88,0xfffffff8,0x7ffec05f,
    0x3fff63ff,0x6441bfff,0x4c002eff,0xdffffffe,0xffffdbac,0xffff700c,
    0xff959fff,0xffb10007,0xb9dfffff,0x0005ffff,0x006fe800,0xdfd00000,
    0x01bf6000,0xffffe980,0xfff982ff,0xb983ffff,0x00cfffff,0xfffffb88,
    0xa81dffff,0x1effffff,0x3fae63db,0x4ffffeff,0x7fe4c000,0xffffffff,
    0x7e4400cf,0xffffffff,0x7540000d,0xffffffff,0x00000bff,0x0002fa80,
    0x05f70000,0x000fea00,0x7fffffdc,0x3fea6fff,0x7fffffff,0x3ffffff2,
    0xf703efff,0xffffffff,0x7fc9ffff,0xffffffff,0x995301ad,0x00000359,
    0x57999553,0x95510003,0x00001379,0x79997510,0x00000035,0x00000090,
    0x20002440,0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x99999999,0x40099999,0x99999998,0x33333109,0x33333333,0x33333333,
    0x4cc13333,0x99999999,0x19999999,0x65c00000,0x440beefe,0x09999999,
    0x99998000,0x19999999,0x99998000,0x19999999,0x26666666,0x99999999,
    0x33330000,0x33333333,0x4ccc0133,0x99999999,0xea85b500,0xffffffff,
    0x4c01cdff,0xeffffffd,0xffffff51,0xffffffff,0xffffffff,0x3722dfff,
    0xfffffffe,0xffffffff,0x00002def,0xff95fff5,0x7ff4c1ff,0x0005ffff,
    0xffffecc8,0x001fffff,0x3ffffe60,0x14ceffff,0xfffffd99,0x399dffff,
    0x3fb32000,0xffffffff,0x3b3202de,0xdfffffff,0x37fffcc1,0x7fffffcc,
    0xf90004ff,0xfffa83ff,0xfeaabcdf,0xaabfffff,0x06fffecc,0xdffffffb,
    0xffd97533,0x0005ffff,0xf89fffe4,0xffd84fff,0x00005fff,0x7fffffe4,
    0x360004ff,0xffffffff,0xffffd803,0x00004fff,0xffffffb8,0x7fc4005f,
    0x3f602fff,0xfa82ffff,0x05ffffff,0x503ff500,0x3f603dff,0x881fffff,
    0xff306ffd,0x5c0bffff,0x03ffffff,0x2ffffa80,0x50dffff3,0x00bfffff,
    0xffff8800,0x000fffff,0xffffef88,0xff1007ff,0x001fffff,0x3fffe000,
    0xe8001fff,0x3e200eff,0xb05fffff,0x3fffffff,0x207f9000,0x3f601ffa,
    0x201fffff,0xfff106fc,0xfb80bfff,0x002fffff,0x8bffffe2,0xfa82ffff,
    0x0005ffff,0xfffecf80,0xb8003fff,0xffffffbf,0xffff1006,0x00000fff,
    0x7ffffffc,0x27fd4001,0xfffffe80,0xfffff104,0xf8800bff,0xb00fea06,
    0x03ffffff,0xfff106f8,0xfd00bfff,0x400dffff,0x22fffff9,0xff300bb8,
    0x0000bfff,0xffff79f0,0xdd000dff,0xdffffff3,0x7ffffc00,0x2000007f,
    0x0ffffffe,0x00ffea00,0x1fffffb8,0x3ffffee0,0x3f6001ff,0x3601ea01,
    0x01ffffff,0xfff8835c,0xfc805fff,0x002fffff,0x05fffff7,0xfffff980,
    0xcf800005,0xfffffff8,0x26fea002,0x06ffffff,0x3fffffe0,0x3a000007,
    0x00ffffff,0x8003ff70,0x803effc8,0x5ffffffe,0xa80bf300,0xffffd805,
    0x834c01ff,0x5ffffff8,0xfffffb80,0xfff9004f,0xf98005ff,0x0005ffff,
    0xfff94f80,0x6c00bfff,0xffffff37,0x7fffc00d,0x000007ff,0x3ffffffa,
    0x00efd800,0xf5000c00,0x03ffffff,0x29801fd0,0xfffffd80,0xf103801f,
    0x00bfffff,0xbffffff5,0x3ffff200,0x7fcc002f,0x00005fff,0xffff34f8,
    0xf1001fff,0x3ffffe69,0x3ffe006f,0x00007fff,0x3fffffa0,0x13fa200f,
    0x74000000,0x06ffffff,0x00001fd4,0x3ffffffb,0x7ffc4000,0xfb805fff,
    0x204fffff,0xffffd998,0x980099bf,0x4c5fffff,0xf8001bdb,0x3fffff64,
    0x30fc804f,0x0dffffff,0x7fffffc0,0x3a000007,0x00ffffff,0x00007ff3,
    0x7ffcc000,0xf102ffff,0xfd80000d,0x001fffff,0x3ffffe20,0xfffd805f,
    0x3f203fff,0xffffffff,0xff9802ff,0xffd15fff,0x4001dfff,0x3fffea4f,
    0x25f807ff,0x6ffffff9,0x3ffffe00,0x2000007f,0x0ffffffe,0x0001ffb8,
    0xffd80000,0xf906ffff,0xfd800003,0x001fffff,0x3ffffe20,0xffff805f,
    0x3f201fff,0xffffffff,0xff9802ff,0xffe9dfff,0x005fffff,0xffffd13e,
    0x17d407ff,0xdffffff3,0x7ffffc00,0x2000007f,0x0ffffffe,0x000077e4,
    0xff980000,0x4c3fffff,0xd800005f,0x01ffffff,0x3fffe200,0x7fcc05ff,
    0x2004ffff,0x02fffffc,0x7ffffcc0,0xffd9adff,0x9f003fff,0xffffffb8,
    0xff31ba06,0x400dffff,0x07ffffff,0x3ffa0000,0xfd10ffff,0x000000df,
    0xffffc800,0x03fa0fff,0x3ff60000,0x0001ffff,0x3fffffe2,0x3fffe605,
    0x7e4006ff,0x4002ffff,0x6ffffff9,0x37ffffc4,0x7fc44f80,0x981fffff,
    0x7fffcc3f,0x3fe006ff,0x0007ffff,0x3ffffa00,0xffff98ff,0x0000005f,
    0x3fffe200,0x07f53fff,0x3ff60000,0x0001ffff,0x3fffffe2,0xffffb985,
    0x64000cff,0x002fffff,0x77ffffcc,0x7fffff80,0xff909f00,0xf90bffff,
    0xfffff981,0x3ffe006f,0x00007fff,0x3fffffa0,0xffffffcf,0x2e00003f,
    0xff90001b,0xdf3fffff,0x7ec00000,0x001fffff,0x3ffffe20,0xfffffeff,
    0x000cffff,0x5fffff90,0xffff9800,0xfffff05f,0x2613e00f,0x0fffffff,
    0x3fe613e2,0x2006ffff,0x07ffffff,0x3ffa0000,0xffffffff,0x001fffff,
    0x2ffffdc0,0x7fffc400,0x002fffff,0x3fff6000,0x20001fff,0xeffffff8,
    0xffffffdc,0x7e40003f,0x4002ffff,0x05fffff9,0x01fffffd,0x3ff609f0,
    0x3ee4ffff,0xfffff981,0x3ffe006f,0x00007fff,0x3fffffa0,0xfffffbdf,
    0x10000fff,0x07ffffff,0xfffff700,0x00000bff,0xffffffd8,0x3fe20001,
    0x3f65ffff,0x01ffffff,0x3ffff200,0x7fcc002f,0xffd05fff,0x9f001fff,
    0x3ffffea0,0x7cc1ba7f,0x006fffff,0x1ffffffe,0xffe80000,0xff90ffff,
    0x00dfffff,0x3ffffee0,0xfe8000ff,0x003fffff,0x7ffec000,0x20001fff,
    0x5ffffff8,0x3fffffe2,0x3f20006f,0x4002ffff,0x05fffff9,0x01fffffd,
    0x7ff409f0,0x2f9affff,0xffffff30,0x7fffc00d,0x000007ff,0x3ffffffa,
    0x3fffffa0,0xfb8004ff,0x01ffffff,0xfffffc80,0x4000003f,0x1ffffffd,
    0x3ffe2000,0x7fd45fff,0x004fffff,0x5fffff90,0xffff9800,0xffffd05f,
    0x409f001f,0xeffffffb,0x3ffe607c,0x3e006fff,0x007fffff,0xfffd0040,
    0x7fc41fff,0x03ffffff,0x7ffffc40,0xfc8002ff,0x003fffff,0x7ffec000,
    0x20001fff,0x5ffffff8,0xffffffc8,0xffc8002f,0x4c002fff,0xd05fffff,
    0x001fffff,0x7ffc409f,0x204fffff,0x6ffffff9,0x3ffffe00,0x1a60007f,
    0xffffffe8,0x7ffffcc0,0x54001fff,0x02ffeffe,0xfffffc80,0x4000003f,
    0x1ffffffd,0x3ffe2000,0xffd05fff,0x001fffff,0x2fffffc8,0x7fffcc00,
    0xffffd05f,0x809f001f,0xfffffffc,0x3fffe600,0x3fe006ff,0x0007ffff,
    0xfffe8172,0xffb80fff,0x00ffffff,0x03ff3180,0xfffff900,0x8000007f,
    0x1ffffffd,0x3ffe2000,0xff305fff,0x00bfffff,0x2fffffc8,0x7fffcc00,
    0xffffd05f,0x809f001f,0x5ffffff8,0x7ffffcc0,0x3ffe006f,0x20007fff,
    0x3fffa04e,0xffb00fff,0x00dfffff,0x8003fdc0,0x3ffffffc,0x7ec00000,
    0x001fffff,0x3ffffe20,0x3ffee05f,0x2003ffff,0x02fffffc,0x7ffffcc0,
    0xfffffd05,0xb009f001,0x803fffff,0x6ffffff9,0x3ffffe00,0x7f50007f,
    0x7fffff40,0x3fffa00f,0x0004ffff,0x320007fd,0x03ffffff,0x7fec0000,
    0x0001ffff,0x3fffffe2,0x7fffec05,0xf9001fff,0x8005ffff,0x05fffff9,
    0x01fffffd,0xff5009f0,0xff300dff,0x400dffff,0x07ffffff,0x7407fd00,
    0x00ffffff,0x3fffffe2,0x7c4003ff,0xff90000f,0x0007ffff,0xffffe800,
    0x220001ff,0x05ffffff,0x7fffffc4,0xfff9006f,0xf98005ff,0xfd05ffff,
    0xf001ffff,0x3fffa009,0xffff9803,0x3fe006ff,0x8007ffff,0x3fa02ffc,
    0x400fffff,0xfffffffa,0x0bf6002f,0xffffc800,0x000003ff,0x7ffffff4,
    0x3fe20001,0xa806ffff,0x4fffffff,0xfffffd80,0x7ffd4002,0xffff05ff,
    0x5f8803ff,0x01fff700,0xffffff30,0x3ffe200d,0x2000ffff,0x3e01fffd,
    0x01ffffff,0xffffffc8,0x7ec401ff,0x7fec0001,0x0004ffff,0x7ffffc00,
    0x2a0003ff,0x07ffffff,0xffffffb0,0xfffd805f,0x7d4003ff,0xff06ffff,
    0xb803ffff,0xff8801ff,0xffff5004,0x3e600fff,0x03ffffff,0x7fffed44,
    0xfffff100,0xff3005ff,0x3fffffff,0x00033ea0,0xfffffb88,0x00002fff,
    0xfffffd88,0x98001fff,0xffffffff,0x7ff4400d,0x80bfffff,0xeffffff9,
    0xfffd3000,0xffc87fff,0x700dffff,0x8015dfff,0xff9801fc,0x0dffffff,
    0x3ffffa60,0xccceffff,0xfffffedc,0xfffb107f,0x803fffff,0xfffffffb,
    0x05c1bfff,0xffee9800,0xffffffff,0x0000eeff,0x3fffffb6,0xefffffff,
    0x3fffa202,0xffffffff,0x3fe604ff,0x1fffffff,0xfffffff7,0x5403dfff,
    0xffffffff,0xfffffd5f,0x3a23ffff,0xffffffff,0xe9816206,0xffffffff,
    0xd15effff,0xffffffff,0xffffffff,0xffffffff,0xfffffe8f,0xffffffff,
    0x7ffffcc4,0xffffffff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,0x99999999,
    0x99999999,0x99980999,0x99999999,0x4ccc1999,0x99999999,0x26621999,
    0x99999999,0x40009999,0x266602ea,0x99999999,0x99999999,0x26099999,
    0x99999999,0x99999999,0x09999999,0x4cccccc4,0x99999999,0x99880001,
    0x99999999,0x00000999,0x017bdb73,0x80019800,0xfffffff9,0xffffffff,
    0x3fffffff,0xffffecc8,0xccefffff,0x3fffb320,0xdeffffff,0xfffb950c,
    0xbfffffff,0x3fae0059,0x3fb3202f,0xffffffff,0xffffffff,0x3725ffff,
    0xffffffff,0xffffffff,0x42ffffff,0xfffffdc9,0xffffffff,0x000acfff,
    0x3ffffb6e,0xffffffff,0x2000ceff,0xffffffd8,0xe88000ef,0xfff98003,
    0xaaaabdff,0xfffffcaa,0xffc806ff,0x005fffff,0xfffffff9,0xffff300b,
    0x2003ffff,0x2fffffb8,0xfffff700,0x555557ff,0xbfffffb9,0x3fffff20,
    0xaaaaaaff,0x2fffffec,0x3ffffa20,0xedbaaeff,0x00cfffff,0x7ffffdc0,
    0xffecbaff,0x4c01dfff,0xffffffff,0x64000eff,0xffa8003f,0xffd800cf,
    0x801fffff,0xfffffff8,0xffff1001,0x36003fff,0x04ffffff,0xfffffc88,
    0x3fe002ff,0x800fffff,0xf105fffa,0x00ffffff,0x805fffd5,0x5ffffffa,
    0xffffff50,0xffff8005,0xfffb87ff,0xfd102fff,0xffffffff,0x2a001dff,
    0xfb8003ff,0xfff5003f,0x4009ffff,0x0fffffff,0x3ffffe00,0xff9000ff,
    0x4c07ffff,0xfffffffd,0x3fe002ff,0x000fffff,0x7fc0bfd1,0x2007ffff,
    0x7d402ffc,0x205fffff,0x4fffffe8,0x3ffffa00,0xffff907f,0xfffd03ff,
    0xffffffff,0xff100bff,0x7f90007f,0x3fffe200,0x2000ffff,0x07ffffff,
    0x7fffffc0,0xfff9000f,0x5e407fff,0xfffffd99,0x3ffa002f,0x2000ffff,
    0x3ffe05f9,0x6c007fff,0x7ffcc02f,0x7cc05fff,0x003fffff,0x0ffffffd,
    0x3fffffe2,0x4deffcc6,0xffffffca,0x7ff4407f,0x07c8003f,0x3fffff20,
    0x7fc002ff,0x4007ffff,0x0fffffff,0xfffff900,0x7fc4007f,0x2002ffff,
    0x0ffffffe,0xff02ec00,0x800fffff,0x7fcc02f9,0xc805ffff,0x02ffffff,
    0x7fffffe8,0x3fffff60,0x5407f61f,0x2fffffff,0x7ffffd30,0x2009b000,
    0xfffffff9,0xffff8005,0x7fc007ff,0x000fffff,0x7ffffff9,0xfffff800,
    0x3ffa002f,0x4000ffff,0x3fffe05b,0x7c0e07ff,0x7fffcc02,0xff8805ff,
    0x400fffff,0x07fffffe,0x3ffffff2,0xfb803f13,0x983fffff,0x9cffffff,
    0x00e80199,0xffffffd0,0xfff0001f,0xf800ffff,0x00ffffff,0xffffff90,
    0xfffe8007,0x3fa002ff,0x200fffff,0xff02cc0c,0x7c0fffff,0x7cc02c80,
    0x005fffff,0x7ffffffd,0xfffffe80,0x3fffee07,0x200314ff,0x43ffffff,
    0xfffffffa,0x401fffff,0xffff7000,0x20007fff,0x07ffffff,0x7fffffc0,
    0xfff9000f,0xe8007fff,0x002fffff,0x3ffffffa,0x80203e00,0x07ffffff,
    0x801301f1,0x5ffffff9,0xfffff700,0xfffe80df,0x3ff207ff,0x8003ffff,
    0x21fffffd,0xfffffff8,0x01ffffff,0xffff8800,0x20006fff,0x07ffffff,
    0x7fffffc0,0xfff9000f,0xe8007fff,0x002fffff,0x3ffffffa,0x8001f500,
    0x07ffffff,0x260001f5,0x05ffffff,0xffffff10,0x7fff403f,0x3ff607ff,
    0x8002ffff,0x00fffffc,0x07fffff7,0x3ff60000,0x001fffff,0x3fffffe0,
    0x7fffc007,0xf9000fff,0x007fffff,0x2fffffe8,0x3ffffa00,0x01f900ff,
    0xffffff80,0x0001fd07,0x3fffffe6,0x3fffe005,0x3fa04fff,0x3a07ffff,
    0x00ffffff,0x5ffffd80,0x3ffffee0,0xfa800003,0x05ffffff,0x7ffffc00,
    0x7ffc007f,0x9000ffff,0x07ffffff,0xfffffe80,0x3fffa002,0xffa80fff,
    0x7fffc000,0x0ffa87ff,0xffff3000,0x7fc00bff,0x205fffff,0x07fffffe,
    0x7ffffff5,0x3fffa000,0x3ffee01f,0x400003ff,0xfffffff8,0x7fc0000f,
    0x4007ffff,0x0fffffff,0xfffff900,0xffe8007f,0x3a002fff,0x40ffffff,
    0x4000fffb,0x47ffffff,0x0000fffb,0xbffffff3,0x7ffff400,0x3ffa06ff,
    0xfe887fff,0x0005ffff,0x7017fffe,0x007fffff,0xffffc800,0x80003fff,
    0x07ffffff,0x7fffffc0,0xffffffff,0xffffffff,0x7f4003ff,0x2002ffff,
    0xcffffffe,0x0fffffec,0x7ffffc00,0xffffedff,0xff30000f,0x400bffff,
    0x7ffffffe,0x3fffffa0,0x3fffea27,0x2a0004ff,0x5c00ffff,0x003fffff,
    0x3fffe600,0x00006fff,0x0fffffff,0xffffff80,0xffffffff,0xffffffff,
    0x7f4003ff,0x2002ffff,0xfffffffe,0x0fffffff,0x7ffffc00,0xffffffff,
    0xff30000f,0x400bffff,0x7ffffffd,0x3fffffa0,0xffffffff,0x6c0001cf,
    0xfb803fff,0x0003ffff,0x3fffffa0,0xf00001ff,0x00ffffff,0xfffffff8,
    0xffff9000,0xfe8007ff,0x2002ffff,0x8ffffffe,0x0ffffb98,0x7ffffc00,
    0xfffb537f,0x3fe60001,0x2005ffff,0x6ffffffd,0x3fffffa0,0x9accccef,
    0xff880000,0xfff7005f,0x200007ff,0xfffffffb,0x3fe00004,0x4007ffff,
    0x0fffffff,0xfffff900,0xffe8007f,0x3a002fff,0x40ffffff,0x4000ffd8,
    0x87ffffff,0x30000ffe,0x0bffffff,0x7fffff40,0x3fffa05f,0x000007ff,
    0x2006ffd8,0x03fffffb,0xffff8800,0x00006fff,0x3ffffffc,0x3ffffe00,
    0xff9000ff,0x8007ffff,0x02fffffe,0x3fffffa0,0x00ff880f,0x7fffffc0,
    0x000fe887,0xffffff30,0x7fffc00b,0x3fa04fff,0x0007ffff,0x077fd400,
    0xfffff700,0xffb00007,0x005fffff,0x3ffe0288,0x7c007fff,0x00ffffff,
    0xffffff90,0xfffe8007,0x3fa002ff,0x500fffff,0xfff8001f,0x1f907fff,
    0x3ffe6000,0xf1005fff,0x05ffffff,0x3ffffff4,0xff100000,0xffb8003f,
    0x40003fff,0xfffffffa,0x204b8005,0x07ffffff,0x7fffffc0,0xfff9000f,
    0xe8007fff,0x002fffff,0x3ffffffa,0x8001f100,0x07ffffff,0x80c401f5,
    0x5ffffff9,0xfffff300,0x7ff403ff,0x00007fff,0x0007ff60,0x0fffffee,
    0xffffd000,0xb0001fff,0x7ffffc07,0x7ffc007f,0x9000ffff,0x07ffffff,
    0xfffffe80,0x3fffa002,0x03e00fff,0xffffff00,0xc803e20f,0xfffff302,
    0x3fea00bf,0x7406ffff,0x007fffff,0x03ff7000,0xffff7050,0x7e40007f,
    0x03ffffff,0x3e02f880,0x007fffff,0x7ffffffc,0xffff9000,0xfe8007ff,
    0x2002ffff,0x0ffffffe,0xff000320,0x640fffff,0x2603f100,0x05ffffff,
    0xffffffb0,0xffffe803,0x9800007f,0x85a802ff,0x03fffffb,0xfffff300,
    0x36000dff,0x3fffe01f,0x7fc007ff,0x000fffff,0x7ffffff9,0xffffe800,
    0x3ffa002f,0x0000ffff,0x7fffffc0,0x01f70007,0x3fffffe6,0xffff8805,
    0xffe805ff,0x00007fff,0x4c017f44,0xffffb84f,0xfe80044f,0x01ffffff,
    0x200ffa80,0x07ffffff,0x7fffffc0,0xfff9000f,0xe8007fff,0x002fffff,
    0x3ffffffa,0x7fc00000,0x8007ffff,0x3fe607f8,0xc805ffff,0x00ffffff,
    0x7fffffe8,0x77ec0000,0xdccccccc,0xffa82ffe,0x03a24fff,0xffffff50,
    0xff30009f,0x7fffc01f,0x7fc007ff,0x000fffff,0x7ffffff9,0xffffe800,
    0x3ffa003f,0x0000ffff,0x7fffffc0,0x3fa2000f,0x3fffe606,0x7fc405ff,
    0xd002ffff,0x00ffffff,0x7fffe400,0xffffffff,0xfffd01ff,0x803d55ff,
    0xfffffff8,0x7fdc000f,0x7fffc07f,0x3e000fff,0x00ffffff,0xffffff90,
    0xffff8007,0x3fe003ff,0x001fffff,0x7ffffc00,0xfd3000ff,0x7ffd40bf,
    0x3a205fff,0x001effff,0x1ffffffa,0x7ffd4000,0xffffffff,0x3e207fff,
    0x03ffffff,0xffffffc8,0xfd51002f,0x7cc0dfff,0x01ffffff,0xffffff10,
    0x3ff6003f,0x2005ffff,0x5ffffff9,0xfffff100,0x400005ff,0xfffffff9,
    0x7ffecc04,0x3ffee04f,0xfa80ffff,0x000dffff,0x7ffffffc,0x7fcc0000,
    0xffffffff,0x406fffff,0x02dffec9,0xffffff98,0xccccccff,0xffffeeec,
    0xfd105fff,0x3dffffff,0xffffe880,0x2201efff,0xfffffffb,0xffe9803f,
    0x00bfffff,0x3fffff62,0x80001fff,0xffffffe8,0xedccdeff,0x3fffffff,
    0xffffff50,0xffd9bfff,0x80039dff,0xffffffd8,0xf10000ef,0xffffffff,
    0x9fffffff,0x3a000c00,0xffffffff,0xffffffff,0xffffffff,0x3fffa24f,
    0xffffffff,0x3ffa0eff,0xffffffff,0xfd71efff,0xffffffff,0x7647dfff,
    0xffffffff,0x3a4effff,0xffffffff,0x01efffff,0x3ffffa20,0xffffffff,
    0xffffffff,0x3aa2ffff,0xffffffff,0xeeffffff,0xffd8001b,0xffffffff,
    0x6c006fff,0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99800000,
    0x99999999,0x09999999,0x73000000,0x20000000,0x40004ff9,0x000002a9,
    0x00000000,0x99998800,0x4ccc0999,0xa8019999,0x0720bddb,0x5e765440,
    0x6dcc4000,0x595000bc,0x7ff6e400,0xffffffff,0xbdffffff,0xdb000000,
    0x10000000,0x80009fff,0x00000ffd,0x27b50000,0x00000be8,0x3ffffee0,
    0x3ffa24ff,0x2207ffff,0xeffffffd,0x7fd402fe,0x0cffffef,0xedfffa80,
    0x3fea04ff,0x64000dff,0xaeffffff,0xfffffdba,0x400001ff,0x00002ff8,
    0x27ffec00,0x03ff6000,0x88000000,0xff13ffeb,0x0000039f,0x3fffffa2,
    0xfffffb84,0x437ffa07,0x202fffd9,0xff51effb,0xffc80bff,0x037ffa1e,
    0x17fffffa,0xfffff100,0xfffd10df,0x00007fff,0x00037fe4,0xffff7000,
    0xffd80009,0x80000000,0x3fffffc9,0x5dfffff1,0xff900000,0xff109fff,
    0x3ee0ffff,0x2ffa81ff,0xf85fff90,0xfb03ffff,0xfffa85ff,0x7ffffd44,
    0x7fc001ff,0xb106ffff,0x07ffffff,0xffff1000,0x30000003,0x009fffff,
    0x000ffd80,0x3faa0000,0x441dffff,0xcffffffc,0xff700001,0xff109fff,
    0x3fe0ffff,0x07f902ff,0xfb0ffff5,0xff50dfff,0x3fffe0df,0x3ffffea0,
    0x7fc002ff,0x2606ffff,0x05ffffff,0xffffb800,0x44000005,0x04fffffe,
    0x007fec00,0x3f220000,0x00bfffff,0xfffffea8,0x7dc0002e,0xff04ffff,
    0xff10ffff,0x0fe03fff,0x2e17fffa,0xfe87ffff,0xfffd04ff,0xffffff8b,
    0x7ffc004f,0x7fc06fff,0x000fffff,0x7fffff40,0x36000000,0x04ffffff,
    0x007fec00,0xffda8000,0x0002dfff,0xffffff93,0xff700019,0x3fe09fff,
    0xff987fff,0x3b83ffff,0x427fffd4,0x5c4ffff8,0xfb04ffff,0xffe98fff,
    0x7c003ffe,0x406fffff,0x2ffffffd,0x3ffea000,0x00004fff,0xffffdf70,
    0xfd80009f,0x2200000f,0xcffffffb,0xd7100001,0x05bfffff,0x7ffffdc0,
    0xffffff04,0x3fffffe0,0x3f6040df,0xd9304fff,0xffffd817,0x1ffffb03,
    0x05ff1110,0xffffff80,0x7fffec06,0x3a0003ff,0x0fffffff,0x77cc0000,
    0x04fffffa,0x007fec00,0x7ffecc00,0x0000beff,0x3fff6600,0x5c00bfff,
    0xf04fffff,0x360fffff,0xefffffff,0x3ffffe01,0xfffd0004,0xb333337f,
    0x5405ffff,0x7fc000ff,0x7c06ffff,0x02ffffff,0xfffff300,0x00007fff,
    0xfff99fe8,0x6c0004ff,0x710000ff,0x3bfffffd,0x88000000,0xdfffffeb,
    0xfffff702,0x3ffffe09,0xfffff307,0x3e07ffff,0x0005ffff,0xffffffff,
    0xffffffff,0x002fe407,0x37fffffc,0xffffff30,0x5fec000d,0x06ffffff,
    0x4cff2000,0x004fffff,0x0007fec0,0x7fffffe4,0x0000000b,0xffffda80,
    0x7ffdc1ef,0xffff04ff,0x7ffdc0ff,0x44ffffff,0x07fffff9,0xfffff880,
    0x9999999c,0x3fe00999,0xffff8000,0x3ff606ff,0x0001ffff,0xffff19f1,
    0x00005fff,0x7ffccbf5,0xfff884ff,0xffffffff,0xffffffff,0xff13ffff,
    0x0001bfff,0xf7000000,0xfb87ffff,0xff04ffff,0xfb80ffff,0xffffffff,
    0x3ffffe63,0x7fcc000f,0x80005fff,0xff0002fc,0xb10dffff,0x03dfffff,
    0xfc87e400,0x005fffff,0xf3077c40,0xf109ffff,0xffffffff,0xffffffff,
    0x47ffffff,0xcffffffc,0x00000000,0x7ffff5c4,0x7ffdc0cf,0xffff04ff,
    0xfff300ff,0x44dfffff,0x01ffffff,0x7ffffc40,0x17e40006,0xfffff000,
    0xfd9333df,0x0007dfff,0x3fe25f88,0x001fffff,0xff307fa0,0xdd109fff,
    0xdddddddd,0xdddddfff,0x885ddddd,0xdfffffeb,0x40000002,0xefffffc9,
    0xffff700b,0x3fffe09f,0xffb1007f,0x7c3fffff,0x003fffff,0x0ffffff8,
    0x01dea800,0x7ffffc00,0xffffffff,0x700003ff,0xffffd83f,0xf90004ff,
    0xfffff307,0xffd80009,0xfc980000,0x00bfffff,0x3faa0000,0x802dffff,
    0x04fffffa,0x20ffffff,0xfffff705,0x7ffff47f,0xffe8007f,0xb8003fff,
    0xfff00000,0xdb99ffff,0x3bffffff,0x54374000,0x0fffffff,0x982fd400,
    0x004fffff,0x0007fec0,0xfffd7100,0x00003bff,0x3fffff22,0x3ea000cf,
    0xff04ffff,0x0ba0ffff,0x1fffffcc,0x7ffffff7,0xffffc800,0x016400ff,
    0xffff8000,0xffd886ff,0x000dffff,0xffe817d4,0x2003ffff,0xff300ff8,
    0x80009fff,0x00000ffd,0xfffffb30,0xb500017d,0x05dfffff,0x3fffe600,
    0xffffb84f,0x5c0bd07f,0x3e21ffff,0x01ffffff,0x7ffc45b1,0x3ae05fff,
    0x55555550,0x80355555,0x06ffffff,0x3ffffff6,0x81fa000f,0x7ffffffb,
    0x9807f600,0x004fffff,0x0007fec0,0x3fee2000,0x401cffff,0xfffffeb8,
    0x7c40001c,0x7d46ffff,0xd07fffff,0x3ffe207f,0xfffffb87,0x1ba61cff,
    0x3ffffff6,0xe8bea20d,0xffffffff,0x7fc04fff,0x6c06ffff,0x06ffffff,
    0x7c407f30,0x02ffffff,0x7cc04fb8,0x0004ffff,0x00007fec,0xfffb5000,
    0xfc985dff,0x00beffff,0x3fff6000,0xfdfcadff,0xd80fffff,0xfff983ff,
    0xfffffd03,0x1fffdfff,0xfffffd10,0x8bffbdff,0xfffffffe,0x7c04ffff,
    0x406fffff,0xfffffffa,0x400fd803,0x6ffffffc,0xfffffe80,0xffffffff,
    0x002fffff,0x0000ffd8,0xffc88000,0xfff13fff,0x00003bff,0x3ffffa20,
    0xffff4fff,0xffd819ff,0xffea89df,0x7fffec04,0x00efffff,0x3fffffa2,
    0xfe85ffff,0xffffffff,0x7ffc04ff,0x7c406fff,0x04ffffff,0x7fffffc4,
    0xffffffff,0x7401ffff,0xffffffff,0xffffffff,0xfd8002ff,0x0000000f,
    0x89fff540,0x0000bfff,0xfffe9800,0x3fffe3ff,0x3f60ffff,0xffffffdc,
    0xffff7004,0x10017bff,0xdffffffb,0x3ffffa07,0x4fffffff,0x7fffffc0,
    0xffffe806,0x67e406ff,0xcccccccc,0xffffffec,0x7ffff405,0xffffffff,
    0x02ffffff,0x000ffd80,0x93000000,0x0000b627,0x0ddc4000,0x7306a000,
    0x2a200037,0x260000ac,0x88802aca,0x88888888,0xfffff800,0xfffd806f,
    0x3e206fff,0x3ffe6005,0x3a00ffff,0xffffffff,0xffffffff,0xfd8002ff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff00,
    0xfffff00d,0x0fdc09ff,0x3ffffa00,0x2aaa04ff,0xcaaaaaaa,0xaadfffff,
    0x0ffd8000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0dffffff,0xffffff98,0x00df102f,0xffffff50,0xf980001f,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff80,
    0x7fffe406,0x13f206ff,0x7ffffc00,0x4c0004ff,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc400,0x3fee07ff,
    0x100effff,0x320005ff,0x0fffffff,0x3ffe6000,0x999884ff,0x99999999,
    0x99999999,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffcc0,0x7fe442ff,0x201dffff,0x50004ffd,0xbfffffff,0x7ffcc000,
    0xfffa84ff,0xffffffff,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffa60,0xffdeffff,0x01dfffff,0x07ffffaa,
    0xffff9100,0x0019ffff,0x9fffff30,0xffffff50,0xffffffff,0xffffffff,
    0x00000007,0x00000000,0x00000000,0x00000000,0xfd000000,0xffffffff,
    0x9dffffff,0xffc80359,0x0effffff,0x3fffff20,0xffffffff,0x7ffcc002,
    0xbbb984ff,0xbbbbbbbb,0xbbbbbbbb,0x00001bbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333331,0x33310333,
    0xb9880133,0x0002cdec,0x2f376e62,0x4cccc400,0x31099999,0x33333333,
    0x4ccccc41,0x33333330,0x26623333,0x26209999,0x40999999,0x3001cdb9,
    0x33333333,0x33333333,0x26666662,0x56edcc09,0x2b36e200,0x26666200,
    0xdb880999,0x03bb1002,0x800bb260,0xfffffffb,0x7fe40dff,0xfb104fff,
    0xdfffffff,0xfffb8003,0x00cfffef,0xfffffff7,0x3ffea5df,0x23efffff,
    0xd2ffffea,0xffffffff,0xffff51bf,0x7ffd45ff,0xfd15ffff,0x803dffff,
    0xffffffff,0xffffffff,0xffffff36,0x7fffecdf,0x7fec44ff,0xd303ffff,
    0x4dffffff,0x02ffffd8,0x9807ffd8,0x2005ffff,0xfffffff8,0x807ffc03,
    0x3ea1cffa,0xb000ffff,0x7fcc7fff,0xfff300ef,0xfd10dfff,0x6c0fffff,
    0x7ffcc0ef,0xff82ffff,0x3fff601e,0xfffe9dff,0x7c06ffff,0x9999abff,
    0x1ffffffd,0x77ffffe4,0xffffffe8,0xfffd12ff,0x403fffff,0x16fffffc,
    0x0bfffffd,0x01ffff88,0x07ffffe4,0xfffff500,0x02fd805f,0xf901fff7,
    0xfd00dfff,0xfff90bff,0x3ffee01f,0xfff507ff,0x3ee01fff,0xfffff301,
    0x00ef889f,0x77ffffd4,0xfffd9adf,0x07fe03ff,0x7fffffcc,0xfffff984,
    0xffa8aeff,0xaefaffff,0x6fffffb8,0x3ffffe60,0xffffffb6,0x1fffd00d,
    0xffffff80,0x7fff4002,0x037404ff,0xf509fffd,0x5c05ffff,0xf882ffff,
    0x3fa05fff,0xfd02ffff,0x3605ffff,0x7fffe406,0x007ee0ff,0x3fffffea,
    0x7ffffc45,0xfe80fe06,0x980fffff,0x0effffff,0x7fffffe4,0xfffffd86,
    0xfffff101,0xfff99f7d,0xffb8087f,0x7ffec085,0x7d4000ff,0x2607ffff,
    0xffff503f,0xffffa81f,0x3fffe04f,0xfffff01f,0x3fffee05,0xfffff05f,
    0x807f10bf,0x4ffffff8,0x3e6007f1,0xf80effff,0x3e07ffff,0xfffff700,
    0x3ffe207f,0xffb80fff,0xfc80efff,0xf102ffff,0x47ffffff,0x3f60cfd9,
    0xa8bfe21e,0xfff90dff,0x3fe000ff,0xf902ffff,0x3fffea01,0x7fffd42f,
    0xffff704f,0x3fffa01f,0xffff104f,0xfffa81ff,0x7d40ffff,0xffffa800,
    0x2006e9ff,0x05fffff9,0x40ffffff,0xfffff103,0x7ffc40df,0xfff506ff,
    0x3fee0bff,0xff103fff,0x200dffff,0x365ffffa,0x4ffffee6,0x006ffffb,
    0xdfffff70,0xffd013e0,0xffff50df,0x3fffa09f,0x3fffa07f,0x3fff606f,
    0x7eeec3ff,0x2ec3ffff,0xfffffd00,0x7cc003ff,0xff05ffff,0x8001ffff,
    0x1ffffffc,0x3ffffe20,0xfffff506,0x3fffee0b,0xffff103f,0x3e6007ff,
    0x5b8dffff,0x25fffff7,0x003ffff8,0xffffff10,0x4401fa83,0x7ecc0bdb,
    0xff04ffff,0x7f40ffff,0x3ea07fff,0x3e26ffff,0x6fffffaa,0xfa800be2,
    0x004fffff,0x2fffffcc,0x0fffffe8,0x3fffe600,0x7fc404ff,0xff506fff,
    0x3ee0bfff,0xf103ffff,0x005fffff,0x7fffffe4,0xfffffeed,0x00ffff44,
    0xfffff900,0x20005d89,0xffffffd9,0xffff884f,0x3fffa07f,0x3ffe01ff,
    0x7cf70fff,0xf71fffff,0xffffd000,0xff9800df,0xffd05fff,0x74001fff,
    0x00ffffff,0x37ffffc4,0x5fffffa8,0x7fffff70,0x3ffffe20,0x4cc4000f,
    0x999ee999,0x7ffc8099,0x7ffcc000,0x05f10fff,0x59ffb100,0x509fffff,
    0x40ffffff,0x03fffffe,0x53fffff2,0x3ffff24e,0x30009d4f,0x05ffffff,
    0x7ffffcc0,0xfffffd05,0x3ffee001,0xf8803fff,0xf506ffff,0x2e0bffff,
    0x103fffff,0x00ffffff,0x1d79b100,0x00bff500,0xfffffd00,0x32001b27,
    0xfff53fff,0xfff509ff,0x7ff40fff,0x3e603fff,0x1f8effff,0x3fffffe6,
    0xfb0002f9,0x400dffff,0x05fffff9,0x01fffffd,0xffffff10,0x3ffe200d,
    0xfff506ff,0x3fee0bff,0xff103fff,0x8000dfff,0x07ff0ffb,0x0003ff88,
    0xffffffa8,0x3a6003f8,0x3fea2fff,0xff884fff,0x3fa07fff,0x7402ffff,
    0x86efffff,0x7efffffe,0x3ffe6000,0xf3003fff,0x3a0bffff,0x800fffff,
    0x1ffffffc,0xfffff100,0x3fffea0d,0xffff705f,0x3ffe207f,0xb10006ff,
    0x6fff4dff,0x0007fa00,0x7fffffc0,0xff3000fd,0xfffa89ff,0xffff04ff,
    0x7fff40ff,0x7fdc00ff,0xfb84ffff,0x004fffff,0x3fffff20,0xfff3007f,
    0x3ffa0bff,0x7cc00fff,0x004fffff,0x1bffffe2,0x2fffffd4,0x3fffffb8,
    0xdfffff10,0x3fff6000,0x81bffee4,0x2e00007b,0x04ffffff,0x3fffff10,
    0x4fffffa8,0x0fffffd0,0x03fffffc,0x7fffffc4,0xfffff881,0x7f30001f,
    0x07ffffff,0xbfffff30,0x3fffffa0,0x7ffff400,0x889100ff,0x506fffff,
    0x20bfffff,0x03fffffb,0x0dfffff1,0x87fffe00,0x100ffff8,0x7c400005,
    0x001fffff,0x50fffff9,0x209fffff,0x00fffffb,0x009fffff,0x81bffffa,
    0x006ffffd,0x3ff29d10,0x4c00ffff,0xd05fffff,0x401fffff,0x3ffffffb,
    0xfff10f20,0x3fea0dff,0xff705fff,0x3e207fff,0x0006ffff,0xffd0dffb,
    0x8000000d,0x005ffffc,0x0bfffffa,0x0bfffff9,0x40fffff4,0x00fffff8,
    0x07ffff70,0x027fffd4,0xff10ed80,0x9809ffff,0xd05fffff,0x201fffff,
    0x6ffffff8,0xff10fe20,0x3ea0dfff,0xf705ffff,0x2207ffff,0x006fffff,
    0x71017710,0x00000019,0x02ffff98,0x3fffffa0,0xfffffbcf,0xff5015ff,
    0xfff307ff,0x7fc4009f,0x7ffc00ff,0x2fb8001f,0x7fffffdc,0x3fffea01,
    0xfffff05f,0x3fff201f,0x3f601fff,0x7ffffcc2,0xfffff507,0x3ffff20b,
    0xffff304f,0x000000df,0x20000000,0x5c006ffe,0xffffffff,0xffffff9e,
    0xfffd80ec,0x0dfffd86,0x02ffec00,0x40037fe4,0xfff886fa,0x3ea06fff,
    0xff06ffff,0xf303ffff,0x209fffff,0x7cc1ffd9,0xf707ffff,0x360dffff,
    0x304fffff,0x00ffffff,0x00000000,0x0ffea000,0xfffff100,0x7ffe47ff,
    0x3f201fff,0xffb88cff,0xff50004f,0x07ff3005,0x07ffdcc0,0x3fffffe2,
    0x7ff4c0cf,0x3222ffff,0x0dffffff,0x7ffffff4,0xffeccbab,0x3ff621ff,
    0x220cffff,0x3ffffffe,0x7fffffd4,0x7ffec41f,0x00003fff,0x00000000,
    0x30001fd0,0x8839dffb,0x801dfffd,0xffffffea,0x3fc0003e,0x2001fd00,
    0x5ffffffe,0xfffffffb,0x3fea5fff,0x5fffffff,0xfffffffd,0x3ffea3ff,
    0xffffffff,0x30ffffff,0xffffffff,0x3fffeaff,0xf96fffff,0xffffffff,
    0x3ffffea9,0x002fffff,0x00000000,0x0001d400,0x000c0022,0x009bb988,
    0x40075000,0x0000003a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc40000,0x16ed4000,0x4417d910,0xcccccccc,
    0xcccccccc,0x1ccccccc,0x02666666,0x31001b98,0x00a80003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff60000,0x3ffee004,0xffff883f,
    0x3ffffe27,0xffffffff,0xffffffff,0x3ffea3ff,0xffe884ff,0xfff300ef,
    0x40017bff,0x000001f9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001ffff5,0x21bffffa,0x12fffffb,0xffffffff,0xffffffff,0x7fffffff,
    0x86ffffb8,0x83fffffb,0xfffffffa,0x7c801dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fa00000,0xf8805fff,0x6c0fffff,0x264fffff,
    0x99999999,0x99999999,0x80999999,0x741ffffb,0x447fffff,0xfffeefff,
    0x80beffff,0x000006f9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffdff7,0xffffff00,0x5fffff90,0x80000000,0x7f44fffc,0x7e46ffff,
    0x7ffed41d,0xebbdffff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x80000000,0xffd9fff8,0xffffe806,0xfffffa85,0x00000000,0x7d46ffc8,
    0x7ec3ffff,0x3ffae200,0x6fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff900000,0x00bffe29,0x109ffff9,0x000fffff,0x7e400000,
    0x6fffec1f,0xb50027c0,0x0bffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe20000,0x01fff20f,0x205ffff5,0x5545ffff,0xaaaaaaaa,
    0xaaaaaaaa,0x801aaaaa,0x00b884fd,0x75100019,0x00000379,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e21ffec,0x3fe203ff,0xfff900ff,
    0x7ffffc47,0xffffffff,0xffffffff,0x013003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0x01fff506,0xf5037ff4,
    0x7ffc43ff,0xffffffff,0xffffffff,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffe80000,0x813ffa02,0x3e204ffc,
    0xaaaaa87f,0xaaaaaaaa,0xaaaaaaaa,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037fdc00,0x5407ffe6,0x2ff402ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf1000000,0xffb003ff,0x2007fc0b,0x000003fc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4017ff20,0xdb02fff8,
    0x0003f500,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe2000,0x1bff2000,0x014400cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99500000,0xccc88005,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_49_usascii_x[95]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,1,0, };
static signed short stb__times_bold_49_usascii_y[95]={ 39,9,9,9,8,9,9,9,9,9,9,12,32,26,
32,9,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,45,8,18,9,18,9,18,9,18,9,9,
9,9,9,18,18,18,18,18,18,18,11,18,18,18,18,18,18,9,9,8,23, };
static unsigned short stb__times_bold_49_usascii_w[95]={ 0,8,18,22,20,39,34,7,14,13,18,25,9,13,
9,13,20,17,19,20,20,20,20,21,20,20,8,9,25,25,25,18,40,32,28,29,31,28,26,33,34,17,22,35,
28,41,31,32,25,32,33,21,27,31,32,44,32,32,29,10,13,10,20,24,10,21,23,18,23,18,18,21,23,12,
13,25,12,35,23,20,23,23,18,15,15,23,22,32,21,22,19,13,4,13,25, };
static unsigned short stb__times_bold_49_usascii_h[95]={ 0,31,15,31,34,32,31,15,39,39,17,25,15,6,
8,31,31,30,30,31,30,31,31,31,31,31,22,29,23,11,23,31,40,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,38,30,31,30,31,31,31,30,30,30,39,31,39,16,4,9,22,31,22,31,22,30,31,30,30,
40,30,30,21,21,22,31,31,21,22,29,22,22,22,21,31,21,39,40,40,8, };
static unsigned short stb__times_bold_49_usascii_s[95]={ 243,234,22,172,173,194,156,240,89,126,221,
84,240,240,78,212,23,84,216,53,63,44,89,134,191,226,247,246,110,41,136,
153,15,30,1,23,158,129,102,105,49,31,195,210,181,139,218,72,190,140,62,
1,34,74,106,139,210,1,1,115,139,104,1,84,67,24,110,202,65,221,96,
1,115,243,1,184,243,166,122,46,48,24,202,186,236,162,1,67,100,1,146,
75,70,56,88, };
static unsigned short stb__times_bold_49_usascii_t[95]={ 32,1,254,42,1,1,74,231,1,1,231,
200,200,216,254,74,74,169,169,106,200,74,74,74,74,74,74,138,200,254,200,
42,1,200,200,106,169,169,169,42,169,169,42,138,138,138,42,42,169,1,138,
106,138,106,106,106,106,138,169,1,42,1,254,226,254,231,74,200,74,200,138,
74,138,1,1,106,106,231,231,231,42,42,231,200,169,200,231,231,231,42,231,
1,1,1,254, };
static unsigned short stb__times_bold_49_usascii_a[95]={ 177,236,393,354,354,708,590,197,
236,236,354,403,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,236,236,403,403,403,354,659,511,472,511,511,472,432,551,
551,276,354,551,472,668,511,551,432,551,511,394,472,511,511,708,
511,511,472,236,197,236,411,354,236,354,394,314,394,314,236,354,
394,197,236,394,197,590,394,354,394,394,314,276,236,394,354,511,
354,354,314,279,156,279,368, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_49_usascii(stb_fontchar font[STB_FONT_times_bold_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_49_usascii_s[i] + stb__times_bold_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_49_usascii_t[i] + stb__times_bold_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_49_usascii_x[i];
            font[i].y0 = stb__times_bold_49_usascii_y[i];
            font[i].x1 = stb__times_bold_49_usascii_x[i] + stb__times_bold_49_usascii_w[i];
            font[i].y1 = stb__times_bold_49_usascii_y[i] + stb__times_bold_49_usascii_h[i];
            font[i].advance_int = (stb__times_bold_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_49_usascii_s[i] + stb__times_bold_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_49_usascii_t[i] + stb__times_bold_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_49_usascii_x[i] + stb__times_bold_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_49_usascii_y[i] + stb__times_bold_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_49_usascii_LINE_SPACING
#endif

